/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_seqam.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 242 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FILTER = 398,
    FIRST_P = 399,
    FLOAT_P = 400,
    FOLLOWING = 401,
    FOR = 402,
    FORCE = 403,
    FOREIGN = 404,
    FORWARD = 405,
    FREEZE = 406,
    FROM = 407,
    FULL = 408,
    FUNCTION = 409,
    FUNCTIONS = 410,
    GLOBAL = 411,
    GRANT = 412,
    GRANTED = 413,
    GREATEST = 414,
    GROUP_P = 415,
    HANDLER = 416,
    HAVING = 417,
    HEADER_P = 418,
    HOLD = 419,
    HOUR_P = 420,
    IDENTITY_P = 421,
    IF_P = 422,
    ILIKE = 423,
    IMMEDIATE = 424,
    IMMUTABLE = 425,
    IMPLICIT_P = 426,
    IN_P = 427,
    INCLUDING = 428,
    INCREMENT = 429,
    INDEX = 430,
    INDEXES = 431,
    INHERIT = 432,
    INHERITS = 433,
    INITIALLY = 434,
    INLINE_P = 435,
    INNER_P = 436,
    INOUT = 437,
    INPUT_P = 438,
    INSENSITIVE = 439,
    INSERT = 440,
    INSTEAD = 441,
    INT_P = 442,
    INTEGER = 443,
    INTERSECT = 444,
    INTERVAL = 445,
    INTO = 446,
    INVOKER = 447,
    IS = 448,
    ISNULL = 449,
    ISOLATION = 450,
    JOIN = 451,
    KEY = 452,
    LABEL = 453,
    LANGUAGE = 454,
    LARGE_P = 455,
    LAST_P = 456,
    LATERAL_P = 457,
    LC_COLLATE_P = 458,
    LC_CTYPE_P = 459,
    LEADING = 460,
    LEAKPROOF = 461,
    LEAST = 462,
    LEFT = 463,
    LEVEL = 464,
    LIKE = 465,
    LIMIT = 466,
    LISTEN = 467,
    LOAD = 468,
    LOCAL = 469,
    LOCALTIME = 470,
    LOCALTIMESTAMP = 471,
    LOCATION = 472,
    LOCK_P = 473,
    MAPPING = 474,
    MATCH = 475,
    MATERIALIZED = 476,
    MAXVALUE = 477,
    MINUTE_P = 478,
    MINVALUE = 479,
    MODE = 480,
    MONTH_P = 481,
    MOVE = 482,
    NAME_P = 483,
    NAMES = 484,
    NATIONAL = 485,
    NATURAL = 486,
    NCHAR = 487,
    NEXT = 488,
    NO = 489,
    NONE = 490,
    NOT = 491,
    NOTHING = 492,
    NOTIFY = 493,
    NOTNULL = 494,
    NOWAIT = 495,
    NULL_P = 496,
    NULLIF = 497,
    NULLS_P = 498,
    NUMERIC = 499,
    OBJECT_P = 500,
    OF = 501,
    OFF = 502,
    OFFSET = 503,
    OIDS = 504,
    ON = 505,
    ONLY = 506,
    OPERATOR = 507,
    OPTION = 508,
    OPTIONS = 509,
    OR = 510,
    ORDER = 511,
    ORDINALITY = 512,
    OUT_P = 513,
    OUTER_P = 514,
    OVER = 515,
    OVERLAPS = 516,
    OVERLAY = 517,
    OWNED = 518,
    OWNER = 519,
    PARSER = 520,
    PARTIAL = 521,
    PARTITION = 522,
    PASSING = 523,
    PASSWORD = 524,
    PLACING = 525,
    PLANS = 526,
    POSITION = 527,
    PRECEDING = 528,
    PRECISION = 529,
    PRESERVE = 530,
    PREPARE = 531,
    PREPARED = 532,
    PRIMARY = 533,
    PRIOR = 534,
    PRIVILEGES = 535,
    PROCEDURAL = 536,
    PROCEDURE = 537,
    PROGRAM = 538,
    QUOTE = 539,
    RANGE = 540,
    READ = 541,
    REAL = 542,
    REASSIGN = 543,
    RECHECK = 544,
    RECURSIVE = 545,
    REF = 546,
    REFERENCES = 547,
    REFRESH = 548,
    REINDEX = 549,
    RELATIVE_P = 550,
    RELEASE = 551,
    RENAME = 552,
    REPEATABLE = 553,
    REPLACE = 554,
    REPLICA = 555,
    RESET = 556,
    RESTART = 557,
    RESTRICT = 558,
    RETURNING = 559,
    RETURNS = 560,
    REVOKE = 561,
    RIGHT = 562,
    ROLE = 563,
    ROLLBACK = 564,
    ROW = 565,
    ROWS = 566,
    RULE = 567,
    SAVEPOINT = 568,
    SCHEMA = 569,
    SCROLL = 570,
    SEARCH = 571,
    SECOND_P = 572,
    SECURITY = 573,
    SELECT = 574,
    SEQUENCE = 575,
    SEQUENCES = 576,
    SERIALIZABLE = 577,
    SERVER = 578,
    SESSION = 579,
    SESSION_USER = 580,
    SET = 581,
    SETOF = 582,
    SHARE = 583,
    SHOW = 584,
    SIMILAR = 585,
    SIMPLE = 586,
    SMALLINT = 587,
    SNAPSHOT = 588,
    SOME = 589,
    STABLE = 590,
    STANDALONE_P = 591,
    START = 592,
    STATEMENT = 593,
    STATISTICS = 594,
    STDIN = 595,
    STDOUT = 596,
    STORAGE = 597,
    STRICT_P = 598,
    STRIP_P = 599,
    SUBSTRING = 600,
    SYMMETRIC = 601,
    SYSID = 602,
    SYSTEM_P = 603,
    TABLE = 604,
    TABLES = 605,
    TABLESPACE = 606,
    TEMP = 607,
    TEMPLATE = 608,
    TEMPORARY = 609,
    TEXT_P = 610,
    THEN = 611,
    TIME = 612,
    TIMESTAMP = 613,
    TO = 614,
    TRAILING = 615,
    TRANSACTION = 616,
    TREAT = 617,
    TRIGGER = 618,
    TRIM = 619,
    TRUE_P = 620,
    TRUNCATE = 621,
    TRUSTED = 622,
    TYPE_P = 623,
    TYPES_P = 624,
    UNBOUNDED = 625,
    UNCOMMITTED = 626,
    UNENCRYPTED = 627,
    UNION = 628,
    UNIQUE = 629,
    UNKNOWN = 630,
    UNLISTEN = 631,
    UNLOGGED = 632,
    UNTIL = 633,
    UPDATE = 634,
    USER = 635,
    USING = 636,
    VACUUM = 637,
    VALID = 638,
    VALIDATE = 639,
    VALIDATOR = 640,
    VALUE_P = 641,
    VALUES = 642,
    VARCHAR = 643,
    VARIADIC = 644,
    VARYING = 645,
    VERBOSE = 646,
    VERSION_P = 647,
    VIEW = 648,
    VIEWS = 649,
    VOLATILE = 650,
    WHEN = 651,
    WHERE = 652,
    WHITESPACE_P = 653,
    WINDOW = 654,
    WITH = 655,
    WITHIN = 656,
    WITHOUT = 657,
    WORK = 658,
    WRAPPER = 659,
    WRITE = 660,
    XML_P = 661,
    XMLATTRIBUTES = 662,
    XMLCONCAT = 663,
    XMLELEMENT = 664,
    XMLEXISTS = 665,
    XMLFOREST = 666,
    XMLPARSE = 667,
    XMLPI = 668,
    XMLROOT = 669,
    XMLSERIALIZE = 670,
    YEAR_P = 671,
    YES_P = 672,
    ZONE = 673,
    NULLS_FIRST = 674,
    NULLS_LAST = 675,
    WITH_ORDINALITY = 676,
    WITH_TIME = 677,
    POSTFIXOP = 678,
    UMINUS = 679
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 180 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 744 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 774 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  727
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   78988

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  576
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2371
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4588

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   691,   691,   698,   705,   715,   716,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   746,   747,   748,   749,
     750,   751,   752,   753,   754,   755,   756,   757,   758,   759,
     760,   761,   762,   763,   764,   765,   766,   767,   768,   769,
     770,   771,   772,   773,   774,   775,   776,   777,   778,   779,
     780,   781,   782,   783,   784,   785,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   815,   816,   817,   818,   819,
     820,   821,   822,   823,   824,   825,   826,   827,   828,   829,
     830,   832,   842,   853,   854,   863,   864,   868,   869,   873,
     878,   882,   887,   892,   896,   900,   905,   909,   963,   965,
     969,   973,   977,   981,   995,  1013,  1024,  1025,  1029,  1037,
    1055,  1067,  1088,  1095,  1114,  1121,  1138,  1156,  1167,  1168,
    1180,  1187,  1204,  1217,  1227,  1245,  1263,  1264,  1268,  1275,
    1283,  1284,  1285,  1286,  1287,  1288,  1302,  1308,  1314,  1323,
    1331,  1339,  1343,  1351,  1359,  1366,  1375,  1376,  1384,  1395,
    1403,  1411,  1422,  1430,  1438,  1445,  1454,  1464,  1465,  1469,
    1470,  1473,  1475,  1479,  1480,  1481,  1482,  1486,  1487,  1488,
    1494,  1506,  1510,  1514,  1529,  1552,  1553,  1554,  1558,  1559,
    1560,  1564,  1565,  1569,  1573,  1574,  1581,  1588,  1598,  1605,
    1615,  1616,  1621,  1622,  1627,  1633,  1639,  1645,  1651,  1661,
    1671,  1672,  1676,  1677,  1685,  1700,  1706,  1712,  1718,  1724,
    1743,  1752,  1761,  1772,  1783,  1792,  1801,  1812,  1823,  1832,
    1841,  1850,  1859,  1868,  1877,  1888,  1902,  1903,  1908,  1916,
    1924,  1933,  1941,  1949,  1958,  1967,  1976,  1985,  1995,  2008,
    2023,  2032,  2040,  2055,  2063,  2073,  2083,  2090,  2097,  2105,
    2113,  2121,  2129,  2137,  2144,  2151,  2159,  2166,  2173,  2181,
    2189,  2197,  2205,  2213,  2221,  2231,  2238,  2246,  2254,  2262,
    2270,  2277,  2287,  2288,  2292,  2293,  2294,  2298,  2306,  2310,
    2311,  2315,  2322,  2329,  2336,  2346,  2349,  2350,  2354,  2355,
    2360,  2364,  2368,  2373,  2388,  2401,  2402,  2407,  2416,  2426,
    2436,  2462,  2468,  2498,  2527,  2549,  2550,  2554,  2555,  2564,
    2565,  2566,  2569,  2570,  2575,  2576,  2580,  2584,  2588,  2592,
    2596,  2600,  2604,  2608,  2612,  2616,  2620,  2624,  2628,  2632,
    2641,  2645,  2649,  2653,  2657,  2661,  2665,  2666,  2671,  2675,
    2682,  2689,  2690,  2691,  2692,  2693,  2697,  2701,  2709,  2720,
    2735,  2751,  2767,  2796,  2797,  2798,  2799,  2800,  2807,  2814,
    2815,  2819,  2820,  2824,  2825,  2829,  2833,  2840,  2844,  2851,
    2852,  2853,  2857,  2858,  2861,  2882,  2903,  2904,  2908,  2916,
    2917,  2918,  2949,  2956,  2963,  2974,  2985,  2995,  3004,  3037,
    3044,  3051,  3058,  3069,  3079,  3080,  3081,  3085,  3086,  3087,
    3088,  3089,  3090,  3099,  3107,  3111,  3124,  3139,  3153,  3168,
    3182,  3200,  3221,  3222,  3226,  3227,  3231,  3232,  3235,  3241,
    3245,  3253,  3258,  3264,  3265,  3269,  3274,  3281,  3282,  3292,
    3294,  3296,  3298,  3301,  3304,  3307,  3311,  3312,  3313,  3314,
    3315,  3318,  3319,  3324,  3325,  3326,  3327,  3330,  3331,  3332,
    3333,  3336,  3337,  3340,  3341,  3344,  3359,  3374,  3388,  3389,
    3390,  3402,  3417,  3430,  3431,  3443,  3463,  3474,  3486,  3501,
    3511,  3522,  3533,  3543,  3554,  3567,  3568,  3571,  3572,  3575,
    3579,  3583,  3587,  3591,  3595,  3599,  3603,  3607,  3611,  3615,
    3619,  3625,  3626,  3630,  3631,  3636,  3639,  3640,  3652,  3664,
    3679,  3680,  3688,  3689,  3693,  3694,  3698,  3699,  3703,  3704,
    3708,  3719,  3732,  3733,  3743,  3754,  3755,  3768,  3775,  3792,
    3800,  3811,  3814,  3818,  3822,  3826,  3838,  3848,  3851,  3855,
    3868,  3878,  3888,  3897,  3906,  3915,  3925,  3934,  3944,  3954,
    3964,  3973,  3982,  3991,  4000,  4009,  4018,  4027,  4036,  4045,
    4054,  4063,  4072,  4081,  4099,  4110,  4111,  4112,  4113,  4117,
    4118,  4122,  4123,  4133,  4144,  4164,  4172,  4184,  4185,  4189,
    4193,  4201,  4205,  4209,  4216,  4220,  4225,  4230,  4237,  4244,
    4249,  4259,  4273,  4274,  4279,  4280,  4284,  4285,  4295,  4306,
    4326,  4335,  4343,  4360,  4375,  4400,  4409,  4427,  4439,  4440,
    4441,  4451,  4459,  4476,  4495,  4515,  4540,  4541,  4542,  4546,
    4548,  4570,  4572,  4574,  4576,  4578,  4583,  4588,  4598,  4599,
    4603,  4604,  4608,  4609,  4613,  4614,  4615,  4619,  4625,  4626,
    4627,  4631,  4632,  4637,  4638,  4665,  4666,  4667,  4668,  4669,
    4670,  4675,  4686,  4709,  4719,  4733,  4735,  4740,  4745,  4747,
    4752,  4762,  4763,  4764,  4765,  4777,  4797,  4820,  4830,  4841,
    4851,  4861,  4872,  4881,  4888,  4895,  4904,  4913,  4922,  4931,
    4940,  4951,  4954,  4955,  4958,  4962,  4969,  4970,  4971,  4972,
    4973,  4976,  4979,  4980,  4988,  4995,  4996,  4999,  5001,  5012,
    5022,  5032,  5044,  5045,  5061,  5076,  5077,  5081,  5091,  5102,
    5111,  5121,  5130,  5131,  5134,  5135,  5138,  5139,  5140,  5143,
    5157,  5162,  5172,  5181,  5193,  5194,  5198,  5206,  5218,  5229,
    5243,  5254,  5277,  5287,  5305,  5316,  5327,  5338,  5352,  5353,
    5354,  5355,  5356,  5357,  5358,  5359,  5360,  5361,  5362,  5363,
    5364,  5365,  5366,  5367,  5368,  5372,  5373,  5376,  5377,  5380,
    5382,  5395,  5406,  5407,  5408,  5440,  5449,  5458,  5467,  5476,
    5485,  5494,  5504,  5513,  5522,  5531,  5540,  5549,  5561,  5562,
    5563,  5564,  5565,  5566,  5567,  5568,  5569,  5570,  5571,  5572,
    5573,  5574,  5575,  5576,  5577,  5578,  5579,  5580,  5581,  5582,
    5583,  5587,  5588,  5602,  5613,  5624,  5635,  5646,  5659,  5660,
    5664,  5665,  5666,  5667,  5668,  5669,  5670,  5671,  5672,  5673,
    5674,  5675,  5676,  5679,  5680,  5690,  5696,  5704,  5712,  5720,
    5728,  5736,  5744,  5752,  5760,  5768,  5776,  5784,  5792,  5800,
    5808,  5816,  5824,  5834,  5835,  5838,  5839,  5849,  5865,  5879,
    5905,  5907,  5909,  5911,  5918,  5927,  5928,  5931,  5938,  5945,
    5952,  5966,  5974,  5982,  5990,  5998,  6006,  6014,  6022,  6030,
    6038,  6046,  6054,  6062,  6070,  6078,  6086,  6098,  6099,  6102,
    6112,  6126,  6127,  6131,  6132,  6137,  6153,  6166,  6176,  6188,
    6189,  6192,  6193,  6203,  6213,  6214,  6218,  6222,  6226,  6237,
    6250,  6264,  6281,  6282,  6283,  6284,  6296,  6323,  6324,  6328,
    6329,  6333,  6334,  6338,  6339,  6342,  6343,  6351,  6362,  6373,
    6386,  6387,  6390,  6391,  6392,  6395,  6396,  6397,  6400,  6401,
    6402,  6418,  6430,  6443,  6458,  6459,  6462,  6463,  6467,  6468,
    6476,  6477,  6481,  6482,  6497,  6506,  6515,  6524,  6533,  6545,
    6546,  6547,  6548,  6549,  6555,  6559,  6574,  6575,  6581,  6591,
    6595,  6600,  6608,  6649,  6653,  6657,  6661,  6669,  6670,  6675,
    6676,  6683,  6687,  6691,  6695,  6699,  6703,  6707,  6711,  6715,
    6719,  6723,  6727,  6731,  6735,  6739,  6747,  6751,  6755,  6759,
    6765,  6766,  6773,  6774,  6777,  6789,  6793,  6808,  6819,  6820,
    6825,  6826,  6841,  6852,  6866,  6877,  6891,  6902,  6916,  6924,
    6926,  6928,  6933,  6935,  6948,  6957,  6958,  6962,  6966,  6978,
    6989,  7000,  7013,  7014,  7015,  7019,  7032,  7033,  7047,  7055,
    7065,  7078,  7079,  7082,  7083,  7094,  7103,  7120,  7130,  7139,
    7148,  7157,  7166,  7176,  7185,  7195,  7204,  7213,  7223,  7233,
    7242,  7251,  7261,  7271,  7281,  7291,  7301,  7311,  7321,  7331,
    7341,  7351,  7361,  7371,  7382,  7393,  7404,  7415,  7425,  7436,
    7447,  7457,  7467,  7475,  7484,  7493,  7502,  7511,  7520,  7529,
    7538,  7547,  7561,  7562,  7565,  7566,  7576,  7586,  7595,  7604,
    7613,  7622,  7632,  7642,  7652,  7662,  7671,  7680,  7689,  7698,
    7707,  7716,  7725,  7734,  7743,  7752,  7761,  7770,  7779,  7788,
    7805,  7814,  7822,  7830,  7838,  7846,  7855,  7863,  7871,  7880,
    7889,  7898,  7906,  7914,  7922,  7930,  7938,  7946,  7954,  7971,
    7988,  7989,  7990,  7995,  8001,  8010,  8011,  8012,  8013,  8014,
    8018,  8019,  8022,  8023,  8024,  8025,  8029,  8030,  8031,  8036,
    8047,  8069,  8079,  8080,  8083,  8092,  8098,  8117,  8124,  8131,
    8138,  8145,  8152,  8159,  8167,  8175,  8183,  8191,  8199,  8206,
    8213,  8222,  8223,  8224,  8228,  8231,  8234,  8237,  8240,  8247,
    8249,  8251,  8256,  8258,  8270,  8283,  8296,  8314,  8335,  8336,
    8337,  8338,  8348,  8364,  8374,  8375,  8379,  8383,  8387,  8391,
    8395,  8399,  8403,  8407,  8411,  8415,  8419,  8423,  8427,  8431,
    8435,  8439,  8449,  8450,  8461,  8468,  8479,  8490,  8491,  8495,
    8509,  8516,  8534,  8540,  8556,  8569,  8578,  8586,  8594,  8603,
    8614,  8625,  8635,  8636,  8647,  8657,  8667,  8677,  8687,  8697,
    8705,  8726,  8749,  8757,  8766,  8777,  8778,  8790,  8806,  8822,
    8836,  8856,  8881,  8882,  8886,  8887,  8888,  8889,  8893,  8907,
    8924,  8925,  8929,  8930,  8933,  8934,  8937,  8938,  8942,  8943,
    8956,  8963,  8973,  8980,  8990,  8991,  8992,  8993,  8994,  8995,
    8996,  8997,  8998,  9002,  9006,  9013,  9020,  9021,  9025,  9026,
    9027,  9037,  9047,  9048,  9052,  9053,  9054,  9055,  9065,  9072,
    9090,  9091,  9101,  9107,  9113,  9119,  9135,  9145,  9151,  9157,
    9166,  9168,  9173,  9184,  9185,  9196,  9210,  9211,  9222,  9233,
    9234,  9237,  9238,  9239,  9240,  9241,  9242,  9243,  9244,  9247,
    9248,  9259,  9277,  9278,  9282,  9283,  9287,  9295,  9323,  9334,
    9335,  9345,  9356,  9359,  9360,  9361,  9362,  9363,  9366,  9367,
    9368,  9416,  9417,  9421,  9422,  9437,  9438,  9445,  9453,  9461,
    9469,  9477,  9485,  9496,  9497,  9524,  9539,  9540,  9559,  9563,
    9567,  9582,  9589,  9599,  9600,  9603,  9615,  9616,  9620,  9632,
    9640,  9645,  9650,  9655,  9660,  9668,  9676,  9681,  9686,  9693,
    9694,  9697,  9698,  9699,  9706,  9707,  9708,  9709,  9713,  9714,
    9718,  9722,  9723,  9726,  9735,  9748,  9749,  9750,  9751,  9755,
    9756,  9760,  9762,  9772,  9777,  9780,  9785,  9786,  9794,  9804,
    9805,  9806,  9814,  9818,  9819,  9822,  9823,  9828,  9829,  9833,
    9834,  9838,  9839,  9843,  9844,  9848,  9849,  9853,  9864,  9865,
    9866,  9867,  9871,  9872,  9877,  9883,  9901,  9902,  9906,  9907,
    9913,  9918,  9925,  9933,  9968,  9993,  9997, 10023, 10027, 10039,
   10052, 10066, 10077, 10092, 10098, 10103, 10109, 10116, 10117, 10125,
   10129, 10133, 10139, 10146, 10151, 10152, 10153, 10154, 10158, 10159,
   10171, 10172, 10177, 10184, 10191, 10198, 10209, 10210, 10223, 10227,
   10234, 10255, 10265, 10277, 10282, 10283, 10286, 10287, 10290, 10291,
   10296, 10297, 10302, 10303, 10311, 10316, 10317, 10321, 10325, 10331,
   10361, 10366, 10373, 10378, 10384, 10389, 10398, 10400, 10403, 10407,
   10408, 10409, 10410, 10411, 10412, 10417, 10447, 10448, 10449, 10450,
   10461, 10467, 10475, 10476, 10482, 10487, 10492, 10497, 10502, 10507,
   10512, 10517, 10523, 10529, 10535, 10542, 10564, 10573, 10577, 10585,
   10589, 10597, 10609, 10630, 10634, 10640, 10644, 10657, 10668, 10683,
   10685, 10687, 10689, 10691, 10693, 10698, 10699, 10703, 10704, 10711,
   10720, 10728, 10737, 10748, 10756, 10757, 10758, 10762, 10764, 10766,
   10768, 10770, 10772, 10774, 10779, 10784, 10790, 10798, 10803, 10810,
   10817, 10821, 10825, 10855, 10856, 10858, 10866, 10881, 10883, 10885,
   10887, 10889, 10891, 10893, 10895, 10897, 10899, 10901, 10904, 10906,
   10908, 10911, 10913, 10915, 10918, 10920, 10927, 10929, 10936, 10938,
   10945, 10947, 10955, 10962, 10969, 10976, 10993, 11000, 11007, 11014,
   11021, 11037, 11044, 11051, 11058, 11065, 11072, 11079, 11083, 11091,
   11095, 11105, 11112, 11119, 11132, 11145, 11164, 11185, 11195, 11202,
   11218, 11223, 11241, 11243, 11245, 11247, 11249, 11251, 11253, 11255,
   11257, 11259, 11261, 11263, 11265, 11267, 11269, 11271, 11273, 11277,
   11282, 11286, 11290, 11295, 11312, 11313, 11314, 11329, 11341, 11343,
   11345, 11355, 11378, 11388, 11398, 11406, 11417, 11421, 11427, 11434,
   11441, 11451, 11458, 11486, 11521, 11532, 11533, 11540, 11546, 11572,
   11582, 11595, 11603, 11616, 11626, 11639, 11649, 11662, 11666, 11670,
   11674, 11678, 11682, 11686, 11688, 11692, 11701, 11706, 11713, 11728,
   11735, 11739, 11743, 11747, 11751, 11758, 11766, 11774, 11778, 11782,
   11786, 11790, 11794, 11800, 11804, 11813, 11817, 11821, 11826, 11840,
   11842, 11846, 11848, 11850, 11853, 11856, 11859, 11860, 11863, 11871,
   11881, 11882, 11885, 11886, 11887, 11892, 11896, 11900, 11904, 11915,
   11916, 11920, 11921, 11929, 11930, 11934, 11935, 11940, 11948, 11950,
   11964, 11967, 11994, 11995, 11998, 11999, 12010, 12028, 12035, 12044,
   12061, 12106, 12114, 12122, 12130, 12138, 12159, 12160, 12161, 12164,
   12165, 12166, 12169, 12170, 12173, 12174, 12175, 12176, 12177, 12178,
   12179, 12180, 12181, 12184, 12186, 12191, 12193, 12198, 12200, 12202,
   12204, 12206, 12208, 12220, 12224, 12231, 12235, 12241, 12245, 12256,
   12257, 12260, 12264, 12268, 12274, 12275, 12280, 12284, 12291, 12292,
   12293, 12294, 12295, 12296, 12297, 12298, 12308, 12312, 12319, 12326,
   12327, 12343, 12347, 12352, 12356, 12371, 12376, 12380, 12383, 12386,
   12387, 12388, 12391, 12398, 12408, 12422, 12423, 12427, 12438, 12439,
   12442, 12443, 12446, 12450, 12457, 12461, 12465, 12472, 12482, 12483,
   12487, 12488, 12491, 12492, 12503, 12504, 12513, 12514, 12522, 12532,
   12533, 12537, 12538, 12541, 12557, 12565, 12573, 12595, 12596, 12607,
   12611, 12638, 12640, 12645, 12648, 12651, 12653, 12655, 12657, 12667,
   12669, 12680, 12684, 12688, 12692, 12696, 12705, 12712, 12744, 12748,
   12754, 12771, 12775, 12779, 12785, 12786, 12787, 12789, 12791, 12795,
   12796, 12797, 12813, 12814, 12815, 12820, 12821, 12822, 12827, 12828,
   12829, 12830, 12836, 12837, 12838, 12839, 12840, 12860, 12861, 12862,
   12863, 12864, 12865, 12866, 12867, 12868, 12869, 12870, 12871, 12872,
   12873, 12874, 12875, 12876, 12877, 12878, 12879, 12880, 12881, 12882,
   12883, 12884, 12885, 12886, 12887, 12888, 12889, 12890, 12891, 12892,
   12893, 12894, 12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902,
   12903, 12904, 12905, 12906, 12907, 12908, 12909, 12910, 12911, 12912,
   12913, 12914, 12915, 12916, 12917, 12918, 12919, 12920, 12921, 12922,
   12923, 12924, 12925, 12926, 12927, 12928, 12929, 12930, 12931, 12932,
   12933, 12934, 12935, 12936, 12937, 12938, 12939, 12940, 12941, 12942,
   12943, 12944, 12945, 12946, 12947, 12948, 12949, 12950, 12951, 12952,
   12953, 12954, 12955, 12956, 12957, 12958, 12959, 12960, 12961, 12962,
   12963, 12964, 12965, 12966, 12967, 12968, 12969, 12970, 12971, 12972,
   12973, 12974, 12975, 12976, 12977, 12978, 12979, 12980, 12981, 12982,
   12983, 12984, 12985, 12986, 12987, 12988, 12989, 12990, 12991, 12992,
   12993, 12994, 12995, 12996, 12997, 12998, 12999, 13000, 13001, 13002,
   13003, 13004, 13005, 13006, 13007, 13008, 13009, 13010, 13011, 13012,
   13013, 13014, 13015, 13016, 13017, 13018, 13019, 13020, 13021, 13022,
   13023, 13024, 13025, 13026, 13027, 13028, 13029, 13030, 13031, 13032,
   13033, 13034, 13035, 13036, 13037, 13038, 13039, 13040, 13041, 13042,
   13043, 13044, 13045, 13046, 13047, 13048, 13049, 13050, 13051, 13052,
   13053, 13054, 13055, 13056, 13057, 13058, 13059, 13060, 13061, 13062,
   13063, 13064, 13065, 13066, 13067, 13068, 13069, 13070, 13071, 13072,
   13073, 13074, 13075, 13076, 13077, 13078, 13079, 13080, 13081, 13082,
   13083, 13084, 13085, 13086, 13087, 13088, 13089, 13090, 13091, 13092,
   13093, 13094, 13095, 13096, 13097, 13098, 13099, 13100, 13101, 13102,
   13103, 13104, 13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112,
   13113, 13114, 13115, 13116, 13117, 13118, 13132, 13133, 13134, 13135,
   13136, 13137, 13138, 13139, 13140, 13141, 13142, 13143, 13144, 13145,
   13146, 13147, 13148, 13149, 13150, 13151, 13152, 13153, 13154, 13155,
   13156, 13157, 13158, 13159, 13160, 13161, 13162, 13163, 13164, 13165,
   13166, 13167, 13168, 13169, 13170, 13171, 13172, 13173, 13174, 13175,
   13176, 13177, 13178, 13192, 13193, 13194, 13195, 13196, 13197, 13198,
   13199, 13200, 13201, 13202, 13203, 13204, 13205, 13206, 13207, 13208,
   13209, 13210, 13211, 13212, 13213, 13223, 13224, 13225, 13226, 13227,
   13228, 13229, 13230, 13231, 13232, 13233, 13234, 13235, 13236, 13237,
   13238, 13239, 13240, 13241, 13242, 13243, 13244, 13245, 13246, 13247,
   13248, 13249, 13250, 13251, 13252, 13253, 13254, 13255, 13256, 13257,
   13258, 13259, 13260, 13261, 13262, 13263, 13264, 13265, 13266, 13267,
   13268, 13269, 13270, 13271, 13272, 13273, 13274, 13275, 13276, 13277,
   13278, 13279, 13280, 13281, 13282, 13283, 13284, 13285, 13286, 13287,
   13288, 13289, 13290, 13291, 13292, 13293, 13294, 13295, 13296, 13297,
   13298, 13299
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -3958

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-3958)))

#define YYTABLE_NINF -2279

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2279)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    8082,    18, 10332, -3958, -3958,    18, -3958, 54103,   450,   678,
     954,   166,  3514, 54519, 62423,   604,   323, 10733,    18, 62423,
    2444, 39959, 51191, 62423,   941,   878, 39959, 62423, 62839,   874,
    1048,   970, 63255, 54935, 49943,  1191, 62423,  1047,   866, 63671,
   55351,  1006, 55767,   878, 37065,   322,   995, 64087,  1501,  1535,
    1130, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,   450, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,   194,
   -3958,   862,   315,  1313,   749,  1135, -3958, -3958, -3958, 45367,
   62423, 62423, 62423,  1337, 62423,  1230, 62423,   172, 45367, 45783,
   56183,  1384,  1277, 33650, -3958, 43703, 62423, 62423, 64503, 62423,
      93, 52439, 62423,  1417, 62423, 62423, 46199, 64919,  1548,  1151,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, 62423,  8678,   941, -3958, -3958, 62423,
    1392, 45367, 62423,  1363, 62423,  1442, 62423, -3958, 62423,  1448,
   65335,   414,  1687, 45783,  1698, 34080,  1522, 45783, 65751, 62423,
   62423, -3958, -3958,  1512, 62423, 62423, -3958,  1611, 46615,  1243,
    1665,  1809,  1718,   841, -3958, 56599, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, 44119,   323, -3958, -3958, 47031, 62423,
    1751, -3958, -3958, 66167, -3958,  1562, -3958,   691, 47447, 47863,
    1861,  1551, 34510,  1900, 48279, 66583, -3958, -3958, 66999, -3958,
   67415,  1641, 67831, -3958, 48695, -3958,  1784, 68247, -3958,  1554,
    1394,   192, 30259, -3958, -3958, -3958,   450, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958,   373,  1475,   263,   205,   311,
   -3958, -3958,   223,   248,   274,   373,  2024,  2024, -3958, 62423,
   -3958, -3958,  1475,   670,  1620,  1620,  1620,  1807,  1122, -3958,
    1620, -3958, -3958, -3958, -3958, 55767, -3958,  1580,   941,  1635,
    2040,  1679, 62423, -3958, 62423, -3958, 62423, 62423, -3958, -3958,
    2065,  1697,  1930,  1703, -3958, -3958, -3958,  1889,  1894,  1898,
      83,   941,  1818, -3958,  2037, -3958,  1933, 20805,   941, 57015,
   68663,   355, 44119,   941, 57431,  1773,   957,  1951, -3958, -3958,
   -3958,   767, -3958,  2181,  1797,  2039,  1703,  1151, 31528, -3958,
    1802,   -26, 55767, -3958, -3958, -3958,   230,  2087, 21239, -3958,
   62423,  1804, -3958,  1816,  1821,  1834,  1313, -3958,  8082, 62423,
    1161,  1161,  2229,  1161,  1628,  1775, -3958,  1789, -3958,  2131,
    2096, 55767,   995,   204, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958,  1856,   -26, -3958,   207,
   -3958,  1656,  1871,  1701,  1491, -3958, -3958,   193, 62423,  1973,
     209,    23,  1915, 57847,  4622,  1896, -3958,   794, -3958, -3958,
   -3958, -3958,  2164,  2207,  2885,   277, 58263, -3958, 62423, 62423,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,  1910,
   -3958, -3958,  1922,  2195,   127,  2118,  1342,  2243, 10843,   985,
   58679, 62423,  2214,  2247,  5538,  1613,   796,  2142,   785,  2240,
    1241,  2263,  6528, 62423, -3958,  2200,  2299,   729, -3958,   155,
   -3958,  2046,  2171,   743, 45367,  2013, -3958, -3958, 62423, -3958,
   -3958, -3958,  2067, -3958,   710, 45367, -3958,  2209,  2075, 34940,
   -3958, 62423, -3958, -3958, -3958, -3958, -3958,  2173, 62423, -3958,
   -3958,  2296, 62423, -3958,  1620,  2224,  2077,  2451, 77355,    98,
   62423,  2126,  2497, 62423,  2298,  2126,  2136, 69079, -3958, -3958,
    2126, -3958, -3958, 62423, 62423,  2112,  1334,  2126,  2313,  2515,
    2520,  2198,  2304,   798,   892,   160,  2422,  2126,  2182, 62423,
   69495, 62423,  2196, 62423,  2503, 45367, 62423, -3958,  2306, -3958,
   -3958,   786, -3958, -3958, -3958, -3958,  2458,  1856,   245,  2462,
    2167,  2470, -3958, -3958,  2203, -3958,  2480,  1896,  2481, -3958,
    2185, 69911, -3958, 70327, 70743,  2486,  1910, 45783,  2498,  2185,
    2506,  2388,  2510,   245,  2511, -3958,   810,  2517,  2404,  2528,
    1499,  2185, 44535,  2530,   183, -3958, 22975, -3958,  2319, -3958,
     995, -3958,   -35, -3958, 39543, -3958,   192,  1475, -3958, 62423,
    1475, 62423,  1475, 62423,  1475, 62423,  1475, 62423, 62423, 62423,
    1475, -3958, -3958, -3958, 62423,  2238, 62423, 62423, -3958, -3958,
   -3958, 51607, 45783, 52023, -3958, -3958,   321,   941, -3958, -3958,
   77355,  2649, 45783,  2503,  2534,  2534,  2534, -3958, -3958, -3958,
    2475, 62423,  2538,  2539, 51607, 45783, -3958, 71159, 44119,  2437,
    2253, -3958, -3958, -3958, -3958, -3958,  1696,  2685,   287,  2686,
   22975,  2256,   232,   232,  2257,  2547, -3958, -3958, -3958,   260,
    2270,  2271, -3958,   216,   216,  2425,  2272,  2274, -3958,   273,
    2276,  2708,  2710,   275,  2278,  2280,  2281,  1464,   232, 22975,
   -3958,  2285,   216,  2292,  2293,  2297,  2726,  2305, -3958,  2727,
    2308,   366,   368,  2310,  2311, -3958,  2272, -3958,   191,  2312,
    2314,  2315,  2317,  2322,  2324,  2328,  2330, 22975, 22975, -3958,
   19937,   -26,   941, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
     150, -3958,   282,  4261, -3958,  2333, -3958, -3958,  2479, 22975,
   -3958, -3958,  2551,  2309, -3958,   284, -3958, -3958, -3958,   -26,
   -3958, -3958,  1090,  2329, -3958,  1521, -3958, -3958, -3958, -3958,
   -3958, -3958, 42455,  2724, -3958,  1367,   941,   155,  1605,  2682,
   38711, 39127, -3958, -3958,  2563, -3958, 62423, -3958, -3958, 22975,
   36649, -3958,   -26,   140, -3958, -3958, -3958,  1547, -3958, -3958,
   -3958,   450, -3958,  9729, -3958,  1584,  1804, 62423, 62423,  2742,
   -3958, -3958, -3958,  1816, -3958, -3958,  1313,  1313, 22975,  1313,
    1114,  1451, 21673, 22975,  2628,  2533,  1371,  1088,  2629, -3958,
    2536,  1628,  1775, 55767, 62423, 71575,  2459, -3958, 37481,  1717,
     -26,  2429,  2431,  2477, 40791,  2356,  2436,  2439,  2488,  2445,
    2447, 71991, -3958, -3958, -3958, -3958,   791,  1067,   758,  2448,
     242,  1144,  2732, -3958,   793,  2495, -3958, -3958, -3958,  3111,
   62423,  2675,  6920,  2562,   277,  2496, -3958, -3958,  2609,  2461,
    2463,  2577,   277,   858, 72407, -3958, -3958, -3958, -3958, -3958,
   -3958,  5833, 18693, -3958,  2464,  2449,  2473, 62423, 49111,   331,
    2578,    47,  1794,   203, 62423,  2653,  2590, 62423,  2402,  2483,
    2487,  2674,  2412,  1024,  2773,  2410, -3958, -3958, -3958,   402,
    2588, -3958,  2681,  2720,  7455,  2482,  2484, 76545,   976, 35370,
    2763,  1507,  2505, -3958,  1507, 62423,  2508,  2509, 62423,   277,
   -3958,  2822,   277,   277,  1327,  2824,  2514,   380,  1502,  2126,
    2410,  2494,  2074, -3958,  2519,  2522,   259, -3958,  2634, -3958,
   -3958,    13,  2531, 55767,   171,  1685,  2410,  2524,  2535,  2412,
    2412, 62423, 62423, 62423, 62423, 62423,   196,  2852,  2855,  2537,
     179,  2579,  2455, -3958, 42871,  2540, 68663, -3958, -3958, 62423,
    2542,  1691,  2410,  1433,   118, -3958, -3958, -3958,  1151, -3958,
   62423, -3958, 62423,  1856, 77355,  2647, -3958,  2500, -3958,  1896,
     277, -3958, 62423, 62423,  1910,   748,   847,  2650, 62423,  2715,
    2502, -3958,   220, 37888, -3958,  2112,  2474, -3958, -3958,  2521,
   -3958,  2521,  2521,  2476,  2476,  2489, -3958, -3958, -3958,  1464,
    2521,  2476, -3958, 78165, -3958,  1374,  1412, -3958,  2886,  2889,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,   802,
    1646, -3958, 62423, 40791, -3958,  2896, -3958, -3958, 77355,  2672,
    2789, -3958, 62423,  2691,  2493, -3958,  2828,  2552, -3958, -3958,
      84, -3958,  2797, 45783,  1315,   941,  2543, 62423,  2717, 62423,
   62423, 62423, 62423, -3958, -3958,  2690,   831,   258, -3958, 42871,
   -3958, 62423,  1387,  2702,  2908,    63,  1620, 62423,  2793, -3958,
   62423,  2512,  2910,  2743, -3958,  1736, -3958,  2635, -3958, 45367,
     245, -3958, -3958, -3958, -3958, 77355, 62423, 72823, 45367,   245,
   45783, 45783,  2809,   183,  2816,  2571,  2818,  2573, 35370,   245,
     201, 45783, 62423, 62423, 62423, -3958, 62423, -3958, -3958, -3958,
   -3958, 62423, 62423, 45783, 42871,  2820,  2821,   245, 62423, 62423,
   -3958,  9729,  1591, 62423,   192, 43287, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, 62423, -3958, 62423, -3958, 62423, -3958,
   62423, -3958, 62423, -3958, -3958, -3958, 62423, -3958, 62423,  1625,
   -3958, -3958,  1652,   181, 62423, 62423,   737, 45367, 62423,  2713,
   62423, 62423, 62423, 62423, 62423,  2600,  2329,    -8, -3958,   214,
   55767,  2721, -3958, -3958,  1657,  1501,  1182, 62423, -3958, -3958,
   -3958, -3958, -3958, -3958, 52023, 51191,  2808,    95, 62423, -3958,
   -3958,  4793, 22975,   -26, 20371, -3958, -3958, -3958,  2526,  9729,
    2567, 22975, -3958, -3958, 22975,  2545,  2024,  2024, 22975, -3958,
   -3958, -3958, -3958,  1449,  2024, -3958, 22975, 22975,  2024,  2024,
    2521,  2521, -3958,  4554, 22975, -3958, 35370, 22975, 25579, 17843,
   22975,  2607,  2548,  2024, -3958,  2024, -3958, 22975, 19503, -3958,
   22975,  2739, 26441, 22975,  1605,  2744, 22975,  1605,  2960,  2960,
    2541,  4595,  2544,   -26, -3958,  2648,  2024, -3958,  2024,   143,
   -3958,   222, 77355, 22975, 40791,  2616,   226, 62423, 22975,  2546,
    1994, -3958, 22975,   816, -3958,  2550, 22975,  2617, 22975, 22975,
   22975, 22975, 22975, 22975, 22975, 22975, 22975, -3958, 27287,   276,
    2817,  2840,   519,  1648, 59095,  2836, 20805, 17408, -3958,   283,
   -3958, -3958, -3958, 62423,  2724, -3958, -3958,  2631, -3958, -3958,
   -3958, -3958, -3958,   286, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958,  2549, -3958, -3958, -3958, -3958,  2549, -3958,  2553,  3486,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958,  2827,  2829,   245, 62423,
     230, 52855, -3958, 21239, -3958,  1670, -3958,  2558, -3958,  2810,
   -3958,  2560, -3958,  8047,  2810, -3958, -3958,   189,  2678,  2805,
    2752, -3958, -3958, -3958,  2569,  9729, -3958,  1452,  9729,  1595,
   -3958, -3958, -3958, -3958, -3958, -3958,  1199, -3958, 62423,  2721,
    2628,  1088,  2626,   634, 62423, -3958, 31951,  2754, -3958,  2967,
   -3958, 78165, -3958,  2580, -3958, 77760, 75319, -3958, -3958,    68,
   -3958,  1364,  2657,  2659,  2705, 45783, 62423, 62423, -3958, 40791,
   45783, 62423, 62423, 45783, 62423, 62423, -3958,  2945,   952, 51191,
    2707, 50359, -3958, -3958,  2586, 62423,  2642,  2831,  2832,   855,
   -3958, -3958, 73239, -3958,  2783, 45783, 62423, 62423, 22975,  2784,
   62423, 62423, -3958,   307,  2667,  2673, -3958, 62423,  2676, 45367,
    2598, 62423, 62423, 62423,  2677,   725, 45367,  2643, 35800, 62423,
   62423, 62423, 62423,  2722, 62423, 62423,  2838,  1014, 55767,   177,
    1735,  2410,  2798, -3958,  1399, -3958, 45783, 62423,  2791, -3958,
   -3958, -3958, 59511,  3004,  2711, -3958, -3958, 73655, -3958, -3958,
   -3958,  1715, -3958, 45783, 45783, 62423,  8227, 62423,  1242, -3958,
   -3958, 77355, -3958, 62423, 62423, 62423, 62423, 53271, 74071, 74487,
    1015,  1181, 62423, 53687, -3958, 62423, -3958, -3958, 41207, 45783,
   62423,   876, 40791, -3958, 62423,  2794,   288, -3958, 62423,  3927,
   -3958,  2687,  2694, 62423,   246,  1810,  2410, 62423, 62423,  2608,
    1755,  2696,  2735, -3958, 62423, -3958, 45783,   819, -3958,  2753,
   45783, 62423, 10913, -3958, -3958,   277, -3958, -3958, -3958, -3958,
   -3958, 62423, 62423,   277, 62423,   277, 62423,  1218, -3958, 45783,
   62423, -3958, -3958, -3958, 62423,  9172, 62423, 62423, 62423, 62423,
   45783, 62423, -3958, -3958,   813,   660,    99,   966,  2759, 62423,
    2890, 62423, 74903, 45783, 62423, 62423, 62423,  1445, -3958, -3958,
    2737, -3958, 45783,   819, 10241, 62423, 62423,  2706,  2712,   229,
    2780, -3958, -3958, -3958, -3958, -3958, -3958,  2875,  3038, 62423,
   -3958,  2877,  2879,  2692,  2695,  2884,   271, 62423, -3958, -3958,
   -3958, -3958, 62423,  2887,   271,  2830,   672, -3958, -3958,  2126,
   -3958,  2655,  1756, -3958, -3958, 22975,  3054, 77355,  2652,  2654,
    2730,  2731,  2734, -3958,  2651,  2738,  2024, -3958, -3958,  1734,
   -3958, -3958,  1777, -3958,  2668,   831,  1401, -3958, 40791, 62423,
     830,   849,  2959, 49527,  1034,  2949, 62423,  2714, 62423,  1034,
   62423, -3958,  1805, 51191, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958,  2951, -3958,   941,  2112,  2112,  2112,  2112,
   -3958, -3958, -3958, -3958,  2857,  1290, -3958,  2662,  2112, 62423,
    2778,  1034,  2680,  2729,  1387,  2976,   784, 62423, 49527,  1823,
    2718,  3081,  1620,   941,  2863, -3958, 19098,  4537,  2864, 44119,
    2956,  2958,  2980, -3958,  1856, -3958,  3097, -3958,  2998,   245,
    1896, -3958,  2185, -3958, 62423, -3958, 62423, 62423, 62423, 62423,
    1910, -3958, -3958,  2185,  2888,   245,   245, -3958,  2891,   245,
    2185,  2811,  2989, 44119, -3958,   183, -3958, -3958, 22975,  1620,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,  1792, -3958,
   62423, -3958,  2965,  2968,  2970,  2704,  2723,  2741, 62423,  2733,
   -3958,  2704,   277,  2704,  2329,  2329,  2704,  2723, 44951,  3135,
    3003,   173, -3958,   186,  1285,  2937, -3958, -3958, -3958, -3958,
   77355, -3958, -3958, -3958, -3958, -3958, 62423,  2766,   114,  2917,
    2736, 44951,  3120,   245, -3958, 45367, -3958, -3958, -3958,  2806,
    2823, 45367,  2926,  2781, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958,  2978, 62423,  1799, -3958, -3958,  1424, -3958,  1505, 22975,
   22975,   178, -3958,  8113,  1822, 22975,  2746,  2747,  1829, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958,  2750,  3023, -3958,  2751,
    1836,  1842,  2755,  2756, -3958, -3958,  2775,  2757,  8631,  2758,
   25579, 25579,  1924, -3958, -3958, 25579,  2760, -3958,  1854,  8163,
    2740,  2764,  2761, -3958,  2771,  2776,  8672, 22107, 22975, 22107,
   22107,  8940,  2740,  2777,  1860, 40791,  2913,  8952,  1874, -3958,
   22975, 40791,  3990, 22975, -3958, 22975, 62423,  2779,  2782, -3958,
   -3958,  4554, -3958,  2772, -3958, 25579, 25579, -3958,  3946, 19937,
   -3958, -3958,  3037, -3958, -3958,  1164, -3958,  2785, -3958, -3958,
    9349,   247, 22975,  2546, 22975,  2837, 35370,  8654, 22975,  6626,
    7839,  7839,   386,   386,   188,   188,   188,  1663,  1648, -3958,
   -3958, -3958,  2786,  2787,  2790,  2957,  2305, 22975, -3958,  1913,
    1953, 62423,  2133,  2362,  2709, -3958, -3958, 28567,  2833, -3958,
   22975, 22975, 22975,  2788, -3958,  3205,  9729,   598, -3958,  3207,
   -3958,  1151,  2024,   143, 39543, -3958, -3958, 22975, -3958, -3958,
   -3958,  1816, -3958, -3958, -3958, -3958, -3958, 62423,  1501, 22975,
   -3958, -3958,  1087,  1582, 22975,  1452, -3958, -3958,  2848, -3958,
   22975, -3958, -3958, -3958,  2329, -3958, -3958, -3958, 28567,  2834,
    2841, 31105,  2929, -3958, -3958, 62423,   295, -3958, -3958, -3958,
    2812, -3958, -3958, 75319,  1646, -3958, 77760, -3958, 77760, -3958,
    1646,  3186, -3958, 75319,  1617, 45783, 62423, 62423, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,  3025, -3958,
   45783, 45783,  2987, 62423,  2985,  2991, 22975,   176, 62423,  2807,
    2813,  1259,  3067, 62423, -3958,  3112,   245, -3958, -3958,  2893,
   -3958,  9729, -3958, -3958, -3958, -3958, -3958, 45783, 62423, -3958,
   44119, -3958,  1856, 77355, -3958, -3958, -3958, 62423,  2842, 62423,
   -3958, 62423, 62423, 62423,  1910, -3958, -3958, -3958, -3958,   873,
   -3958, -3958, 62423, 62423,   219,  2895,  2897, 62423, -3958,  1043,
    2634, 10285, 62423, 62423, 62423,  3072, -3958, -3958, -3958, -3958,
    3016, -3958, -3958, 75319, -3958,  2185,   101,  2899,  2410, -3958,
    3005, -3958,   967, -3958, -3958, -3958, -3958, -3958,  3126,   245,
    3128,   245, 62423, 62423, 62423, 62423, -3958, -3958, -3958, -3958,
   -3958, 40791, 40791, 40791,  1876, -3958, -3958,   941, -3958, -3958,
   -3958, -3958, -3958, -3958,  3089, -3958,  1880, -3958,  1529, -3958,
   -3958, -3958, -3958, -3958, -3958, 45783, 62423, 10360, 62423, 62423,
   62423,  1728, -3958,   747, 77355, -3958, 76950, 45783, 62423, -3958,
   -3958, -3958,  3055,  2999, -3958,   279,  3001, 45783,  2894, -3958,
    2912, -3958, -3958,  2914,  1964,  2410,  2898,  2074, -3958, -3958,
   -3958, -3958, -3958, -3958,  2874, -3958, -3958,   124,   249,  1988,
    2410,  2916, -3958,  2918, -3958, -3958, -3958,  3057,  3059,  3061,
    2922,  2923,  2974,  2925,  2930,  2977, -3958,  2931,  2979,  2935,
    2981,  2938,   245, 77355,  3062,   941,  2973,  3166,   245, -3958,
    2952, -3958, -3958,  3267, -3958, 62423, -3958,  2953,  2010,  2410,
   -3958, -3958, 45783, 62423, -3958, -3958, -3958,   271, 77355,  3115,
     271,   271, 62423, 62423,   271, -3958, -3958, -3958,  3117,  3121,
     271, -3958, -3958, -3958, -3958,  2224,  2880, 33220, -3958,  3310,
    5029,  2881,  2654,  2882,  2024,   197,  1129,  1108,  3000,  2024,
    3092,  2883, -3958, -3958, 40791, 33220,  1716,  3110,  2900,  2900,
    2900,  2900,  2900,  2900,  2900, -3958,  1577,   137,  2126, 44119,
   62423, 44119, -3958,   849,  3005, 62423, 62423,  2901,  2904, -3958,
   -3958, -3958, -3958, 45783,   840, 45783,  2024, -3958, -3958,  2954,
   -3958, 62423,  1620,  3286,  2520,  1315,  3026,  1444,  3230,  2718,
   -3958, -3958, -3958, -3958, 62423, 62423,   831,   941, -3958,  2902,
    2905, -3958, 62423, 62423, 62423, 62423, 62423,  2766,  2892,  2909,
   77355,    53,  3078,  3080,  2412,  3300,  1501,  2718,  2975, 62423,
   -3958,  1881,   123, -3958,   941, 44119, 75724, -3958,  3794, -3958,
   -3958,   896,  3175, -3958, -3958,  1501,   245, 77355, 62423, -3958,
     245,   183,  2966,   245,  2969,   245,   245, 62423, -3958, -3958,
   62423, -3958, 62423, 42871,   245, -3958,  9729, -3958, -3958,  3039,
    3040,  3042, 62423,  2704, 45367, -3958,  2911, 45783,   979, -3958,
   -3958,  3084, -3958, -3958, -3958, -3958, -3958,  3219,  3224, -3958,
   -3958, -3958,   824, -3958, 45783, 51607,   270, 45783, -3958,  1856,
   -3958, -3958,  1896,   277, -3958, 62423,  3165, -3958, -3958, -3958,
    2927,  1893,  9227, 22975, -3958,  3234, 77355, -3958,  5164, -3958,
   -3958, -3958, -3958, 22975, -3958, -3958, -3958, -3958, -3958, 22975,
   -3958, 22975,  3210, -3958,  3354,  3354, 77355, 25579,   228,  2292,
   25579, 25579, 25579, 25579, 25579, 25579, 25579, 25579, 25579, 27721,
    1068, -3958, -3958, 22975, 22975,  3220,  3210, -3958, -3958,  1265,
    1265, 77355,  2932,  2740,  2933,  2934, 22975, -3958, -3958,  1901,
   26864,  2936, 40791, -3958, 22975,  8361,  1903,  2982,  9594,   -26,
    5302, -3958,  3308,   941, 22975,  1545,  2273, 22975,  1940, 22975,
    3216, -3958, -3958, -3958,  2939, -3958, -3958, 77355, 22975, 25579,
   25579,  9747, -3958,  9843, 22975,  2940,  9862, 19937, -3958,  3116,
    2983, 32374, -3958,   878,   878,   878,   878, -3958, 62423, 62423,
   62423, 28990,  3231, 28144, 59927,  2944,  1699, -3958, 59927, 60343,
   -3958,  2955, -3958,  2950,   -26, 22975,  3227,   645,   645,  3116,
   -3958, 22975, 22541,  2961, -3958,   155,  2962, -3958, -3958,  6505,
   -3958, -3958,  2963, -3958,  2971, -3958,  1582, -3958, -3958, -3958,
    5597,  3137, -3958, -3958,  2944, 23409,  2929, -3958,  1962, -3958,
   -3958, 20805, -3958, -3958,  1966, 31951,  2834, 21239,   -26,  1968,
    1632, -3958, -3958, 75319, -3958,  3021, -3958, -3958, -3958,  2900,
    2185,  2185,  1159,  2704,  3243,  1159,  5910, -3958, -3958, 29413,
   62423, 62423, -3958, 62423,  1976,  1324, 62423, -3958, 62423, -3958,
   -3958, -3958, -3958,  3360, -3958, 62423, -3958, -3958,  3013,  3014,
   -3958, 62423, 62423, 62423, 62423, -3958, -3958,  1871, -3958, -3958,
   45783, 62423, -3958, -3958, -3958,   397,  2129,  2410, -3958,  3043,
   -3958, -3958,  3213, -3958,  3349,  3050, 62423,  2972, -3958,  1324,
     237,  2412,   693, -3958, -3958,  3035, 62423, -3958, 62423, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, 41207, -3958,
   -3958, 62423, -3958, 40791, 33220, 40791, -3958,  1032,   424,  2228,
    2410, -3958,  3046, -3958,  3047,  3051,  3095,   699,   187,  3052,
    3058,  3099,  2986,  2990,  2992, -3958, -3958,   373,   941, -3958,
   -3958,   941,  2185,   941, 62423, 62423, 62423, 62423,  2412,  3366,
    3065, 62423, 62423, 62423, 62423, 62423,  3271,   180,  1676, 45783,
   62423, 62423, 45783, 62423, 62423, 62423, 62423, 62423, 62423, 62423,
   -3958,  3356,  3295,  1827,  3336,  3069, 62423, -3958, 62423,  2634,
   62423, 62423, -3958, -3958, -3958,  2996,   271, -3958, -3958,  3242,
    3247, -3958,   271,   271, -3958,   220, 40791, -3958,  2109,  2971,
    2024,   402, -3958, -3958, -3958, -3958, -3958, -3958,  2655, -3958,
   -3958,  2024,  1926,  3006, -3958,  3008, -3958, -3958, -3958, -3958,
   -3958, -3958,  3007, -3958,   143, -3958, -3958, 62423,  2900, -3958,
     353,   356,  1167,  1219, 60759, 61175, 61591,  3009, 62423, 62423,
   25579, -3958,  1386,   225, -3958,  3249, 62423,  3048, -3958, -3958,
   -3958,  3168, 62423, -3958, -3958, -3958, -3958, -3958,  3011, -3958,
    3129, 49527,  2185, 45783, 45783,  2185, -3958, 77355,  3015,  2718,
   45783,  1315,  1096, 69495,  3063, -3958,  3019,  3307, -3958,  3018,
    3022, -3958, -3958, 62423,  3005,  1977,  3056,    70,  1554, -3958,
   50775,  1823,  3287, -3958, -3958, -3958,  3398,  3119, -3958,  1501,
    2766,  3119,   941,  2642, -3958, 75319, 22975, 22975, -3958,  3031,
   -3958,  3053,  5112, -3958,  2112, -3958, -3958, -3958, -3958, -3958,
   -3958,  3123, 62423, -3958, -3958,  3041,   245, -3958, -3958, 62423,
   -3958, 62423, -3958, -3958,   245,   245, -3958,  3161, -3958, 62423,
   62423, 62423,  2704, -3958,   277, -3958,  3329, 44951, -3958, -3958,
   -3958, -3958, -3958,  3391,    95,  3338, -3958, -3958,  3302,  3305,
    3306,  3309,   814, -3958, -3958, 22975,  9729, -3958,  3064, -3958,
    9729,  5925,  9729,  3220, -3958,  2132,  3341, -3958,  1127,  3070,
    2132,   961,   961,   433,   433,   293,   293,   293,  3354,  1068,
    9729,  9729, -3958, -3958, -3958, -3958,  3066, -3958, -3958, -3958,
    2740, -3958, 23843,  3214,  3459, -3958, -3958, -3958,  3113,  3114,
    3071, -3958, 22975, 24277,  3073, 78165, -3958, -3958,   143,  1779,
   25579, 25579,  1770, -3958,  1057, 22975, 77355,  1978,  1770,  2295,
    2728, 22975, 22975, 10128,   281, 22975,  6259,  3082, 22975, 76129,
   -3958, -3958, 62423, 62423, 62423, 62423, -3958, -3958, -3958, 59927,
   60343,  3074, 18269,  1699,  3086, 62423, -3958, -3958,  3079, 28567,
    3313,  3258, -3958, 28567,  3258,  1473,  3258,  3322, -3958, 32797,
   -3958, -3958,  3085, -3958, -3958, 17408,  1682,  9729,  3476,  3363,
   22975,  3090,  3093,  3094,  9729, 22975, -3958,   941,   941, -3958,
   -3958, 35370, -3958, -3958, -3958,  3280,  9729, -3958,  1501, 62423,
     -26,  2309,  3106, 62423, -3958,  2929, -3958, -3958,  3169,  1983,
   -3958,   373, -3958, -3958, -3958, -3958,  3174, 51191,  3382, -3958,
   22975,  1985, -3958,  3136,  3472,   149,  1989,  1991,  1324, -3958,
    3048, -3958,  1549,  3362,   251, -3958,   245, -3958, 77355, -3958,
   62423, 62423, -3958, -3958, -3958, -3958,  2356, -3958, -3958, 62423,
   62423, 62423, 62423, -3958, 45783, 62423, -3958, 40791,  1577,  3299,
   -3958, -3958,  3301,   373, 62423, -3958, 77355,   245,   245, -3958,
   -3958, -3958, -3958,  3118,  3495,  3194, 62423, 62423, 62423, 62423,
   45783, 62423, 62423,  2024,  2024, 77355,  3108, -3958,  2024,  2024,
    3122, -3958, 45783, 62423, 62423, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958,  3146, -3958, 45783, 62423, -3958,
    3190, -3958, -3958, -3958, 62423, 62423, 62423, 62423,  3415, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   62423, -3958, -3958,   941,   941, 77355,   245,   245, -3958, -3958,
   -3958,  3358, -3958,   271,   271, -3958, -3958,   430,  1995, -3958,
   29836, -3958, -3958,  2497,   941,  2497,  1672, -3958, -3958,  2497,
   -3958,  2497, -3958,  1324,  3124,  1509,  3399, -3958, -3958, -3958,
   -3958,  3402,   373, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958, 22975, -3958,
     806,  2132, -3958, -3958, -3958, -3958,  3048,  1620,  3176, 45367,
     912, -3958,  3383,   830, 49527,   256, 62423, -3958,  2185,  2185,
    3177, 62423,  3525, -3958,    89, 62423,  3439,  3170, -3958,   941,
   -3958, -3958,  2718,  2412, 62423, 49527,  2766,  2007, -3958, -3958,
   -3958,  3164,  3080,  3125,  1823,   234, 62423, -3958,  3167, -3958,
   -3958,  3413,  3133, -3958,  9729,  9729,   941, 78570,  3794, -3958,
   62423,  3390,   245, -3958,   245,   245, -3958, -3958, 62423,  2704,
    2704,  2704, -3958,  3318, -3958, -3958,   245, 44951,   814,   814,
     814,   814, -3958, -3958, -3958,  9729, -3958, -3958, -3958, 25579,
    3420, -3958,  3138, 77355, -3958,  3139,  2032,  2036, 26441,  3282,
   -3958, -3958, -3958,  6712,  3191,  9729,  3240,  3141,  3145, -3958,
     738,   738,  1057,  2038, -3958, 25579, 25579,  1770,  1770, 22975,
    1770, -3958, -3958,  6851,  3317, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, 41623, 59927,  3149, 62423,  1699, 28567, -3958, -3958,
    1270, -3958, 28567,  3392, -3958, 28567, 62423,  3150, 62423,   598,
   22975, 22975,  3188, -3958, -3958, -3958,  3116, -3958,   143,  3152,
   62423, -3958, -3958,   995, -3958, -3958, -3958, -3958, -3958, 44951,
    3342, 44951,  1324,  7057,  3048, 29413, 36230, 62423, 62007, 62007,
    3303,  3048,  3176, -3958, -3958, -3958, -3958, -3958, -3958,  3154,
   -3958, -3958, -3958,  3237, -3958, -3958,    29,  2721,  2050, -3958,
   -3958, -3958, -3958, -3958,  3356, -3958, -3958, 33220, 45783, 62423,
   -3958,  3241, -3958, -3958, -3958, -3958, -3958, 30682, 35370, -3958,
     699,  3157,  3163,   187, -3958, -3958, -3958,  2412,   707,  2721,
   62423,  1091,   955,  3201,  2704,  3456, -3958, -3958, -3958,  3356,
   -3958, -3958,   271, -3958, -3958, -3958,  2126,  3494, -3958, 40791,
   -3958, 42039, -3958, -3958, -3958,   941, -3958,   941,  3364, 62423,
   38295,   941,   941, -3958, 45367,  3575,  3575, 62423, -3958, -3958,
    7430,  3367, -3958,  3176,  3387,  3434, -3958,  3178, 62423,  3328,
    3179,  3187,   261,   261,  3005, 62423,  2056,  1501,  1315, 49527,
    3005, -3958,  1402,  3180,  3478, -3958,  3597, -3958,  2892,  3193,
   -3958, -3958, 50775,  3379,  3119, 62423,  3080,  3324, -3958,  3325,
   -3958,   908, -3958, 62423, 29413, -3958, 77760, -3958,  2057, -3958,
   -3958,  2833, 62423,   103, -3958, -3958, -3958, -3958, -3958, -3958,
     270, -3958, -3958, -3958, -3958,  1171, 25579, 77355,  2098, 22975,
   -3958, 22975, -3958,  3589, -3958, -3958, -3958,    78, -3958, -3958,
   -3958,   738,   738,  1770, -3958,  3590,  3116, -3958,  2099,  3609,
   -3958, 62423,  2137, -3958, 22975,  3208, -3958, -3958, 28567,  1270,
    2144, 62423,  2145, 77355,  3212,  2740,  9729, 62423, -3958,  3215,
   -3958, -3958, -3958, -3958,   979,  1159,   270,  3472,  3176, -3958,
    3209, -3958, -3958, 62423, -3958,  1443,  1443, 62423,  3176, -3958,
   -3958, 62423,  3296, -3958, -3958, 40791,  3269, -3958,   788,  2721,
   62423, 77355,  1896,   132, -3958, 77355, 77355, -3958, -3958,  3304,
   -3958, -3958, 62423, 62423, 62423, 62423, 62423,   245, -3958,  2880,
     941, -3958, -3958,  2146, -3958, -3958, -3958, 62423,  3019, -3958,
    3019, -3958, -3958,  3575,   300, -3958, -3958, -3958,  1588,  3419,
   -3958,   989,  3406,  3311,  3223, -3958, 45367,  3652,  3343, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,  3520,  2718,
    3167, -3958, -3958, -3958, -3958, 22975,  3385,  1501,  1823,  3287,
   -3958, -3958, -3958,  2154,  3119, -3958, -3958,  3605,  3416,  3608,
   -3958,  2158, -3958, -3958,  5112, 78570,  3555, -3958,  3288, 62423,
   -3958, -3958, -3958,  1171,  2177, -3958,  2183,  2192,  3381,  3289,
   -3958, 22975,  1524,  2955, 41623,  3245, -3958,  2194, -3958,  9729,
   62423, -3958, -3958, -3958,  2202, -3958, -3958,  3236, -3958,  3646,
   -3958, -3958,  3530, -3958, 62007,  3290, 35370, -3958,  1582,  1582,
    1620, -3958,  1324, -3958, 62423, -3958, 22975, -3958,  3332, -3958,
   -3958,  2210, -3958,   659,  3395,  3538,  2216,  2221, 62423,  2723,
    3294,  2723, -3958,  2704, -3958, -3958, -3958, -3958, 42039,  3019,
   -3958, -3958, -3958,  3565,  3511, -3958, -3958, -3958, -3958,   388,
   -3958,  3440,  3445, 62423, -3958,  3261, -3958,  2222, 62423, 62423,
    3667,  3668, -3958,  7484, 45367,  3167,  3080,  1823,  1577, -3958,
   -3958,  3447, -3958,  3448,  2718, 29413,  3794, -3958,   894, -3958,
   -3958, -3958, -3958, -3958, -3958, -3958,  2740, 24711, 24711,  3265,
   -3958, -3958, 62423, -3958,  2230, -3958, 62423,  3268, 44951,  1443,
    3270, -3958,  3266, -3958, -3958,  3387,  1324,  2721,  9729, 62423,
   45367,  3657, -3958, -3958, -3958,  3395, -3958, -3958,  2721, 62423,
   -3958,  3400, -3958,   891,   891,  3600, -3958,  3330, -3958, -3958,
    3275, -3958,  3708,  3005, -3958,   699,  1501, -3958,  3278, -3958,
    3119,  3080, -3958, -3958,  3119, -3958, -3958, -3958, -3958,  2201,
   26013,  3405,   877,  7395, -3958, -3958, -3958, -3958,  2232, -3958,
   -3958, -3958,   270,  1582, 22975,  1324, -3958,  3406, -3958,  2721,
    1896, 62423, -3958, -3958, -3958,  3170, -3958,  3699, -3958,   778,
   -3958, -3958, -3958, -3958, -3958,  3108,  3167, 40375, -3958,  3119,
    2833, -3958,  1630, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
    3689, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,  7544,
   -3958, -3958, -3958, -3958,  3584, -3958, -3958, -3958, -3958, -3958,
    2239, -3958, -3958, -3958, -3958, -3958, -3958,  1997, -3958, -3958,
    2011,  1834, 25145, -3958,  1324,  3437, -3958, 40375, -3958,  1630,
   -3958, 45367, -3958, -3958,  3284, 40375,  2241, -3958
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1407,  1203,   553,  1291,  1290,  1203,   244,     0,  1293,     0,
    1203,   371,   965,     0,     0,     0,     0,   553,  1203,     0,
    1407,     0,     0,     0,     0,  1420,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1203,     0,     0,  1427,     0,
       0,     0,     0,  1420,     0,  1295,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1293,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1394,
    1381,  1429,  1393,  1406,     0,  1396,  1202,  1201,  1187,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   552,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1213,
    1952,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,   342,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,
    2226,  2227,  2228,  2229,  1985,  1986,  1987,  1988,  1989,  1990,
    1991,  2230,  2231,  1992,  1993,  1994,  1995,  1996,  2232,  1997,
    1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,  2006,  2007,
    2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2233,
    2234,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,  2025,
    2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,  2038,  2039,  2040,  2041,  2235,  2042,  2043,  2044,
    2236,  2045,  2046,  2047,  2237,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2238,  2055,  2056,  2057,  2058,  2059,  2060,  2061,
    2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2239,
    2071,  2072,  2073,  2074,  2240,  2241,  2242,  2075,  2076,  2077,
    2078,  2079,  2080,  2081,  2082,  2083,  2084,  2243,  2085,  2086,
    2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,
    2097,  2098,  2099,  2100,  2101,  2244,  2245,  2102,  2103,  2246,
    2104,  2105,  2106,  2247,  2107,  2248,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2249,  2116,  2250,  2117,  2118,  2119,
    2120,  2121,  2122,  2123,  2124,  2251,  2125,  2252,  2128,  2126,
    2127,  2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2253,
    2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2254,
    2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,
    2166,  2167,  2168,  2169,  2255,  2170,  2171,  2172,  2256,  2173,
    2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,
    2257,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2258,
    2259,  2192,  2260,  2193,  2261,  2194,  2195,  2196,  2197,  2198,
    2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,
    2209,  2210,  2262,  2263,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2264,  2265,  2266,  2267,
    2268,  2269,  2270,  2271,  2272,  2223,  2224,  2225,   341,  1372,
    1923,  1953,  1954,  1292,  1273,   553,     0,  1190,   370,     0,
       0,     0,     0,     0,     0,     0,     0,   742,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   167,     0,
       0,   394,   393,     0,     0,     0,   937,   399,     0,     0,
       0,     0,     0,   541,  1334,  2126,  1332,  1373,   245,   248,
     249,   246,   247,  1945,     0,  1044,  1045,  1047,     0,     0,
    1057,   777,   778,     0,   776,     0,   780,     0,     0,     0,
     772,     0,     0,     0,     0,     0,   779,   769,     0,   768,
       0,     0,     0,   775,     0,   770,     0,     0,  1191,  1331,
     400,  1407,     0,  1309,  1310,  1311,  1293,  1300,  1312,  1305,
    1307,  1306,  1308,  1304,  1944,  1968,   876,   876,   876,   876,
     873,   874,   876,   876,   876,  2143,     0,     0,   855,     0,
     857,  1949,   876,   881,   455,   455,   455,     0,   880,   885,
     455,  1184,  1222,  1928,  1419,     0,   856,  1183,  2192,  1323,
       0,     0,     0,  1061,     0,  1062,     0,  2158,  1195,   229,
    2168,  2258,  2192,   228,   223,   224,   197,  1972,     0,     0,
     880,     0,  1192,  1193,   839,  1426,  1424,  1910,  1990,  2003,
    2088,   220,  2154,  2159,  2168,  2258,  2192,  2222,   176,   186,
     181,     0,   238,  2168,  2258,  2192,   234,  1213,     0,  1397,
    1512,  1919,     0,  1186,  1185,  1294,     0,  1297,     0,  1474,
    2139,  1401,  1403,  1299,  1394,     0,     0,     1,  1407,  1288,
    1423,  1423,     0,  1423,     0,  1386,  1394,  1389,  1393,     0,
       0,     0,     0,  1952,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,     0,     0,  1929,  1953,
    1957,     0,   787,     0,   124,  1924,   925,     0,     0,     0,
       0,  1923,     0,     0,     0,     0,  1958,     0,  1946,  1959,
    1960,  1961,     0,  2060,     0,     0,     0,  1822,  1994,  2045,
    1832,  1830,  1831,  1824,  1825,  1826,  1827,  1828,  1829,     0,
    1042,  1823,     0,   146,   124,     0,     0,  2060,   516,     0,
       0,     0,     0,  2060,     0,     0,     0,     0,     0,  2091,
     124,  2060,     0,     0,  1207,     0,     0,     0,  1209,  1212,
    1188,  1276,     0,  1919,     0,     0,   818,   808,     0,   819,
     809,   814,     0,   821,     0,     0,   811,     0,     0,     0,
     822,     0,   810,   812,   824,   813,   820,     0,     0,   815,
     816,     0,     0,  1199,   455,   348,     0,     0,     0,     0,
       0,   124,  1263,     0,  2060,   124,     0,     0,   398,   397,
     124,   396,   395,  1994,  2045,     0,   964,   124,  2060,     0,
     169,   623,   556,     0,     0,   701,  2091,   124,     0,     0,
       0,     0,     0,     0,   940,     0,     0,   540,   553,  1335,
    1333,     0,  1048,   222,   221,  1046,  2060,     0,   316,     0,
       0,  2060,  1250,   774,     0,   773,  2060,     0,  2060,  1947,
     160,     0,   771,  1994,  2045,  2060,     0,     0,  2060,   152,
    2060,     0,  2060,   316,  2060,   557,     0,  2060,     0,  2060,
    2091,   154,     0,  2060,   316,   785,     0,  1328,     0,  1302,
    2262,  1317,     0,  1313,  1320,  1316,  1407,   876,   875,     0,
     876,     0,   876,     0,   876,     0,   876,     0,     0,     0,
     876,  1950,  1951,   858,     0,   882,     0,     0,   889,   888,
     887,     0,     0,     0,   890,  1516,  1350,     0,  1181,  1198,
       0,     0,     0,   940,  1064,  1064,  1064,  1194,   227,   225,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,  1932,  1934,  1935,  1833,  1900,     0,  2227,  2228,  2229,
    1891,     0,  2230,  2231,  2232,  2275,  1741,  1728,  1737,  1742,
    1729,  1731,  1738,  2233,  2234,  2029,  2235,  2236,  1942,  2237,
    2238,  2240,  2241,  2242,  2243,  1733,  1735,  2244,  2245,     0,
    1943,  2247,  2248,  2112,  2250,  2251,  2253,  2254,  1739,  2256,
    2257,  2258,  2259,  2260,  2261,  1941,     0,  1740,  2263,  2265,
    2266,  2267,  2268,  2269,  2270,  2271,  2272,     0,     0,  1916,
       0,  1710,     0,  1556,  1557,  1579,  1580,  1558,  1585,  1586,
    1598,  1559,     0,  1915,  1623,  1790,  1709,  1724,  1715,     0,
    1708,  1704,  1409,  1909,  1911,     0,  1705,  1931,  1933,  1892,
     189,   240,     0,   241,  1917,  2168,   177,   219,   191,   218,
     192,   190,     0,  1992,   178,     0,     0,   179,     0,     0,
       0,     0,   237,   235,     0,  1189,     0,  1514,  1513,     0,
       0,  1898,  1920,   794,  1286,  1287,  1285,     0,  1282,  1284,
    1296,  1293,  1905,  1904,  1906,     0,  1402,     0,     0,     0,
    1384,  1383,     3,  1299,  1421,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,  1464,  1437,  1438,  1440,  1461,  1465,
    1473,     0,  1390,     0,     0,  1518,     0,  1475,     0,     0,
    1930,     0,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,   123,  1248,   231,  1246,     0,     0,     0,     0,
       0,     0,     0,  1255,     0,     0,   158,   159,   568,   553,
       0,  2060,     0,     0,     0,     0,  1004,  1011,     0,     0,
       0,     0,     0,     0,     0,  1005,  1003,  1006,   233,  1015,
    1028,  1031,     0,   915,     0,     0,     0,     0,     0,  1113,
       0,     0,  1113,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   254,   266,   311,   533,     0,
       0,   535,     0,  2060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
     520,   532,     0,     0,     0,     0,     0,   529,     0,   124,
     258,     0,   509,   517,     0,     0,     0,   632,   631,  1253,
    1252,     0,     0,     0,  1113,     0,   250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   334,   335,     0,     0,     0,   128,   151,     0,
       0,     0,   260,     0,     0,  1208,  1205,  1206,     0,  1211,
       0,  1272,     0,     0,     0,     0,   826,     0,   823,     0,
       0,   817,  1994,  2045,     0,     0,     0,     0,     0,     0,
     373,   347,     0,     0,   698,     0,     0,  1955,  1567,  1596,
    1574,  1596,  1596,  1563,  1563,  1576,  1564,  1565,  1603,     0,
    1596,  1563,  1568,     0,  1566,  1606,  1606,  1591,     0,  1548,
    1549,  1550,  1551,  1577,  1578,  1552,  1583,  1584,  1553,  1620,
    1563,  1956,     0,     0,   709,     0,  1225,  1262,     0,     0,
       0,   562,     0,  2060,     0,   126,   743,     0,   699,   399,
       0,   126,     0,     0,   163,     0,   627,     0,     0,     0,
       0,     0,     0,   647,   646,     0,     0,     0,   700,     0,
     126,     0,   516,  2060,     0,   455,   455,     0,     0,   939,
     942,     0,     0,     0,  1376,  1378,  1377,     0,  1375,     0,
     316,   314,   315,   696,  1056,     0,     0,     0,     0,   316,
       0,     0,  2060,   316,  2060,     0,  2060,     0,     0,   316,
     316,     0,     0,     0,     0,   628,     0,   784,   782,   781,
     783,     0,     0,     0,     0,     0,  2060,   316,     0,     0,
     765,  1843,     0,     0,  1407,     0,   208,   209,   207,  1318,
     210,  1319,  1315,  1301,     0,   866,     0,   870,     0,   861,
       0,   867,     0,   862,   859,   860,     0,   865,     0,     0,
     456,   458,     0,     0,  2014,  2028,     0,  2051,  2079,  2080,
    2159,  2164,     0,  2187,  2196,     0,   891,   920,   886,     0,
       0,  1360,  1182,  1849,     0,  1407,     0,     0,  1063,  1060,
    1059,  1058,   226,   198,     0,     0,     0,   922,  2158,  1197,
     838,   553,     0,  1706,     0,  1713,  1714,  1595,  1582,  1890,
       0,     0,  1590,  1589,     0,     0,     0,     0,     0,  1572,
    1571,  1570,  1712,  1857,     0,  1569,     0,     0,     0,     0,
    1596,  1596,  1594,  1643,     0,  1573,     0,     0,  1870,     0,
    1876,     0,     0,     0,  1602,     0,  1600,     0,     0,  1679,
       0,     0,     0,     0,     0,     0,     0,     0,  1627,  1628,
    1710,  1843,     0,  1711,  1938,     0,     0,  1588,     0,  1620,
    1914,  1833,     0,     0,     0,     0,  1903,     0,  1841,     0,
       0,  1657,  1839,     0,  1659,     0,     0,     0,  1832,  1830,
    1831,  1824,  1825,  1826,  1827,  1828,  1829,  1837,  1640,     0,
       0,  1792,     0,  1639,     0,  1477,     0,     0,  1936,  1893,
     242,   243,   239,     0,     0,   194,   193,     0,   212,   216,
     217,   188,   215,     0,   211,   196,  1781,  1780,   195,   187,
     184,   182,   199,   201,   202,   185,   183,   236,     0,     0,
    1962,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  1895,  1894,
    1926,  1963,  1964,  1965,  1966,  1899,     0,     0,   316,  1280,
       0,  1277,  1908,     0,  1404,     0,  1921,     0,  1289,  1400,
    1399,  1430,  1431,   957,  1398,  1455,  1456,  1451,     0,     0,
       0,  1470,  1468,  1447,  1441,  1446,  1444,     0,  1448,  1623,
    1463,  1388,  1435,  1436,  1439,  1387,     0,  1466,     0,  1360,
    1464,  1440,  1347,     0,     0,  1519,     0,   979,   981,     0,
     980,     0,   983,     0,   992,     0,     0,   978,   997,     0,
     986,   984,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,  2187,   230,  1244,     0,     0,
       0,     0,   924,   923,     0,     0,   944,     0,     0,     0,
    1258,   444,     0,   313,     0,     0,     0,     0,     0,     0,
       0,     0,   694,   691,     0,     0,   690,     0,   566,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   602,     0,  1113,
       0,   635,     0,  1013,     0,  1012,     0,     0,     0,  1014,
    1009,  1010,  2159,  2168,  2192,   232,  1030,     0,  1029,  1027,
     967,     0,   968,     0,     0,     0,     0,     0,  2038,   268,
     281,     0,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   302,     0,   305,   304,     0,     0,
       0,     0,     0,   309,     0,     0,     0,   308,     0,     0,
     534,     0,     0,     0,  1113,     0,   262,     0,     0,     0,
       0,     0,     0,  1043,     0,   149,     0,   145,   148,     0,
       0,     0,   516,   519,   531,     0,   523,   524,   521,   525,
     526,     0,     0,     0,     0,     0,     0,     0,   518,     0,
       0,   625,   624,   630,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,  1065,     0,     0,     0,     0,     0,     0,
     733,     0,     0,     0,     0,     0,     0,     0,   638,   639,
       0,   640,     0,   150,     0,     0,     0,     0,     0,     0,
       0,   206,  1204,  1210,  1275,  1927,  1274,     0,     0,     0,
     825,     0,     0,     0,     0,     0,     0,     0,   827,   828,
     829,   830,     0,     0,     0,     0,     0,   350,   351,   124,
     349,  1955,     0,   722,   697,     0,  1548,     0,  1544,  1540,
    1609,  1610,  1611,  1608,  1621,  1607,     0,  1554,  1612,  1563,
    1560,   710,     0,   712,   715,     0,  1223,   417,     0,     0,
     559,   602,     0,   402,   156,     0,     0,     0,     0,   122,
     167,   169,   400,     0,   168,   170,   172,   173,   174,   171,
     175,   622,   626,     0,   555,     0,     0,     0,     0,     0,
     648,   652,   651,   655,   653,     0,   649,     0,     0,  1536,
       0,   144,     0,   506,   515,     0,     0,     0,   402,   486,
     327,     0,   455,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,  1374,     0,  1034,     0,  1251,  2060,   316,
       0,  1032,   161,  1948,     0,   766,     0,     0,     0,     0,
       0,  1036,   762,   153,     0,   316,   316,   558,     0,   316,
     155,     0,     0,     0,   550,   316,   786,  1330,     0,   455,
    1303,  1314,   863,   872,   871,   869,   868,   864,     0,   883,
       0,   454,     0,     0,     0,   897,   898,     0,     0,   896,
     913,   899,     0,   901,   893,   892,   902,   903,     0,     0,
     922,     0,  1357,     0,  1355,     0,  1517,  1359,  1348,  1322,
       0,  1321,  1325,  1327,  1326,  1324,     0,   500,     0,     0,
     880,     0,     0,   316,  1196,     0,   840,   841,   847,     0,
       0,     0,     0,     0,   848,   844,   845,   846,   849,   850,
     851,     0,     0,     0,  1901,  1853,     0,  1854,     0,     0,
       0,  1889,  1885,     0,     0,     0,     0,     0,     0,  1858,
    1861,  1862,  1863,  1860,  1864,  1859,     0,     0,  1865,     0,
       0,     0,     0,     0,  1593,  1592,     0,     0,     0,     0,
       0,     0,     0,  1682,  1715,     0,     0,  1817,     0,  1843,
    1875,     0,     0,  1604,     0,     0,     0,     0,     0,     0,
       0,  1843,  1881,     0,     0,     0,     0,  1779,     0,  1776,
       0,     0,     0,     0,  1900,     0,     0,     0,     0,  1939,
    1624,  1641,  1913,     0,  1902,     0,     0,  1625,  1648,     0,
    1882,  1675,     0,  1680,  1663,     0,  1656,     0,  1661,  1665,
    1644,  1903,  1842,     0,  1840,     0,     0,  1642,     0,  1637,
    1635,  1636,  1629,  1630,  1631,  1632,  1633,  1634,  1638,  1821,
    1819,  1820,     0,     0,     0,  1800,     0,     0,  1660,  2053,
    2088,     0,  1420,  1420,  1420,  1408,  1418,     0,  1531,  1912,
       0,     0,     0,     0,  1716,     0,  1847,  1429,  1845,  1929,
    1918,     0,     0,  1620,     0,  1515,  1896,     0,   792,   793,
     791,  1299,  1283,  1279,  1278,  1907,  1298,     0,  1407,     0,
     955,   956,     0,   960,     0,     0,  1449,  1471,     0,  1462,
       0,  1453,  1454,  1445,  1472,  1467,  1392,  1391,     0,  1534,
       0,     0,  1344,  1337,  1520,     0,  1477,  1362,  1364,  1365,
       0,  1900,   982,     0,  1563,   993,     0,   977,     0,   976,
    1563,     0,   994,     0,  1563,     0,     0,     0,  1141,  1068,
    1117,   790,  1142,  1069,  1118,  1143,  1070,  1245,     0,  1247,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,  2060,   316,  1256,  1144,     0,
    1071,   312,  1257,  1119,  1261,   693,   692,     0,     0,  1120,
       0,   567,     0,     0,   572,   573,   574,     0,     0,     0,
     575,     0,  1994,  2045,     0,   580,   587,   592,   582,     0,
     593,   588,     0,     0,     0,     0,     0,     0,   599,   606,
       0,     0,     0,     0,     0,     0,  1007,  1008,  1145,  1074,
       0,  1121,   966,     0,  1075,   157,     0,     0,   255,   269,
     608,   673,  1115,   288,   301,   296,   297,   295,  2060,   316,
    2060,   316,     0,     0,     0,     0,   298,   293,   294,   290,
     303,  1971,  2030,  2169,     0,   612,   614,     0,   619,   306,
    1089,   323,   322,   321,     0,   310,     0,   328,   331,   307,
     286,   289,   287,   283,   267,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,  1038,     0,     0,     0,   147,
    1103,   137,     0,     0,   133,     0,     0,     0,     0,   127,
       0,  1151,  1079,     0,     0,   259,     0,   512,   522,   527,
    1083,   530,  1131,   528,   510,  1157,  1080,     0,  1113,     0,
     251,     0,  1081,     0,  1125,  1153,  1105,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1264,     0,     0,     0,
       0,     0,   316,     0,     0,     0,  1115,  2060,   316,  1152,
       0,  1110,  1139,     0,   336,     0,  1104,     0,     0,   261,
    1085,  1133,     0,     0,   204,   203,   205,     0,     0,     0,
       0,     0,     0,     0,     0,   832,   801,   831,     0,     0,
       0,   795,   372,   345,   346,   348,   355,     0,   721,     0,
       0,  1545,  1541,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1561,   711,     0,     0,     0,     0,  1243,  1243,
    1243,  1243,  1243,  1243,  1243,  1224,  1254,     0,   124,     0,
       0,     0,   561,   601,   608,     0,     0,     0,   401,   405,
     409,   410,   411,     0,     0,     0,     0,   138,   125,     0,
     751,     0,   455,     0,   169,   162,     0,     0,     0,   327,
     708,   706,   705,   707,     0,     0,     0,   726,   704,     0,
    1535,  1537,     0,     0,     0,     0,     0,   500,   404,     0,
     458,     0,     0,   490,     0,     0,     0,   327,     0,     0,
     971,     0,   989,   972,     0,     0,     0,  1018,  1023,  1019,
     999,     0,   538,  1379,  1380,     0,   316,     0,     0,   603,
     316,   316,     0,   316,     0,   316,   316,     0,  1179,   629,
       0,   681,     0,     0,   316,   764,  1844,   884,   457,     0,
       0,     0,     0,   895,     0,   536,   900,     0,   912,   907,
     909,     0,   916,  1358,  1351,  1353,  1352,     0,     0,  1349,
    1850,   763,     0,   505,     0,     0,   316,     0,   917,     0,
     842,   843,     0,     0,   852,     0,     0,  1425,  1851,  1852,
       0,     0,     0,     0,  1886,     0,     0,  1754,     0,  1730,
    1732,  1562,  1744,     0,  1575,  1755,  1756,  1734,  1736,     0,
    1834,     0,     0,  1745,  1684,  1685,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1697,
    1696,  1746,  1816,     0,     0,  1873,  1874,  1747,  1605,  1606,
    1606,     0,     0,  1880,     0,     0,     0,  1752,  1757,     0,
       0,     0,     0,  1763,     0,  1784,     0,     0,     0,  1707,
    1844,  1597,  1598,     0,     0,     0,     0,     0,     0,     0,
       0,  1681,  1664,  1658,     0,  1662,  1666,     0,     0,     0,
       0,  1650,  1676,  1646,     0,     0,  1652,     0,  1677,     0,
       0,     0,  1723,  1420,  1420,  1420,  1420,  1417,     0,     0,
       0,     0,  2156,     0,  1498,  1476,  1478,  1485,  1498,  1503,
    1725,  1529,  1726,     0,  1919,     0,  1458,  1429,  1429,  1429,
    1722,     0,     0,     0,  1428,   180,     0,   213,   200,     0,
    1281,  1922,     0,  1432,     0,  1835,   960,   958,   959,  1434,
       0,     0,  1469,  1442,  1346,     0,  1344,  1339,     0,  1340,
    1900,     0,  1336,  1369,     0,     0,  1534,     0,  1368,     0,
    1563,   974,   975,     0,   998,     0,  1140,  1067,  1116,  1243,
     927,   928,     0,   926,     0,     0,     0,   443,   943,     0,
       0,     0,   673,     0,     0,   447,     0,  1259,     0,  1158,
    1102,   569,   570,     0,   581,     0,   590,   589,     0,     0,
     577,     0,     0,     0,     0,   576,   595,   542,   596,   598,
       0,     0,   597,   600,   605,  1113,     0,   636,  1091,     0,
    1137,  1001,     0,   969,     0,     0,     0,     0,   417,   282,
       0,     0,     0,   270,   280,     0,     0,   285,     0,   278,
     299,   291,   300,   292,   616,   617,   615,   611,     0,   618,
     620,     0,   325,     0,     0,     0,  1147,     0,  1113,     0,
     263,  1087,     0,  1135,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1148,  1122,     0,     0,   130,
     129,     0,   136,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     337,   318,     0,   729,     0,     0,     0,   339,     0,     0,
       0,     0,  1146,  1076,   796,     0,     0,   797,   805,     0,
       0,   798,     0,     0,   807,     0,     0,   344,   352,  2112,
    1824,  1825,   719,   724,   716,   718,   720,   717,     0,   723,
     673,     0,     0,     0,  1546,     0,  1614,  1615,  1616,  1617,
    1618,  1619,     0,  1613,  1620,   713,   714,     0,  1243,  1242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   429,     0,     0,   423,     0,     0,  1023,   416,   419,
     420,     0,     0,   562,   565,   563,   564,   594,     0,   436,
       0,     0,   140,     0,     0,   141,   139,     0,     0,   327,
       0,   165,   400,     0,     0,   554,   654,   657,   650,     0,
     725,   727,   702,     0,   608,     0,   507,     0,  1331,   496,
       0,   486,   482,   484,   483,   485,     0,   492,   326,     0,
     500,   492,     0,   944,   970,     0,     0,     0,  1016,  1020,
    1017,     0,     0,   985,     0,  1000,   963,  1174,  1175,  1172,
    1173,     0,     0,  1371,  1035,     0,   316,  1033,   767,     0,
     758,     0,   760,  1037,   316,   316,   641,     0,   551,     0,
       0,     0,   894,   914,     0,   910,     0,     0,   877,   919,
    1356,  1354,   498,     0,   922,     0,   878,   921,     0,     0,
       0,     0,     0,  1855,  1581,     0,  1888,  1884,     0,  1727,
    1856,     0,  1868,  1867,  1683,  1869,     0,  1702,     0,     0,
    1694,  1692,  1693,  1686,  1687,  1688,  1689,  1690,  1691,  1695,
    1878,  1877,  1871,  1872,  1601,  1599,     0,  1749,  1750,  1751,
    1879,  1758,     0,  1985,  1785,  1762,  1778,  1777,     0,     0,
       0,  1765,     0,     0,  1774,     0,  1818,  1587,  1620,  1626,
       0,     0,  1649,  1883,  1667,     0,     0,     0,  1645,     0,
       0,     0,     0,  1654,  1834,     0,     0,     0,     0,  1803,
    1798,  1799,     0,     0,     0,     0,  1411,  1410,  1416,  1498,
    1503,     0,  1394,     0,  1485,     0,  1497,  1483,  1496,     0,
       0,  1509,  1507,     0,  1509,     0,  1509,     0,  1480,     0,
    1499,  1481,  1496,  1528,  1521,     0,  1920,  1530,     0,  1460,
       0,     0,     0,     0,  1848,     0,  1846,  1717,     0,  1897,
    1405,     0,  1433,  1450,  1443,  2010,  1532,  1345,     0,     0,
    1342,  1343,     0,     0,  1363,  1344,  1366,   995,     0,     0,
     987,     0,   933,   934,   932,   935,     0,     0,     0,   673,
       0,     0,   463,     0,   951,   951,     0,     0,   449,   495,
    1023,   676,     0,     0,     0,   674,   316,  1072,     0,   591,
       0,     0,   586,   584,   583,   585,   543,  1156,  1073,     0,
       0,     0,     0,  1002,     0,     0,  1090,     0,   414,     0,
     275,  1114,     0,     0,     0,   274,     0,   316,   316,   613,
     324,   329,   330,   333,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   752,   735,     0,     0,
     753,   754,     0,     0,     0,  1040,  1041,  1039,   134,   131,
     132,   135,  1100,  1084,  1132,   513,   511,     0,     0,  1082,
       0,  1126,  1097,  1093,     0,     0,     0,     0,     0,  1155,
    1109,  1130,  1154,  1107,  1128,  1106,  1127,  1108,  1129,  1101,
       0,  1539,   732,     0,     0,     0,   316,   316,   643,  1086,
    1134,     0,   799,     0,     0,   800,   802,   375,     0,   378,
     385,   356,   361,  1263,     0,  1263,     0,   358,   362,  1263,
     357,  1263,   354,   695,     0,     0,     0,  1542,  1547,  1622,
    1555,   672,     0,  1234,  1233,  1232,  1236,  1235,  1238,  1237,
    1229,  1228,  1241,  1240,  1227,  1226,  1231,  1230,     0,   421,
       0,   427,   431,   432,   430,   422,  1023,   455,   494,     0,
       0,   685,     0,   560,   402,   433,     0,   406,   143,   142,
       0,     0,     0,   169,     0,     0,   659,   663,   703,     0,
    1538,   637,   327,     0,     0,   402,   500,     0,   407,   412,
     413,     0,   490,     0,   486,     0,     0,   497,  1221,   501,
     502,     0,     0,   973,   990,   991,     0,     0,  1023,  1022,
       0,   545,   316,   604,   316,   316,  1180,   682,     0,   906,
     905,   904,   537,     0,   908,   499,   316,     0,     0,     0,
       0,     0,   854,   833,   853,  1887,  1743,  1753,  1866,     0,
       0,  1703,     0,     0,  1748,  2264,     0,     0,     0,     0,
    1782,  1783,  1764,     0,  2103,  1769,     0,     0,     0,  1940,
    1673,  1671,  1668,     0,  1669,     0,     0,  1651,  1647,     0,
    1653,  1678,  1789,     0,  1805,  1802,  1415,  1414,  1413,  1412,
    1484,  1482,     0,  1487,  1494,     0,  1479,     0,  1508,  1504,
       0,  1505,     0,     0,  1506,     0,     0,  1494,     0,  1429,
       0,     0,  1794,  1720,  1721,  1718,  1429,  1937,  1620,     0,
       0,  1338,  1341,     0,  1370,  1361,   988,   996,  1249,     0,
       0,     0,   445,     0,  1023,     0,     0,     0,   954,   954,
       0,  1023,   494,   678,   677,   680,   675,   679,  1260,     0,
     578,   579,  1092,     0,  1138,  1098,     0,  1360,     0,   609,
     271,   272,   273,   276,   318,   284,   277,     0,     0,     0,
    1088,     0,  1136,  1095,  1149,  1077,  1123,     0,     0,   741,
       0,     0,     0,     0,  1150,  1078,  1124,     0,     0,  1360,
       0,     0,     0,     0,  1269,     0,   317,   731,   730,   318,
     338,  1111,     0,   803,   804,   376,   124,     0,   353,     0,
     383,     0,   381,   380,   382,     0,   369,     0,     0,     0,
       0,     0,     0,  1543,     0,  1054,  1054,     0,   673,  1239,
       0,     0,   418,   494,   462,     0,   424,     0,     0,     0,
       0,     0,     0,     0,   608,     0,     0,     0,   164,   402,
     608,   658,     0,     0,     0,   728,     0,   508,   404,     0,
    1329,   403,     0,     0,   492,     0,   490,     0,   487,     0,
     491,     0,  1214,     0,     0,  1021,     0,  1025,     0,   984,
     961,  1531,     0,   549,  1055,   759,   761,   642,   911,   918,
     316,   834,   835,   836,   837,  1698,     0,     0,     0,     0,
    1759,     0,  1760,  1787,  1786,  1766,  1770,     0,  1767,  1768,
    1670,  1674,  1672,  1655,  1791,     0,  1429,  1524,     0,  1527,
    1486,     0,     0,  1488,     0,     0,  1490,  1492,     0,     0,
       0,     0,     0,  1923,     0,  1457,  1459,     0,  1395,     0,
     214,  1836,  1533,  1367,   912,     0,   316,   951,   494,   464,
    2112,   465,   950,     0,   952,   957,   957,     0,   494,   673,
     571,     0,     0,   256,   607,     0,   320,   332,     0,  1360,
       0,     0,     0,   748,   736,     0,     0,   755,   514,     0,
     252,  1094,     0,     0,     0,     0,     0,   316,   806,   355,
       0,   379,   388,     0,   386,   359,   364,     0,   368,   366,
     365,   360,   363,  1054,     0,  1051,  1050,   671,     0,   453,
     425,     0,   473,     0,     0,   686,     0,     0,     0,   442,
     441,   438,   437,   439,   440,   435,   434,   633,   745,   327,
    1221,   621,   660,   661,   656,     0,     0,     0,   486,   482,
     408,   417,   391,     0,   492,   488,   489,     0,     0,     0,
    1271,     0,   945,  1024,     0,     0,     0,   544,     0,     0,
     548,   539,   879,  1699,     0,  1700,     0,     0,     0,  1772,
    1771,     0,  1808,  1529,     0,     0,  1523,     0,  1495,  1511,
       0,  1491,  1489,  1500,     0,  1502,  1717,  1793,  1795,     0,
    1719,   929,     0,   930,   954,   468,     0,   953,   960,   960,
     455,   673,   446,  1099,     0,   610,     0,   279,     0,   264,
    1096,     0,   739,     0,   750,   748,     0,     0,     0,  1265,
       0,  1266,  1267,  1270,   340,   343,   374,   384,     0,   367,
    1049,  1053,  1052,     0,     0,   426,   459,   460,   461,     0,
     428,   469,   470,     0,   683,     0,   688,     0,     0,     0,
       0,     0,  1215,     0,     0,  1221,   490,   486,   415,   481,
     389,     0,  1218,     0,   327,     0,  1023,  1026,  1178,   547,
     546,  1701,  1775,  1761,  1788,  1773,  1804,     0,     0,     0,
    1522,  1525,     0,  1493,     0,  1501,     0,     0,     0,   957,
       0,   673,     0,   948,   947,   462,   448,  1360,   319,     0,
       0,     0,   746,   749,   737,   750,   757,   756,  1360,     0,
     387,     0,   452,     0,     0,     0,   471,     0,   472,   493,
       0,   687,     0,   608,   744,     0,     0,   662,     0,  1216,
     492,   490,  1219,  1220,   492,   946,   962,  1177,  1176,  1407,
    2226,  2010,  2198,     0,  1806,  1809,  1807,  1801,     0,  1510,
    1796,  1797,   316,   960,     0,   450,   466,   473,   257,  1360,
       0,     0,   738,   253,  1268,   663,   478,     0,   477,     0,
     475,   474,   684,   689,   634,   734,  1221,   666,   392,   492,
    1531,  1160,  1407,  1159,  1161,  1169,  1166,  1168,  1167,  1165,
       0,  1813,  1812,  1811,  1815,  1814,  1526,   931,   949,     0,
     673,   265,   740,   747,     0,   476,   480,   479,  1217,   668,
       0,   664,   667,   669,   670,   390,   936,     0,  1170,  1164,
    1394,  1381,     0,   467,   451,     0,   644,     0,  1162,  1407,
    1810,     0,   665,  1163,     0,   666,     0,   645
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3958, -3958, -3958,  2993, -3958,  -770,   412,  2366,  -514, -3958,
   -3958, -3958,  2915, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
    2943, -3958, -3958,  1556, -2101, -3958, -3958,   138,  2903, -1099,
     116,  2576,  1249, -3958,  -957, -3958, -3958,  -500,   161, -3958,
    2919,  -628, -3958, -3958, -3958, -3958, -3958, -3958, -3958, -3958,
    -586,  1721,  1092,  -811, -3087, -3958, -3958, -1253, -2753, -3958,
     509, -3958, -3958,  1659, -3958, -3958, -3958,   953,   432,  -490,
   -3958, -3958, -3958, -3958, -3958, -3958, -3958,  -309, -3958, -3958,
    -627,   145,    41, -2088,  -356, -3958, -3958,   374,  -355, -1111,
   -3958, -3103, -3958,   -54, -3958, -3958, -3958,  -335, -1199,  1192,
   -3958,  -605,  -940,  1492,  -682, -3958,  -220, -3958,  -740,  -624,
    -621,  -693,  -517, -3276, -3682, -3255, -2778,  1202,   146, -3958,
   -2725,   151, -3958, -3958,   154,   159, -3958, -1298, -1294, -1243,
   -3958,  -606, -3958, -3958, -3958, -2535, -3958, -3958, -3958, -3958,
      59, -3958, -3958, -3958, -3958,   401, -3958, -3958, -3958, -3958,
   -3958, -3958, -2352,  1614,  1615, -3958, -3958, -2732, -3958,  -776,
   -3958,   549, -2573,  1116, -3958, -3958, -3958,  2323, -3958, -3958,
   -3958, -3958, -3958, -3958, -1386, -3958, -3958,   162, -3958,  1626,
     914, -3958, -3958, -3958,  -733,  -802,  -793, -3958, -2532, -3958,
   -3958, -3958, -3958,  -303, -3958, -3958, -3958, -3958, -3958, -3958,
    -838, -3958,   974, -2708, -3958, -3958,   990, -3958, -3958, -3958,
   -3958, -3958,  -685,  -239,  2347, -3958,  -571,  -660, -3958, -3958,
   -3958,  -237, -3958, -3958, -3958, -3958, -3958, -3958,  -899,   -58,
   -1333, -3958, -3958, -3958, -3958, -2005, -3958, -3958, -3958, -1701,
   -3958,  3777,  1990,  1622,   163, -3958,   -11,    55,  2802,  -961,
   -2253,   339,  -387, -3958, -1537, -3958, -3958, -3958, -2186, -3958,
   -3958, -3958, -3958, -3039,   164, -3958,  2795, -3958,   387, -3958,
   -3862, -3463, -3746, -3688, -3020, -3958, -3958,  -930, -3958, -3958,
   -3958, -1201,  1927, -1645, -3958, -1791,   389,  1269,  -803, -2357,
   -3291,  -594, -2820, -3958, -3207,  -487, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958,  -914,  -537, -3958, -3958,  3244, -3958, -3199,
   -3958, -3958, -3958, -3958,   997, -3958, -3958, -1204,  1059, -3958,
   -3958, -3958, -3958, -3958,  -668,  -756, -3958, -3958, -3958,   165,
   -3958, -3958, -3958, -3958,  1911,  -801,  -630,  3131,   167, -3957,
   -3958, -3958, -3958, -3958, -2636, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -3958, -1735, -3958, -3958, -3958, -3958, -3958, -3958,
   -3958,  1996,  1993,    81,   -41, -3958, -3958, -1075, -3958,  -482,
   -3958,  2300, -3958, -3958, -3958, -3958,  1329,   168,   423, -3958,
       3, -3958, -3958,   213, -2945,     4, -3958, -3958, -3958, -3958,
   -1834,     5, -3958,   698, -3958, -3958, -2411, -3958,   169,    20,
   -3958, -3958,     1,     0,   -36,   -29,   -25,     2,  3127,  2663,
   -3958, -3958, -3958,   -22,  1746, -3958,  -727,  -146, -3958,  1340,
    -554,  1965,  2645,  2656, -3958,  1333, -3958, -3958,  1341, -3958,
   -3958, -3958,  -527,  1975, -3958,  2660, -3958, -3958, -3958,  1322,
    1331, -2925,   769, -2956, -2909,   280,   269, -1103,  -324,    30,
    3147,  2658,   776,  -464, -3958, -3958,  -461, -3931,   728, -3958,
   -3763, -1988,  -768,  1731, -1349, -3958, -3958,  -973,  -142, -3958,
   -3958, -3958, 10877, 11266, -3958, -3958, 11822, 12323, -3958,  -839,
     828, 13214,  7694, -1023, -1623,  -643, 11443, -2157,  -544, -2317,
   -3958, -3059, -2170, -3958, -3958, -3958,  -278,   839,   465, -3958,
   -3958, -3958, -3958, -3958, -3958,  -562, -3958,  -553, -3958, -3958,
   -3958,  -545, -3305, -1299, -3958,  -175, -3958, 12894,  1383, -3958,
    -845, -2331, -2359, -2860, -1511, -3958, -3958, -3958, -3958, -3958,
   -3958, -3958, -2043, -2843,  -261,  1453, -3958, -3958,  1546, -3958,
   -3958, -3958, -1112,  -715, -2261,  1458, -1730, -3958,  -723, -3958,
     759,  2186,  -673,  5371, -1086,  6033,  -451, -1944, -1043, -1305,
   -3958,  -155, -3958,    28,   -10,  -180,  -557,    10,  3441,  3109,
    -561, -1089,  8431, 10694, 11441, -2679
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1223,  2164,  2037,  2847,  2848,
      53,    54,  1301,    55,    56,    57,    58,    59,    60,    61,
    1239,    62,    63,   899,  1454,  2174,    64,  1906,   699,   700,
     701,  1731,  1732,  2102,  1733,  1721,  1138,  1540,  1258,   674,
     675,  1225,  1259,    66,    67,  1132,  1712,    68,    69,    70,
    1285,  1286,  1233,  1493,  3751,  4357,  2675,  2017,  2885,  2676,
    2677,    71,  1352,  1353,    72,    73,  2795,  1392,  2129,  3317,
    3318,  3782,   529,  2126,  4056,  4057,  3768,  3769,  4063,  4243,
    4244,  2175,  1450,  2879,  3411,  2838,  3847,  2839,  3848,  2840,
    3849,  2826,  3368,  3369,  3370,  2841,  3825,  4275,  2842,  1921,
    4385,  2209,  1562,  1560,  4262,  3641,  3642,  4441,  4390,  4391,
    4392,  4520,  3854,  2883,  3417,  3857,  4086,  2574,   613,  1474,
    2953,   614,  2211,   560,   615,  2176,    79,  1321,  1322,  1323,
    2045,  3322,  2936,    80,   918,  3186,  4133,  4310,  4311,    81,
     208,    82,  1458,    83,    84,  2160,  2832,    85,  1938,  2591,
      86,    87,  2618,  2619,  2620,    88,    89,  3208,  4008,  1287,
    2664,  2665,  2666,  2667,  3229,    90,  1456,  1328,  2183,    91,
      92,    93,    94,    95,  2090,    96,    97,  2177,  1466,  2195,
    2196,  3837,  4102,  4284,  4104,  4560,  4561,  4078,  3165,  3655,
      99,   100,  3820,  3821,  4397,   101,  1936,   102,   103,   104,
    1434,  2152,  2153,  3323,  1394,  2132,  2133,  3399,  3400,   105,
    2755,   106,  3706,  3707,   561,  4400,  4364,  4454,   107,   108,
    3710,  3711,   109,   110,   111,   112,   113,   607,   964,   965,
    1215,   114,  1828,   115,   872,  2786,   116,  1029,  2332,  3893,
     117,   638,   978,   979,  2178,   119,   647,  2310,   649,  1575,
    2938,  2939,  3468,  2279,   784,   120,   121,  2290,  2313,   122,
    1226,  1912,  1913,  3636,  2179,   562,  1480,  2214,  2569,  4301,
    3643,  3988,  4205,  2503,  3119,   124,   563,  1263,  1981,  2217,
    2891,  1884,  1885,  1886,  3432,  1887,  2893,  1888,  1209,  1889,
    2898,  2899,  2900,  3428,  3436,  4127,  4128,   125,  1261,  1979,
     126,   127,   128,  1298,   809,   129,   575,   576,   130,  4255,
     131,   930,   132,   666,  1589,   133,   134,  1994,  3215,   135,
     136,   137,  4533,  4567,  4568,  4569,  3441,  4489,   138,  4535,
    1008,   140,   141,   142,   178,   838,   839,   840,  2180,  4122,
     144,   145,  2156,  2825,  3350,   146,   147,  1907,  2559,   148,
     149,   150,   151,  1438,   152,   153,   154,   155,  1371,   156,
    1167,  1168,   157,   158,   524,   717,  1171,  1179,   159,   617,
     972,   973,   974,  1542,   160,  1011,  2301,   618,   967,   162,
     619,  2522,  3128,  3129,  3132,   620,  2519,   165,  1581,  2295,
    2298,   621,  2526,  2527,  2528,  2529,  2530,  3134,   622,   640,
     921,  2222,   623,  1101,   170,   171,   172,   726,   721,   722,
     174,  1705,  2465,   655,  1186,   687,   734,  3104,  1841,  1842,
    1864,  1865,  1195,  1196,  1854,  1856,  2505,  1857,  2513,  1847,
    3599,  3962,  1860,  1861,  1198,  1199,  1200,  1869,   175,  2468,
    3085,  3086,  3087,  3576,  3577,  3591,  3587,  3949,  4176,  3088,
    1006,  1206,  3089,  4167,  4168,  4326,  3594,  3096,  3126,  2869,
    2870,  2871,  1890,  2139,  1419,  1102,  1420,  2150,  1103,  1625,
    1422,  1104,  1105,  1106,  1425,  1107,  1108,  1109,  1110,  1608,
    1667,  1111,  1112,  1644,  2147,  2148,  1531,  2372,  1114,  1115,
    1116,  3091,  1117,  3534,  3917,  3906,  2398,  2399,  1728,  3530,
    3031,  1701,  2455,  4188,  4337,  4338,  3072,  3560,  3934,  4166,
    4429,  4494,  4495,  1118,  2452,  1697,   811,  1119,  3325,  1699,
    2392,  2477,  2478,  1584,  1606,  2338,  2356,  2357,  2369,  2992,
    2376,  2381,  3015,  3016,  2393,  2421,  1120,  2341,  2342,  2975,
    1610,  1121,  1161,  1162,  1603,  2416,  1174,  1175,   719,  1122,
    1123,  1124,  1576,   710,  4172,   519,   774,  2691,  1819,   842,
     652,  1125,  1126,  1127,  1128,   939,   940,  1291,   520,   768,
     788,  2668,   521,   522,   770,  1824
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,  1499,   895,   787,
    1201,   530,   725,   924,   653,   814,  1133,  1539,   810,  1207,
     169,   712,   173,   679,   766,   735,   830,   518,  1920,  2013,
    2280,   642,  1509,   785,   567,  2515,   642,   949,  1369,   998,
     999,  1000,  1503,  1327,  1303,  1004,  2409,   961,   724,   641,
    1825,   975,  1210,   559,   641,   946,  1559,  1448,  2956,  1646,
    1357,  1982,  2475,  1596,  2136,  2104,  1147,  1468,  1999,  1990,
    2855,  1820,   709,  1395,   922,  2837,   606,   648,  3435,  2058,
    1619,  1620,  3192,  2200,  2693,   881,  2072,  2073,  3224,   680,
    3226,  2752,  1835,  2337,  2537,  2539,  3612,  2149,  1825,  1635,
    3644,   616,  3377,  2495,  2942,  3678,  3395,  3346,  1838,  3209,
    1418,  1436,  2724,  3099,  3133,  1441,  3638,   729,  3327,  2791,
    1445,  1532,   771,   773,  1490,  1820,   777,  1451,   779,   969,
    2068,   924,   932,  3590,  3421,  3852,  3327,  1470,  2251,  3097,
    3098,  3868,  1515,  3039,   737,    74,    75,   828,   738,   673,
    3090,    76,  3409,  1530,    77,  1975,   706,  1989,  3573,    78,
    3818,    65,    98,   118,   123,   139,  3860,   143,   161,   167,
    4114,  1898,  3512,   736,  2203,  2215,  3139,   698,  2204,  3588,
    1194,  3617,  3989,  3351,  3352,  3353,  3354,  3355,  3356,  1290,
    1260,  1467,  1140,  4180, -1382,  4182, -1591,  3547,   624,  1672,
    4306,  3090,  1358,  1612,  1613, -2047,   624,  1197,  1665, -1955,
     528,  1227, -1956,  2994,  2995,  3987,  2084, -1955,  3010,  1826,
   -1956, -1563,  2850, -2081,  1675,   573,  3426,  1236,  2000,  1632,
    2291,   824,  1320,  2079,  1491,  1025,  1914, -1596,  1336,  1992,
    2536,  2140,  1583,  4206, -1822,  1992,  1362,  2066, -2102, -1591,
    1432, -1822,  1491,  2312,  1677,  1662,     3,     4,  3045,  3046,
     834,  2414,  4302, -1982,   573, -2278,  2954,  3193,   782,  1390,
    3138,  3371,   624, -2278, -2129,   610,   573, -1382, -1576,  4363,
   -1603,  1288,  2414,  4269,   573,   980,   624,   573, -1930,   573,
   -1596,   573, -1596,  2913,    14,  2915,  1491,  3092,  2449,  1300,
    2973,  2774,  3413, -1838,  2996,  2450,  2943,  1916,  2141,  2207,
   -1838, -2050,  4319,  1228,  1992, -1385,  3844,  1992,  1926,  2945,
     624,  1491,  1384,  4402,  2541,  1917,    19,  3735,   573,  1237,
    3814,  4270,  2585,   984,  4381,  2207,  2272,  4308,  4271,  2374,
    1923,  3708,  4117,  3496,  2154,  3497,  1369,  2292,  3092,  -787,
     835, -1382,  2681,  2374,  4118,  4212,  3996,   630,   573,  1996,
     573,   573,   624,   890,  3204,  4272,  2142,   897,  1541,  2143,
     810, -1606,  1150, -1606,  2167,   630,   876,   631,   907,   176,
    3188,  1164,   624,  1165,  -124,  2197,  1663,  3269,  4092,  -124,
    1510,   836,  2289,  1646,   820,   631,  2747,  1672, -1385,  1992,
     630,   924,  1534,  2458,  2099,  1535,  2020,  1993,  1159,  2600,
    1997,   624,  1160,   924,  1709,   630,  2100,   810,  4334,   821,
     631,   177,  1675,   927,  1302,  2748,   630,  3205,  -146,  4093,
    1619,  1620,  1501,   937,  4294,   631,  1151,  4273,  1635,  3709,
    2101,   837,  1827,  3992,  2996,  1577,   631,  2467,  4479,  2111,
    3270,  1021,  1677,  -146,  1918,  1586,  3793,  1229,  1137,  3796,
    2144,  1214,  1527,   630,  3498,  1992,  3815,   924,  1597,  1501,
    2115,  4382, -1385,  3679,  3499,   715,   879,  2168,  2275,  3736,
     882,  3193,  2281,   631,  2283,    30,  1492,  2286,  4309,  2012,
    1230,  2334,  1992,  1579,  1543,  4320,  4463,   905, -1382,  2208,
    2061,  2944,  2273,  2001,  1492,  2542,  3845, -2101,  2543,  4119,
     886,    38,  2785,  3631,  2946,  2002,   873,  4348,  4349,  1231,
    3259,   783,   574,  1003,  2293,  4099,  3692,  1222,  1600,  2030,
    2067,  2274,  2136,  3372,  1433,  1501,  2622,  2682,  2085,  1722,
    -377,    42,  2294,  2198,  1734,  1734,  3427,  2053,  1492,  2055,
    1919,  1825,  2063,  4485,  1003,  3327, -1822,  2134,  2544,  2145,
    2127,  2128,  1612,  1613,   923,   577,  2003,  2103,  1297,  4558,
    2107,  1632,  2415,  1492,  2340,   976,   725,  1232,  4116,    46,
    1580,   924,  2080,  1159,   871,  2412,  1666,  1160,  1238,   924,
     924,  1202,    47,  3059, -1382,  1368,  1433,  1825,  4439,  4566,
    2775,  1927,    48,  4274,  3189,  2688,  2108,  2586,  3271,  4083,
    2451,   169,   724,   173,  3590, -1838,   636,   637,  2268, -1385,
    1696,  1166,  1607,  1529,  3158,  2504,   568, -1591,    48,  2255,
    3648, -1382,  3334, -1382,  3997,   977,  3832,   982,  1963,   986,
   -1955,  1501,  1716, -1956, -2047,   990,  1969,  1870,  1009,  1859,
    3898,   968,  1618,   641,  3946,   641,  1961,   641,  3950,   993,
    3940,  4130, -2081,   641,   991,   992,  2276,  1978, -1596,  4498,
    2157,  1026,  3841,  2035,  1871,  2287,  2038,  1607,  1130,  2225,
    3975,  1139,   923,  1141,   810,  1005,  3923, -2102,  2231,  1373,
     636,   637,  2235,   971,  2199,  3859, -2278,   737,  2241,  2242,
    1379,   738, -1982,  2043,   636,  1289,  2046,  2047,  2026,  1624,
    3467, -1603,  3792, -2129, -2101, -1385,  2254,  1159,  1668, -1930,
    1707,  1160,  2482, -1596,  4480,  3008,   736,  2226,   169,   168,
     173,   163,   164,   166,  4344,  3135,  1421,  2520,   636,   637,
    1295,  1296,  1005,  3606,  2716,  3141,  1034,  3142,  2717,  2996,
   -2050,  4503, -1385,  3391, -1385,  2623,  3669,  2333,   716,  2336,
    1481,  1580,  2033,   887,  3090,  3247,  3090,  4464,  1641,  2344,
    1641,  1205,  3304,  2348,  2112,  3307,  3308,  4198, -2101,  3311,
    1222,  2360,  2361,  3696,  4208,  3314,  3629,   934,  1642,  3681,
    1642,  2364,  2365, -2101,  2378,  2380,  1928,  1169,  3783,  4529,
     636,   637,  1643,  1346,  1645,  2394,  1377,  -124,  -124,  1347,
    1820,  4055,  1236,  1242,  1389,  1693,  1694,  1695,  1696,   573,
    2689,  2598,  2701,   641,  2793,  2475,  2475,  2475,  1136,  2456,
    1484,  2737,  1144,  2277,  1922,  1446,  1447,  2738,  3309,  3310,
    3495,   523,  3090,  3500,  3501,  3502,  3503,  3504,  3505,  3506,
    3507,  3508,  3509,  3703,   732,  1478,  2551,   739,  2431,  4292,
    3107,  1923,  3005,  3006,  3007,  3008,  3357,  3248,  1421,  3620,
    1341,  2210,  1459,    74,    75,   569,  2639,  4256,  1975,    76,
    1485,  4556,    77,  4169,  1517,  1505,  1507,    78,   685,    65,
      98,   118,   123,   139,  2702,   143,   161,   167,  2284,  2285,
    2140,   732,  3549,  3550,  2410,  1348,  1932,  3871,  1342,  3360,
    1460,  3092,  1463,  3092,  1237,  4451,  1933,  4487,  2876,  1149,
    3472,  2118,  1518,  2678,  2743,   570,  3644,  4216,   525,  3682,
    3406,  2998,  1464,  2739,   740,  1224,   673,  1331,  1908,  2191,
    4088,  2116,  4516,  2232,  2703,  1663,   573,  3181,  1909,  3493,
     995,  3704,   923,    38,  2243,  2457,   571,  2744,   572,  2119,
    4297,  2058,  4237,  1910,   923,  1970,  2250,  2141,  4298,  1034,
    1486,  2240,  2996,  3513,   975,  4452,   169,  1483,   173,  2671,
    1366,   686,  2829,    42,  2432,  3182,  2745,  4170,  2433,  3092,
    2999,  1224,   730, -1927,  1924,   915,  2704,  1582,  2117,  1545,
    3383,  1547,   641,  1549,  3437,  1551,  3324,  1553,  1554,  1555,
    2613,  3249,  4406,  4416,  1557,  2892,  2192,  2490,   923,  4557,
    1487,    46,  4173,  4542,  3324,  2142,  2434,  4177,  2143,  2672,
    4179,  2794,  3683,  4229,    47,  3684,  1605,  2701,  3102,  4410,
     935,  3705,  4081,  4148,  3250,  2227,  4089,  3364,  3435,  1349,
    1971,   731,  2260,  2843,  4380,  3892,  1622,  1934,  3473,  1378,
    2278,  1343,   834,  1461,   725,  3644,  1421,   662,  1672,  2827,
    2521,  2374,  2374,  3251,  2599,  1519,  2374,  2740,  1465,  2996,
    4488,  3438,  1350,  2614,  3365,  3600,  1649,  3210,  2705,  4106,
    1935,  1264,  1664,  1675,  2373,   797,  1433,  1911,  3366,  2367,
    1660,  1488,  1669,    38,  4009,  3433,   996,  3982,  2396,  2702,
    2741,  1351,  2120,  2673,  4358,  1708,  2374,  2374,   732,  2144,
    1421,  4110,  4299,  1677,   810,  4517,  1150,  1914,   741,  2012,
    1831,  4481,   923,    42,  1367,  1724,  1725,   660,  3183,  2742,
     923,   923,  4386,  1915,  2830,   663,  2435,  1501,  3384,  1344,
    4543,  1462,   835,   916,  2998,  1421,  4342,  1839,  1840,  2703,
    1844,   738,   738,  1520,   738,  3003,  3004,  3005,  3006,  3007,
    3008,    46,   573,   641,  2091,  2613,  2812,  1159,   641,   641,
    3367,  1160,  2996,  1184,    47,  4540,   736,   736,  4408,   736,
    1151,  2706,  2933,   836,  4518,  2514,  1710,  2193,  1916,  2707,
    2121,  3140,  2708,  3811,  2613,  1021,  2844,  2544,   917,  4486,
    2194,  2704,  3974,  2999,  4209,  3439,  1917,  4519,  2145,  2007,
      48,  1278,  2831,  2640,   573,  4528,  3184,   654,  1501,  4530,
    1190,   526,  1421,  1205,  2617,   733,  2572,  2746,  2146,  1278,
    2031,  3606,  3900,   837,  3901,   684,  3966,  1928,  2614,  1324,
   -2279,  1421,   542,  4331,  4233,  4387,   834,  2674,  1845,  1711,
    2560,  2998,  3090,  2749,  3959,  4169,  3090,  4580,  3211,   661,
    3798,  1421,   641,  2171,  4565,  3440,  1185,  2614,  2615,  3050,
     641,  3051,  1325,  2074,  2075,  2076,  2077,  4314,  3886,  2091,
    1146,  2573,  2750,  3212,  3336,  3694,  1421,  -601,  1956,  1192,
    2910,  3762,  2032,  2705,  3052,  4260,  3029,  3765,  3766,  4217,
     544,  2616,  3036,  2048,  3632,   176,  2062,   992,   664,   665,
    4388,  2233,  3800,  3725,  2113,  2114,  2916,  2652,  4443,  4444,
    2123,  3339,  2561,   810,  2224,  2911,  1193,   641,  3327,  3114,
     641,   641,  2845,  2230,  2091,  1918,   835,  1846,  2860,  2861,
    2862,  2863,  3337,  1421,  3580,  4234,  3644,   177,  3695,  2796,
    2868,  4361,  4277,  2065, -2279,  4366,  4367,   707,  4281,  2803,
    1718,  1288,   573,  3902,  2151,  2014,   624,  1326,  2653,  3466,
    1929,  2846,  2130,  3920,  3921, -2279, -2279,   836,  3003,  3004,
    3005,  3006,  3007,  3008, -1563,  2497,  1848,  3463,  2172,  2617,
    2638,  2186,  2187,  2188,  2189,  3053,  2706,  3626,   641,  3092,
    3054,  2604,   785,  3092,  2707,  3840,  3110,  2708,  2909,  3467,
    4345,  2906,  2048,  3581,  2015,  2144,  2016,  2635,  2617,  3651,
    4351,   718,  3203,  1849,  2918,  2919,  1309,   837,  2921,  2718,
    2049,  1919,  2050,  3324,  2925,  2181,  2144,  2721,   551,  2723,
     552,  3582,  2349,  2556,   573,  2245,  2715,  2475,  1930,  3483,
    2012,   810,  1224,  2763,  2249,  1224,  3583, -1563,   681,  1347,
    1719,  2256,  2173,  1449,  2058,  2500,  2817,  3153,  3584,  2730,
    3633,  1002,  1310,  4548,  1691,  1692,  1693,  1694,  1695,  1696,
     542,  4232,  3812,  2654,  2971,  3003,  3004,  3005,  3006,  3007,
    3008,  3585,  2958,  3652,  2005,  3874,  2626,  3875,  2769,  3634,
     800,   801,   802,  1190,   803,   804,   805,   806,   807,   808,
    4174,  1630,  1631,  2709,  3272,  2818,  4401,  1851,  3635,  3055,
    1421,  2497,  2950,   908,   169,   727,   173,  3457,  1355,  3056,
    2865,  2306,    33,  3023,  2655,  2866,  4258,  2350,   544,  2049,
     542,  2050,   176,  1034,  2501,  3813,  2996,  1408,  3653,  1142,
    3654,  1311,  1003,   909,  2262,  1348,  2263,  1356,  2264,   728,
    2265,  2812,  2266,  3540,  3048,   742,  2267,  3586,  1852,  2709,
    1714,  1720,  1192,  2699,  2309,   169,  2305,   173,  2302,  2303,
    2304,  2627,   910,   778,   177,  2947,  3435,  4307,  3003,  3004,
    3005,  3006,  3007,  3008,  2819,  2820,  1306,  2887,   544,  1312,
    2296,  1313,  1662,  2358,  2351,  -504,   971,   776,  2821,  2417,
   -1563,  2057,  1501,  2568,  -400,  3090,  3581,   630,  3414,   795,
    3090,  3418,    38,  3164,  4140,  3090,   911,  3357,  3090,  1307,
    2572,  1222,  4355,  3358,  2346,  2347,  1524,   631,  1848,  2308,
    1315,  4175,  2359,  3359,  3582,  3993,  2362,  2363,   924,  1672,
    2331,  4484,    42,  4074,  2948,  2822,  1525,  1641,  3090,  3952,
     796,  2384,  2352,  2385,  1672,  2353,  2935,  4352,  -944,  2420,
    3360,  3584,  3361,  1726,  1675,  1849,   551,  1642,   552,  1317,
    3180,  4075,   924,  3651,  2407,  3161,  2408,  2097,  2374,  1675,
      46,  2374,  2374,  2374,  2374,  2374,  2374,  2374,  2374,  2374,
    2374,  1449,  4282,  2483,  1677,  2548,  4000,  4001,  3994,  2902,
    2552,  3790,  1727,  2555,  1319,  2154,  4194,  -400,  4196,  1677,
    2098,  2374,  4098,   826,   908,  4383,  4091,  1850,  2998,  1421,
    4283,  4524,  4145,  1421,  1421,  2578,   551,   833,   552,    48,
    3103,   875,  2823,  2924,  2824,  1219,  3362,  4109,  4053,  4054,
    2374,  2374,  2511,  2512,   909,  3167,  2354,  3652,  4161,  4162,
    1190,   557,  3092,   810,  4420,  1191,  1641,  3092,  1671,  1851,
    3586,  1672,  3092,  3580,  2592,  3092,  2628, -1563,  1220,  3172,
    1672,   785,    33,  3393,   636,  1289,  1642,  2999, -1563,   878,
    1618, -1563,  1214,  2634, -1563,   880,  1675,  3090,    33,  4427,
    1643,   883,  1676,  3363,  1641,  3092,  2054,  1221,  3364,  4446,
      38,   896,  3653,  3737,  3654,  3173,  2373,  2373,   903,  2669,
    1852,  2373,  -503,  1356,  1642,  4428,  1677,   911,  3217,  1192,
    3219,  1680,  1681,  3738,  3194,  1677,  3462,  3753,  1645,  1421,
      42,  3105,  3581,  2014,  3666,  3365,  2700,  2506,  3649,  2968,
    2711,  3090,  1992,  2169,  2258,  2355,  3214,  3754,    27,  3366,
    1998,  2373,  2373,   169,  2523,   641,  1193,  1337,  1734,  2725,
    3582,   535,  2201,  2594,  2595,  2596,   912,  1684,    46,   913,
    2735,  1222,  2606,   914,  2608,  3583,  2610,  2611,  2562,  3065,
    2565,    47,  2015,  2759,  2016, -1452, -1452,  3584,  4068,  4505,
    1338,  1169,  2766,  4069,  1339,  3919,   209, -1428,   929,   730,
    1211,   527, -1428,   924,  3396,   933,  3252,  2334,  3254,   608,
    3585, -1429,  1034,  3405,   941,  2996, -1429,    48,  2012,  1340,
    2969,  3290,  1679,  3526,   942,  2970,   682,  3297,   947,    38,
    2475,  3367,  3234,  1212,  3092,  2475,  4070,   956,  3680,  3685,
    2475,   542,  1141,  1680,  1681,  1216,  3347,  3235,  3000,  3001,
    3002,  2866,  3003,  3004,  3005,  3006,  3007,  3008,   731,    42,
    -938,  1892,  1213,   962,  1829,  3291, -1428,  1830,  2621,  4313,
     966,  3670,  3244,  2719,  3475,  1421,  3514,  3515,  1217,  2069,
   -1429,  3117,  3118,  3150,  3151,  2096,  3586,  3090,  3092,  1684,
    3305,   639,  1590,  1591,  1893,  3726,   639,    46,  4574,   544,
    1007,  1832,  1685, -1428,  1833,  3245,  2334,  1218,  2257,   924,
      47,  2258,  3479,   624,  3697,  3197,  2014, -1429,  4065,   888,
    4067,   889,  2014,  1894,  4071,   732,  4072,  4238,  3145,  2624,
     891,  2779,   892,  1618,  3246,  1899,   997,  1001,  3373,  2788,
    2856,  2374,  2269,  3628,  2789,  2270,    48, -1171,  1618, -1171,
    1899,  1010,  1013,   641,  1421,  1691,  1692,  1693,  1694,  1695,
    1696,   641,  1618,   641,  1214,  2015,  2014,  2016,  1012,  2271,
    3171,  2015,  2270,  2016,  2299,  3444,  2997,  2300,  3090,  3447,
    3448,  3240,  3450,  1018,  3452,  3453,  2787,  2496,  2940,  2422,
    2497,  2423,  2640,  3458,  2787,  1019,  1159,  2998, -1930,  2400,
    1160,  2012,  2403,  1309,  2690,  1020,  3022,  2012,  3024,  3025,
    1604,  2940,    48, -2188,  2424,  2015,  2220,  2016,  2221,  3445,
    1034,  1021,  1022,  2996,  2678,  3476,  3693,  1023,  1024,  2878,
    3262,  4278,  2632,  3771,  3092,  2633,  3478,   551,  1421,   552,
    2959,  2014,   733,  3338,  3340,  3341,  2962,  2812,   554,  1310,
    1618,  2012,  1899,  4213,  2811,  2859,  2999,  1027,  2912,   556,
    2914,  3520,  1449,  1030,  1028,  4502,  3918,  4141,  4142,  4143,
    4144,  1145,  2695,  2798,  3772,  2696,  2799,  1691,  1692,  1693,
    1694,  1695,  1696,  2888,  1148,  4230,   169,  2877,  3488,   923,
    2015,  3850,  2016,  2857,  2813,  1153, -2188,  2814,  3773,  1152,
    3646,  3647,  4126,  2881,  2892,  2882,  3324,  3770,  3494,  2927,
    2425,  1158,  2270,  3774,  1154,  2426,  2967,  3775,  1170,  2258,
    2427,  2374,  2374,   923,  1177,  3092,  2012,  3389,  1311,   981,
     983,   985,  1178,  3516,   987,   988,   989,  3776,  1180,  2977,
    3777,   810,  2258, -2188,   994,  3073,  2981,  3074,   924,  2258,
     924,  1181,  3778,  2985,  2966, -2188,  2258,  1188,  3266,  2986,
   -2188,  1034,  2258,  1203,  2996, -2188,  3382,  1204,  3385,  1583,
   -2188,  3012,  1208, -2188,  2258, -2188,  1312,  3028,  1313,  1235,
    2258,  3541,  3273,  1034,  1369,  3075,  2996,  3076,  2057,  1214,
     641,  3033,  3093,  3227,  3034,  2014,  3228,  3232,  3424,  1240,
    3233,  3425, -2188,  3925,  3301,  2998,  3785,  3115,  3786,  3374,
    3484,  3376,  1262,  2258,   924,  4303,  1266,  1315,  3521,  2014,
    3531,  3522,  1267,  3532, -2188,  4190,  1297,  3000,  3001,  3002,
    3779,  3003,  3004,  3005,  3006,  3007,  3008,  3480,  3780,  2428,
    1299,  2014, -2190,  3093,  2015,  3146,  2016,  1300,  1305,  2429,
    3601,  3602,  3603,  3879,  3880,  3881,  1317,  3543,  1308,  3596,
    2258, -2188,  1333,   725,  2999,  4359,  1332,  1354,  2015, -2188,
    2016,  1421,  1345,  3781,  1421,  3430,  1421,  3474,  1359,  3618,
    2012,  1421,  3619,  3622,  1365,  3627,  3623,  3169,  2543,  1364,
    2015,  1319,  2016,  3650,  3842,  3924,  2270,  2270,  2300,  1660,
    3977,  1372,  3984,  2543,  2012,  3985,  3990,  1370,  3991,  2270,
    1376,  2270,  4058,  2420,  4578,  4059,  4579, -2188,  4531,    27,
    3078,  3079,  3080,  3671,  4111, -2190,  2012,  4112,  1180,  1374,
   -1382,  1421,  3068,  2373,  1380,  -515,  2373,  2373,  2373,  2373,
    2373,  2373,  2373,  2373,  2373,  2373,  2998,  3084,  1381,  4150,
       3,     4,  4151,  4152,   923,  4160,  2258,  1187,  2300,  1189,
    2014,  3951,   654,  3954,  1825,   725,  3524,  4214,  2998,  1386,
    4215,  1421, -2190,  4279,  4304,  1388,  2270,  4305,   169,  2305,
     173,  2302,  2303,  2304, -2190,  3236, -2188,  1391,  2334, -2190,
    3106,  1396,   641,  1393, -2190,  2373,  2373,  3255,  3084, -2190,
      38,   724, -2190,  3758, -2190,  2999,  1222,   610,  1437,  2015,
   -2188,  2016, -2188, -2188,  1440,  4315,  4323,  4253,  2300,  4324,
    1442,  3176,  3698,  3177,  3178,  3179,    14,  2999,  1433,  1452,
      42, -2190,  1421,  1453,  1421,  3000,  3001,  3002,  -166,  3003,
    3004,  3005,  3006,  3007,  3008,  2012,  1455, -2188,  1457,  1469,
   -2188, -2188, -2188, -2190,  4328,  1471,  1479,  2497,    19,  2014,
     923,  4333,  4335,  4377,  3403,  3403,  4378,   194,    46,  1477,
    4107,  4409,  3302,  1489,  1713,  4414,  3869,  1494,  4415,  1544,
    2374,    47,  1546,  1495,  1548,  1496,  1550,  1497,  1552,  2374,
   -2190,  1421,  1556,  4508,  4421,  1498,  1500,  2300, -2190,  3830,
    4422,  1508,  3115,  3034,  4513,  1501,  2374,  2374,  2015,  4423,
    2016,  4433,  2258,  1511,  2497,  3873,  1421,  4532,  1513,  4435,
    3115,  1512,  3403,  3876,  3877,  1514,  1516,  4450,  4041,  4042,
    2300,  4044,  1521,  4456,  1522,  1421,  2300,  3230,  4457,  4471,
    4126,  2300,  4472,  1523,  2012,  1528, -2190,  4499,  1533,  4546,
    2497, -1394,  3403,  1421,  1558,  4551,  4576,  3907,  4587,  4577,
    1585,  4577,  1588, -1394,  1592,  1594,  1595,  1601, -1394,  1602,
   -1567, -1574,  1611,  1614,  1615,  3260,  3000,  3001,  3002,  1621,
    3003,  3004,  3005,  3006,  3007,  3008,  1616,  1617,    48, -2203,
    1623,   654,  1626, -1564,  1627, -1565,  1628,  1629,  3000,  3001,
    3002,  1634,  3003,  3004,  3005,  3006,  3007,  3008,  1636,  1637,
   -1394, -1568, -1566,  1638,  1700, -2190,  1034,    30,  1421,  2996,
    1702,  1639,  1704,  2091,  1640,  3293,  1647,  1648,  1650,  1706,
    1651,  1652, -1394,  1653,  1421,  1717,  3926,  3465,  1654, -2190,
    1655, -2190, -2190,    38,  1656,  1421,  1657,  2787,  1729,  1713,
    2787,  2787,  1737,  1837,  2787,  1191,  1866,  3477,  1583,   785,
    2787,  1193,  1868,  1671,  4228,  1876,  1672,  3326,  1895, -1394,
    1896,  1897, -2203,    42,  1899,  1900, -2190, -1394,  1901, -2190,
   -2190, -2190,  1902,  1673,  1903,  3326,  1904,  1925,  1931,  1937,
    1958,  1675,  1962,  4062,  1964,  1965,  2373,  1676,  1968,   923,
    1966,   923,  1967,  1983,  1985,   641,  3828,  3829,  1995,  1984,
    2005,    46,  3333,  3335,  1421,   611,  2006,  3342,  2008, -2203,
    2011,  1677,  2009,   641,    47,  3998,  2010,  2374,  2012,  2018,
    2019, -2203,  2021,  2022,  1421,  2023, -2203,  3401,  3882,  3454,
    2034, -2203,  3455,  2027,  2036,  2028, -2203,  2040,  2041, -2203,
    2044, -2203,  2051,  2052,  3386,  2056,  4015,  4016,  2059,  1421,
     612,  2060,  2064,  2070,  3429,   923,   169,  3420,  1278,  2081,
    3999,  4096,  2082,  2086,  2071,  2087,  2083,  2109, -2203,  2092,
    2122,  2095,  2125,  1268,  2110,   169,  3443,  3481,  2124,  1269,
    2135,  1607,  1618,  3850, -1394,  1421,  2155,  2137,  4014,  2138,
   -2203,  2998,  2158,  3557,  2159,  1624,  3093,  2162,  3093,  2163,
    1210,   537,  2170,  2166,  2185,  1326,  2190,  4029,  2205,  2206,
    2213,  2218,  2219,  1678,  2234,  4050,  4051,  1679,  2216,  1270,
    2223,  2236,  2237,  2238,  2239,  2252,  2253, -2203,  2282,  2288,
    2311,  2297,  2339,  2340,  2382, -2203,  2383,  2395,  1680,  1681,
    3770,  1672,  2401,  2413,  2406,  1159,  2438,  2453,  1180,  1160,
    2999,  2345,  2419,  2454,  2405,  1682,  2436,  4049,  2467,  2484,
    2485,   641,  2481,  2488,  2498,  2489,  2373,  2373,  1271,   731,
    2499,  1421,  2508,  2509,  3093,  1272,  2507,  2518,  1273,  2510,
    3667,  1683,  2532, -2203,  1684,  2533,  2545,  2535,  2546,  2547,
    2558,  2563,  2566,  2568,  2577,  2582,  2587,  1685,  2570,  2571,
    1686,   725,  2588,  3538,  2593,  2590,  2601,  2612,  2609,  2625,
    2597,  2630,  1142,  2680,  1146,  2686,  2685,   725,  2694,  2698,
    2710,  3562,  3563,  3564,  3565,  2697,  2751,  2754,   654,  3115,
    2765,  4134,  1274,  4135,  4136,  2772,  2776,  1660,  2777,  2778,
    2780,  2773,  2781,  2782,  3969,  4139,  2783,  2784,  2797,  2792,
    2790,  3569, -2203,  3572,  2801,  4327,  2804,  2809,  2805,  2806,
    2807,  2815,  1421,  2808,  2835,  4327,  2849,  2810,  2867,  3739,
    2858,  2872,  3742,  2864,  4242,  1687, -2203,  2851, -2203, -2203,
    2874,  2875,  2886,  2889,  2901,  4185,  2873,  4006,  2884,  1275,
    2903,  1276,  2904,  3662,  3663,  3664,  3665,  2905,  2907,  4248,
    4250,  1277,  1939,  2908,  2922,  1583,  2923,  2929,  2917,  1278,
    2930,  2920,  2931, -2203,  2497,  2932, -2203, -2203, -2203,  1279,
    4373,  3000,  3001,  3002,  2941,  3003,  3004,  3005,  3006,  3007,
    3008,  2312,  2949,  1529,  4064,  1940,  2952,  2955,  2957,  2960,
    4038,  2963,  2961,  2934,  2964,  2983,  1003,  2965,  1941,  3018,
    2258,  3030,  1280,  2979,  2980,  1281,  1282,  2982,  2984,  3049,
    3044,  1942,  2987,  2988,  2990,  2993,  3064,  3011,  1688,  1689,
    1690,  3017,  1691,  1692,  1693,  1694,  1695,  1696,  3019,   924,
    3833,  1283,  4084,  3020,  3027,  2989,  3042,  3071,  3101,  3043,
    -984,  3057,  3067,  3069,  3326,  3100,  3070,  3122,  3127,  1943,
    3095,  3125,  4184,  3131,  3143,  3137,  3149,  3152,  3154,  4189,
    1944,  3155,  3163,  3159,  4434,  1421,  3175,  3166,  3719,  3160,
    4193,  3720,  3168,  3721,  3190,  3201,  3191,  3202,  3206,  3207,
    1945,  3216,   641,  3218,  3231,  1946,  3257,  3718,  3258,  1284,
    3261,  3264,  3263,  3265,  3268,  3274,  3276,  3275,  3277,  3267,
    3278,  3279,  3280,  1421,  3282,   641,  4239,  2940,  3281,  3283,
    3285,  3284,  4362,  3286,  3287,  3288,  2787,  3289,  3292,  3294,
    3809,  3296,  2787,  2787,  2079,  2130,  4317,  4379,  3306,  4365,
    3312,  3298,  3300,  3328,  3313,  3331,  3316,  2144,  3343,  3332,
    3344,  3348,  3387,  3349,  3390,  3392,  3394,  3415,  3410,  4312,
    3416,  3419,  1947,  4369,  3422,  4371,  3442,  3469,  3380,  3402,
    3795,  3797,  3799,  3801,  3381,  3403,  3412,  3449,   991,   992,
    3451,  3464,  3470,  3459,  3460,  2373,  3461,  3471,  3482,  3784,
    3487,  1604,  3014,  1948,  4153,  2996,  1665,  3013,  3545,  3517,
    3518,  3519,   732,  3525,  3533,  3546,  3593,  3554,  3794,  1583,
    3558,  2373,  2373,  3571,  3579,  4343,  3595,  3598,  3614,  3630,
    3637,  3658,   194,  1421,  3660,  3661,  3673,  3674,  3607,  3608,
    3610,  3675,  3672,  3686,  1421,  3699,  3700,  3611,  3677,  3702,
    3701,  3712,  3861,  3714,  3727,  3291,  3728,  3713,  3734,   169,
    3858,  4242,  3750,  3715,  3093,  1949,  4374,  3716,  3093,  3717,
    3752,  1950,  3681,  3761,  1951,  3763,   810,  3755,  4564,  4322,
    3764,  3787,  4293,  3788,  3789,  3808,  3816,  3824,  3434,  4201,
    3819,  3831,  3826,  1583,  3836,  3838,  3843,  1583,  1583,  2270,
    1952,  4218,  3839,   650,   651,  3853,  1953,  3835,   657,  3855,
    3856,  3866,  3894,   668,   676,   650,  4426,   683,  3872,  1954,
     676,   676,  3870,   711,  3878,   714,  3883,  3885,  4564,  3867,
    3887,  4223,   641,  3899,  1671,  3888,  4564,  1672,  3889,  3890,
     924,  3896,  3891,  3904,  1955,  3908,  3903,  3909,  3912,  3947,
    3942,  3910,  3911,  3916,  1673,  3945,  1421,  3948,  3955,  3932,
    4024,  3958,  1675,  3943,  3960,  3961,  3970,  3963,  1676,  3973,
    3964,  3965,  4034,  3979,  3981,   531,  3986,  3976,  3987,  3995,
    4010,  4017,  4011,  4018,  1421,  4019,  4037,   532,  4030,  4040,
    4045,  4052,  1677,  4076,  4077,  4090,  4097,  4085,  4095,  4073,
    4101,  4115,  4033,  1421,  4113,  4123,  4103,  4121,   533,  4124,
    4132,  4138,  4146,  4154,  4147,  4149,  4157,  4156,  4158,  3084,
    4552,   534,  4159,  3084,  4165,  4171,  4181,  4187,  4178,  4191,
     535,  4210,  4195,  4225,  -743,  4207,  4211,  3967,  3968,  4226,
    4220,  4235,  2373,  4236,  4240,  4247,  4254,  4261,  3815,  4263,
    4266,   536,  4286,  1421,  4264,  4267,  4285,   537,   169,  3971,
     767,   772,   772,   775,  4268,   772,  3980,   781,  4287,   767,
    4289,   711,   538,  4291,   812,  4295,  4296,  4318,  4321,   711,
    4325,  3978,   711,   539,  4330,  4346,   772,  4354,   711,  4336,
    4356,   540,  4340,  4384,  1678,  4368,  4389,  4396,  1679,   641,
    4394,  4399,  4393,   541,  4087,  4411,  4398,  4404,  4413,  4412,
     542,  4418,  4424,  4419,   543,  4425,  4436,  4437,  4043,  1680,
    1681,  4432,  4438,  4449,  4453,  4363,  4461,  4440,  4462,  -938,
    4465,  4547,  4046,  4012,  4459,  4467,  1682,  4470,  4475,  4476,
    4482,  4483,  4497,  4506,  3559,  4511,  4504,  2940,  4463,  4464,
    4515,   641,  4522,  4523,  4527,  4541,  4555,  4572,  4575,  4581,
    4585,  1182,  1683,  2093,  1330,  1684,  2853,  1736,   544,  1304,
    1265,  4027,  4028,  3108,  3213,  -504,  4031,  4032,  1685,  1329,
    2684,  1686,  3691,  4047,  4048,  4445,  2764,  3767,  3315,  4375,
    4241,  4460,  4288,  2787,  2787,  3827,  4082,  4290,  4276,  3157,
     923,  1421,  2928,  4507,  4066,  4199,   545,  4550,  4468,   546,
    4466,  4521,  4407,  3162,  3823,  2833,  2834,  3689,  3225,  2182,
    3398,  2816,  4554,  4586,  4582,  4265,  4108,  3093,  3345,  3329,
    4525,  4224,  3093,  2165,  4455,  4512,  4227,  3093,   641,  2940,
    3093,  2940,  4079,   656,  -400,  1578,  3884,  4341,  1587,  4442,
    3862,   810,  3144,  2538,  3863,  3295,  1687,   924,  4417,   925,
     641,  4534,   547,  4583,  2493,  2894,  2492,  3112,   548,  4105,
    3093,  3846,  3972,  3624,  -400,  2261,  2517,   549,  1155,  3113,
    1834,  1863,  3115,  3123,  1243,  2516,  3121,  1176,  3136,  3124,
    3941,  1862,  3574,   810,  3953,  4332,  4125,  3570,  1867,  1163,
    4431,  1872,  4430,  -400,  3625,   550,   551,  2802,   552,   553,
    3537,  4316,  4222,  3527,  4500,  1421,  1244,   554,  3894,  3894,
    3894,  3894,   555,  4496,  4501,  3116,  3062,  2974,   556,  3060,
    3621,   557,  2469,     0,   558,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -400,     0,  1688,
    1689,  1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,   785,
       0,  2486,     0,     0,     0,     0,     0,  2487,     0,  4202,
    4204,  4204,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1268,     0,  3084,     0,     0,
       0,  1269,  3084,     0,  1671,  3084,     0,  1672,     0,     0,
       0,     0,     0,     0,  1246,   843,     0,     0,     0,  3093,
     711,     0,   767,     0,     0,   772,     0,   775,     0,   772,
       0,     0,  1675,     0,  1421,     0,   812,  1430,  1676,   900,
    4192,  1270,     0,  2895,     0,     0,   772,     0,  1671,     0,
    1247,  1672,     0,     0,     0,  1421,     0,  3326,     0,     0,
       0,     0,  1677,     0,     0,     0,     0,     0,  1673,   767,
       0,     0,     0,  3093,   775,     0,  1675,     0,     0,   767,
    1248,     0,  1676,   812,     0,     0,     0,     0,     0,     0,
    1271,  1421,  2787,     0,     0,   641,     0,  1272,   772,     0,
    1273,   923,     0,     0,     0,  4245,  1677,  4246,     0,     0,
       0,  4251,  4252,     0,     0,  4300,     0,     0,     0,     0,
       0,     0,     0,     0,  3047,     0,     0,     0,     0,  1421,
       0,     0,     0,  1421,  1421,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    33,   711,   169,  4280,  1251,
       0,     0,     0,     0,  1274,  1252,     0,   711,  1017,     0,
       0,  4395,  1253,     0, -2279,     0,     0,     0,  1679,  1430,
    1977,     0,     0,     0,     0,     0,     0,     0,  1129,  1255,
     711,   676,     0,     0,     0,   676,     0,  1256,     0,  1680,
    1681,     0,     0,     0,     0,  4347,     0,     0,     0,   711,
       0,     0,     0,   711,     0,     0, -2279,     0,  1678,  1129,
       0,  1275,  1679,  1276,     0,     0,     0,     0,     0,  3093,
     711,   810,     0,  1277,     0,  4370,     0,  4372,  3084,     0,
       0,  1278,   711,  1680,  1681,  1684,     0,     0,     0,  1257,
       0,  1279,     0,  2897,  3434,     0,     0,     0,  1685,     0,
    1682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,     0,  1683,  1281,  1282,  1684,
    4376,     0,     0,     0,     0,     0,     0,   711,     0,   772,
     772,     0,  1685,     0,     0,  1686,     0,     0,     0,  4478,
       0,     0,     0,  1283,     0,     0,     0,     0,  2940,     0,
    3093,   676,   676,     0,  1670,     0,     0,     0,     0,  1671,
       0,     0,  1672,     0,     0,     0, -2279,     0,     0,     0,
       0,     0,     0,     0,     0,   767,  4204,   169,  4405,  1673,
       0,     0,  1674,     0,     0,  4510,   767,  1675,     0,     0,
     812,     0,     0,  1676,     0,     0,     0,     0,     0,     0,
       0,  1284,     0,   772,     0,     0,     0,  1891,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,  1677,   711,     0,
       0,     0,     0,     0,   772,   772,     0,     0,     0,     0,
       0,  4474,     0,     0,     0,     0,     0,     0,     0,     0,
     711,   711,   711,     0,   772,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,  1891,     0,  1691,  1692,  1693,  1694,  1695,  1696,     0,
       0,     0,   772,     0,   772,   772,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4514,     0,     0,     0,     0,  1430,  1129,     0,     0,
       0,     0,     0,  1688,  1689,  1690,     0,  1691,  1692,  1693,
    1694,  1695,  1696,     0,     0,     0,  4584,     0,     0,  1678,
    3037,     0,     0,  1679,     0,     0,     0,  1561,  1561,     0,
       0,     0,   711,     0,   650,     0,     0,     0,     0,     0,
       0,     0,     0,  4553,  1680,  1681,     0,     0,     0,     0,
       0,     0,  1593,     0,     0,   711,     0,     0,  1599,     0,
       0,  1682,     0,     0,     0,     0,   169,  4526,     0,     0,
       0,  1129,     0,  1430,     0,     0,     0,     0,     0,   169,
    4539,   173,  4536,  4537,  4538,     0,  4571,  1683,     0,     0,
    1684,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
    1129,     0,     0,  1685,     0,     0,  1686,  4563,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4570,  4539,   173,  4536,  4537,  4538,  1129,  1129,
       0,  1129,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,  4562,     0,     0,     0,     0,
    1129,     0,  1671,     0,     0,  1672,     0,  4563,  2894,     0,
       0,     0,     0,     0,     0,  4563,     0,     0,     0,   169,
    4539,   173,  4536,  4537,  4538,     0,     0,  1243,     0,     0,
    1675,  1687,     0,     0,     0,     0,  1676,   711,     0,     0,
    1129,     0,     0,  1671,  1430,  4562,  1672,     0,     0,     0,
       0,     0,     0,  4562,     0,     0,     0,     0,     0,  1244,
    1677,     0,     0,  1673,     0,     0,     0,     0,     0,  1129,
       0,  1675,     0,  1129,  1129,     0,     0,  1676,     0,     0,
       0,     0,     0,     0,   711,   711,  1875,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1677,   676,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1243,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,  1688,  1689,  1690,     0,  1691,  1692,
    1693,  1694,  1695,  1696,     0,   676,     0,     0,     0,     0,
       0,     0,     0,     0,  1244,     0,     0,  1246,   711,  1991,
       0,     0,     0,     0,     0,   711,     0,     0,   772,     0,
       0,     0,  1678,     0,     0,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2895,     0,     0,     0,
     812,     0,     0,  1247,     0,     0,   711,  1680,  1681,   711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,  1678,  1682,     0,     0,  1679,     0,     0,
       0,     0,     0,  1248,   711,     0,     0,     0,     0,     0,
       0,  1430,   772,   772,   772,   772,   711,     0,  1680,  1681,
    1683,     0,  1246,  1684,     0,     0,     0,   676,     0,     0,
     711,     0,     0,     0,     0,  1682,  1685,     0,     0,     0,
       0,  2105,     0,   711,  2315,     0,  2479,     0,     0,     0,
       0,     0,     0,   772,   772,     0,     0,     0,  1247,   772,
       0,  1683,     0,     0,  1684,     0,     0,     0,    33,     0,
       0,     0,  2896,     0,     0,     0,     0,  1685,  1252,     0,
    1686,     0,     0,     0,     0,  1253,     0,     0,  1248,     0,
       0,  2316,     0,  1977,     0,     0,     0,     0,     0,     0,
       0,     0,  1255,   772,     0,     0,     0,     0,     0,     0,
    1256,     0,     0,     0,  1687,     0,  1249,     0,     0,     0,
    2317,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     772,   772,   772,   772,     0,     0,     0,     0,     0,     0,
       0,  2318,   711,     0,     0,     0,     0,     0,   711,  1250,
       0,  2105,  2319,    33,     0,  1687,     0,  1251,     0,     0,
     767,     0,  1257,  1252,     0,     0,  2897,   775,     0,   767,
    1253,     0,  2320,     0,     0,     0,     0,  2321,  1254,   812,
       0,     0,     0,     0,   772,     0,     0,  1255,     0,     0,
       0,     0,     0,   772,     0,  1256,     0,     0,     0,   772,
     772,     0,     0,     0,   711,     0,     0,  1688,  1689,  1690,
       0,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,
    2534,     0,     0,  2322,  1891,  2540,     0,     0,     0,  1561,
       0,     0,     0,     0,     0,     0,   772,     0,   767,     0,
       0,     0,   711,   711,  2323,   772,     0,  1257,  1688,  1689,
    1690,   711,  1691,  1692,  1693,  1694,  1695,  1696,   711,     0,
       0,     0,  2404,     0,     0,   650,   650,  1671,     0,  2314,
    1672,     0,     0,  1129,     0,  1129,     0,     0,     0,     0,
       0,     0,  1129,     0,     0,  1129,     0,  1673,     0,  1129,
       0,     0,     0,     0,     0,  1675,     0,  1129,  1129,     0,
       0,  1676,     0,     0,   194,  1129,     0,   812,  1129,  1129,
    1129,  1129,     0,     0,     0,     0,     0,     0,  1129,  1129,
       0,  1129,     0,  1129,  1129,  1677,     0,  1129,     0,     0,
    1430,  2324,     0,     0,     0,     0,     0,  2325,     0,     0,
       0,     0,     0,  2326,  1129,     0,     0,     0,   772,  1129,
       0,     0,     0,  1129,     0,     0,     0,  1129,     0,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,     0,  1129,
       0,     0,  2327,  2894,  2328,   711,     0,  1129,  1129,     0,
       0,     0,     0,     0,   711,     0,     0,     0,     0,     0,
       0,  2329,  1243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1671,     0,     0,  1672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,     0,  1673,     0,  1244,     0,     0,  1678,     0,     0,
    1675,  1679,     0,     0,     0,     0,  1676,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1680,  1681,     0,     0,     0,     0,     0,     0,
    1677,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1683,     0,     0,  1684,     0,
     711,     0,   711,     0,  1129,     0,     0,     0,     0,     0,
       0,  1685,  1246,     0,  1686,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
    1671,  2895,     0,  1672,     0,  2524,     0,  2531,  1247,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,     0,     0,
    1673,     0,  1678,     0,     0,     0,  1679,     0,  1675,     0,
       0,     0,     0,     0,  1676,   775,     0,     0,  1248,     0,
     650,     0,   650,     0,     0,     0,     0,  1680,  1681,  1687,
       0,     0,     0,     0,     0,     0,     0,     0,  1677,  1129,
       0,     0,     0,     0,  1682,     0,     0,     0,     0,     0,
     767,     0,   772,   772,   772,     0,     0,   767,     0,   812,
       0,   772,     0,   772,     0,   772,   772,     0,     0,   711,
    1683,     0,     0,  1684,     0,     0,     0,     0,     0,  1430,
       0,     0,     0,    33,     0,     0,  1685,  1251,   676,  1686,
       0,     0,     0,  1252,     0,     0,     0,     0,  1991,     0,
    1253,     0,     0,     0,     0,  2642,     0,     0,  1977,     0,
    2651,     0,     0,     0,     0,     0,   711,  1255,     0,     0,
       0,     0,  1688,  1689,  1690,  1256,  1691,  1692,  1693,  1694,
    1695,  1696,     0,     0,   711,     0,  3330,     0,  2692,  2692,
    1678,     0,     0,     0,  1679,   775,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   772,     0,  1687,  1680,  1681,  2692,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  2897,  1682,     0,     0,     0,     0,     0,     0,     0,
    2753,     0,  2756,  2758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1683,     0,
       0,  1684,     0,     0,     0,     0,     0,     0,     0,     0,
     772,     0,     0,     0,  1685,     0,  1268,  1686,   772,     0,
       0,   794,  1269,   772,     0,     0,     0,     0,     0,   818,
       0,     0,     0,     0,     0,     0,  1129,     0,   832,  2479,
    2479,  2479,     0,     0,     0,     0,     0,  1688,  1689,  1690,
       0,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,
       0,  3489,  1270,     0,  1991,  1671,     0,  2692,  1672,   711,
       0,  2854,     0,     0,   650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,     0,     0,
       0,     0,  1687,  1675,     0,     0,     0,     0,     0,  1676,
    2753,     0,  1891,     0,     0,  2540,     0,  2540,   772,  2880,
       0,  1271,  1891,     0,     0,     0,     0,     0,  1272,     0,
       0,  1273,     0,  1677,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   772,     0,   772,  2692,   772,
    2692,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,  1561,     0,     0,     0,  1274,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1688,  1689,  1690,     0,  1691,
    1692,  1693,  1694,  1695,  1696,     0,     0,     0,     0,  3536,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,     0,     0,     0,
       0,     0,   767,     0,     0,  1678,     0,     0,     0,  1679,
       0,     0,  1275,   772,  1276,     0,     0,     0,     0,     0,
    1129,  1129,     0,     0,  1277,     0,  1129,     0,     0,     0,
    1680,  1681,  1278,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1279,  1430,     0,  1430,     0,  1682,     0,     0,
       0,  1129,  1129,     0,     0,     0,  1129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1129,  1129,
    1129,  1129,     0,  1683,     0,  1334,  1684,     0,  1281,  1282,
       0,  1129,     0,     0,  1129,     0,  1129,  3041,     0,  1685,
       0,     0,  1686,     0,     0,     0,  1129,  1129,     0,     0,
    1129,     0,  1430,     0,  1335,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,     0,  1129,     0,   812,     0,  1129,
       0,     0,     0,  1243,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,   841,     0,     0,  1129,     0,
     874,     0,   711,     0,     0,     0,  2540,     0,  3094,     0,
       0,  1129,  1129,  1129,     0,  1244,     0,     0,  1671,     0,
       0,  1672,  1284,     0,  2540,     0,     0,  1687,  1129,     0,
       0,     0,     0,  1671,     0,     0,  1672,     0,  1673,     0,
    1129,     0,     0,     0,     0,  1129,  1675,     0,     0,     0,
       0,  1129,  1676,  1673,     0,     0,     0,     0,     0,  3094,
       0,  1675,  3130,     0,     0,     0,  2531,  1676,     0,     0,
       0,  1245,     0,     0,     0,     0,  1677,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,  1677,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1246,     0,  2540,     0,  1129,     0,  2692,
       0,     0,     0,     0,  1561,     0,  1430,     0,     0,     0,
    1688,  1689,  1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,
       0,     0,     0,     0,  3613,     0,     0,  1016,     0,  1247,
     772,     0,   772,   772,   772,     0,   566,     0,     0,     0,
       0,     0,   609,     0,     0,     0,     0,     0,     0,     0,
    1134,   659,     0,     0,     0,     0,     0,     0,     0,  1248,
       0,     0,     0,     0,     0,     0,     0,     0,  1678,  1157,
     723,     0,  1679,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,  1678,     0,     0,     0,  1679,     0,     0,
    1183,     0,     0,  1680,  1681,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1680,  1681,
    1682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,    33,  1682,  1976,     0,  1251,     0,
       0,     0,     0,     0,  1252,     0,  1683,     0,     0,  1684,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,  1977,
       0,  1683,  1685,     0,  1684,  1686,  1430,  1294,  1255,     0,
       0,     0,     0,     0,     0,     0,  1256,  1685,     0,     0,
    1686,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2479,     0,     0,     0,     0,     0,     0,     0,   780,
       0,     0,     0,  2692,  2692,     0,     0,     0,  1257,   815,
     816,     0,   819,     0,     0,   825,     0,   827,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,  1687,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,  1671,     0,     0,
    1672,     0,     0,     0,     0,     0,   711,   711,     0,     0,
    1472,  1475,  1476,     0,     0,     0,     0,  1673,     0,     0,
       0,     0,   711,     0,     0,  1675,     0,     0,     0,     0,
       0,  1676,     0,     0,     0,  1561,   711,     0,     0,     0,
       0,     0,     0,     0,  1561,  2692,   711,     0,     0,     0,
       0,     0,     0,     0,     0,  1677,     0,     0,     0,     0,
     711,     0,     0,  1688,  1689,  1690,     0,  1691,  1692,  1693,
    1694,  1695,  1696,  2540,     0,     0,     0,  3639,  1688,  1689,
    1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,   772,     0,
       0,   772,  3897,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1134,     0,     0,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1134,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   772,     0,     0,     0,
       0,     0,     0,     0,  1129,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1129,     0,     0,  1678,     0,     0,
    1129,  1679,  1129,     0,     0,     0,     0,     0,  1129,     0,
       0,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,     0,  1680,  1681,  1129,  1129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1129,     0,  1682,
       0,  1129,     0,     0,     0,  1129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1129,     0,     0,  1129,     0,
    1129,     0,     0,     0,     0,  1683,  1430,     0,  1684,  1129,
    1129,  1129,     0,     0,     0,  1129,     0,     0,  1129,     0,
       0,  1685,  3561,  1671,  1686,     0,  1672,     0,     0,   711,
     711,   711,   767,     0,  3094,  3578,     0,  1738,     0,  3578,
    3592,     0,     0,  1673,  1891,     0,  1129,     0,     0,     0,
       0,  1675,  1129,  1129,     0,     0,  1268,  1676,     0,     0,
       0,     0,  1269,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,  1129,     0,     0,     0,
       0,  1677,  1129,   885,     0,  1873,  2531,     0,  1129,     0,
       0,     0,   901,   902,     0,     0,     0,   904,     0,  1687,
       0,     0,  1270,     0,     0,     0,     0,     0,   920,     0,
    3645,  1561,  1561,     0,  2105,     0,     0,     0,     0,     0,
       0,     0,   928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   772,   772,   772,   772,     0,     0,   951,     0,
       0,   953,     0,   955,  1671,   958,     0,  1672,  1986,     0,
       0,  1271,     0,     0,  1430,  2004,     0,     0,  1272,     0,
       0,  1273,     0,     0,     0,  1430,     0,     0,     0,  3688,
       0,     0,  1675,     0,     0,     0,     0,     0,  1676,     0,
       0,     0,     0,  1678,     0,     0,  2039,  1679,     0,  2042,
       0,     0,  1688,  1689,  1690,     0,  1691,  1692,  1693,  1694,
    1695,  1696,  1677,     0,     0,  1014,  3931,  1015,  1680,  1681,
       0,     0,     0,     0,  2479,  1274,     0,     0,  2692,  2479,
       0,     0,     0,     0,  2479,  1682,  2078,     0,     0,     0,
    1671,     0,     0,  1672,     0,     0,     0,     0,     0,     0,
    2094,     0,     0,     0,     0,     0,     0,  3756,     0,     0,
    1673,  1683,     0,  2106,  1684,     0,     0,     0,  1675,     0,
       0,     0,     0,   723,  1676,     0,     0,  1685,     0,     0,
    1686,     0,  1275,     0,  1276,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,  1277,     0,     0,     0,  1677,     0,
       0,     0,  1278,     0,     0,     0,     0,     0,   711,     0,
       0,     0,  1279,     0,  1678,  1430,     0,     0,  1679,   772,
       0,  1129,     0,     0,     0,     0,     0,   711,     0,     0,
       0,  1234,     0,  3822,  1430,     0,     0,     0,     0,  1680,
    1681,     0,  1991,     0,     0,  1360,     0,     0,  1281,  1282,
       0,     0,     0,     0,   711,  1687,  1682,     0,     0,     0,
       0,     0,  2202,     0,  2753,     0,     0,     0,  2212,     0,
       0,  3851,     0,     0,  1361,     0,     0,     0,     0,  1671,
       0,     0,  1672,     0,  1430,  1684,  1363,  1129,  1129,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1685,  1673,
    1678,  1375,     0,     0,  1679,     0,     0,  1675,     0,     0,
    2692,     0,  2692,  1676,  1385,     0,     0,     0,     0,     0,
       0,  1387,     0,     0,  2259,  1680,  1681,     0,     0,     0,
       0,     0,  1284,  1435,     0,     0,  1439,  1677,     0,     0,
       0,     0,  1682,     0,     0,     0,  1129,     0,  1688,  1689,
    1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,  1268,     0,
    3609,     0,  1134,  1134,  1269,     0,     0,     0,  1683,  1482,
       0,  1684,     0,     0,     0,     0,  1687,     0,  2307,     0,
       0,     0,     0,  1129,  1685,     0,     0,  1686,     0,     0,
       0,     0,     0,  1129,  1129,     0,  4129,     0,     0,     0,
       0,  1129,  1129,     0,  1270,     0,  1129,     0,     0,     0,
       0,     0,  1129,  1129,     0,     0,  1129,     0,     0,  1129,
    3935,     0,     0,   711,   711,   711,   711,     0,     0,     0,
    3578,  3592,  1430,  3578,     0,     0,  3944,     0,     0,  1678,
    3094,     0,     0,  1679,  3094,     0,     0,     0,     0,     0,
    3957,     0,     0,  1271,     0,     0,  1129,     0,     0,     0,
    1272,  1129,  1687,  1273,  1680,  1681,  1129,     0,     0,  1688,
    1689,  1690,   812,  1691,  1692,  1693,  1694,  1695,  1696,     0,
    3130,  1682,     0,     0,  2531,  1671,     0,     0,  1672,     0,
       0,     0,     0,     0,     0,  2466,     0,     0,   650,     0,
       0,  1129,     0,     0,  2480,  1673,     0,  1683,     0,     0,
    1684,     0,     0,  1675,     0,     0,     0,  1274,     0,  1676,
       0,  2692,  2692,  1685,     0,     0,  1686,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1677,     0,  4013,  2540,     0,     0,     0,
       0,     0,     0,     0,     0,  1688,  1689,  1690,     0,  1691,
    1692,  1693,  1694,  1695,  1696,     0,     0,     0,     0,  4155,
       0,     0,     0,     0,  1275,     0,  1276,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,     0,     0,
       0,     0,     0,     0,  1278,     0,     0,   772,     0,     0,
       0,  1687,     0,     0,  1279,     0,     0,     0,     0,     0,
       0,   772,     0,     0,     0,     0,     0,     0,     0,     0,
    2491,     0,  2494,     0,     0,     0,     0,     0,     0,     0,
     723,  1836,     0,     0,     0,     0,     0,  1959,     0,     0,
    1281,  1282,     0,     0,     0,  1678,     0,     0,     0,  1679,
       0,     0,     0,     0,     0,  2540,     0,     0,     0,  1134,
       0,     0,     0,     0,     0,     0,  1960,     0,     0,  1129,
    1680,  1681,     0,     0,     0,     0,  1430,     0,     0,     0,
     767,     0,     0,     0,     0,  1991,     0,  1682,     0,     0,
       0,     0,  1561,  1957,  1688,  1689,  1690,     0,  1691,  1692,
    1693,  1694,  1695,  1696,     0,   772,  1991,     0,  4164,     0,
       0,     0,  1430,  1683,     0,     0,  1684,     0,     0,     0,
       0,     0,     0,     0,  1284,     0,     0,     0,     0,  1685,
       0,   711,  1686,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,  1430,  1430,     0,     0,     0,     0,
    1129,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1129,  1129,     0,     0,
    1129,     0,     0,     0,     0,     0,  2660,     0,     0,     0,
       0,     0,     0,   767,  3578,     0,     0,  1687,  3094,     0,
       0,     0,     0,  3094,  2687,     0,  3094,  2753,     0,  4183,
       0,  1129,  1129,  1671,     0,     0,  1672,     0,     0,     0,
       0,     0,     0,     0,  4129,     0,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,  3645,   812,   772,   772,
     772,  1675,     0,     0,     0,     0,     0,  1676,  1671,     0,
       0,  1672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,  1677,     0,     0,     0,     0,  1675,     0,   767,   812,
       0,     0,  1676,  1268,     0,  2161,     0,     0,     0,  1269,
    1688,  1689,  1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,
    2184,     0,  1671,     0,  4197,  1672,  1677,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1561,  1561,  1673,     0,     0,   767,     0,     0,   711,  1270,
    1675,     0,     0,     0,     0,     0,  1676,     0,     0,  3822,
    2229,     0,     0,     0,     0,     0,  2692,     0,     0,  2852,
    1991,  4544,     0,     0,     0,  2244,     0,  2246,     0,  2247,
    1677,     0,  1671,  3851,  2248,  1672,   711,     0,     0,     0,
       0,     0,     0,  1678,   772,  3645,     0,  1679,  1271,     0,
       0,     0,  1673,     0,     0,  1272,     0,     0,  1273,     0,
    1675,     0,     0,     0,     0,     0,  1676,  1129,  1680,  1681,
    1129,     0,  1129,     0,     0,     0,     0,  1836,  1678,     0,
       0,  1836,  1679,  1836,     0,  1682,  1836,     0,     0,     0,
    1677,     0,     0,     0,     0,  1129,     0,     0,     0,  3094,
       0,     0,  4183,  1680,  1681,     0,     0,     0,  4339,     0,
       0,  1683,  1274,     0,  1684,     0,     0,     0,     0,     0,
    1682,     0,     0,     0,   772,     0,     0,  1685,   711,     0,
    1686,     0,  1678,     0,     0,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1683,     0,  4545,  1684,
       0,     0,     0,   772,   772,   772,   772,  1680,  1681,     0,
       0,     0,  1685,     0,     0,  1686,     0,     0,  1561,  1275,
       0,  1276,     0,     0,  1682,     0,     0,     0,     0,     0,
       0,  1277,     0,     0,     0,     0,     0,   767,     0,  1278,
       0,     0,  1678,     0,     0,     0,  1679,     0,     0,  1279,
    1683,     0,     0,  1684,     0,  1687,  1129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1685,  1680,  1681,  1686,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2024,     0,  1682,  1281,  1282,     0,     0,     0,
    1687,     0,  1129,     0,     0,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1683,  2025,     0,  1684,     0,   772,     0,   812,     0,     0,
       0,     0,     0,     0,     0,     0,  1685,  1129,     0,  1686,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1687,     0,     0,     0,  1688,  1689,
    1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,
       0,     0,  3077,     0,     0,     0,     0,     0,     0,  1284,
     772,     0,     0,     0,     0,   767,     0,  1671,     0,     0,
    1672,     0,     0,  1688,  1689,  1690,  3645,  1691,  1692,  1693,
    1694,  1695,  1696,     0,     0,     0,     0,  4259,  1129,  1129,
       0,     0,     0,  2753,  1687,  1675,     0,  4339,     0,     0,
       0,  1676,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   767,     0,     0,     0,     0,     0,     0,     0,     0,
     772,     0,     0,     0,     0,  1677,     0,  1688,  1689,  1690,
       0,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,
       0,  4477,     0,     0,     0,     0,     0,     0,     0,  2549,
    2550,  1129,     0,     0,  2553,  2554,     0,     0,  2557,     0,
       0,     0,     0,     0,     0,  1129,     0,     0,  2567,     0,
       0,     0,   772,     0,     0,  2576,     0,     0,     0,  2579,
    2580,     0,     0,  2583,  2584,     0,     0,  1688,  1689,  1690,
    2589,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,
       0,  4573,  2605,     0,  2607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2629,     0,     0,     0,     0,  2631,     0,  1678,     0,     0,
       0,  1679,     0,  1129,     0,     0,     0,     0,  2636,     0,
       0,     0,   767,     0,     0,     0,  2641,     0,  2643,  2644,
    2647,  2649,  1680,  1681,     0,  2656,  2659,     0,     0,     0,
       0,     0,     0,  2670,     0,     0,     0,  2679,     0,  1682,
       0,  2683,     0,     0,     0,  1671,     0,     0,  1672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2712,  1673,     0,     0,  1684,  2500,
       0,     0,  -121,  1675,     0,  2720,     0,  2722,     0,  1676,
       0,  1685,     0,  2726,     0,     0,     1,  2727,     0,  2731,
    2732,  2733,  2734,     0,  2736,     0,     2,     0,     3,     4,
       0,     0,     0,  1677,     0,     0,     0,  2760,  2761,  2762,
       0,  1671,     0,     5,  1672,     0,     0,     0,  2770,  2771,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1673,     0,     6,  2976,     7,     8,     0,     0,  1675,
       0,     9,     0,    10,     0,  1676,     0,     0,  2501,     0,
       0,     0,     0,    11,     0,    12,     0,     0,     0,  1687,
       0,  1671,     0,     0,  1672,     0,     0,     0,     0,  1677,
       0,    13,     0,     0,    14,     0,     0,     0,     0,     0,
       0,  1673,  2828,     0,     0,     0,    15,     0,    16,  1675,
       0,     0,    17,     0,     0,  1676,  3378,  3379,    18,     0,
       0,     0,     0,     0,     0,  1678,    19,     0,    20,  1679,
       0,     0,  3388,     0,    21,     0,     0,     0,     0,  1677,
       0,     0,     0,     0,     0,     0,  3397,     0,     0,    22,
    1680,  1681,     0,     0,     0,  1268,  3407,     0,     0,     0,
       0,  1269,     0,     0,     0,     0,     0,  1682,     0,     0,
    3423,     0,     0, -2279, -2279,     0,  1691,  1692,  1693,  1694,
    1695,  1696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1678,     0,  1683,     0,  1679,  1684,     0,     0,     0,
       0,  1270,     0,     0,    23,    24,     0,     0,     0,  1685,
      25,     0,  1686,     0,     0,     0,  1680,  1681,     0,    26,
    3013,  1836,     0,     0,     0,  3014,     0,     0,     0,     0,
      27,     0,     0,  1682,     0,     0,  1134,     0,     0,     0,
       0,  1678,     0,     0,     0,  1679,     0,     0,     0,  2951,
    1271,     0,     0,     0,     0,     0,     0,  1272,     0,  1683,
    1273,     0,  1684,     0,     0,     0,  1680,  1681,    28,     0,
       0,     0,     0,     0,     0,  1685,     0,     0,  1686,  1671,
      29,     0,  1672,  1682,     0,    30,    31,  1687,    32,     0,
       0,     0,     0,    33,     0,     0,     0,     0,    34,  1673,
       0,    35,     0,     0,     0,    36,     0,  1675,     0,  1683,
      37,    38,  1684,  1676,  1274,     0,     0,     0,    39,     0,
       0,    40,     0,     0,     0,  1685,     0,     0,  1686,    41,
       0,     0,     0,     0,     0,     0,     0,  1677,  2502,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1687,     0,     0,     0,     0,    43,  3566,
    3567,  3568,     0,     0,     0,     0,     0,     0,    44,     0,
       0,  1275,     0,  1276,    45,     0,     0,     0,     0,    46,
    1688,  1689,  1690,  1277,  1691,  1692,  1693,  1694,  1695,  1696,
       0,  1278,    47,     0,     0,     0,     0,     0,     0,     0,
       0,  1279,     0,  1687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,  -121,     0,     0,  2637,     0,     0,  1281,  1282,  1678,
    3111,     0,     0,  1679,     0,     0,  1688,  1689,  1690,     0,
    1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,     0,
       0,     0,     0,  1283,  1680,  1681,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1682,  1429,     0,     0,     0,     0,     0,     0,  3147,
    3148,     0,     0,     0,     0,     0,  1688,  1689,  1690,     0,
    1691,  1692,  1693,  1694,  1695,  1696,  1836,  1683,     0,     0,
    1684,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,  1284,     0,  1685,     0,     0,  1686,     0,     0,   769,
     789,  3170,     0,     0,     0,     0,   789,     0,     0,     0,
    3174,     0,     0,     0,     0,     0,  3528,   789,     0,  1671,
       0,     0,  1672,     0,     0,  3185,  3187,     0,     0,     0,
    3187,     0,     0,     0,     0,  3198,  3199,  3200,     0,  1673,
       0,     0,  1671,     0,     0,  1672,     0,  1675,     0,     0,
       0,     0,     0,  1676,     0,     0,     0,     0,     0,     0,
    1671,     0,  1673,  1672,     0,  3220,  3221,  3222,  3223,     0,
    1675,  1687,     0,     0,     0,     0,  1676,  1677,     0,   844,
    1673,     0,     0,  3021,  1429,  3529,     0,     0,  1675,     0,
       0,     0,     0,     0,  1676,     0,     0,     0,  3791,  3237,
    1677,  3241,  3242,  3243,     0,     0,     0,     0,     0,     0,
       0,  3256,   845,     0,     0,     0,     0,  3817,  1677,     0,
       0,     0,     0,     0,     0,   846,   847,     0,     0,     0,
       0,     0,     0,     0,   848,     0,     0,     0,   849,     0,
       0,     0,     0,     0,  3834,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   850,     0,     0,     0,     0,
       0,     0,     0,     0,  1688,  1689,  1690,     0,  1691,  1692,
    1693,  1694,  1695,  1696,     0,     0,   851,     0,  3299,  1678,
       0,     0,     0,  1679,     0,     0,  3303,   852,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,     0,  1678,     0,  1680,  1681,  1679,   854,     0,     0,
       0,     0,   855,     0,     0,     0,     0,     0,     0,  1723,
    1678,  1682,     0,     0,  1679,     0,     0,  1680,  1681,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3375,  1682,  1680,  1681,  1683,     0,     0,
    1684,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,     0,  1682,  1685,     0,     0,  1686,     0,     0,     0,
    1683,     0,     0,  1684,     0,     0,     0,     0,     0,   858,
       0,  2991,  1429,     0,     0,  3404,  1685,     0,  1683,  3408,
       0,  1684,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1685,     0,     0,  1686,     0,     0,
     859,     0,     0,  3936,  3937,  3938,  3939,     0,     0,     0,
       0,  3446,     0,     0,     0,     0,     0,     0,  1671,     0,
       0,  1672,     0,     0,     0,  3456,  1429,     0,     0,   194,
    1671,  1687,   769,  1672,     0,  1836,     0,     0,  1673,     0,
       0,     0,     0,     0,   789,     0,  1675,     0,   789,     0,
    1673,     0,  1676,  3032,  1687,     0,   860,     0,  1675,   789,
     861,  1429,   862,     0,  1676,     0,     0,     0,   863,     0,
       0,   864,  1687,     0,     0,   789,  1677,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,  1677,   769,
     789,     0,     0,     0,     0,   789,     0,   865,     0,   866,
       0,     0,     0,   867,     0,   789,     0,     0,     0,     0,
       0,   868,     0,   789,     0,     0,   869,     0,     0,     0,
       0,     0,     0,     0,  1688,  1689,  1690,     0,  1691,  1692,
    1693,  1694,  1695,  1696,     0,     0,     0,     0,  1429,     0,
       0,   870,     0,     0,     0,     0,     0,  1688,  1689,  1690,
       0,  1691,  1692,  1693,  1694,  1695,  1696,  1429,     0,     0,
       0,     0,  3026,     0,     0,  1688,  1689,  1690,     0,  1691,
    1692,  1693,  1694,  1695,  1696,     0,     0,  1429,  1678,     0,
       0,     0,  1679,     0,     0,     0,     0,     0,   769,     0,
    1678,     0,     0,   789,  1679,     0,     0,     0,     0,     0,
       0,     0,  1429,  1680,  1681,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1680,  1681,     0,     0,   769,
    1682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1682,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1683,     0,     0,  1684,
       0,     0,     0,     0,     0,     0,     0,     0,  1683,  1429,
    1268,  1684,  1685,     0,     0,  1686,  1269,     0,     0,  3656,
       0,  3657,     0,     0,  1685,     0,     0,  1686,  3659,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1671,  1270,     0,  1672,  3676,
       0,  4131,     0,     0,     0,     0,     0,     0,     0,  3687,
       0,     0,     0,     0,     0,  1673,     0,     0,     0,     0,
       0,     0,     0,  1675,  3690,     0,     0,     0,     0,  1676,
    1687,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,  1687,     0,     0,  1271,   769,     0,     0,     0,
       0,     0,  1272,  1677,     0,  1273,     0,  3722,  3723,  3724,
       0,     0,     0,     0,  3729,  3730,  3731,  3732,  3733,  1431,
       0,     0,     0,  3740,  3741,     0,  3743,  3744,  3745,  3746,
    3747,  3748,  3749,     0,     0,     0,     0,     0,     0,     0,
       0,  3757,     0,  3759,  3760,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,  1274,
       0,     0,     0,     0,     0,     0,     0,  1671,     0,     0,
    1672,     0,     0,  1688,  1689,  1690,  1429,  1691,  1692,  1693,
    1694,  1695,  1696,     0,     0,  1688,  1689,  1690,   789,  1691,
    1692,  1693,  1694,  1695,  1696,  1675,     0,  3803,  3805,  3807,
       0,  1676,  3810,   789,     0,  1678,     0,   769,     0,  1679,
       0,     0,     0,     0,     0,   789,  1275,     0,  1276,     0,
       0,     0,     0,     0,     0,  1677,     0,     0,  1277,     0,
    1680,  1681,     0,     0,     0,     0,  1278,     0,     0,     0,
       0,     0,     0,   789,     0,     0,  1279,  1682,     0,     0,
       0,  1431,     0,   789,     0,     0,     0,     0,  4257,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,   789,
       0,     0,     0,  1683,     0,     0,  1684,     0,     0,  2728,
       0,   769,  1281,  1282,     0,  3187,     0,  3058,     0,  1685,
       0,     0,  1686,     0,     0,     0,  1134,     0,     0,     0,
       0,     0,  1836,  1836,  1836,     0,     0,     0,  2729,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2279,     0,     0,
       0,  1679,     0,     0,     0,     0,     0,     0,   769,   769,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1680,  1681,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,  1284,  1687,     0, -2279,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,  1429,     0,     0,  4350,  1429,
    1429,   789,   789,  3485,     0,     0,     0,     0,  1684,     0,
     769,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1685,  1671,     0,     0,  1672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,  1673,   769,   769,  3535,     0,     0,     0,     0,
    1675,     0,     0,     0,     0,     0,  1676,     0,     0,  1431,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
    1688,  1689,  1690,     0,  1691,  1692,  1693,  1694,  1695,  1696,
    1677,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2279,
       0,     0,     0,     0,     0,  1429,     0,     0,     0,     0,
       0,     0,     0,  1431,     0,     0,     0,     0,     0,     0,
       0,     0,  4002,  4003,  4004,  4005,     0,     0,  4007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1431,  4020,
    4021,  4022,  4023,     0,  4025,  4026,     0,  1671,     0,     0,
    1672,     0,     0,     0,     0,     0,  4035,  4036,     0,     0,
       0,     0,     0,     0,     0,  1671,     0,  1673,  1672,     0,
       0,  4039,  1678,     0,     0,  1675,  1679,  1836,  1836,     0,
    1836,  1676,     0,     0,     0,     0,  1691,  1692,  1693,  1694,
    1695,  1696,     0,  1675,     0,   789,     0,  1680,  1681,  1676,
       0,     0,     0,     0,     0,  1677,     0,     0,     0,     0,
       0,     0,     0,     0,  1682,  1431,     0,     0,     0,     0,
       0,     0,     0,  1677,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
    1683,  1429,     0,  1684,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1431,     0,  1685,     0,     0,  1686,
       0,  1671,     0,     0,  1672,     0,     0,     0,     0,  4094,
       0,     0,     0,     0,  1821,     0,     0,     0,  4100,  1431,
    1671,     0,     0,  1672,     0,  3551,     0,     0,     0,  1675,
       0,     0,     0,     0,   789,  1676,     0,     0,     0,  4120,
       0,     0,     0,     0,     0,     0,     0,  1678,  1675,     0,
     789,  1679,     0,     0,  1676,     0,     0,     0,     0,  1677,
    1429,  4137,     0,     0,     0, -2279,     0,     0,     0,  1679,
     769,     0,  1680,  1681,  1687,     0,  1431,     0,  1677,   769,
       0,   789,   789,     0,     0,     0,     0,     0,     0,  1682,
    1680,  1681,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,   789,     0, -2279,     0,     0,
       0,     0,     0,     0,     0,  1683,   789,     0,  1684,     0,
       0,  3552,     0,     0,     0,     0,     0,     0,  1836,     0,
       0,  1685,     0,     0,  1686,     0,  1684,     0,     0,     0,
    3555,  1836,     0,     0,  1429,     0,     0,     0,   769,  1685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2279,     0,     0,     0,  1679,     0,  1688,  1689,  1690,
       0,  1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,
   -2279,     0,     0,   769,  1679,   769,  1680,  1681,     0,     0,
       0,     0,   769,     0,     0,   769,     0,     0,     0,   769,
       0,     0,  4219, -2279,     0,  1680,  1681,   769,   769,  1687,
       0,     0,     0,     0,     0,   769,     0,     0,   769,   769,
     769,   769, -2279,  4231,     0,     0,     0, -2279,   769,   769,
       0,   769,  1684,   769,   769,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,  1685,     0,     0,     0,     0,
       0,  1684,     0,  1431,   769,  1821,     0,     0,     0,   769,
       0,     0,     0,   769,  1685,     0,     0,   769,     0,   769,
     769,   769,   769,   769,   769,   769,   769,   769,     0,   769,
       0,     0,     0,     0,     0,     0,  1671,   769,   769,  1672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,  1689,  1690,     0,  1691,  1692,  1693,  1694,
    1695,  1696,     0,     0,  1675,  3187,     0,     0,     0,     0,
    1676,     0,     0, -2279,  1691,  1692,  1693,  1694,  1695,  1696,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2279,     0,  1677,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1836,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1836,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
    1429,     0,  1429,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,  4353,     0,     0,     0,     0,     0,
       0,     0,     0,  4360,     0,     0,  3929,     0,     0,  1268,
       0,     0,     0,     0,   769,  1269,     0,     0,     0,  1836,
    1691,  1692,  1693,  1694,  1695,  1696,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,  1691,
    1692,  1693,  1694,  1695,  1696,     0, -2279,     0,     0,     0,
    1679,     0,     0,  1268,     0,  1270,     0,     0,     0,  1269,
       0,     0,  1431,     0,     0,     0,  1431,  1431,     0,     0,
       0,  1680,  1681,     0,     0,     0,   789,  1429,     0,     0,
    1821,   789,     0,     0,   789,     0,     0,     0, -2279,     0,
       0,     0,  3187,     0,     0,     0,     0,     0,     0,  1270,
       0,     0,     0,   179,  1271,     0,   789,     0,     0,   769,
       0,  1272,     0,  1836,  1273,     0,     0,  1684,     0,     0,
     769,     0,     0,     0,     0,     0,     0,   769,  1268,     0,
    1685,     0,     0,     0,  1269,     0,     0,  4447,  1429,     0,
    1429,     0,     0,     0,     0,     0,     0,   789,  1271,   180,
       0,  4458,     0,     0,     0,  1272,     0,     0,  1273,     0,
       0,     0,   181,     0,   789,   789,     0,     0,  1274,     0,
       0,     0,  1431,     0,  1270,     0,  4469,     0,     0,   182,
       0,  4473,     0,     0,     0,   183,     0,     0,     0,  1821,
     789,     0,     0,  1821,     0,     0,     0,  1429,     0,     0,
     184,     0,     0,     0,     0,     0,     0,     0, -2279,     0,
       0,   185,  1274,     0,     0,     0,     0,   789,     0,   186,
       0,   789,  1429,  1271,     0,  1275,     0,  1276,     0,     0,
    1272,   187,  4509,  1273,     0,     0,   188,  1277,     0,     0,
     789,  1429,   189,     0,     0,  1278,     0,     0,     0,     0,
       0,   789,     0,     0,     0,  1279,     0,   190,     0,  1429,
       0,     0,     0,     0,   789,     0,     0,     0,     0,  1275,
       0,  1276,     0,   789,     0,     0,     0,     0,     0,     0,
       0,  1277,   191,     0,     0,     0,     0,  1274,  2767,  1278,
       0,  1281,  1282,     0,     0,     0,     0,     0,     0,  1279,
       0,     0,     0,   192,     0,  1691,  1692,  1693,  1694,  1695,
    1696,     0,     0,     0,     0,     0,   769,  2768,  1431,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,     0,     0,
       0,     0,  3195,     0,   193,  1281,  1282,     0,     0,  1821,
    1429,     0,     0,     0,  1275,     0,  1276,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,  1277,     0,     0,     0,
       0,  3196,     0,   194,  1278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1279,  1284,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,     0,     0,     0,   196,     0,   197,  1431,     0,     0,
     789,     0,   198,     0,     0,   199,     0,  3238,     0,     0,
    1281,  1282,     0,     0,     0,     0,     0,     0,     0,  1284,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,     0,   202,   789,     0,  3239,   203,     0,   769,
    1429,     0,     0,     0,     0,   204,     0,     0,     0,     0,
     205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   206,     0,     0,  1429,     0,     0,     0,   789,
       0,     0,     0,     0,     0,   207,     0,     0,     0,     0,
       0,  1431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,     0,  1284,     0,   769,     0,     0,     0,
       0,  1429,   769,     0,   578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   579,     0,     0,     0,
     769,   769,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   580,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     581,   769,   769,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,   582,     0,     0,     0,     0,   769,   769,
     769,   769,     0,     0,     0,     0,  1821,     0,     0,     0,
     583,   769,  1821,     0,   769,     0,   769,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,   769,   769,     0,     0,
     769,   584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1268,   585,   769,     0,   769,     0,  1269,     0,   769,
     586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   587,   790,     0,     0,     0,   588,   769,   790,
       0,     0,  1309,   589,     0,     0,     0,     0,   769,     0,
     790,   769,   769,   769,     0,     0,     0,  1270,   590,     0,
       0,     0,     0,     0,     0,   789,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
     769,  1268,     0,     0,     0,   769,     0,  1269,  1310,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,     0,   591,     0,  1271,     0,     0,     0,
       0,     0,  1309,  1272,  1431,     0,  1273,  1431,     0,  1431,
       0,     0,     0,     0,  1431,     0,   789,  1270,     0,     0,
       0,     0,     0,     0,     0,   592,     0,     0,     0,     0,
       0,   789,   789,     0,     0,     0,   593,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1310,     0,
       0,     0,     0,     0,   194,     0,     0,  1311,   789,     0,
    1274,   789,     0,     0,  1431,     0,  1271,     0,     0,     0,
       0,     0,     0,  1272,     0,     0,  1273,     0,     0,     0,
       0,   594,     0,     0,     0,   595,     0,   596,     0,     0,
       0,     0,     0,   597,     0,     0,   598,     0,     0,     0,
       0,     0,     0,     0,  1431,  1312,     0,  1313,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1314,     0,  1276,
       0,  1429,   599,     0,   600,     0,     0,  1311,   601,  1277,
    1274,     0,  1821,  1821,  1821,     0,   602,  1278,     0,     0,
       0,   603,     0,     0,     0,     0,  1315,  1279,     0,     0,
       0,     0,     0,   604,     0,     0,   789,     0,     0,  1429,
       0,     0,     0,     0,     0,  1431,   605,  1431,   789,     0,
       0,     0,     0,     0,     0,  1312,     0,  1313,   789,     0,
    1316,     0,     0,  1281,  1282,  1317,     0,  1314,     0,  1276,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1277,
       0,     0,     0,     0,     0,     0,     0,  1278,     0,  1318,
       0,     0,     0,     0,     0,     0,  1315,  1279,     0,     0,
    1319,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,  1431,
    2713,     0,     0,  1281,  1282,  1317,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1284,  1431,  1429,
       0,     0,     0,     0,     0,     0,     0,   790,     0,  2714,
    1429,   790,     0,     0,     0,  1821,  1431,     0,     0,     0,
    1319,     0,   790,     0,     0,     0,     0,     0,     0,     0,
     789,     0,   789,     0,     0,     0,     0,     0,   790,     0,
       0,     0,     0,     0,   789,     0,   789,     0,     0,     0,
       0,     0,     0,   790,     0,     0,     0,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,  1284,   790,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,  1431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,  1431,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1429,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,   789,   790,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,   769,     0,     0,  1431,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
     769,     0,   769,     0,     0,     0,     0,  1431,   769,     0,
       0,   769,   769,   769,   769,   769,   769,   769,   769,   769,
     769,     0,     0,     0,   769,   769,     0,     0,     0,  1429,
       0,     0,  1431,     0,     0,     0,     0,   769,     0,     0,
       0,   769,     0,  1821,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,   769,     0,
     769,     0,     0,     0,     0,     0,     0,     0,  1431,   769,
     769,   769,     0,     0,     0,   769,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,   769,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,  1821,
       0,     0,     0,     0,  1821,  1431,  1821,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
     789,  1429,     0,   789,     0,     0,     0,     0,     0,   790,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,   789,     0,     0,  1431,     0,
    1429,   789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,  1429,     0,     0,   790,   790,     0,     0,     0,     0,
       0,     0,     0,     0,  1822,     0,  1431,   769,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1822,     0,
       0,     0,     0,     0,     0,  1429,   769,     0,     0,  1429,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,   769,     0,  1431,     0,     0,     0,
       0,   769,   769,     0,     0,     0,   769,  1431,     0,     0,
       0,     0,   769,   769,   791,     0,   769,     0,   791,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,   769,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
     791,   769,     0,     0,     0,   791,   769,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,  1431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,  1431,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1822,     0,     0,
    1113,   789,     0,   791,     0,     0,  1431,     0,     0,  1423,
       0,     0,     0,   789,  1424,     0,     0,   790,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,  1173,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1431,     0,     0,     0,
       0,     0,     0,     0,   790,   790,     0,     0,     0,     0,
       0,   789,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,  1424,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,  1431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,  1431,     0,     0,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,   769,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,  1822,     0,
       0,     0,  1423,   769,     0,     0,     0,     0,   769,     0,
       0,     0,     0,   769,     0,     0,   769,     0,   791,     0,
       0,   769,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
     789,     0,   789,     0,     0,   791,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,  1431,   789,
       0,     0,     0,   791,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,   791,
       0,     0,     0,     0,  1424,     0,     0,     0,     0,     0,
       0,     0,     0,  1609,     0,     0,     0,     0,     0,     0,
    1821,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,  1633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1424,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1658,  1659,     0,  1661,     0,     0,     0,     0,     0,  1423,
       0,     0,     0,     0,     0,   769,     0,  1431,     0,     0,
       0,     0,  1703,  1424,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,  1431,     0,
     769,     0,   769,   791,     0,     0,     0,     0,     0,   790,
       0,   791,   791,  1822,   790,     0,     0,   790,     0,     0,
       0,  1823,  1739,     0,     0,   769,     0,     0,     0,   769,
       0,     0,     0,     0,  1431,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1843,     0,     0,     0,  1855,  1858,     0,     0,     0,
    1424,     0,     0,     0,     0,     0,  1821,     0,     0,     0,
       0,     0,  1431,     0,     0,  1823,  1431,  1431,     0,  1424,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,   790,  1424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,     0,     0,
    1426,     0,  1822,   790,  1424,     0,  1822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,   790,     0,  1431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,   790,     0,   769,     0,     0,  1423,     0,
       0,  1424,  1423,  1423,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
       0,     0,     0,     0,     0,     0,   790,   769,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,  1822,     0,     0,     0,     0,     0,   769,   769,
       0,     0,     0,     0,     0,     0,     0,     0,  1423,   789,
       0,     0,     0,     0,  1823,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,     0,   790,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,  1424,     0,
       0,   791,   791,     0,     0,     0,     0,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,     0,   791,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,   790,     0,     0,  1821,     0,
       0,     0,   769,     0,  1423,     0,  1821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2343,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2366,     0,     0,
    2368,     0,     0,  2379,  1426,     0,     0,     0,     0,  1822,
    2386,  2391,     0,  1423,     0,  1822,  2397,     0,     0,  2402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1823,  2411,     0,     0,  1426,
       0,  2418,     0,     0,     0,  2430,     0,     0,     0,  2437,
       0,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
       0,  2448,     0,     0,     0,     0,     0,  1424,     0,  1113,
    2476,  1424,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,   790,     0,  1424,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1173,     0,     0,     0,
       0,   790,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1427,     0,     0,   791,     0,     0,     0,
    1823,   791,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1822,  1822,  1822,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,  2581,     0,     0,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,     0,  1424,     0,     0,     0,   791,     0,     0,
    1423,     0,     0,  1423,     0,  1423,     0,     0,     0,     0,
    1423,     0,     0,     0,   791,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1823,
     791,     0,     0,  1823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,   791,     0,     0,
       0,   791,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,  1822,     0,
    1423,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,   791,   790,     0,     0,     0,     0,
       0,  1427,     0,   791,     0,     0,     0,   790,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1424,     0,     0,     0,
       0,  1423,     0,  1423,     0,     0,     0,     0,  2800,     0,
       0,     0,     0,     0,     0,  1427,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   790,     0,
       0,   790,     0,     0,     0,  1423,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,   791,     0,     0,  1427,     0,     0,
       0,  2926,     0,  1426,     0,     0,     0,  1426,  1426,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1822,     0,     0,   791,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,     0,  1423,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2972,  1423,     0,     0,     0,  2978,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1424,
       0,     0,  1424,     0,  1424,     0,     0,     0,     0,  1424,
       0,     0,     0,  1426,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2391,     0,  2391,  2391,     0,     0,  1823,     0,     0,     0,
       0,     0,  1823,  3035,     0,     0,  3038,     0,  3040,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,     0,  1424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1423,     0,  3061,     0,  3063,     0,     0,
       0,  3066,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1423,  1424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2476,  2476,  2476,     0,     0,     0,     0,
       0,     0,  1822,     0,     0,   791,     0,  1822,     0,  1822,
    3109,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,  1843,     0,     0,     0,     0,  3120,     0,     0,
       0,     0,     0,  1858,     0,     0,     0,     0,     0,  1426,
    1424,     0,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,  1427,     0,     0,     0,     0,
       0,   791,   791,     0,     0,     0,     0,  1698,     0,  3156,
    1822,     0,     0,     0,     0,     0,     0,     0,     0,  1424,
    1423,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,   791,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,  1424,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1424,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,   790,     0,
       0,  1424,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1823,  1823,  1823,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,  1424,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1424,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1427,     0,     0,     0,  1427,  1427,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1823,     0,     0,     0,     0,
       0,     0,  1424,     0,  1423,     0,     0,     0,     0,     0,
     791,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,   791,  1424,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1427,     0,     0,     0,     0,     0,
       0,     0,     0,  1424,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,  1426,     0,
    1426,     0,     0,     0,   791,  1426,     0,     0,   790,     0,
       0,  1822,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,   791,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,  1424,
       0,     0,  1423,     0,     0,  1426,  3486,     0,     0,     0,
       0,   790,  1428,  1423,     0,  1698,  3490,     0,     0,     0,
       0,     0,  3491,     0,  3492,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,  3510,  3511,     0,     0,
    1427,     0,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,  1823,     0,     0,  1428,  2397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3539,     0,     0,
    3542,     0,  3544,     0,     0,     0,     0,     0,     0,     0,
    1424,  3548,     0,  1698,     0,     0,     0,  3553,     0,     0,
    3556,  1428,     0,     0,     0,     0,  1426,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,  2375,     0,     0,  1423,     0,     0,  3597,  1427,
       0,     0,     0,     0,  3604,  2476,     0,     0,     0,     0,
       0,     0,  1698,  1698,     0,  1698,     0,     0,     0,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,  3616,     0,
       0,     0,     0,     0,  1113,  1426,     0,     0,     0,     0,
    1173,   790,  1423,     0,     0,     0,     0,     0,  1428,     0,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,  1427,     0,     0,     0,  1428,     0,     0,
       0,   791,  1423,  1698,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,  1424,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1823,
       0,     0,     0,   790,  1823,   790,  1823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1424,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,   790,     0,     0,     0,     0,     0,  1426,     0,
     791,     0,     0,   791,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1698,
       0,     0,  1698,  1822,     0,   790,     0,  1823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,  1424,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1424,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,   791,   791,     0,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,  1427,
       0,  1427,     0,     0,     0,     0,  1427,     0,     0,  3864,
    3865,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,  1428,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,  1822,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,  1424,     0,     0,     0,  3895,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1424,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,  1424,     0,     0,     0,  3913,  3915,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3922,     0,
       0,     0,     0,     0,  3927,  3928,     0,     0,  3930,     0,
       0,  3933,     0,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,  1427,
       0,  1424,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2476,     0,
       0,     0,     0,  2476,     0,     0,     0,     0,  2476,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,  3983,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,  1423,  1428,
    1428,  1427,  1423,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,  1823,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,     0,     0,     0,  1427,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,  1424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1427,     0,  1428,     0,     0,     0,  1426,
       0,   791,     0,     0,     0,     0,     0,     0,     0,  1427,
       0,  1822,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,  4080,     0,     0,     0,     0,     0,     0,     0,     0,
    1698,     0,  1698,     0,  2375,  2375,  3009,     0,     0,  2375,
       0,  1822,     0,  1698,     0,     0,     0,     0,     0,  1822,
    1698,     0,     0,  1424,     0,  1698,     0,     0,     0,     0,
       0,  1698,     0,     0,     0,     0,  1698,     0,     0,  1427,
       0,     0,     0,     0,     0,  1698,     0,     0,     0,  2375,
    2375,     0,  1698,     0,     0,     0,     0,     0,     0,  1427,
       0,     0,     0,     0,  1698,     0,     0,     0,   791,     0,
       0,  1698,     0,  1698,  1698,  1698,  1698,  1698,  1698,  1698,
    1698,  1698,  1698,     0,  1427,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
    1698,     0,  4163,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4186,     0,     0,     0,     0,     0,
       0,     0,     0,  1424,     0,     0,     0,     0,     0,     0,
     791,     0,   791,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,  1698,     0,     0,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,  1424,     0,     0,
       0,  1424,  1424,     0,     0,     0,     0,     0,     0,     0,
    1823,     0,   791,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1698,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,  4403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,  1427,     0,
    1428,     0,  1428,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4448,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
    1698,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,     0,     0,     0,  1698,     0,     0,  1427,
    4493,  4493,  1698,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,  3009,  3009,
       0,  2375,     0,     0,  2375,  2375,  2375,  2375,  2375,  2375,
    2375,  2375,  2375,  2375,  3009,     0,     0,     0,  1428,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1698,
       0,     0,  1698,  4493,  1698,     0,     0,     0,     0,  3009,
    3009,     0,     0,     0,     0,     0,     0,  4549,  1426,     0,
       0,     0,     0,  2375,  2375,  1698,     0,  1698,     0,     0,
    1698,     0,     0,     0,     0,     0,     0,  1428,  1823,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1698,     0,  1426,     0,     0,     0,  1427,
       0,  1428,     0,     0,  1698,  4493,     0,     0,  1823,     0,
       0,     0,     0,     0,     0,     0,  1823,     0,  1427,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,  1426,  1426,     0,
    1698,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2375,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1698,     0,     0,     0,  1698,  1698,  1698,     0,     0,  3009,
       0,     0,     0,     0,  3009,  3009,  3009,  3009,  3009,  3009,
    3009,  3009,  3009,  3009,  1698,  1698,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1698,  2375,  2375,  1698,     0,  1698,     0,
       0,     0,  1698,  3009,  3009,     0,     0,  1698,  1428,  1427,
    1698,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1698,     0,     0,     0,     0,     0,     0,  1698,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
    1698,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1427,     0,     0,     0,  1427,  1427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3009,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,  1698,  1698,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1698,
       0,     0,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,  1698,
       0,     0,     0,     0,  3009,  3009,  1698,     0,     0,  2375,
    2375,  1698,  1698,     0,  1698,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,  1698,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3009,
    2375,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3009,  3009,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1698,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1698,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,  1698,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    2470,   220,   221,   222,     0,  1428,     0,     0,  1036,  1428,
    1428,   223,   224,  1698,   225,   226,   744,   227,   228,   229,
     230,  1037,   745,  1038,  1039,     0,   234,   235,   236,   237,
     238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,
     245,   246,   247,  1044,     0,  1045,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,
    1051,  1052,   263,   264,   265,   266,   267,   268,  1053,  1054,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,  2471,     0,   281,   282,  1055,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1056,   297,   298,   299,  1057,  1058,   301,
       0,   302,   303,  1059,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1060,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1061,  1062,     0,  1063,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1064,   757,   348,   758,     0,
     349,   350,   351,  1065,  1066,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1067,   759,
    1068,   367,   368,   369,  1069,   370,   371,   760,   372,  1070,
    1071,   374,  1072,   376,   377,   378,     0,   379,     0,     0,
    1073,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1074,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1075,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1076,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1077,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1078,   443,   444,   445,   446,   764,   447,
    1079,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1080,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1081,  1082,     0,     0,   471,
    1083,   473,  1084,  1085,   475,   476,   477,   478,   479,   480,
     481,     0,  1086,   482,   483,   484,   485,   486,  1087,     0,
     487,   488,   489,   490,   491,   492,  1088,  2472,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,  1098,  2473,     0,     0,
       0,     0,     0,     0,  1100,  2474,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,   210,     0,     0,     0,     0,     0,     0,  1100,
    2377,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
    3575,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0, -1498,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0, -1498,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
   -1498,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338, -1498,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347, -1498,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
   -1498,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426, -1498,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,     0,  1398,   745,  1399,  1400,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
    1401,  1402,   243,     0,   244,   245,   246,   247,     0,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,  1403,  1404,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,     0,   297,
     298,   299,     0,     0,   301,     0,   302,   303,  1405,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,     0,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,  1877,   322,   323,   324,   325,
     326,   327,     0,   328,   753,  1878,   330,   331,   332,   333,
    1406,  1407,     0,  1408,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
       0,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1409,   759,  1410,   367,   368,     0,     0,
     370,   371,   760,   372,     0,     0,   374,  1411,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,  1880,   761,   385,   762,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   396,     0,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1412,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,     0,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
    1881,   445,   446,   764,   447,  1414,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,     0,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1415,  1416,     0,     0,   471,     0,   473,     0,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
       0,  1417,  1882,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,   515,
     516,   517,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
    1980,   223,   224,     0,   225,   226,   744,   227,   228,   229,
       0,  1398,   745,  1399,  1400,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,  1401,  1402,   243,     0,   244,
     245,   246,   247,     0,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,  1403,  1404,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1055,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,     0,   297,   298,   299,     0,     0,   301,
       0,   302,   303,  1405,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,     0,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
    1877,   322,   323,   324,   325,   326,   327,     0,   328,   753,
    1878,   330,   331,   332,   333,  1406,  1407,     0,  1408,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1409,   759,
    1410,   367,   368,     0,     0,   370,   371,   760,   372,     0,
       0,   374,  1411,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,  1880,   761,   385,   762,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   396,     0,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1412,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,     0,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,  1881,   445,   446,   764,   447,
    1414,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,     0,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1415,  1416,     0,     0,   471,
       0,   473,     0,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,     0,  1417,  1882,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,     0,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,   515,   516,   517,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,  2890,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
    2387,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,  2388,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,  2389,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,  2390,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,    38,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,    42,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   970,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,    47,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,  1069,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,  1086,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1098,
       0,     0,     0,     0,     0,  1604,  2335,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,  1099,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,  1172,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,  1069,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  1853,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,  2388,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,  1069,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,  1086,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
    3605,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1098,
       0,     0,     0,     0,     0,     0,     0,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,  3615,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,  1069,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
    3905,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,  3914,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,  4490,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,  4491,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,  1069,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,  4492,   480,   481,     0,  1086,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1098,
       0,     0,     0,     0,     0,     0,     0,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,  4491,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,  4492,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,     0,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  2370,  2371,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229, -2279,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,  4491,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,     0,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,     0,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,     0,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,  4492,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,   743,  1031,   573,  1032,  1033,  1100,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,     0,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,  1031,   573,
    1032,  1033,     0,   624,  1035,     0,     0,  1100,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1036,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,  1037,   745,  1038,
    1039,     0,  3523,   235,   236,   237,   238,  1040,  1041,   239,
     240,  1042,  1043,   243,     0,   244,   245,   246,   247,  1044,
       0,  1045,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,
     265,   266,   267,   268,  1053,  1054,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1055,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1056,
     297,   298,   299,  1057,  1058,   301,     0,   302,   303,  1059,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1060,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1061,  1062,     0,  1063,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1064,   757,   348,   758,     0,   349,   350,   351,  1065,
    1066,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1067,   759,  1068,   367,   368,   369,
       0,   370,   371,   760,   372,  1070,  1071,   374,  1072,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1074,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1075,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1076,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1077,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1078,
     443,   444,   445,   446,   764,   447,  1079,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1080,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1087,     0,   487,   488,   489,   490,
     491,   492,  1088,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
    1100,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,     0,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,     0,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,     0,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,     0,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,     0,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,     0,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,     0,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,     0,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,     0,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,  2370,  2371,
       0,     0,     0,     0,     0,     0,     0,  1100,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1041,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1044,
       0,  1045,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1057,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1060,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,  3081,   344,   345,     0,
     346,  1064,   757,   348,   758,     0,   349,   350,   351,  1065,
    1066,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,  1071,   374,   375,   376,
     377,   378,     0,   379,     0,   708,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1074,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1075,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,  3082,   431,   432,   433,   434,
     435,   436,   437,    38,   438,   439,   440,   441,   442,  1078,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1080,
       0,   461,   462,    42,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1083,   473,  1084,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1087,     0,   487,   488,   489,   490,
     491,   970,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,    47,   500,   501,   502,   503,   504,
     505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3083,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,  1041,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,  1057,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,  3081,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,  1071,
     374,   375,   376,   377,   378,     0,   379,     0,   708,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,  3082,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,  1083,
     473,  1084,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3083,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,  1041,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,  1044,     0,  1045,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,  1057,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1060,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1064,   757,   348,
     758,     0,   349,   350,   351,  1065,  1066,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,  1071,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1074,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1075,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,  3082,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1078,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1080,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,  1083,   473,  1084,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
    1087,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,  1041,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,  1057,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,  1071,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,  1083,   473,  1084,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   786,
    1288,   573,     0,     0,     0,   624,     0,     0,     0,  3640,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,  1536,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,  1537,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,  1538,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   786,   636,  1289,  4060,     0,     0,     0,     0,
       0,     0,  4061,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     3,     4,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    38,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,    42,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   970,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,    47,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4221,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    38,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,    42,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   970,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,    47,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1156,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2525,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3559,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,  1397,  1288,   573,     0,     0,   797,   624,
       0,     0,     0,  3956,   211,   212,   213,   214,   215,   216,
     217,   218,  1741,   220,   221,   222,  1742,  1743,  1744,  1745,
    1746,  1747,  1748,   223,   224,  1749,   225,   226,   744,   227,
     228,   229,     0,  1398,   745,  1399,  1400,  1750,   234,   235,
     236,   237,   238,  1751,  1752,   239,   240,  1401,  1402,   243,
    1753,   244,   245,   246,   247,     0,  1754,   746,  1755,   249,
     250,   251,   252,   747,   253,   254,  1756,   255,   256,   257,
     258,   259,   260,  1757,   748,   261,   262,  1758,  1759,  1760,
     749,  1761,  1762,  1763,   263,   264,   265,   266,   267,   268,
    1403,  1404,   271,  1764,   272,  1765,   273,   274,   275,   276,
     277,  1766,   278,   279,   280,  1767,  1768,   281,   282,  1055,
     284,   285,  1769,   286,   287,   288,  1770,   289,   290,   291,
    1771,   292,   293,   294,   295,     0,   297,   298,   299,     0,
    1772,   301,  1773,   302,   303,  1405,   305,  1774,   306,  1775,
     307,   750,  1776,   751,   308,   309,   310,  1777,   311,     0,
    1778,   313,  1779,   314,   315,   316,   317,   318,   752,   319,
     320,   321,  1780,   322,   323,   324,   325,   326,   327,  1781,
     328,   753,     0,   330,   331,   332,   333,  1406,  1407,  1782,
    1408,  1783,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,  1784,   344,   345,  1785,   346,     0,   757,   348,
     758,  1786,   349,   350,   351,  1787,  1788,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1409,   759,  1410,   367,   368,     0,  1789,   370,   371,   760,
     372,  1790,     0,   374,  1411,   376,   377,   378,  1791,   379,
    1792,  1793,  3319,   381,   382,  1794,  1795,   383,     0,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
    1796,   394,     0,   396,     0,   398,   399,   400,  1797,   401,
     402,   403,   404,   405,   406,   407,   408,  1412,   410,   411,
     412,   413,  1798,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,  1799,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,  1800,
     438,   439,   440,   441,   442,  1801,   443,  1881,   445,   446,
     764,   447,  1414,   449,  1802,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,  1803,   461,   462,  1804,
     463,   464,   465,   466,   467,   468,  1805,  1415,  1416,  1806,
    1807,   471,     0,   473,     0,  1808,   475,   476,   477,   478,
     479,   480,   481,  1809,  1810,   482,   483,   484,   485,   486,
    1811,  1812,   487,   488,   489,   490,   491,     0,  1417,  1813,
     494,   765,   495,   496,   497,   498,  1814,  1815,   499,  1816,
    1817,   500,   501,   502,   503,   504,   505,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,  3320,  3321,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   798,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   799,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   893,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   894,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   943,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   944,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   945,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,  1382,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,  1383,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,  2602,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,  2603,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   210,     0,     0,     0,     0,   797,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,  4200,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,  1740,   800,   801,   802,     0,   803,   804,   805,
     806,   807,   808,   211,   212,   213,   214,   215,   216,   217,
     218,  1741,   220,   221,   222,  1742,  1743,  1744,  1745,  1746,
    1747,  1748,   223,   224,  1749,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,  1750,   234,   235,   236,
     237,   238,  1751,  1752,   239,   240,   241,   242,   243,  1753,
     244,   245,   246,   247,   248,  1754,   746,  1755,   249,   250,
     251,   252,   747,   253,   254,  1756,   255,   256,   257,   258,
     259,   260,  1757,   748,   261,   262,  1758,  1759,  1760,   749,
    1761,  1762,  1763,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  1764,   272,  1765,   273,   274,   275,   276,   277,
    1766,   278,   279,   280,  1767,  1768,   281,   282,   283,   284,
     285,  1769,   286,   287,   288,  1770,   289,   290,   291,  1771,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1772,
     301,  1773,   302,   303,   304,   305,  1774,   306,  1775,   307,
     750,  1776,   751,   308,   309,   310,  1777,   311,   312,  1778,
     313,  1779,   314,   315,   316,   317,   318,   752,   319,   320,
     321,  1780,   322,   323,   324,   325,   326,   327,  1781,   328,
     753,   329,   330,   331,   332,   333,   334,   335,  1782,   336,
    1783,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,  1784,   344,   345,  1785,   346,   347,   757,   348,   758,
    1786,   349,   350,   351,  1787,  1788,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,  1789,   370,   371,   760,   372,
    1790,   373,   374,   375,   376,   377,   378,  1791,   379,  1792,
    1793,   380,   381,   382,  1794,  1795,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,  1796,
     394,   395,   396,   397,   398,   399,   400,  1797,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,  1798,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1799,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1800,   438,
     439,   440,   441,   442,  1801,   443,   444,   445,   446,   764,
     447,   448,   449,  1802,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,  1803,   461,   462,  1804,   463,
     464,   465,   466,   467,   468,  1805,   469,   470,  1806,  1807,
     471,   472,   473,   474,  1808,   475,   476,   477,   478,   479,
     480,   481,  1809,  1810,   482,   483,   484,   485,   486,  1811,
    1812,   487,   488,   489,   490,   491,   492,   493,  1813,   494,
     765,   495,   496,   497,   498,  1814,  1815,   499,  1816,  1817,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1818,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1397,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   713,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,     0,  1398,   745,  1399,  1400,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,  1401,  1402,
     243,     0,   244,   245,   246,   247,     0,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,  1403,  1404,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,     0,   297,   298,   299,
       0,     0,   301,     0,   302,   303,  1405,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
       0,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1877,   322,   323,   324,   325,   326,   327,
       0,   328,   753,  1878,   330,   331,   332,   333,  1406,  1407,
       0,  1408,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1409,   759,  1410,   367,   368,     0,     0,   370,   371,
     760,   372,     0,     0,   374,  1411,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,  1879,   383,  1880,
     761,   385,   762,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   396,     0,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1412,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,  1881,   445,
     446,   764,   447,  1414,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1415,  1416,
       0,     0,   471,     0,   473,     0,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,     0,  1417,
    1882,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,     0,     0,
       0,  2131,     0,     0,     0,     0,     0,   515,   516,   517,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1883,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
       0,  1398,   745,  1399,  1400,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,  1401,  1402,   243,     0,   244,
     245,   246,   247,     0,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,  1403,  1404,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1055,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,     0,   297,   298,   299,     0,     0,   301,
       0,   302,   303,  1405,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,     0,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
    1877,   322,   323,   324,   325,   326,   327,     0,   328,   753,
    1878,   330,   331,   332,   333,  1406,  1407,     0,  1408,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1409,   759,
    1410,   367,   368,     0,     0,   370,   371,   760,   372,     0,
       0,   374,  1411,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,  1879,   383,  1880,   761,   385,   762,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   396,     0,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1412,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,     0,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,  1881,   445,   446,   764,   447,
    1414,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,     0,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1415,  1416,     0,     0,   471,
       0,   473,     0,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,     0,  1417,  1882,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,     0,     0,     0,   210,     0,
       0,     0,     0,     0,   515,   516,   517,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1883,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,  1288,   573,     0,     0,     0,
     624,     0,     0,     0,  4249,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  1730,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1536,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,  1537,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,  1538,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,  1288,   573,     0,     0,     0,   624,     0,   636,  1289,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1735,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1536,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,  1537,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,  1538,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,  1288,   573,     0,
       0,     0,   624,     0,   636,  1289,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1536,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,  1537,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,  1538,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,   624,     0,
     636,  1289,     0,   211,   625,   213,   214,   215,   216,   217,
     218,   626,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   627,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   628,   304,   305,     0,   306,     0,   629,
       0,   630,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   631,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     632,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   633,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   634,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   635,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,  1740,  4559,
     573,     0,     0,     0,   624,     0,   636,   637,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1741,   220,   221,
     222,  1742,  1743,  1744,  1745,  1746,  1747,  1748,   223,   224,
    1749,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,  1750,   234,   235,   236,   237,   238,  1751,  1752,
     239,   240,   241,   242,   243,  1753,   244,   245,   246,   247,
     248,  1754,   746,  1755,   249,   250,   251,   252,   747,   253,
     254,  1756,   255,   256,   257,   258,   259,   260,  1757,   748,
     261,   262,  1758,  1759,  1760,   749,  1761,  1762,  1763,   263,
     264,   265,   266,   267,   268,   269,   270,   271,  1764,   272,
    1765,   273,   274,   275,   276,   277,  1766,   278,   279,   280,
    1767,  1768,   281,   282,   283,   284,   285,  1769,   286,   287,
     288,  1770,   289,   290,   291,  1771,   292,   293,   294,   295,
     296,   297,   298,   299,   300,  1772,   301,  1773,   302,   303,
     304,   305,  1774,   306,  1775,   307,   750,  1776,   751,   308,
     309,   310,  1777,   311,   312,  1778,   313,  1779,   314,   315,
     316,   317,   318,   752,   319,   320,   321,  1780,   322,   323,
     324,   325,   326,   327,  1781,   328,   753,   329,   330,   331,
     332,   333,   334,   335,  1782,   336,  1783,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,  1784,   344,   345,
    1785,   346,   347,   757,   348,   758,  1786,   349,   350,   351,
    1787,  1788,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,  1789,   370,   371,   760,   372,  1790,   373,   374,   375,
     376,   377,   378,  1791,   379,  1792,  1793,   380,   381,   382,
    1794,  1795,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,  1796,   394,   395,   396,   397,
     398,   399,   400,  1797,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,  1798,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  1799,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1800,   438,   439,   440,   441,   442,
    1801,   443,   444,   445,   446,   764,   447,   448,   449,  1802,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,  1803,   461,   462,  1804,   463,   464,   465,   466,   467,
     468,  1805,   469,   470,  1806,  1807,   471,   472,   473,   474,
    1808,   475,   476,   477,   478,   479,   480,   481,  1809,  1810,
     482,   483,   484,   485,   486,  1811,  1812,   487,   488,   489,
     490,   491,   492,   493,  1813,   494,   765,   495,   496,   497,
     498,  1814,  1815,   499,  1816,  1817,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1740,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,  1741,   220,   221,   222,  1742,  1743,  1744,
    1745,  1746,  1747,  1748,   223,   224,  1749,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,  1750,   234,
     235,   236,   237,   238,  1751,  1752,   239,   240,   241,   242,
     243,  1753,   244,   245,   246,   247,   248,  1754,   746,  1755,
     249,   250,   251,   252,   747,   253,   254,  1756,   255,   256,
     257,   258,   259,   260,  1757,   748,   261,   262,  1758,  1759,
    1760,   749,  1761,  1762,  1763,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  1764,   272,  1765,   273,   274,   275,
     276,   277,  1766,   278,   279,   280,  1767,  1768,   281,   282,
     283,   284,   285,  1769,   286,   287,   288,  1770,   289,   290,
     291,  1771,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1772,   301,  1773,   302,   303,   304,   305,  1774,   306,
    1775,   307,   750,  1776,   751,   308,   309,   310,  1777,   311,
     312,  1778,   313,  1779,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1780,   322,   323,   324,   325,   326,   327,
    1781,   328,   753,   329,   330,   331,   332,   333,   334,   335,
    1782,   336,  1783,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,  1784,   344,   345,  1785,   346,   347,   757,
     348,   758,  1786,   349,   350,   351,  1787,  1788,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,  1789,   370,   371,
     760,   372,  1790,   373,   374,   375,   376,   377,   378,  1791,
     379,  1792,  1793,   380,   381,   382,  1794,  1795,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,  1796,   394,   395,   396,   397,   398,   399,   400,  1797,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,  1798,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1799,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1800,   438,   439,   440,   441,   442,  1801,   443,   444,   445,
     446,   764,   447,   448,   449,  1802,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,  1803,   461,   462,
    1804,   463,   464,   465,   466,   467,   468,  1805,   469,   470,
    1806,  1807,   471,   472,   473,   474,  1808,   475,   476,   477,
     478,   479,   480,   481,  1809,  1810,   482,   483,   484,   485,
     486,  1811,  1812,   487,   488,   489,   490,   491,   492,   493,
    1813,   494,   765,   495,   496,   497,   498,  1814,  1815,   499,
    1816,  1817,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1740,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,  2661,   216,   217,   218,  1741,
     220,   221,   222,  1742,  1743,  1744,  1745,  1746,  1747,  1748,
     223,   224,  1749,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,  1750,   234,   235,   236,   237,   238,
    1751,  1752,   239,   240,   241,   242,   243,  1753,   244,   245,
     246,   247,   248,  1754,   746,  1755,   249,   250,   251,   252,
     747,   253,   254,  1756,   255,   256,   257,   258,   259,   260,
    1757,   748,   261,   262,  1758,  1759,  1760,   749,  1761,  1762,
    1763,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1764,   272,  1765,   273,   274,   275,   276,   277,  1766,   278,
     279,   280,  1767,  1768,   281,   282,   283,  2662,   285,  1769,
     286,   287,   288,  1770,   289,   290,   291,  1771,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1772,   301,  1773,
     302,   303,   304,   305,  1774,   306,  1775,   307,   750,  1776,
     751,   308,   309,   310,  1777,   311,   312,  1778,   313,  1779,
     314,   315,   316,   317,   318,   752,   319,   320,   321,  1780,
     322,   323,   324,   325,   326,   327,  1781,   328,   753,   329,
     330,   331,   332,   333,   334,   335,  1782,   336,  1783,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,  1784,
     344,   345,  1785,   346,   347,   757,   348,   758,  1786,   349,
     350,   351,  1787,  1788,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,  1789,   370,   371,   760,   372,  1790,   373,
     374,   375,   376,   377,   378,  1791,   379,  1792,  1793,   380,
     381,   382,  1794,  1795,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,  1796,   394,   395,
     396,   397,   398,   399,   400,  1797,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,  1798,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1799,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1800,   438,   439,   440,
     441,   442,  1801,  2663,   444,   445,   446,   764,   447,   448,
     449,  1802,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,  1803,   461,   462,  1804,   463,   464,   465,
     466,   467,   468,  1805,   469,   470,  1806,  1807,   471,   472,
     473,   474,  1808,   475,   476,   477,   478,   479,   480,   481,
    1809,  1810,   482,   483,   484,   485,   486,  1811,  1812,   487,
     488,   489,   490,   491,   492,   493,  1813,   494,   765,   495,
     496,   497,   498,  1814,  1815,   499,  1816,  1817,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,  1041,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,  1057,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,  1071,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,  1083,   473,  1084,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,   786,     0,   573,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1536,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,  1537,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,  1538,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
     573,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,  1715,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,  2088,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  2089,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     3,     4,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   813,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,   573,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
     573,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1526,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,  2937,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   829,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   906,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   926,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   936,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     938,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   948,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   959,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   960,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,  1914,   244,   245,   246,   247,   248,     0,     0,  1987,
     249,   250,   251,   252,     0,   253,   254,  1915,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,  1988,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
    1917,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,  1918,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,  1919,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,  1914,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,  1915,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,  1988,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,  1917,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,  2836,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,  1918,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,  1919,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   677,   217,   218,   643,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,   644,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
     678,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   645,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   646,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   643,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,   644,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,  2564,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   645,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   646,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,  1914,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,  1915,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,  1988,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,  1917,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,  1918,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,  1919,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   643,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,   644,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   645,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     646,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1563,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,  1564,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,  1565,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,  1566,   307,     0,     0,
       0,  1567,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,  1568,  1569,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,  1570,   434,   435,   436,   437,     0,  1571,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,  1572,   463,  1573,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,  1574,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,   644,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   645,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   646,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   822,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   823,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     3,     4,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,  2645,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  2646,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  2657,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,  2658,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   564,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   565,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   669,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   670,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   671,   470,     0,     0,   672,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   702,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   703,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   704,   470,
       0,     0,   705,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   708,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   792,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     793,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   919,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1131,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,  1142,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   688,   240,   241,   242,
    1143,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     691,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   692,
     428,   429,   430,   431,   432,   693,   434,   435,   436,   437,
       0,   438,   439,   440,   441,  1135,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   695,   470,
       0,     0,   696,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   697,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  1241,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,   708,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  1292,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    1293,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,   669,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,  2459,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,  2460,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,  2461,   463,   464,  2462,   466,  2463,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,  2464,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,  3575,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,  3589,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  3802,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,  3804,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  3806,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,  4203,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     658,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   667,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   688,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   689,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   690,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     691,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   692,
     428,   429,   430,   431,   432,   693,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   694,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   695,   470,
       0,     0,   696,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   697,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   720,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     817,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   831,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   884,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   898,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   931,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     950,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   952,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   954,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   957,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   963,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,  1135,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  1443,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1473,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  1502,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  1504,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    1506,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,  1598,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,  1874,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,     0,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   688,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     691,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   692,
     428,   429,   430,   431,   432,   693,   434,   435,   436,   437,
       0,   438,   439,   440,   441,  1135,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,  1905,   465,   466,   467,   468,     0,   695,   470,
       0,     0,   696,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   697,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   688,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   691,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   692,   428,   429,   430,   431,
     432,  1972,   434,   435,   436,   437,     0,   438,   439,   440,
     441,  1973,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   695,   470,     0,     0,  1974,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   697,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    2228,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  2575,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     688,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   691,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   692,   428,   429,   430,   431,   432,   693,
     434,   435,   436,   437,     0,   438,   439,   440,   441,  1973,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   695,   470,     0,     0,  1974,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   697,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  2648,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  2650,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    2757,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,     0,  1398,   745,  1399,  1400,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1401,  1402,   243,     0,
     244,   245,   246,   247,     0,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1403,
    1404,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1405,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,  1877,   322,   323,   324,   325,   326,   327,     0,   328,
     753,  1878,   330,   331,   332,   333,  1406,  1407,     0,  1408,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1409,
     759,  1410,   367,   368,     0,     0,   370,   371,   760,   372,
       0,     0,   374,  1411,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,  1880,   761,   385,
     762,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1412,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1881,   445,   446,   764,
     447,  1414,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1415,  1416,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1417,  1882,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,  1397,     0,     0,
       0,     0,     0,     0,     0,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,     0,  1398,   745,  1399,
    1400,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1401,  1402,   243,     0,   244,   245,   246,   247,     0,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1403,  1404,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1055,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1405,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,     0,   330,   331,   332,
     333,  1406,  1407,     0,  1408,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1409,   759,  1410,   367,   368,     0,
       0,   370,   371,   760,   372,  1968,     0,   374,  1411,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,     0,   761,   385,   762,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1412,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1881,   445,   446,   764,   447,  1414,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,  3431,   463,   464,   465,   466,   467,   468,
       0,  1415,  1416,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1417,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,   210,     0,     0,     0,     0,     0,     0,     0,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
       0,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1398,   745,
    1399,  1400,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1401,  1402,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1403,  1404,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1405,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,     0,   330,   331,
     332,   333,  1406,  1407,     0,  1408,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1409,   759,  1410,   367,   368,
    2029,     0,   370,   371,   760,   372,     0,     0,   374,  1411,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1412,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1413,   445,   446,   764,   447,  1414,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1415,  1416,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1417,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1398,   745,  1399,  1400,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1401,  1402,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1403,  1404,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1055,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1405,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,     0,   330,   331,   332,   333,  1406,  1407,     0,
    1408,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1409,   759,  1410,   367,   368,  3253,     0,   370,   371,   760,
     372,     0,     0,   374,  1411,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1412,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1413,   445,   446,
     764,   447,  1414,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1415,  1416,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1417,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1398,   745,
    1399,  1400,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1401,  1402,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1403,  1404,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1405,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,     0,   330,   331,
     332,   333,  1406,  1407,     0,  1408,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1409,   759,  1410,   367,   368,
       0,     0,   370,   371,   760,   372,     0,     0,   374,  1411,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1412,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1413,   445,   446,   764,   447,  1414,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1415,  1416,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1417,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1398,   745,  1399,  1400,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1401,  1402,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1403,  1404,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1055,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1405,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,     0,   330,   331,   332,   333,  1406,  1407,     0,
    1408,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1409,   759,  1410,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,  1411,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1412,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1881,   445,   446,
     764,   447,  1414,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1415,  1416,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1417,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1398,   745,
    1399,  1400,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1401,  1402,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1403,  1404,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1405,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,     0,   330,   331,
     332,   333,  1406,  1407,     0,  1408,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1409,   759,  1410,   367,   368,
       0,     0,   370,   371,   760,   372,     0,     0,   374,  1411,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1412,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,     0,   445,   446,   764,   447,  1414,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1415,  1416,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1417,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,     0,   745,     0,     0,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,     0,     0,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
       0,     0,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,     0,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,     0,   330,   331,   332,   333,     0,     0,     0,
       0,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
       0,   759,     0,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,     0,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,     0,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,     0,   445,   446,
     764,   447,     0,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,     0,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,     0,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   937,   545,   189,
     737,    11,    48,   574,    24,   195,   689,   974,   193,   742,
      20,    43,    20,    34,   179,   171,   206,     7,  1227,  1282,
    1567,    21,   946,   188,    14,  1869,    26,   594,   839,   644,
     645,   646,   941,   819,   814,   650,  1669,   604,    48,    21,
    1162,   612,   767,    12,    26,   592,   996,   895,  2311,  1082,
     830,  1262,  1707,  1024,  1413,  1370,   696,   905,  1272,  1268,
    2171,  1160,    42,   876,   574,  2163,    17,    22,  2898,  1322,
    1053,  1054,  2617,  1469,  2028,   536,  1339,  1340,  2661,    34,
    2663,  2079,  1178,  1604,  1885,  1886,  3116,  1430,  1210,  1072,
    3159,    20,  2834,  1833,  2290,  3208,  2859,  2815,  1183,  2641,
     878,   881,  2056,  2472,  2525,   885,  3155,   158,  2797,  2124,
     890,   966,   180,   181,   927,  1214,   184,   897,   186,   611,
    1334,   692,   583,  3089,  2887,  3411,  2815,   907,  1524,  2470,
    2471,  3432,   953,  2404,   173,     0,     0,   205,   173,    33,
    2467,     0,  2877,   964,     0,  1254,    40,  1268,  3083,     0,
    3367,     0,     0,     0,     0,     0,  3421,     0,     0,     0,
    3852,  1214,  3015,   173,  1472,  1480,  2533,    39,  1472,  3088,
     734,  3126,  3645,  2819,  2820,  2821,  2822,  2823,  2824,   795,
     784,    31,   692,  3956,     0,  3958,     5,  3057,     9,    11,
    4131,  2518,   830,  1042,  1043,     0,     9,   734,    58,     5,
      44,    18,     5,  2370,  2371,    66,    37,    13,  2375,    79,
      13,     5,  2166,     0,    36,     5,   103,    18,    25,  1068,
      16,   201,   818,    37,    51,   152,    60,     5,   824,    68,
    1885,    98,  1010,  3989,    22,    68,   832,    76,     0,    58,
     152,    29,    51,   158,    66,  1100,    26,    27,  2415,  2416,
     105,    35,  4124,     0,     5,     5,   152,  2619,    96,   874,
    2531,   134,     9,    13,     0,    83,     5,    83,     5,   147,
       5,     4,    35,    22,     5,    22,     9,     5,     5,     5,
      58,     5,     5,  2237,   102,  2239,    51,  2467,    22,   172,
     122,    72,   249,    22,    11,    29,   133,   131,   165,   246,
      29,     0,   234,   120,    68,     0,   246,    68,    76,   133,
       9,    51,   859,  4280,   256,   149,   134,   147,     5,   120,
     105,    70,    25,    22,    34,   246,   155,   234,    77,  1638,
     103,   154,   108,   115,  1433,   117,  1147,   133,  2518,   326,
     195,   157,    64,  1652,   120,   326,   105,   152,     5,   312,
       5,     5,     9,   543,   263,   104,   223,   547,   974,   226,
     545,     5,   359,     5,   290,   152,   531,   172,   558,   361,
     161,   151,     9,   153,     4,   127,  1101,   263,   132,     9,
     947,   236,   400,  1416,   301,   172,   297,    11,    83,    68,
     152,   962,   437,  1702,   286,   440,     4,    76,   434,  1946,
     363,     9,   438,   974,  1129,   152,   298,   592,  4181,   326,
     172,   403,    36,   578,   297,   326,   152,   326,   301,   173,
    1403,  1404,   440,   588,  4116,   172,   423,   176,  1411,   252,
     322,   286,   302,  3650,    11,  1002,   172,   152,  4405,  1379,
     326,   438,    66,   326,   278,  1012,   103,   264,   103,   103,
     317,   438,   962,   152,   236,    68,   241,  1028,  1025,   440,
    1384,   171,   157,   236,   246,   153,   534,   393,  1564,   299,
     538,  2833,  1568,   172,  1570,   293,   303,  1573,   385,   436,
     297,  1603,    68,   172,   976,   417,   108,   555,   304,   436,
     241,   328,   321,   300,   303,   437,   436,   152,   440,   275,
      96,   319,   241,  3149,   328,   312,   526,  4205,  4206,   326,
     241,   349,   199,   440,   310,   436,  3234,   400,  1028,  1297,
     359,   350,  1881,   396,   436,   440,   359,   249,   359,  1145,
     110,   349,   328,   285,  1150,  1151,   423,  1317,   303,  1319,
     374,  1663,  1328,  4415,   440,  3234,   334,  1395,  1891,   416,
     340,   341,  1401,  1402,   574,   575,   363,  1368,   436,  4526,
    1373,  1410,   346,   303,   396,   616,   612,   384,  3854,   387,
     440,  1142,   386,   434,   525,  1674,   436,   438,   379,  1150,
    1151,   737,   400,   346,   400,   440,   436,  1709,  4344,  4530,
     371,   359,   436,   342,   385,   359,  1374,   300,   359,  3816,
     334,   611,   612,   611,  3570,   334,   427,   428,  1558,   304,
     432,   391,   390,   440,  2568,   436,    22,   436,   436,  1528,
    3162,   437,   435,   439,   383,   625,  3389,   627,  1244,   629,
     436,   440,  1142,   436,   439,   635,  1252,  1201,   658,  1193,
    3493,   610,   436,   625,  3579,   627,  1242,   629,  3583,   639,
    3569,  3868,   439,   635,   636,   637,  1565,  1261,   436,  4432,
    1438,   681,  3404,  1301,  1201,  1574,  1304,   390,   688,  1490,
    3625,   691,   692,   693,   859,   655,  3546,   439,  1499,   844,
     427,   428,  1503,   612,   436,  3420,   436,   726,  1509,  1510,
     855,   726,   439,  1309,   427,   428,  1312,  1313,  1294,   436,
     440,   436,  3348,   439,   359,   400,  1527,   434,   436,   436,
     436,   438,   436,   436,  4406,   432,   726,  1495,   728,   728,
     728,   728,   728,   728,  4197,   440,   878,   103,   427,   428,
     798,   799,   712,  3102,  2042,  2536,     8,  2538,  2042,    11,
     439,  4439,   437,  2854,   439,  1959,   359,  1602,   436,  1604,
     915,   440,  1299,   349,  3081,    18,  3083,   379,   402,  1614,
     402,   741,  2777,  1618,  1380,  2780,  2781,  3984,   423,  2784,
     400,  1626,  1627,   359,  3991,  2790,  3143,    96,   422,    96,
     422,  1630,  1631,   438,  1639,  1640,   103,   716,  3330,  4481,
     427,   428,   436,    18,   436,  1650,    96,   427,   428,    24,
    1899,   381,    18,   783,   872,   429,   430,   431,   432,     5,
    2024,    96,     3,   795,   152,  2470,  2471,  2472,   690,   310,
      44,    18,   694,    96,    76,   893,   894,    24,  2782,  2783,
    2997,   391,  3159,  3000,  3001,  3002,  3003,  3004,  3005,  3006,
    3007,  3008,  3009,   154,   256,   913,  1899,   108,    42,  4114,
    2483,   103,   429,   430,   431,   432,    60,   120,  1010,  3130,
      74,  1476,    74,   728,   728,   271,  1987,  4076,  1977,   728,
      94,   103,   728,  3942,    74,   943,   944,   728,    22,   728,
     728,   728,   728,   728,    75,   728,   728,   728,  1571,  1572,
      98,   256,  3059,  3060,  1672,   120,   113,  3442,   112,   103,
     112,  3081,    20,  3083,   120,   256,   123,    23,   134,   152,
      96,    74,   112,  2012,   264,   321,  3985,  4014,   250,   236,
    2874,   193,    40,   120,   185,   774,   820,   821,   147,   108,
      28,   193,    51,  1500,   125,  1660,     5,    74,   157,  2992,
     280,   252,   962,   319,  1511,   436,   352,   297,   354,   112,
      52,  2204,  4049,   172,   974,   107,  1523,   165,    60,     8,
     184,  1508,    11,  3016,  1535,   316,   976,   918,   976,   103,
     251,   115,   152,   349,   168,   112,   326,  3943,   172,  3159,
     252,   830,   130,   250,   236,   154,   177,  1007,   250,   979,
     160,   981,   974,   983,   108,   985,  2797,   987,   988,   989,
     161,   264,  4288,  4304,   994,  2216,   185,  1828,  1028,   241,
     234,   387,  3947,   146,  2815,   223,   210,  3952,   226,   153,
    3955,   359,   339,   326,   400,   342,  1036,     3,   440,  4294,
     349,   342,   236,  3903,   297,  1496,   134,   241,  3868,   264,
     192,   189,  1534,    19,  4253,   241,  1056,   264,   234,   349,
     323,   265,   105,   265,  1100,  4124,  1208,    97,    11,  2158,
     436,  2370,  2371,   326,   349,   265,  2375,   264,   186,    11,
     186,   185,   297,   234,   278,   440,  1086,   120,   269,  3842,
     297,   297,  1102,    36,  1638,     8,   436,   306,   292,  1636,
    1100,   315,  1112,   319,  3677,  2896,   436,  3639,  1652,    75,
     297,   326,   265,   237,   326,  1125,  2415,  2416,   256,   317,
    1262,  3846,   214,    66,  1299,   234,   359,    60,   379,   436,
    1171,  4407,  1142,   349,   405,  1145,  1146,   263,   265,   326,
    1150,  1151,   153,    76,   314,   175,   330,   440,   308,   353,
     273,   353,   195,   312,   193,  1297,  4195,  1186,  1187,   125,
    1189,  1186,  1187,   353,  1189,   427,   428,   429,   430,   431,
     432,   387,     5,  1145,  1354,   161,  2149,   434,  1150,  1151,
     374,   438,    11,    22,   400,  4490,  1186,  1187,  4291,  1189,
     423,   372,  2278,   236,   303,  1868,   106,   366,   131,   380,
     353,  2534,   383,  3360,   161,   438,   172,  2540,   367,  4416,
     379,   177,  3623,   252,  3992,   319,   149,   326,   416,  1277,
     436,   254,   392,  1991,     5,  4480,   353,   349,   440,  4484,
     142,   277,  1374,  1203,   385,   373,   381,  2075,   436,   254,
     264,  3600,   115,   286,   117,   198,  3605,   103,   234,   264,
     193,  1393,   156,  4178,   299,   266,   105,   381,   144,   169,
     308,   193,  3579,   297,  3595,  4324,  3583,  4572,   301,   221,
     103,  1413,  1244,  1453,  4529,   379,   115,   234,   264,   115,
    1252,   117,   297,  1341,  1342,  1343,  1344,  4147,  3474,  1469,
     333,   436,   326,   326,   165,   263,  1438,   254,  1239,   211,
    2230,  3306,   326,   269,   140,  4083,  2395,  3312,  3313,  4017,
     214,   297,  2401,    95,   155,   361,  1326,  1289,   348,   349,
     331,  1501,   103,  3267,  1382,  1383,  2240,   312,  4348,  4349,
    1388,   223,   380,  1508,  1489,  2234,   248,  1309,  4017,   252,
    1312,  1313,   308,  1498,  1524,   278,   195,   233,  2186,  2187,
    2188,  2189,   223,  1495,    84,   400,  4415,   403,   326,  2129,
    2198,  4221,  4094,  1333,   193,  4225,  4226,   361,  4100,  2137,
       3,     4,     5,   246,  1432,   351,     9,   392,   363,   400,
     236,   347,  1392,  3540,  3541,   424,   425,   236,   427,   428,
     429,   430,   431,   432,    30,   440,   197,  2934,    83,   385,
    1986,  1459,  1460,  1461,  1462,   241,   372,  3137,  1380,  3579,
     246,  1948,  1567,  3583,   380,  3403,  2491,   383,  2229,   440,
    4198,  2224,    95,   153,   400,   317,   402,  1984,   385,   105,
    4208,   436,  2633,   234,  2245,  2246,    49,   286,  2249,  2045,
     222,   374,   224,  3234,  2255,  1455,   317,  2053,   352,  2055,
     354,   181,     3,  1904,     5,  1513,  2042,  3102,   314,  2970,
     436,  1636,  1301,    18,  1522,  1304,   196,   103,   277,    24,
     103,  1529,   157,   377,  2717,    32,    75,  2563,   208,  2065,
     321,   359,    95,  4503,   427,   428,   429,   430,   431,   432,
     156,   400,   106,   312,  2339,   427,   428,   429,   430,   431,
     432,   231,  2313,   179,   177,  3449,   107,  3451,  2094,   350,
     423,   424,   425,   142,   427,   428,   429,   430,   431,   432,
     250,    57,    58,  2037,  2728,   124,  4279,   328,   369,   365,
    1672,   440,  2300,   290,  1534,     0,  1534,  2923,   297,   375,
     250,   359,   301,  2388,   363,   255,  4078,    98,   214,   222,
     156,   224,   361,     8,   111,   169,    11,   190,   234,    38,
     236,   174,   440,   320,  1544,   120,  1546,   326,  1548,   439,
    1550,  2544,  1552,    28,  2419,   440,  1556,   307,   379,  2093,
      59,   214,   211,  2034,  1595,  1585,  1585,  1585,  1585,  1585,
    1585,   192,   349,   363,   403,   310,  4416,  4132,   427,   428,
     429,   430,   431,   432,   203,   204,   264,  2212,   214,   222,
    1580,   224,  2457,  1623,   165,   221,  1535,   280,   217,  1677,
     256,   234,   440,   381,   290,  3942,   153,   152,  2881,   245,
    3947,  2884,   319,  2573,  3887,  3952,   393,    60,  3955,   297,
     381,   400,  4215,    66,  1616,  1617,   147,   172,   197,  1594,
     263,   381,  1624,    76,   181,   106,  1628,  1629,  2219,    11,
    1601,  4414,   349,   154,   379,   264,   167,   402,  3985,   196,
     393,  1643,   223,  1645,    11,   226,  2282,  4209,   436,  1679,
     103,   208,   105,    78,    36,   234,   352,   422,   354,   302,
    2604,   182,  2253,   105,  1666,   436,  1668,   264,  2997,    36,
     387,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,
    3009,   377,   310,  1723,    66,  1895,  3660,  3661,   169,  2219,
    1900,  3344,   117,  1903,   337,  2814,  3979,   393,  3981,    66,
     297,  3030,  3833,   316,   290,   147,  3824,   286,   193,  1881,
     338,  4473,  3899,  1885,  1886,  1925,   352,   199,   354,   436,
    2477,   359,   351,  2253,   353,   264,   179,  3845,  3763,  3764,
    3059,  3060,   310,   311,   320,  2576,   317,   179,  3925,  3926,
     142,   377,  3942,  1948,  4309,   147,   402,  3947,     8,   328,
     307,    11,  3952,    84,  1939,  3955,  1966,   423,   297,  2592,
      11,  1946,   301,   349,   427,   428,   422,   252,   434,   436,
     436,   437,   438,  1983,   440,   363,    36,  4124,   301,   285,
     436,   363,    42,   236,   402,  3985,   314,   326,   241,  4351,
     319,   299,   234,   147,   236,  2593,  2370,  2371,   316,  2009,
     379,  2375,   221,   326,   422,   311,    66,   393,  2649,   211,
    2651,   193,   194,   167,  2620,    66,  2932,    20,   436,  1991,
     349,  2481,   153,   351,  3187,   278,  2036,  1847,  3163,   435,
    2040,  4178,    68,  1451,   440,   416,  2642,    40,   238,   292,
      76,  2415,  2416,  1873,  1873,  1847,   248,   264,  2484,  2059,
     181,    76,  1470,  1941,  1942,  1943,   221,   239,   387,    80,
    2070,   400,  1950,   175,  1952,   196,  1954,  1955,  1909,  2436,
    1911,   400,   400,  2083,   402,   310,   311,   208,   236,  4441,
     297,  1830,  2092,   241,   301,  3538,     5,   142,   167,   130,
     264,    10,   147,  2484,  2864,   363,  2694,  3039,  2696,    18,
     231,   142,     8,  2873,    73,    11,   147,   436,   436,   326,
     435,  2752,   172,  3032,   393,   440,    35,  2758,    48,   319,
    3595,   374,   423,   297,  4124,  3600,   284,   316,  3211,  3212,
    3605,   156,  1972,   193,   194,   264,   250,   438,   423,   424,
     425,   255,   427,   428,   429,   430,   431,   432,   189,   349,
     175,   264,   326,   199,   437,  2753,   211,   440,  1958,  4146,
     436,  3195,   264,  2051,  2955,  2137,  3019,  3020,   297,   314,
     211,   419,   420,  2560,  2561,   314,   307,  4324,  4178,   239,
    2778,    21,  1015,  1016,   297,  3268,    26,   387,  4550,   214,
     440,   437,   252,   248,   440,   297,  3138,   326,   437,  2590,
     400,   440,  2962,     9,  3238,  2621,   351,   248,  3773,   352,
    3775,   354,   351,   326,  3779,   256,  3781,  4052,   431,   314,
     352,  2109,   354,   436,   326,   438,   436,   250,  2828,  2117,
     255,  3360,   437,   431,  2122,   440,   436,   437,   436,   439,
     438,   436,   393,  2045,  2216,   427,   428,   429,   430,   431,
     432,  2053,   436,  2055,   438,   400,   351,   402,    48,   437,
    2590,   400,   440,   402,   437,  2906,   172,   440,  4415,  2910,
    2911,  2687,  2913,    38,  2915,  2916,  2116,   437,  2288,   115,
     440,   117,  2880,  2924,  2124,   418,   434,   193,   436,  1654,
     438,   436,  1657,    49,   314,   195,  2387,   436,  2389,  2390,
     434,  2311,   436,     0,   140,   400,   400,   402,   402,  2907,
       8,   438,   253,    11,  3233,  2956,  3235,   253,   250,  2207,
    2707,  4095,   437,    44,  4324,   440,  2959,   352,  2300,   354,
    2315,   351,   373,  2806,  2807,  2808,  2321,  3140,   363,    95,
     436,   436,   438,  4007,  2146,  2185,   252,   359,  2236,   374,
    2238,  3026,   377,   250,   147,  4438,  3535,  3888,  3889,  3890,
    3891,   418,   437,   437,    85,   440,   440,   427,   428,   429,
     430,   431,   432,  2213,   253,  4039,  2206,  2206,  2976,  2219,
     400,  3410,   402,  2172,   437,   418,    83,   440,   109,    38,
    3160,  3161,  3867,   400,  3425,   402,  4017,  3316,  2996,   437,
     236,   429,   440,   124,   195,   241,   437,   128,   151,   440,
     246,  3540,  3541,  2253,   440,  4415,   436,  2852,   174,   627,
     628,   629,   436,  3021,   632,   633,   634,   148,   437,   437,
     151,  2436,   440,   130,   642,   352,   437,   354,  2829,   440,
    2831,   437,   163,   437,  2332,   142,   440,    48,   314,   437,
     147,     8,   440,   152,    11,   152,  2843,   191,  2845,  3057,
     157,   437,   436,   160,   440,   162,   222,   437,   224,   326,
     440,    28,   314,     8,  3105,   352,    11,   354,   234,   438,
    2282,   437,  2467,   437,   440,   351,   440,   437,   437,   404,
     440,   440,   189,    28,   314,   193,   400,  2502,   402,  2829,
     437,  2831,   436,   440,  2895,  4126,   172,   263,   437,   351,
     437,   440,   135,   440,   211,  3968,   436,   423,   424,   425,
     241,   427,   428,   429,   430,   431,   432,  2963,   249,   365,
     438,   351,     0,  2518,   400,  2545,   402,   172,   250,   375,
    3097,  3098,  3099,  3459,  3460,  3461,   302,   437,   135,  3094,
     440,   248,   135,  2419,   252,  4219,   172,   147,   400,   256,
     402,  2533,   250,   284,  2536,  2895,  2538,  2954,   135,   437,
     436,  2543,   440,   437,   105,   437,   440,  2587,   440,   209,
     400,   337,   402,   437,   437,   437,   440,   440,   440,  2419,
     437,   250,   437,   440,   436,   440,   437,   381,   437,   440,
     363,   440,   437,  2433,   437,   440,   439,   304,   237,   238,
    2462,  2463,  2464,   314,   437,    83,   436,   440,   437,   436,
     439,  2593,  2452,  2997,   245,   381,  3000,  3001,  3002,  3003,
    3004,  3005,  3006,  3007,  3008,  3009,   193,  2467,   393,   437,
      26,    27,   440,   437,  2484,   437,   440,   731,   440,   733,
     351,  3584,   349,  3586,  3596,  2521,  3030,   437,   193,   316,
     440,  2633,   130,   437,   437,   199,   440,   440,  2498,  2498,
    2498,  2498,  2498,  2498,   142,  2685,   373,   283,  3620,   147,
    2482,    60,  2484,   436,   152,  3059,  3060,  2697,  2518,   157,
     319,  2521,   160,  3299,   162,   252,   400,    83,    31,   400,
     397,   402,   399,   400,   236,   437,   437,  4074,   440,   440,
     404,  2599,   314,  2601,  2602,  2603,   102,   252,   436,   236,
     349,   189,  2694,    38,  2696,   423,   424,   425,    38,   427,
     428,   429,   430,   431,   432,   436,   368,   434,   264,   147,
     437,   438,   439,   211,   437,   393,    73,   440,   134,   351,
    2590,   437,   437,   437,   440,   440,   440,   281,   387,   393,
    3843,   437,  2772,   135,   440,   437,  3434,   135,   440,   977,
    3899,   400,   980,   436,   982,   135,   984,   404,   986,  3908,
     248,  2753,   990,  4447,   437,   135,   135,   440,   256,  3387,
     437,   135,  2797,   440,  4458,   440,  3925,  3926,   400,   437,
     402,   437,   440,   135,   440,  3446,  2778,   436,   250,   437,
    2815,   135,   440,  3454,  3455,   135,   135,   437,  3734,  3735,
     440,  3737,   135,   437,   250,  2797,   440,  2667,   437,   437,
    4305,   440,   440,   135,   436,   135,   304,   437,   349,   437,
     440,   130,   440,  2815,   436,  4509,   437,  3522,   437,   440,
      31,   440,   148,   142,   209,   147,   147,   250,   147,   436,
       5,     5,   436,   436,   147,  2705,   423,   424,   425,   274,
     427,   428,   429,   430,   431,   432,   436,   436,   436,     0,
     436,   349,   436,     5,   436,     5,   436,   436,   423,   424,
     425,   436,   427,   428,   429,   430,   431,   432,   436,   436,
     189,     5,     5,   436,   401,   373,     8,   293,  2880,    11,
     261,   436,   191,  2923,   436,  2755,   436,   436,   436,   440,
     436,   436,   211,   436,  2896,    31,    28,  2937,   436,   397,
     436,   399,   400,   319,   436,  2907,   436,  2777,    86,   440,
    2780,  2781,   209,    31,  2784,   147,   147,  2957,  3546,  2934,
    2790,   248,   246,     8,  4037,   326,    11,  2797,   359,   248,
     359,   314,    83,   349,   438,   359,   434,   256,   359,   437,
     438,   439,   314,    28,   359,  2815,   359,   359,    76,   314,
     135,    36,   250,  3770,   318,   206,  3360,    42,   241,  2829,
     359,  2831,   359,   359,   351,  2797,  3383,  3384,   250,   380,
     177,   387,  2804,  2805,  2976,   391,   246,  2809,   436,   130,
     166,    66,   359,  2815,   400,  3656,   359,  4146,   436,    76,
     440,   142,   264,   172,  2996,   135,   147,  2867,  3464,  2917,
      97,   152,  2920,   381,   359,   381,   157,   359,   359,   160,
      48,   162,    48,   359,  2846,   381,  3687,  3688,   359,  3021,
     436,   359,   351,   359,  2894,  2895,  2886,  2886,   254,    37,
    3658,  3831,    37,   314,   359,   440,   359,   250,   189,   359,
     250,   359,   400,    18,   404,  2905,  2905,  2965,   193,    24,
     436,   390,   436,  4112,   373,  3057,    20,    31,  3686,    30,
     211,   193,   250,  3069,   135,   436,  3081,   236,  3083,   436,
    3645,   103,   135,   381,   217,   392,   246,  3705,   236,    31,
     147,    31,   199,   168,   135,  3756,  3757,   172,   436,    64,
     315,   135,   381,   135,   381,   135,   135,   248,   245,   359,
     152,   240,   436,   396,   357,   256,   418,   228,   193,   194,
    4059,    11,   228,   357,   326,   434,   359,   160,   437,   438,
     252,   436,   436,   143,   440,   210,   436,  3755,   152,   440,
     437,  2963,   361,   166,   436,   166,  3540,  3541,   113,   189,
     440,  3143,   197,   251,  3159,   120,   328,   381,   123,   440,
    3190,   236,   258,   304,   239,    48,   359,   437,   359,   314,
      75,   314,   436,   381,   241,   241,   359,   252,   197,   197,
     255,  3067,   359,  3043,   436,   359,   393,   199,   316,   241,
     363,   250,    38,   249,   333,   351,   359,  3083,   440,   314,
     297,  3073,  3074,  3075,  3076,   359,   297,   167,   349,  3234,
     323,  3872,   177,  3874,  3875,   359,   286,  3067,   193,    31,
     193,   359,   193,   381,  3611,  3886,   381,   193,   423,   249,
     193,  3081,   373,  3083,    30,  4171,   434,   436,   434,   359,
     359,   423,  3234,   359,   135,  4181,   147,   359,   436,  3279,
     149,   323,  3282,   246,  4061,   330,   397,   393,   399,   400,
     381,   135,    31,   250,   250,  3960,   436,  3674,   400,   234,
     164,   236,   164,  3181,  3182,  3183,  3184,   147,    31,  4069,
    4070,   246,    21,   135,   323,  3903,   147,   172,   250,   254,
     172,   250,   172,   434,   440,   404,   437,   438,   439,   264,
    4236,   423,   424,   425,    19,   427,   428,   429,   430,   431,
     432,   158,   225,   440,  3770,    54,   400,   250,    48,   363,
    3727,   245,   349,   440,   393,   152,   440,   199,    67,   418,
     440,   268,   297,   437,   437,   300,   301,   437,   437,   152,
     418,    80,   437,   437,   437,   437,   359,   437,   423,   424,
     425,   437,   427,   428,   429,   430,   431,   432,   437,  3770,
    3390,   326,  3817,   437,   437,   440,   437,   260,    13,   437,
      13,   436,   436,   436,  3234,   437,   436,   379,   387,   118,
     397,   397,  3959,   304,    48,   423,   211,   250,   253,  3966,
     129,   250,   175,   436,  4330,  3387,   404,   135,  3258,   436,
    3973,  3261,   359,  3263,   359,   183,   359,   241,   359,   254,
     149,   135,  3234,   135,   175,   154,   211,  3257,   269,   384,
     269,   359,   378,   359,   400,   359,   219,   359,   219,   381,
     219,   359,   359,  3425,   359,  3257,  4056,  3467,   314,   359,
     359,   314,  4222,   314,   359,   314,  3306,   359,   236,   326,
    3358,   135,  3312,  3313,    37,  3315,  4151,  4247,   193,  4223,
     193,   359,   359,     3,   193,   434,   436,   317,   226,   437,
     437,   211,   368,   423,    38,   299,    96,   249,   436,  4140,
     250,    31,   221,  4232,   359,  4234,   161,   253,   437,   437,
    3350,  3351,  3352,  3353,   440,   440,   437,   381,  3320,  3321,
     381,   440,   133,   314,   314,  3899,   314,   133,   193,  3331,
     126,   434,   152,   252,  3908,    11,    58,   147,   152,   437,
     437,   437,   256,   437,   392,   436,   421,   437,  3350,  4147,
     397,  3925,  3926,   152,   440,  4196,   436,   160,   251,   368,
     147,    31,   281,  3535,   381,   381,   183,    48,   437,   437,
     437,   351,   359,   368,  3546,   359,   359,   436,   436,   314,
     359,   359,  3422,   314,    48,  4183,   351,   359,   147,  3419,
    3419,  4378,    66,   437,  3579,   314,  4237,   437,  3583,   437,
     135,   320,    96,   437,   323,   193,  3611,   368,  4527,  4166,
     193,   435,  4115,   435,   437,   436,   197,   436,   400,  3986,
     282,   436,   323,  4221,   147,   437,   400,  4225,  4226,   440,
     349,  4018,   440,    22,    23,   178,   355,   404,    27,    71,
     351,   440,  3482,    32,    33,    34,  4321,    36,   437,   368,
      39,    40,   359,    42,   323,    44,   157,    96,  4577,   436,
     152,  4028,  3464,   152,     8,   193,  4585,    11,   193,   193,
    4061,   437,   193,   437,   393,   291,   436,    48,   437,   196,
     436,   398,   398,   440,    28,   436,  3658,   259,   196,   437,
    3700,   436,    36,   437,    48,   162,   246,   437,    42,   423,
     437,   437,  3712,   359,   152,    21,   400,   368,    66,   177,
     241,   423,   241,    48,  3686,   351,   400,    33,   440,   359,
     135,   193,    66,   154,   152,   172,    31,   381,   381,   435,
     121,   436,   440,  3705,   400,   152,   396,   400,    54,   436,
     180,   253,   152,   291,   436,   436,   336,   386,   437,  3579,
    4510,    67,   437,  3583,   267,   436,   436,   399,   196,   437,
      76,   437,   250,   436,    80,   292,   359,  3607,  3608,   436,
     359,   400,  4146,   147,   110,   241,    31,   220,   241,   175,
     282,    97,   134,  3755,   436,   436,   436,   103,  3618,  3618,
     179,   180,   181,   182,   437,   184,  3637,   186,    31,   188,
     437,   190,   118,   254,   193,   311,   311,    48,    48,   198,
      31,  3631,   201,   129,   436,   436,   205,   351,   207,   437,
     381,   137,   437,   234,   168,   351,   250,     5,   172,  3631,
     437,   141,   351,   149,  3819,    60,   323,   282,    60,   253,
     156,   116,   291,   385,   160,   386,   440,    31,  3736,   193,
     194,   436,   152,   351,   289,   147,   121,   397,   177,   175,
     250,  4502,  3750,  3683,   400,   250,   210,   436,    31,    31,
     253,   253,   437,   437,   436,    48,   436,  3887,   108,   379,
     310,  3683,   437,     5,   436,   310,    17,    28,   134,   282,
     436,   728,   236,  1357,   821,   239,  2170,  1151,   214,   814,
     787,  3703,  3704,  2484,  2642,   221,  3708,  3709,   252,   820,
    2019,   255,  3233,  3753,  3754,  4350,  2087,  3315,  2795,  4239,
    4059,  4378,  4108,  3763,  3764,  3381,  3810,  4112,  4093,  2567,
    3770,  3903,  2270,  4445,  3774,  3985,   252,  4507,  4392,   255,
    4391,  4464,  4289,  2571,  3373,  2161,  2161,  3228,  2662,  1456,
    2866,  2155,  4515,  4585,  4577,  4088,  3844,  3942,  2814,  2799,
    4475,  4030,  3947,  1446,  4365,  4455,  4033,  3952,  3770,  3979,
    3955,  3981,  3792,    26,   290,  1003,  3467,  4194,  1013,  4346,
    3423,  3986,  2543,  1886,  3425,  2756,   330,  4378,  4305,   575,
    3792,  4489,   308,  4579,  1831,    31,  1830,  2498,   314,  3839,
    3985,  3408,  3619,  3135,   320,  1535,  1871,   323,   707,  2499,
    1177,  1196,  4017,  2510,    50,  1870,  2505,   720,  2526,  2518,
    3570,  1195,  3083,  4028,  3585,  4179,  3866,  3081,  1198,   712,
    4324,  1203,  4323,   349,  3136,   351,   352,  2136,   354,   355,
    3042,  4149,  4027,  3034,  4436,  4017,    82,   363,  3888,  3889,
    3890,  3891,   368,  4428,  4437,  2502,  2433,  2341,   374,  2431,
    3131,   377,  1706,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,  4074,
      -1,   435,    -1,    -1,    -1,    -1,    -1,   441,    -1,  3987,
    3988,  3989,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    -1,  3947,    -1,    -1,
      -1,    24,  3952,    -1,     8,  3955,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,   170,   524,    -1,    -1,    -1,  4124,
     529,    -1,   531,    -1,    -1,   534,    -1,   536,    -1,   538,
      -1,    -1,    36,    -1,  4126,    -1,   545,   878,    42,   548,
    3970,    64,    -1,   199,    -1,    -1,   555,    -1,     8,    -1,
     206,    11,    -1,    -1,    -1,  4147,    -1,  4017,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    28,   578,
      -1,    -1,    -1,  4178,   583,    -1,    36,    -1,    -1,   588,
     236,    -1,    42,   592,    -1,    -1,    -1,    -1,    -1,    -1,
     113,  4183,  4052,    -1,    -1,  4017,    -1,   120,   607,    -1,
     123,  4061,    -1,    -1,    -1,  4065,    66,  4067,    -1,    -1,
      -1,  4071,  4072,    -1,    -1,  4123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,  4221,
      -1,    -1,    -1,  4225,  4226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   301,   655,  4097,  4097,   305,
      -1,    -1,    -1,    -1,   177,   311,    -1,   666,   667,    -1,
      -1,  4266,   318,    -1,   168,    -1,    -1,    -1,   172,  1010,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   687,   335,
     689,   690,    -1,    -1,    -1,   694,    -1,   343,    -1,   193,
     194,    -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,   708,
      -1,    -1,    -1,   712,    -1,    -1,   210,    -1,   168,   718,
      -1,   234,   172,   236,    -1,    -1,    -1,    -1,    -1,  4324,
     729,  4346,    -1,   246,    -1,  4233,    -1,  4235,  4178,    -1,
      -1,   254,   741,   193,   194,   239,    -1,    -1,    -1,   395,
      -1,   264,    -1,   399,   400,    -1,    -1,    -1,   252,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   783,    -1,   236,   300,   301,   239,
    4240,    -1,    -1,    -1,    -1,    -1,    -1,   796,    -1,   798,
     799,    -1,   252,    -1,    -1,   255,    -1,    -1,    -1,  4404,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,  4438,    -1,
    4415,   820,   821,    -1,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   844,  4344,  4287,  4287,    28,
      -1,    -1,    31,    -1,    -1,  4450,   855,    36,    -1,    -1,
     859,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,   872,    -1,    -1,    -1,  1208,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    66,   887,    -1,
      -1,    -1,    -1,    -1,   893,   894,    -1,    -1,    -1,    -1,
      -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     909,   910,   911,    -1,   913,    -1,   915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,    -1,
      -1,  1262,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,   941,    -1,   943,   944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,    -1,  1297,   966,    -1,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,  4581,    -1,    -1,   168,
     440,    -1,    -1,   172,    -1,    -1,    -1,   996,   997,    -1,
      -1,    -1,  1001,    -1,  1003,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4511,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,  1021,    -1,    -1,  1024,    -1,    -1,  1027,    -1,
      -1,   210,    -1,    -1,    -1,    -1,  4476,  4476,    -1,    -1,
      -1,  1040,    -1,  1374,    -1,    -1,    -1,    -1,    -1,  4489,
    4489,  4489,  4489,  4489,  4489,    -1,  4532,   236,    -1,    -1,
     239,    -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1069,    -1,    -1,   252,    -1,    -1,   255,  4527,    -1,    -1,
      -1,    -1,  1413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4532,  4532,  4532,  4532,  4532,  4532,  1097,  1098,
      -1,  1100,    -1,    -1,    -1,    -1,    -1,  1438,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4527,    -1,    -1,    -1,    -1,
    1119,    -1,     8,    -1,    -1,    11,    -1,  4577,    31,    -1,
      -1,    -1,    -1,    -1,    -1,  4585,    -1,    -1,    -1,  4579,
    4579,  4579,  4579,  4579,  4579,    -1,    -1,    50,    -1,    -1,
      36,   330,    -1,    -1,    -1,    -1,    42,  1156,    -1,    -1,
    1159,    -1,    -1,     8,  1495,  4577,    11,    -1,    -1,    -1,
      -1,    -1,    -1,  4585,    -1,    -1,    -1,    -1,    -1,    82,
      66,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,  1188,
      -1,    36,    -1,  1192,  1193,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,  1203,  1204,  1205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,  1221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    50,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,  1254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    82,    -1,    -1,   170,  1267,  1268,
      -1,    -1,    -1,    -1,    -1,  1274,    -1,    -1,  1277,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,
    1299,    -1,    -1,   206,    -1,    -1,  1305,   193,   194,  1308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,   168,   210,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,   236,  1333,    -1,    -1,    -1,    -1,    -1,
      -1,  1672,  1341,  1342,  1343,  1344,  1345,    -1,   193,   194,
     236,    -1,   170,   239,    -1,    -1,    -1,  1356,    -1,    -1,
    1359,    -1,    -1,    -1,    -1,   210,   252,    -1,    -1,    -1,
      -1,  1370,    -1,  1372,    21,    -1,  1707,    -1,    -1,    -1,
      -1,    -1,    -1,  1382,  1383,    -1,    -1,    -1,   206,  1388,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,   301,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,   252,   311,    -1,
     255,    -1,    -1,    -1,    -1,   318,    -1,    -1,   236,    -1,
      -1,    68,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,  1432,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,    -1,    -1,   330,    -1,   264,    -1,    -1,    -1,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1459,  1460,  1461,  1462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,  1471,    -1,    -1,    -1,    -1,    -1,  1477,   297,
      -1,  1480,   129,   301,    -1,   330,    -1,   305,    -1,    -1,
    1489,    -1,   395,   311,    -1,    -1,   399,  1496,    -1,  1498,
     318,    -1,   149,    -1,    -1,    -1,    -1,   154,   326,  1508,
      -1,    -1,    -1,    -1,  1513,    -1,    -1,   335,    -1,    -1,
      -1,    -1,    -1,  1522,    -1,   343,    -1,    -1,    -1,  1528,
    1529,    -1,    -1,    -1,  1533,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
    1881,    -1,    -1,   200,  1885,  1886,    -1,    -1,    -1,  1558,
      -1,    -1,    -1,    -1,    -1,    -1,  1565,    -1,  1567,    -1,
      -1,    -1,  1571,  1572,   221,  1574,    -1,   395,   423,   424,
     425,  1580,   427,   428,   429,   430,   431,   432,  1587,    -1,
      -1,    -1,   437,    -1,    -1,  1594,  1595,     8,    -1,  1598,
      11,    -1,    -1,  1602,    -1,  1604,    -1,    -1,    -1,    -1,
      -1,    -1,  1611,    -1,    -1,  1614,    -1,    28,    -1,  1618,
      -1,    -1,    -1,    -1,    -1,    36,    -1,  1626,  1627,    -1,
      -1,    42,    -1,    -1,   281,  1634,    -1,  1636,  1637,  1638,
    1639,  1640,    -1,    -1,    -1,    -1,    -1,    -1,  1647,  1648,
      -1,  1650,    -1,  1652,  1653,    66,    -1,  1656,    -1,    -1,
    1991,   308,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   320,  1673,    -1,    -1,    -1,  1677,  1678,
      -1,    -1,    -1,  1682,    -1,    -1,    -1,  1686,    -1,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,  1695,  1696,    -1,  1698,
      -1,    -1,   349,    31,   351,  1704,    -1,  1706,  1707,    -1,
      -1,    -1,    -1,    -1,  1713,    -1,    -1,    -1,    -1,    -1,
      -1,   368,    50,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    82,    -1,    -1,   168,    -1,    -1,
      36,   172,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
    1829,    -1,  1831,    -1,  1833,    -1,    -1,    -1,    -1,    -1,
      -1,   252,   170,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1868,
       8,   199,    -1,    11,    -1,  1874,    -1,  1876,   206,    -1,
      -1,    -1,    -1,    -1,    -1,  2216,    -1,    -1,    -1,    -1,
      28,    -1,   168,    -1,    -1,    -1,   172,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,  1904,    -1,    -1,   236,    -1,
    1909,    -1,  1911,    -1,    -1,    -1,    -1,   193,   194,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,  1928,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
    1939,    -1,  1941,  1942,  1943,    -1,    -1,  1946,    -1,  1948,
      -1,  1950,    -1,  1952,    -1,  1954,  1955,    -1,    -1,  1958,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,  2300,
      -1,    -1,    -1,   301,    -1,    -1,   252,   305,  1977,   255,
      -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,  1987,    -1,
     318,    -1,    -1,    -1,    -1,  1994,    -1,    -1,   326,    -1,
    1999,    -1,    -1,    -1,    -1,    -1,  2005,   335,    -1,    -1,
      -1,    -1,   423,   424,   425,   343,   427,   428,   429,   430,
     431,   432,    -1,    -1,  2023,    -1,   437,    -1,  2027,  2028,
     168,    -1,    -1,    -1,   172,  2034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2051,    -1,   330,   193,   194,  2056,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,   399,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2079,    -1,  2081,  2082,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,    -1,    -1,    -1,   252,    -1,    18,   255,  2117,    -1,
      -1,   190,    24,  2122,    -1,    -1,    -1,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,  2135,    -1,   207,  2470,
    2471,  2472,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   437,    64,    -1,  2163,     8,    -1,  2166,    11,  2168,
      -1,  2170,    -1,    -1,  2173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    36,    -1,    -1,    -1,    -1,    -1,    42,
    2199,    -1,  2533,    -1,    -1,  2536,    -1,  2538,  2207,  2208,
      -1,   113,  2543,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,   123,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2234,    -1,  2236,  2237,  2238,
    2239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
      -1,    -1,  2593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2270,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,
      -1,    -1,  2633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2315,    -1,    -1,    -1,
      -1,    -1,  2321,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,   234,  2332,   236,    -1,    -1,    -1,    -1,    -1,
    2339,  2340,    -1,    -1,   246,    -1,  2345,    -1,    -1,    -1,
     193,   194,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,  2694,    -1,  2696,    -1,   210,    -1,    -1,
      -1,  2370,  2371,    -1,    -1,    -1,  2375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2387,  2388,
    2389,  2390,    -1,   236,    -1,   297,   239,    -1,   300,   301,
      -1,  2400,    -1,    -1,  2403,    -1,  2405,  2406,    -1,   252,
      -1,    -1,   255,    -1,    -1,    -1,  2415,  2416,    -1,    -1,
    2419,    -1,  2753,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2432,    -1,  2434,    -1,  2436,    -1,  2438,
      -1,    -1,    -1,    50,    -1,    -1,    -1,  2778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,    -1,    -1,  2457,    -1,
     529,    -1,  2461,    -1,    -1,    -1,  2797,    -1,  2467,    -1,
      -1,  2470,  2471,  2472,    -1,    82,    -1,    -1,     8,    -1,
      -1,    11,   384,    -1,  2815,    -1,    -1,   330,  2487,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    28,    -1,
    2499,    -1,    -1,    -1,    -1,  2504,    36,    -1,    -1,    -1,
      -1,  2510,    42,    28,    -1,    -1,    -1,    -1,    -1,  2518,
      -1,    36,  2521,    -1,    -1,    -1,  2525,    42,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2880,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,  2896,    -1,  2566,    -1,  2568,
      -1,    -1,    -1,    -1,  2573,    -1,  2907,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   666,    -1,   206,
    2599,    -1,  2601,  2602,  2603,    -1,    13,    -1,    -1,    -1,
      -1,    -1,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     689,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,   708,
      47,    -1,   172,    -1,    -1,  2976,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
     729,    -1,    -1,   193,   194,  2996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3021,    -1,    -1,    -1,   301,   210,   303,    -1,   305,    -1,
      -1,    -1,    -1,    -1,   311,    -1,   236,    -1,    -1,   239,
      -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,   236,   252,    -1,   239,   255,  3057,   796,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   343,   252,    -1,    -1,
     255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,
      -1,    -1,    -1,  2782,  2783,    -1,    -1,    -1,   395,   196,
     197,    -1,   199,    -1,    -1,   202,    -1,   204,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3143,    -1,    -1,   330,    -1,    -1,   887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,  2835,  2836,    -1,    -1,
     909,   910,   911,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,  2851,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,  2864,  2865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2873,  2874,  2875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
    2889,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,  3234,    -1,    -1,    -1,   437,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,  2917,    -1,
      -1,  2920,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1001,    -1,    -1,  2934,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1024,  2955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2983,    -1,    -1,   168,    -1,    -1,
    2989,   172,  2991,    -1,    -1,    -1,    -1,    -1,  2997,    -1,
      -1,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,
    3009,    -1,   193,   194,  3013,  3014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3026,    -1,   210,
      -1,  3030,    -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,  3047,    -1,
    3049,    -1,    -1,    -1,    -1,   236,  3387,    -1,   239,  3058,
    3059,  3060,    -1,    -1,    -1,  3064,    -1,    -1,  3067,    -1,
      -1,   252,  3071,     8,   255,    -1,    11,    -1,    -1,  3078,
    3079,  3080,  3081,    -1,  3083,  3084,    -1,  1156,    -1,  3088,
    3089,    -1,    -1,    28,  3425,    -1,  3095,    -1,    -1,    -1,
      -1,    36,  3101,  3102,    -1,    -1,    18,    42,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   532,  3125,    -1,    -1,    -1,
      -1,    66,  3131,   540,    -1,  1204,  3135,    -1,  3137,    -1,
      -1,    -1,   549,   550,    -1,    -1,    -1,   554,    -1,   330,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,   565,    -1,
    3159,  3160,  3161,    -1,  3163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3181,  3182,  3183,  3184,    -1,    -1,   595,    -1,
      -1,   598,    -1,   600,     8,   602,    -1,    11,  1267,    -1,
      -1,   113,    -1,    -1,  3535,  1274,    -1,    -1,   120,    -1,
      -1,   123,    -1,    -1,    -1,  3546,    -1,    -1,    -1,  3218,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,   168,    -1,    -1,  1305,   172,    -1,  1308,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    66,    -1,    -1,   662,   437,   664,   193,   194,
      -1,    -1,    -1,    -1,  3595,   177,    -1,    -1,  3267,  3600,
      -1,    -1,    -1,    -1,  3605,   210,  1345,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
    1359,    -1,    -1,    -1,    -1,    -1,    -1,  3296,    -1,    -1,
      28,   236,    -1,  1372,   239,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,   720,    42,    -1,    -1,   252,    -1,    -1,
     255,    -1,   234,    -1,   236,    -1,    -1,  3658,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    66,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,  3347,    -1,
      -1,    -1,   264,    -1,   168,  3686,    -1,    -1,   172,  3358,
      -1,  3360,    -1,    -1,    -1,    -1,    -1,  3366,    -1,    -1,
      -1,   778,    -1,  3372,  3705,    -1,    -1,    -1,    -1,   193,
     194,    -1,  3381,    -1,    -1,   297,    -1,    -1,   300,   301,
      -1,    -1,    -1,    -1,  3393,   330,   210,    -1,    -1,    -1,
      -1,    -1,  1471,    -1,  3403,    -1,    -1,    -1,  1477,    -1,
      -1,  3410,    -1,    -1,   326,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,  3755,   239,   833,  3426,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    28,
     168,   848,    -1,    -1,   172,    -1,    -1,    36,    -1,    -1,
    3449,    -1,  3451,    42,   861,    -1,    -1,    -1,    -1,    -1,
      -1,   868,    -1,    -1,  1533,   193,   194,    -1,    -1,    -1,
      -1,    -1,   384,   880,    -1,    -1,   883,    66,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,  3485,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    18,    -1,
     435,    -1,  1571,  1572,    24,    -1,    -1,    -1,   236,   916,
      -1,   239,    -1,    -1,    -1,    -1,   330,    -1,  1587,    -1,
      -1,    -1,    -1,  3522,   252,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,  3532,  3533,    -1,  3867,    -1,    -1,    -1,
      -1,  3540,  3541,    -1,    64,    -1,  3545,    -1,    -1,    -1,
      -1,    -1,  3551,  3552,    -1,    -1,  3555,    -1,    -1,  3558,
    3559,    -1,    -1,  3562,  3563,  3564,  3565,    -1,    -1,    -1,
    3569,  3570,  3903,  3572,    -1,    -1,  3575,    -1,    -1,   168,
    3579,    -1,    -1,   172,  3583,    -1,    -1,    -1,    -1,    -1,
    3589,    -1,    -1,   113,    -1,    -1,  3595,    -1,    -1,    -1,
     120,  3600,   330,   123,   193,   194,  3605,    -1,    -1,   423,
     424,   425,  3611,   427,   428,   429,   430,   431,   432,    -1,
    3619,   210,    -1,    -1,  3623,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,  1704,    -1,    -1,  3637,    -1,
      -1,  3640,    -1,    -1,  1713,    28,    -1,   236,    -1,    -1,
     239,    -1,    -1,    36,    -1,    -1,    -1,   177,    -1,    42,
      -1,  3660,  3661,   252,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,  3684,  4017,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,  3736,    -1,    -1,
      -1,   330,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,
      -1,  3750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1829,    -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1177,  1178,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     300,   301,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,  1868,
      -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,  3808,
     193,   194,    -1,    -1,    -1,    -1,  4147,    -1,    -1,    -1,
    3819,    -1,    -1,    -1,    -1,  3824,    -1,   210,    -1,    -1,
      -1,    -1,  3831,  1240,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,  3844,  3845,    -1,   437,    -1,
      -1,    -1,  4183,   236,    -1,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,   252,
      -1,  3870,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,    -1,    -1,  4225,  4226,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3908,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3925,  3926,    -1,    -1,
    3929,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,    -1,
      -1,    -1,    -1,  3942,  3943,    -1,    -1,   330,  3947,    -1,
      -1,    -1,    -1,  3952,  2023,    -1,  3955,  3956,    -1,  3958,
      -1,  3960,  3961,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,  3985,  3986,  3987,  3988,
    3989,    36,    -1,    -1,    -1,    -1,    -1,    42,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    36,    -1,  4027,  4028,
      -1,    -1,    42,    18,    -1,  1442,    -1,    -1,    -1,    24,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
    1457,    -1,     8,    -1,   437,    11,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4069,  4070,    28,    -1,    -1,  4074,    -1,    -1,  4077,    64,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,  4088,
    1497,    -1,    -1,    -1,    -1,    -1,  4095,    -1,    -1,  2168,
    4099,   146,    -1,    -1,    -1,  1512,    -1,  1514,    -1,  1516,
      66,    -1,     8,  4112,  1521,    11,  4115,    -1,    -1,    -1,
      -1,    -1,    -1,   168,  4123,  4124,    -1,   172,   113,    -1,
      -1,    -1,    28,    -1,    -1,   120,    -1,    -1,   123,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,  4146,   193,   194,
    4149,    -1,  4151,    -1,    -1,    -1,    -1,  1564,   168,    -1,
      -1,  1568,   172,  1570,    -1,   210,  1573,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,  4174,    -1,    -1,    -1,  4178,
      -1,    -1,  4181,   193,   194,    -1,    -1,    -1,  4187,    -1,
      -1,   236,   177,    -1,   239,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,  4203,    -1,    -1,   252,  4207,    -1,
     255,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,   273,   239,
      -1,    -1,    -1,  4232,  4233,  4234,  4235,   193,   194,    -1,
      -1,    -1,   252,    -1,    -1,   255,    -1,    -1,  4247,   234,
      -1,   236,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,    -1,  4266,    -1,   254,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,   264,
     236,    -1,    -1,   239,    -1,   330,  4285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,   193,   194,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,   210,   300,   301,    -1,    -1,    -1,
     330,    -1,  4321,    -1,    -1,  4324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     236,   326,    -1,   239,    -1,  4344,    -1,  4346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,  4356,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,  2461,    -1,    -1,    -1,    -1,    -1,    -1,   384,
    4399,    -1,    -1,    -1,    -1,  4404,    -1,     8,    -1,    -1,
      11,    -1,    -1,   423,   424,   425,  4415,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,    -1,   437,  4427,  4428,
      -1,    -1,    -1,  4432,   330,    36,    -1,  4436,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4459,    -1,    -1,    -1,    -1,    66,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
    1897,  4490,    -1,    -1,  1901,  1902,    -1,    -1,  1905,    -1,
      -1,    -1,    -1,    -1,    -1,  4504,    -1,    -1,  1915,    -1,
      -1,    -1,  4511,    -1,    -1,  1922,    -1,    -1,    -1,  1926,
    1927,    -1,    -1,  1930,  1931,    -1,    -1,   423,   424,   425,
    1937,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   437,  1949,    -1,  1951,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1967,    -1,    -1,    -1,    -1,  1972,    -1,   168,    -1,    -1,
      -1,   172,    -1,  4572,    -1,    -1,    -1,    -1,  1985,    -1,
      -1,    -1,  4581,    -1,    -1,    -1,  1993,    -1,  1995,  1996,
    1997,  1998,   193,   194,    -1,  2002,  2003,    -1,    -1,    -1,
      -1,    -1,    -1,  2010,    -1,    -1,    -1,  2014,    -1,   210,
      -1,  2018,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2041,    28,    -1,    -1,   239,    32,
      -1,    -1,     0,    36,    -1,  2052,    -1,  2054,    -1,    42,
      -1,   252,    -1,  2060,    -1,    -1,    14,  2064,    -1,  2066,
    2067,  2068,  2069,    -1,  2071,    -1,    24,    -1,    26,    27,
      -1,    -1,    -1,    66,    -1,    -1,    -1,  2084,  2085,  2086,
      -1,     8,    -1,    41,    11,    -1,    -1,    -1,  2095,  2096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    61,    31,    63,    64,    -1,    -1,    36,
      -1,    69,    -1,    71,    -1,    42,    -1,    -1,   111,    -1,
      -1,    -1,    -1,    81,    -1,    83,    -1,    -1,    -1,   330,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    66,
      -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    28,  2159,    -1,    -1,    -1,   114,    -1,   116,    36,
      -1,    -1,   120,    -1,    -1,    42,  2835,  2836,   126,    -1,
      -1,    -1,    -1,    -1,    -1,   168,   134,    -1,   136,   172,
      -1,    -1,  2851,    -1,   142,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,   157,
     193,   194,    -1,    -1,    -1,    18,  2875,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
    2889,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,   236,    -1,   172,   239,    -1,    -1,    -1,
      -1,    64,    -1,    -1,   212,   213,    -1,    -1,    -1,   252,
     218,    -1,   255,    -1,    -1,    -1,   193,   194,    -1,   227,
     147,  2278,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,
     238,    -1,    -1,   210,    -1,    -1,  2955,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,  2306,
     113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,   236,
     123,    -1,   239,    -1,    -1,    -1,   193,   194,   276,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,     8,
     288,    -1,    11,   210,    -1,   293,   294,   330,   296,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    28,
      -1,   309,    -1,    -1,    -1,   313,    -1,    36,    -1,   236,
     318,   319,   239,    42,   177,    -1,    -1,    -1,   326,    -1,
      -1,   329,    -1,    -1,    -1,   252,    -1,    -1,   255,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,   381,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,   366,  3078,
    3079,  3080,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   234,    -1,   236,   382,    -1,    -1,    -1,    -1,   387,
     423,   424,   425,   246,   427,   428,   429,   430,   431,   432,
      -1,   254,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,
      -1,   439,    -1,    -1,   297,    -1,    -1,   300,   301,   168,
    2497,    -1,    -1,   172,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   210,   878,    -1,    -1,    -1,    -1,    -1,    -1,  2546,
    2547,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,  2563,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,   384,    -1,   252,    -1,    -1,   255,    -1,    -1,   188,
     189,  2588,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,
    2597,    -1,    -1,    -1,    -1,    -1,   275,   206,    -1,     8,
      -1,    -1,    11,    -1,    -1,  2612,  2613,    -1,    -1,    -1,
    2617,    -1,    -1,    -1,    -1,  2622,  2623,  2624,    -1,    28,
      -1,    -1,     8,    -1,    -1,    11,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    28,    11,    -1,  2652,  2653,  2654,  2655,    -1,
      36,   330,    -1,    -1,    -1,    -1,    42,    66,    -1,    21,
      28,    -1,    -1,    31,  1010,   344,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,  3347,  2686,
      66,  2688,  2689,  2690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2698,    54,    -1,    -1,    -1,    -1,  3366,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    67,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,  3393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   118,    -1,  2765,   168,
      -1,    -1,    -1,   172,    -1,    -1,  2773,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,   193,   194,   172,   149,    -1,    -1,
      -1,    -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,  1145,
     168,   210,    -1,    -1,   172,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2830,   210,   193,   194,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,   210,   252,    -1,    -1,   255,    -1,    -1,    -1,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,   221,
      -1,   270,  1208,    -1,    -1,  2872,   252,    -1,   236,  2876,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,   255,    -1,    -1,
     252,    -1,    -1,  3562,  3563,  3564,  3565,    -1,    -1,    -1,
      -1,  2908,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,  2922,  1262,    -1,    -1,   281,
       8,   330,   531,    11,    -1,  2932,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,   543,    -1,    36,    -1,   547,    -1,
      28,    -1,    42,    31,   330,    -1,   308,    -1,    36,   558,
     312,  1297,   314,    -1,    42,    -1,    -1,    -1,   320,    -1,
      -1,   323,   330,    -1,    -1,   574,    66,    -1,    -1,   578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,   588,
     589,    -1,    -1,    -1,    -1,   594,    -1,   349,    -1,   351,
      -1,    -1,    -1,   355,    -1,   604,    -1,    -1,    -1,    -1,
      -1,   363,    -1,   612,    -1,    -1,   368,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,  1374,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,  1393,    -1,    -1,
      -1,    -1,   152,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,  1413,   168,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,   687,    -1,
     168,    -1,    -1,   692,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1438,   193,   194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,   718,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,  1495,
      18,   239,   252,    -1,    -1,   255,    24,    -1,    -1,  3166,
      -1,  3168,    -1,    -1,   252,    -1,    -1,   255,  3175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    64,    -1,    11,  3206,
      -1,  3870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3216,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,  3231,    -1,    -1,    -1,    -1,    42,
     330,    -1,    -1,    -1,    -1,   844,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,   113,   855,    -1,    -1,    -1,
      -1,    -1,   120,    66,    -1,   123,    -1,  3264,  3265,  3266,
      -1,    -1,    -1,    -1,  3271,  3272,  3273,  3274,  3275,   878,
      -1,    -1,    -1,  3280,  3281,    -1,  3283,  3284,  3285,  3286,
    3287,  3288,  3289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3298,    -1,  3300,  3301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   915,    -1,    -1,   177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,   423,   424,   425,  1672,   427,   428,   429,
     430,   431,   432,    -1,    -1,   423,   424,   425,   947,   427,
     428,   429,   430,   431,   432,    36,    -1,  3354,  3355,  3356,
      -1,    42,  3359,   962,    -1,   168,    -1,   966,    -1,   172,
      -1,    -1,    -1,    -1,    -1,   974,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,   246,    -1,
     193,   194,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,    -1,    -1,   264,   210,    -1,    -1,
      -1,  1010,    -1,  1012,    -1,    -1,    -1,    -1,  4077,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    -1,  1028,
      -1,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,   297,
      -1,  1040,   300,   301,    -1,  3442,    -1,   128,    -1,   252,
      -1,    -1,   255,    -1,    -1,    -1,  4115,    -1,    -1,    -1,
      -1,    -1,  3459,  3460,  3461,    -1,    -1,    -1,   326,    -1,
    1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,  1097,  1098,
      -1,  1100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
    1119,    -1,    -1,    -1,    -1,    -1,   384,   330,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1142,    -1,  1881,    -1,    -1,  4207,  1885,
    1886,  1150,  1151,   356,    -1,    -1,    -1,    -1,   239,    -1,
    1159,  1160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1188,
      -1,    -1,    28,  1192,  1193,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,  1208,
      -1,    -1,    -1,    -1,    -1,  1214,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,  1991,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3669,  3670,  3671,  3672,    -1,    -1,  3675,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1297,  3696,
    3697,  3698,  3699,    -1,  3701,  3702,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,  3713,  3714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    28,    11,    -1,
      -1,  3728,   168,    -1,    -1,    36,   172,  3734,  3735,    -1,
    3737,    42,    -1,    -1,    -1,    -1,   427,   428,   429,   430,
     431,   432,    -1,    36,    -1,  1354,    -1,   193,   194,    42,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,  1374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,    -1,    -1,
     236,  2137,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1413,    -1,   252,    -1,    -1,   255,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,  3826,
      -1,    -1,    -1,    -1,  1433,    -1,    -1,    -1,  3835,  1438,
       8,    -1,    -1,    11,    -1,   128,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,  1453,    42,    -1,    -1,    -1,  3856,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,    36,    -1,
    1469,   172,    -1,    -1,    42,    -1,    -1,    -1,    -1,    66,
    2216,  3878,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
    1489,    -1,   193,   194,   330,    -1,  1495,    -1,    66,  1498,
      -1,  1500,  1501,    -1,    -1,    -1,    -1,    -1,    -1,   210,
     193,   194,  1511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1523,  1524,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,  1535,    -1,   239,    -1,
      -1,   128,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,
      -1,   252,    -1,    -1,   255,    -1,   239,    -1,    -1,    -1,
     128,  3958,    -1,    -1,  2300,    -1,    -1,    -1,  1567,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
     168,    -1,    -1,  1602,   172,  1604,   193,   194,    -1,    -1,
      -1,    -1,  1611,    -1,    -1,  1614,    -1,    -1,    -1,  1618,
      -1,    -1,  4019,   210,    -1,   193,   194,  1626,  1627,   330,
      -1,    -1,    -1,    -1,    -1,  1634,    -1,    -1,  1637,  1638,
    1639,  1640,   210,  4040,    -1,    -1,    -1,   330,  1647,  1648,
      -1,  1650,   239,  1652,  1653,    -1,    -1,  1656,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,   239,    -1,  1672,  1673,  1674,    -1,    -1,    -1,  1678,
      -1,    -1,    -1,  1682,   252,    -1,    -1,  1686,    -1,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,  1695,  1696,    -1,  1698,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  1706,  1707,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,    36,  4132,    -1,    -1,    -1,    -1,
      42,    -1,    -1,   330,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,
    2536,    -1,  2538,    -1,    -1,    -1,    -1,  2543,    -1,    -1,
      -1,    -1,    -1,    -1,  4211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4220,    -1,    -1,   128,    -1,    -1,    18,
      -1,    -1,    -1,    -1,  1833,    24,    -1,    -1,    -1,  4236,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,   427,
     428,   429,   430,   431,   432,    -1,   168,    -1,    -1,    -1,
     172,    -1,    -1,    18,    -1,    64,    -1,    -1,    -1,    24,
      -1,    -1,  1881,    -1,    -1,    -1,  1885,  1886,    -1,    -1,
      -1,   193,   194,    -1,    -1,    -1,  1895,  2633,    -1,    -1,
    1899,  1900,    -1,    -1,  1903,    -1,    -1,    -1,   210,    -1,
      -1,    -1,  4309,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    21,   113,    -1,  1925,    -1,    -1,  1928,
      -1,   120,    -1,  4330,   123,    -1,    -1,   239,    -1,    -1,
    1939,    -1,    -1,    -1,    -1,    -1,    -1,  1946,    18,    -1,
     252,    -1,    -1,    -1,    24,    -1,    -1,  4354,  2694,    -1,
    2696,    -1,    -1,    -1,    -1,    -1,    -1,  1966,   113,    67,
      -1,  4368,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,    -1,    80,    -1,  1983,  1984,    -1,    -1,   177,    -1,
      -1,    -1,  1991,    -1,    64,    -1,  4393,    -1,    -1,    97,
      -1,  4398,    -1,    -1,    -1,   103,    -1,    -1,    -1,  2008,
    2009,    -1,    -1,  2012,    -1,    -1,    -1,  2753,    -1,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,   129,   177,    -1,    -1,    -1,    -1,  2036,    -1,   137,
      -1,  2040,  2778,   113,    -1,   234,    -1,   236,    -1,    -1,
     120,   149,  4449,   123,    -1,    -1,   154,   246,    -1,    -1,
    2059,  2797,   160,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,  2070,    -1,    -1,    -1,   264,    -1,   175,    -1,  2815,
      -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,    -1,   234,
      -1,   236,    -1,  2092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,   200,    -1,    -1,    -1,    -1,   177,   297,   254,
      -1,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,    -1,   221,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,  2135,   326,  2137,    -1,
      -1,    -1,    -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,   252,   300,   301,    -1,    -1,  2158,
    2896,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,  2907,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   326,    -1,   281,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   264,   384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,   314,  2216,    -1,    -1,
    2219,    -1,   320,    -1,    -1,   323,    -1,   297,    -1,    -1,
     300,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     348,   349,    -1,   351,  2253,    -1,   326,   355,    -1,  2258,
    2996,    -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,
     368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,  3021,    -1,    -1,    -1,  2288,
      -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,
      -1,  2300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2311,    -1,   384,    -1,  2315,    -1,    -1,    -1,
      -1,  3057,  2321,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    -1,    -1,    -1,
    2339,  2340,    -1,    -1,    -1,    -1,  2345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      67,  2370,  2371,    -1,    -1,    -1,  2375,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,  2387,  2388,
    2389,  2390,    -1,    -1,    -1,    -1,  2395,    -1,    -1,    -1,
      97,  2400,  2401,    -1,  2403,    -1,  2405,  3143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2415,  2416,    -1,    -1,
    2419,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,   129,  2432,    -1,  2434,    -1,    24,    -1,  2438,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   149,   189,    -1,    -1,    -1,   154,  2457,   195,
      -1,    -1,    49,   160,    -1,    -1,    -1,    -1,  2467,    -1,
     206,  2470,  2471,  2472,    -1,    -1,    -1,    64,   175,    -1,
      -1,    -1,    -1,    -1,    -1,  2484,    -1,    -1,  2487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
    2499,    18,    -1,    -1,    -1,  2504,    -1,    24,    95,    -1,
      -1,  2510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2518,
      -1,    -1,    -1,    -1,   221,    -1,   113,    -1,    -1,    -1,
      -1,    -1,    49,   120,  2533,    -1,   123,  2536,    -1,  2538,
      -1,    -1,    -1,    -1,  2543,    -1,  2545,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,  2560,  2561,    -1,    -1,    -1,   263,  2566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,   174,  2587,    -1,
     177,  2590,    -1,    -1,  2593,    -1,   113,    -1,    -1,    -1,
      -1,    -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,
      -1,   308,    -1,    -1,    -1,   312,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   320,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2633,   222,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,
      -1,  3387,   349,    -1,   351,    -1,    -1,   174,   355,   246,
     177,    -1,  2661,  2662,  2663,    -1,   363,   254,    -1,    -1,
      -1,   368,    -1,    -1,    -1,    -1,   263,   264,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,  2685,    -1,    -1,  3425,
      -1,    -1,    -1,    -1,    -1,  2694,   393,  2696,  2697,    -1,
      -1,    -1,    -1,    -1,    -1,   222,    -1,   224,  2707,    -1,
     297,    -1,    -1,   300,   301,   302,    -1,   234,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,   263,   264,    -1,    -1,
     337,    -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2772,    -1,    -1,    -1,    -1,    -1,  2778,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,  2797,  3535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,    -1,   326,
    3546,   547,    -1,    -1,    -1,  2814,  2815,    -1,    -1,    -1,
     337,    -1,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2829,    -1,  2831,    -1,    -1,    -1,    -1,    -1,   574,    -1,
      -1,    -1,    -1,    -1,  2843,    -1,  2845,    -1,    -1,    -1,
      -1,    -1,    -1,   589,    -1,    -1,    -1,    -1,   594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
      -1,  2880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2895,  2896,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3658,    -1,  2923,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,  2937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3686,    -1,    -1,    -1,    -1,  2954,   692,    -1,  2957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3705,
      -1,    -1,    -1,    -1,  2973,    -1,    -1,  2976,    -1,    -1,
      -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,    -1,
    2989,    -1,  2991,    -1,    -1,    -1,    -1,  2996,  2997,    -1,
      -1,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,
    3009,    -1,    -1,    -1,  3013,  3014,    -1,    -1,    -1,  3755,
      -1,    -1,  3021,    -1,    -1,    -1,    -1,  3026,    -1,    -1,
      -1,  3030,    -1,  3032,    -1,  3034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,  3047,    -1,
    3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,  3058,
    3059,  3060,    -1,    -1,    -1,  3064,    -1,    -1,  3067,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3081,    -1,  3083,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3095,    -1,    -1,    -1,
      -1,    -1,  3101,  3102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,
      -1,    -1,  3131,    -1,    -1,    -1,    -1,    -1,  3137,    -1,
      -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3159,    -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     189,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,   947,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   962,    -1,    -1,  3228,
      -1,    -1,    -1,    -1,  3233,  3234,  3235,    -1,   974,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1012,    -1,    -1,    -1,
    3279,  4017,    -1,  3282,    -1,    -1,    -1,    -1,    -1,  1025,
      -1,    -1,  1028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3383,  3384,    -1,    -1,  3387,    -1,
    4126,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1142,    -1,    -1,    -1,
      -1,  4147,    -1,    -1,  1150,  1151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1160,    -1,  3425,  3426,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1214,    -1,
      -1,    -1,    -1,    -1,    -1,  4221,  3485,    -1,    -1,  4225,
    4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3532,  3533,    -1,  3535,    -1,    -1,    -1,
      -1,  3540,  3541,    -1,    -1,    -1,  3545,  3546,    -1,    -1,
      -1,    -1,  3551,  3552,   543,    -1,  3555,    -1,   547,  3558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3579,    -1,    -1,    -1,  3583,   574,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3595,    -1,    -1,    -1,
     589,  3600,    -1,    -1,    -1,   594,  3605,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   604,    -1,    -1,  1354,    -1,
      -1,    -1,    -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1208,    -1,    -1,    -1,  3658,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3674,    -1,    -1,  3677,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3686,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1433,    -1,    -1,
     687,  3700,    -1,   692,    -1,    -1,  3705,    -1,    -1,  1262,
      -1,    -1,    -1,  3712,   878,    -1,    -1,  1453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3727,    -1,
      -1,   718,    -1,  1469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3755,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1500,  1501,    -1,    -1,    -1,    -1,
      -1,  3770,    -1,    -1,    -1,  1511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1523,  1524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3819,  1374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1393,    -1,    -1,    -1,    -1,    -1,  1010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1438,    -1,    -1,  3887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,  3903,    -1,    -1,    -1,    -1,  3908,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3925,  3926,    -1,    -1,
    3929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,    -1,
      -1,    -1,  1495,  3942,    -1,    -1,    -1,    -1,  3947,    -1,
      -1,    -1,    -1,  3952,    -1,    -1,  3955,    -1,   947,    -1,
      -1,  3960,  3961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   962,    -1,    -1,    -1,    -1,    -1,    -1,
    3979,    -1,  3981,    -1,    -1,   974,  3985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,  4017,  4018,
      -1,    -1,    -1,  1012,    -1,    -1,    -1,    -1,  4027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    -1,  1028,
      -1,    -1,    -1,    -1,  1208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1040,    -1,    -1,    -1,    -1,    -1,    -1,
    4059,    -1,  4061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4074,    -1,    -1,    -1,    -1,
      -1,    -1,  1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1097,  1098,    -1,  1100,    -1,    -1,    -1,    -1,    -1,  1672,
      -1,    -1,    -1,    -1,    -1,  4124,    -1,  4126,    -1,    -1,
      -1,    -1,  1119,  1297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,  4147,    -1,
    4149,    -1,  4151,  1142,    -1,    -1,    -1,    -1,    -1,  1895,
      -1,  1150,  1151,  1899,  1900,    -1,    -1,  1903,    -1,    -1,
      -1,  1160,  1159,    -1,    -1,  4174,    -1,    -1,    -1,  4178,
      -1,    -1,    -1,    -1,  4183,    -1,    -1,    -1,    -1,  1925,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1188,    -1,    -1,    -1,  1192,  1193,    -1,    -1,    -1,
    1374,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,
      -1,    -1,  4221,    -1,    -1,  1214,  4225,  4226,    -1,  1393,
    1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,  1984,  1413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4266,    -1,    -1,
     878,    -1,  2008,  2009,  1438,    -1,  2012,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2036,    -1,    -1,    -1,  2040,    -1,  4305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4321,  2059,    -1,  4324,    -1,    -1,  1881,    -1,
      -1,  1495,  1885,  1886,  2070,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2083,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2092,  4356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1010,    -1,    -1,  4404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4415,    -1,    -1,    -1,
      -1,    -1,  2158,    -1,    -1,    -1,    -1,    -1,  4427,  4428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1991,  4438,
      -1,    -1,    -1,    -1,  1433,    -1,    -1,    -1,    -1,    -1,
      -1,  4450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1453,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1469,    -1,    -1,  2219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4504,    -1,    -1,  1672,    -1,
      -1,  1500,  1501,    -1,    -1,    -1,    -1,  2253,    -1,    -1,
      -1,    -1,  1511,    -1,    -1,    -1,    -1,    -1,  4527,    -1,
      -1,    -1,    -1,    -1,  1523,  1524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1535,    -1,    -1,    -1,
      -1,    -1,  2288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4572,    -1,  2311,    -1,    -1,  4577,    -1,
      -1,    -1,  4581,    -1,  2137,    -1,  4585,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1634,    -1,    -1,
    1637,    -1,    -1,  1640,  1262,    -1,    -1,    -1,    -1,  2395,
    1647,  1648,    -1,  2216,    -1,  2401,  1653,    -1,    -1,  1656,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1674,  1673,    -1,    -1,  1297,
      -1,  1678,    -1,    -1,    -1,  1682,    -1,    -1,    -1,  1686,
      -1,  1688,  1689,  1690,  1691,  1692,  1693,  1694,  1695,  1696,
      -1,  1698,    -1,    -1,    -1,    -1,    -1,  1881,    -1,  1706,
    1707,  1885,  1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2300,  2484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1374,    -1,    -1,    -1,
      -1,   878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1413,    -1,    -1,    -1,  2545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2560,  2561,    -1,  1991,    -1,    -1,
    1438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,
      -1,  2587,    -1,    -1,  2590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1010,    -1,    -1,  1895,    -1,    -1,    -1,
    1899,  1900,    -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2661,  2662,  2663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1925,    -1,    -1,    -1,
      -1,  1928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2707,    -1,  2137,    -1,    -1,    -1,  1966,    -1,    -1,
    2533,    -1,    -1,  2536,    -1,  2538,    -1,    -1,    -1,    -1,
    2543,    -1,    -1,    -1,  1983,  1984,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,
    2009,    -1,    -1,  2012,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2772,    -1,    -1,    -1,
    2593,    -1,    -1,    -1,    -1,    -1,    -1,  2036,    -1,    -1,
      -1,  2040,  2216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,    -1,
    2059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2814,    -1,
    2633,  2070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2829,  2083,  2831,    -1,    -1,    -1,    -1,
      -1,  1208,    -1,  2092,    -1,    -1,    -1,  2843,    -1,  2845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2300,    -1,    -1,    -1,
      -1,  2694,    -1,  2696,    -1,    -1,    -1,    -1,  2135,    -1,
      -1,    -1,    -1,    -1,    -1,  1262,    -1,    -1,    -1,  2895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2923,    -1,    -1,
    1297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,
      -1,  2957,    -1,    -1,    -1,  2778,    -1,    -1,    -1,    -1,
    2219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2815,    -1,  2253,    -1,    -1,  1374,    -1,    -1,
      -1,  2258,    -1,  1881,    -1,    -1,    -1,  1885,  1886,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3032,    -1,    -1,  2288,
      -1,    -1,    -1,    -1,    -1,    -1,  1413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2311,    -1,    -1,    -1,    -1,  2880,    -1,    -1,
      -1,  1438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2340,  2907,    -1,    -1,    -1,  2345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2533,
      -1,    -1,  2536,    -1,  2538,    -1,    -1,    -1,    -1,  2543,
      -1,    -1,    -1,  1991,    -1,    -1,    -1,    -1,  1495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2387,    -1,  2389,  2390,    -1,    -1,  2395,    -1,    -1,    -1,
      -1,    -1,  2401,  2400,    -1,    -1,  2403,    -1,  2405,    -1,
      -1,    -1,    -1,  2976,    -1,    -1,    -1,    -1,    -1,  2593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2996,    -1,  2432,    -1,  2434,    -1,    -1,
      -1,  2438,    -1,    -1,  3190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,  2633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2470,  2471,  2472,    -1,    -1,    -1,    -1,
      -1,    -1,  3228,    -1,    -1,  2484,    -1,  3233,    -1,  3235,
    2487,    -1,    -1,    -1,  3057,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2499,    -1,    -1,    -1,    -1,  2504,    -1,    -1,
      -1,    -1,    -1,  2510,    -1,    -1,    -1,    -1,    -1,  2137,
    2694,    -1,  2696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3279,    -1,    -1,  3282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,
      -1,  2560,  2561,    -1,    -1,    -1,    -1,  1113,    -1,  2566,
    3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,
    3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2587,    -1,
      -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,  2216,    -1,
      -1,    -1,    -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2797,    -1,    -1,    -1,  1173,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3383,  3384,    -1,
      -1,  2815,    -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2661,  2662,  2663,    -1,    -1,    -1,    -1,    -1,
      -1,  3234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2300,    -1,    -1,    -1,  2685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2880,    -1,  2707,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3467,  2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1881,    -1,    -1,    -1,  1885,  1886,
      -1,    -1,    -1,  2772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2814,    -1,    -1,    -1,    -1,
      -1,    -1,  2996,    -1,  3387,    -1,    -1,    -1,    -1,    -1,
    2829,    -1,  2831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2843,    -1,  2845,  3021,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1991,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,  2536,    -1,
    2538,    -1,    -1,    -1,  2923,  2543,    -1,    -1,  3674,    -1,
      -1,  3677,    -1,    -1,    -1,    -1,    -1,    -1,  2937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3700,  2954,    -1,    -1,  2957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,  3143,
      -1,    -1,  3535,    -1,    -1,  2593,  2973,    -1,    -1,    -1,
      -1,  3727,  1208,  3546,    -1,  1531,  2983,    -1,    -1,    -1,
      -1,    -1,  2989,    -1,  2991,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2633,  3013,  3014,    -1,    -1,
    2137,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3032,    -1,    -1,  1262,  3034,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,
    3047,    -1,  3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3234,  3058,    -1,  1609,    -1,    -1,    -1,  3064,    -1,    -1,
    3067,  1297,    -1,    -1,    -1,    -1,  2694,    -1,  2696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1633,    -1,    -1,
      -1,    -1,  1638,    -1,    -1,  3658,    -1,    -1,  3095,  2216,
      -1,    -1,    -1,    -1,  3101,  3102,    -1,    -1,    -1,    -1,
      -1,    -1,  1658,  1659,    -1,  1661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3686,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,    -1,    -1,  3131,  2753,    -1,    -1,    -1,    -1,
    3137,  3887,  3705,    -1,    -1,    -1,    -1,    -1,  1374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,
    2778,    -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2797,
      -1,    -1,    -1,  2300,    -1,    -1,    -1,  1413,    -1,    -1,
      -1,  3190,  3755,  1739,    -1,    -1,    -1,  2815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1438,  3387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,
      -1,    -1,    -1,  3979,  3233,  3981,  3235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,    -1,  1495,
      -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,  2896,    -1,
    3279,    -1,    -1,  3282,    -1,    -1,    -1,    -1,    -1,  2907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1843,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,
      -1,    -1,  1858,  4059,    -1,  4061,    -1,  3316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,
      -1,  3535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,  2996,    -1,
      -1,    -1,    -1,    -1,  3383,  3384,    -1,    -1,    -1,    -1,
      -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,  2536,
      -1,  2538,    -1,    -1,    -1,    -1,  2543,    -1,    -1,  3426,
    3427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,
      -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4017,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,  4215,
      -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3658,    -1,    -1,    -1,  3485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3686,    -1,    -1,    -1,  2633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,
      -1,  3705,    -1,    -1,    -1,  3532,  3533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3545,    -1,
      -1,    -1,    -1,    -1,  3551,  3552,    -1,    -1,  3555,    -1,
      -1,  3558,    -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2694,    -1,  2696,
      -1,  3755,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3595,    -1,
      -1,    -1,    -1,  3600,    -1,    -1,    -1,    -1,  3605,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,
    4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4378,    -1,    -1,    -1,  2753,    -1,    -1,    -1,
      -1,    -1,    -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1881,    -1,    -1,  4221,  1885,
    1886,  2778,  4225,  4226,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3674,    -1,    -1,  3677,    -1,
    2797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4438,    -1,    -1,    -1,    -1,    -1,  2815,    -1,
      -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3727,  3903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2880,    -1,  1991,    -1,    -1,    -1,  3387,
      -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,
      -1,  4527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2907,    -1,    -1,    -1,    -1,    -1,    -1,  2343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3425,    -1,    -1,
      -1,  3808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2366,    -1,  2368,    -1,  2370,  2371,  2372,    -1,    -1,  2375,
      -1,  4577,    -1,  2379,    -1,    -1,    -1,    -1,    -1,  4585,
    2386,    -1,    -1,  4017,    -1,  2391,    -1,    -1,    -1,    -1,
      -1,  2397,    -1,    -1,    -1,    -1,  2402,    -1,    -1,  2976,
      -1,    -1,    -1,    -1,    -1,  2411,    -1,    -1,    -1,  2415,
    2416,    -1,  2418,    -1,    -1,    -1,    -1,    -1,    -1,  2996,
      -1,    -1,    -1,    -1,  2430,    -1,    -1,    -1,  3887,    -1,
      -1,  2437,    -1,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,    -1,  3021,    -1,    -1,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,    -1,    -1,    -1,  3535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
    2476,    -1,  3929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,
    3979,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4018,
      -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,
    3658,    -1,    -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,
      -1,  4225,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4059,    -1,  4061,    -1,    -1,    -1,    -1,    -1,  3686,    -1,
      -1,    -1,    -1,    -1,  2300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3755,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,  4285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2533,  3425,    -1,
    2536,    -1,  2538,    -1,    -1,    -1,    -1,  2543,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,
    2926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4017,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2972,    -1,    -1,  3546,
    4427,  4428,  2978,    -1,    -1,    -1,    -1,    -1,    -1,  4438,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2994,  2995,
      -1,  2997,    -1,    -1,  3000,  3001,  3002,  3003,  3004,  3005,
    3006,  3007,  3008,  3009,  3010,    -1,    -1,    -1,  2694,    -1,
    2696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,
      -1,    -1,  3038,  4490,  3040,    -1,    -1,    -1,    -1,  3045,
    3046,    -1,    -1,    -1,    -1,    -1,    -1,  4504,  4126,    -1,
      -1,    -1,    -1,  3059,  3060,  3061,    -1,  3063,    -1,    -1,
    3066,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  4527,  4147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3109,    -1,  4183,    -1,    -1,    -1,  3686,
      -1,  2797,    -1,    -1,  3120,  4572,    -1,    -1,  4577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4585,    -1,  3705,  2815,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4221,    -1,    -1,    -1,  4225,  4226,    -1,
    3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3755,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3021,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3486,    -1,    -1,    -1,  3490,  3491,  3492,    -1,    -1,  3495,
      -1,    -1,    -1,    -1,  3500,  3501,  3502,  3503,  3504,  3505,
    3506,  3507,  3508,  3509,  3510,  3511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3539,  3540,  3541,  3542,    -1,  3544,    -1,
      -1,    -1,  3548,  3549,  3550,    -1,    -1,  3553,  3234,  4126,
    3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3597,    -1,    -1,    -1,    -1,    -1,    -1,  3604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,    -1,
    3616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,  4225,  4226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3864,  3865,
    3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3895,
      -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,    -1,  3915,
      -1,    -1,    -1,    -1,  3920,  3921,  3922,    -1,    -1,  3925,
    3926,  3927,  3928,    -1,  3930,    -1,    -1,  3933,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3658,    -1,    -1,    -1,    -1,  3983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3705,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3755,
      -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4145,
    4146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4161,  4162,  4163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4126,    -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,  4221,    -1,    -1,    30,  4225,
    4226,    33,    34,  4549,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,   429,    -1,    -1,
      -1,    -1,    -1,    -1,   436,   437,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,     3,    -1,    -1,    -1,    -1,    -1,    -1,   436,
     437,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,    -1,
     237,   238,   239,   240,    -1,    -1,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,   418,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,   239,   240,    -1,
      -1,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
      -1,   363,    -1,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,   416,   417,   418,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,   437,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,   434,   435,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,   429,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,     3,     4,     5,     6,     7,   436,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,    -1,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,    -1,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,   251,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,   251,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,   427,   428,   429,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,     3,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   429,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
     239,   240,    -1,    -1,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
     429,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,   239,   240,    -1,
      -1,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
      -1,   363,    -1,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,   416,   417,   418,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,   429,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,   429,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,   427,   428,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,   427,   428,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,
     427,   428,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,   152,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    -1,    68,
      69,    70,    71,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,   251,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,   251,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,    -1,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,    -1,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,    -1,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    -1,    -1,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
      -1,    -1,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,    -1,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,    -1,    -1,    -1,
      -1,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,    -1,    -1,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,    -1,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   485,   486,   489,   490,
     491,   503,   506,   507,   523,   560,   563,   566,   567,   568,
     575,   581,   583,   585,   586,   589,   592,   593,   597,   598,
     607,   611,   612,   613,   614,   615,   617,   618,   619,   632,
     633,   637,   639,   640,   641,   651,   653,   660,   661,   664,
     665,   666,   667,   668,   673,   675,   678,   682,   686,   687,
     697,   698,   701,   706,   717,   739,   742,   743,   744,   747,
     750,   752,   754,   757,   758,   761,   762,   763,   770,   771,
     773,   774,   775,   780,   782,   783,   787,   788,   791,   792,
     793,   794,   796,   797,   798,   799,   801,   804,   805,   810,
     816,   819,   821,   822,   827,   829,   833,   840,   844,   845,
     846,   847,   848,   849,   852,   880,   361,   403,   776,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   582,   776,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   841,   997,
    1010,  1014,  1015,   391,   806,   250,   277,   776,    44,   514,
     845,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   524,
     565,   656,   707,   718,    22,   276,   997,   841,    22,   271,
     321,   352,   354,     5,   199,   748,   749,  1006,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   582,   669,   776,   997,
      83,   391,   436,   560,   563,   566,   805,   811,   819,   822,
     827,   833,   840,   844,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   683,   684,
     841,  1005,  1009,    22,    83,   292,   319,   688,   689,   690,
    1010,  1010,  1002,  1006,   349,   855,   683,  1010,   361,   997,
     263,   221,    97,   175,   348,   349,   755,   313,  1010,    22,
     324,   357,   361,   472,   481,   482,  1010,    19,   157,   688,
     689,   277,   776,  1010,   198,    22,   115,   857,    55,    77,
     214,   229,   308,   314,   324,   357,   361,   406,   469,   470,
     471,   472,    22,   324,   357,   361,   472,   361,   251,   891,
     995,  1010,   855,   429,  1010,   153,   436,   807,   436,   990,
     290,   850,   851,   997,   845,   846,   849,     0,   439,   806,
     130,   189,   256,   373,   858,   859,   845,   847,   848,   108,
     185,   379,   440,     3,    38,    44,    67,    73,    84,    90,
     151,   153,   168,   181,   193,   194,   196,   208,   210,   231,
     239,   259,   261,   307,   330,   391,  1003,  1010,  1011,  1014,
    1016,   671,  1010,   671,   998,  1010,   280,   671,   363,   671,
     997,  1010,    96,   349,   696,  1003,     3,  1007,  1012,  1014,
    1015,  1016,    22,   167,   995,   245,   393,     8,    62,   141,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   746,
     957,   958,  1010,    22,  1007,   997,   997,   167,   995,   997,
     301,   326,    22,   167,   891,   997,   316,   997,   671,   219,
    1007,   167,   995,   199,   105,   195,   236,   286,   777,   778,
     779,   995,  1001,  1010,    21,    54,    67,    68,    76,    80,
      97,   118,   129,   137,   149,   154,   175,   200,   221,   252,
     308,   312,   314,   320,   323,   349,   351,   355,   363,   368,
     393,   582,   676,  1006,   995,   359,  1003,   997,   436,   671,
     363,   998,   671,   363,   167,   997,    96,   349,   352,   354,
    1007,   352,   354,    62,   141,   746,   299,  1007,   167,   465,
    1010,   997,   997,   316,   997,   671,   219,  1007,   290,   320,
     349,   393,   221,    80,   175,   154,   312,   367,   576,    22,
     997,   842,   479,  1006,  1012,   749,   167,  1003,   997,   167,
     753,   167,   998,   363,    96,   349,   167,  1003,   167,  1007,
    1008,    73,   393,    62,   141,   167,   746,    48,   167,  1008,
     167,   997,   167,   997,   167,   997,   316,   167,   997,   167,
     219,  1008,   199,   167,   670,   671,   436,   820,   524,   811,
     387,   805,   812,   813,   814,  1012,   806,  1009,   684,   685,
      22,   685,  1009,   685,    22,   685,  1009,   685,   685,   685,
    1009,  1005,  1005,   841,   685,   280,   436,   436,   543,   543,
     543,   250,   359,   440,   543,   891,   892,   440,   772,  1006,
     436,   817,    48,   393,   997,   997,   995,  1010,    38,   418,
     195,   438,   253,   253,   250,   152,  1006,   359,   147,   679,
     250,     4,     6,     7,     8,    10,    30,    43,    45,    46,
      53,    54,    57,    58,    65,    67,    87,    88,    89,    90,
      91,    92,    93,   100,   101,   119,   135,   139,   140,   145,
     159,   187,   188,   190,   207,   215,   216,   230,   232,   236,
     241,   242,   244,   252,   262,   272,   287,   310,   325,   332,
     345,   357,   358,   362,   364,   365,   374,   380,   388,   408,
     409,   410,   411,   412,   413,   414,   415,   427,   428,   429,
     436,   845,   907,   910,   913,   914,   915,   917,   918,   919,
     920,   923,   924,   928,   930,   931,   932,   934,   955,   959,
     978,   983,   991,   992,   993,  1003,  1004,  1005,  1006,  1010,
    1006,    22,   487,   994,   995,   324,   469,   103,   478,  1006,
     479,  1006,    38,    59,   469,   418,   333,   778,   253,   152,
     359,   423,    38,   418,   195,   779,   436,   995,   429,   434,
     438,   984,   985,   892,   151,   153,   391,   802,   803,   805,
     151,   808,   103,   928,   988,   989,   850,   440,   436,   809,
     437,   437,   445,   995,    22,   115,   856,   856,    48,   856,
     142,   147,   211,   248,   862,   864,   865,   874,   876,   877,
     878,   858,   859,   152,   191,   891,   893,   990,   436,   730,
     985,   264,   297,   326,   438,   672,   264,   297,   326,   264,
     297,   326,   400,   447,   480,   483,   702,    18,   120,   264,
     297,   326,   384,   494,   997,   326,    18,   120,   379,   462,
     404,   167,   891,    50,    82,   138,   170,   206,   236,   264,
     297,   305,   311,   318,   326,   335,   343,   395,   480,   484,
     733,   740,   436,   719,   297,   462,   172,   135,    18,    24,
      64,   113,   120,   123,   177,   234,   236,   246,   254,   264,
     297,   300,   301,   326,   384,   492,   493,   601,     4,   428,
     573,  1009,    22,   167,   995,   671,   671,   436,   745,   438,
     172,   454,   297,   447,   454,   250,   264,   297,   135,    49,
      95,   174,   222,   224,   234,   263,   297,   302,   326,   337,
     492,   569,   570,   571,   264,   297,   392,   601,   609,   482,
     470,   472,   172,   135,   297,   326,   492,   264,   297,   301,
     326,    74,   112,   265,   353,   250,    18,    24,   120,   264,
     297,   326,   504,   505,   147,   297,   326,   447,   483,   135,
     297,   326,   492,   997,   209,   105,   251,   405,   440,   777,
     381,   800,   250,  1003,   436,   997,   363,    96,   349,  1003,
     245,   393,    62,   141,   746,   997,   316,   997,   199,   671,
     543,   283,   509,   436,   646,   730,    60,     3,    43,    45,
      46,    57,    58,   100,   101,   145,   187,   188,   190,   230,
     232,   244,   287,   327,   332,   357,   358,   388,   904,   906,
     908,   910,   912,   914,   915,   916,   918,   919,   923,   924,
    1011,  1014,   152,   436,   642,   997,   447,    31,   795,   997,
     236,   447,   404,   167,   995,   447,   671,   671,   642,   377,
     524,   447,   236,    38,   466,   368,   608,   264,   584,    74,
     112,   265,   353,    20,    40,   186,   620,    31,   642,   147,
     447,   393,   995,   167,   561,   995,   995,   393,   671,    73,
     708,  1003,   997,   582,    44,    94,   184,   234,   315,   135,
     730,    51,   303,   495,   135,   436,   135,   404,   135,   719,
     135,   440,   167,   670,   167,   671,   167,   671,   135,   745,
    1008,   135,   135,   250,   135,   495,   135,    74,   112,   265,
     353,   135,   250,   135,   147,   167,   167,   479,   135,   440,
     495,   928,   962,   349,   437,   440,   140,   250,   365,   476,
     479,   573,   815,   811,   685,   841,   685,   841,   685,   841,
     685,   841,   685,   841,   841,   841,   685,   841,   436,   544,
     545,  1010,   544,    22,    97,   118,   149,   154,   199,   200,
     314,   320,   349,   351,   368,   691,   994,  1008,   690,   172,
     440,   830,  1006,   904,   965,    31,  1008,   708,   148,   756,
     756,   756,   209,  1010,   147,   147,   691,  1008,   313,  1010,
     479,   250,   436,   986,   434,   845,   966,   390,   921,   928,
     982,   436,   921,   921,   436,   147,   436,   436,   436,   909,
     909,   274,   845,   436,   436,   911,   436,   436,   436,   436,
      57,    58,   921,   928,   436,   909,   436,   436,   436,   436,
     436,   402,   422,   436,   925,   436,   925,   436,   436,   845,
     436,   436,   436,   436,   436,   436,   436,   436,   928,   928,
     845,   928,   962,   985,  1006,    58,   436,   922,   436,  1006,
       3,     8,    11,    28,    31,    36,    42,    66,   168,   172,
     193,   194,   210,   236,   239,   252,   255,   330,   423,   424,
     425,   427,   428,   429,   430,   431,   432,   957,   959,   961,
     401,   943,   261,   928,   191,   853,   440,   436,  1006,   985,
     106,   169,   488,   440,    59,   103,   479,    31,     3,   103,
     214,   477,   573,   924,  1006,  1006,    78,   117,   940,    86,
     103,   473,   474,   476,   573,   103,   473,   209,   995,   928,
       3,    22,    26,    27,    28,    29,    30,    31,    32,    35,
      47,    53,    54,    60,    66,    68,    76,    83,    87,    88,
      89,    91,    92,    93,   103,   105,   111,   115,   116,   122,
     126,   130,   140,   142,   147,   149,   152,   157,   160,   162,
     172,   179,   189,   191,   202,   205,   211,   215,   216,   236,
     241,   248,   250,   251,   255,   256,   270,   278,   292,   304,
     319,   325,   334,   346,   349,   356,   359,   360,   365,   373,
     374,   380,   381,   389,   396,   397,   399,   400,   429,  1000,
    1013,  1014,  1015,  1016,  1017,   984,    79,   302,   674,   437,
     440,   806,   437,   440,   851,   996,   997,    31,   809,   847,
     847,   860,   861,   928,   847,   144,   233,   871,   197,   234,
     286,   328,   379,    22,   866,   928,   867,   869,   928,   930,
     874,   875,   865,   864,   862,   863,   147,   877,   246,   879,
     862,   874,   893,   995,    31,  1010,   326,   172,   182,   256,
     258,   327,   389,   429,   723,   724,   725,   727,   729,   731,
     904,  1011,   264,   297,   326,   359,   359,   314,  1000,   438,
     359,   359,   314,   359,   359,   351,   469,   789,   147,   157,
     172,   306,   703,   704,    60,    76,   131,   149,   278,   374,
     540,   541,    76,   103,   236,   359,    76,   359,   103,   236,
     314,    76,   113,   123,   264,   297,   638,   314,   590,    21,
      54,    67,    80,   118,   129,   149,   154,   221,   252,   314,
     320,   323,   349,   355,   368,   393,   582,   997,   135,   297,
     326,   492,   250,   573,   318,   206,   359,   359,   241,   573,
     107,   192,   314,   324,   361,   471,   303,   326,   733,   741,
     437,   720,   723,   359,   380,   351,   995,    68,   131,   531,
     540,  1010,    68,    76,   759,   250,   312,   363,    76,   759,
      25,   300,   312,   363,   995,   177,   246,   671,   436,   359,
     359,   166,   436,   499,   351,   400,   402,   499,    76,   440,
       4,   264,   172,   135,   297,   326,   492,   381,   381,   235,
     904,   264,   326,   746,    97,   483,   359,   449,   483,   995,
     359,   359,   995,   573,    48,   572,   573,   573,    95,   222,
     224,    48,   359,   447,   314,   447,   381,   234,   571,   359,
     359,   241,  1006,   601,   351,   891,    76,   359,   759,   314,
     359,   359,   499,   499,   671,   671,   671,   671,   995,    37,
     386,    37,    37,   359,    37,   359,   314,   440,    93,   380,
     616,  1007,   359,   449,   995,   359,   314,   264,   297,   286,
     298,   322,   475,   777,  1001,  1010,   995,   730,   904,   250,
     404,   719,   573,   671,   671,   745,   193,   250,    74,   112,
     265,   353,   250,   671,   193,   400,   515,   340,   341,   510,
    1006,     3,   647,   648,   642,   436,   906,    31,    30,   905,
      98,   165,   223,   226,   317,   416,   436,   926,   927,   672,
     909,   671,   643,   644,  1013,    20,   784,   904,   250,   135,
     587,   997,   236,   436,   448,   656,   381,   290,   393,   448,
     135,  1007,    83,   157,   467,   523,   567,   619,   686,   706,
     780,  1006,   609,   610,   997,   217,   671,   671,   671,   671,
     246,   108,   185,   366,   379,   621,   622,   127,   285,   436,
     616,   448,   995,   569,   570,   236,    31,   246,   436,   543,
     543,   564,   995,   147,   709,  1001,   436,   721,    31,   199,
     400,   402,   843,   315,  1003,   495,   904,   998,   167,   997,
    1003,   495,  1008,  1007,   135,   495,   135,   381,   135,   381,
     746,   495,   495,  1008,   997,   671,   997,   997,   997,   671,
    1008,   616,   135,   135,   495,   670,   671,   437,   440,   995,
     811,   813,   841,   841,   841,   841,   841,   841,   544,   437,
     440,   437,   155,   321,   350,   996,   670,    96,   323,   695,
     696,   996,   245,   996,   994,   994,   996,   670,   359,   400,
     699,    16,   133,   310,   328,   831,   891,   240,   832,   437,
     440,   818,   822,   827,   833,   844,   359,   995,   689,   688,
     689,   152,   158,   700,  1010,    21,    68,    97,   118,   129,
     149,   154,   200,   221,   308,   314,   320,   349,   351,   368,
     393,   582,   680,   962,   984,   435,   962,   966,   967,   436,
     396,   979,   980,   928,   962,   436,  1005,  1005,   962,     3,
      98,   165,   223,   226,   317,   416,   968,   969,  1006,  1005,
     962,   962,  1005,  1005,   921,   921,   928,   746,   928,   970,
     427,   428,   929,   930,   955,   959,   972,   437,   962,   928,
     962,   973,   357,   418,  1005,  1005,   928,    47,   152,   205,
     360,   928,   962,   976,   962,   228,   930,   928,   938,   939,
     940,   228,   928,   940,   437,   440,   326,  1005,  1005,   926,
     904,   928,  1013,   357,    35,   346,   987,   671,   928,   436,
     845,   977,   115,   117,   140,   236,   241,   246,   365,   375,
     928,    42,   168,   172,   210,   330,   436,   928,   359,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,    22,
      29,   334,   956,   160,   143,   944,   310,   436,   955,   156,
     214,   349,   352,   354,   377,   854,   995,   152,   881,   993,
      22,   115,   389,   429,   437,   725,   928,   963,   964,  1011,
     995,   361,   436,  1006,   440,   437,   435,   441,   166,   166,
     495,   995,   803,   804,   995,   988,   437,   440,   436,   440,
      32,   111,   381,   715,   436,   868,  1009,   328,   197,   251,
     440,   310,   311,   870,   994,   832,   875,   863,   381,   828,
     103,   436,   823,   844,  1010,   436,   834,   835,   836,   837,
     838,  1010,   258,    48,  1011,   437,   725,   727,   724,   727,
    1011,   256,   437,   440,   672,   359,   359,   314,  1007,   997,
     997,  1000,  1007,   997,   997,  1007,   998,   997,    75,   790,
     308,   380,   688,   314,   157,   688,   436,   997,   381,   710,
     197,   197,   381,   436,   559,   167,   997,   241,  1007,   997,
     997,   928,   241,   997,   997,    25,   300,   359,   359,   997,
     359,   591,  1003,   436,   671,   671,   671,   363,    96,   349,
     696,   393,    62,   141,   746,   997,   671,   997,   671,   316,
     671,   671,   199,   161,   234,   264,   297,   385,   594,   595,
     596,   891,   359,   759,   314,   241,   107,   192,  1007,   997,
     250,   997,   437,   440,  1007,  1008,   997,   297,   492,   531,
     904,   997,  1010,   997,   997,    22,   380,   997,   167,   997,
     167,  1010,   312,   363,   312,   363,   997,    22,   380,   997,
     995,    18,   120,   326,   602,   603,   604,   605,  1013,  1007,
     997,   103,   153,   237,   381,   498,   501,   502,  1013,   997,
     249,    64,   249,   997,   493,   359,   351,   995,   359,   759,
     314,   999,  1010,   999,   440,   437,   440,   359,   314,   998,
    1007,     3,    75,   125,   177,   269,   372,   380,   383,   450,
     297,  1007,   997,   297,   326,   492,   569,   570,   573,   671,
     997,   573,   997,   573,   999,  1007,   997,   997,   297,   326,
     492,   997,   997,   997,   997,  1007,   997,    18,    24,   120,
     264,   297,   326,   264,   297,   326,   642,   297,   326,   297,
     326,   297,   903,  1010,   167,   652,  1010,   167,  1010,  1007,
     997,   997,   997,    18,   505,   323,  1007,   297,   326,   492,
     997,   997,   359,   359,    72,   371,   286,   193,    31,   671,
     193,   193,   381,   381,   193,   241,   677,  1006,   671,   671,
     193,   677,   249,   152,   359,   508,   447,   423,   437,   440,
     928,    30,   905,   904,   434,   434,   359,   359,   359,   436,
     359,  1005,   909,   437,   440,   423,   621,    75,   124,   203,
     204,   217,   264,   351,   353,   785,   533,  1013,   997,   152,
     314,   392,   588,   595,   596,   135,   210,   525,   527,   529,
     531,   537,   540,    19,   172,   308,   347,   450,   451,   147,
     999,   393,   995,   465,  1010,   466,   255,   524,   149,  1006,
     642,   642,   642,   642,   246,   250,   255,   436,   642,   901,
     902,   903,   323,   436,   381,   135,   134,   844,   671,   525,
    1010,   400,   402,   555,   400,   500,    31,   543,  1006,   250,
     437,   722,   723,   728,    31,   199,   305,   399,   732,   733,
     734,   250,   479,   164,   164,   147,   730,    31,   135,   495,
     719,   670,   671,   999,   671,   999,   745,   250,   495,   495,
     250,   495,   323,   147,   479,   495,   928,   437,   545,   172,
     172,   172,   404,   996,   440,   573,   574,   160,   692,   693,
    1007,    19,   700,   133,   328,   133,   328,   310,   379,   225,
     904,   997,   400,   562,   152,   250,   692,    48,   495,  1003,
     363,   349,  1003,   245,   393,   199,   671,   437,   435,   435,
     440,   962,   928,   122,   980,   981,    31,   437,   928,   437,
     437,   437,   437,   152,   437,   437,   437,   437,   437,   440,
     437,   270,   971,   437,   929,   929,    11,   172,   193,   252,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   959,
     929,   437,   437,   147,   152,   974,   975,   437,   418,   437,
     437,    31,   976,   962,   976,   976,   152,   437,   437,  1013,
     268,   942,    31,   437,   440,   928,  1013,   440,   928,   986,
     928,  1010,   437,   437,   418,   929,   929,   128,   962,   152,
     115,   117,   140,   241,   246,   365,   375,   436,   128,   346,
     987,   928,   977,   928,   359,   746,   928,   436,   845,   436,
     436,   260,   948,   352,   354,   352,   354,   995,   855,   855,
     855,   202,   311,   436,   845,   882,   883,   884,   891,   894,
     931,   933,   934,  1003,  1010,   397,   899,   963,   963,   964,
     437,    13,   440,   858,   859,   778,  1005,   926,   474,   928,
     809,   997,   818,   861,   252,   957,   960,   419,   420,   716,
     928,   870,   379,   867,   882,   397,   900,   387,   824,   825,
    1010,   304,   826,   838,   839,   440,   881,   423,   986,   731,
     672,   727,   727,    48,   729,   431,  1007,   997,   997,   211,
    1008,  1008,   250,   996,   253,   250,   928,   541,   999,   436,
     436,   436,   559,   175,   544,   630,   135,   495,   359,  1007,
     997,   479,   730,   904,   997,   404,   671,   671,   671,   671,
     745,    74,   112,   265,   353,   997,   577,   997,   161,   385,
     359,   359,   577,   594,   601,   297,   326,   492,   997,   997,
     997,   183,   241,   723,   263,   326,   359,   254,   599,   630,
     120,   301,   326,   494,   601,   760,   135,   495,   135,   495,
     997,   997,   997,   997,   604,   605,   604,   437,   440,   606,
    1006,   175,   437,   440,   423,   438,  1007,   997,   297,   326,
     492,   997,   997,   997,   264,   297,   326,    18,   120,   264,
     297,   326,   904,   235,   904,  1007,   997,   211,   269,   241,
    1006,   269,  1008,   378,   359,   359,   314,   381,   400,   263,
     326,   359,   759,   314,   359,   359,   219,   219,   219,   359,
     359,   314,   359,   359,   314,   359,   314,   359,   314,   359,
     495,   904,   236,  1006,   326,   760,   135,   495,   359,   997,
     359,   314,  1007,   997,   677,   904,   193,   677,   677,   999,
     999,   677,   193,   193,   677,   509,   436,   511,   512,   252,
     427,   428,   573,   645,   727,   960,  1006,  1017,     3,   648,
     437,   434,   437,  1005,   435,  1005,   165,   223,   927,   223,
     927,   927,  1005,   226,   437,   644,   645,   250,   211,   423,
     786,   786,   786,   786,   786,   786,   786,    60,    66,    76,
     103,   105,   179,   236,   241,   278,   292,   374,   534,   535,
     536,   134,   396,   447,   479,   997,   479,   599,   995,   995,
     437,   440,  1008,   160,   308,  1008,  1005,   368,   995,   543,
      38,   466,   299,   349,    96,   500,   544,   995,   622,   649,
     650,  1006,   437,   440,   997,   544,   999,   995,   997,   562,
     436,   526,   437,   249,   499,   249,   250,   556,   499,    31,
     844,   500,   359,   995,   437,   440,   103,   423,   735,  1006,
     479,   349,   726,   727,   400,   734,   736,   108,   185,   319,
     379,   768,   161,   844,   495,   904,   997,   495,   495,   381,
     495,   381,   495,   495,   671,   671,   997,   616,   495,   314,
     314,   314,   996,   696,   440,  1007,   400,   440,   694,   253,
     133,   133,    96,   234,  1008,   691,   495,  1007,   730,   719,
     573,   671,   193,   966,   437,   356,   928,   126,   904,   437,
     928,   928,   928,   974,   904,   929,   115,   117,   236,   246,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     928,   928,   975,   974,   925,   925,   904,   437,   437,   437,
     962,   437,   440,    48,   930,   437,  1013,   939,   275,   344,
     941,   437,   440,   392,   935,    31,   437,   922,  1006,   928,
      28,    28,   928,   437,   928,   152,   436,   965,   928,   929,
     929,   128,   128,   928,   437,   128,   928,   859,   397,   436,
     949,  1010,   855,   855,   855,   855,   995,   995,   995,   845,
     894,   152,   845,   883,   884,    31,   885,   886,  1010,   440,
      84,   153,   181,   196,   208,   231,   307,   888,   886,    31,
     885,   887,  1010,   421,   898,   436,   985,   928,   160,   872,
     440,   858,   858,   858,   928,   389,   964,   437,   437,   435,
     437,   436,   716,   437,   251,    86,   928,   826,   437,   440,
     986,   992,   437,   440,   835,   900,   988,   437,   431,   731,
     368,   786,   155,   321,   350,   369,   705,   147,   705,   437,
     436,   547,   548,   712,   933,  1010,   544,   544,   630,  1001,
     437,   105,   179,   234,   236,   631,   997,   997,    31,   997,
     381,   381,   671,   671,   671,   671,   672,  1007,   997,   359,
     759,   314,   359,   183,    48,   351,   997,   436,   533,   236,
     499,    96,   236,   339,   342,   499,   368,   997,  1010,   603,
     997,   502,   645,  1013,   263,   326,   359,   759,   314,   359,
     359,   359,   314,   154,   252,   342,   654,   655,   154,   252,
     662,   663,   359,   359,   314,   437,   437,   437,  1009,  1006,
    1006,  1006,   997,   997,   997,   999,   499,    48,   351,   997,
     997,   997,   997,   997,   147,   147,   299,   147,   167,  1007,
     997,   997,  1007,   997,   997,   997,   997,   997,   997,   997,
      66,   496,   135,    20,    40,   368,  1010,   997,   601,   997,
     997,   437,   677,   193,   193,   677,   677,   510,   518,   519,
    1013,    44,    85,   109,   124,   128,   148,   151,   163,   241,
     249,   284,   513,   630,  1005,   400,   402,   435,   435,   437,
     926,   995,   786,   103,  1005,  1006,   103,  1006,   103,  1006,
     103,  1006,   103,   997,   103,   997,   103,   997,   436,   671,
     997,   929,   106,   169,   105,   241,   197,   995,   736,   282,
     634,   635,  1010,   587,   436,   538,   323,   529,  1008,  1008,
     904,   436,   500,  1007,   995,   404,   147,   623,   437,   440,
     903,   599,   437,   400,   246,   436,   820,   528,   530,   532,
     540,  1010,   555,   178,   554,    71,   351,   557,   844,   562,
     557,  1006,   710,   728,   928,   928,   440,   436,   732,   642,
     359,   577,   437,   495,   999,   999,   495,   495,   323,   996,
     996,   996,   573,   157,   693,    96,   700,   152,   193,   193,
     193,   193,   241,   681,  1006,   928,   437,   437,   975,   152,
     115,   117,   246,   436,   437,   407,   937,   962,   291,    48,
     398,   398,   437,   928,   234,   928,   440,   936,   906,   926,
     929,   929,   928,   965,   437,    28,    28,   928,   928,   128,
     928,   437,   437,   928,   950,  1010,   995,   995,   995,   995,
     886,   887,   436,   437,  1010,   436,   883,   196,   259,   889,
     883,   889,   196,   888,   889,   196,   436,  1010,   436,   963,
      48,   162,   873,   437,   437,   437,   964,  1006,  1006,   746,
     246,   844,   825,   423,   838,   826,   368,   437,  1009,   359,
     688,   152,   630,   928,   437,   440,   400,    66,   713,   713,
     437,   437,   736,   106,   169,   177,   105,   383,   495,   904,
     999,   999,   997,   997,   997,   997,  1008,   997,   600,   604,
     241,   241,  1009,  1010,   904,   495,   495,   423,    48,   351,
     997,   997,   997,   997,  1007,   997,   997,  1005,  1005,   904,
     440,  1005,  1005,   440,  1007,   997,   997,   400,  1008,   997,
     359,   996,   996,   671,   996,   135,   671,  1006,  1006,   904,
     495,   495,   193,   677,   677,   381,   516,   517,   437,   440,
     429,   436,   476,   520,   573,   795,  1006,   795,   236,   241,
     284,   795,   795,   435,   154,   182,   154,   152,   629,  1009,
     928,   236,   535,   736,   543,   381,   558,  1003,    28,   134,
     172,   525,   132,   173,   997,   381,   544,    31,   466,   436,
     997,   121,   624,   396,   626,  1006,   500,   499,   671,   525,
     562,   437,   440,   400,   556,   436,   555,   108,   120,   275,
     997,   400,   781,   152,   436,  1006,   725,   737,   738,  1011,
     736,   995,   180,   578,   495,   495,   495,   997,   253,   495,
     692,   681,   681,   681,   681,   929,   152,   436,   965,   436,
     437,   440,   437,   930,   291,   437,   386,   336,   437,   437,
     437,   929,   929,   928,   437,   267,   951,   895,   896,   933,
     885,   436,   996,   883,   250,   381,   890,   883,   196,   883,
     902,   436,   902,  1010,   858,   962,   928,   399,   945,   858,
     926,   437,   841,   990,   692,   250,   692,   437,   736,   548,
     252,   746,   671,   381,   671,   714,   714,   292,   736,   558,
     437,   359,   326,   832,   437,   440,   496,   645,  1008,   997,
     359,   436,  1003,   746,   655,   436,   436,   663,   499,   326,
     832,   997,   400,   299,   400,   400,   147,   496,   677,   447,
     110,   519,   476,   521,   522,  1006,  1006,   241,   544,   429,
     544,  1006,  1006,   696,    31,   751,   751,   995,   630,   437,
     558,   220,   546,   175,   436,   635,   282,   436,   437,    22,
      70,    77,   104,   176,   342,   539,   539,   599,   999,   437,
     844,   599,   310,   338,   625,   436,   134,    31,   526,   437,
     530,   254,   557,   994,   556,   311,   311,    52,    60,   214,
     671,   711,   712,   727,   437,   440,   899,   577,   234,   385,
     579,   580,   495,   929,   965,   437,   938,   962,    48,   234,
     417,    48,   858,   437,   440,    31,   897,   996,   437,   928,
     436,   883,   890,   437,   902,   437,   437,   946,   947,  1010,
     437,   694,   705,   495,   713,   558,   436,   671,   715,   715,
     995,   558,   630,   997,   351,   604,   381,   497,   326,   832,
     997,   965,   719,   147,   658,   745,   965,   965,   351,   670,
     671,   670,   671,   996,   495,   511,  1006,   437,   440,   544,
     751,    34,   171,   147,   234,   542,   153,   266,   331,   250,
     550,   551,   552,   351,   437,  1003,     5,   636,   323,   141,
     657,   500,   781,   928,   282,   844,   555,   554,   533,   437,
     557,    60,   253,    60,   437,   440,   732,   737,   116,   385,
     577,   437,   437,   437,   291,   386,   962,   285,   311,   952,
     898,   895,   436,   437,   996,   437,   440,    31,   152,   714,
     397,   549,   746,   716,   716,   543,   630,   997,   928,   351,
     437,   256,   316,   289,   659,   658,   437,   437,   997,   400,
     522,   121,   177,   108,   379,   250,   552,   250,   551,   997,
     436,   437,   440,   997,   671,    31,    31,   437,  1003,   781,
     556,   555,   253,   253,   500,   712,   736,    23,   186,   769,
      42,    86,   370,   928,   953,   954,   953,   437,   902,   437,
     947,   949,   692,   715,   436,   630,   437,   546,   832,   997,
    1003,    48,   659,   832,   671,   310,    51,   234,   303,   326,
     553,   553,   437,     5,   599,   654,   844,   436,   557,   556,
     557,   237,   436,   764,   766,   771,   822,   827,   833,   844,
     954,   310,   146,   273,   146,   273,   437,   495,   716,   928,
     550,   832,   719,   671,   626,    17,   103,   241,   781,     4,
     627,   628,  1005,  1006,  1013,   557,   899,   765,   766,   767,
     845,   846,    28,   437,   630,   134,   437,   440,   437,   439,
     954,   282,   628,   767,  1003,   436,   627,   437
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   458,   458,   459,   459,   460,   461,   462,   462,
     463,   463,   464,   464,   464,   464,   465,   465,   466,   466,
     467,   467,   467,   467,   467,   467,   468,   468,   468,   469,
     469,   469,   470,   470,   470,   470,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   472,   472,   473,
     473,   474,   474,   475,   475,   475,   475,   476,   476,   476,
     476,   477,   477,   477,   477,   477,   477,   477,   478,   478,
     478,   479,   479,   480,   481,   481,   481,   481,   482,   482,
     483,   483,   484,   484,   485,   485,   485,   485,   485,   486,
     487,   487,   488,   488,   489,   490,   490,   490,   490,   490,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   492,   492,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   494,   494,   495,   495,   495,   496,   496,   497,
     497,   498,   498,   498,   498,   499,   500,   500,   501,   501,
     502,   502,   502,   502,   503,   504,   504,   505,   505,   505,
     505,   506,   506,   507,   507,   508,   508,   509,   509,   510,
     510,   510,   511,   511,   512,   512,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     514,   514,   515,   515,   516,   516,   517,   517,   518,   518,
     519,   520,   520,   520,   520,   520,   521,   521,   522,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   524,
     524,   525,   525,   526,   526,   527,   527,   528,   528,   529,
     529,   529,   530,   530,   531,   532,   533,   533,   534,   534,
     534,   534,   535,   535,   535,   535,   535,   535,   535,   536,
     536,   536,   536,   537,   538,   538,   538,   539,   539,   539,
     539,   539,   539,   540,   540,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   545,   546,
     546,   546,   546,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   553,   553,   553,   553,
     553,   554,   554,   555,   555,   555,   555,   556,   556,   556,
     556,   557,   557,   558,   558,   559,   560,   561,   562,   562,
     562,   563,   564,   565,   565,   566,   567,   567,   567,   568,
     568,   568,   568,   568,   568,   569,   569,   570,   570,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   572,   572,   573,   573,   573,   574,   574,   575,   575,
     576,   576,   577,   577,   578,   578,   579,   579,   580,   580,
     581,   581,   582,   582,   583,   584,   584,   585,   585,   586,
     586,   587,   587,   588,   588,   588,   589,   590,   590,   591,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   593,   594,   594,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   599,   600,
     600,   601,   602,   602,   603,   603,   603,   603,   604,   605,
     606,   607,   608,   608,   609,   609,   610,   610,   611,   611,
     612,   612,   612,   613,   613,   614,   614,   615,   616,   616,
     616,   617,   617,   618,   619,   619,   620,   620,   620,   621,
     621,   622,   622,   622,   622,   622,   623,   623,   624,   624,
     625,   625,   626,   626,   627,   627,   627,   628,   628,   628,
     628,   629,   629,   630,   630,   631,   631,   631,   631,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   636,   636,
     637,   638,   638,   638,   638,   639,   640,   641,   641,   641,
     641,   641,   641,   641,   641,   641,   641,   641,   641,   641,
     641,   642,   643,   643,   644,   644,   645,   645,   645,   645,
     645,   646,   647,   647,   648,   649,   649,   650,   650,   651,
     651,   651,   652,   652,   653,   654,   654,   655,   655,   655,
     655,   655,   656,   656,   657,   657,   658,   658,   658,   659,
     659,   660,   661,   661,   662,   662,   663,   663,   664,   664,
     665,   665,   666,   667,   668,   668,   668,   668,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   674,   674,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   677,   677,   678,   678,   678,   678,   678,   679,   679,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   681,   681,   682,   682,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   684,   684,   685,   685,   686,   687,   687,
     688,   688,   688,   688,   688,   689,   689,   690,   690,   690,
     690,   691,   691,   691,   691,   691,   691,   691,   691,   691,
     691,   691,   691,   691,   691,   691,   691,   692,   692,   693,
     693,   694,   694,   695,   695,   696,   697,   698,   698,   699,
     699,   700,   700,   701,   702,   702,   703,   703,   703,   704,
     704,   704,   705,   705,   705,   705,   706,   707,   707,   708,
     708,   709,   709,   710,   710,   711,   711,   712,   712,   712,
     713,   713,   714,   714,   714,   715,   715,   715,   716,   716,
     716,   717,   717,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   722,   722,   723,   723,   723,   723,   723,   724,
     724,   724,   724,   724,   725,   726,   727,   727,   727,   728,
     728,   728,   729,   730,   730,   730,   730,   731,   731,   732,
     732,   733,   733,   733,   733,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   734,   734,   734,   734,
     735,   735,   736,   736,   737,   738,   738,   739,   740,   740,
     741,   741,   742,   742,   743,   743,   744,   744,   745,   745,
     745,   745,   746,   746,   747,   748,   748,   749,   749,   750,
     750,   750,   751,   751,   751,   752,   753,   753,   754,   754,
     754,   755,   755,   756,   756,   757,   757,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   759,   759,   760,   760,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   763,
     764,   764,   764,   765,   765,   766,   766,   766,   766,   766,
     767,   767,   768,   768,   768,   768,   769,   769,   769,   770,
     770,   771,   772,   772,   773,   774,   774,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   776,   776,   776,   777,   777,   777,   777,   777,   778,
     778,   778,   779,   779,   780,   780,   780,   780,   781,   781,
     781,   781,   782,   783,   784,   784,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   786,   786,   787,   787,   788,   789,   789,   790,
     791,   791,   792,   792,   793,   794,   794,   794,   794,   794,
     794,   794,   795,   795,   796,   797,   797,   797,   797,   797,
     797,   798,   799,   799,   799,   800,   800,   801,   801,   801,
     801,   801,   802,   802,   803,   803,   803,   803,   804,   804,
     805,   805,   806,   806,   807,   807,   808,   808,   809,   809,
     810,   810,   810,   810,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   812,   812,   813,   814,   814,   815,   815,
     815,   816,   817,   817,   818,   818,   818,   818,   819,   819,
     820,   820,   821,   821,   821,   821,   822,   823,   823,   823,
     824,   824,   825,   826,   826,   827,   828,   828,   829,   830,
     830,   831,   831,   831,   831,   831,   831,   831,   831,   832,
     832,   833,   834,   834,   835,   835,   836,   837,   838,   839,
     839,   840,   841,   842,   842,   842,   842,   842,   843,   843,
     843,   844,   844,   845,   845,   846,   846,   846,   846,   846,
     846,   846,   846,   847,   847,   848,   848,   848,   848,   848,
     848,   849,   849,   850,   850,   851,   852,   852,   853,   853,
     854,   854,   854,   854,   854,   854,   854,   854,   854,   855,
     855,   856,   856,   856,   857,   857,   857,   857,   858,   858,
     859,   860,   860,   861,   861,   862,   862,   862,   862,   863,
     863,   864,   864,   864,   865,   865,   866,   866,   867,   868,
     868,   868,   869,   870,   870,   871,   871,   872,   872,   873,
     873,   874,   874,   875,   875,   876,   876,   877,   878,   878,
     878,   878,   879,   879,   880,   880,   881,   881,   882,   882,
     883,   883,   883,   883,   883,   883,   883,   884,   884,   884,
     884,   884,   884,   885,   885,   885,   885,   886,   886,   887,
     887,   887,   887,   887,   888,   888,   888,   888,   889,   889,
     890,   890,   891,   891,   891,   891,   892,   892,   893,   893,
     893,   894,   894,   895,   896,   896,   897,   897,   898,   898,
     899,   899,   900,   900,   900,   901,   901,   902,   902,   903,
     904,   904,   904,   904,   904,   904,   905,   905,   905,   906,
     906,   906,   906,   906,   906,   906,   907,   907,   907,   907,
     908,   908,   909,   909,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   911,   911,   912,   912,   913,
     913,   914,   915,   916,   916,   917,   917,   918,   919,   920,
     920,   920,   920,   920,   920,   921,   921,   922,   922,   923,
     923,   923,   923,   924,   925,   925,   925,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   927,   927,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   931,   931,   931,
     931,   931,   931,   932,   932,   933,   933,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   935,
     935,   936,   936,   936,   936,   937,   938,   938,   939,   939,
     940,   940,   941,   941,   941,   942,   942,   942,   942,   943,
     943,   944,   944,   945,   945,   946,   946,   947,   948,   948,
     948,   949,   950,   950,   951,   951,   952,   952,   952,   953,
     953,   954,   954,   954,   954,   954,   955,   955,   955,   956,
     956,   956,   957,   957,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   959,   959,   960,   960,   961,   961,   961,
     961,   961,   961,   962,   962,   963,   963,   964,   964,   965,
     965,   966,   966,   966,   967,   967,   968,   968,   969,   969,
     969,   969,   969,   969,   969,   969,   970,   970,   971,   972,
     972,   973,   973,   973,   973,   973,   973,   974,   975,   976,
     976,   976,   977,   977,   978,   979,   979,   980,   981,   981,
     982,   982,   983,   983,   984,   984,   984,   984,   985,   985,
     986,   986,   987,   987,   988,   988,   989,   989,   990,   991,
     991,   992,   992,   993,   993,   993,   993,   994,   994,   995,
     995,   996,   996,   997,   998,   999,  1000,  1001,  1002,  1003,
    1003,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1005,  1006,  1007,  1008,  1008,  1009,
    1009,  1009,  1010,  1010,  1010,  1011,  1011,  1011,  1012,  1012,
    1012,  1012,  1013,  1013,  1013,  1013,  1013,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     1,     2,     3,     2,     1,     1,
       2,     1,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       4,     6,    10,    13,     4,     6,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     1,     3,     2,     3,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     8,
       4,     2,     4,     3,     6,     4,     3,     3,     3,     3,
       3,     4,     4,     3,     3,     3,     3,     3,     3,     4,
       4,     3,     2,     3,     2,     2,     3,     3,     2,     2,
       3,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     7,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     3,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    11,
      14,    10,    13,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     4,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     5,     2,     5,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     7,     5,     2,     3,
       0,     8,     4,     1,     0,     6,     5,     7,     9,     4,
       6,     8,     6,     8,    10,     1,     0,     1,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     1,
       3,     1,     0,     1,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       5,     7,     1,     0,     7,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     5,     2,     0,     2,
       7,    10,     6,     6,     6,     6,     7,     7,     9,     9,
       6,     7,     6,     8,     8,     8,     8,     6,     6,     7,
       7,     8,     6,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     6,     8,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,     2,     0,     2,     2,     1,     0,     4,     6,
       5,     4,     4,    10,    13,     5,     7,     8,     1,     1,
       1,     7,     9,     8,    15,    20,     1,     1,     2,     1,
       3,     1,     1,     1,     3,     1,     3,     0,     1,     0,
       1,     1,     4,     0,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,     6,     8,    11,    13,     1,     3,     5,     1,     3,
       5,     1,     2,     2,     1,     8,     4,     5,     4,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     6,     4,
       5,     3,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     3,     0,    13,     1,     3,     5,     6,     4,
       7,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     5,     7,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     1,     3,     1,     2,     2,
       3,     5,     2,     2,     0,     6,     7,     7,     7,     8,
       8,     6,     8,     9,     9,     7,    10,     7,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     1,     3,     2,     3,     3,     3,
       3,     1,     1,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     2,     1,     2,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     4,     4,
       3,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     3,     3,     5,     6,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,     9,    11,
       8,     8,     7,     6,     6,     6,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,     7,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     2,     0,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     4,
       3,     3,     1,     0,     5,     6,     4,     2,     0,     4,
       3,     5,     4,     4,     6,     4,     6,     6,     5,     7,
       9,     6,     1,     0,     6,    11,    11,    11,    13,     9,
      11,    10,     4,     2,     5,     2,     0,     4,     5,     5,
       4,     6,     1,     3,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     3,     0,     1,     1,     1,     1,     3,     9,
       3,     0,     2,     3,     2,     3,     6,     1,     4,     2,
       1,     3,     2,     2,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     1,     2,     4,     4,
       4,     2,     3,     1,     3,     6,     1,     0,     2,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     2,     6,     2,     1,     3,     4,     0,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     3,     5,     6,     8,
       6,     6,     4,     4,     1,     1,     1,     5,     1,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     4,     4,     6,     5,
       5,     5,     4,     6,     4,     4,     4,     4,     5,     7,
       7,     9,     5,     4,     6,     5,     7,     7,     7,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     4,     4,     6,     5,
       0,     5,     0,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     2,     2,     0,     1,
       4,     2,     2,     2,     2,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 692 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 20255 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 699 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 20266 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 706 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 20277 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 832 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20283 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 843 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20295 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 853 "gram.y" /* yacc.c:1646  */
    {}
#line 20301 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 854 "gram.y" /* yacc.c:1646  */
    {}
#line 20307 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20313 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20319 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20325 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20331 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20340 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 20348 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20357 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20366 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 20374 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20382 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 20390 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20398 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 910 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 20453 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 963 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 20459 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20467 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 20475 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20483 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20491 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20499 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 996 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20511 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1014 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20523 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1024 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20529 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1025 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20535 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1030 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20547 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1038 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20559 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1056 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20571 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1068 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].str);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20583 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1089 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20594 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1096 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20605 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1115 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20616 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1122 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20627 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1139 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20639 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1157 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 20652 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 20658 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1168 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 20664 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1181 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20675 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1188 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20686 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1205 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20703 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1218 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20717 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1228 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20739 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1246 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20758 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20764 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1264 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20770 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1269 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 20780 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20786 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1303 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20796 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1309 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 20806 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1315 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20816 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1324 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20828 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1332 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20840 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1344 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20852 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20864 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20875 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1367 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20886 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1375 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 20892 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1377 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20903 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1385 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20918 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1396 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 20930 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1404 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20942 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1412 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20957 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1423 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20969 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1431 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20981 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1439 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 20992 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1446 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21004 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1455 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21016 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1464 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21022 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 21028 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21034 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1470 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21040 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 21046 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1476 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21052 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1479 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 21058 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 21064 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 21070 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1482 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 21076 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1486 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 21082 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 21088 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 21094 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21100 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21108 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21116 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1515 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21135 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1530 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21162 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21168 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21174 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1554 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21180 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1558 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21186 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1559 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21192 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21198 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1564 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21204 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1565 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21210 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 21216 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21222 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1575 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 21233 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1582 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 21244 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1589 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21255 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1599 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 21266 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1606 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 21276 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1615 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21282 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1616 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21288 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1621 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21294 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1622 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21300 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1628 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21310 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1634 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21320 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1640 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21330 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1646 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21340 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1652 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 21350 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1662 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 21361 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21367 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21373 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1676 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21379 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1677 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21385 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1686 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 21394 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1701 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21404 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1707 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21414 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1713 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21424 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1719 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 21434 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1725 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 21444 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1744 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21457 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1753 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21470 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1762 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21485 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1773 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21500 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1784 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21513 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1793 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21526 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1802 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21541 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1813 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21556 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1824 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21569 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1833 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21582 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1842 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21595 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1851 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21608 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1860 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21621 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1869 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21634 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1878 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21649 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1889 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21664 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21670 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1903 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21676 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1909 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21687 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21698 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1925 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21710 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1934 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21721 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1942 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21732 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 21744 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21756 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21768 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 21780 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1986 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21793 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1996 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21806 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2009 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 21824 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2024 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21836 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2033 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21847 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 21865 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2056 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21876 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2064 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21889 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21902 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 21912 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2091 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 21922 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21933 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2106 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21944 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21955 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2122 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21966 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2130 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21977 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21987 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2145 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21997 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2152 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22008 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2160 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22018 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2167 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22028 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2174 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22039 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22050 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2190 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22061 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2198 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22072 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2206 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22083 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22094 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 22107 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 22117 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2239 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22128 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2247 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22139 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22150 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22161 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2271 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22172 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2278 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22183 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2287 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22189 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2288 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22195 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2292 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 22201 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2293 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 22207 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2294 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 22213 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2299 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22225 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22231 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22237 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22243 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2316 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22254 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2323 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22265 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2330 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22276 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2337 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 22287 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22293 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22299 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22305 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22311 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 22317 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 22325 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 22333 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 22342 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 22350 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2389 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 22364 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22370 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22376 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2408 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 22388 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2417 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22401 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2427 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22414 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22433 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2463 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22443 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22453 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2500 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 22485 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2528 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 22508 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2549 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22514 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2550 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22520 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2554 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22526 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2555 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22532 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2564 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22538 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2565 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22544 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22550 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2569 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22556 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2570 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22562 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22568 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22574 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22582 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22590 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 22598 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22606 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 22614 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 22622 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 22630 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 22638 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 22646 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 22654 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 22662 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 22670 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 22678 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 22686 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22694 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2645 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22700 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22708 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2653 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22714 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22722 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2661 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22728 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2665 "gram.y" /* yacc.c:1646  */
    {}
#line 22734 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2666 "gram.y" /* yacc.c:1646  */
    {}
#line 22740 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 22748 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 22756 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 22764 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2689 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22770 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2690 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 22776 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2691 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 22782 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2692 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 22788 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2693 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22794 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22802 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22810 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22816 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2722 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22834 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2738 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22852 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2753 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22871 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2769 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22890 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2796 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22896 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2797 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22902 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2798 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22908 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2799 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22914 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22925 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2808 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22936 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2814 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 22942 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2815 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 22948 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22954 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22960 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22966 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22972 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22980 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22988 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2841 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22996 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23004 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2851 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23010 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23016 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23022 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23028 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23034 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2862 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23057 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2883 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23079 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2903 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 23085 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2904 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23091 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2909 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23103 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23109 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2917 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23115 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2919 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 23132 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23143 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2957 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23154 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2964 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23169 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23184 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2986 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23198 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2996 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23211 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3005 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3038 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23241 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3045 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23252 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3052 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23263 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3059 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23274 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3070 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 23285 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3079 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 23291 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 23297 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 23303 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3085 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 23309 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3086 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 23315 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 23321 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3088 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 23327 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3089 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 23333 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3090 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 23339 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3100 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23351 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3107 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23357 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3112 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23374 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3126 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23392 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3140 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23410 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3155 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23428 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3169 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23446 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3185 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23466 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3202 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23488 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3221 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 23494 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3222 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 23500 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23506 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23512 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23518 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3232 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23524 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 23532 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3242 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 23540 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3246 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 23552 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3254 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23560 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3258 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23568 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 23574 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 23580 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3270 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 23588 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3275 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 23596 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3281 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 23602 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3282 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23608 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23614 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3295 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23620 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3297 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23626 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3299 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 23632 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3301 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23638 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3304 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23644 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3307 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23650 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3311 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 23656 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3312 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 23662 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3313 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 23668 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3314 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 23674 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3315 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 23680 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23686 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23692 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23698 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 23704 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 23710 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23716 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3330 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 23722 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3331 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 23728 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3332 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 23734 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3333 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 23740 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3336 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23746 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3337 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23752 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3340 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23758 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23764 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23770 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3360 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23786 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3375 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23801 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3388 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23807 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3389 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23813 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3390 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23819 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3403 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23835 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23850 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3430 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23856 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3431 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23862 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3444 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 23874 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3464 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = DEFAULT_SEQAM;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23889 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3476 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-3].range)->relpersistence = (yyvsp[-5].ival);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23904 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3488 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-5].range)->relpersistence = (yyvsp[-7].ival);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23919 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3502 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23933 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3513 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23947 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3524 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23961 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3534 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 23975 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3545 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 23989 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3556 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24003 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24009 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24015 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24021 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24027 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 24035 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 24043 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 24051 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 24059 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 24067 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 24075 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 24083 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 24091 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 24099 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 24107 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 24115 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 24123 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3625 "gram.y" /* yacc.c:1646  */
    {}
#line 24129 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3626 "gram.y" /* yacc.c:1646  */
    {}
#line 24135 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3630 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24141 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 24150 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3636 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 24156 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24162 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24168 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3653 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 24184 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3666 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 24199 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3679 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24205 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3680 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24211 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24217 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 24223 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24229 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24235 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24241 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24247 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24253 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24259 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3709 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24274 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3720 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24288 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3732 "gram.y" /* yacc.c:1646  */
    {}
#line 24294 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3733 "gram.y" /* yacc.c:1646  */
    {}
#line 24300 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3744 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].str);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24313 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3754 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24319 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3755 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24325 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3769 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24336 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3776 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24347 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3793 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24359 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3801 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24371 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24377 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24383 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3819 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 24391 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24399 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24407 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3839 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24418 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24424 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24430 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3856 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24438 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3869 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 24452 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3879 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 24466 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3889 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24479 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3898 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24492 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3907 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24505 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 24519 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3926 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24532 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3935 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24546 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3945 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24560 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3955 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24574 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3965 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3974 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24600 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3983 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24613 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3992 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24626 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24639 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4010 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24652 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4019 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24665 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4028 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24678 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24691 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4046 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24704 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24717 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4064 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24730 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24743 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4082 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24756 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4100 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24768 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4110 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 24774 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4111 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 24780 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4112 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 24786 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4113 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 24792 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24798 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24804 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24810 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24816 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4134 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24831 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4145 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24846 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4165 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24858 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4173 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 24870 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24876 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24882 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 24890 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4194 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 24898 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24904 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 24912 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 24920 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 24928 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 24937 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 24946 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 24954 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 24962 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4244 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24968 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4249 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 24974 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4261 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24988 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4273 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24994 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4274 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25000 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4279 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25006 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4280 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25012 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4284 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25018 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4285 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25024 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4296 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25039 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4307 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25054 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4327 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25067 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25079 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4344 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25090 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4363 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25107 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4378 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25124 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25137 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4410 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25150 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4428 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25162 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25168 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25174 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4441 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 25180 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4452 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 25192 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4460 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 25204 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4477 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25216 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4498 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25238 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4519 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 25261 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4540 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 25267 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4541 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 25273 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4542 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 25279 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4547 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25285 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4549 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 25308 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 25314 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 25320 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 25326 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 25332 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 25338 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 25346 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4588 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 25358 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4598 "gram.y" /* yacc.c:1646  */
    {}
#line 25364 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4599 "gram.y" /* yacc.c:1646  */
    {}
#line 25370 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4603 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25376 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4604 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25382 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4608 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 25388 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25394 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 25400 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 25406 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25412 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4620 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 25422 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4625 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25428 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4626 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25434 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4627 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25440 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4631 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 25446 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4632 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 25452 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4637 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 25458 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4639 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 25486 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4665 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 25492 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 25498 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 25504 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4668 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 25510 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4669 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 25516 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4670 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 25522 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4676 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25537 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4687 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25552 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4711 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25565 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4722 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25578 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25584 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25590 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4741 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 25596 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4746 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25602 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25608 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4753 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 25619 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4762 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 25625 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4763 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 25631 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4764 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 25637 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4765 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 25643 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4779 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 25663 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4798 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 25679 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4821 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25693 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4831 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25708 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4842 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25722 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4852 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25736 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4862 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 25751 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4873 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25764 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4882 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25775 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4889 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25786 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25799 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4905 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25812 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4914 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25825 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4923 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25838 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25851 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4941 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 25864 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25870 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25876 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4955 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25882 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25890 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25898 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 25904 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 25910 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 25916 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4972 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 25922 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 25928 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25934 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25940 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25946 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 25954 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25960 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25966 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25972 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5002 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25978 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5013 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25992 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5023 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26006 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5033 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26020 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5044 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26026 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5045 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26032 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5063 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26047 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26053 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26059 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5082 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26073 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5093 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26087 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5103 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 26100 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 26114 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5122 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 26125 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5130 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26131 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5131 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26137 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26143 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26149 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26155 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26161 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26167 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5144 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 26185 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5157 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26191 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5163 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26202 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5173 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26215 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5182 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26228 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26234 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26240 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5199 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26252 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5207 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26264 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5219 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26279 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5230 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26294 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5244 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26309 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5255 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26324 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5278 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26335 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5288 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26346 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5306 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26361 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5317 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26376 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5328 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26391 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5339 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26406 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5352 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26412 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26418 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26424 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26430 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26436 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5357 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26442 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5358 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26448 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5359 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26454 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26460 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26466 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26472 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26478 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5364 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26484 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5365 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26490 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5366 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26496 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5367 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26502 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26508 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26514 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26520 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26526 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 26532 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26538 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26544 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5396 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26556 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26562 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5407 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26568 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5408 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26574 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5441 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26587 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5450 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26600 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5459 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26613 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5468 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26626 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5477 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26639 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5486 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26652 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5495 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26666 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5505 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26679 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5514 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26692 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5523 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26705 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26718 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5541 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26731 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5550 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26744 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5561 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26750 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5562 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26756 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5563 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26762 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5564 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26768 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5565 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26774 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5566 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26780 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5567 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26786 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5568 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26792 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5569 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26798 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5570 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26804 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5571 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26810 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5572 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26816 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5573 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26822 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5574 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26828 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5575 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26834 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5576 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26840 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5577 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 26846 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5578 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 26852 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5579 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26858 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5580 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26864 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5581 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26870 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5582 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26876 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5583 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26882 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26888 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26894 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5604 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26908 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5615 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26922 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5626 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26936 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5637 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26950 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5648 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26964 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5659 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26970 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5660 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26976 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5664 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26982 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5665 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26988 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5666 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26994 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5667 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27000 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5668 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27006 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5669 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27012 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5670 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27018 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5671 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27024 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5672 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27030 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5673 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27036 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5674 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27042 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5675 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27048 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5676 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27054 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27060 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27066 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5691 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 27076 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5697 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 27086 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5705 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27098 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5713 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27110 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5721 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27122 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5729 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27134 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5737 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27146 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5745 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 27158 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5753 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27170 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5761 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27182 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5769 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27194 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5777 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27206 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5785 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27218 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5793 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27230 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5801 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27242 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5809 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27254 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5817 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27266 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5825 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27278 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5834 "gram.y" /* yacc.c:1646  */
    {}
#line 27284 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5835 "gram.y" /* yacc.c:1646  */
    {}
#line 27290 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5838 "gram.y" /* yacc.c:1646  */
    {}
#line 27296 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5839 "gram.y" /* yacc.c:1646  */
    {}
#line 27302 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5851 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27318 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5867 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27335 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5881 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27352 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27358 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27364 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27370 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5912 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27381 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5919 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27392 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 27398 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 27404 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5932 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27415 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5939 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27426 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5946 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27437 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5953 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27448 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5967 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27460 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5975 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27472 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5983 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27484 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5991 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27496 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5999 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27508 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6007 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27520 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6015 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27532 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6023 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27544 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6031 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27556 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6039 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27568 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6047 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27580 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6055 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27592 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6063 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6071 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27616 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6079 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27628 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6087 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27640 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6098 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27646 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27652 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6103 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27666 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6113 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27680 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6126 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27686 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6127 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27692 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 27698 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 27704 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6138 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 27715 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6154 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 27729 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6167 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27743 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6177 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27757 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6188 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27763 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6189 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27769 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6192 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27775 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6193 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27781 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6204 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 27792 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27798 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6214 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27804 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 27812 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27820 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6227 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27828 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6239 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27844 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6252 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27861 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6266 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27878 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 27884 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6282 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 27890 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6283 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 27896 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6284 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 27902 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6299 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 27928 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6323 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27934 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6324 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27940 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6328 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27946 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6329 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27952 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6333 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27958 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6334 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27964 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27970 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6339 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 27976 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 27982 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 27988 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28003 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28018 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28033 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28039 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28045 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28051 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28057 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28063 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6395 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 28069 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 28075 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6397 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 28081 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 28087 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 28093 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6402 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 28099 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6420 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28114 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6432 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28130 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6445 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28145 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6458 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28151 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6459 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28157 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28163 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28169 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6467 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28175 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6468 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28181 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28187 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28193 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28199 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6483 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28205 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6498 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28218 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6507 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28231 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6516 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28244 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6525 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28257 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6534 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28270 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6545 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 28276 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6546 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 28282 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6547 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28288 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6548 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28294 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6549 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 28300 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6560 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 28312 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6574 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 28318 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28328 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28339 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28347 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28356 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28365 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6609 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28379 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 28387 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 28395 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 28403 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6662 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 28412 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6669 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28418 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6670 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28424 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6675 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28430 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28436 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 28444 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28452 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28460 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 28468 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 28476 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 28484 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28492 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28500 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28508 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28516 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 28524 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6728 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 28532 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 28540 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 28548 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6740 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 28557 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 28565 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28573 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6756 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 28581 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6760 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28589 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28595 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 28603 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28609 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28615 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6778 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28628 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 28636 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6794 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 28644 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 28655 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28661 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28667 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6842 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28682 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6853 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28697 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6867 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28712 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6878 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6892 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28742 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6903 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28757 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6917 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 28769 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 28775 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 28781 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 28787 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28793 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 28799 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6949 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28809 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6957 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28815 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28821 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 28829 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6980 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28851 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6991 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28865 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7002 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 28879 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7013 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 28885 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7014 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 28891 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7015 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 28897 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7020 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28912 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7032 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28918 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7033 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28924 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7048 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28936 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7056 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 28950 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7066 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 28964 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7078 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 28970 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7079 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 28976 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7082 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 28982 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7083 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 28988 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7095 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29001 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29014 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7121 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29028 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7131 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29041 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29054 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29067 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7158 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29080 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29094 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7177 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29107 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7186 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29121 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7196 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29134 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7205 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29147 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29161 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7224 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29175 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7234 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29188 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29201 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7252 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29215 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7262 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29229 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7272 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29243 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7282 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7292 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29271 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7302 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29285 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7312 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29299 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7322 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29313 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7332 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7342 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29341 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7352 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29355 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7362 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29369 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7372 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29384 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7383 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29399 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7394 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29414 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7405 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29429 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7416 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29443 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7426 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29458 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7437 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29473 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7448 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29487 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7458 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29501 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7468 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29513 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7476 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29526 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7485 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29539 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7494 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29552 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29565 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29591 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29604 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29617 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7548 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29633 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7561 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 29639 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7562 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29645 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 29651 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29657 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7577 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29671 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7587 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29684 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29697 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29710 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29723 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29737 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7633 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29751 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7643 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29765 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29779 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7663 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29792 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29805 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7681 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29818 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7690 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29831 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7699 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29844 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7708 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29857 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7717 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29870 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7726 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29883 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29896 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7744 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29909 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7753 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29922 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7762 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29935 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29948 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7780 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29961 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7789 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29974 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7806 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29987 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7815 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29999 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7823 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30011 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30023 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7839 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30035 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7847 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30048 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7856 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7864 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7872 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30085 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30098 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30111 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30123 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7907 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30135 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7915 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30147 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7923 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30159 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7931 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30171 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7939 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30183 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7947 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30195 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7955 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30207 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7974 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30223 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30229 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30235 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30241 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7996 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 30251 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8002 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8018 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30267 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8019 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30273 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 30279 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 30285 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 30291 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8025 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 30297 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8029 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30303 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8030 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8031 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30315 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8037 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30330 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8048 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30345 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8070 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30356 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8079 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30362 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8080 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30368 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8084 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30378 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8093 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30388 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8099 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30398 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8118 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30409 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8125 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30420 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8132 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30431 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8139 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30442 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8146 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8153 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30464 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8160 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30476 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8168 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30488 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30500 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8184 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30512 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8192 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8200 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30535 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8207 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30546 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8214 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30557 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8222 "gram.y" /* yacc.c:1646  */
    {}
#line 30563 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8223 "gram.y" /* yacc.c:1646  */
    {}
#line 30569 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8224 "gram.y" /* yacc.c:1646  */
    {}
#line 30575 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8229 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 30582 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8232 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 30589 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8235 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30596 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8238 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 30603 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8241 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30610 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30616 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30622 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30628 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30634 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8272 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30650 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8285 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30666 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8316 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 30708 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8335 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 30714 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8336 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 30720 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8337 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 30726 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8338 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 30732 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8349 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30742 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8365 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30759 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30765 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8380 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 30773 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 30781 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 30789 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 30797 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 30805 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 30813 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 30821 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30829 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 30837 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 30845 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 30853 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 30861 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 30869 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30877 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 30885 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 30893 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8449 "gram.y" /* yacc.c:1646  */
    {}
#line 30899 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8450 "gram.y" /* yacc.c:1646  */
    {}
#line 30905 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8462 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 30916 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8469 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 30928 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8480 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30945 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8491 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30951 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30959 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8510 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30970 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8517 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30981 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8535 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 30991 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8541 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31001 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8557 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8570 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31026 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8579 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31037 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8587 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31048 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8595 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31060 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8604 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31074 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8615 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31088 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8626 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31100 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8635 "gram.y" /* yacc.c:1646  */
    {}
#line 31106 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8636 "gram.y" /* yacc.c:1646  */
    {}
#line 31112 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8648 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31123 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31137 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8668 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31151 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8678 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31165 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8688 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31179 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 31191 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8706 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 31203 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8728 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31217 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8750 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8758 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31241 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8767 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31253 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8777 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31259 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8778 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31265 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8791 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31285 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8807 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31305 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8823 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 31323 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8837 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31347 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8857 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 31373 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8881 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31379 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8882 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 31385 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8886 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 31391 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8887 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 31397 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8888 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 31403 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8889 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 31409 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8894 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31427 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8908 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31445 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8924 "gram.y" /* yacc.c:1646  */
    {}
#line 31451 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8925 "gram.y" /* yacc.c:1646  */
    {}
#line 31457 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8929 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31463 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8930 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31469 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8933 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31475 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8934 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31481 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31487 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31493 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8942 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31499 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31505 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8957 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31516 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8964 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31530 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8974 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31541 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8981 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 31552 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31560 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31568 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9014 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 31576 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9020 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31582 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9021 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 31588 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9025 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31594 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9026 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 31600 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9027 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31606 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31618 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31624 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31630 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9066 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31641 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9074 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31660 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31672 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9102 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31682 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9108 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31692 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9114 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31702 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9120 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31712 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9136 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 31723 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31733 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31743 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9158 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 31753 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31759 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31783 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31789 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9198 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 31803 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31809 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31815 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9223 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31828 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9233 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 31834 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9234 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31840 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9237 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 31846 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9238 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9239 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 31858 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9240 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 31864 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9241 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 31870 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 31876 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 31882 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9244 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31888 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9247 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31894 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9248 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31900 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9264 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31921 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31933 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 31948 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9296 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 31977 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9324 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 31989 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31995 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 32001 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9346 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 32014 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32020 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9359 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32026 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9360 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 32032 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9361 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 32038 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9362 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 32044 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9363 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 32050 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32056 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9367 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 32062 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32068 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9421 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32074 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9422 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32080 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9437 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32086 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9439 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32097 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9446 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32109 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9454 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9462 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 32133 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9470 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32145 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9478 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32157 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9486 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32169 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9496 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32175 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9497 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32181 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9527 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32198 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32204 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9541 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 32227 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32235 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9564 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32243 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9568 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32251 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9583 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 32262 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9590 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 32273 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32279 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32285 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9604 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 32298 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9615 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 32304 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9616 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 32310 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 32325 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9632 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 32331 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32340 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32349 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32358 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32367 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9661 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32379 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9669 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32391 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32409 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32418 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9693 "gram.y" /* yacc.c:1646  */
    {}
#line 32424 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9694 "gram.y" /* yacc.c:1646  */
    {}
#line 32430 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9697 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32436 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9698 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32442 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9699 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32448 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9706 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 32454 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32460 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32466 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32472 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9713 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 32478 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32484 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32490 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 32496 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 32502 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 32515 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 32528 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 32534 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 32540 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 32546 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 32552 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32558 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 32564 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32570 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9763 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 32583 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9773 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32595 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9781 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32601 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9785 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32607 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9787 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 32616 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32622 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9804 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 32628 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9805 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32634 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9806 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 32640 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32646 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9818 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32652 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9819 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32658 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9822 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32664 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9823 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32670 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32676 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32682 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32688 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9834 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32694 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32706 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32712 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32718 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32730 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9854 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 32742 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9864 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 32748 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 32754 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9866 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 32760 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 32766 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9871 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32772 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32778 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9878 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32788 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9884 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32798 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32804 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32810 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32822 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9914 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9919 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32842 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9926 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32854 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9934 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 32893 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9969 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same coment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 32922 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 32930 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9998 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 32947 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10028 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 32963 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10040 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 32980 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10053 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 32998 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10067 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10078 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33029 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33039 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33048 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33058 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10116 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 33073 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10117 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 33087 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 33095 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10134 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10140 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33115 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10151 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 33129 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10152 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10153 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10154 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10158 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33153 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10159 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33159 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10171 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33165 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10172 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33171 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10178 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 33182 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10185 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 33193 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10192 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33204 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33215 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 33221 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 33227 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10224 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 33235 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10228 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 33246 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10235 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 33257 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10256 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33271 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10266 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33285 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 33291 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33297 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33309 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33315 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10290 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33321 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10291 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33333 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10297 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33339 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10302 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33345 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10304 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 33357 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33363 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33369 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33375 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33391 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10332 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33413 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 33422 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10367 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 33432 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 33441 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10385 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 33470 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10399 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 33476 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10401 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 33482 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10403 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 33488 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10407 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33494 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10408 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33500 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10409 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33506 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10410 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33512 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10411 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33518 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 33527 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10447 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33553 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10448 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10449 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33565 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10450 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33571 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10462 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33581 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 33591 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33597 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33603 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33612 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33621 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33630 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33639 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33648 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33657 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33666 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33676 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33686 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33696 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33705 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10543 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 33730 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10564 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 33738 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33746 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33754 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33762 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10598 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33784 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10610 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33802 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33810 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33818 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33826 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10645 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33841 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10658 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33854 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10669 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10684 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33877 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10686 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33883 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 33889 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10692 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10694 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33907 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10698 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33913 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10699 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33919 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10703 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33925 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10704 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33931 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10712 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33944 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33956 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10729 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33969 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10738 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33981 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33990 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10756 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33996 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10757 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34002 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10758 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34008 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10763 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 34014 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 34020 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10767 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 34026 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10769 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 34032 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10771 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 34038 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34044 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 34053 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 34062 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10785 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34072 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34084 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34093 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10804 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34104 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34114 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34120 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 34128 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 34137 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34149 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10859 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 34171 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34177 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34189 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10888 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34195 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10890 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10892 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34207 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10894 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10896 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34219 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10898 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34225 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10900 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34231 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10902 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34237 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10905 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34243 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10907 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34249 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34255 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10912 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34261 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10914 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34267 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34273 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10919 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34279 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10921 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34290 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34296 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34307 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34313 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10939 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34330 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10948 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34341 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10956 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 34352 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10970 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34374 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10977 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 34385 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10994 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34396 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11001 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34407 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11008 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34418 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11015 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11022 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 34449 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11038 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34460 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11045 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34471 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11052 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11059 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34493 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11066 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34504 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11073 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34515 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 34535 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11092 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34543 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34551 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34562 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34573 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34590 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11133 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11146 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 34630 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11165 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 34655 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11186 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 34669 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11196 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 34680 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11203 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34700 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34709 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11224 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34720 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34726 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34732 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34738 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11248 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34744 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34750 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11252 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34756 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11254 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34762 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11256 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11258 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34774 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11260 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34780 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11262 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34786 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11264 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11266 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11268 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11270 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11272 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34824 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 34833 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34841 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34849 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34858 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34869 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34875 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34881 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11315 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 34900 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11330 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 34916 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11342 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34922 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11344 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34928 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11346 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34942 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11356 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 34969 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11379 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34983 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11389 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34997 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11399 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35009 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11407 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 35030 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11422 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35040 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11428 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35051 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11435 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35062 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11442 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 35076 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11452 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35087 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11459 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35107 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11487 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 35146 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11522 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35152 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11532 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35158 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11533 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35164 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 35174 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11547 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 35204 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11573 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 35218 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11583 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35235 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11596 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 35247 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11604 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35264 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11617 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 35278 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11627 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 35295 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11640 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 35309 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11650 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35326 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 35350 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35358 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 35374 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11687 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 35380 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35388 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11693 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35401 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11702 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35410 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11707 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35421 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11714 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 35440 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11729 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35451 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35459 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35475 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 35483 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11752 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 35494 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11759 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35506 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11767 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35518 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35526 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 35534 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 35542 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11787 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 35550 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 35558 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11795 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 35568 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 35576 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 35589 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 35597 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35605 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11827 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 35627 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11841 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35633 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 35639 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11847 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 35645 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11851 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 35663 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35669 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35675 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35681 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 35693 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 35705 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11881 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 35711 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11882 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 35717 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11885 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35723 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11886 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35729 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11887 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35735 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35743 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35751 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35759 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35767 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35773 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35779 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11920 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35785 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11921 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35797 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35803 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 35809 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 35815 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11941 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 35825 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11949 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 35831 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11951 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11964 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11969 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11994 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11995 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35884 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35896 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12011 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 35918 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12029 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 35928 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12035 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35940 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12045 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 35961 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12062 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 36002 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12107 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36014 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12115 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36026 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12123 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12131 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36050 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12139 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36062 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36074 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 36080 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36086 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12165 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36092 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12166 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 36098 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12169 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36104 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12170 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12175 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 36128 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12176 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 36134 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12177 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 36140 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12178 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 36146 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12179 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 36152 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12180 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 36158 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12181 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 36164 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36170 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36176 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36182 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36188 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36194 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36200 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 36206 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 36212 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 36218 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 36224 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36232 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36240 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36248 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36256 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36264 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12246 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 36277 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36289 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12261 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36297 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36305 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12269 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 36313 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36319 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36325 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12281 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 36333 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36339 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12291 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36345 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12292 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 36351 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 36357 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12295 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 36369 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12296 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 36375 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12297 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 36381 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12298 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36387 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36395 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36403 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36409 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 36415 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36421 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36429 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12348 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 36438 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36446 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12357 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 36465 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 36473 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36479 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12380 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36485 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36491 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 36497 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36503 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12388 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36509 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12392 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 36520 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12398 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 36526 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12409 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 36540 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36546 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36552 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12428 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 36564 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12438 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36570 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12439 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36576 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36582 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36588 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 36596 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 36604 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 36612 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12462 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 36620 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12466 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36631 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12473 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36642 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36648 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12483 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36654 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36660 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36666 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12503 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36672 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12505 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 36682 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12513 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36688 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36694 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36700 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36706 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36712 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12537 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 36718 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 36724 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 36736 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 36748 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 36760 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12574 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36788 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 36796 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12612 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 36825 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36831 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36837 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12645 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36843 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12648 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36849 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12651 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36855 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12653 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36861 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12655 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36867 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12657 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36873 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12668 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36879 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12670 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 36888 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 36896 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36904 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36912 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36920 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12697 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36933 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12706 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36944 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12713 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36980 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 36988 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12749 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36998 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12755 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37019 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12772 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 37027 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 37035 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 37043 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12785 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37049 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37055 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37061 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37067 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37073 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12795 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37079 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12796 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 37085 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12797 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 37091 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12813 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37097 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12814 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37103 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12815 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37109 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12820 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37115 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37121 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37127 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 12827 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37133 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 12828 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37139 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 12829 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37145 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 12830 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37151 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 12836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37157 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 12837 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37163 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 12838 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37169 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 12839 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37175 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 12840 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37181 "gram.c" /* yacc.c:1646  */
    break;


#line 37185 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13302 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"
