/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 645 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FILTER = 475,
    FIRST_P = 476,
    FLOAT_P = 477,
    FOLLOWING = 478,
    FOR = 479,
    FORCE = 480,
    FOREIGN = 481,
    FORWARD = 482,
    FREEZE = 483,
    FROM = 484,
    FULL = 485,
    FUNCTION = 486,
    FUNCTIONS = 487,
    GLOBAL = 488,
    GRANT = 489,
    GRANTED = 490,
    GREATEST = 491,
    GROUP_P = 492,
    HANDLER = 493,
    HAVING = 494,
    HEADER_P = 495,
    HOLD = 496,
    HOUR_P = 497,
    IDENTITY_P = 498,
    IF_P = 499,
    ILIKE = 500,
    IMMEDIATE = 501,
    IMMUTABLE = 502,
    IMPLICIT_P = 503,
    IN_P = 504,
    INCLUDING = 505,
    INCREMENT = 506,
    INDEX = 507,
    INDEXES = 508,
    INHERIT = 509,
    INHERITS = 510,
    INITIALLY = 511,
    INLINE_P = 512,
    INNER_P = 513,
    INOUT = 514,
    INPUT_P = 515,
    INSENSITIVE = 516,
    INSERT = 517,
    INSTEAD = 518,
    INT_P = 519,
    INTEGER = 520,
    INTERSECT = 521,
    INTERVAL = 522,
    INTO = 523,
    INVOKER = 524,
    IS = 525,
    ISNULL = 526,
    ISOLATION = 527,
    JOIN = 528,
    KEY = 529,
    LABEL = 530,
    LANGUAGE = 531,
    LARGE_P = 532,
    LAST_P = 533,
    LATERAL_P = 534,
    LC_COLLATE_P = 535,
    LC_CTYPE_P = 536,
    LEADING = 537,
    LEAKPROOF = 538,
    LEAST = 539,
    LEFT = 540,
    LEVEL = 541,
    LIKE = 542,
    LIMIT = 543,
    LISTEN = 544,
    LOAD = 545,
    LOCAL = 546,
    LOCALTIME = 547,
    LOCALTIMESTAMP = 548,
    LOCATION = 549,
    LOCK_P = 550,
    MAPPING = 551,
    MATCH = 552,
    MATERIALIZED = 553,
    MAXVALUE = 554,
    MINUTE_P = 555,
    MINVALUE = 556,
    MODE = 557,
    MONTH_P = 558,
    MOVE = 559,
    NAME_P = 560,
    NAMES = 561,
    NATIONAL = 562,
    NATURAL = 563,
    NCHAR = 564,
    NEXT = 565,
    NO = 566,
    NONE = 567,
    NOT = 568,
    NOTHING = 569,
    NOTIFY = 570,
    NOTNULL = 571,
    NOWAIT = 572,
    NULL_P = 573,
    NULLIF = 574,
    NULLS_P = 575,
    NUMERIC = 576,
    OBJECT_P = 577,
    OF = 578,
    OFF = 579,
    OFFSET = 580,
    OIDS = 581,
    ON = 582,
    ONLY = 583,
    OPERATOR = 584,
    OPTION = 585,
    OPTIONS = 586,
    OR = 587,
    ORDER = 588,
    ORDINALITY = 589,
    OUT_P = 590,
    OUTER_P = 591,
    OVER = 592,
    OVERLAPS = 593,
    OVERLAY = 594,
    OWNED = 595,
    OWNER = 596,
    PARSER = 597,
    PARTIAL = 598,
    PARTITION = 599,
    PASSING = 600,
    PASSWORD = 601,
    PLACING = 602,
    PLANS = 603,
    POSITION = 604,
    PRECEDING = 605,
    PRECISION = 606,
    PRESERVE = 607,
    PREPARE = 608,
    PREPARED = 609,
    PRIMARY = 610,
    PRIOR = 611,
    PRIVILEGES = 612,
    PROCEDURAL = 613,
    PROCEDURE = 614,
    PROGRAM = 615,
    QUOTE = 616,
    RANGE = 617,
    READ = 618,
    REAL = 619,
    REASSIGN = 620,
    RECHECK = 621,
    RECURSIVE = 622,
    REF = 623,
    REFERENCES = 624,
    REFRESH = 625,
    REINDEX = 626,
    RELATIVE_P = 627,
    RELEASE = 628,
    RENAME = 629,
    REPEATABLE = 630,
    REPLACE = 631,
    REPLICA = 632,
    RESET = 633,
    RESTART = 634,
    RESTRICT = 635,
    RETURNING = 636,
    RETURNS = 637,
    REVOKE = 638,
    RIGHT = 639,
    ROLE = 640,
    ROLLBACK = 641,
    ROW = 642,
    ROWS = 643,
    RULE = 644,
    SAVEPOINT = 645,
    SCHEMA = 646,
    SCROLL = 647,
    SEARCH = 648,
    SECOND_P = 649,
    SECURITY = 650,
    SELECT = 651,
    SEQUENCE = 652,
    SEQUENCES = 653,
    SERIALIZABLE = 654,
    SERVER = 655,
    SESSION = 656,
    SESSION_USER = 657,
    SET = 658,
    SETOF = 659,
    SHARE = 660,
    SHOW = 661,
    SIMILAR = 662,
    SIMPLE = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    STABLE = 667,
    STANDALONE_P = 668,
    START = 669,
    STATEMENT = 670,
    STATISTICS = 671,
    STDIN = 672,
    STDOUT = 673,
    STORAGE = 674,
    STRICT_P = 675,
    STRIP_P = 676,
    SUBSTRING = 677,
    SYMMETRIC = 678,
    SYSID = 679,
    SYSTEM_P = 680,
    TABLE = 681,
    TABLES = 682,
    TABLESPACE = 683,
    TEMP = 684,
    TEMPLATE = 685,
    TEMPORARY = 686,
    TEXT_P = 687,
    THEN = 688,
    TIME = 689,
    TIMESTAMP = 690,
    TO = 691,
    TRAILING = 692,
    TRANSACTION = 693,
    TREAT = 694,
    TRIGGER = 695,
    TRIM = 696,
    TRUE_P = 697,
    TRUNCATE = 698,
    TRUSTED = 699,
    TYPE_P = 700,
    TYPES_P = 701,
    UNBOUNDED = 702,
    UNCOMMITTED = 703,
    UNENCRYPTED = 704,
    UNION = 705,
    UNIQUE = 706,
    UNKNOWN = 707,
    UNLISTEN = 708,
    UNLOGGED = 709,
    UNTIL = 710,
    UPDATE = 711,
    USER = 712,
    USING = 713,
    VACUUM = 714,
    VALID = 715,
    VALIDATE = 716,
    VALIDATOR = 717,
    VALUE_P = 718,
    VALUES = 719,
    VARCHAR = 720,
    VARIADIC = 721,
    VARYING = 722,
    VERBOSE = 723,
    VERSION_P = 724,
    VIEW = 725,
    VIEWS = 726,
    VOLATILE = 727,
    WHEN = 728,
    WHERE = 729,
    WHITESPACE_P = 730,
    WINDOW = 731,
    WITH = 732,
    WITHIN = 733,
    WITHOUT = 734,
    WORK = 735,
    WRAPPER = 736,
    WRITE = 737,
    XML_P = 738,
    XMLATTRIBUTES = 739,
    XMLCONCAT = 740,
    XMLELEMENT = 741,
    XMLEXISTS = 742,
    XMLFOREST = 743,
    XMLPARSE = 744,
    XMLPI = 745,
    XMLROOT = 746,
    XMLSERIALIZE = 747,
    YEAR_P = 748,
    YES_P = 749,
    ZONE = 750,
    NULLS_FIRST = 751,
    NULLS_LAST = 752,
    WITH_ORDINALITY = 753,
    WITH_TIME = 754,
    POSTFIXOP = 755,
    UMINUS = 756
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 579 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1202 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1233 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   111653

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  718
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2847
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5244

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1511,  1511,  1514,  1516,  1518,  1520,  1522,  1524,  1526,
    1528,  1530,  1532,  1534,  1536,  1538,  1540,  1542,  1544,  1546,
    1548,  1550,  1552,  1554,  1556,  1558,  1560,  1562,  1564,  1566,
    1568,  1570,  1572,  1590,  1592,  1594,  1596,  1598,  1600,  1602,
    1604,  1606,  1608,  1610,  1612,  1614,  1616,  1618,  1620,  1622,
    1624,  1626,  1628,  1630,  1632,  1634,  1636,  1638,  1640,  1642,
    1644,  1646,  1648,  1650,  1654,  1656,  1658,  1660,  1662,  1664,
    1666,  1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,
    1686,  1688,  1690,  1692,  1694,  1696,  1698,  1700,  1702,  1704,
    1706,  1708,  1710,  1712,  1714,  1716,  1718,  1720,  1722,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1771,  1773,
    1779,  1789,  1793,  1799,  1803,  1813,  1823,  1824,  1838,  1845,
    1851,  1862,  1868,  1877,  1884,  1890,  1899,  1906,  1914,  1919,
    1927,  1932,  1938,  1943,  1949,  1954,  1960,  1964,  1968,  1972,
    1976,  1980,  1984,  1988,  1992,  2000,  2004,  2008,  2012,  2016,
    2020,  2028,  2036,  2045,  2047,  2055,  2059,  2067,  2075,  2083,
    2087,  2095,  2099,  2107,  2115,  2123,  2127,  2135,  2139,  2147,
    2151,  2155,  2160,  2169,  2174,  2180,  2185,  2191,  2195,  2199,
    2203,  2207,  2211,  2219,  2223,  2227,  2235,  2239,  2243,  2251,
    2255,  2259,  2263,  2264,  2268,  2272,  2276,  2281,  2285,  2289,
    2293,  2297,  2301,  2305,  2313,  2317,  2325,  2329,  2337,  2341,
    2355,  2359,  2363,  2367,  2375,  2379,  2383,  2387,  2395,  2399,
    2403,  2407,  2411,  2415,  2419,  2427,  2431,  2436,  2442,  2446,
    2454,  2462,  2466,  2470,  2474,  2482,  2486,  2494,  2498,  2506,
    2510,  2518,  2522,  2526,  2530,  2534,  2543,  2551,  2555,  2563,
    2567,  2575,  2583,  2587,  2591,  2595,  2599,  2607,  2611,  2615,
    2619,  2623,  2627,  2631,  2635,  2639,  2643,  2647,  2651,  2655,
    2659,  2663,  2667,  2675,  2679,  2687,  2691,  2695,  2699,  2703,
    2707,  2711,  2715,  2719,  2723,  2727,  2731,  2735,  2739,  2743,
    2747,  2751,  2755,  2759,  2763,  2767,  2771,  2775,  2779,  2783,
    2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,  2819,  2823,
    2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,  2859,  2867,
    2871,  2879,  2883,  2888,  2894,  2899,  2905,  2910,  2916,  2920,
    2924,  2928,  2936,  2944,  2949,  2955,  2959,  2967,  2971,  2975,
    2979,  2987,  2995,  2999,  3007,  3011,  3015,  3019,  3027,  3032,
    3040,  3048,  3056,  3060,  3068,  3073,  3079,  3083,  3087,  3095,
    3099,  3107,  3112,  3118,  3122,  3126,  3130,  3134,  3138,  3142,
    3146,  3150,  3154,  3158,  3162,  3166,  3170,  3178,  3183,  3189,
    3194,  3200,  3205,  3211,  3216,  3222,  3226,  3234,  3242,  3246,
    3250,  3254,  3259,  3265,  3269,  3277,  3285,  3289,  3293,  3297,
    3305,  3309,  3313,  3317,  3321,  3325,  3329,  3334,  3340,  3345,
    3351,  3356,  3362,  3366,  3374,  3378,  3386,  3390,  3394,  3402,
    3406,  3414,  3422,  3430,  3435,  3441,  3445,  3449,  3453,  3461,
    3465,  3469,  3473,  3477,  3481,  3485,  3493,  3497,  3501,  3505,
    3513,  3521,  3525,  3530,  3536,  3540,  3544,  3548,  3552,  3556,
    3564,  3568,  3576,  3580,  3584,  3588,  3592,  3596,  3600,  3608,
    3613,  3619,  3624,  3630,  3634,  3642,  3650,  3654,  3659,  3664,
    3670,  3674,  3682,  3686,  3694,  3699,  3705,  3709,  3713,  3717,
    3722,  3728,  3736,  3744,  3748,  3752,  3756,  3760,  3768,  3773,
    3779,  3783,  3787,  3792,  3798,  3802,  3806,  3811,  3817,  3822,
    3828,  3833,  3839,  3847,  3855,  3859,  3864,  3870,  3878,  3886,
    3891,  3897,  3905,  3909,  3913,  3921,  3925,  3929,  3933,  3937,
    3941,  3949,  3954,  3960,  3964,  3972,  3976,  3980,  3984,  3988,
    3992,  3996,  4000,  4004,  4008,  4012,  4016,  4024,  4029,  4035,
    4039,  4043,  4051,  4055,  4063,  4067,  4075,  4080,  4086,  4090,
    4098,  4103,  4109,  4113,  4121,  4126,  4132,  4136,  4144,  4149,
    4155,  4163,  4168,  4174,  4178,  4186,  4190,  4198,  4203,  4209,
    4213,  4217,  4225,  4233,  4238,  4244,  4252,  4256,  4260,  4264,
    4268,  4272,  4276,  4280,  4284,  4288,  4292,  4296,  4300,  4304,
    4308,  4312,  4316,  4320,  4324,  4328,  4332,  4336,  4340,  4344,
    4352,  4360,  4364,  4368,  4372,  4380,  4384,  4392,  4397,  4403,
    4407,  4415,  4419,  4427,  4432,  4438,  4442,  4450,  4458,  4462,
    4470,  4474,  4478,  4482,  4490,  4498,  4506,  4514,  4522,  4527,
    4533,  4537,  4545,  4550,  4556,  4560,  4568,  4572,  4576,  4584,
    4588,  4596,  4600,  4608,  4616,  4620,  4624,  4632,  4636,  4644,
    4652,  4656,  4664,  4668,  4672,  4680,  4684,  4692,  4696,  4700,
    4704,  4708,  4716,  4721,  4727,  4732,  4738,  4742,  4750,  4755,
    4761,  4765,  4770,  4776,  4780,  4784,  4788,  4796,  4801,  4808,
    4810,  4818,  4822,  4826,  4830,  4834,  4838,  4846,  4850,  4858,
    4862,  4870,  4874,  4882,  4890,  4894,  4902,  4910,  4914,  4918,
    4922,  4930,  4939,  4948,  4952,  4956,  4960,  4964,  4968,  4972,
    4976,  4980,  4984,  4988,  4992,  4996,  5000,  5008,  5016,  5020,
    5028,  5032,  5040,  5044,  5048,  5052,  5056,  5064,  5072,  5076,
    5084,  5092,  5097,  5103,  5107,  5115,  5119,  5123,  5131,  5136,
    5142,  5150,  5154,  5162,  5166,  5170,  5174,  5178,  5186,  5191,
    5197,  5202,  5208,  5212,  5217,  5223,  5229,  5235,  5243,  5247,
    5255,  5259,  5267,  5271,  5279,  5283,  5291,  5295,  5303,  5311,
    5319,  5323,  5327,  5331,  5339,  5343,  5347,  5351,  5355,  5359,
    5363,  5367,  5371,  5375,  5379,  5383,  5387,  5391,  5395,  5399,
    5403,  5411,  5415,  5423,  5427,  5435,  5439,  5447,  5455,  5459,
    5464,  5470,  5474,  5478,  5482,  5486,  5490,  5494,  5498,  5502,
    5506,  5510,  5514,  5518,  5526,  5530,  5534,  5538,  5542,  5546,
    5550,  5554,  5558,  5562,  5566,  5570,  5574,  5578,  5582,  5586,
    5590,  5594,  5598,  5602,  5606,  5610,  5614,  5622,  5626,  5634,
    5638,  5642,  5646,  5650,  5658,  5663,  5669,  5673,  5677,  5681,
    5685,  5689,  5693,  5697,  5701,  5705,  5709,  5713,  5717,  5725,
    5729,  5737,  5741,  5745,  5749,  5755,  5761,  5767,  5773,  5779,
    5785,  5791,  5801,  5812,  5823,  5834,  5845,  5856,  5867,  5883,
    5899,  5915,  5926,  5942,  5953,  5969,  5984,  5988,  5996,  6001,
    6007,  6015,  6019,  6027,  6031,  6035,  6039,  6043,  6051,  6055,
    6063,  6067,  6071,  6075,  6083,  6087,  6091,  6095,  6099,  6103,
    6107,  6111,  6115,  6119,  6123,  6127,  6131,  6135,  6139,  6143,
    6151,  6155,  6163,  6167,  6175,  6180,  6186,  6190,  6198,  6206,
    6214,  6218,  6226,  6231,  6237,  6242,  6248,  6256,  6261,  6267,
    6271,  6275,  6283,  6287,  6291,  6299,  6303,  6307,  6311,  6319,
    6327,  6332,  6338,  6343,  6349,  6354,  6360,  6365,  6371,  6375,
    6383,  6387,  6391,  6399,  6404,  6410,  6414,  6419,  6425,  6429,
    6434,  6440,  6444,  6449,  6455,  6459,  6463,  6471,  6476,  6482,
    6486,  6494,  6498,  6506,  6510,  6518,  6522,  6530,  6534,  6538,
    6542,  6546,  6554,  6558,  6562,  6566,  6570,  6578,  6586,  6594,
    6598,  6602,  6610,  6614,  6618,  6626,  6635,  6639,  6643,  6647,
    6655,  6659,  6667,  6671,  6679,  6683,  6687,  6691,  6695,  6699,
    6703,  6707,  6711,  6715,  6719,  6723,  6727,  6731,  6735,  6743,
    6747,  6751,  6755,  6763,  6767,  6775,  6780,  6786,  6794,  6798,
    6806,  6814,  6818,  6826,  6831,  6837,  6841,  6849,  6853,  6861,
    6865,  6873,  6877,  6881,  6885,  6893,  6897,  6905,  6913,  6917,
    6925,  6929,  6937,  6941,  6945,  6953,  6957,  6962,  6968,  6976,
    6981,  6987,  6991,  6995,  7003,  7007,  7015,  7020,  7026,  7030,
    7038,  7042,  7046,  7050,  7054,  7058,  7062,  7066,  7070,  7074,
    7078,  7082,  7086,  7090,  7094,  7098,  7102,  7106,  7110,  7114,
    7118,  7122,  7126,  7130,  7134,  7138,  7142,  7146,  7150,  7154,
    7158,  7162,  7166,  7170,  7174,  7178,  7182,  7186,  7190,  7194,
    7198,  7202,  7206,  7210,  7214,  7222,  7227,  7233,  7238,  7244,
    7248,  7252,  7256,  7260,  7264,  7268,  7272,  7276,  7280,  7284,
    7288,  7292,  7296,  7300,  7304,  7308,  7312,  7316,  7320,  7324,
    7328,  7332,  7336,  7344,  7348,  7352,  7356,  7360,  7364,  7368,
    7372,  7376,  7380,  7384,  7388,  7392,  7396,  7400,  7404,  7408,
    7412,  7416,  7424,  7432,  7436,  7440,  7448,  7452,  7460,  7464,
    7468,  7472,  7476,  7484,  7489,  7495,  7499,  7503,  7507,  7515,
    7519,  7524,  7530,  7534,  7542,  7550,  7555,  7561,  7569,  7573,
    7581,  7585,  7589,  7593,  7597,  7601,  7605,  7609,  7613,  7617,
    7621,  7625,  7629,  7633,  7641,  7645,  7650,  7656,  7660,  7664,
    7668,  7672,  7680,  7684,  7688,  7696,  7701,  7707,  7711,  7715,
    7720,  7729,  7733,  7737,  7742,  7748,  7756,  7764,  7769,  7775,
    7779,  7783,  7787,  7791,  7795,  7799,  7803,  7807,  7811,  7815,
    7819,  7823,  7827,  7831,  7835,  7843,  7848,  7854,  7858,  7866,
    7874,  7879,  7885,  7893,  7897,  7905,  7909,  7917,  7925,  7929,
    7933,  7937,  7941,  7945,  7949,  7957,  7962,  7968,  7976,  7980,
    7984,  7988,  7992,  7996,  8004,  8012,  8016,  8020,  8028,  8033,
    8039,  8043,  8047,  8051,  8055,  8063,  8067,  8075,  8079,  8083,
    8087,  8095,  8099,  8107,  8111,  8119,  8124,  8130,  8135,  8141,
    8146,  8152,  8157,  8163,  8167,  8171,  8175,  8183,  8187,  8191,
    8195,  8199,  8203,  8207,  8211,  8215,  8223,  8227,  8235,  8243,
    8247,  8255,  8259,  8264,  8270,  8276,  8286,  8291,  8297,  8301,
    8305,  8309,  8317,  8319,  8327,  8332,  8338,  8346,  8350,  8354,
    8362,  8366,  8374,  8382,  8387,  8393,  8401,  8406,  8412,  8420,
    8425,  8431,  8435,  8439,  8443,  8447,  8451,  8455,  8459,  8467,
    8472,  8478,  8486,  8490,  8498,  8502,  8510,  8518,  8526,  8534,
    8538,  8546,  8599,  8603,  8616,  8618,  8622,  8626,  8630,  8639,
    8645,  8649,  8657,  8661,  8669,  8673,  8681,  8685,  8689,  8693,
    8697,  8701,  8705,  8709,  8717,  8721,  8729,  8733,  8737,  8741,
    8745,  8749,  8757,  8761,  8769,  8773,  8781,  8789,  8794,  8800,
    8805,  8807,  8813,  8817,  8821,  8825,  8829,  8833,  8837,  8841,
    8845,  8853,  8858,  8864,  8868,  8873,  8879,  8883,  8887,  8892,
    8898,  8903,  8909,  8917,  8921,  8929,  8933,  8941,  8945,  8949,
    8953,  8961,  8966,  8972,  8976,  8981,  8989,  8993,  9001,  9005,
    9013,  9021,  9025,  9030,  9036,  9044,  9048,  9056,  9060,  9068,
    9073,  9079,  9084,  9090,  9094,  9102,  9107,  9113,  9117,  9125,
    9133,  9137,  9141,  9145,  9153,  9158,  9164,  9168,  9176,  9181,
    9187,  9191,  9199,  9203,  9207,  9211,  9218,  9225,  9229,  9237,
    9241,  9245,  9249,  9253,  9257,  9265,  9269,  9273,  9277,  9285,
    9290,  9296,  9300,  9304,  9308,  9313,  9319,  9323,  9327,  9331,
    9339,  9344,  9350,  9354,  9362,  9366,  9370,  9374,  9382,  9386,
    9394,  9398,  9402,  9410,  9414,  9422,  9430,  9434,  9442,  9447,
    9453,  9458,  9464,  9469,  9475,  9479,  9485,  9491,  9496,  9502,
    9506,  9514,  9522,  9524,  9526,  9530,  9534,  9538,  9546,  9556,
    9567,  9576,  9580,  9584,  9588,  9592,  9596,  9600,  9608,  9612,
    9616,  9620,  9628,  9632,  9640,  9645,  9651,  9655,  9659,  9663,
    9667,  9671,  9675,  9679,  9683,  9687,  9691,  9699,  9704,  9710,
    9714,  9722,  9726,  9734,  9742,  9750,  9754,  9762,  9766,  9774,
    9782,  9790,  9794,  9798,  9802,  9806,  9810,  9818,  9823,  9829,
    9834,  9840,  9844,  9848,  9852,  9860,  9868,  9872,  9877,  9883,
    9887,  9891,  9895,  9899,  9903,  9907,  9911,  9915,  9919,  9923,
    9927,  9931,  9936,  9942,  9946,  9954,  9958,  9962,  9966,  9970,
    9974,  9978,  9982,  9986,  9990,  9994,  9998, 10002, 10006, 10010,
   10014, 10018, 10022, 10026, 10030, 10034, 10038, 10042, 10046, 10050,
   10054, 10058, 10062, 10066, 10070, 10074, 10078, 10082, 10086, 10090,
   10094, 10098, 10102, 10106, 10110, 10114, 10118, 10122, 10126, 10130,
   10134, 10138, 10142, 10146, 10150, 10154, 10158, 10162, 10166, 10170,
   10174, 10178, 10183, 10187, 10195, 10199, 10203, 10207, 10211, 10215,
   10219, 10223, 10227, 10231, 10235, 10239, 10243, 10247, 10251, 10255,
   10259, 10263, 10267, 10271, 10275, 10279, 10287, 10291, 10295, 10299,
   10303, 10307, 10311, 10315, 10319, 10323, 10327, 10331, 10339, 10343,
   10347, 10351, 10355, 10359, 10363, 10371, 10375, 10383, 10387, 10395,
   10399, 10403, 10407, 10411, 10415, 10419, 10423, 10427, 10431, 10435,
   10439, 10443, 10447, 10451, 10455, 10459, 10463, 10467, 10471, 10475,
   10479, 10483, 10487, 10491, 10495, 10499, 10503, 10507, 10511, 10515,
   10519, 10523, 10527, 10531, 10535, 10539, 10543, 10547, 10551, 10555,
   10559, 10567, 10571, 10579, 10583, 10587, 10592, 10598, 10606, 10610,
   10618, 10622, 10630, 10634, 10642, 10646, 10651, 10657, 10661, 10665,
   10669, 10677, 10682, 10688, 10693, 10699, 10704, 10710, 10714, 10722,
   10730, 10734, 10739, 10745, 10753, 10757, 10764, 10769, 10775, 10780,
   10785, 10791, 10795, 10803, 10807, 10811, 10815, 10819, 10827, 10831,
   10835, 10843, 10847, 10851, 10859, 10863, 10871, 10875, 10879, 10883,
   10887, 10891, 10895, 10899, 10903, 10911, 10915, 10923, 10927, 10935,
   10939, 10943, 10947, 10951, 10955, 10963, 10967, 10975, 10979, 10987,
   10991, 10999, 11003, 11011, 11015, 11019, 11027, 11031, 11039, 11044,
   11050, 11054, 11058, 11062, 11066, 11070, 11074, 11078, 11086, 11090,
   11098, 11106, 11111, 11117, 11121, 11125, 11129, 11133, 11138, 11144,
   11152, 11160, 11164, 11168, 11176, 11180, 11188, 11196, 11200, 11208,
   11216, 11221, 11227, 11232, 11238, 11242, 11250, 11254, 11258, 11262,
   11270, 11274, 11283, 11285, 11293, 11298, 11304, 11308, 11316, 11320,
   11328, 11336, 11341, 11347, 11351, 11359, 11363, 11367, 11371, 11379,
   11383, 11391, 11395, 11403, 11407, 11415, 11423, 11431, 11439, 11447,
   11455, 11463, 11467, 11475, 11479, 11483, 11487, 11491, 11495, 11499,
   11503, 11507, 11511, 11515, 11519, 11523, 11527, 11528, 11533, 11539,
   11547, 11551, 11559, 11563, 11564, 11568, 11576, 11580, 11584, 11588,
   11596, 11600, 11604, 11608, 11612, 11616, 11620, 11624, 11628, 11632,
   11636, 11640, 11644, 11648, 11652, 11656, 11660, 11664, 11668, 11672,
   11676, 11680, 11684, 11688, 11692, 11696, 11700, 11704, 11708, 11712,
   11716, 11720, 11724, 11728, 11732, 11736, 11740, 11744, 11748, 11752,
   11756, 11760, 11764, 11768, 11772, 11776, 11780, 11784, 11788, 11792,
   11796, 11800, 11804, 11808, 11812, 11816, 11820, 11824, 11828, 11832,
   11836, 11840, 11844, 11848, 11852, 11856, 11860, 11864, 11868, 11872,
   11876, 11880, 11884, 11888, 11892, 11896, 11900, 11904, 11908, 11912,
   11916, 11920, 11924, 11928, 11932, 11936, 11940, 11944, 11948, 11952,
   11956, 11960, 11964, 11968, 11972, 11976, 11980, 11984, 11988, 11992,
   11996, 12000, 12004, 12008, 12012, 12016, 12020, 12024, 12028, 12032,
   12036, 12040, 12044, 12048, 12052, 12056, 12060, 12064, 12068, 12072,
   12076, 12080, 12084, 12088, 12092, 12096, 12100, 12104, 12108, 12112,
   12116, 12120, 12124, 12128, 12132, 12136, 12140, 12144, 12148, 12152,
   12156, 12160, 12164, 12168, 12172, 12176, 12180, 12184, 12188, 12192,
   12196, 12200, 12204, 12208, 12212, 12216, 12220, 12224, 12228, 12232,
   12236, 12240, 12244, 12248, 12252, 12256, 12260, 12264, 12268, 12272,
   12276, 12280, 12284, 12288, 12292, 12296, 12300, 12304, 12308, 12312,
   12316, 12320, 12324, 12328, 12332, 12336, 12340, 12344, 12348, 12352,
   12356, 12360, 12364, 12368, 12372, 12376, 12380, 12384, 12388, 12392,
   12396, 12400, 12404, 12408, 12412, 12416, 12420, 12424, 12428, 12432,
   12436, 12440, 12444, 12448, 12452, 12456, 12460, 12464, 12468, 12472,
   12476, 12480, 12484, 12488, 12492, 12496, 12500, 12504, 12508, 12512,
   12516, 12520, 12524, 12528, 12532, 12536, 12540, 12544, 12548, 12552,
   12556, 12560, 12564, 12568, 12572, 12576, 12580, 12584, 12588, 12592,
   12600, 12604, 12608, 12612, 12616, 12620, 12624, 12628, 12632, 12636,
   12640, 12644, 12648, 12652, 12656, 12660, 12664, 12668, 12672, 12676,
   12680, 12684, 12688, 12692, 12696, 12700, 12704, 12708, 12712, 12716,
   12720, 12724, 12728, 12732, 12736, 12740, 12744, 12748, 12752, 12756,
   12760, 12764, 12768, 12772, 12780, 12784, 12788, 12792, 12796, 12800,
   12804, 12808, 12812, 12816, 12820, 12824, 12828, 12832, 12836, 12840,
   12844, 12848, 12852, 12856, 12860, 12864, 12872, 12876, 12880, 12884,
   12888, 12892, 12896, 12900, 12904, 12908, 12912, 12916, 12920, 12924,
   12928, 12932, 12936, 12940, 12944, 12948, 12952, 12956, 12960, 12964,
   12968, 12972, 12976, 12980, 12984, 12988, 12992, 12996, 13000, 13004,
   13008, 13012, 13016, 13020, 13024, 13028, 13032, 13036, 13040, 13044,
   13048, 13052, 13056, 13060, 13064, 13068, 13072, 13076, 13080, 13084,
   13088, 13092, 13096, 13100, 13104, 13108, 13112, 13116, 13120, 13124,
   13128, 13132, 13136, 13140, 13144, 13148, 13152, 13156, 13160, 13164,
   13168, 13178, 13179, 13182, 13183, 13184, 13190, 13191, 13192, 13193,
   13194, 13207, 13207, 13216, 13231, 13233, 13236, 13238, 13242, 13254,
   13270, 13274, 13285, 13286, 13289, 13301, 13310, 13311, 13314, 13315,
   13316, 13319, 13320, 13323, 13324, 13327, 13328, 13331, 13333, 13335,
   13337, 13341, 13348, 13355, 13371, 13405, 13415, 13418, 13422, 13435,
   13436, 13438, 13440, 13444, 13458, 13465, 13526, 13535, 13537, 13538,
   13541, 13543, 13544, 13547, 13548, 13549, 13550, 13551, 13558, 13557,
   13567, 13569, 13571, 13572, 13575, 13576, 13577, 13578, 13581, 13582,
   13586, 13585, 13602, 13600, 13616, 13615, 13629, 13635, 13636, 13639,
   13641, 13642, 13645, 13646, 13647, 13648, 13651, 13652, 13655, 13663,
   13680, 13688, 13711, 13817, 13851, 13853, 13855, 13859, 13863, 13862,
   13913, 13915, 13914, 13929, 13935, 13942, 13947, 13953, 13954, 13957,
   13958, 13959, 13960, 13961, 13962, 13963, 13971, 13979, 13982, 13983,
   13984, 13985, 13986, 13987, 13995, 14003, 14004, 14005, 14008, 14009,
   14012, 14014, 14023, 14111, 14112, 14119, 14120, 14121, 14127, 14136,
   14139, 14140, 14141, 14142, 14145, 14146, 14147, 14150, 14152, 14160,
   14161, 14167, 14175, 14176, 14179, 14180, 14183, 14188, 14195, 14200,
   14207, 14214, 14214, 14216, 14223, 14224, 14227, 14228, 14229, 14230,
   14231, 14232, 14233, 14234, 14235, 14241, 14248, 14260, 14266, 14273,
   14281, 14282, 14294, 14305, 14316, 14320, 14321, 14324, 14329, 14333,
   14334, 14337, 14343, 14351, 14357, 14364, 14368, 14369, 14372, 14375,
   14379, 14380, 14383, 14389, 14398, 14403, 14413, 14423, 14435, 14436,
   14437, 14438, 14439, 14440, 14441, 14442, 14443, 14444, 14445, 14446,
   14447, 14448, 14449, 14456, 14457, 14460, 14461, 14468, 14469, 14470,
   14477, 14476, 14493, 14494, 14501, 14500, 14570, 14576, 14582, 14590,
   14596, 14602, 14608, 14614, 14620, 14626, 14632, 14638, 14649, 14650,
   14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660, 14661, 14662,
   14663, 14664, 14665, 14666, 14667, 14668, 14669, 14670, 14671, 14672,
   14673, 14674, 14675, 14676, 14679, 14680, 14681, 14682, 14683, 14684,
   14688, 14689, 14690, 14691, 14692, 14693, 14694, 14697, 14700, 14701,
   14702, 14703, 14704, 14705, 14706, 14707, 14720, 14721, 14722, 14723,
   14724, 14725, 14726, 14731, 14732, 14733, 14734, 14735, 14736, 14742,
   14743, 14744, 14745, 14746, 14747, 14748, 14749, 14750, 14751, 14752,
   14755, 14756, 14757, 14758, 14759, 14762, 14763, 14764, 14765, 14768,
   14769, 14770, 14771, 14772, 14773, 14774, 14791, 14792, 14793, 14796,
   14797, 14798, 14799, 14800, 14801, 14805, 14805, 14808, 14814, 14815,
   14818, 14820, 14825, 14835, 14846, 14853, 14854, 14855, 14858, 14891,
   14893, 14895, 14898, 14908, 14918, 14928, 14929, 14932, 14934, 14935,
   14936, 14939, 14941, 14949, 14950, 14951, 14955, 14956, 14960, 14961,
   14964, 14965, 14968, 14969, 14970, 14971, 14972, 14975, 14976, 14977,
   14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985, 14986, 14987,
   14988, 14989, 14990, 14991, 14992, 14993, 14994, 14995, 14996, 14997,
   14998, 14999, 15000, 15001, 15002, 15003, 15004, 15005, 15006, 15007,
   15008, 15009, 15010, 15011, 15012, 15013, 15014, 15015, 15016, 15017,
   15018, 15019, 15020, 15021, 15022, 15023, 15024, 15025, 15026, 15027,
   15028, 15029, 15030, 15033, 15034, 15035, 15036, 15039, 15040, 15041,
   15042, 15043, 15044, 15045, 15046, 15047, 15048, 15055, 15056, 15057,
   15058, 15059, 15062, 15063, 15066, 15067, 15078, 15079
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -4785

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4785)))

#define YYTABLE_NINF -2688

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2688)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4785,   419, 19304, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 27129, -4785,
   -4785, -4785, -4785, -4785,100793,   920, -4785, -4785, -4785,105247,
   -4785, -4785, -4785,   284, 67963, -4785, 70903,   986, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, 74823, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, 56680,  1665, -4785,
     481, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  1411, 11986,
   -4785, -4785, 71393, -4785,   307, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 71883,   828, -4785, -4785,   855,  1281, -4785,    96,
   14889, -4785, -4785, 64533, 68943, -4785, -4785, 75313,   322,  2238,
   14907,  1411, 26635, 75803, -4785,  1436, -4785, 53203, -4785, -4785,
   -4785, 68453, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, 83153,  2607,   998, 53703, -4785, -4785,
   -4785, -4785, 83153, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 76293, -4785,  1106,  1252,  1289, 83643, 84133, 66003,
   -4785,  1328, -4785, 83153,  1322,   279, 55698, -4785, 84623, -4785,
   -4785,  1206, -4785, 76783, -4785, -4785, -4785, -4785,   998, -4785,
   56680, 52219,    41,  1208, -4785, -4785, 85113, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  1912,  1271, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,   828, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,   657, -4785,  1138,   875,  1242,   260,  1355,
   -4785, -4785, -4785, 20681, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,102254,  2070, -4785, -4785, -4785,  1367, -4785,  1428, -4785,
   -4785, -4785,  1052, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
    1265, -4785, -4785, -4785, -4785,  1852,101280, 74823, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, 64043, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,   178, -4785, -4785, -4785,
   -4785, -4785, 74823, 74823, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   74823,  1515, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,   251,  1728, -4785, -4785, 56680,  1831,  1831,  2007,
  102254, -4785, -4785, -4785, 58153, 83153, 83153, 83153,  1696, 83153,
    1672, 83153,   698, 58153,109048, 77273,  1826,  1691, 47706, -4785,
  108204, 83153, 83153, 85603, 83153,  1854, 72373, 83153,  1778, 83153,
   83153,109470, 86093,  1908, -4785,  2249,  1119, -4785, -4785, -4785,
   83153,  6956,  2607, -4785, -4785, 83153,  1853, 58153, 83153,  1821,
   83153,  1955, 83153, -4785, 83153,  1978, 86583,   699,   496,109048,
     605, 48210,  1976,109048, 87073, 83153, 83153, -4785, -4785,  2056,
   83153, 83153, -4785,  2170,109892,  1530,  2180,  2328,  2240,    91,
   -4785, -4785,  2441,  2019, -4785, -4785,  2476, 74823, -4785, 72863,
   -4785, -4785, -4785,  2321, -4785, -4785, -4785, -4785, -4785, -4785,
  106516,  2238, -4785, -4785, 58644, 83153,  2309, -4785, -4785, 87563,
   -4785,  2117, -4785,   711, 59135,110314,  2411,  2095, 48714,  2458,
  110736, 88053, -4785, -4785, 88543, -4785, 89033,  2221, 89523, -4785,
  111158, -4785,  2352, 90013, -4785, 18757, -4785,  2090,  1752,  2131,
    1931, 74823, 74823,  1366,103104, -4785, -4785,   828, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,   311,  1469, 54203,  1294,
   54703, -4785, -4785,  1325,  1352,  1405,   311,  2563,  2563,    52,
   74823, -4785, -4785,  1469, -4785,  1063,   474,  2166,  2166,  2166,
    2326,   894, -4785,  2166, -4785, -4785, -4785, -4785, 76783, 54203,
   54703, -4785,  2150,  2607,    35,  2569,  2225, 83153, -4785, 83153,
   -4785, 83153, 83153, -4785, -4785, -4785,  2592,  2204,  2443, -4785,
    2199, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
    2390,  2397,  2401,    92,  2607,  2296, -4785,  2526, -4785,  2429,
   31646,   501, 74823,  2607, 55203, 77763, 97853,   261,106516,  2607,
   90503,  2272,  1535,  2430, -4785, -4785, -4785,   492, -4785,  2658,
    2297,  2521,    18,  1119, 45222, -4785,  2292,   747, 76783, 23128,
   -4785, -4785, -4785, -4785,   221,  2579, 32155, -4785, 83153,  2299,
   -4785,  2303,  2320,  2323,  1242, -4785, 83153,  1196,  1196,  2698,
    1196,  2085,  2256, -4785,  2140, -4785,  2623,  2587, 76783,  1208,
    1411,  2339, -4785, -4785, -4785,  2355, -4785,  2345,  2351, -4785,
     477,  2601, -4785, -4785, -4785, -4785,  2437,  2444,  2448,  2468,
    2381,  2473,   254, -4785, -4785, -4785, -4785,  2711, -4785, -4785,
   -4785, -4785, -4785, -4785,  2807,  2794,105672,105672,    74,    82,
     179,   213, -4785, -4785, -4785,  2656, -4785, -4785,  2663, 83153,
    2487, 83153, -4785, -4785, -4785, 90993, -4785, -4785,  1831,  2355,
    2438, -4785,   277, -4785,   747, -4785,   313,   334,   350,  1579,
    2428,  1600,  1791, -4785,   249, 83153,  2561,   250,   511,  2491,
   78253,  4730,  2455,   298,  2729,  2771,  3817,   254, 78743, -4785,
   83153, 83153, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,  2482, -4785, -4785,  2490,  2742,  1565,  2682,  1074,  2803,
   12141,  1235, 91483, 98343,  2767,  2809,  4206,  1784,   981,  2700,
     911,  2808,  1922,  2827,  4955, 83153,  2531, -4785,  2763,  2870,
     856, -4785,   532, -4785,  2600,  2740,   950, 58153,  2562, -4785,
   -4785, 83153, -4785, -4785, -4785,  2636, -4785,   713, 58153, -4785,
    2759,  2616, 49218, -4785, 83153, -4785, -4785, -4785, -4785, -4785,
    2715, 83153, -4785, -4785,  2836, 83153, -4785,  2166,  2760,  2611,
    2988, 61590,   151, 83153,  2654,  3022, 83153,  2832,  2654,  2670,
   91973, -4785, -4785,  2654, -4785, -4785, 83153, 83153,  2633,  1927,
    2654,  2839,  3051,  3055,  2735,  2834,  1108,   849,   107,  2962,
    2654,  2736, 83153, 92463, 83153,  2739, 83153,  3050, 58153, 83153,
   -4785,  2847, 79233, -4785,  2692,  2441, -4785, -4785, -4785, -4785,
   -4785,  1161, -4785, -4785, -4785, -4785,  3005,  2438,   406,  3030,
    2738,  3040, -4785, -4785,  2796, -4785,  3067,  2455,  3068, -4785,
    2765, 92953, -4785, 93443, 93933,  3071,  2482,109048,  3075,  2765,
    3077,  2969,  3085,   406,  3087, -4785,  1333,  3090,  2976,  3093,
    1825,  2765,106938,  3096,   116, -4785, 21244, 18757, -4785, 18436,
    1719, -4785, -4785, -4785, -4785, -4785, -4785, 35718,   642,  2884,
   -4785, -4785, -4785,  1417, -4785,104391, -4785,  1366,  1469, -4785,
   74823,  1469, 74823,    52,  1469, 74823,  1469, 74823,    52,  1469,
   74823, 74823, 74823,  1469, -4785, -4785,   386,  1389, -4785, -4785,
   -4785, -4785, -4785, 74823,  2798, 83153, 83153, -4785, -4785, -4785,
   69433,109048, 69923, -4785, -4785,    26, 74823, -4785, 74823, -4785,
    2607, -4785, -4785,  1752, 61590,  3205,109048,  3050,  3089,  3089,
    3089, -4785, -4785, -4785,  3031, 83153,  3092,  3095, 69433,109048,
   -4785, 94423,106516,  2993,  2815, -4785, -4785, -4785, -4785,  1894,
    2634,   379,  2801, 35718,  2816,   192,   192,  2817,  3108, -4785,
   -4785, -4785,   392,  2820,  2821, -4785,   449,   449,  2984,  2824,
    2825, -4785,   486,  2828, -4785,  3028,   497,  2830,  2831,  2833,
    2322,   192, 35718, -4785,  2835,   449,  2838,  2841,  2846,  3079,
    2848, -4785,  3137,  2850,   202,   293,  2851,  2852, -4785,  2824,
   -4785,   416,  2853,  2854,  2856,  2857,  2858,  2860,  2861,  2862,
   35718, 35718, -4785, 30628,   747,  2607, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,    97, -4785,   520,  5857, -4785,  2867, -4785,
   -4785,  3009, 35718, -4785, -4785,  3084,  2844, -4785,   529, -4785,
   -4785,   747, -4785, -4785,  1401, -4785, -4785, -4785, -4785,  2137,
    2137,   195, -4785, 71393, 71393, -4785, -4785,  1270,  2863, -4785,
     803, -4785, -4785, -4785, -4785, -4785, -4785,106094,  3241, -4785,
    1013,  2607,   532,  1625,  3215,103529,103960,  3112,  3112,  3097,
   -4785, -4785, 83153, -4785, -4785, 35718, 51235, -4785,   747,   110,
    3111, -4785, -4785, -4785,  2003, -4785, -4785, -4785,   828, -4785,
   14366, -4785,  2035,  2299, 83153, 83153,  3274, -4785, -4785,  2303,
   -4785, -4785,  1242,  1242, 35718,  1242,   739,  1216, 32664, 35718,
    3160,  3060,   199,   912,  3163, -4785,  3070,  2085,  2256, 76783,
   83153, 94913,  2985, -4785, -4785,  2355,  2885,  1923, -4785, 63553,
  101767,101767,  3130, -4785, -4785,   939,   970,  3001,  3099,  2563,
    1607,  2198, -4785, -4785,  2880, -4785,  3219, 71393,  2946,105672,
   -4785, -4785, 83153, -4785, -4785, 79723, -4785, -4785, -4785,  1556,
    2889, -4785,  2908, 83153,  3395, -4785,  2198,  2198, -4785, -4785,
    2894, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,102254,
    2901, 83153, -4785,  2902,  2903, -4785, 23128, 51727,  2068,   747,
    2981,  2983,  3032, 56680,  2906,  2990,  2994,  3033,  2995,  2996,
   98833, -4785, -4785, -4785, -4785,  1727,   743,  1379,  2997,   147,
     150,  3276, -4785,  1427,  3043, -4785, -4785, -4785,  4625, 83153,
    3223,  5249,  3109,   254,  3042, -4785, -4785,  3155,  3003,  3004,
    3126,   254,  1058, 99323, -4785, -4785, -4785, -4785, -4785, -4785,
    3431, 29127, -4785,  3011,  2991,  3021, 83153, 65023,  1732,  3123,
    1300,  2053,   141, 83153,  3198,  3131, 83153,  2940,  3026,  3027,
    3221,  2952,  1664,  3313,  2953, -4785, -4785,  3127,  3224,  3260,
    5819,  3018,  3019, 60608,  1261, 49722,  3304,  1888,  3044, -4785,
    1888, 83153,  3046,  3047, 83153,   254, -4785,  3354,   254,   254,
    1703,  3360,  3061,   291,  1618,  2654,  2953,  3038,  1458, -4785,
    3062,  3072,  1668, -4785,  3172, -4785, -4785,  1536,  3076, 76783,
     156,  1874,  2953,  3074,  3080,  2952,  2952, 83153, 83153, 83153,
   83153, 83153,   167,  3393,  3398,  3082,   111,  3122,  2999, -4785,
  107360,  3083, 97853, -4785, -4785, 83153,  3086,  1937,  2953,  1275,
   -4785,  1739, -4785, -4785, -4785,  1119, -4785, 83153, -4785, 83153,
    2438, 61590,  3193, -4785,  3045, -4785,  2455,   254, -4785, 83153,
   83153,  2482,   112,  1357,  3200, 83153,  3255,  3053, -4785,  1244,
   51727, -4785,  2633,  3015, -4785,  3069, -4785,  3069,  3069,  3025,
    3025,  3034, -4785, -4785,  2322,  3069,  3025, -4785, 62572, -4785,
    1870,  1983, -4785,  3427,  3432, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  1383, -4785,  2076, -4785, -4785, -4785,
   83153, 56680, -4785,  3443, -4785, -4785, 61590,  3214,  3332, -4785,
   83153,  3233,  3035, -4785,  3370,  3094, -4785, -4785,   841, -4785,
    3339,109048,   696,  2607,  3088, 83153,  3266, 83153, 83153, 83153,
   83153, -4785, -4785,  3231,   724,   231, -4785,107360, -4785, 83153,
    2471,  3249,  3456,   631,  2166, 83153,  3341, -4785, 83153,  3054,
    3460,  3294, -4785, -4785,  3057,  2563, -4785,  2692, -4785,  2133,
   -4785,  3181, -4785, 58153,   406, -4785, -4785, -4785, -4785, 61590,
   83153, 95403, 58153,   406,109048,109048,  3362,   116,  3363,  3120,
    3367,  3133, 49722,   406,   119,109048, 83153, 83153, 83153, -4785,
   83153, -4785, -4785, -4785, -4785, 83153, 83153,109048,107360,  3380,
    3383,   406, 83153, 83153, -4785, -4785, 22021,  1801, -4785, 18757,
   -4785, 14366,  2111,  3112, -4785,  1515, 83153,  1534,  1366,107782,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 74823, -4785,
   74823,    52, -4785, -4785, 74823, -4785, 74823,    52, -4785, 74823,
   -4785, -4785, -4785, 74823, 83153,  3582,  3091, -4785,  1401, -4785,
   83153,  2134, -4785, -4785,  2138,   808, 83153, 83153,   733, 58153,
   83153,  3275, 83153, 83153, 83153, 83153, 83153,  3162,  2863,  1309,
   -4785,   656, 76783,  3282, -4785, -4785, -4785, -4785, -4785,  2155,
    1912,  1446, 83153, -4785, -4785, -4785, -4785, -4785, -4785, 69923,
   68453,  3371,   182, 83153, -4785, -4785,  2927, 35718, 31137, -4785,
   -4785, -4785,  3098, 14366,  3129, 35718, -4785, -4785, 35718,  3102,
    2563,  2563, 35718, -4785, -4785, -4785, -4785,  2423,  2563, -4785,
   35718, 35718,  2563,  2563,  3069,  3069, -4785,  2683, 35718, -4785,
   49722, 35718, 37245, 28617, 35718,  3170,  3113,  2563, -4785,  2563,
   -4785, 35718, 30119, -4785, 35718,  3311, 38263, 35718,  1625,  3317,
   35718,  1625,  3521,  3521,  1208,  2392,  7377,  3107,   747, -4785,
    3222,  2563, -4785,  2563,   887,   235, 61590, 35718, 56680,  3184,
     220, 83153, 35718,  3115,  1694, -4785, 35718,   672, -4785,  3117,
   35718,  3190, 35718, 35718, 35718, 35718, 35718, 35718, 35718, 35718,
   35718, -4785, 39253,   267, -4785,  3394,  3412,   715,  1266, 70413,
    3404, -4785, 31646, 28107, -4785,   241, 74823, -4785, -4785,   747,
   -4785, -4785, -4785, -4785, -4785,  1556,  3118, -4785,  3135, -4785,
   -4785, -4785, -4785, -4785, 83153,  3241, -4785, -4785,  3203, -4785,
   -4785, -4785, -4785,   539, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,  3132, -4785, -4785, -4785, -4785,  3132, -4785, -4785,
    3112,  3128,  7317, -4785, -4785, -4785, -4785,  3400,  3402,   406,
  102254, 83153,   221, 73353, -4785, 32155, -4785,  2161, -4785,  3139,
   -4785,  3384, -4785,  3138, -4785,  5373,  3384, -4785, -4785,   149,
    3248,  3382,  3329, -4785, -4785, -4785,  3142, 14366, -4785,  2188,
   14366,  2216, -4785, -4785, -4785, -4785, -4785, -4785,  1014, -4785,
   83153,  3282,  3160,   912,  3201,   567, 83153, -4785, 45717,  2105,
   -4785,  2355, -4785, -4785, 25962, -4785, 27617, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  3146, -4785, -4785, -4785,
   -4785,   254,  3148,  3630, -4785,105672, -4785, -4785, -4785,  3582,
   -4785,  2476, -4785,  2476,  3655, -4785, 74823, -4785, -4785, -4785,
   -4785,  1135, -4785, 18757, -4785, 18757, -4785,  3331, -4785,  3542,
   -4785, 62572, -4785,  3156, -4785, 62081, 59626, -4785, -4785,   612,
   -4785,  1483,  3235,  3236,  3278,109048, 83153, 83153, -4785, 56680,
  109048, 83153, 83153,109048, 83153, 83153, -4785,  3522,     2, 68453,
    3285, 66493, -4785, -4785,  3164, 83153,  3225,  3399,  3405,   916,
   -4785, -4785, 95893, -4785,  3374,109048, 83153, 83153, 35718,  3376,
   83153, 83153, -4785,   436,  3244,  3252, -4785, 83153,  3259, 58153,
    3183, 83153, 83153, 83153,  3257,   746, 58153,  3229, 50226, 83153,
   83153, 83153, 83153,  3307, 83153, 83153,  3425,  1603, 76783,   117,
    1938,  2953,  3387, -4785,  1073, -4785,109048, 83153,  3385, -4785,
   -4785, -4785, 66983,  3594,  3301, -4785, -4785, 99813, -4785, -4785,
   -4785,  2184, -4785,109048,109048, 83153,  7106, 83153,  1296, -4785,
   -4785, 61590, -4785, 83153, 83153, 83153, 83153, 73843, 96383, 96873,
    1649,  1671, 83153, 74333, -4785, 83153, -4785, -4785, 57171,109048,
   83153,  1025, 56680, -4785, 83153,  3389,   683, -4785, 83153,  5726,
    3280,  3289, 83153,   183,  2030,  2953, 83153, 83153,  3204,  2205,
    3283,  3330, -4785, 83153, -4785,109048,  1307, -4785,  3348,109048,
   83153, 15267, -4785, -4785,   254, -4785, -4785, -4785, -4785, -4785,
   83153, 83153,   254, 83153,   254, 83153,  1284, -4785,109048, 83153,
   -4785, -4785, -4785, 83153,  7803, 83153, 83153, 83153, 83153,109048,
   83153, -4785, -4785,  1410,  1226,  1547,  1551,  3349, 83153,  3480,
   83153, 97363,109048, 83153, 83153, 83153,  1684, -4785, -4785,  3325,
   -4785,109048,  1307,  8453, 83153, 83153,  3291,  3292,   104,  3366,
   -4785, -4785, -4785, -4785, -4785, -4785,  3463,  3622, 83153, -4785,
    3465,  3466,  3284,  3287,  3471,  1758, 83153, -4785, -4785, -4785,
   -4785, 83153,  3473,  1758,  3420,   585, -4785, -4785,  2654, -4785,
    2217, -4785,  3247, -4785, 35718,  3642, 61590,  3240,  3246,  3316,
   -4785,  3322,  2563, -4785,  2224, -4785, -4785,  2232, -4785,  3262,
     724,  1839, -4785, 56680, 83153,   654,   639,  3553, 65513,  3453,
    3540, 83153,  3296, 83153,  3453, 83153, -4785,  2678, 68453, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3541, -4785,
    2607,  2633,  2633,  2633,  2633, -4785, -4785, -4785, -4785,  3445,
    2071, -4785,  3258,  2633, 83153,  3373,  3453,  3261,  3318,  2471,
    3563,  3571, 83153, 65513,  2274,  3308,  3678,  2166,  2607,  3467,
   -4785, 29623,  3661,  3470,106516, 79233, -4785,  3293,  3546,  3549,
    3568, -4785,  2438, -4785,  3690, -4785,  3590,   406,  2455, -4785,
    2765, -4785, 83153, -4785, 83153, 83153, 83153, 83153,  2482, -4785,
   -4785,  2765,  3476,   406,   406, -4785,  3477,   406,  2765,  3406,
    3584,106516, -4785,   116, -4785, -4785, -4785, -4785, -4785, 35718,
   -4785, -4785,  2166,  2133, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, 74823,  2476, -4785,  2260, -4785,
   83153, -4785,  3561,  3567,  3573,  3314,  3315,  3336, 83153,  3319,
   -4785,  3314,   254,  3314,  2863,  2863,  3314,  3315,108626,  3716,
    3589,   608, -4785,   618,  1239,  3525, -4785, -4785, -4785, -4785,
   61590, -4785, -4785, -4785, -4785, -4785, 83153,  3352,   214,  3505,
    3321,108626,  3708,   406, -4785, 58153, -4785, -4785, -4785,  3401,
    3414, 58153,  3520,  3377, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,  3572, 83153,  2270, -4785,  1828, -4785,  1892, 35718, 35718,
     330, -4785, 13250,  2285, 35718,  3335,  3342,  2314, -4785, -4785,
   -4785, -4785, -4785, -4785,  3344,  3621, -4785, -4785,  3345,  2319,
    2329,  3347,  3351, -4785, -4785,  2753,  3357, 13634,  3358, 37245,
   37245,  2257, -4785, -4785, 37245,  3359, -4785,  2330, 12625,  3346,
    3364,  3375, -4785,  3365,  3369, 13759, 33173, 35718, 33173, 33173,
   13902,  3346,  3372,  2333, 56680,  3510, 14013,  2346, -4785, 35718,
   56680,  6519, 35718, -4785, 35718, 83153,  3386,  3390, -4785, -4785,
    2683, -4785,  3396, -4785, 37245, 37245, -4785,  2538, 30628, -4785,
   -4785,  3637, -4785, -4785,  1743, -4785,  3368, -4785, -4785,  3618,
     273, 35718,  3115, 35718,  3444, 49722,  6371, 35718,  4184,  5898,
    5898,   469,   469,   160,   160,   160,  1795,  1266, -4785, -4785,
   -4785,  3388,  3403,  3407,  3547,  2848, 35718, -4785,  2459,  2462,
   83153,  8211, 10490, 12687, -4785, -4785, 40766,  3411, -4785, 35718,
   35718, 35718,  3392, -4785,  3806, 14366,   499, -4785,  3807, -4785,
   -4785, -4785,  1130,  3655,  1556, -4785,  1119,  2563,   887,104391,
   -4785, -4785, -4785, 35718, -4785, -4785, -4785, -4785,  2303, -4785,
   -4785, -4785, -4785, -4785, 83153,  1912, 35718, -4785, -4785,   725,
    2190, 35718,  2188, -4785, -4785,  3442, -4785, 35718, -4785, -4785,
   -4785,  2863, -4785, -4785, -4785, 40766,  3433,  3435, 44727,  3528,
   -4785, -4785, 83153,   246, -4785, -4785, -4785,  3415, -4785, -4785,
   -4785,  1860, -4785, -4785, -4785, -4785, -4785, -4785,  3397, -4785,
    3408, -4785,  3417, -4785, -4785, -4785, -4785,   172,  3409,  3410,
    3421,  1716, -4785, 59626,  2076, -4785, 62081, -4785, 62081, -4785,
    2076,  3786, -4785, 59626,  1811,109048, 83153, 83153, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3631, -4785,
  109048,109048,  3595, 83153,  3591,  3602, 35718,   909, 83153,  3418,
    3423,  1557,  3686, 83153, -4785,  3727,   406, -4785, -4785,  3504,
   -4785, 14366, -4785, -4785, -4785, -4785, -4785,109048, 83153, -4785,
  106516, -4785,  2438, 61590, -4785, -4785, -4785, 83153,  3462, 83153,
   -4785, 83153, 83153, 83153,  2482, -4785, -4785, -4785, -4785,  1374,
   -4785, -4785, 83153, 83153,   247,  3513,  3514, 83153, -4785,   726,
    3172,  8469, 83153, 83153, 83153,  3681, -4785, -4785, -4785, -4785,
    3628, -4785, -4785, 59626, -4785,  2765,  1191,  3515,  2953, -4785,
    3623, -4785,   782, -4785, -4785, -4785, -4785, -4785,  3740,   406,
    3743,   406, 83153, 83153, 83153, 83153, -4785, -4785, -4785, -4785,
   -4785, 56680, 56680, 56680,  2386, -4785, -4785,  2607, -4785, -4785,
   -4785, -4785, -4785, -4785,  3704, -4785,  2396, -4785,  1466, -4785,
   -4785, -4785, -4785, -4785, -4785,109048, 83153, 10360, 83153, 83153,
   83153,  2107, -4785,  1101, 61590, -4785, 61099,109048, 83153, -4785,
   -4785,  3672,  3615, -4785,  2004,  3616,109048,  3509, -4785, -4785,
    3529, -4785, -4785,  3532,  2154,  2953,  3512,  1458, -4785, -4785,
   -4785, -4785, -4785, -4785,  3494, -4785, -4785,  1195,   211,  2211,
    2953,  3536, -4785,  3537, -4785, -4785, -4785,  3682,  3683,  3684,
    3550,  3551,  3586,  3556,  3559,  3592, -4785,  3560,  3597,  3562,
    3598,  3569,   406, 61590,  3669,  2607,  3596,  3773,   406, -4785,
    3570, -4785, -4785,  3889, -4785, 83153, -4785,  3574,  2227,  2953,
   -4785, -4785,109048, 83153, -4785, -4785, -4785,  1758, 61590,  3739,
    1758,  1758, 83153, 83153,  1758, -4785, -4785, -4785,  3741,  3742,
    1758, -4785, -4785, -4785, -4785,  2760,  3502, -4785,  2321, 47202,
    7987,  3507,  3246,  3506,  2563, 43242,  1093,  3713,  3516, -4785,
   -4785, 56680, 47202,  2103,  3733,  3523,  3523,  3523,  3523,  3523,
    3523,  3523, -4785,  2642,   516,  2654,106516, 83153,106516, -4785,
     639,  3623, 83153, 83153,  3517,  3508, -4785, -4785, -4785, -4785,
  109048,   598,109048,  2563, -4785, -4785,  3583, -4785, 83153,  2166,
    3912,  3055,   696,  3653,  1687,  3863,  3308, -4785, -4785, -4785,
   -4785, 83153, 83153,   724,  2607, -4785,  3524,  3526, -4785, 83153,
   83153, 83153, 83153, 83153,  1912,  3527,  3530, 61590,   324,  3711,
    3714,  2952,  3937,  1912,  3308,  3610, 83153, -4785,  2424,    76,
   -4785,  2607,106516, 60117, -4785,  3581, -4785, -4785,   854,  3810,
   -4785, 83153, -4785, -4785, 44232,   406, 61590, 83153, -4785,   406,
     116,  3593,   406,  3603,   406,   406, 83153, -4785, -4785, 83153,
   -4785, 83153,107360,   406, -4785, 14366,  3826, -4785, -4785, -4785,
   -4785,  3663,  3664,  3674, 83153,  3314, 58153, -4785,  3544,109048,
    1652, -4785, -4785,  3722, -4785, -4785, -4785, -4785, -4785,  3853,
    3856, -4785, -4785, -4785,   650, -4785,109048, 69433,   132,109048,
   -4785,  2438, -4785, -4785,  2455,   254, -4785, 83153,  3797, -4785,
   -4785, -4785,  3557,  2425, 14083, 35718, -4785,  3867, 61590, -4785,
    8312, -4785, -4785, -4785, -4785, 35718, -4785, -4785, -4785, -4785,
   -4785, 35718, -4785, 35718,  3845, -4785,  3987,  3987, 61590, 37245,
    1611,  2838, 37245, 37245, 37245, 37245, 37245, 37245, 37245, 37245,
   37245, 39762,   785, -4785, -4785, 35718, 35718,  3852,  3845, -4785,
   -4785,  1619,  1619, 61590,  3564,  3346,  3577,  3578, 35718, -4785,
   -4785,  2442, 38758,  3579, 56680, -4785, 35718, 12895,  2445,  3614,
   14348,   747,  8672, -4785,  3949,  2607, 35718,  2062,  2986, 35718,
    2451, 35718,  3857, -4785, -4785, -4785,  3575, -4785, -4785, 61590,
   35718, 37245, 37245,  4814, -4785,  8620, 35718,  3588,  9216, 30628,
   -4785,  3752,  3613, 46212, -4785,   998,   998,   998,   998, -4785,
   83153, 83153, 83153, 41261,  3880, 40271, 80213,  3580,  1991, -4785,
   80213, 80703, -4785,  3612, -4785,  3601,   747, 35718,  3874,   566,
     566,  3752, -4785, 35718, 33682,  3604, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,  3600, -4785,  3617, -4785, -4785,   532,  3606, -4785,
   -4785, 11799,   172, -4785, -4785,  3607, -4785,  3625, -4785,  2190,
   -4785, -4785, -4785,  8926,  3784, -4785, -4785,  3580, 34191,  3528,
   -4785,  2457, -4785, -4785, 31646, -4785, -4785,  2461, 45717,  3433,
   32155,   747,  2563,  3629, -4785,  2476,  1130, -4785, -4785, -4785,
   -4785, -4785,  2470,  1842, -4785, -4785, 59626, -4785,  3689, -4785,
   -4785, -4785,  3523,  2765,  2765,  1521,  3314,  3907,  1521,  9306,
   -4785, -4785, 41756, 83153, 83153, -4785, 83153,  2478,  1544, 83153,
   -4785, 83153, -4785, -4785, -4785, -4785,  4031, -4785, 83153, -4785,
   -4785,  3688,  3691, -4785, 83153, 83153, 83153, 83153, -4785, -4785,
    2428, -4785, -4785,109048, 83153, -4785, -4785, -4785,   286,  2265,
    2953, -4785,  3705, -4785, -4785,  3884, -4785,  4022,  3724, 83153,
    3640, -4785,  1544,   728,  2952,   886, -4785, -4785,  3709, 83153,
   -4785, 83153, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, 57171, -4785, -4785, 83153, -4785, 56680, 47202, 56680, -4785,
    1491,   289,  2268,  2953, -4785,  3723, -4785,  3728,  3734,  3769,
    1015,  1116,  3749,  3750,  3772,  3652,  3673,  3676, -4785, -4785,
     311,  2607, -4785, -4785,  2607,  2765,  2607, 83153, 83153, 83153,
   83153,  2952,  4044,  3760, 83153, 83153, 83153, 83153, 83153,  3968,
     124,  2054,109048, 83153, 83153,109048, 83153, 83153, 83153, 83153,
   83153, 83153, 83153, -4785,  4053,  3985,  2213,  4025,  3754, 83153,
   -4785, 83153,  3172, 83153, 83153, -4785, -4785, -4785,  3687,  1758,
   -4785, -4785,  3932,  3936, -4785,  1758,  1758, -4785,  1244, 56680,
   -4785,  3081, -4785,  3247,  3625,  2563,  2198, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  2563,  2524,  3695, -4785, 43737, -4785,
    3696, -4785,  2156,   887, -4785, -4785, 83153,  3523, -4785,  3002,
    2728,  2849,  3065, 81193, 81683, 82173,  3698, 83153, 83153, 37245,
   -4785,  1593,   792, -4785,  3934, 83153,  3736, -4785, -4785, -4785,
    3855, 83153, -4785, -4785, -4785, -4785, -4785,  3710, -4785,  3821,
   65513,  2765,109048,109048,  2765, -4785, 61590,  3720,  3308,109048,
     696,  1699, 92463,  3746, -4785,  3731,  4000, -4785,  3715,  3732,
   -4785, -4785, 83153,  3623,  2492,  3763,   682,  2131,  3352, 67473,
    2274,  3988, -4785, -4785, -4785,  4096,  3818, -4785,  1912,  3352,
    3818,  2607,  3225, -4785, 59626, 35718, 35718, -4785,  3735, -4785,
    3737,  4095, -4785,  2633, -4785, -4785, -4785, -4785, -4785, -4785,
    3813, 83153,  4167, -4785, -4785, -4785,  3745,   406, -4785, -4785,
   83153, -4785, 83153, -4785, -4785,   406,   406, -4785,  3860, -4785,
    1912, 83153, 83153, 83153,  3314, -4785,   254, -4785,  4019,108626,
   -4785, -4785, -4785, -4785, -4785,  4082,   182,  4027, -4785, -4785,
    3991,  3992,  3993,  3995,  2195, -4785, -4785, 35718, 14366, -4785,
    3753, -4785, 14366,  9910, 14366,  3852, -4785,  3730,  4028, -4785,
    1318,  3755,  3730,  1708,  1708,   131,   131,   136,   136,   136,
    3987,   785, 14366, 14366, -4785, -4785, -4785, -4785,  3756, -4785,
   -4785, -4785,  3346, -4785, 36227,  3898,  4146, -4785, -4785, -4785,
    3798,  3799,  3761, -4785, 35718, 36736,  3765, 62572, -4785, -4785,
     887,  1962, 37245, 37245,  2786, -4785,   993, 35718, 61590,  2506,
    2786,  3599,  3675, 35718, 35718,  9362,   331, 35718,  9973,  3771,
   35718,100303, -4785, -4785, 83153, 83153, 83153, 83153, -4785, -4785,
   -4785, 80213, 80703,  3766, 42746,  1991,  3774, 83153, -4785, -4785,
    3770, 40766,  4014,  3953, -4785, 40766,  3953,  1869,  3953,  4017,
   -4785, 46707, -4785, -4785,  3778, -4785, -4785, 28107,  1961, 14366,
    4168,  4055, 35718,  3782,  3785,  3788, 14366, 35718, -4785,  2607,
    1130,  1197,  2607, -4785, -4785, -4785, 49722, -4785, -4785, -4785,
    3982, 14366, -4785,  1912, 83153,   747,   587,  3808, 83153, -4785,
    3528, -4785, -4785, 18757, -4785, -4785, -4785, -4785,  3861,  2517,
   -4785,   311, -4785, -4785, -4785, -4785,  3873, 68453,  4083, -4785,
   35718,  2522, -4785,  3834,  4170,   114,  2539,  2547,  1544, -4785,
    3736, -4785,  1663,  4061,   120, -4785,   406, -4785, 61590, -4785,
   83153, 83153, -4785, -4785, -4785, -4785,  2906, -4785, -4785, 83153,
   83153, 83153, 83153, -4785,109048, 83153, -4785, 56680,  2642,  3998,
   -4785, -4785,  3999,   311, 83153, -4785, 61590,   406,   406, -4785,
   -4785, -4785, -4785,  3819,  4195,  3893, 83153, 83153, 83153, 83153,
  109048, 83153, 83153,  2563,  2563, 61590,  3809, -4785,  2563,  2563,
    3812, -4785,109048, 83153, 83153, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785,  3847, -4785,109048, 83153, -4785,
    3886, -4785, -4785, -4785, 83153, 83153, 83153, 83153,  4114, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   83153, -4785, -4785,  2607,  2607, 61590,   406,   406, -4785, -4785,
   -4785,  4059, -4785,  1758,  1758, -4785, -4785,   228,  2548, -4785,
  102676, -4785, -4785,  3022,  2607,  3022,  1945, -4785, -4785,  3022,
   -4785,  3022, -4785,  1544,  3820,  1780,  4102, -4785,  2689,102254,
   43737, 43737, 43737, 43737, 43737, -4785, -4785,  4105,   311, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, 35718, -4785,  1234,  3730, -4785, -4785,
   -4785, -4785,  3736,  2166,  3877, 58153,   253, -4785,  4087,   654,
   65513,  1011, 83153, -4785,  2765,  2765,  3879, 83153,  4230, -4785,
     795, 83153,  4141,  3868, -4785,  2607, -4785, -4785,  3308,  2952,
   83153, 65513,  3352, -4785,  2554, -4785, -4785, -4785,  3866,  3714,
    3831,  2274,  1143, 83153, -4785,  3869, -4785, -4785,  4119,  3836,
   -4785, 14366, 14366,  2607, 63063,  3581, -4785, 83153,  4093, 83153,
   -4785,   406, -4785,   406,   406, -4785, -4785, 83153,  3314,  3314,
    3314, -4785,  4021, -4785, -4785,   406,108626,  2195,  2195,  2195,
    2195, -4785, -4785, -4785, 14366, -4785, -4785, -4785, 37245,  4124,
   -4785,  3842, 61590, -4785,  3844,  2573,  2578, 38263,  3990, -4785,
   -4785, -4785, 10240,  3896, 14366,  3947,  3854,  3858, -4785,   641,
     641,   993,  2581, -4785, 37245, 37245,  2786,  2786, 35718,  2786,
   -4785, -4785, 10532,  4023, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, 57662, 80213,  3848, 83153,  1991, 40766, -4785, -4785,  1657,
   -4785, 40766,  4097, -4785, 40766, 83153,  3862, 83153,   499, 35718,
   35718,  3900, -4785, -4785, -4785,  3752, -4785, -4785,  2198, -4785,
   -4785, -4785, -4785,   887,  3865, 74823, -4785, -4785, -4785,  1208,
   -4785, -4785, -4785, -4785, -4785, -4785,108626,  4042,108626,  1544,
   11078,  3736, 41756, 50730, 83153, 82663, 82663,  4011,  3736,  3877,
   -4785, -4785, -4785, -4785, -4785, -4785,  3870, -4785, -4785, -4785,
    3946, -4785, -4785,   -39,  3282,  2584, -4785, -4785, -4785, -4785,
   -4785,  4053, -4785, -4785, 47202,109048, 83153, -4785,  3956, -4785,
   -4785, -4785, -4785, -4785, 42251, 49722, -4785,  1015,  3876,  3882,
    1116, -4785, -4785, -4785,  2952,    -9,  3282, 83153,  1704,   847,
    3906,  3314,  4169, -4785, -4785, -4785,  4053, -4785, -4785,  1758,
   -4785, -4785, -4785,  2654,  4210, -4785, 56680, -4785,104822, -4785,
   -4785, -4785,  2607, -4785,  2607,  4080, 83153, 52711,  2607,  2607,
   -4785, 58153,  4291,  4291, -4785,  3887,  2034,  2034, -4785, -4785,
   -4785, 83153, -4785, -4785, 11371,  4084, -4785,  3877,  4107,  4153,
   -4785,  3897, 83153,  4054,  3899,  3903,   252,   252,  3623, 83153,
    2603,  1912,   696, 65513,  3623, -4785,  1670,  3901,  4207, -4785,
    4311, -4785,  3527,  3909, -4785, -4785, 67473,  4089,  3818, 83153,
    3714,  4033, -4785,  4036, -4785,  1085, -4785, 83153, 41756, -4785,
   62081, -4785,  2620, -4785, -4785,  3411, 83153,    46, -4785,  3925,
   -4785, -4785, -4785, -4785, -4785, -4785,   132, -4785, -4785, -4785,
   -4785,  1224, 37245, 61590,  2621, 35718, -4785, 35718, -4785,  4301,
   -4785, -4785, -4785,   602, -4785, -4785, -4785,   641,   641,  2786,
   -4785,  4302,  3752, -4785,  2648,  4320, -4785, 83153,  2653, -4785,
   35718,  3917, -4785, -4785, 40766,  1657,  2662, 83153,  2665, 61590,
    3920,  3346, 14366, 83153, -4785,  3921, -4785, -4785, -4785, -4785,
   -4785, -4785,  1652,  1521,   132,  4170,  3877, -4785,  3918, -4785,
   -4785, 83153, -4785,  1482,  1482, 83153,  3877, -4785, -4785, 83153,
    4009, -4785, -4785, 56680,  3981, -4785,     1,  3282, 83153, 61590,
    2455,   224, -4785, 61590, 61590, -4785, -4785,  4012, -4785, -4785,
   83153, 83153, 83153, 83153, 83153,   406, -4785,  3502,  2607, -4785,
   -4785,  2685, -4785, -4785, -4785, 83153,  3731, -4785,  3731, -4785,
   -4785,  4291,   719, -4785, -4785, -4785, -4785,  2077,  4130, -4785,
    1088,  4115,  4016,  3931, -4785, 58153,  4364,  4047, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785,  4231,  3308,  3869,
   -4785, -4785, -4785, -4785, 35718,  4091,  1912,  2274,  3988, -4785,
   -4785, -4785,  2702,  3818, -4785, -4785,  4314,  4118,  4316, -4785,
    2706, -4785, -4785,  4095, 63063,  4263, -4785,  3996, 83153, -4785,
   -4785,  2508,  4376, -4785,  1224,  2707, -4785,  2710,  2713,  4094,
    4001, -4785, 35718,  1168,  3612, 57662,  3950, -4785,  2714, -4785,
   14366, 83153, -4785, -4785, -4785,  2717, -4785, -4785,  3951, -4785,
    4357, -4785, -4785,  4237, -4785, 82663,  3994, 49722, -4785,  2190,
    2190,  2166, -4785,  1544, -4785, 83153, -4785, 35718, -4785,  4041,
   -4785, -4785,  2718, -4785,    80,  4104,  4248,  2721,  2722, 83153,
    3315,  4002,  3315, -4785,  3314, -4785, -4785, -4785, -4785,104822,
    3731, -4785, -4785, -4785,  4277,  4222, -4785, -4785, -4785, -4785,
     280, -4785,  4151,  4154, 83153, -4785,  3967, -4785,  2730, 83153,
   83153,  4374,  4377, -4785, 11415, 58153,  3869,  3714,  2274,  2642,
   -4785, -4785,  4156, -4785,  4157,  3308, 41756,  3581, -4785,   274,
   -4785, -4785, -4785, -4785, -4785, 83153, -4785, -4785, -4785, -4785,
   -4785,  3346, 34700, 34700,  3970, -4785, -4785, 83153, -4785,  2733,
   -4785, 83153,  3975,108626,  1482,  3976, -4785,  3977, -4785, -4785,
    4107,  1544,  3282, 14366, 83153, 58153,  4368, -4785, -4785, -4785,
    4104, -4785, -4785,  3282, 83153, -4785,  4108, -4785,   775,   775,
    4309, -4785,  4040, -4785, -4785,  3989, -4785,  4417,  3623, -4785,
    1015,  1912, -4785,  3997, -4785,  3818,  3714, -4785, -4785,  3818,
   -4785, -4785, -4785, -4785,  2129, -4785, 37754,  4117,   899, 13198,
   -4785, -4785, -4785, -4785,  2734, -4785, -4785, -4785,   132,  2190,
   35718,  1544, -4785,  4115, -4785,  3282,  2455, 83153, -4785, -4785,
   -4785,  3868, -4785,  4411, -4785,   989, -4785, -4785, -4785, -4785,
   -4785,  3809,  3869, 56189, -4785,  3818,  3411, -4785,  2277, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  4401, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, 11689, -4785, -4785, -4785, -4785,
    4298, -4785, -4785, -4785, -4785,  2750, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,  1863, -4785, -4785,  1994,  2323, 35209, -4785,
    1544,  4159, -4785, 56189, -4785,  2277, -4785, 58153, -4785, -4785,
    4003, 56189,  2754, -4785
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2371,     0,     2,     1,  2801,  2805,  2809,  2810,  2727,  2811,
    2812,  2777,  2778,  2779,  2780,  2781,  2782,  2783,  2784,  2785,
    2786,  2787,  2788,  2790,  2789,  2791,  2792,  2793,  2794,  2795,
    2796,  2797,  2798,  2800,  2799,  2749,  2378,  2746,  2743,  2744,
    2745,  2750,  2748,  2741,  2742,  1968,  2814,  2802,  2815,  2803,
    2804,  2806,  2807,  2776,  2808,  2816,  2817,  2818,  2813,  2821,
    2772,  2773,  2771,  2774,  2775,  2819,  2820,  2763,  2764,  2765,
    2766,  2822,  2379,  2380,  2768,  2372,  2376,  2438,  2509,  2769,
    2770,  2767,  2377,  2762,  2509,     0,  2630,  2631,  2632,     0,
    2633,  2634,  2635,  2561,  2523,  2636,     0,     0,  2637,  2638,
    2639,  2640,  2641,  2642,  2643,  2644,     0,  2645,  2646,  2647,
    2648,  2508,  2649,  2650,  2651,  2652,  2653,  2485,  2491,  2614,
       0,  2465,  2466,  2462,  2464,  2463,  2467,  2450,  1226,   569,
    1314,  1313,     0,  2274,  1226,  2230,  2231,  2275,  2232,  2233,
    2234,   261,     0,  1316,  2235,  2276,     0,  1226,  2277,   388,
     988,  2278,  2279,  2393,     0,  2236,  2237,     0,     0,     0,
     569,  1226,     0,     0,  2238,  1428,  2239,     0,  2240,  2280,
    2281,     0,  2241,  2282,  2283,  2242,  2243,  2244,  2284,  2285,
    2286,  2245,  2287,  2288,     0,     0,  1442,     0,  2246,  2289,
    2247,  2248,     0,  2290,  2249,  2250,  2251,  2291,  2292,  2252,
    2253,  2254,     0,  2255,     0,     0,     0,     0,     0,     0,
    2293,  1226,  2256,     0,     0,  1449,     0,  2257,     0,  2294,
    2258,     0,  2259,     0,  2260,  2261,  2262,  2263,  1442,  2610,
    2486,     0,  1318,     0,  2264,  2295,     0,  2265,  2266,  2267,
    2268,  2269,  2270,  2271,  2272,  2273,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1316,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1415,  1402,  1451,  1414,  1427,     0,  1417,
    2706,  2707,    37,  1428,   120,   121,   126,  2375,  2427,  2428,
    2429,  2509,  2460,  2461,  2454,  2470,  2480,  2469,  2473,  2481,
    2468,  2487,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2708,
    1642,  2705,    63,  2445,  2444,     0,  2509,     0,  2738,  1980,
    1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,
    2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2134,  2132,  2133,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
    2191,  2192,  2193,  2194,  2195,  2196,  2393,  2197,  2198,  2199,
    2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,
    2411,  1969,  1977,  1978,  1979,  2386,  2407,  2413,  2734,  2412,
    1976,  2560,     0,     0,  2654,  2655,  2656,  2657,  2658,  2659,
    2709,  2710,  2711,  2712,  2713,  2715,  2714,  2522,  2681,  2718,
    2521,  2719,  2525,  2720,  2721,  2722,  2723,  2682,  2724,  2524,
    2716,  2678,  2526,  2519,  2520,  2679,  2628,  2629,  1946,  2680,
    2677,  2717,  2414,  2676,  2530,  2529,  1392,  2733,  1945,  1393,
       0,  2532,  2660,  2661,  2662,  2663,  2665,  2664,  2666,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2691,  2308,  2309,  2310,  2704,  2311,  2312,  2692,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2693,  2694,  2337,  2338,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2695,
    2361,  2362,  2696,  2363,  2364,  2365,  2697,  2366,  2367,  2368,
    2369,  2370,  2701,  2702,  2703,  2690,  2483,  2667,  2689,  2700,
    2698,  2699,  2493,  2489,  2497,  2492,     0,     0,     0,     0,
    2509,  1225,  1224,  1210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   568,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2383,     0,  1236,   359,   358,  1315,
    1296,   569,     0,  1213,   387,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,     0,     0,   411,   410,     0,
       0,     0,   960,   416,     0,     0,     0,     0,     0,   557,
    2392,  2387,  2397,     0,  2390,  2391,  2676,     0,  2825,  2132,
    2423,  2424,  2823,  2182,  1394,   262,   265,   266,   263,   264,
       0,  1067,  1068,  1070,     0,     0,  1080,   793,   794,     0,
     792,     0,   796,     0,     0,     0,   788,     0,     0,     0,
       0,     0,   795,   785,     0,   784,     0,     0,     0,   791,
       0,   786,     0,     0,  1214,     0,  2475,  2476,  2070,  1355,
     417,     0,     0,  1428,     0,  1333,  1334,  1316,  1323,  1335,
    1328,  1330,  1329,  1331,  1327,  1332,  1981,   899,  1995,   899,
    2060,   896,   897,   899,   899,   899,  2149,     0,     0,   871,
       0,   882,  1972,   899,  1973,  2734,   904,   472,   472,   472,
       0,   903,   908,   472,  1207,  1245,  1950,  1441,     0,  1995,
    2060,   872,  1206,  2197,  1347,     0,     0,     0,  1084,     0,
    1085,     0,  2164,  1218,   246,  2674,  2173,  2260,  2197,  2675,
     245,   240,   241,  2669,  2670,  2672,   214,  2673,  2671,  2668,
    1985,     0,     0,   903,     0,  1215,  1216,   855,  1448,  1446,
    1932,     0,     0,  2003,     0,  2015,  2096,   237,  2160,  2165,
    2173,  2260,  2197,  2227,   193,   203,   198,     0,   255,  2173,
    2260,  2197,     0,  1236,     0,  1418,  1534,  1941,     0,     0,
    2484,  1209,  1208,  1317,     0,  1320,     0,  1496,  2145,  1422,
    1424,  1322,  1415,     0,     0,  2374,  1311,  1445,  1445,     0,
    1445,     0,  1407,  1415,  1410,  1414,     0,     0,     0,     0,
    1226,     0,  2452,  2480,  2459,  2515,  2456,     0,     0,  2505,
    2501,  2498,  2506,  2507,  2500,  2488,  1631,  1632,  1633,  1630,
    1643,  1629,     0,  2433,  1634,  2472,  2439,     0,  2447,  2446,
    2751,  2752,  2562,  2385,  2404,     0,     0,     0,     0,     0,
       0,     0,  2531,  2533,  2535,  2495,  2494,  2490,     0,     0,
       0,     0,  2620,  2621,  2619,     0,  2616,  2618,     0,  2515,
       0,  2685,  2679,  2688,     0,  1951,  2680,  2677,  2676,     0,
     803,     0,   141,   948,     0,     0,     0,     0,  1945,     0,
       0,     0,     0,     0,     0,  2069,     0,     0,     0,  1844,
    2007,  2055,  1854,  1852,  1853,  1846,  1847,  1848,  1849,  1850,
    1851,     0,  1065,  1845,     0,   163,   141,     0,     0,  2069,
     532,     0,     0,     0,     0,  2069,     0,     0,     0,     0,
       0,  2099,   141,  2069,     0,     0,     0,  1230,     0,     0,
       0,  1232,  1235,  1211,  1299,     0,  1941,     0,     0,   834,
     824,     0,   835,   825,   830,     0,   837,     0,     0,   827,
       0,     0,     0,   838,     0,   826,   828,   840,   829,   836,
       0,     0,   831,   832,     0,     0,  1222,   472,   365,     0,
       0,     0,     0,     0,   141,  1286,     0,  2069,   141,     0,
       0,   415,   414,   141,   413,   412,  2007,  2055,     0,   987,
     141,  2069,     0,   186,   639,   572,     0,     0,   717,  2099,
     141,     0,     0,     0,     0,     0,     0,   963,     0,     0,
     556,   569,     0,  2396,  2402,     0,  2394,  2563,  2826,  2824,
    2518,     0,  1071,   238,   239,  1069,  2069,     0,   333,     0,
       0,  2069,  1273,   790,     0,   789,  2069,     0,  2069,  1970,
     177,     0,   787,  2007,  2055,  2069,     0,     0,  2069,   169,
    2069,     0,  2069,   333,  2069,   573,     0,  2069,     0,  2069,
    2099,   171,     0,  2069,   333,   801,     0,     0,  2756,  2760,
       0,  2758,  2753,  2474,  2528,  2527,  2426,     0,  2837,     0,
    1394,  1325,  1340,     0,  1336,  1343,  1339,  1428,   899,   898,
       0,   899,     0,  2846,   899,     0,   899,     0,  2846,   899,
       0,     0,     0,   899,  1974,  1975,     0,     0,  2845,  2843,
    2844,   873,   883,     0,   905,     0,     0,   912,   911,   910,
       0,     0,     0,   913,  1538,  1370,     0,   880,     0,   878,
       0,  1204,  1221,     0,     0,     0,     0,   963,  1087,  1087,
    1087,  1217,   244,   242,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,  2740,  1957,  1855,  2739,     0,
    2231,  2232,  2233,  1913,     0,  2681,  2234,  2235,  2276,  1763,
    1750,  1759,  1764,  1751,  1753,  1760,  2236,  2237,  2039,  2238,
    2239,  1964,  2240,  2241,  1586,  2243,  2244,  2245,  1755,  1757,
    2246,  2247,     0,  1965,  2249,  2250,  2118,  2252,  2253,  2255,
    2256,  1761,  2258,  2259,  2260,  2261,  2262,  2263,  1963,     0,
    1762,  2264,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
       0,     0,  1938,     0,  1732,     0,  1578,  1579,  1601,  1602,
    1580,  1607,  1608,  1620,  1581,     0,  1937,  1645,  1812,  1731,
    1746,  1737,     0,  1730,  1726,  1431,  1931,  1933,     0,  1727,
    1953,  1914,  1967,  1966,  2734,  1922,  1956,  1954,  1955,     0,
       0,     0,   206,     0,     0,  2609,   257,     0,   258,  1939,
    2173,   194,   236,   208,   235,   209,   207,     0,  2005,   195,
       0,     0,   196,     0,     0,     0,     0,     0,     0,     0,
     251,  1212,     0,  1536,  1535,     0,     0,  1920,  1942,   810,
       0,  1309,  1310,  1308,     0,  1305,  1307,  1319,  1316,  1927,
    1926,  1928,     0,  1423,     0,     0,     0,  1405,  1404,  1322,
    1443,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
    1486,  1459,  1460,  1462,  1483,  1487,  1495,     0,  1411,     0,
       0,  1540,     0,  1497,  2373,  2515,  2516,     0,  2510,     0,
    2509,  2509,  2503,  2502,  2499,     0,     0,     0,     0,     0,
       0,     0,  2430,   551,  2432,   549,     0,     0,  2406,     0,
    2410,  2408,     0,  2555,  2558,     0,  2556,  2557,  2559,     0,
    2564,  2565,     0,     0,     0,  2747,     0,     0,  2546,  2534,
    2541,  2543,  2545,  2544,  2553,  2549,  2552,  2554,  2496,  2509,
    2627,     0,  2622,  2625,     0,  2617,     0,     0,     0,  1952,
       0,     0,     0,     0,   804,     0,     0,     0,     0,     0,
       0,   140,  1271,   248,  1269,     0,     0,     0,     0,     0,
       0,     0,  1278,     0,     0,   175,   176,   584,   569,     0,
    2069,     0,     0,     0,     0,  1027,  1034,     0,     0,     0,
       0,     0,     0,     0,  1028,  1026,  1029,   250,  1038,  1051,
    1054,     0,   938,     0,     0,     0,     0,     0,  1136,     0,
       0,  1136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   271,   283,   328,     0,     0,  2069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,   536,   548,     0,     0,
       0,     0,     0,   545,     0,   141,   275,     0,   525,   533,
       0,     0,     0,   648,   647,  1276,  1275,     0,     0,     0,
    1136,     0,   267,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   351,   352,
       0,     0,     0,   145,   168,     0,     0,     0,   277,     0,
    2440,     0,  1231,  1228,  1229,     0,  1234,     0,  1295,     0,
       0,     0,     0,   842,     0,   839,     0,     0,   833,  2007,
    2055,     0,     0,     0,     0,     0,     0,   390,   364,     0,
       0,   714,     0,     0,  1589,  1618,  1596,  1618,  1618,  1585,
    1585,  1598,  1587,  1625,     0,  1618,  1585,  1590,     0,  1588,
    1628,  1628,  1613,     0,  1570,  1571,  1572,  1573,  1599,  1600,
    1574,  1605,  1606,  1575,  1642,  2686,  1585,  2687,  2684,  2683,
       0,     0,   725,     0,  1248,  1285,     0,     0,     0,   578,
       0,  2069,     0,   143,   759,     0,   715,   416,     0,   143,
       0,     0,   180,     0,   643,     0,     0,     0,     0,     0,
       0,   663,   662,     0,     0,     0,   716,     0,   143,     0,
     532,  2069,     0,   472,   472,     0,     0,   962,   965,     0,
       0,     0,  2400,  2395,  2398,     0,  2388,  2402,  1397,  1399,
    1398,     0,  1396,     0,   333,   331,   332,   712,  1079,     0,
       0,     0,     0,   333,     0,     0,  2069,   333,  2069,     0,
    2069,     0,     0,   333,   333,     0,     0,     0,     0,   644,
       0,   800,   798,   797,   799,     0,     0,     0,     0,     0,
    2069,   333,     0,     0,   781,  2754,     0,     0,  2757,     0,
    2477,  1865,     0,  2840,  1352,  2841,     0,     0,  1428,     0,
     225,   226,   224,  1341,   227,  1342,  1338,  1324,     0,   891,
       0,  2846,  2847,   876,     0,   886,     0,  2846,   874,     0,
     887,   884,   885,     0,     0,     0,  2842,  2725,  2731,   890,
       0,     0,   473,   475,     0,     0,  2025,  2038,     0,  2061,
    2087,  2088,  2165,  2169,     0,  2192,  2201,     0,   914,   943,
     909,     0,     0,  1380,   881,   879,  1205,  1345,  1871,     0,
    1428,     0,     0,  1086,  1083,  1082,  1081,   243,   215,     0,
       0,     0,   945,  2164,  1220,   854,   569,     0,     0,  1735,
    1736,  1617,  1604,  1912,     0,     0,  1612,  1611,     0,     0,
       0,     0,     0,  1594,  1593,  1592,  1734,  1879,     0,  1591,
       0,     0,     0,     0,  1618,  1618,  1616,  1665,     0,  1595,
       0,     0,  1892,     0,  1898,     0,     0,     0,  1624,     0,
    1622,     0,     0,  1701,     0,     0,     0,     0,     0,     0,
       0,     0,  1649,  1650,  2682,  1732,  1865,     0,  1733,  1960,
       0,     0,  1610,     0,  1642,  1855,     0,     0,     0,     0,
    1925,     0,  1863,     0,     0,  1679,  1861,     0,  1681,     0,
       0,     0,  1854,  1852,  1853,  1846,  1847,  1848,  1849,  1850,
    1851,  1859,  1662,     0,  1936,     0,  1814,     0,  1661,     0,
    1499,  1430,     0,     0,  1958,  1915,     0,  2732,  2735,  1728,
    2606,  2605,  2604,  2603,  2574,     0,  2568,  2569,     0,  2607,
    2608,   259,   260,   256,     0,     0,   211,   210,     0,   233,
     234,   205,   232,     0,   228,   229,   213,  1803,  1802,   212,
     204,   201,   199,   216,   218,   219,   202,   200,   254,   252,
       0,     0,     0,  1917,  1916,  1948,  1921,     0,     0,   333,
    2509,  1303,     0,  1300,  1930,     0,  1425,     0,  1943,     0,
    1312,  1421,  1420,  1452,  1453,   980,  1419,  1477,  1478,  1473,
       0,     0,     0,  1492,  1490,  1469,  1463,  1468,  1466,     0,
    1470,  1645,  1485,  1409,  1457,  1458,  1461,  1408,     0,  1488,
       0,  1380,  1486,  1462,  1367,     0,     0,  1541,     0,     0,
    2517,  2515,  2455,  1570,  2509,  2448,  2509,  2504,  2436,  1636,
    1637,  1638,  1639,  1640,  1641,  2437,     0,  2434,  1635,  2435,
     550,     0,     0,     0,  2403,     0,  2384,  2409,  2540,  2649,
    2572,     0,  2573,     0,     0,  2537,     0,  2547,  2550,  2548,
    2551,     0,  1570,  2728,  2623,  2728,  1570,  1002,  1004,     0,
    1003,     0,  1006,     0,  1015,     0,     0,  1001,  1020,     0,
    1009,  1007,     0,     0,     0,     0,     0,     0,   805,     0,
       0,     0,     0,     0,     0,  2192,   247,  1267,     0,     0,
       0,     0,   947,   946,     0,     0,   967,     0,     0,     0,
    1281,   461,     0,   330,     0,     0,     0,     0,     0,     0,
       0,     0,   710,   707,     0,     0,   706,     0,   582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   618,     0,  1136,
       0,   651,     0,  1036,     0,  1035,     0,     0,     0,  1037,
    1032,  1033,  2165,  2173,  2197,   249,  1053,     0,  1052,  1050,
     990,     0,   991,     0,     0,     0,     0,     0,  2048,   285,
     298,     0,  1135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   319,     0,   322,   321,     0,     0,
       0,     0,     0,   326,     0,     0,     0,   325,     0,     0,
       0,     0,     0,  1136,     0,   279,     0,     0,     0,     0,
       0,     0,  1066,     0,   166,     0,   162,   165,     0,     0,
       0,   532,   535,   547,     0,   539,   540,   537,   541,   542,
       0,     0,     0,     0,     0,     0,     0,   534,     0,     0,
     641,   640,   646,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,  1088,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,     0,     0,     0,   654,   655,     0,
     656,     0,   167,     0,     0,     0,     0,     0,     0,     0,
     223,  1227,  1233,  1298,  1949,  1297,     0,     0,     0,   841,
       0,     0,     0,     0,     0,     0,     0,   843,   844,   845,
     846,     0,     0,     0,     0,     0,   367,   368,   141,   366,
       0,   738,  2683,   713,     0,  1570,     0,  1566,  1562,  1631,
    1630,  1629,     0,  1576,  1585,  1582,   726,     0,   728,   731,
       0,  1246,   434,     0,     0,   575,   618,     0,   419,   173,
       0,     0,     0,     0,   139,   184,   186,   417,     0,   185,
     187,   189,   190,   191,   188,   192,   638,   642,     0,   571,
       0,     0,     0,     0,     0,   664,   668,   667,   671,   669,
       0,   665,     0,     0,  1558,     0,   161,     0,   522,   531,
       0,  2381,     0,   419,   503,   344,     0,   472,     0,     0,
     964,     0,     0,     0,     0,     0,  2401,     0,     0,     0,
       0,  1395,     0,  1057,     0,  1274,  2069,   333,     0,  1055,
     178,  1971,     0,   782,     0,     0,     0,     0,     0,  1059,
     778,   170,     0,   333,   333,   574,     0,   333,   172,     0,
       0,     0,   566,   333,   802,  2755,  2761,  2759,  1354,     0,
    2838,  2839,   472,  1399,  1326,  1337,   888,   895,   877,   894,
     893,   875,   892,   889,  2539,     0,     0,  2730,     0,   906,
       0,   471,     0,     0,     0,   920,   921,     0,     0,   919,
     936,   922,     0,   924,   916,   915,   925,   926,     0,     0,
     945,     0,  1377,     0,  1375,     0,  1539,  1379,  1368,  1346,
       0,  1344,  1349,  1351,  1350,  1348,     0,   516,     0,     0,
     903,     0,     0,   333,  1219,     0,   856,   857,   863,     0,
       0,     0,     0,     0,   864,   860,   861,   862,   865,   866,
     867,     0,     0,     0,  1875,     0,  1876,     0,     0,     0,
    1911,  1907,     0,     0,     0,     0,     0,     0,  1883,  1884,
    1885,  1882,  1886,  1881,     0,     0,  1887,  1880,     0,     0,
       0,     0,     0,  1615,  1614,     0,     0,     0,     0,     0,
       0,     0,  1704,  1737,     0,     0,  1839,     0,  1865,  1897,
       0,     0,  1626,     0,     0,     0,     0,     0,     0,     0,
    1865,  1903,     0,     0,     0,     0,  1801,     0,  1798,     0,
       0,     0,     0,  1922,     0,     0,     0,     0,  1961,  1646,
    1663,  1935,     0,  1924,     0,     0,  1647,  1670,     0,  1904,
    1697,     0,  1702,  1685,     0,  1678,     0,  1683,  1687,  1666,
    1925,  1864,     0,  1862,     0,     0,  1664,     0,  1659,  1657,
    1658,  1651,  1652,  1653,  1654,  1655,  1656,  1660,  1843,  1841,
    1842,     0,     0,     0,  1822,     0,     0,  1682,  2063,  2096,
       0,  1442,  1442,  1442,  1429,  1440,     0,  1553,  1934,     0,
       0,     0,     0,  1738,     0,  1869,  1451,  1867,  1951,  2737,
    2736,  1923,     0,     0,     0,  1940,     0,     0,  1642,     0,
     253,  1537,  1918,     0,   808,   809,   807,  1570,  1322,  1306,
    1302,  1301,  1929,  1321,     0,  1428,     0,   978,   979,     0,
     983,     0,     0,  1471,  1493,     0,  1484,     0,  1475,  1476,
    1467,  1494,  1489,  1413,  1412,     0,  1556,     0,     0,  1364,
    1357,  1542,     0,  1499,  1382,  1384,  1385,     0,  1922,  2453,
    2511,  2458,  2479,  2449,  2482,  1644,  2431,  2471,     0,  2405,
    2575,  2576,     0,  2566,  2567,  2536,  2542,  2613,     0,  2729,
       0,     0,  1005,     0,  1585,  1016,     0,  1000,     0,   999,
    1585,     0,  1017,     0,  1585,     0,     0,     0,  1164,  1091,
    1140,   806,  1165,  1092,  1141,  1166,  1093,  1268,     0,  1270,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   689,  2069,   333,  1279,  1167,     0,
    1094,   329,  1280,  1142,  1284,   709,   708,     0,     0,  1143,
       0,   583,     0,     0,   588,   589,   590,     0,     0,     0,
     591,     0,  2007,  2055,     0,   596,   603,   608,   598,     0,
     609,   604,     0,     0,     0,     0,     0,     0,   615,   617,
       0,     0,     0,     0,     0,     0,  1030,  1031,  1168,  1097,
       0,  1144,   989,     0,  1098,   174,     0,     0,   272,   286,
     624,   689,  1138,   305,   318,   313,   314,   312,  2069,   333,
    2069,   333,     0,     0,     0,     0,   315,   310,   311,   307,
     320,  1984,  2040,  2174,     0,   628,   630,     0,   635,   323,
    1112,   340,   339,   338,     0,   327,     0,   345,   348,   324,
     303,   306,   304,   300,   284,     0,     0,     0,     0,     0,
       0,     0,  1947,     0,     0,  1061,     0,     0,     0,   164,
    1126,     0,     0,   150,     0,     0,     0,     0,   144,   154,
       0,  1174,  1102,     0,     0,   276,     0,   528,   538,   543,
    1106,   546,  1154,   544,   526,  1180,  1103,     0,  1136,     0,
     268,     0,  1104,     0,  1148,  1176,  1128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1287,     0,     0,     0,
       0,     0,   333,     0,     0,     0,  1138,  2069,   333,  1175,
       0,  1133,  1162,     0,   353,     0,  1127,     0,     0,   278,
    1108,  1156,     0,     0,   221,   220,   222,     0,     0,     0,
       0,     0,     0,     0,     0,   848,   817,   847,     0,     0,
       0,   811,   389,   362,   363,   365,   372,   737,     0,     0,
       0,  1567,  1563,     0,     0,     0,     0,     0,     0,  1583,
     727,     0,     0,     0,     0,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1247,  1277,     0,   141,     0,     0,     0,   577,
     617,   624,     0,     0,     0,   418,   422,   426,   427,   428,
       0,     0,     0,     0,   155,   142,     0,   767,     0,   472,
       0,   186,   179,     0,     0,     0,   344,   724,   722,   721,
     723,     0,     0,     0,   742,   720,     0,  1557,  1559,     0,
       0,     0,     0,     0,     0,   421,     0,   475,     0,     0,
     507,     0,     0,     0,   344,     0,     0,   994,     0,  1012,
     995,     0,     0,     0,  1041,  1046,  1042,  1022,     0,   554,
    2399,  2393,  1400,  1401,     0,   333,     0,     0,   619,   333,
     333,     0,   333,     0,   333,   333,     0,  1202,   645,     0,
     697,     0,     0,   333,   780,  1866,     0,  2538,  2726,   907,
     474,     0,     0,     0,     0,   918,     0,   552,   923,     0,
     935,   930,   932,     0,   939,  1378,  1371,  1373,  1372,     0,
       0,  1369,  1872,   779,     0,   521,     0,     0,   333,     0,
     940,     0,   858,   859,     0,     0,   868,     0,     0,  1447,
    1873,  1874,     0,     0,     0,     0,  1908,     0,     0,  1776,
       0,  1752,  1754,  1584,  1766,     0,  1597,  1777,  1778,  1756,
    1758,     0,  1856,     0,     0,  1767,  1706,  1707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1719,  1718,  1768,  1838,     0,     0,  1895,  1896,  1769,
    1627,  1628,  1628,     0,     0,  1902,     0,     0,     0,  1774,
    1779,     0,     0,     0,     0,  1785,     0,  1806,     0,     0,
       0,  1729,  1866,  1619,  1620,     0,     0,     0,     0,     0,
       0,     0,     0,  1703,  1686,  1680,     0,  1684,  1688,     0,
       0,     0,     0,  1672,  1698,  1668,     0,     0,  1674,     0,
    1699,     0,     0,     0,  1745,  1442,  1442,  1442,  1442,  1439,
       0,     0,     0,     0,  2162,     0,  1520,  1498,  1500,  1507,
    1520,  1525,  1747,  1551,  1748,     0,  1941,     0,  1480,  1451,
    1451,  1451,  1744,     0,     0,     0,  1450,  2588,  2590,  2591,
    2592,  2593,  2594,  2596,  2597,  2599,  2600,  2601,  2589,  2595,
    2598,  2602,  2579,  2580,     0,  2570,  2571,   197,     0,   230,
     217,     0,  2613,  1304,  1944,     0,  1454,     0,  1857,   983,
     981,   982,  1456,     0,     0,  1491,  1464,  1366,     0,  1364,
    1359,     0,  1360,  1922,     0,  1356,  1389,     0,     0,  1556,
       0,  1388,     0,  2513,  2441,     0,     0,  2612,  2615,  2626,
    2624,  2451,     0,  1585,   997,   998,     0,  1021,     0,  1163,
    1090,  1139,  1266,   950,   951,     0,   949,     0,     0,     0,
     460,   966,     0,     0,     0,   689,     0,     0,   464,     0,
    1282,     0,  1181,  1125,   585,   586,     0,   597,     0,   606,
     605,     0,     0,   593,     0,     0,     0,     0,   592,   611,
     558,   612,   614,     0,     0,   613,   616,   621,  1136,     0,
     652,  1114,     0,  1160,  1024,     0,   992,     0,     0,     0,
       0,   434,   299,     0,     0,     0,   287,   297,     0,     0,
     302,     0,   295,   316,   308,   317,   309,   632,   633,   631,
     627,     0,   634,   636,     0,   342,     0,     0,     0,  1170,
       0,  1136,     0,   280,  1110,     0,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1171,  1145,
       0,     0,   147,   146,     0,   153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   354,   335,     0,   745,     0,     0,     0,
     356,     0,     0,     0,     0,  1169,  1099,   812,     0,     0,
     813,   821,     0,     0,   814,     0,     0,   823,     0,     0,
     361,   369,   739,     0,  2118,  1846,  1847,   735,   740,   732,
     734,   733,   736,   689,     0,     0,     0,  1568,     0,  2827,
    2835,  2834,     0,  1642,   729,   730,     0,  1266,  1265,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     446,     0,     0,   440,     0,     0,  1046,   433,   436,   437,
       0,     0,   578,   581,   579,   580,   610,     0,   453,     0,
       0,   157,     0,     0,   158,   156,     0,     0,   344,     0,
     182,   417,     0,     0,   570,   670,   673,   666,     0,   741,
     743,   718,     0,   624,     0,   523,     0,  1355,   516,     0,
     503,   499,   501,   500,   502,     0,   509,   343,     0,   516,
     509,     0,   967,   993,     0,     0,     0,  1039,  1043,  1040,
       0,     0,  1008,     0,  1023,   986,  1197,  1198,  1195,  1196,
       0,     0,  2416,  1391,  2425,  1058,     0,   333,  1056,   783,
       0,   774,     0,   776,  1060,   333,   333,   657,     0,   567,
       0,     0,     0,     0,   917,   937,     0,   933,     0,     0,
     900,   942,  1376,  1374,   514,     0,   945,     0,   901,   944,
       0,     0,     0,     0,     0,  1877,  1603,     0,  1910,  1906,
       0,  1749,  1878,     0,  1890,  1889,  1705,  1891,     0,  1724,
       0,     0,  1716,  1714,  1715,  1708,  1709,  1710,  1711,  1712,
    1713,  1717,  1900,  1899,  1893,  1894,  1623,  1621,     0,  1771,
    1772,  1773,  1901,  1780,     0,  1998,  1807,  1784,  1800,  1799,
       0,     0,     0,  1787,     0,     0,  1796,     0,  1840,  1609,
    1642,  1648,     0,     0,  1671,  1905,  1689,     0,     0,     0,
    1667,     0,     0,     0,     0,  1676,  1856,     0,     0,     0,
       0,  1825,  1820,  1821,     0,     0,     0,     0,  1433,  1432,
    1438,  1520,  1525,     0,  1415,     0,  1507,     0,  1519,  1505,
    1518,     0,     0,  1531,  1529,     0,  1531,     0,  1531,     0,
    1502,     0,  1521,  1503,  1518,  1550,  1543,     0,  1942,  1552,
       0,  1482,     0,     0,     0,     0,  1870,     0,  1868,  1739,
       0,     0,     0,  1919,  2611,  1426,     0,  1455,  1472,  1465,
       0,  1554,  1365,     0,     0,  1362,     0,     0,     0,  1383,
    1364,  1386,  2457,     0,  2512,  2577,  2578,  1018,     0,     0,
    1010,     0,   956,   957,   955,   958,     0,     0,     0,   689,
       0,     0,   480,     0,   974,   974,     0,     0,   466,   512,
    1046,   692,     0,     0,     0,   690,   333,  1095,     0,   607,
       0,     0,   602,   600,   599,   601,   559,  1179,  1096,     0,
       0,     0,     0,  1025,     0,     0,  1113,     0,   431,     0,
     292,  1137,     0,     0,     0,   291,     0,   333,   333,   629,
     341,   346,   347,   350,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   768,   751,     0,     0,
     769,   770,     0,     0,     0,  1063,  1064,  1062,   151,   148,
     149,   152,  1123,  1107,  1155,   529,   527,     0,     0,  1105,
       0,  1149,  1120,  1116,     0,     0,     0,     0,     0,  1178,
    1132,  1153,  1177,  1130,  1151,  1129,  1150,  1131,  1152,  1124,
       0,  1561,   748,     0,     0,     0,   333,   333,   659,  1109,
    1157,     0,   815,     0,     0,   816,   818,   392,     0,   395,
     402,   373,   378,  1286,     0,  1286,     0,   375,   379,  1286,
     374,  1286,   371,   711,     0,     0,     0,  1564,     0,  2509,
       0,     0,     0,     0,     0,  1569,  1577,   688,     0,  1257,
    1256,  1255,  1259,  1258,  1261,  1260,  1252,  1251,  1264,  1263,
    1250,  1249,  1254,  1253,     0,   438,     0,   444,   448,   449,
     447,   439,  1046,   472,   511,     0,     0,   701,     0,   576,
     419,   450,     0,   423,   160,   159,     0,     0,     0,   186,
       0,     0,   675,   679,   719,     0,  1560,   653,   344,     0,
       0,   419,   516,  2382,     0,   424,   429,   430,     0,   507,
       0,   503,     0,     0,   513,  1244,   517,   518,     0,     0,
     996,  1013,  1014,     0,     0,  1046,  1045,     0,   561,     0,
    2389,   333,   620,   333,   333,  1203,   698,     0,   929,   928,
     927,   553,     0,   931,   515,   333,     0,     0,     0,     0,
       0,   870,   849,   869,  1909,  1765,  1775,  1888,     0,     0,
    1725,     0,     0,  1770,  2265,     0,     0,     0,     0,  1804,
    1805,  1786,     0,  2109,  1791,     0,     0,     0,  1962,  1695,
    1693,  1690,     0,  1691,     0,     0,  1673,  1669,     0,  1675,
    1700,  1811,     0,  1827,  1824,  1437,  1436,  1435,  1434,  1506,
    1504,     0,  1509,  1516,     0,  1501,     0,  1530,  1526,     0,
    1527,     0,     0,  1528,     0,     0,  1516,     0,  1451,     0,
       0,  1816,  1742,  1743,  1740,  1451,  1959,  2581,     0,  2584,
    2582,  2583,  2587,  1642,     0,     0,  1358,  1361,  1363,     0,
    1390,  1381,  2514,  1011,  1019,  1272,     0,     0,     0,   462,
       0,  1046,     0,     0,     0,   977,   977,     0,  1046,   511,
     694,   693,   696,   691,   695,  1283,     0,   594,   595,  1115,
       0,  1161,  1121,     0,  1380,     0,   625,   288,   289,   290,
     293,   335,   301,   294,     0,     0,     0,  1111,     0,  1159,
    1118,  1172,  1100,  1146,     0,     0,   757,     0,     0,     0,
       0,  1173,  1101,  1147,     0,     0,  1380,     0,     0,     0,
       0,  1292,     0,   334,   747,   746,   335,   355,  1134,     0,
     819,   820,   393,   141,     0,   370,     0,   400,     0,   398,
     397,   399,     0,   386,     0,     0,     0,     0,     0,     0,
    1565,     0,  1077,  1077,  2828,     0,  2829,  2830,  2831,  2832,
    2833,     0,   689,  1262,     0,     0,   435,   511,   479,     0,
     441,     0,     0,     0,     0,     0,     0,     0,   624,     0,
       0,     0,   181,   419,   624,   674,     0,     0,     0,   744,
       0,   524,   421,     0,  1353,   420,     0,     0,   509,     0,
     507,     0,   504,     0,   508,     0,  1237,     0,     0,  1044,
       0,  1048,     0,  1007,   984,  1553,     0,   565,  2415,  2419,
    1078,   775,   777,   658,   934,   941,   333,   850,   851,   852,
     853,  1720,     0,     0,     0,     0,  1781,     0,  1782,  1809,
    1808,  1788,  1792,     0,  1789,  1790,  1692,  1696,  1694,  1677,
    1813,     0,  1451,  1546,     0,  1549,  1508,     0,     0,  1510,
       0,     0,  1512,  1514,     0,     0,     0,     0,     0,  1945,
       0,  1479,  1481,     0,  1416,     0,  2586,  2585,   231,  1858,
    1555,  1387,   935,     0,   333,   974,   511,   481,  2118,   482,
     973,     0,   975,   980,   980,     0,   511,   689,   587,     0,
       0,   273,   623,     0,   337,   349,     0,  1380,     0,     0,
       0,   764,   752,     0,     0,   771,   530,     0,   269,  1117,
       0,     0,     0,     0,     0,   333,   822,   372,     0,   396,
     405,     0,   403,   376,   381,     0,   385,   383,   382,   377,
     380,  1077,     0,  1074,  1073,  2836,   687,     0,   470,   442,
       0,   490,     0,     0,   702,     0,     0,     0,   459,   458,
     455,   454,   456,   457,   452,   451,   649,   761,   344,  1244,
     637,   676,   677,   672,     0,     0,     0,   503,   499,   425,
     434,   408,     0,   509,   505,   506,     0,     0,     0,  1294,
       0,   968,  1047,     0,     0,     0,   560,     0,     0,   564,
     555,     0,  2417,   902,  1721,     0,  1722,     0,     0,     0,
    1794,  1793,     0,  1830,  1551,     0,     0,  1545,     0,  1517,
    1533,     0,  1513,  1511,  1522,     0,  1524,  1739,  1815,  1817,
       0,  1741,   952,     0,   953,   977,   485,     0,   976,   983,
     983,   472,   689,   463,  1122,     0,   626,     0,   296,     0,
     281,  1119,     0,   755,     0,   766,   764,     0,     0,     0,
    1288,     0,  1289,  1290,  1293,   357,   360,   391,   401,     0,
     384,  1072,  1076,  1075,     0,     0,   443,   476,   477,   478,
       0,   445,   486,   487,     0,   699,     0,   704,     0,     0,
       0,     0,     0,  1238,     0,     0,  1244,   507,   503,   432,
     498,   406,     0,  1241,     0,   344,     0,  1046,  1049,  1201,
     563,   562,  2420,  2422,  2421,     0,  1723,  1797,  1783,  1810,
    1795,  1826,     0,     0,     0,  1544,  1547,     0,  1515,     0,
    1523,     0,     0,     0,   980,     0,   689,     0,   971,   970,
     479,   465,  1380,   336,     0,     0,     0,   762,   765,   753,
     766,   773,   772,  1380,     0,   404,     0,   469,     0,     0,
       0,   488,     0,   489,   510,     0,   703,     0,   624,   760,
       0,     0,   678,     0,  1239,   509,   507,  1242,  1243,   509,
     969,   985,  1200,  1199,  1428,  2418,  2230,     0,  2203,     0,
    1828,  1831,  1829,  1823,     0,  1532,  1818,  1819,   333,   983,
       0,   467,   483,   490,   274,  1380,     0,     0,   754,   270,
    1291,   679,   495,     0,   494,     0,   492,   491,   700,   705,
     650,   750,  1244,   682,   409,   509,  1553,  1183,  1428,  1182,
    1184,  1192,  1189,  1191,  1190,  1188,     0,  1835,  1834,  1833,
    1837,  1836,  1548,   954,   972,     0,   689,   282,   756,   763,
       0,   493,   497,   496,  1240,     0,   680,   683,   686,   684,
     685,   407,   959,     0,  1193,  1187,  1415,  1402,     0,   484,
     468,     0,   660,     0,  1185,  1428,  1832,     0,   681,  1186,
       0,   682,     0,   661
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4785, -4785,  4139, -4785, -1182,  -347,  2637, -1174, -4785, -4785,
   -4785,  3286, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3310,
   -4785, -4785,  1816, -2592, -4785, -4785,   -51,  3281, -1615,   -45,
    2909,  1489, -4785, -1410, -4785, -4785,  -888,    34, -4785,  3290,
   -1067, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -1130,
    1974,  1312,  3552, -4250, -4785, -4785, -1777, -3341, -4785,   690,
   -4785, -4785,  1913, -4785, -4785, -4785,  1163,   613,  -345, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  -153, -4785, -4785,  -485,
     176,  -106, -2606,  -207, -4785, -4785,   556,  -206, -1623, -4785,
   -3674, -4785,   113, -4785, -4785, -4785,  -186, -1726,  1407, -4785,
    -982, -1406,  1735,  -543, -4785,   -64, -4785,  -604,  -483,  -481,
    -556,  -373, -3854, -4288, -3868, -3213,  1413, -4785, -3798,   194,
   -4785, -4785,   215,   226, -4785, -1811, -1803, -1742, -4785, -1050,
   -4785, -4785, -4785, -3111, -4785, -4785, -4785, -4785,   -88, -4785,
   -4785, -4785, -4785,   584, -4785, -4785, -4785, -4785, -4785, -4785,
   -2901,  1872,  1879, -4785, -4785, -3311, -4785, -1194, -4785,   729,
   -3138,  1334, -4785, -4785, -4785,  2593, -4785, -4785, -4785, -4785,
   -4785, -4785, -1880, -4785, -4785,   255, -4785,  1891,  1142, -4785,
   -4785, -4785,  -585,  -651,  -641, -4785, -3144, -4785, -4785, -4785,
   -4785,  -139, -4785, -4785, -4785, -4785, -4785, -4785, -1255, -4785,
    1203, -3256, -4785, -4785,  1217, -4785, -4785, -4785, -4785, -4785,
    -534,   -70,  2624, -4785,  -417,  -510, -4785, -4785, -4785,   -63,
   -4785, -4785, -4785, -4785, -4785, -4785, -1351,  4783, -1860, -4785,
   -4785, -4785, -4785, -2482, -4785, -4785, -4785, -1699, -4785,  4414,
     -10,   -56,   282, -4785,  -195,   -90,  3150, -1411, -2796,   525,
    -237, -4785, -2064, -4785, -4785, -4785, -2705, -4785, -4785, -4785,
   -4785, -3619,   283, -4785,  3141, -4785,   574, -4785, -4516, -4081,
   -4377, -4370, -3599, -4785, -4785, -1361, -4785, -4785, -4785, -1753,
    2185, -2199, -4785, -2368,   576,  1490, -1249, -2931, -3882, -1008,
   -3374, -4785, -3820,  -342, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -1372,  -884, -4785, -4785,  3677, -4785, -3873, -4785, -4785,
   -4785, -4785,  1165, -4785, -4785, -1702,  1279, -4785, -4785, -4785,
   -4785, -4785,  -522,  -612, -4785, -4785, -4785,   314, -4785, -4785,
   -4785, -4785,  2235, -1216, -1002,  3531,   327, -4062, -4785, -4785,
   -4785, -4785, -3159, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -1863, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  2304,
    2302,   -86,  -213, -4785, -4785, -1519, -4785,  -833, -4785,  2549,
   -4785, -4785, -4785, -4785,  1574,   360,   614,   -67, -4785, -4785,
     396, -3541,   -66, -4785, -4785, -4785, -4785, -2333,   -65, -4785,
     895, -4785, -4785, -2938, -4785,   382,   -74,  3226,  1832,   -62,
     635,  -238,  -214,  -198,   -68,  3534,  3000, -4785, -4785, -4785,
    -199,  2153, -4785, -1121,  -344, -4785,  1578,  -935,  2275,  2975,
    2978, -4785,  1573, -4785, -4785,  1581, -4785, -4785, -4785,  -929,
    2283, -4785,  2982, -4785, -4785, -4785,  1564,  1575, -3511,   983,
   -3500, -3474,   467,   454,  -920,  -171,  -163,  3558,  2989,   994,
    -316, -4785, -4785,  -314, -4562,   922, -4785, -4375, -2497,  -657,
   -2194, -1885, -4785, -4785, -1416,  6190, -4785, -4785, -4785, 10072,
   13023, -4785, -4785, 13191, 13253, -4785, -1262,  1040, 13788,  5195,
   -1479, -1895, -1558, 10742,  2840,  1254, -2596, -4785, -3638, -2488,
   -4785, -4785, -4785,  -130,  1050,   320, -4785, -4785, -4785, -4785,
   -4785, -4785,  -423, -4785,  -422, -4785, -4785, -4785,  -414, -4784,
    2305, -4785,  -840, -4785, 21516,  1612, -4785, -1177, -2878, -2851,
   -3381, -2033, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -1458,
   -3397,  -450,  1690, -4785, -4785,  1783, -4785, -4785, -4785, -1530,
   -1152, -2801,  1697, -2212, -4785, -1104, -4785,   940,  2414, -1073,
    9117, -1619, 17989,  -113, -2391, -1571, -1813, -4785,  -689, -4785,
    3356,  3718,  -866,  -136,  -939,  6473,  3864,  5121, -3246, -4785,
   -4785,   410, -4785, -4785, -4785,  4045,  1199, -4785,  3333, -4785,
    1928,  2680, -4785, -4785,  2287,  -959,   129, -4785,  -388, -4785,
    -127, -4785, -4785, -4785,   161, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  3014, -4785, -4785, -1487, -4785, -4785,
   -4785, -4785, -4785,  4317,  -374, -4785,  3721,  -362, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3036,  2331, -4785,
    3518, -4785, -4785, -4785,   -21,  3238, -4785, -4785, -4785, -1225,
    -599,  3539,  3543,  2295, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,  2300, -4785, -4785,  1677, -2190,  2310, -4785, -4785,
     968, -4785, -4785,   495, -4785,   971, -4785,  3136, -4785, -4785,
   -4785,  1004, -4785, -4785, -4785,  -602, 15407,   -69,   -93,    84,
     714, -4785,  9062,  4728,   -55,  3041,   -35, 12539, 20640,   611,
   -4785,  4304,  2306,  1906, -1028, -4785,  4668,  2617, 19333, -4785,
   -1026,    21,  1030, -4785,    -2,  -664, -1212,  3334,  -764, -1991,
   -4785,  4725, -4785, -3719, -4785, -1059,  3719, -1248
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1752,  2699,  2576,  3424,  3425,   249,
     250,  1827,   251,   252,   253,   254,   255,   256,   257,  1768,
     258,   259,  1322,  1982,  2709,   260,  2446,  1085,  1086,  1087,
    2302,  2303,  2641,  2304,  2291,  1603,  2084,  1787,  1051,  1052,
    1754,  1788,   262,   263,  1597,  2283,   264,   265,   266,  1814,
    1815,  1762,  2027,  4371,  5008,  3255,  2557,  3462,  3256,  3257,
     267,  1878,  1879,   268,   269,  3375,  1919,  2668,  3930,  3931,
    4402,   885,  2665,  4693,  4694,  4388,  4389,  4700,  4891,  4892,
    2710,  1978,  3456,  4020,  3415,  4474,  3416,  4475,  3417,  4476,
    3403,  3977,  3978,  3979,  3418,  4451,  4924,  3419,  2461,  5036,
    2744,  2114,  2112,  4911,  4261,  4262,  5096,  5041,  5042,  5043,
    5176,  4481,  3460,  4026,  4484,  4730,  3154,  2002,  3535,   985,
    2746,   916,   986,  2711,   274,  1847,  1848,  1849,  2584,  3937,
    3518,   275,  1341,  3799,  4777,  4959,  4960,   276,   873,   277,
    1986,   278,   279,  2695,  3409,   280,  2478,  3171,   281,   282,
    3198,  3199,  3200,   283,   284,  3821,  4645,  1816,  3244,  3245,
    3246,  3247,  3842,   285,  1984,  1854,  2718,   286,   287,   288,
     289,   290,  2629,   291,   292,  2712,  1994,  2730,  2731,  4463,
    4746,  4933,  4748,  5215,  5216,  4722,  3778,  4275,   294,   295,
    4446,  4447,  5048,   296,  2476,   297,   298,   299,  1962,  2687,
    2688,  3938,  1921,  2670,  2671,  4008,  4009,   300,  3335,   301,
    4326,  4327,   917,  5051,  5015,  5109,   302,   303,  4330,  4331,
     304,   305,   306,   307,   308,   973,  1394,  1395,  1744,   309,
    2319,   310,  1295,  3366,   311,  1483,  2882,  4522,   312,  1009,
    1419,  1420,  2713,   314,  1020,  2860,  1022,  2127,  3520,  3521,
    4080,  2829,  1211,   315,   316,  2840,  2863,   317,  1755,  2452,
    2453,  4256,  2714,   918,  2008,  2749,  3149,  4950,  4263,  4625,
    4853,  3060,  3722,   319,   919,  1792,  2521,  2752,  3468,  2424,
    2425,  2426,  4041,  2427,  3470,  2428,  1738,  2429,  3475,  3476,
    3477,  4037,  4045,  4771,  4772,   320,  1790,  2519,   321,   322,
     323,  1824,  1231,   324,   941,   942,   325,  4903,   326,  1360,
     327,  1041,  2144,   328,   329,  2534,  3828,   330,   331,   332,
    5189,  5223,  5224,  5225,  4050,  5144,   333,  5191,  1461,   335,
     336,   337,   876,  1261,  1262,  1263,  2715,  4766,   339,   340,
    2691,  3402,  3959,   341,   342,  2447,  3139,   343,   344,   345,
     346,  1966,   347,   348,   349,   350,  1898,   351,  1634,  1635,
     352,   353,   880,  1105,  1638,  1646,   354,   988,  1413,  1414,
    1415,  2086,   355,  1465,  2851,   989,  1408,   990,  3079,  3731,
    3732,  3735,   991,  3076,   359,  2133,  2845,  2848,   992,  3083,
    3084,  3085,  3086,  3087,  3737,   993,  1011,  1351,  2760,   994,
    1554,   364,   365,   366,  1114,  1109,  1110,   368,  2260,  3014,
    1028,  1652,  1070,  1121,  3686,  2333,  2334,  2356,  2357,  1661,
    1662,  2346,  2348,  3062,  2349,  3070,  2339,  4211,  4591,  2352,
    2353,  1664,  1665,  1666,  2361,   369,  3017,  3667,  3668,  3669,
    4188,  4189,  4203,  4199,  4578,  4822,  3670,  1455,  1672,  3671,
    4813,  4814,  4977,  4206,  3678,  3729,  3446,  3447,  3448,  2430,
    2678,  1944,  1555,  1945,  2685,  1556,  2179,  1947,  1557,  1558,
    1559,  1950,  1560,  1561,  1562,  1563,  2162,  2222,  1564,  1565,
    2198,  1153,  1154,  2071,  2921,  1567,  1568,  1569,  3673,  1570,
    4146,  4546,  4535,  2947,  2948,  2299,  4142,  3613,  2256,  3004,
    4834,  4988,  4989,  3654,  4172,  4563,  4812,  5084,  5150,  5151,
    1571,  3001,  2251,  1233,  1572,  3940,  2253,  2941,  3026,  3027,
    2139,  2160,  2887,  2904,  2905,  2918,  3574,  2925,  2930,  3597,
    3598,  2942,  2970,  1573,  2890,  2891,  3557,  2164,  1574,  1627,
    1628,  2269,  2965,  1641,  1642,  1107,  1575,  1576,  1577,  2128,
    1096,  4818,   726,   709,  3271,  2314,  1265,  1025,  1578,  1579,
    1580,  1369,  1370,  1693,   671,   710,   711,  1191,   823,     2,
      75,   995,  3454,   373,   374,   921,   922,   923,  1343,  1344,
    2013,  2016,  1698,  2396,   675,   676,   727,  4500,  4778,  4962,
     979,   375,   376,   377,   378,  1694,  2392,  1155,    76,    84,
      77,  1156,   415,   416,  2374,   379,   840,   380,  1675,  1135,
    3743,   381,   382,   383,   384,   385,   976,   386,  1137,   387,
    1138,   388,   389,   390,   391,  1145,   392,  1677,  1678,  4244,
    1679,   393,   394,   713,   714,  1406,   395,   396,  1172,  1173,
    1438,  1439,  1704,  1719,  1720,  1721,   397,   683,   398,   399,
     400,  1710,  1711,   401,  2276,  2277,  2401,  2278,   402,  3100,
    3101,   403,  3702,  3703,  4600,  3704,   404,  2272,   405,   406,
    1099,  3748,   407,   836,   408,  1186,   715,   716,   717,  1193,
     826,  1056,   728,  1195,  3248,   828,   829,   719,   720,   721,
    2106,    78,  3108,  2107,  1582,   729,  1583,  2267,  1584,  1585,
    1586,  1587,  1588,  1727,   723,  1162,  1398,  1399,  3109,  1401,
      82,  1402,   412,  3952,  2074,  1440,  2092,  2093
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1353,  1598,  1667,  2043,  2083,  2033,  1132,  1113,   409,
     367,   357,   358,   360,  1062,   409,   362,  1318,  1232,  1133,
    2037,  1122,   725,    79,   824,  1673,  2327,   932,  3072,  1098,
    2460,  1013,   731,  1620,  2553,  1447,  1448,  1449,  2522,  2111,
     920,  1453,  1739,   410,   915,  1416,  1896,  1853,   409,   410,
    1922,  1013,  1352,  2675,  1829,  2830,  2200,  3117,  3119,  2683,
    1095,  1232,   827,  1976,  3024,  3538,  1170,  2151,   878,   824,
    1883,  2530,   972,  1996,  1376,  1034,   411,  3822,  2797,   987,
    1612,  1021,   411,   934,  2643,  3032,  3805,   680,  2611,  2612,
    2173,  2174,  3414,   409,  1379,  4004,  2684,   367,  2316,  2539,
    3986,  4044,  1692,  3837,  1391,  3839,  2597,   827,  2024,  2189,
    1846,   874,   261,  3052,  3432,   411,  1862,  2735,  1232,  1063,
    4227,  3332,  1964,  4030,  1888,  2886,  1969,  2381,  2383,  2384,
    2330,  1973,  1174,  3941,  4264,  3524,  3955,   824,  1979,  1353,
    1116,  3679,  3680,  1722,  3736,  1724,  3941,  4298,  1998,  4258,
    1411,   926,  3621,  1124,  4185,  1190,  4444,  1010,  2607,  4495,
     411,   409,  4487,  1050,  1212,  1084,  4479,  1817,  2515,  1125,
    3681,  4202,  2438,  1092,  2529,   827,  3273,  1010,  2789,  3091,
    2098,  3371,  3752,  2073,  4626,  1884,  1660,  2068,  4232,  2738,
    1605,  4758,  1663,  2375,  2375,  2750,  4200,  2739,  1299,  1165,
    4124,   825,  3747,  1789,  3304,  2274,  1059,  1700,  1701,  2316,
    4826,  1400,  4828,  4955,  1059,  1995,  1059,   884,  3107,  3578,
    4473,   418,  3111,   712,  3578,  2623,  3116,  1713,   411,  4408,
    2072,  4486,  2220,  2166,  2167,    45,  1187,  3960,  3961,  3962,
    3963,  3964,  3965,  2540,  2025,   414,   825,  2025,  2226,  4854,
    1714,   418,  4951,  3354,   270,  1357,  4035,  4624,  4159,  2186,
    2025,   712,  2532,  1347,  1463,  1367,  2317, -1618, -1618, -1618,
   -1618,  1103,   271,  2229, -1618,  2131,  1175, -1628, -1628, -1628,
   -1628,  2618,   924,   931, -1628,   418,  1436,  3741,    37,    38,
      39,    40,   931,   272,    43,    44,  1485,  1715,  3806,    45,
    2466,  2532,  4633,  2231,   273,   367,   357,   358,   360,  2605,
    3427,   362,   409,   681,   825,  1917, -1952, -1952, -1952, -1952,
    1436,  1479,  1338, -1952,   130,   131,   418, -1618,  2532,  2958,
    2468,   931,  2963,   293, -1844,    43,    37,    38,    39,    40,
      45, -1844,  1702,    44,  1756,  1765,   410,   409,  4355,  2075,
    1705,  4918, -2686, -2686, -2686, -2686,  2532,  4957,  4732, -2686,
     313,   318,  5196,  -141,  4860,  2085,  2998, -2686, -1628, -1628,
   -1628, -1628,  -141,  2999,  5142, -1628,  2217,  -141,  1068,   411,
    1960,   410,  2655,   418,  3492,  2963,  3494,  3140, -2687, -2687,
   -2687, -2687,   334,  1765,  4877, -2687,  1896,    45,  1911,  4919,
    2104,  4864,  2218, -2687,  5009,   338,  4920,   261,  1591, -2684,
   -2684, -2684, -2684,  5106,   411,  -394, -2684,  2862,  1656,     3,
    3672,   935,  3180,  2105, -2684, -2683, -2683, -2683, -2683,  2265,
   -1860,  2532, -2683,  4921,  2532,  2732,  4885, -1860,   356,  2656,
   -2683,  1602,  1232,  3536,  5236,  1126,  1757,  1766,  5014,  1631,
    4629,  1632,  4985,  1353, -1618, -1618, -1618, -1618,   418,  3141,
     361, -1618,  2200,  2469,  4733,  5118,  1189, -2279, -2279, -2279,
   -2279,  1069,  4943,  5107, -2279,  3016,  1353,  2035,  1133,  3672,
    1339,  3382, -2279,  4999,  5000,  3801,   875,  1658,   372,  2318,
   -2107, -1613, -1613, -1613, -1613,  1766,  2026,  2825, -1613,  2026,
    4356,  2831,  1682,  2833,  2061,  4922,  2836,  2035,  4958,  3806,
    1437,  2044,  2026,  2173,  2174,  1176,  2261,  2035,  2541,   837,
    2189,   838,  1127,   920, -1585, -1585, -1585, -1585,  3674,  3555,
    2542, -1585,  1437,  1475,  2025,  1340,  2675,  5143,  3165,  2654,
    1437,  2470,  2132,  1353,   682,  2650,  1161,  2624,  1464,   270,
    5140, -1613,  3355,  3202,  1104,  1168,  1169,  2226,  2308,  2309,
    2292, -1598, -1598, -1598, -1598,  2305,  2305,   271, -1598,  1703,
    1706,  3124, -1625, -1625, -1625, -1625,  4036,  1159,  1900, -1625,
    4634,  2543,  2229,  2467,  2087,  2129,  1735,  3674,   272,  1906,
    1758,  4312,  2606,  2733,  2155,    37,    38,    39,    40,   273,
    2141,  3941,    44,  4251,    37,    38,    39,    40,  1452,   246,
    2221,    44,  2231,  2152,    37,    38,    39,    40,  5094,  3268,
    1961,    44,  4727,  1759,  5222,  1625,  2132,  4760,   293,  1626,
    2619,  4268,  2063,  2067,   926,  2035,  1166,  3587,  3588,  3589,
    3590,  2501,  1709,  2964,  1943,  3590, -1844,  3884,  4079,  2009,
    4022,  2646,  1760,  1007,  1008,   313,   318,  4458,  2275,  2161,
    2602,  2592,  3061,  2594,  1961,  2166,  2167,  2673,  1353,  2250,
     936,  4923,  1793,  2186,  4754,  4774,  1353,  1353,  3000,  2642,
    4575,  2195,  4202,  3385,  4579,  1167,  4692,   334,  2316,  1633,
    2565,  4716,  4717,  4718,  4719,  4720,  3641, -2107,  2035,  4611,
     338,  2196,  4467,  1246,  2818, -1618,  1767,  4569,  4527,  3802,
    1761,  2793,  5154,   363,  1257,  2197,  1128,  1716,  1717,  2287,
     937,  1614,  4289,  2503,  5159,  4316,  1487,  3980,   831,  3578,
    1452,  2509,  2362,   356,  1202,  2316,  5119,  1823,  2363,  3031,
    2397,  1683, -1860,   824,  2734,   841,  1113,  3077,  3754,  2841,
    3755,   938,  1625,   939, -1952,   361,  1626,  3771,  1007,  1691,
    2574, -2107,  3738,  2577,  4995,   924,  2826,   409,  1751,  5135,
    3296,   409,  2195,   831,  1417,  2837, -2107,  4552,  3297,  1304,
    1668,  1178,  2518,   372,   886,  2582,  2026,   842,  2585,  2586,
   -2686,  2980,  2196,  1294,   839,  -141,  -141,  3203,  4418,  4403,
     363,  4846,  1349,  2889,  1258,   410,  2199,  2138,  4856,  1174,
    1219,   931,   931,  3166,  3373,  1007,  1008, -1403,  3525,  1058,
    3024,  3024,  3024,  4084,  3261,  4249, -2687,  1058,  3527,  1058,
    5032,  1444,  1119,  4218,   411,  3992,  1362,  2552,   411,  4000,
    4904,   831,  1198,  2808,  3706,  1259,  2161, -2684,  5185,  2811,
    2801,  1198,   680,  3712,  2068,  1436,  2707,  2651,   680,  1161,
    1418,  3269,  1424, -2683,  1429,  1454,  2842,  5053,  3131,   680,
    1433,  1209,  1309,  3578,  1409,  3917,   977,  3193,  3920,  3921,
    2454,  1112,  3924,  3406,  1364,  1198,  1904,  3093,  3927,  3093,
    4941, -1403, -1618,  1424,  1429,  1260,  2455,   680,  1412,  1119,
    1124,   680,  2515,  5172,  3219, -2279,  2827,  1410,  2463,  2726,
    1436,  3580,   680,  4970,  -803,   367,  1125,  2981,  1607,  3178,
     825,  2982,  2913,  2914,  1423,  1311,  1428,  1312,  1615, -1613,
    2708,  1350,  4235,  4815,   417,  1454,  1442,  1589,   680,  2285,
    4498,  2572,  1198,  1425,  1100,  3121,  1991,  1430,  1431,  1432,
    3194,  2456,  1198,   680,  2742,  1457,  1459,  1443,   680,  2983,
    2337,  4085,  2172,   215,  3193,  1671,  1992,  5033,   680,  2457,
    3581,  3922,  3923,    81,  4440,  2247,  2248,  2249,  2250,  3823,
    2883,  2885,   680,  3993,  4264,  1232,  2727,  1445,  1422,  3981,
    1427,  2893,  1616,   223,  5134,  2897,    79,  2597,  3469,  2178,
     730,  1590,  1123,  2909,  2910,  4470,  1872,  1475,   363,  3262,
   -1625,  3939,  1873,  3526,  2800,  3684,  2927,  2929,  1636,  1456,
    1458,  3374,  2745,  3528,  3939,  1601,  1743,  2943,  5031,  1609,
     409,   233,    80,  2223,  1314, -1406,  1315,  3194, -1403,  4046,
    2822,  4299,  2263,  2843,   236,  3407,  2454,  1771,  1895,  2338,
    2834,  2835,  3037,  1595,  3717,  3580,  1161,  1139,   931,  4301,
    4015,  2844,  2679,  2218,  1630,  4819,  2468,  3672,  1198,  3672,
    4823,  5067,  4816,  4825,  1059,  5061,   680,  1140,  1059,  2984,
    3078,  2226,  4212,  5057,    35,   418,  5173,  1141,    37,    38,
      39,    40,    41,    42,    43,    44,  4971,   411,  2458,    45,
    1171,  3197,  3005,  2262,  1198,  4042,  2229,  1405,  1874, -1406,
    4441,   931,  1993,  1807,  2378,  4619,  4047,  2456,  2742,   679,
    5214,  4044,  5198,  3408,  1210,  1310,  3122,  4750,  3123,  1147,
    4264,  1656,  1867,  2828, -1403,  2457,  2231,  1365,  3687,  1905,
    1416,  3688,  3689,  3709,  2743,  3585,  3586,  3587,  3588,  3589,
    3590,  4794,  3690,  3691,  3692,  5174,  3693,  3694,  2778,  4646,
    3824,  3695,  3696,  3697,   680,   680,  2569,  2728,  2770,  5212,
    1868, -1403,  3179,  1695, -1403,  3674,  3672,  3674,  5175,  2781,
    2729,  2379,   881,   925,  1893,  3825,  1142,  1148,  3197,   943,
    2680,  2788,  1725,  2289,  2459,  4471,  3860,  1050,  1857,  4302,
    1658,  1161,  1232,   712,  5136,  3251,  2823,   418,  2702,  3515,
      37,    38,    39,    40,  4946,  1026,    43,    44,  1485,  1715,
    4736,    45,  4947,  4881,  4993,  1222,  1223,  1224,  3006,  1225,
    1226,  1227,  1228,  1229,  1230,  2824,  1753,  1659,  1695,  2380,
    1059,  1059,  2510,  -622,  2647,  2804,  4323,  5141,  1143,  5199,
    4048,  3040,  1875,  2011,  3753,  3252, -1406,  3206,  1625,  1987,
    3124,  4737,  1626, -2688,  2458,  1198,  5059,  5184,  3389,   418,
    2382,  5186,    37,    38,    39,    40,  1198, -1949,    43,    44,
    1933,  1150,  2018,    45,  3674,  1876,  1753,  3071,  2340,  3585,
    3586,  3587,  3588,  3589,  3590,  1650,   879,  1988,  3861,  1959,
    4610,  1257,  4303,  3698,  2290,  4304,  2916,  5213,  4743,  2692,
    4049,  2703,  3578,  4982,  1877,  1113,  1144,  5221,  5037,    37,
      38,    39,    40,  1869,  4882,  2341,    44,  2511,  4761,  4588,
    1451, -2414,  2019,  1150,  2762,  2379,  1198,  4815,  1894,  3253,
    4762,  3096,  3207,  2768,  4324,  1117,  2089,  4328,  2091,   367,
    1232,  2095, -1406,  2097,  2226,  2412,  2100,  2101,  2102,  3326,
    2459,  4218,  2088,  3054,  1150,  2090,  4595,  1133,  2094,  2109,
    2096,  3966,  2764,  2099,  3152,   680,  4948,  2103,    35,  2229,
    2681,  4515,  2134,  1722,  2135,  1724,    41,    42,  1651, -1406,
     680,  1258, -1406,  2380,    81,    81,  3218,    81,  4865,  2552,
    5098,  5099,  3288,  1713,  1118,  1198,  3495,  3489,  3941,  2231,
    1452,  1870,  4965,   680,  3969,  1832,  4857,    79,    79,  2343,
      79,  3490,  2020,  2266,  1027,  2323,  1714,  4926,  4264,  3153,
    1212,  5038,  1259,  4930,  4325,  3699,  1695,  4382,  2331,  2332,
    1146,  2336,  3862,  4385,  4386,  4329,  1035,   831,  1833,   680,
    1989,  3295,  4075,  2281,  1125,  1125,  2587,  1125,  3288,  3281,
    3816,  1625,  1959,  1037,   680,  1626,  3437,  3438,  3439,  3440,
    2344,  1119,  2021,   418,  3310,  3863,  1174,   680,  3445,  3939,
     680,  3700,  1260,  3254,  2051,  3024,  3376,  1150,  5012,  4345,
    2340,  1198,  5017,  5018, -2688,  4763,  5039,  2245,  2246,  2247,
    2248,  2249,  2250,  3349,  3864,  3317,  1671,  1147,  2657,  3282,
    4529,  3318,  4530,  3485,  4909,  4466,  2282,  1007,  1691,  4095,
    1198, -2414,  2052,  1001,  3766,  3794,   980,  2341,  4241,  3713,
    5082,  3817,  2462,   824,  3298,  3882,  2234,  2235,  1990,   130,
     131,  1038,  3301,  1002,  3303,   981,  2658,  4725,  1198,  1198,
    1036,  1198,  3973,  2022,  1001,  2597,  5083,   409,  2679,  2463,
    5204,  3283, -2057,  3795,  2254,  1148,  1807,  3323,  1149,  2959,
    1198,  2315,  2279,  2280,  1002,  3701,  1850,   982,  4907,  2342,
   -2414,  1001,  2238,  2588,  1835,  2589,   824,  5052,  1120,  3974,
   -1585,  3057,  1405, -2089,  3818,  3672,   980,  1067,  3883,  3672,
    3324,  1002,  2570,  3975,  3184,   680,  3885,  3319,  2295,  1851,
     409,   409,   409,   680,   680,   981,  2636,  2472,   363,  1112,
   -2108,  2343,  4068,  1198,   411,  1147,  3529,  2473,   418,  3325,
    1836,  1695,  2704,  4996,  1001,   882,  1695,  1695,   215,  1716,
    1717,  4531,    45,  5002,  1093,   410,   410,   982,  1232,  2637,
     824,  2736,  1198,  3284,  1002,  2018,  1198,  1198,  3215,  1150,
     409,  2666,  2667, -1585,  2571,  4956,   925,   409,   223,  4503,
    3058,  4504,  2344, -2135,   409,  2053,  2394,   411,   411,   411,
    2496,  4023,  1064,  1148,  4027,  3976,  2680,  1058,  2315,  2536,
     832,  1058,  2464,  4044,   410,  3530,  2604,   680,  1001,  2659,
     833,  2416,  4598,  3674,  1852,  2803,   233,  3674,  3389,  1837,
     825,  3553,  2390,  5003,  1039,  1040,  3796,  1257,  1002,   841,
    4786,  1106,   712,   712,  5139,  5006,  4271,   411,  3585,  3586,
    3587,  3588,  3589,  3590,   411,  1959,   205,  2408,  2410,  1961,
    2537,   411,  3105,    37,    38,    39,    40,  3777,  1059,  1123,
      44,  3320, -2057,  4252,  3148,   246,  3285,  1838,  1151,  1839,
    3605,   842,   215,  2054,  3286,  3464,   841,  3287,  2474,  2596,
    2245,  2246,  2247,  2248,  2249,  2250,  4438,  1150,  1152,  3343,
    2297,  1059,  3517, -2089,  3321,  1873,  2839,  2660,  1115,  1959,
    3172,  3630,   223,  1487,  1695,  2020,  3578,  1212,  1841,   834,
    4272,  2475,  1695,  4108,  3797,  4109,   205,  1258,   842,  -967,
   -2108, -2057,  3793,  3322,  1826,  1353, -1585,  5180,  4192,  2298,
    4842,  1959,  4844,  1404,   418,  2035,   712,   825,  2381,  2217,
     233,  4314,   215,    37,    38,    39,    40,  1843,  1179,  4439,
      44,  3193, -2089,   236,  4735,  2021,  4630,  5071,  1259,   841,
    1180,  1181,  1353,  1058,  1058,  4273,  1695,  4274,  5101,  1695,
    1695,  1753,   223, -2135,  1753,  4753,  3479,  4742,   824, -2108,
    1182,  1129,  1845,  1183,  3220,  2587,  2681,  2532,   680,   246,
    1059,  1874,  2856,  2226,  1136,  2533,  2971,  4193,  2972,  4637,
    4638,   842,   409,     8,  4315,  4074,  2682,  1331,  1260,  1959,
     233,  4690,  4691,  3503,   983,  3685,  2689,  2387,  2229,  4631,
    2388,  2973,  1296,   236,  3194,  4194,  -531,  2765,  2672,  4253,
    1740,  3327, -2135,  3785,  4110,  3329,  2022,  1332,  1695,   835,
    4195,  2078,   898,  2079,  4111,  3632,  1959,  3633,  2231,  1828,
    4286,  1745,  4196,  -163,  3195,  1611,  3047, -2478,  4254,   984,
    3328,  2448,  5161,  1741,  3330,  2859,  1333,  2545,  1133,   411,
    3634,  2449,  2035,  4269,  1959,  4197,  3847,  4255,  -163,  2846,
    1354,   943,  1615,  1171,  1746,  3672,  2450,  3196,  3580,   680,
    3672,  3848,  1742, -1585,  4820,  3672,  2600,  1184,  3672,  2305,
     900,  3394,  1177,  1412, -1585,   680,  2172, -1585,  1743, -1585,
    1334,  2389,  2588,  1747,  2589,    80,  3807,  2974,  3024,  2593,
     367,  4711,  2975,  3024,  2806,  3152,  2807,  2976,  3024,  3383,
    2809,  1198,  2810,  1188,  1185,  2812,  3672,  1959,  3827,  2813,
    1198,  4599,   680,   680,  3707,  4005,  1616,  3581,  3232,  4712,
    3395,  4198,  1751,   680,  4014,   825,  2554,  4300,  4305,  2058,
    2226,  1475,   363,  1203,  1331,   680,   680,  4931,  4416,  2858,
    3234,  3635,  5230,  1462,    81,  3197,  3636,    81,  2881,  2059,
    3774,  3810,   367,  2852,  2853,  2854,  3365,   680,  2855,    37,
      38,    39,    40,  3674,  1332,  4932,    44,    79,  3674,  3233,
      79,  3031,  2554,  3674,  1480,  2555,  3674,  2556,  2195,  4193,
    1353,  3647,  2638,  1592,  4346,  2231,  4290,  1604,  1354,  1606,
    2451,  3235,  1205,  4002,  2639,  4821,  4105,  1198,  2196,  3396,
    3397,   122,  4126,  4127,  2159,  1863,  4087,  4194,   907,  4078,
     908,  2552,  1748,  3398,  3674,   824,  2977,  3853,  2640,   126,
    4125,  2555,  4581,  2556,  2176,  1232,  2978,  1487,  1217,  4317,
    3578,  3507,  4192,  1977,  4196,  1198,  1198,  1334,  1864,   409,
     898,  1218,  1865,  1198,   898,  1749,  1198,  4152,  4079,   208,
    1198,  1248,  3672,  2961,  2203,  2907,  3541,  2552,  1198,  1198,
    3399,  4880,  3544,  4091,  1255,  3637,  1198,  1866,  2215,  1198,
    1198,  1198,  1198,  3532,  1750,  3638,   679,   679,  2532,  1198,
    1198,  1726,  1198,  3063,  1198,  1198,  2538,  4886,  1198, -2688,
   -2688,  3031,  3585,  3586,  3587,  3588,  3589,  3590,   900,  3718,
    3054,  4193,   900,  3982,  1959,  1198,   411,  3385,  3672,  -520,
    1198,  1353,  1242,  3751,  1198,  2069,  1636,   831,  1198,  2070,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  4194,
    1198,   409,  4612,  4198,  3142,  4548,  3145,  1243,  4705,  4271,
    1198,  1198,  4547,  4706,  4195,  2608,   208,  3400,  1751,  3401,
      37,    38,    39,    40,  3763,  3764,  4196,    44,  4357,    43,
    3674,  3469,  3784,  1256,    45,   410,  3939,  1123,  1123,  1298,
    1123,  1882,  4090,  4477,  -417,  4770,  1881,  5158,  4358,  4197,
     208,  5034,  2554,  3080,  1656,   409,  4707,   409,   215,  1657,
    4373,  4861,   825,    37,    38,    39,    40,  2069,   411,  3758,
      44,  2796,  3872,  1198,  2172,  1882,  2439,  3675,  2635,  3204,
    4374,  3136,  3580,  4272,  1301,  3201,  3674,  3389,   223,   410,
    3550,   410,  1487,  4878,  2799,  3578,   824,  1117,  4927,  2195,
    4248,  2555,  1319,  2556,   831,  2172,   907,  2439,   908, -1451,
     907,  1058,   908,   843, -1451,  2554,  2554,  4266,  4267,  2196,
     409,  3385,   411,  1658,   411,  4198,   233,  5234,  3742,  3672,
    5235,  1977,   883,  2197,  2315,   913,  3675,  2552,  4273,   236,
    4274,  3581,    35,   680,  1058,  1303,   974,  -417,  3442,  1751,
      41,    42,  4952,  3443,  3551,  2158,  1118,   246,  3552,  2432,
    1659,    81,  1695,    81,  2555,  2555,  2556,  2556,  1306,  1959,
    3875,  3270,  1354,  1959,  1959,   246,    80,    80, -1451,    80,
    3956,  4132,  1725,   680,    79,  3443,    79,   411,   680,  2371,
    2372,   680,  2433,  5187,   192,  1354,  1065,  3998,  3857,  1326,
    2552,  2552,  4508,  4509,  4510,   824,  2184,  2185,  2554,   824,
    3279,  2270,  2195,   680,  2271, -1451,  1198,  1353,  -519,  1353,
    3672,  2434,  1625,  1119, -1952, -1450,  1626,  1198,  1335,   409,
   -1450,  3858,  2196,   409,  1198,  1336,  3604,  3674,  3606,  3607,
    2136,  1896,  1337,  1058,    35,  4092,  2199,  3258,    37,    38,
      39,    40,    41,    42,   680,    44,  3579,  2555,  1647,  2556,
    3859, -1403,  1354,  4521,   940,  1059,  3786,  2321,  3983,  2322,
    3985,   680,   680,   825,  4208,   215,  1342,  3580,  2949,  1959,
    4702,  2952,  4704,  1353,  5010,  1161,  4708,  1345,  4709,  3718,
    4412,  4413,  4414,  2552, -1450,  3879,   411,   680,   418,  2324,
     411,  2325,  3718,  1359,  3991,   223,  3994,  1363,  4213,  4214,
    4215,  1371,  3582,  3583,  3584,  1372,  3585,  3586,  3587,  3588,
    3589,  3590,   831,   680,  3289,  3068,  3069,   680,  3674,    35,
     418, -1450,  2554,  1377,  4039,  2219,  3581,    41,    42,  2172,
    1120,  1743,   192,   233,    45,  2224,   680,  1835,  2898, -1415,
     824,  3434,  3886, -1474, -1474,  1695,   236,   680,  2264,   975,
    2758, -1415,  2759,  1695,  1386,  1695, -1415,  3865,  3914,  3867,
     680,  2371,  3089,  2225,   409,  2798,  2226,  2799,  1392,   680,
    3289,  2555,   825,  2556,  2145,  2146,   825,  1354,  3404,  2554,
    2294,  2296,  5188,  1836,  1407,  1354,  1354,  4901,  2819,    45,
    2820,  2229,  2821,  1450,  2820,  2554,  4291,  2230, -1415,  4318,
    4410,  4411,  4412,  4413,  4414,  2899,  1460,  2552,  4415,  2849,
    4086,  2850,  1198,   215,  1959,  3053,  3904,  3054,  2316,  1446,
   -1415,  2231,    37,    38,    39,    40,  3720,  3721,  2555,    44,
    2556,   411,  4751,  2554,  1466,  1467,  2554,  3289,  3212,  1473,
    3213,  3918,  3289,   223,  2555,  3031,  2556,  1472,  4838, -1589,
   -1589, -1589, -1589,   363,  1475,  1474, -1589, -1415,  4378,  3275,
    1476,  3276,  1837,  2900,  2552, -1415,  2901,  1477,  1478,   679,
    1113,  3377,  1481,  3378,  3289,  4678,  4679,  2172,  4681,  2439,
    2552,   233,  2555,  3629,  2556,  2555,  3390,  2556,  3391,  1959,
    1482,  3458,   680,  3459,   236,  4770,  1484,  3582,  3583,  3584,
    1613,  3585,  3586,  3587,  3588,  3589,  3590,  1610,  2225,  5164,
    1838,  2226,  1839,  1617,  3509,   363,  2820,   825,  2552,  3966,
    5169,  2552,  2596, -2688,  3549,  3967,  2799,  2233,  4496,   680,
     246, -1194,  1618,  1619, -1194,  3968,  2229,  1198,  1624,  3559,
    3220,  2799,  2230,    37,    38,    39,    40,  1637,  2234,  2235,
      44,  1841,  3660,  3661,  3662,  1644,  1645,  2902,  4787,  4788,
    4789,  4790,  3969,  1654,  3970, -2688,  2231,  1212,  3563,  4056,
    2799,   891,  5207,  3567,  1647,  2799,   680,  1648,  2225,   831,
    1113,  2226, -1415,  3568,  3594,  2799,  2799,  3610,  1959,  2799,
    1843,   824,  1669,  1695,  2238,  1670,  1674,   824,  2227,   680,
    3615,  1676,  3616,  1198,  1680,  1684,  2229,  2239,  2969,  1198,
    1681,  2225,  2230,  1685,  2226,   409, -1596, -1596, -1596, -1596,
    1686,   409,  2601, -1596,  1687,  1845,  1198,  1198,  3655,  3611,
    3656,  3657,  1198,  3658,  1689,  3618,  2231,  4876,  3971,  2229,
    3840,  4100,  3841,  1625,  1688,  2230,  1647,  1626,  4422,  1690,
    3845,   898,  3846,  2351,  1696,  1697,  2903,  1198,  1198,  1699,
    1728,  4106,  1198,  1731,    37,    38,    39,    40,  2232,  2231,
    -961,    44,  2233,  1729,  1198,  1198,  1198,  1198,  4033,  4096,
    4034,  2799,   411,  1743,  1161, -2688,  4128,  1198,   411,  2669,
    1198,  1737,  1198,  2234,  2235,  3972,  4133,  4536,  4134,  4143,
    3973,  4144,  1198,  1198,  1764,  4155,  1198,  2799,  1791,   900,
    2236,  4233,  1769,  4234,  3675,  4237,  3675,  4238,  1795,  1198,
    4699,  1198,  2138,  1796,  4247,  1198,  3123,   367,  2852,  2853,
    2854,  1826,  4270,  2855,  2820,  1823,  2237,  3974,  2232,  2238,
     363,  4405,  2233,  4406,  1198,  1825,  4468,  3718,  2820,  1831,
    3433,  3975,  2239,  2716,  1198,  1834,  1858,  1198,  1198,  1198,
    4553,  1859,  2850,  2234,  2235,  2865,  4511,  1871,   825,  4424,
    4477,  4614,  1880,  3123,   825,  2233,  4621,   680,  4622,  1885,
    2236,  1198,  2245,  2246,  2247,  2248,  2249,  2250,  1890,  1891,
     831,  4740,  1892,  4627,  1198,  2820,  2234,  2235,  1897,  1198,
    1695,  4628,  4695,  2820,  4696,  1198,  2237,  1899,  4755,  2238,
    4756,  1487,  2866,  1198,  3578,  1901,  1903,    37,    38,    39,
      40,  1907,  2239,  3675,    44,  2240,  1908,  4796,    45,  4797,
    2241,  4153,  4798,  3976,  2799,  4806,    80,  2850,  4862,    80,
    4863,  2867,  2238, -1587, -1587, -1587, -1587,   907,  1913,   908,
   -1587,  1959,  1915,  1739,  1959,  2239,  1959,  4928,   910,  2820,
    1918,  1959,  2868,   680,  1920,  1923,  4454,  4455,  1058,   912,
    1965,  1751,  1977,  2869,  4953,  4966,  4954,  2850,   680,   680,
      37,    38,    39,    40,  1198,  1968,  1961,    44,   824,   824,
     824,  1970,  1980,  2870, -1590, -1590, -1590, -1590,  2871,   831,
    2241, -1590,  4974,   831,  4975,   680,  1981,  4979,   680,  3054,
    -183,  1959,   409,   409,   409,  1985,  4984,  4608,  4012,  4986,
    1983,  4012,  4419,  2242,  2243,  2244,  1997,  2245,  2246,  2247,
    2248,  2249,  2250,  4410,  4411,  4412,  4413,  4414,  4978,  5028,
    2007,  5029,  4391,  4714,  2872,   859,  1999,  2906,  4978,  2005,
    2015,  1959, -1588, -1588, -1588, -1588,  5060,  2023,  2284, -1588,
    5065,  5076,  5066,  2850,  5077,  2873,  3616,  5078,  5088,  2799,
    3054,  5090,  5105,  4012,  2850,  5111,  5112,  2850,  2850,   411,
     411,   411,  2028,  4392,  5126,  4426,  5127,  5155,  5202,  3054,
    4012,  2029,  2030,  2242,  2243,  2244,  3580,  2245,  2246,  2247,
    2248,  2249,  2250,   680,  5232,  5024,  5233,  4393,  5243,  3571,
    5233,  1653,  1959,  1655,  1959,   680,  4580,  2031,  4583,  2032,
    2034,  2035,  4394,  2042,   680,   859,  4395,  2045,  4890,  2046,
    2245,  2246,  2247,  2248,  2249,  2250,  2047,  2048,   824,  2050,
    4896,  4898,  2055,  2056,   831,  2057,  4396,  4169,  2062,  4397,
    2076,  2110,  2874,  2140,  2143,  3581,  2149,  2147,  2875,  2150,
    2156,  4398,   409,  3038,  2876,   825,   825,   825,  2157,  2165,
    2168,  1959,  2169,  2170,  2171,  2175,  2689,   246,  2177,  4456,
    4701,  2180,  4604,  2181,  2182,  2255,  2183,  2257,  2188,  2288,
     680,  2190,  2259,  2877,  2191,  2878,  1959,  4054,    74,  2192,
    2262,  2193,  5089,  2194,  2201,  2202,  2204,  2205,   920,  2206,
    2207,  2208,  2879,  2209,  2210,  2211,  3933,  1959,  2300,  2284,
    1436,  2320,  2329,  2310,  1657,  1659,  1232,  2358,  2368,   411,
    1959,  2370,  4018,  2360,  2377,  1150,  2391,  2880,  2393,  4399,
    1695,  4029,  2385,  2395,   680,  2403,   680,  4400,  2404,  2406,
    2411,  1113,  4831,  1695,  2413, -2630,  2415,  2435,   680,  2436,
     680,  2439,  4053,  2437,  2442,   679,  2440,  1113,  4643,  2471,
    2441,  2443,  2444,  2465,  2477,  2498,  2502,  2504,  2505,  2506,
    2507,  1726,  4401,    80,  2508,    80,  2922,  2523,  2524,  2525,
    2535,  1353,  2545,  2548,  2546,  1959,  4174,  4175,  4176,  4177,
    2945,  4728,  2549,  2550,  2551,  2552,  2558,  4830,  2560,  2559,
     680,  1959,  2562,  2561,  4835,   825,  2566,  2567,  2573,  2583,
    2575,  4675,  2579,  2580,  1959,  2590,  3582,  3583,  3584,  5030,
    3585,  3586,  3587,  3588,  3589,  3590,  2595,  2591,  2598,  5016,
     680,  2138,  3675,  1807,  2603,  4841,  3675,  2620,  2599,  5013,
    2609,  4887,  2621,  2625,  1198,  2626,  2610,   680,  2622,  2631,
    2648,   824,  2634,  1012,    35,  2663,  2649,  2661,  2674,  5020,
    2664,  5022,    41,    42,   680,  2676,  2161,   680,  2172,  2677,
    2690,  2693,  1606,  1012,  2694,   409,  2697,  2178,  2698,  3420,
     893,  2705,  2701,  1198,  2725,   831,  1959,  1852,  1772,  4138,
    2720,   831,  2740,  1198,  2741,  2748,  1695,  2751,  2753,  1198,
    2754,  1198,  2755,  2761,  2772,  2774,  1959,  1198,  2775,  2776,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1773,  2777,  2790,  1198,  1198,  2791,  2815,  2832,  2838,  2847,
    2861,  1959,  2889,  2215,  2931,  3281,  1198,  2816,  2932,  2226,
    1198,  2888,   411,   931,  1198,  2894,  2944,  2969,  2962,  4890,
    4968,  4636,  2950,  2954,  1198,  2955,  2987,  1198,  2968,  1198,
    2985,  3002,  3003,  3016,  3033,  3034,  3650,  1959,  1198,  1198,
    1198,  3036,  3041,  3044,  1198,  3045,  1774,  1198,  3039,  4651,
    1118,  3666,  3055,  3064,  3056,  3282,  3065,  3066,  3067,  3075,
    3095,  1198,  3097,  1198,  3098,  2274,  3112,  3113,  4666,  3127,
    3115,  3125,  3126,  3150,  3138,  1198,  3143,  3146,  1775,  3151,
    3167,  1198,  1198,  3148,  1487,  3367,  4942,  3578,  3168,  3471,
     363,  4973,  3157,  3367,  3162,  3170,  3173,  3177,   825,  3181,
    3189,  3192,  3421,  2225,  4554,  3205,  2226,  3283,  1772,  1607,
    3666,  1611,  3210,  1112,  1776,  3260,  3265,  3266,  4686,  3277,
    3274,  3278,  3290,  3331,  3334,  3345,  1198,  3352,  3353,  3356,
    3358,  2229,  1198,  3357,  4338,  3360,  3361,  2230,  1198,  4849,
    1773,  3364,  3362,  3370,  1777,  3363,  3372,  3379,   824,  3381,
    3436,  3384,  3386,   824,  1959,   824,  4731,  3385,  3387,  1353,
    1487,  2231,  3392,  3578,  3426,  3412,  3428,  3435,  3441,  3471,
    1198,  3444,   409,  3449,  3450,  3452,  3451,   409,  3465,   409,
    4555,  4871,  3453,  1232,  1354,  3461,  3463,  3482,  1772,  4866,
    3483,  3258,  3484,  4313,  3466,  5081,  1774,  3478,  3486,  3284,
    3481,   680,  3487,  3496,  3499,  5208,  3501,   670,  3502,   208,
    3511,  2516,  3523,  1780,  3718,  1487,  3512,  3514,  3578,  1781,
    1773,  1354,  3513,  3640,  2862,  1232,  1782,  3531,  1775,  3534,
    3054,  2063,  3537,  3539,  2517,  3516,   824,  1452,  3422,   411,
    3543,  3542,  3545,  1784,   411,  1959,   411,  3546,  3547,  3561,
    3565,  1785,   831,   831,   831,  3612,  3562,  3472,  3564,  3566,
     409,  3569,  2799, -2688,  1776,  3570,  3631,  2233,  1695,  3580,
    3600,  3572,  3575,  3593,  4390,  2138,  1774,  3423,  3599,  3601,
    3646,  3639,  3675,  3602,  3653,  3677,  3609,  3675,  2234,  2235,
     680,  3626,  3675,   680,  1777,  3675,  3683, -1007,  3725,  3730,
    3624,  3649,  3285,  1786,  3625, -2688,  3682,  3728,  1775,  3734,
    3286,  3756,  1797,  3287,  3744,  3740,  3651,  3746,  1798,  3762,
    3652,  3767,  3765,  3749,  3745,   825,  2069,   411,  3581,  3768,
     825,  3772,   825,  3675,  2238,  3750,  3773,  3472,  3776,  3779,
    3781,  3814,   370,  3788,  1776,  3580,  3815,  2239,   370,  3803,
    3804,  3819,  3829,   673,  3820,  3831,  3844,  2390,  1799,   208,
    3870,  3871,  3874,  1780,  3876,  3877,  4485,  1198,  3878,  1781,
    3880,  3881,  3887,  3888,  1777,  4870,  1782,  3894,  3889,  3890,
    3891,   370,  3905,  3897,  2517,  3909,  3892,  3893,  3899,  3901,
     680,   680,  3895,  1784,  1959,  3896,  3898,   680,  3900,  3907,
    3580,  1785,   831,  2618,  3581,  3902,  3911,  1800,  4053,  3919,
    3913,  3925,  3926,   825,  1801,  3929,  2388,  1802,  3944,  5100,
    3945,  3957,  1212,  3958,  3990, -2688,   370,  3999,  3996,  4001,
    3953,  3989,  1959,  1198,  1198,  4715,  4003,  4024,  4011,   208,
    4019,  4025,  4012,  3473,  4021,  4028,  4031,  1133,  4051,  1781,
    4070,  4060,  4081,  1786,  4071,  4072,  1782,  3474,  4043,  3581,
    4076,  4062,  4617,  4082,  2517,  4073,  4083,  4094,  2158,  1354,
    4099,  1803,  1054,  1784,  3596,  3578,  3595,   680,  4129,  3675,
    1054,  1785,  1054,  4145,  2220,  1119,  4157,  4170,  4158,   363,
    1353,  4130,  4131,  4137,   370,  1198,  4191,  1695,   363,  3582,
    3583,  3584,  4166,  3585,  3586,  3587,  3588,  3589,  3590,  4183,
    4205,  4210,  4229,  5097,  4207,  4615,  4220,  4221,  4219,   363,
    4222,  4225,  2245,  2246,  2247,  2248,  2249,  2250,  1804,  4243,
    1805,  4257,  1198,  1786,  4250,  3675,  2138,  3474,  4226,  4278,
    1806,  4292,  1198,  1198,  4293,  1959,  4280,  4294,  1807,  4281,
    1198,  1198,  4295,  4297,  4306,  1198,  1959,  1232,  1808,  4319,
    4322,  1198,  1198,  4334,  4320,  1198,  4335,  4649,  1198,  4347,
    4321,  4606,  3904,  2922,  2922,  3582,  3583,  3584,  2922,  3585,
    3586,  3587,  3588,  3589,  3590,  4332,  4333,  4336,  4348,  1198,
    4337,  1809,  4354,  1198,  1810,  1811,  4370,  4372,  4301,  4375,
    1354,  4381,  4383,  3471,   824,  1198,  4384,  4407,  4442,  4409,
    1198,  4434,  2138,  4043,  4445,  1198,  2138,  2138,  2922,  2922,
    1812,  4452,  1772,  4450,  4462,   831,  5046,  4461,   409,  4464,
    3582,  3583,  3584,  4457,  3585,  3586,  3587,  3588,  3589,  3590,
    4469,    81,  4601,  4480,  4482,   370,  4483,  2820,  4465,  4497,
    4494,  4493,  4499,  4512,  1773,  4514,  4516,  4528,  1198,  4501,
    4507,  4517,  4518,  4519,    79,  4520,  4537,  4525,  4532,  2225,
    4533,  4538,  2226,  4539,  4540,  4541,  1959,  3843,  1813,  4571,
     370,  4545,  4723,  4574,  2215,  4561,  3675,  4576,  4572,  4577,
    4584,  4587,   680,  4589,  4590,   411,  4592,  2229,  4181,  4593,
    4184,  1797,  4594,  2230,  1959,  4605,  4613,  1798,  4609,  4616,
    1774,  4623,  4618,  4624,  3873,  4632,  4647,  4648,   680,  4654,
    4655,  4656,  4677,  1959,  4674,  4667,  4682,  2231,  4670,  4689,
     680,    74,  4710,  4713,  4721,  4729,  4734,  4739,  4741,  4745,
     409,  4747,  1775,  4757,  4759,   680,  4765,  1799,  4767,  4768,
    4776,  4784,  1012,  4792,  1012,  4793,  1012,  4795,  4800,  4802,
    4803,  4817,  1012,  1434,  1435,  3906,  5133,  4811,  4804,  4843,
    4824,  3472,  4805,  1959,   410,  4827,  4833,  3675,  1776,  4839,
    4855,   825,  4859,  4883,  4858,  1012,  1012,  3367,   680,  4873,
    3367,  3367,  4868,  4884,  3367,  4874,  1800,  4888,  4895,  4902,
    3367,  4905,  4441,  1801,  4910,  4912,  1802,   411,  1777,  3942,
    4913,  1695,  4916,  4915,  4934,  3951,  5166,  4917,  4935,  4936,
    4940,  4944,  3942,  4938,  4945,  4961,  4969,  4972,  4976,  2232,
    4981,  4997,  1198,  2233,  4987,  4991,  1354,  5005,  1354,  5007,
    5019,  5035,  5040,  1198,  5044,  5045,  5047,  5049,  5063,  5050,
    5055,  5062,   831,  5064,  2234,  2235,  5069,   831,  5070,   831,
    1803,  5075,  5079,  5087,  5080,  5092,  5093,  5091,  5095,  5104,
    5108,  2236,  5014,   208,  4010,  5116,  5117,  1780,  5120,  5114,
    5125,  5122,  5130,  1781,  5153,  5131,  5137,  5138,  4171,  5160,
    1782,  5162,  1959,  5167,  5118,  5171,  5119,  2923,  2517,  5179,
    2238,  4038,  1354,  5178,  5197,  5211,  5228,  1784,  1012,  5231,
    5183,  2923,  1131,  2239,   680,  1785,  5241,  1804,  5237,  1805,
    2632,  3430,  1830,  1794,  1856,  2307,  1198,  1718,  3710,  1806,
    1959,  4840,  1855,  3264,  3826,  1198,  4311,  1807,  3928,  3344,
     831,  4387,  5026,  4889,  5115,  4937,  4453,  1808,  5240,  4726,
    4939,  4925,  1198,  1198,  3770,  3510,  1198,  5163,  4847,  5206,
    5123,  5121,  3007,  5177,  3775,  5058,  4449,  1786,  3410,  1198,
    4309,  3474,  1213,  1012,  1198,  3411,  3838,  2717,  1236,  1198,
    1860,  3393,  1198,  1810,  1811,  4007,  5210,  1198,  1198,  1252,
    5242,  2241,  5238,  4914,  3954,  3932,  5181,  4872,  2700,  5110,
    5168,  1031,  2130,   824,  4513,  4992,  4489,  4875,  2142,  1861,
    4490,  3118,  5068,  3757,   680,  3908,   680,  1313,  1355,  4837,
    1198,  1320,  5190,  5239,  1621,  3050,  3049,   409,  2805,  3715,
    4607,  4472,  1330,  4239,  3716,  3506,  2077,  2355,  3074,  2354,
    3726,  4390,  1643,  3724,  2326,  3073,  2359,  3739,  4186,  4570,
    3727,  4582,  1959,   680,  4983,  4150,  1629,  4182,  2364,  5086,
    5085,  4240,  1198,   363,  4149,  4967,  4139,  1813,  5156,  5152,
    5157,  3719,  3644,  3556,  4236,  1695,  3018,  3642,  2017,  4929,
    4052,  1164,  3099,  3480,  2242,  2243,  2244,  5145,  2245,  2246,
    2247,  2248,  2249,  2250,   411,  2376,   680,  2757,  1403,  1134,
     370,  2137,  3090,  3103,   370,   363,  3106,  1736,  1707,  1198,
    3705,  2369,  1708,  4245,  3104,  4597,  4224,  4246,   673,  1157,
    2373,  3110,  3508,  2479,   673,  2817,  2273,    83,  1441,     0,
    2066,     0,     0,     0,     0,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    74,    74,     0,    74,  2480,   677,     0,     0,
       0,     0,     0,   673,     0,     0,  1198,   673,  1959,  2481,
     824,  1012,     0,     0,     0,     0,     0,     0,   673,     0,
     825,     0,  2482,     0,     0,     0,     0,     0,     0,     0,
    1198,  1959,     0,  1198,   409,  1198,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1198,   673,
    2483,     0,  1198,     0,   673,     0,  3666,  1959,     0,     0,
    3666,  2484,     0,  2922,   673,  1014,  2922,  2922,  2922,  2922,
    2922,  2922,  2922,  2922,  2922,  2922,     0,     0,   673,     0,
       0,  2485,     0,     0,     0,  1014,  2486,  1772,     0,     0,
       0,   411,     0,     0,     0,     0,  4136,  1959,   363,     0,
       0,  1959,  1959,     0,  5056,     0,     0,  3942,     0,     0,
       0,     0,     0,     0,   670,   670,     0,     0,     0,  1773,
       0,     0,     0,     0,     0,  2922,  2922,     0,     0,  2225,
       0,  4339,  2226,     0,  4340,     0,  4341,     0,   831,     0,
       0,     0,     0,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2487,     0,     0,     0,  2229,     0,     0,
       0,     0,  1198,  2230,     0,  2049,     0,     0,     0,     0,
    1054,     0,   673,     0,  1054,  1774,  2064,   825,     0,  3367,
    5227,     0,  1959,     0,  2488,  3367,  3367,  2231,  2669,  5074,
       0,     0,     0,   370,     0,     0,  1012,     0,     0,     0,
    1198,  1012,  1012,  1198,     0,     0,     0,  1775,  3951,     0,
       0,     0,     0,   859,     0,     0,     0,     0,     0,  4421,
    4423,  4425,  4427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1198,     0,     0,     0,     0,
       0,     0,     0,  1776,     0,     0,  2489,     0,     0,  4163,
       0,     0,  2490,     0,     0,  2491,     0,   680,     0,     0,
     673,   673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1777,     0,  2386,     0,  1435,     0,     0,
    1797,  2492,     0,  1198,     0,     0,  1798,  2493,     0, -2688,
       0,  4488,     0,  2233,  1198,  2400,     0,     0,     0,  5182,
    2494,  1778,  2407,  2409,     0,     0,   367,  5192,  5193,  5194,
    1198,  1198,  5195,     0,  2234,  2235,     0,     0,     0,     0,
     824,   680,     0,     0,     0,  2495,  1799,     0,     0,     0,
       0, -2688,     0,  1198,  1779,     0,  1054,  1054,   208,     0,
       0,     0,  1780,     0,   409,     0,     0,     0,  1781,     0,
     367,  5192,  5193,  5194,  4523,  1782,  5195,     0,  5218,  1012,
    2238,     0,     0,  1783,     0,     0,     0,  1012,     0,     0,
     824,     0,  1784,  2239,  1198,  1800,     0,     0,   824,     0,
    1785,     0,  1801,     0,     0,  1802,     0,     0,  1198,     0,
       0,     0,     0,     0,   409,     0,     0,   367,  5192,  5193,
    5194,     0,   409,  5195,     0,     0,     0,     0,  5218,     0,
       0,   411,     0,     0,     0,     0,  5218,     0,     0,     0,
       0,  1012,     0,     0,  1012,  1012,     0,     0,     0,   371,
       0,     0,  1786,     0,  5219,   371,     0,     0,     0,  1803,
     674,  3666,     0,     0,     0,     0,  3666,     0,     0,  3666,
       0, -2688,     0,  2922,  2923,  2923,  1198,     0,     0,  2923,
       0,   411,     0,     0,     0,  1198,     0,     0,   371,   411,
       0,   673,     0,     0,     0,     0,     0,     0,     0,  4596,
       0,  4602,  4603,     0,  5219,     0,   673,     0,     0,     0,
       0,     0,  5219,  1012,     0,     0,  1804,   825,  1805,  2923,
    2923,     0,     0,    80,     0,     0,     0,     0,  1806,   673,
       0,     0,     0,   371,     0,     0,  1807,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,     0,     0,     0,     0,   673,     0,   825,  2245,  2246,
    2247,  2248,  2249,  2250,     0,   825,     0,     0,     0,  1886,
     673,     0,  1810,  1811,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   673,  1797,     0,   673,     0,     0,     0,
    1798,   371,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2756,     0,     0,     0,     0,   363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1799,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4684,  4685,     0,  2922,  2922,     0,     0,
       0,     0,     0,  3367,  3367,     0,  1813,   670,     0,     0,
    1354,     0,    74,     0,  4703,    74,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1800,
    3951,  3951,  3951,  3951,  3951,     0,  1801,     0,     0,  1802,
       0,     0,     0,     0,     0,     0,     0,     0,  2225,  3666,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   673,     0,     0,   831,     0,     0,     0,  2227,   673,
     673,     0,  3057,     0,     0,     0,  2229,     0,     0,     0,
     370,     0,  2230,     0,     0,  4749,     0,     0,     0,     0,
       0,     0,   371,  1803,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2231,     0,     0,     0,
       0,     0,     0,  4769,     0,     0,  2895,  2896,     0,     0,
       0,     0,     0,     0,  2908,     0,     0,   371,  2911,  2912,
       0,     0,     0,   370,   370,   370,     0,  4523,  4523,  4523,
    4523,     0,     0,  2933,     0,  2934,     0,     0,     0,     0,
    1804,  3058,  1805,   673,     0,     0,     0,     0,     0,     0,
       0,   363,  1806,     0,     0,     0,  2763,  2956,     0,  2957,
    1807,     0,     0,     0,     0,  2769,     0,     0,     0,  2773,
    1808,     0,     0,   370,     0,  2779,  2780,     0,  2630,     0,
     370,     0,     0,     0,     0,     0,     0,   370,     0,     0,
       0,     0,     0,  2792,  1054,     0,     0,     0,  2232,     0,
       0,     0,  2233,  2499,     0,     0,  1810,  1811,  1199,  1201,
       0,  2400,  1204,     0,  1206,     0,     0,     0,     0,     0,
       0,     0,     0,  2234,  2235,     0,     0,  1054,     0,     0,
       0,     0,  2500,  1250,     0,     0,     0,     0,     0,     0,
    2236,     0,     0,     0,  1014,     0,  1014,     0,  1014,     0,
       0,     0,     0,  1302,  1014,     0,     0,  1305,     0,     0,
       0,     0,     0,     0,  3942,     0,  2237,     0,     0,  2238,
       0,     0,     0,     0,  1328,  1012,     0,  1014,  1014,  2706,
       0,     0,  2239,     0,     0,  2240,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  2630,     0,     0,     0,  3367,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,  4893,     0,  4894,     0,     0,     0,  4899,  4900,
       0,     0,     0,     0,   673,     0,  1054,  1012,     0,     0,
       0,     0,     0,  2771,     0,     0,     0,     0,     0,  3576,
    3577,     0,     0,     0,  3592,     0,   363,  1718,     0,    74,
       0,    74,     0,     0,     0,     0,  2630,     0,     0,   363,
    2241,     0,  2922,     0,     0,     0,     0,     0,     0,     0,
       0,  4799,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3627,  3628,     0,     0,  2922,  2922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1014,  1797,     0,  5226,     0,   370,     0,  1798,     0,     0,
       0,  3059,     0,     0,   677,   677,     0,     0,     0,  1723,
       0,     0,     0,     0,   831,   673,     0,     0,     0,     0,
       0,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,     0,  1799,     0,     0,
     363,  3046,     0,  2242,  2243,  2244,     0,  2245,  2246,  2247,
    2248,  2249,  2250,     0,  2923,  1014,     0,  2923,  2923,  2923,
    2923,  2923,  2923,  2923,  2923,  2923,  2923,     0,   673,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,     0,     0,     0,  1797,     0,  1800,  2923,  5027,     0,
    1798,   673,   673,  1801,     0,     0,  1802,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
    1012,     0,  2225,   673,     0,  2226,  2923,  2923,  1012,     0,
    1012,     0,     0,     0,     0,     0,     0,   371,     0,     0,
    1799,   371,  2227,     0,     0,  2228,     0,     0,     0,     0,
    2229,     0,     0,     0,     0,   674,  2230,     0,     0,     0,
    1803,   674,     0,  2225,     0,     0,  2226,     0,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
    2231,     0,     0,  1821,  1822,     0,     0,     0,     0,  1800,
       0,  2229,     0,     0,     0,     0,  1801,  2230,     0,  1802,
     674,     0,     0,     0,   674,     0,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,   674,     0,  1804,  3388,  1805,
       0,  2231,     0,     0,     0,     0,  2922,     0,     0,  1806,
       0,     0,     0,     0,     0,     0,     0,  1807,     0,  1354,
       0,   674,     0,     0,     0,     0,     0,  1808,     0,     0,
       0,     0,     0,  1803,     0,     0,   674,     0,  1916,     0,
       0,   674,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,   674,   370,     0,     0,     0,     0,     0,     0,  1974,
    1975,     0,  2232,  1810,  1811,   674,  2233,     0,     0,     0,
       0,     0,     0,   670,     0,     0,     0,     0,     0,  2006,
       0,     0,     0,     0,     0,     0,     0,  2234,  2235,  1812,
    1804,     0,  1805,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,  2232,  2236,     0,     0,  2233,     0,     0,
    1807,     0,     0,  3128,     0,     0,  2039,  2041,  3132,     0,
    1808,  3135,     0,     0,     0,     0,     0,     0,  2234,  2235,
    2237,     0,     0,  2238,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3158,   370,  2236,  2239,  1813,  1012,  2240,
       0,     0,  1956,  2563,     0,     0,  1810,  1811,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5220,  2238,     0,     0,     0,     0,     0,
     371,     0,  2564,     0,  3208,     0,     0,  2239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   370,     0,
     370,  3214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,     0,     0,  5220,  2241,     0,     0,  3249,     0,     0,
       0,  5220,     0,     0,  2923,     0,     0,     0,  1014,     0,
    1813,     0,     0,  1014,  1014,     0,     0,   674,   674,     0,
       0,     0,     0,  3280,     0,     0,     0,  3291,     0,   673,
       0,     0,     0,   370,   673,  2241,     0,   673,     0,     0,
       0,     0,     0,     0,     0,     0,  3305,     0,     0,  3488,
       0,     0,     0,     0,     0,     0,     0,  3315,     0,   673,
       0,     0,     0,     0,     0,  3497,  3498,     0,     0,  3500,
    3339,     0,     0,     0,     0,  3504,     0,     0,     0,  3346,
       0,     0,     0,     0,     0,     0,     0,  2242,  2243,  2244,
       0,  2245,  2246,  2247,  2248,  2249,  2250,   677,     0,     0,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1054,     0,     0,     0,     0,     0,   673,   673,     0,
    2400,     0,     0,  3708,     0,  1012,     0,     0,     0, -2688,
   -2688,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,     0,
       0,     0,   370,   673,     0,  3540,   370,     0,     0,  4107,
       0,     0,  4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,
    4120,  4121,     0,     0,     0,     0,     0,     0,     0,   673,
       0,  1014,     0,   673,     0,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,  2225,  2923,  2923,  2226,
       0,     0,   673,     0,     0,  2431,     0,     0,     0,     0,
       0,     0,     0,   673,     0,     0,  2227,     0,     0,     0,
       0,  4161,  4162,     0,  2229,     0,   673,     0,     0,     0,
    2230,     0,     0,     0,     0,   673,  1954,     0,   674,     0,
       0,     0,     0,  1014,     0,     0,  1014,  1014,     0,     0,
       0,     0,     0,   674,  2231,     0,     0,     0,     0,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,  3522,   370,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   674,     0,     0,  1014,     0,     0,     0,  3522,
       0,     0,     0,     0,     0,     0,     0,   674,     0,  2547,
     822,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,   674,  2225,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,   673,     0,
    2233,     0,     0,     0,  2227,     0,     0,     0,     0,  1956,
       0,     0,  2229,     0,     0,   822,     0,     0,  2230,     0,
       0,  2234,  2235,     0,     0,     0,     0,     0,  2431,     0,
    2613,  2614,  2615,  2616,     0,   673,     0,     0,  2236,  1954,
       0,     0,  2231,     0,     0,     0,  1956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1053,     0,     0,  2237,     0,     0,  2238,     0,  1053,
       0,  1053,  2652,  2653,  1956,     0,     0,     0,  2662,     0,
    2239,     0,   673,   822,     0,     0,     0,     0,  3780,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   673,     0,     0,   674,     0,
       0,     0,     0,     0,     0,  1012,   674,   674,     0,     0,
    3946,  3949,     0,  2686,     0,     0,     0,   371,  1012,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,     0,  2232,     0,     0,     0,  2233,     0,
    2721,  2722,  2723,  2724,     0,     0,     0,     0,  2241,  3995,
       0,  3830,     0,  3832,     0,     0,     0,     0,     0,  2234,
    2235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     371,   371,   371,     0,     0,  2293,  2236,     0,   370,  4437,
       0,     0,     0,     0,   370,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2783,     0,  2237,  2923,     0,  2238,     0,     0,     0,  2787,
       0,     0,  2923,  3759,     0,     0,  2794,     0,  2239,     0,
     371,  2240,     0,     0,     0,     0,     0,   371,     0,  2923,
    2923,     0,     0,     0,   371,     0,     0,     0,     0,     0,
       0,  2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,
    2250,     0,     0,     0,  3903,  3782,     0,     0,     0,     0,
    3910,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1012,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2241,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3849,     0,     0,  1954,     0,     0,   673,
       0,  3028,  4549,  4550,     0,  3868,     0,     0,     0,     0,
       0,   674,     0,     0,   673,   673,     0,  1014,     0,     0,
       0,     0,     0,     0,  2966,     0,     0,     0,  1954,  2242,
    2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,
       0,   673,     0,     0,   673,  3619,     0,  4055,     0,     0,
       0,  4058,  4059,     0,  4061,     0,  4063,  4064,     0,     0,
       0,     0,     0,     0,  1267,  4069,     0,     0,     0,  1014,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
    3915,     0,     0,     0,     0,     0,     0,     0,     0,  1723,
       0,     0,   371,     0,     0,     0,     0,  1268,     0,     0,
    4088,     0,     0,     0,     0,     0,  1954,  2923,  4242,     0,
    1269,  1270,   674,     0,     0,   370,   370,   370,     0,  1271,
       0,     0,     0,  1272,     0,  1954,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
    1273,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,     0,     0,     0,  3114,
     673,  1274,     0,  2431,  3120,   674,   674,     0,     0,     0,
       0,  1954,  1275,     0,     0,     0,   674,     0,     0,     0,
    1276,     0,     0,     0,     0,     0,     0,     0,   674,   674,
       0,     0,  1277,     0,     0,     0,     0,  1278,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,  1797,     0,  1012,     0,     0,     0,  1798,  1279,     0,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
    2630,     0,     0,     0,  1954,     0,  1012,     0,     0,     0,
       0,     0,     0,  1280,     0,     0,     0,  4077,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1799,     0,     0,
       0,     0,  1014,     0,  1281,   370,     0,  4089,     0,  1956,
    1014,     0,  1014,     0,  3174,  3175,  3176,     0,     0,     0,
     673,     0,   673,  3186,     0,  3188,     0,  3190,  3191,     0,
       0,     0,     0,     0,   673,  1282,   673,     0,     0,     0,
       0,  1434,  1435,     0,     0,     0,  1800,     0,     0,     0,
    4404,     0,     0,  1801,  3949,     0,  1802,     0,     0,   822,
       0,     0,     0,     0,   859,  4420,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,   672,     0,     0,   673,     0,     0,     0,
       0,  1283,     0,     0,   672,  1284,     0,  1285,     0,   371,
       0,     0,     0,  1286,     0,     0,  1287,     0,     0,     0,
    1803,     0,     0,     0,     0,     0,   673,     0,  4791,     0,
       0,     0,   672,  3299,     0,     0,   672,     0,     0,     0,
       0,     0,  1288,   673,  1289,     0,     0,   672,  1290,     0,
       0,     0,     0,     0,  4807,  4808,  1291,     0,     0,     0,
     673,  1292,  2225,   673,  1956,  2226,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,  1804,     0,  1805,
       0,  1954,  2227,     0,     0,     0,  1293,     0,   672,  1806,
    2229,  3359,  1012,   672,     0,     0,  2230,  1807,     0,  3368,
       0,   371,     0,   672,  3369,     0,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
    2231,     0,  2225,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   370,  2431,
    3217,     0,  2227,  1810,  1811,     0,     0,     0,     0,     0,
    2229,  1946,     0,     0,     0,   371,  2230,   371,     0,     0,
    1014,     0,     0,     0,     0,     0,     0,     0,     0,  1812,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
    2231,  4287,     0,     0,     0,  3455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1053,
       0,   672,     0,  1053,     0,     0,   674,  3491,     0,  3493,
     371,   674,  2232,     0,   674,     0,  2233,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2400,  1956,     0,
       0,     0,     0,     0,     0,     0,   674,  2234,  2235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    74,
       0,     0,     0,     0,  2236,     0,     0,  1012,     0,  4502,
    4359,     0,     0,  4362,     0,     0,  1954,  4505,  4506,     0,
    1954,  1954,  2232,     0,     0,     0,  2233,   674,     0,     0,
    2237,     0,  4964,  2238,     0,     0,     0,     0,     0,   672,
     672,     0,     0,     0,   674,   674,  2239,  2234,  2235,  2240,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,  1012,
       0,     0,     0,     0,  2236,  3548,     0,   673,     0,   371,
     674,     0,     0,   371,     0,     0,     0,     0,     0,  4664,
    4665,     0,     0,     0,  4668,  4669,     0,     0,     0,     0,
    2237,     0,     0,  2238,     0,     0,   674,     0,     0,     0,
     674,     0,     0,     0,     0,   370,  2239,  1014,     0,  2240,
     370,     0,   370,     0,     0,  1053,  1053,  4459,     0,   674,
       0,     0,     0,     0,  2241,     0,  1954,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,     0,     0,  1012,  3028,  3028,  3028,
       0,     0,   674,     0,     0,     0,   673,     0,     0,   673,
       0,     0,     0,     0,     0,     0,  3949,  3949,  3949,  3949,
    3949,     0,     0,     0,  1012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2241,     0,     0,     0,     0,     0,
       0,     0,     0,   370,     0,     0,     0,  3522,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   371,     0,     0,  2242,  2243,  2244,
       0,  2245,  2246,  2247,  2248,  2249,  2250,     0,  4635,  3042,
       0,     0,     0,     0,     0,  3043,     0,     0,     0,     0,
       0,  2431,     0,     0,  3120,     0,  3120,     0,     0,     0,
     672,  2431,     0,     0,     0,     0,   673,   673,     0,  4652,
    4653,     0,     0,   673,     0,   672,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,   674,     0,  2242,  2243,  2244,
       0,  2245,  2246,  2247,  2248,  2249,  2250,     0,   672,     0,
       0,  2953,     0,     0,     0,     0,     0,     0,  1797,     0,
       0,  1956,     0,     0,  1798,     0,     0,     0,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,  1946,  4687,  4688,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,  2431,     0,   673,  1799,     0,  1954,     0,     0,     0,
       0,     0,   672,     0,  4836,   672,     0,     0,     0,   674,
       0,     0,  3789,     0,  3790,  3791,  3792,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1946,   674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1800,     0,     0,     0,     0,     0,     0,
    1801,     0,  1956,  1802,  1956,     0,     0,     0,     0,     0,
    1012,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4661,     0,
       0,     0,     0,     0,     0,  1954,     0,  1014,     0,     0,
    4671,     0,     0,  4780,     0,  4781,  4782,  1803,     0,     0,
    1014,  1956,     0,     0,     0,   371,     0,  4785,     0,     0,
       0,   371,  2225,     0,     0,  2226,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,  1956,     0,   672,   672,
       0,  1946,  2227,     0,     0,     0,     0,     0,     0,   822,
    2229,     0,     0,     0,     0,     0,  2230,  3120,     0,     0,
    1946,     0,     0,     0,  1804,     0,  1805,     0,     0,     0,
    3120,     0,     0,     0,     0,     0,  1806,     0,  1946,     0,
    2231,     0,     0,     0,  1807,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,   822,     0,     0,     0,  1946,     0,   673,     0,
     674,   370,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,  3308,     0,     0,
    1810,  1811,     0,     0,   673,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
       0,  3120,     0,     0,     0,     0,  3309,     0,     0,     0,
       0,   673,     0,  1014,  1956,     0,   822,     0,     0,  1946,
       0,     0,     0,  1053,     0,     0,     0,     0,     0,     0,
       0,     0,  2232,     0,  3522,     0,  2233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,   673,     0,  1053,  2234,  2235,     0,
       0,   674,   674,     0,  1813,     0,     0,     0,     0,     0,
       0,     0,     0,   370,  2236,     0,     0,     0,     0,  4065,
       0,     0,  4066,     0,     0,     0,  1956,     0,   674,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
    2237,     0,     0,  2238,     0,     0,  1956,     0,  1954,     0,
       0,  1954,     0,  1954,     0,     0,  2239,  5072,  1954,  2240,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4093,  1956,     0,     0,  3522,     0,  3522,     0,  4963,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,  1053,     0,     0,     0,     0,
       0,     0,   371,   371,   371,     0,     0,  1956,  1954,     0,
       0, -2193,     0,     0,     0,     0,     0,     0,     0,     0,
     673,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,  2241,     0,  4994,  2225,   674,     0,
    2226,     0,     0,     0,     0,     0,     0,   674,  1954,     0,
       0,     0,  3028,     0,     0,     0,  1946,  2227, -2193,     0,
       0,     0,     0,     0,     0,  2229,     0,     0,     0,     0,
   -2193,  2230,     0,     0,   822, -2193,     0,  5025,     0,     0,
   -2193,     0,     0,     0,     0, -2193,     0,     0, -2193,     0,
   -2193,     0,     0,     0,   672,  2231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
     672,  1954,     0,   674,     0,     0,     0, -2193,     0,     0,
     673,     0,   673,     0,  2431,     0,     0,  2242,  2243,  2244,
       0,  2245,  2246,  2247,  2248,  2249,  2250,     0,     0, -2193,
       0,  3943,     0,     0,     0,     0,     0,   672,   672,     0,
       0,     0,   371,     0,     0,  1014,     0,     0,   672,   673,
       0,     0,     0,     0,     0,     0,     0,   674,  1954,   674,
     672,   672,     0,     0,     0,     0, -2193,     0,  1014,  5217,
       0,   674,     0,   674, -2193,     0,     0,     0,  1797,     0,
       0,     0,   672,  1954,  1798,     0,     0,  2232,     0,     0,
     370,  2233,   673,     0,  1797,     0,     0,     0,     0,     0,
    1798,     0,     0,     0,  1954,  3120,     0,  4282,  4283,  4284,
    4285,     0,  2234,  2235,     0,     0,     0,  1954,     0,  5217,
       0,     0, -2193,   674,  1799,     0,     0,  5217,     0,  2236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1799,  1946,     0,     0,     0,  1946,  1946,     0,     0,     0,
       0,     0,     0,   674,     0,  2237,     0,     0,  2238,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
     674,  2239,     0,  1800,  2240,     0,     0,     0,     0,     0,
    1801,     0,  1954,  1802,     0,     0,     0,   674,     0,  1800,
     674, -2193,     0,     0,     0,     0,  1801,     0,  1954,  1802,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0, -2193,     0, -2193, -2193,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   822,     0,     0,     0,  2225,     0,  1803,  2226,     0,
    5203,     0,     0,     0,     0,     0,     0,     0,     0,  2241,
       0,  1946, -2193,  1803,  1956, -2193, -2193,   370, -2193,     0,
       0,     0,     0,  2229,     0,   371,     0,     0,     0,  2230,
       0,     0,     0,     0,  1014,     0,     0,     0,     0,     0,
    4435,     0,     0,  1954,     0,     0,     0,  2225,     0,     0,
    2226,     0,  2431,  2231,  1804,     0,  1805,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,  1806,  2227,     0,     0,
    1804,     0,  1805,     0,  1807,  2229,     0,     0,     0,     0,
       0,  2230,  1806,     0,  1808,     0,     0,     0,  1954,     0,
    1807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1808,  3522,  2242,  2243,  2244,  2231,  2245,  2246,  2247,  2248,
    2249,  2250,     0,     0,     0,  4164,  4101,  3347,     0,     0,
    1810,  1811,     0,     0,  1954,     0,     0,     0,     0,     0,
       0,     0,     0,  3808,     0,     0,  1810,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,  3348,     0,     0,     0,
       0,     0,     0,     0,     0, -2688,  1946,     0,   672,  2233,
       0,     0,  3809,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
    2234,  2235,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2688,   672,     0,
       0,     0,   822,   672,  1813,     0,   672,  2232,     0,  1014,
       0,  2233,     0,     0,   674,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  3028,  2238,     0,   672,     0,
    3028,  1946,  2234,  2235,     0,  3028,     0,     0,     0,  2239,
       0,  1954,     0,     0,     0,     0,     0,   673,     0,  2236,
       0,     0,   371,     0,     0,     0,     0,   371,     0,   371,
       0,  1014,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,  2237,     0,     0,  2238,     0,
    1053,     0,     0,     0,     0,     0,   672,   672,     0,     0,
       0,  2239,     0,     0,  2240,     0,  1956,     0,     0,     0,
       0,  2225,     0,   674,  2226,     0,   674,     0,     0,     0,
       0,   822,   672,     0,     0,   822,     0, -2688,     0,     0,
       0,  2227,     0,     0,  1956,     0,     0,     0,     0,  2229,
    1946,     0,  1954,     0,     0,  2230,     0,   370,   672,     0,
     371,     0,   672,  1956,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2231,
       0,   672,     0,     0,     0,     0,     0,     0,     0,  2241,
       0,     0,   672,     0,     0,     0,  1014,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,   370,     0,     0,
       0,     0,     0,  1956,   672,   370,     0,     0,     0,     0,
       0,     0,     0,   674,   674,     0,     0,     0,     0,     0,
     674,     0,     0,     0,  2245,  2246,  2247,  2248,  2249,  2250,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4680,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4683,     0,     0,   718,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,     0,
       0,  2232,  2242,  2243,  2244,  2233,  2245,  2246,  2247,  2248,
    2249,  2250,     0,     0,     0,     0,  4148,     0,     0,     0,
       0,  1954,     0,     0,   718,     0,  2234,  2235,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2236,     0,   718,     0,     0,     0,     0,
       0,     0,  4773,     0,     0,     0,     0,   672,     0,  1954,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,  2237,
       0,     0,  2238,     0,     0,     0,  1024,     0,     0,     0,
       0,     0,     0,  4752,  1032,  2239,     0,     0,  2240,     0,
    1956,     0,     0,     0,   672,     0,     0,     0,     0,  1043,
       0,  1023,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,  2225,     0,  1946,  2226,     0,  1946,     0,  1946,     0,
       0,   672,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,  1014,     0,     0,     0,     0,     0,     0,  2229,
       0,     0,     0,  2241,   672,  2230,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,  2231,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3120,     0,     0,     0,     0,     0,     0,     0,
       0,  2225,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,  4850,  4852,  4852,
       0,  2227,     0,     0,     0,   674,     0,   822,   371,  2229,
       0,  4167,     0,   822,     0,  2230,  2242,  2243,  2244,     0,
    2245,  2246,  2247,  2248,  2249,  2250,     0,     0,     0,     0,
    4228,   674,     0,     0,     0,     0,     0,  2225,     0,  2231,
    2226,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0, -2688,     0,     0,  1946,  2233,  1946,     0,   674,     0,
       0,     0,     0,  1954,     0,  2229,     0,     0,     0,     0,
       0,  2230,     0,     0,     0,     0,  2234,  2235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3120,     0,
       0,  1954,     0, -2688,     0,  2231,     0,     0,     0,     0,
       0,   674,   672,     0,     0,     0,     0,     0,     0,     0,
    1954,  1956,     0,  1946,     0,     0,     0,     0,     0,     0,
     371,     0,  2238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2239,     0,     0,  1946,     0,
    4949,  2232,     0,     0,     0,  2233,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4558,     0,  1946,
    1954,     0,     0,     0,     0,     0,  2234,  2235,     0,     0,
       0,     0,  1946,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2236,     0,     0,     0,  1956,   672,     0,
       0,  1956,  1956,     0,     0,     0,     0, -2688,     0,     0,
       0,  2233,     0,   672,   672,     0,     0,     0,     0,  2237,
       0,     0,  2238, -2688,     0,     0,     0,     0,     0,  5073,
       0,     0,  2234,  2235,  4998,  2239,     0,   674,  2240,     0,
     672,     0,     0,   672,     0,     0,     0,  1946,     0, -2688,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,  5021,     0,  5023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1946,     0,  2238,     0,
       0,     0,  4773,     0,     0,     0,     0,     0,     0,     0,
       0,  2239,     0,     0,     0,     0,     0,     0,   718,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2241,   822,   822,   822,     0,     0,     0,
    2245,  2246,  2247,  2248,  2249,  2250,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   672,   674,
       0,     0,     0,     0,     0,     0,     0,     0,  1946,     0,
     672,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,  1946, -2688,
       0,     0,     0,     0,     0,     0,   674,     0,  4852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2242,  2243,  2244,     0,
    2245,  2246,  2247,  2248,  2249,  2250,     0,   371,     0,   674,
    4259,     0,     0,     0,     0,   672,     0,     0,     0,  1946,
       0,     0,     0,  5129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   822,     0,  2245,  2246,  2247,  2248,
    2249,  2250,     0,     0,     0,     0,     0,     0,     0,   672,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,   672,     0,  5170,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,  1200,  1200,   718,
       0,  1200,     0,  1208,     0,  1194,     0,  1097,     0,     0,
    1234,     0,     0,     0,     0,  1097,     0,     0,  1097,     0,
       0,     0,  1200,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,  1266,     0,     0,   672,  1946,  1097,     0,  1194,
    5209,     0,  1200,     0,   718,     0,  1200,     0,     0,     0,
       0,     0,     0,  1234,     0,  1954,  1323,     0,     0,     0,
       0,     0,  1216,  1200,     0,   672,     0,     0,     0,     0,
    1240,     0,     0,     0,   371,     0,     0,     0,  1954,  1254,
       0,     0,   672,     0,     0,  2225,     0,  1264,  2226,     0,
       0,     0,  1297,     0,     0,     0,  1194,     0,     0,   672,
       0,   718,   672,     0,     0,  2227,  1194,     0,     0,     0,
    1234,     0,     0,  2229,  1954,     0,     0,     0,     0,  2230,
       0,     0,     0,     0,     0,  1200,     0,  1946,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2231,     0,     0,     0,     0,  2225,     0,
       0,  2226,     0,     0,  1954,     0,     0,     0,  1954,  1954,
       0,     0,     0,     0,     0,     0,     0,     0,  2227,     0,
       0,     0,     0,     0,     0,     0,  2229,   822,     0,     0,
    1097,     0,  2230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1097,  1471,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,   718,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,  2232,  1097,     0,  1470,  2233,
    1097,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
    2234,  2235,     0,     0,     0,     0,  1946,     0,     0,     0,
    1097,     0,  1599,     0,     0,     0,     0,  2236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1623,     0,     0,   674,     0,     0,     0,  2232,     0,
       0,     0,  2233,  2237,  1946,     0,  2238,     0,     0,     0,
       0,     0,     0,  1649,     0,     0,     0,     0,     0,  2239,
       0,     0,  2240,  2234,  2235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,   672,     0,     0,     0,
    1097,     0,  1200,  1200,     0,     0,  2237,     0,     0,  2238,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2239,     0,   371,  2240,     0,     0,     0,     0,
       0,     0,     0,     0,   822,     0,     0,  2241,     0,   822,
       0,   822,     0,     0,     0,  2225,     0,     0,  2226,  1194,
       0,     0,     0,     0,     0,  1820,     0,  1946,     0,     0,
    1194,     0,     0,     0,  1234,  2227,     0,     0,  1946,     0,
       0,     0,     0,  2229,   371,     0,     0,  1200,     0,  2230,
       0,     0,   371,     0,     0,   672,     0,     0,   672,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,  1200,  1200,
    2241,     0,     0,  2231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1097,  1097,     0,  1200,     0,
    1194,     0,   822,     0,  2014,     0,     0,     0,     0,     0,
    2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,
       0,     0,     0,     0,  4526,     0,     0,  1972,     0,     0,
       0,     0,     0,  1200,     0,  1200,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2000,
    2003,  2004,     0,     0,     0,  1797,     0,     0,     0,     0,
       0,  1798,     0,     0,     0,   672,   672,     0,  1946,  1581,
       0,     0,   672,  2242,  2243,  2244,     0,  2245,  2246,  2247,
    2248,  2249,  2250,     0,     0,  2232,     0,  4560,     0,  2233,
       0,     0,     0,     0,     0,     0,  1946,     0,     0,     0,
       0,  1799,     0,     0,     0,     0,     0,  2113,  2113,     0,
    2234,  2235,  1097,     0,  1023,  1946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2148,     0,     0,
    1097,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
    1800,     0,   672,  2237,     0,  1581,  2238,  1801,     0,     0,
    1802,     0,     0,     0,     0,  1946,     0,  1599,     0,  2239,
       0,     0,  2240,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1599,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,  1581,  1803,  1581,     0,  2225,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,  2227,     0,     0,
       0,     0,     0,     0,     0,  2229,     0,  2241,     0,     0,
   -2195,  2230,     0,     0,     0,   718,   718,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1804,     0,  1805,     0,  2231,     0,     0,     0,     0,
       0,     0,     0,  1806,  1097,     0,     0,  1581,     0,     0,
       0,  1807,     0,     0,     0,     0,     0, -2195,     0,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0, -2195,
       0,     0,     0,     0, -2195,     0,  1581,     0,     0, -2195,
    1581,  1581,  1946,     0, -2195,     0,     0, -2195,     0, -2195,
       0,  1097,  1097,  2367,  3851,     0,     0,  1810,  1811,  2311,
    2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,
       0,     0,     0,     0,  4801,     0, -2195,     0,     0,   718,
       0,     0,     0,  3852,     0,     0,     0,   672,     0,     0,
     822,     0,     0,     0,     0,     0,     0,  2232, -2195,     0,
       0,  2233,     0,     0,     0,     0,     0,  2365,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,  2234,  2235,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2195,     0,     0,     0,  2236,
     672,  1813,     0, -2195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1946,  2237,     0,     0,  2238,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  2531,
       0,  2239,     0,   672,  2240,  1097,     0,     0,  1200,     0,
       0, -2195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1234,     0,     0,
       0,     0,     0,  1097,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2526,     0,     0,  1027,     0,     0,     0,
    2544,  1097,     0,     0,     0,     0,     0,     0,     0,  1200,
    1200,  1200,  1200,  1097,     0,     0,     0,     0,     0,  2241,
   -2195,     0,     0,     0,     0,     0,     0,  1097,  2578,     0,
       0,  2581,     0,     0,     0,     0,     0,     0,     0,  2644,
    1946,  1097,     0,     0, -2195,     0, -2195, -2195,     0,     0,
       0,  1200,  1200,     0,     0,     0,     0,  1200,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,  2617,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2195,  2633,     0, -2195, -2195,     0, -2195,     0,     0,
       0,     0,     0,     0,     0,     0,  2645,     0,     0,  1946,
       0,     0,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,
    2249,  2250,     0,     0,     0,     0,  4810,     0,     0,  1200,
    1200,  1200,  1200,     0,     0,     0,     0,     0,     0,  1946,
       0,  1097,     0,  1946,  1946,     0,     0,  1097,     0,     0,
    2644,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,     0,   672,
       0,   672,   718,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1234,     0,     0,     0,     0,  1200,
       0,     0,     0,     0,     0,     0,  2737,     0,  1200,     0,
       0,     0,  2747,     0,  1200,  1200,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2225,     0,     0,  2226,     0,     0,   822,
       0,   672,  2113,     0,     0,     0,     0,     0,     0,  1200,
       0,  1194,     0,  2227,     0,  1097,  1097,     0,  1200,     0,
       0,  2229,     0,  2802,  1097,     0,     0,  2230,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,  1023,  1023,     0,     0,  2864,     0,     0,     0,  1581,
    1581,  2231,     0,     0,     0,     0,     0,  1581,     0,     0,
    1581,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
    1599,  1599,  1581,  1581,     0,     0,     0,     0,     0,     0,
    1581,     0,  1234,  1581,  1581,  1581,  1581,     0,     0,  2857,
       0,     0,     0,  1581,  1581,     0,  1581,     0,  1581,  1581,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,  1200,  1581,     0,     0,     0,  1581,     0,
       0,     0,  1581,     0,  1581,  1581,  1581,  1581,  1581,  1581,
    1581,  1581,  1581,     0,  1581,     0,     0,     0,     0,     0,
       0,  1097,     0,  2232,  1581,  1581,     0,  2233,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,  2234,  2235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,  3015,     0,     0,     0,
       0,     0,     0,  1097,     0,  1097,     0,  1581,     0,     0,
       0,  2237,     0,     0,  2238,     0,     0,     0,     0,     0,
       0,  3035,     0,     0,     0,     0,     0,  2239,     0,     0,
    2240,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,  3081,     0,
    3088,     0,     0,     0,     0,     0,     0,     0,  3048,     0,
    3051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2225,     0,     0,  2226,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2227,  1599,     0,     0,
       0,     0,     0,     0,  2229,  2241,     0,     0,     0,     0,
    2230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2225,     0,   672,  2226,     0,     0,   718,     0,     0,     0,
       0,  1023,     0,  1023,  2231,     0,     0,     0,     0,     0,
    2227,     0,     0,     0,     0,     0,     0,     0,  2229,     0,
    1581,     0,     0,     0,  2230,     0,  1948,     0,     0,     0,
       0,  1194,     0,  1200,  1200,  1200,     0,     0,  1194,     0,
    1234,     0,  1200,     0,  1200,     0,  1200,  1200,  2231,     0,
    1097,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2242,  2243,
    2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,  2531,
       0,     0,  4845,     0,     0,     0,  3222,     0,     0,     0,
       0,  3231,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
    2233,     0,     0,     0,  1097,     0,     0,     0,  3272,  3272,
       0,     0,     0,     0,     0,   718,     0,     0,     0,     0,
       0,  2234,  2235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,   822,  3272,  2236,     0,
    2232,     0,  3240,     0,  2233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3267,
    3333,     0,  3336,  3338,  2237,  2234,  2235,  2238,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2239,     0,  2236,  2240,     0,     0,   822,     0,     0,     0,
    1200,     0,     0,     0,   822,     0,     0,     0,  1200,     0,
       0,     0,     0,  1200,     0,     0,     0,     0,  2237,     0,
       0,  2238,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,  2239,     0,     0,  2240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2531,     0,     0,  3272,     0,  1097,     0,  3431,     0,     0,
    1023,     0,     0,     0,  2225,     0,     0,  2226,  2241,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2227,     0,  3333,     0,     0,     0,
       0,     0,  2229,     0,  1200,  3457,     0,     0,  2230,  1948,
       0,     0,  1566,     0,     0,     0,     0,  2014,     0,     0,
    3429,     0,  2241,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2231,     0,  1200,     0,  1200,  3272,  1200,  3272,
       0,     0,     0,     0,     0,     0,     0,     0,  1640,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,  2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,
    2250,     0,  2113,     0,  2225,  4908,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,  2227,     0,     0,     0,     0,     0,
       0,     0,  2229,     0,     0,  2242,  2243,  2244,  2230,  2245,
    2246,  2247,  2248,  2249,  2250,     0,     0,  1194,     0,  5132,
       0,     0,     0,  1194,  2232,     0,     0,     0,  2233,     0,
       0,     0,  2231,     0,  1200,     0,     0,     0,     0,     0,
    1581,  1581,     0,     0,     0,     0,  1581,     0,     0,  2234,
    2235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,  2236,     0,     0,     0,
       0,  1581,  1581,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,  1581,  1581,
    1581,  1581,  2237,     0,     0,  2238,     0,     0,     0,     0,
    1948,  1581,     0,     0,  1581,     0,  1581,  3623,  2239,     0,
       0,  2240,     0,     0,     0,     0,  1581,  1581,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,  1581,  2232,  1581,     0,  1234,  2233,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,  2234,
    2235,     0,  1097,     0,     0,     0,     0,     0,  3676,     0,
       0,  1581,  1581,  1581,   844,     0,  2236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2241,     0,     0,     0,
       0,  1948,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,  2237,     0,     0,  2238,     0,     0,  1581,     0,
       0,     0,     0,  1581,     0,     0,     0,  3659,  2239,  1581,
     845,  2240,     0,     0,     0,     0,     0,  3676,     0,     0,
    3733,     0,     0,   846,  3088,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     847,     0,     0,     0,     0,     0,   848,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   849,     0,     0,     0,     0,     0,     0,     0,  2242,
    2243,  2244,   850,  2245,  2246,  2247,  2248,  2249,  2250,     0,
     851,     0,     0,  5229,     0,     0,  2241,     0,  1581,     0,
    3272,     0,   852,     0,     0,  2113,     0,   853,     0,     0,
       0,     0,     0,   854,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2163,  1797,     0,   855,     0,
       0,  1200,  1798,  1200,  1200,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   856,  2187,     0,     0,  1835,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1799,     0,   857,     0,     0,     0,     0,     0,
       0,     0,  2212,  2213,     0,  2216,     0,     0,  1948,  2242,
    2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,
       0,  4223,     0,  1836,  2258,   858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1800,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,  1802,     0,     0,   859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2312,     0,     0,
       0,   860,     0,     0,     0,   861,     0,   862,     0,     0,
       0,     0,     0,   863,     0,     0,   864,     0,     0,     0,
       0,     0,  1837,     0,     0,  1803,  2335,     0,     0,     0,
    2347,  2350,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   865,   866,     0,   867,     0,     0,     0,   868,     0,
       0,     0,     0,     0,  3272,  3272,   869,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
    1838,     0,  1839,   871,     0,     0,     0,  3950,     0,     0,
       0,     0,  1840,     0,  1805,     0,   872,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,     0,     0,     0,     0,
       0,     0,  1807,     0,  1097,  1097,     0,     0,     0,     0,
       0,  1841,  1808,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,  1948,     0,     0,     0,  1948,  1948,     0,
       0,     0,     0,  2113,  1097,     0,     0,     0,     0,     0,
       0,     0,  2113,  3272,  1097,  1842,     0,     0,  1810,  1811,
    1843,     0,     0,     0,     0,     0,     0,     0,  1097,  3987,
    3988,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   718,  1844,  3997,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1845,     0,     0,  1200,  4006,
       0,  1200,     0,     0,     0,     0,     0,     0,     0,  4016,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,     0,
       0,     0,     0,  4032,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,     0,  1813,  1948,     0,     0,     0,     0,     0,  1200,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,  1581,     0,  1581,     0,     0,     0,     0,
       0,  1581,     0,     0,  1581,  1581,  1581,  1581,  1581,  1581,
    1581,  1581,  1581,  1581,  1599,     0,   830,  1581,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,  1581,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,  1581,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,   830,  1581,  1581,  1581,     0,     0,     0,  1581,     0,
    2225,  1581,     0,  2226,     0,  4173,     0,     0,     0,     0,
       0,     0,  1097,  1097,  1097,  1194,     0,  3676,  4190,     0,
    2227,     0,  4190,  4204,     0,     0,     0,     0,  2229,  1581,
       0,     0,     0,     0,  2230,  1581,  1581,  1057,  1948,     0,
       0,     0,     0,     0,     0,  1057,     0,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2231,   830,
       0,     0,     0,     0,     0,     0,     0,  4178,  4179,  4180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
    3088,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4265,  2113,  2113,     0,  2644,     0,
       0,     0,     0,     0,     0,     0,     0, -2208,     0,  3595,
       0,     0,     0,     0,  3596,     0,  1200,  1200,  1200,  1200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2232,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4308, -2208,  2234,  2235,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2208,  2892,     0,     0,
       0, -2208,  2236,     0,     0,     0, -2208,     0,     0,     0,
       0, -2208,  1948,     0, -2208,     0, -2208,     0,     0,     0,
    2915,     0,     0,  2917,     0,     0,  2928,     0,  2237,     0,
       0,  2238,  3272,  2935,  2940,     0,     0,     0,     0,  2946,
       0,     0,  2951, -2208,  2239,     0,     0,  2240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2960,
       0,  4376,     0,     0,  2967, -2208,     0,     0,  2979,     0,
    2225,     0,  2986,  2226,  2988,  2989,  2990,  2991,  2992,  2993,
    2994,  2995,  2996,     0,  2997,     0,     0,     0,     0,     0,
    2227,     0,     0,     0,  1566,  3025,     0,     0,  2229,     0,
    3950,     0, -2208,     0,  2230,     0,     0,     0,  1097,     0,
   -2208,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
       0,  1581,  2241,     0,     0,     0,     0,  1097,  2231,     0,
       0,     0,     0,  4448,     0,     0,     0,     0,     0,     0,
       0,     0,  2531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,  1640, -2208,     0,
       0,     0,     0,  4417,  3333,     0,     0,     0,     0,     0,
       0,  4478,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4443,     0,     0,     0,     0,  1581,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,  4460,
       0,     0,  3272,     0,  3272,  2242,  2243,  2244,     0,  2245,
    2246,  2247,  2248,  2249,  2250,     0,     0, -2208,     0,     0,
    2232,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0, -2208,     0, -2208, -2208,  2234,  2235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2236,     0,     0,  1948,     0,     0,  1948,     0,
    1948,     0,     0,     0,     0,  1948,  1581,     0, -2208,     0,
       0, -2208, -2208,     0, -2208,     0,  1581,  1581,  2237,     0,
    3161,  2238,     0,     0,  1581,  1581,     0,     0,     0,  1581,
       0,     0,     0,     0,  2239,  1581,  1581,  2240,     0,  1581,
       0,     0,  1581,  4564,     0,     0,  1097,  1097,  1097,  1097,
       0,     0,     0,  4190,  4204,  1948,  4190,  4140,     0,  4573,
       0,     0,     0,  3676,     0,     0,     0,  3676,     0,     0,
       0,     0,     0,  4586,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,  1581,
       0,     0,     0,  2225,     0,  1948,  2226,     0,  1234,     0,
       0,  4565,  4566,  4567,  4568,     0,  3733,     0,     0,     0,
    3088,     0,  2241,  2227,     0,     0,     0,     0,     0,     0,
       0,  2229,     0,     0,     0,     0,  4141,  2230,     0,  1023,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2225,     0,     0,  2226,     0,
       0,  2231,  3272,  3272,     0,     0,  1948,     0,  1948,     0,
       0,     0,     0,     0,     0,  2227,     0,     0,  3558,     0,
       0,     0,     0,  2229,     0,     0,  4650,     0,     0,  2230,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,  2231,     0,  2242,  2243,  2244,     0,  2245,
    2246,  2247,  2248,  2249,  2250,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3380,     0,  1200,     0,
       0,  5200,     0,     0,     0,     0,  1196,     0,     0,     0,
    1948,     0,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2232,     0,     0,     0,  2233,     0,     0,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,  2234,  2235,
       0,     0,  3950,  3950,  3950,  3950,  3950,     0,     0,     0,
       0,     0,     0,  1196,     0,  2236,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,  2232,  1581,     0,     0,  2233,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,  2237,  2531,     0,  2238,     0,     0,     0,     0,  2113,
    2234,  2235,     0,     0,     0,     0,     0,  2239,     0,  1948,
    2240,     0,  1200,  2531,     0,     0,     0,  2236,     0,     0,
       0,  3505,     0,     0,     0,  1948,     0,     0,  5201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1948,  1097,
       0,  4779,     0,  2237,     0,     0,  2238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2239,
       0,     0,  2240,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,  2241,     0,     0,     0,  1196,
       0,     0,     0,     0,  4775,  1057,  1581,  1581,     0,  1057,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,  3554,     0,  1194,  4190,     0,  3560,     0,  3676,     0,
       0,     0,     0,  3676,     0,  1196,  3676,  3333,     0,  4829,
    1948,  1581,  1581,     0,     0,     0,     0,  2241,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1948,     0,     0,  2940,     0,
    2940,  2940,     0,     0,  4265,  1234,  1200,  1200,  1200,     0,
       0,  3617,     0,     0,  3620,     0,  3622,     0,  2242,  2243,
    2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,     0,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,  2225,
       0,     0,  2226,  3643,     0,  3645,  1194,  1234,     0,  3648,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
       0,     0,     0,     0,     0,     0,     0,  2229,     0,     0,
    2242,  2243,  2244,  2230,  2245,  2246,  2247,  2248,  2249,  2250,
       0,  3025,  3025,  3025,     0,     0,     0,     0,  2113,  2113,
       0,     0,     0,  1194,     0,     0,     0,  2231,     0,     0,
       0,  1057,  1057,  1097,     0,  3711,     0,     0,     0,     0,
       0,     0,     0,     0,  4448,     0,     0,     0,  2335,     0,
       0,  3272,     0,  3723,     0,  2531,  1196,     0,     0,  2350,
       0,     0,     0,     0,     0,     0,     0,  1196,  4478,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,  1948,  1200,
    4265,     0,     0,     0,     0,     0,     0,     0,  4906,     0,
    1957,     0,     0,     0,  2225,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,  1581,     0,  1581,
       0,     0,     0,     0,  2227,     0,     0,  3603,     0,     0,
       0,     0,  2229,     0,     0,     0,  1599,  1196,  2230,  2232,
       0,     0,  1581,  2233,     0,     0,  3676,     0,  3769,  4829,
       0,     0,     0,     0,     0,  4990,     0,     0,     0,     0,
       0,     0,  2231,     0,  2234,  2235,     0,     0,     0,     0,
       0,     0,     0,  1200,     0,     0,     0,  1097,     0,  1948,
       0,  2236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,  1200,  1200,  1200,  1196,  2237,     0,     0,
    2238,     0,     0,     0,     0,     0,     0,  2113,     0,     0,
       0,     0,     0,  2239,     0,     0,  2240,     0,     0,     0,
       0,     0,  5001,     0,     0,     0,     0,  1194,     0,     0,
       0,  3573,     0,     0,     0,     0,     0,  2225,     0,     0,
    2226,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,  1957,  2232,     0,     0,  2227,  2233,     0,
       0,     0,     0,     0,     0,  2229,     0,     0,     0,     0,
       0,  2230,     0,     0,     0,     0,     0,     0,     0,  2234,
    2235,     0,  1196,     0,  1581,     0,     0,  1194,     0,     0,
       0,  2241,     0,     0,     0,  2231,  2236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1200,     0,  1234,
       0,  1196,     0,     0,     0,     0,     0,     0,  1948,  1581,
       0,     0,  2237,     0,     0,  2238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2239,  1196,
    1196,  2240,  1196,     0,     0,     0,     0,     0,  2225,     0,
       0,  2226,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,  1196,  1200,     0,     0,     0,     0,  1194,  2227,     0,
       0,  3614,     0,     0,     0,     0,  2229,     0,  4265,     0,
       0,  3608,  2230,     0,  2242,  2243,  2244,  4779,  2245,  2246,
    2247,  2248,  2249,  2250,  1581,  1581,     0,  2232,     0,  3333,
       0,  2233,     0,  4990,     0,     0,  2231,     0,     0,     0,
       0,     0,     0,     0,  1196,   830,  2241,  1194,  2225,     0,
       0,  2226,  2234,  2235,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2227,  2236,
       0,     0,     0,  1196,     0,     0,  2229,  1196,  1196,     0,
       0,     0,  2230,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,  2237,     0,     0,  2238,  1948,
       0,     0,  1581,     0,     0,     0,  2231,     0,     0,  1200,
    1948,  2239,     0,     0,  2240,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2232,  2242,
    2243,  2244,  2233,  2245,  2246,  2247,  2248,  2249,  2250,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,   830,  2234,  2235,     0,     0,     0,     0,  1057,
    1581,     0,     0,     0,     0,     0,     0,  4098,     0,  1194,
    2236,     0,     0,     0,     0,     0,     0,  4102,     0,  2241,
       0,     0,     0,  4103,     0,  4104,     0,     0,     0,     0,
       0,     0,  1057,     0,  1949,     0,  2237,     0,  2232,  2238,
    1957,     0,  2233,     0,     0,     0,     0,  4122,  4123,     0,
       0,     0,  2239,     0,     0,  2240,     0,     0,     0,     0,
    1948,     0,     0,  2234,  2235,     0,     0,     0,  2946,     0,
       0,     0,  1957,     0,     0,     0,     0,     0,  4151,     0,
    2236,  4154,     0,  4156,     0,     0,     0,     0,  1948,     0,
       0,     0,  4160,     0,     0,     0,     0,     0,  4165,     0,
       0,  4168,     0,     0,     0,     0,  2237,  1948,     0,  2238,
       0,     0,  2242,  2243,  2244,     0,  2245,  2246,  2247,  2248,
    2249,  2250,  2239,     0,     0,  2240,     0,     0,     0,  4209,
    2241,  1057,     0,     0,     0,  4216,  3025,     0,     0,     0,
       0,     0,     0,  2225,     0,     0,  2226,     0,     0,     0,
    1957,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
       0,  2225,     0,  2227,  2226,     0,  4147,     0,     0,  1957,
       0,  2229,     0,     0,     0,     0,     0,  2230,     0,     0,
    4231,  2227,     0,     0,     0,     0,  1566,  1957,     0,  2229,
       0,     0,  1640,     0,     0,  2230,     0,  1949,     0,     0,
    2241,  2231,  1951,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,  1957,     0,     0,     0,  2231,
       0,     0,     0,  2242,  2243,  2244,  4097,  2245,  2246,  2247,
    2248,  2249,  2250,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,  1957,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2242,  2243,  2244,     0,  2245,  2246,  2247,
    2248,  2249,  2250,  2232,     0,     0,     0,  2233,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,     0,
       0,  2232,     0,     0,     0,  2233,     0,     0,  2234,  2235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,  2234,  2235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2236,     0,  1951,     0,     0,  1196,     0,
       0,  2237,     0,     0,  2238,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2239,     0,  2237,
    2240,     0,  2238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2239,  1196,  1196,  2240,     0,
       0,     0,     0,     0,  1196,     0,     0,  1196,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,  1952,     0,  1196,
    1196,     0,     0,     0,     0,     0,  1948,  1196,     0,     0,
    1196,  1196,  1196,  1196,     0,     0,     0,     0,     0,     0,
    1196,  1196,     0,  1196,     0,  1196,  1196,     0,     0,  1196,
       0,     0,     0,     0,     0,  2241,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,  1957,  1196,   830,     0,     0,
       0,  1196,     0,  2241,     0,  1196,     0,  4491,  4492,  1196,
       0,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4524,
       0,     0,  1948,     0,     0,     0,  1949,     0,  2242,  2243,
    2244,     0,  2245,  2246,  2247,  2248,  2249,  2250,     0,     0,
       0,     0,     0,     0,  1196,  1948,  2242,  2243,  2244,     0,
    2245,  2246,  2247,  2248,  2249,  2250,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4542,  4544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4551,
       0,  1948,     0,     0,     0,  4556,  4557,     0,     0,  4559,
       0,     0,  4562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,     0,  1949,     0,  1948,  1948,     0,     0,  3025,
       0,     0,     0,     0,  3025,     0,     0,     0,     0,  3025,
    1957,  1949,     0,     0,  1957,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,     0,
       0,     0,  1951,     0,     0,     0,     0,   887,     0,  1949,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,   888,
       0,     0,  4620,     0,     0,   944,     0,  1196,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,   945,  1196,     0,
     889,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,   890,     0,     0,     0,     0,   946,     0,
       0,     0,   891,     0,  1952,     0,  -759,     0,     0,     0,
       0,   947,  1949,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,   892,   948,     0,     0,     0,     0,   893,
    1957,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,   949,     0,     0,   894,     0,     0,   830,     0,  1953,
       0,   830,  1951,     0,     0,   895,     0,     0,     0,     0,
       0,     0,   950,   896,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,   951,     0,   897,     0,     0,     0,     0,
       0,   952,   898,     0,     0,     0,   899,     0,     0,  1951,
       0,     0,     0,   953,     0,     0,     0,     0,   954,     0,
       0,  -961,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,  1951,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,  4724,     0,     0,     0,
     900,     0,     0,     0,     0,     0,     0,  -520,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   957,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,  1957,     0,     0,   901,  1952,
    1951,   902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,   958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   959,     0,  1949,
       0,     0,  1953,     0,     0,     0,  -417,     0,     0,     0,
       0,     0,     0,     0,     0,   859,     0,     0,     0,     0,
       0,     0,     0,     0,   903,     0,     0,     0,     0,     0,
     904,     0,  1952,     0,     0,     0,  -417,     0,     0,   905,
    1957,     0,   960,     0,     0,     0,   961,     0,   962,     0,
    4809,     0,     0,     0,   963,     0,     0,   964,     0,     0,
       0,     0,     0,     0,     0,  -417,     0,   906,   907,     0,
     908,   909,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,  4832,   965,   911,   966,     0,     0,  1196,   967,
     912,     0,     0,   913,     0,     0,   914,   968,     0,     0,
       0,     0,   969,     0,     0,     0,     0,     0,     0,  -417,
       0,     0,  1797,     0,   970,     0,     0,     0,  1798,     0,
       0,     0,     0,     0,     0,     0,     0,   971,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1957,
       0,     0,     0,  1835,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,  1799,     0,
    1196,     0,     0,     0,     0,     0,     0,  1951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,  1196,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1836,
       0,     0,     0,     0,  1949,     0,     0,     0,  1949,  1949,
       0,     0,     0,     0,     0,     0,     0,  1800,  1196,  1196,
       0,     0,     0,  1196,  1801,     0,     0,  1802,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,  1196,  1196,  1952,
       0,     0,     0,   830,     0,     0,     0,     0,  1196,   830,
       0,  1196,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1196,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1837,     0,
    1196,  1803,  1196,     0,     0,  1953,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2946,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,  1196,     0,     0,  1196,  1196,
    1196,     0,  4980,     0,     0,     0,  1838,     0,  1839,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1840,  1953,
    1805,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
    1806,     0,     0,     0,     0,  1196,     0,     0,  1807,     0,
    1196,     0,     0,     0,     0,     0,  1196,  1841,  1808,     0,
       0,  1953,  1951,     0,  1196,  1055,  1951,  1951,     0,     0,
       0,     0,     0,  1055,     0,  1055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3293,     0,     0,  1810,  1811,  1843,     0,     0,     0,
       0,     0,  1957,     0,     0,  1957,     0,  1957,     0,     0,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
    3294,     0,     0,     0,  1952,     0,  5054,     0,  1952,  1952,
       0,  1845,     0,     0,     0,  1196,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1951,     0,     0,     0,  1953,     0,  1813,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5103,
       0,     0,  1957,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,     0,     0,
     830,   830,   830,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,  1957,     0,  1953,     0,     0,
       0,     0,     0,     0,  5149,  5149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1951,     0,     0,
       0,     0,  1957,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5149,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,  5205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
     830,  1957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,  1957,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,  1957,     0,     0,
       0,     0,     0,  1952,  1196,     0,     0,     0,     0,     0,
    1196,     0,  1196,     0,     0,     0,     0,  1957,  1196,     0,
       0,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,     0,     0,     0,  1196,  1196,  1949,     0,     0,  1949,
       0,  1949,  1957,     0,     0,     0,  1949,  1196,     0,     0,
       0,  1196,     0,   830,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,  1196,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,  1957,  1196,
    1196,  1196,     0,     0,     0,  1196,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,  1196,     0,  1196,     0,     0,     0,     0,  1953,
       0,     0,     0,  1953,  1953,     0,  1196,     0,     0,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1957,     0,  1949,     0,  1949,
       0,     0,     0,     0,  1951,     0,     0,  1951,     0,  1951,
       0,  1196,     0,     0,  1951,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,  1192,     0,     0,  1951,     0,  1952,     0,     0,  1952,
       0,  1952,     0,     0,     0,     0,  1952,     0,     0,     0,
     830,  1949,     0,     0,     0,   830,  1957,   830,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1949,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,  1951,  1952,  1951,   830,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
    1949,     0,     0,  1055,     0,     0,     0,  1055,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,  1949,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,  1952,     0,  1952,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,  1957,  1196,  1196,     0,     0,     0,     0,
       0,  1949,     0,  1951,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,  1196,     0,  1953,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,  1951,  1055,
    1055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1949,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1192,     0,     0,  1951,     0,     0,
       0,     0,     0,  1196,  1196,  1192,  1957,     0,     0,     0,
       0,  1196,  1196,     0,     0,     0,  1196,  1957,     0,     0,
       0,     0,  1196,  1196,     0,     0,  1196,     0,  1955,  1196,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
    1196,     0,     0,     0,  1196,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,  1192,  1196,     0,     0,  1951,
       0,  1196,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,     0,     0,  1192,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,  1952,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,     0,
    1949,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,     0,     0,     0,     0,
    1192,  1953,     0,     0,  1953,     0,  1953,     0,     0,     0,
       0,  1953,     0,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
    1192,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,  1957,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,  1192,  1953,     0,  1953,  1192,  1192,  1196,     0,     0,
       0,  1957,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1196,     0,     0,  1196,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
    1196,  1953,     0,  1196,     0,     0,     0,     0,  1196,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1055,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,  1953,     0,     0,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,  1949,     0,     0,     0,     0,     0,  1951,     0,     0,
    1055,     0,     0,  1957,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,     0,     0,
    1955,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,  1952,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,  1055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,  1196,  1955,  1957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,  1949,
       0,  1196,  1957,     0,  1196,     0,  1196,     0,  1951,     0,
       0,     0,     0,     0,     0,  1955,  1953,     0,  1949,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,  1196,     0,     0,  1953,     0,  1957,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,  1949,     0,
    1952,     0,   830,     0,     0,     0,     0,     0,  1957,     0,
       0,  1952,  1957,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1192,     0,     0,     0,     0,     0,  1955,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,  1951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,  1196,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,  1952,
       0,     0,     0,     0,  1192,  1192,  1951,     0,     0,     0,
       0,     0,  1192,     0,     0,  1192,     0,     0,  1952,  1192,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
       0,     0,     0,     0,  1196,  1192,     0,     0,  1192,  1192,
    1192,  1192,     0,     0,     0,  1196,     0,     0,  1192,  1192,
       0,  1192,     0,  1192,  1192,     0,     0,  1192,     0,     0,
       0,  1196,  1196,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,  1955,  1192,  1953,     0,     0,     0,  1192,
       0,     0,     0,  1192,  1196,     0,     0,  1192,     0,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
    1192,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,   830,     0,     0,     0,  1196,     0,     0,     0,
     830,     0,     0,     0,  1953,  1952,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,  1955,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,     0,     0,
       0,     0,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,  1949,  1192,     0,     0,  1949,  1949,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,  1955,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,     0,  1951,  1951,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1952,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,  1952,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   930,     0,     0,     0,     0,     0,     0,
       0,     0,   930,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1111,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,  1192,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,  1192,  1192,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,  1192,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,  1192,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1192,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
    1192,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1160,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,  1192,  1192,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,  1953,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,  1192,     0,     0,     0,     0,  1192,     0,
       0,     6,     7,     0,  1192,     0,     0,     0,     0,     9,
      10,     0,  1192,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
    1955,     0,    45,  1955,     0,  1955,     0,     0,     0,     0,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1955,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,    48,     0,
       0,  1953,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,   930,   930,     0,     0,     0,     0,     0,    49,     0,
       0,  1955,     0,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1160,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,  1955,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      54,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1207,     0,     0,    45,     0,     0,     0,     0,     0,     0,
    1237,  1238,     0,  1241,     0,     0,  1247,     0,  1249,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,  1300,     0,     0,
    1955,     0,     0,     0,     0,  1308,    56,     0,     0,     0,
       0,    46,     0,  1955,  1324,  1325,     0,     0,     0,  1327,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1160,     0,   930,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,  1358,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1396,
    1381,     0,     0,  1383,    71,  1385,     0,  1388,     0,     0,
       0,    47,  1192,     0,     0,  1955,     0,     0,     0,     0,
       0,   930,  1192,     0,     0,     0,     0,     0,  1192,    48,
    1192,     0,     0,     0,     0,  1955,  1192,     0,     0,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,    49,
       0,     0,  1192,  1192,     0,     0,     0,     0,     0,     0,
    1955,     0,     0,     0,     0,  1192,     0,     0,     0,  1192,
       0,    50,     0,  1192,     0,     0,  1468,     0,  1469,     0,
       0,     0,     0,  1192,     0,     0,  1192,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,  1955,  1192,  1192,  1192,
       0,     0,     0,  1192,     0,     0,  1192,    51,     0,     0,
      52,  1160,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,  1192,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1192,  1192,     0,     0,     0,     0,     0,  1111,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,  1730,     0,
    1732,     0,     0,     0,  1734,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    55,  1763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,     0,     0,     0,
      58,     0,     0,     0,  1955,     0,     0,    59,     0,     0,
    1902,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1396,     0,     0,  1912,     0,    71,  1397,     0,     0,     0,
    1914,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1963,     0,     0,  1967,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2010,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     8,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,  1192,    36,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,   722,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,    46,   722,
       0,  1955,  1192,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   722,   722,     0,     0,
     722,     0,     0,     0,     0,     0,   722,     0,     0,     0,
    1015,     0,     0,     0,  1192,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1015,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,    49,     0,     0,     0,
       0,  1192,  1192,     0,  1955,     0,     0,     0,     0,  1192,
    1192,     0,     0,     0,  1192,  1955,     0,     0,    50,     0,
    1192,  1192,     0,     0,  1192,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,  1192,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,  1192,
       0,     0,    53,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,  1111,  2328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,     0,
       0,  2398,     0,     0,  2398,     0,     0,     0,    54,     0,
       0,     0,  2405,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,     0,
    2414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,     0,     0,     0,    56,     0,     0,     0,  2497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,    67,    68,     0,
      69,    70,    71,    72,    73,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,  1955,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2696,
       0,  1192,  1192,     0,     0,  1192,     0,     0,     0,   722,
       0,     0,     0,     0,  2719,     0,     0,     0,  1192,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,  1192,     0,
       0,  1192,     0,     0,     0,     0,  1192,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,   722,     0,     0,     0,
    2767,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,  2782,     0,  2784,     0,  2785,
       0,     0,     0,     0,  2786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,   722,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2328,     0,     0,     0,  2328,
       0,  2328,     0,     0,  2328,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
    1955,     0,  1192,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,  1192,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3029,     0,     0,     0,  1346,
     722,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
    1955,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,     0,   722,   722,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,   678,
       0,  1015,     0,  1015,     0,     0,     0,     0,     0,   678,
       0,  1192,     0,   722,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,  1015,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1160,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,   722,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3129,  3130,     0,     0,     0,
    3133,  3134,     0,     0,  3137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3147,     0,     0,     0,     0,     0,
       0,  3156,     0,     0,     0,  3159,  3160,     0,     0,  3163,
    3164,     0,  1192,     0,     0,     0,  3169,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,  3185,     0,
    3187,     0,     0,     0,     0,   678,     0,     0,     0,  1192,
    1192,     0,     0,     0,     0,     0,  3209,     0,     0,   678,
     678,  3211,     0,  1712,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,  3216,     0,     0,     0,     0,     0,
       0,     0,  3221,     0,  3223,  3224,  3227,  3229,     0,     0,
       0,  3236,  3239,     0,     0,     0,     0,     0,     0,  3250,
       0,     0,     0,  3259,     0,     0,     0,  3263,     0,     0,
     678,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,  3292,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3300,     0,  3302,     0,     0,     0,     0,     0,  3306,     0,
       0,     0,  3307,     0,  3311,  3312,  3313,  3314,     0,  3316,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3340,  3341,  3342,     0,     0,     0,     0,     0,
       0,     0,     0,  3350,  3351,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3405,    85,     0,     0,     0,     0,     0,
      89,     0,     0,     0,    93,     0,    94,     0,    96,    97,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   106,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   119,   120,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,   722,     0,   722,     0,     0,   722,     0,
     722,     0,     0,   722,   722,   722,     0,     0,     0,  2108,
       0,     0,   128,     0,     0,     0,   722,     0,     0,     0,
       0,     0,   129,     0,   130,   131,     0,     0,     0,   722,
       0,   722,     0,     0,     0,     0,   722,     0,     0,  1130,
       0,     0,     0,     0,  1160,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,     0,   141,
       0,   142,   143,     0,     0,     0,     0,   146,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   149,
       0,   150,     0,     0,     0,  3533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,     0,   154,     0,     0,
     157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   158,     0,   159,     0,     0,     0,   160,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   171,     0,  2268,     0,     0,
       0,     0,     0,     0,     0,     0,   722,   722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,   678,   678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     184,   185,     0,     0,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,     0,   678,     0,   202,     0,     0,     0,     0,     0,
       0,     0,  2402,  3714,     0,     0,   204,     0,     0,     0,
       0,   205,   206,     0,   207,     0,     0,     0,     0,   208,
       0,     0,     0,     0,   209,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,   214,   215,     0,     0,
       0,     0,     0,     0,   216,     0,     0,   218,     0,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,   223,     0,     0,
       0,     0,     0,     0,   678,  3760,  3761,     0,     0,     0,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,  2328,     0,   231,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3783,   236,     0,
       0,     0,     0,     0,     0,     0,  3787,     0,   678,     0,
       0,   678,   678,     0,     0,     0,     0,     0,     0,     0,
       0,  3798,  3800,     0,     0,     0,  3800,     0,     0,     0,
       0,  3811,  3812,  3813,   246,     0,     0,     0,  -138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3833,  3834,  3835,  3836,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,  3850,     0,  3854,  3855,  3856,
       0,     0,     0,     0,     0,     0,     0,  3869,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,  3912,     0,     0,     0,     0,     0,
       0,     0,  3916,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3984,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,   722,     0,     0,     0,   722,     0,   722,
       0,     0,   722,     0,     0,     0,   722,     0,  4013,     0,
       0,  2268,  4017,     0,     0,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,   930,     0,     0,  4057,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,    49,     0,     0,     0,
    4067,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2328,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,  1197,     0,     0,     0,     0,  3030,
       0,     0,     0,     0,     0,     0,     0,     0,  2402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,     0,   678,     0,
       0,     0,     0,     0,  3102,     0,  1712,    58,     0,   722,
       0,     0,     0,     0,    59,     0,  1197,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1396,  2065,     0,
       0,     0,    71,     0,     0,     0,     0,     0,  4276,     0,
    4277,     0,     0,     0,     0,     0,     0,  4279,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4288,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4296,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4310,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4342,  4343,  4344,     0,
       0,     0,     0,  4349,  4350,  4351,  4352,  4353,     0,     0,
       0,     0,  4360,  4361,     0,  4363,  4364,  4365,  4366,  4367,
    4368,  4369,     0,     0,     0,     0,     0,     0,     0,     0,
    4377,     0,  4379,  4380,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,  1197,     0,
       0,     0,     0,     0,     0,   678,     0,   678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4429,  4431,  4433,     0,     0,  4436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3800,     0,     0,     0,     0,     0,     5,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
    2328,  2328,  2328,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1958,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,  2108,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,   678,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,  1197,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4639,  4640,
    4641,  4642,     0,     0,  4644,    50,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,  1197,  1197,
       0,     0,     0,     0,     0,  4657,  4658,  4659,  4660,     0,
    4662,  4663,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,  4672,  4673,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4676,     0,    53,
       0,     0,     0,  2328,  2328,     0,  2328,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2402,     0,     0,
       0,     0,   678,     0,     0,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    54,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4738,     0,     0,     0,     0,     0,     0,     0,     0,
    4744,     0,     0,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,    56,  4764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4783,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1396,  2795,     0,     0,     0,    71,
       0,  1958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1958,     0,     0,  2328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2328,     0,  1958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4867,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,  4879,     0,     0,  1958,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,  3800,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,     0,  1197,  2328,     0,  1197,     0,
       0,     0,  1197,     0,     0,     0,  2328,   722,     0,     0,
    1197,  1197,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,  1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,
       0,  1197,  1197,     0,  1197,     0,  1197,  1197,  5004,     0,
    1197,     0,     0,     0,     0,     0,     0,  5011,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,  1197,     0,     0,
       0,     0,  1197,  2328,     0,     0,  1197,     0,   678,     0,
    1197,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
    2328,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5113,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5124,     0,     0,     0,     0,  5128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1958,     0,     0,     0,  1958,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3102,     0,
       0,     0,  2252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,  2252,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,  1958,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,   678,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,  1958,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,   678,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,  1197,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1958,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,  1197,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,  1197,
       0,     0,   217,     0,  1197,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,  2402,     0,     0,     0,     0,  1197,
    1197,     0,   224,   225,  1197,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,  1197,  1197,  1197,  1197,
       0,     0,     0,     0,   678,     0,     0,  2252,     0,  1197,
       0,     0,  1197,   234,  1197,     0,   235,     0,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,  1197,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,  1197,     0,  1197,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,  1197,
    1197,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2252,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,  1197,     0,  2252,     0,     0,     0,  1197,  2924,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,  2252,  2252,
       0,     0,  2252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,  1958,     0,     0,  1958,     0,  1958,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2252,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2252,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2252,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2252,     0,     0,  2252,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1958,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,  1197,     0,  1197,     0,     0,     0,     0,  1958,  1197,
       0,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,     0,     0,     0,  1197,  1197,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,  1197,     0,
       0,     0,  1197,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,  1197,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,  1958,
    1197,  1197,  1197,     0,     0,     0,  1197,     0,     0,  1197,
       0,     0,     0,     0,   678,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,  1197,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2252,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2252,     0,  2252,     0,  2924,  2924,  3591,     0,     0,
    2924,     0,     0,     0,  2252,     0,     0,     0,     0,     0,
       0,  2252,     0,     0,     0,     0,  2252,     0,     0,     0,
       0,     0,  2252,     0,     0,     0,     0,  2252,     0,     0,
       0,     0,     0,     0,     0,     0,  2252,     0,     0,     0,
    2924,  2924,     0,  2252,     0,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,     0,  2252,     0,     0,     0,     0,
       0,     0,  2252,     0,  2252,  2252,  2252,  2252,  2252,  2252,
    2252,  2252,  2252,  2252,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2252,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,  1197,  1197,  2252,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,  1958,     0,     0,
       0,     0,  1197,  1197,     0,     0,     0,  1197,  1958,     0,
       0,     0,     0,  1197,  1197,     0,     0,  1197,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2252,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,  2252,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2252,     0,     0,     0,  1197,     0,  2252,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,  3591,  3591,     0,  2924,     0,     0,  2924,  2924,
    2924,  2924,  2924,  2924,  2924,  2924,  2924,  2924,  3591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2252,  1958,     0,  2252,     0,  2252,     0,
       0,     0,     0,  3591,  3591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2924,  2924,  2252,
       0,  2252,     0,     0,  2252,     0,     0,     0,  1197,     0,
       0,     0,  1958,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,  1197,     0,     0,  1197,     0,     0,  2252,     0,  1197,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,  2252,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2252,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
    1958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1958,     0,  1197,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,  1197,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2924,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,  1958,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,  2252,  1197,     0,     0,  2252,  2252,
    2252,     0,     0,  3591,     0,     0,     0,     0,  3591,  3591,
    3591,  3591,  3591,  3591,  3591,  3591,  3591,  3591,  2252,  2252,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2252,  2924,  2924,
    2252,     0,  2252,     0,     0,     0,  2252,  3591,  3591,     0,
       0,  2252,     0,     0,  2252,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,  2252,     0,     0,     0,     0,
       0,     0,  2252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,  2252,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,  2252,  2252,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
    2252,    41,    42,     0,  2924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2252,     0,
    2252,     0,     0,     0,     0,  3591,  3591,  2252,     0,     0,
    2924,  2924,  2252,  2252,     0,  2252,     0,   133,  2252,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,  2252,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
    2252,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,  3591,  2924,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3591,  3591,  2252,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,  2252,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3591,     0,  3092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2252,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2252,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2252,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,  2252,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,  2252,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,   739,   427,   428,   429,   740,   741,
     742,   743,   744,   745,   746,   430,   431,   747,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,   748,
     437,   438,   439,   440,   441,   749,   750,   442,   443,   751,
     140,   444,   752,   445,   446,   447,   448,   144,   753,   145,
     754,   449,   450,   451,   452,   148,   453,   755,   756,   454,
     455,   456,   457,   458,   459,   757,   151,   460,   758,   759,
     760,   761,   152,   762,   763,   764,   461,   462,   463,   464,
     701,   465,   155,   156,   466,   765,   467,   766,   468,   469,
     470,   471,   472,   767,   473,   474,   475,   768,   769,   476,
     477,   478,   479,   480,   770,   481,   482,   483,   771,   484,
     485,   486,   772,   487,   488,   489,   490,   164,   491,   492,
     493,   166,   773,   494,   774,   495,   496,   168,   497,   775,
     498,   776,   499,   169,   777,   170,   500,   501,   502,   778,
     503,   172,   779,   504,   780,   505,   506,   703,   507,   508,
     173,   509,   510,   511,   781,   512,   513,   514,   515,   516,
     517,   782,   518,   174,   175,   783,   519,   520,   521,   784,
     176,   785,   177,   786,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,   787,   529,   530,   788,   531,   181,
     182,   532,   183,   789,   533,   534,   535,   790,   791,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,   792,   549,
     550,   193,   551,   793,   194,   552,   195,   553,   554,   555,
     794,   556,   795,   796,   557,   558,   559,   797,   798,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,   799,   569,   200,   570,   201,   571,   572,   573,
     800,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,   801,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   802,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,   803,   608,   609,   610,   611,   612,   804,   613,   217,
     614,   615,   219,   616,   220,   617,   805,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,   806,   628,
     629,   807,   630,   631,   632,   633,   634,   635,   808,   224,
     225,   809,   810,   637,   226,   638,   227,   811,   639,   640,
     641,   642,   643,   644,   645,   812,   813,   646,   647,   648,
     649,   650,   814,   815,   651,   652,   653,   654,   655,   816,
     234,   817,   656,   235,   657,   658,   659,   660,   818,   819,
     661,   820,   821,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,    85,     0,     0,    86,    87,    88,    89,    90,
      91,    92,    93,     0,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   975,   104,   105,   106,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,   119,   120,     0,     0,     0,   121,
     122,     0,     0,     0,     0,   123,     0,     0,     0,     0,
       0,     0,     0,     0,   124,     0,   125,     0,   126,   127,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     129,     0,   130,   131,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,   133,     0,     0,   134,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,   141,     0,   142,
     143,   144,     0,   145,     0,   146,     0,   147,     0,   148,
       0,     0,     0,     0,     0,     0,     0,   149,     0,   150,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,   153,     0,   154,   155,   156,   157,     0,
       0,     0,     0,     0, -1428,     0,     0,     0,     0,     0,
     158,     0,   159,     0,     0,     0,   160,     0,     0,     0,
       0,     0,   161,   162,     0,     0,     0,     0,     0,     0,
     163,   164,   165,     0,     0,   166,     0,     0,   167,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0, -1428,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,   184,   185,
       0,     0,     0,     0,   186,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,   192,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,     0,   198,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,   204,     0,     0,     0,     0,   205,
     206,     0,   207,     0,     0,     0,     0,   208,     0,     0,
       0,     0,   209,   210,     0,   211,   212,     0,     0,   213,
       0,     0,     0,     0,   214,   215,     0,     0,     0,     0,
       0,     0,   216,   217,     0,   218,   219,     0,   220,     0,
       0,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,   228,     0,   229,     0,     0,     0,     0,   230,
       0,     0,   231,     0,     0, -1428,     0,     0,   232,     0,
       0,     0,     0,   233,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   246,   104,   105,     0,  -138,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,     0,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,  3094,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,  3019,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,  3020,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,   183,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
    1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,   219,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,   643,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,  3021,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,  3022,     0,     0,     0,     0,     0,     0,
    1553,  3023,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,   183,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
    1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,   219,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,   643,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,     0,     0,
    1553,  2926,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1924,   137,  1925,
    1926,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1927,  1928,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1929,  1930,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1931,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,  2417,   512,   513,   514,
     515,   516,   517,     0,   518,   174,  2418,     0,   519,   520,
     521,  1514,  1932,     0,  1933,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1934,   189,  1935,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1936,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,  2420,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1937,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  2421,   614,   615,   219,   616,  1939,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1940,  1941,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1942,  2422,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,     0,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  2520,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1924,   137,  1925,  1926,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1927,  1928,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1929,  1930,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1931,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,  2417,   512,   513,   514,   515,   516,   517,     0,
     518,   174,  2418,     0,   519,   520,   521,  1514,  1932,     0,
    1933,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1934,   189,  1935,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,  1936,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,  2420,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1937,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,  2421,   614,   615,
     219,   616,  1939,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1940,  1941,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1942,  2422,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,     0,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  3467,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1489,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1490,
     137,  1491,  1492,  2936,   437,   438,   439,   440,   441,  1493,
    1494,   442,   443,  1495,  1496,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,  1506,  1507,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1509,   491,   492,   493,  1510,  1511,   494,     0,   495,
     496,  1512,   497,     0,   498,     0,   499,   169,  2937,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1514,  1515,     0,  1516,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,  2938,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1520,   189,  1521,   547,
     548,   191,  1522,   549,   550,   193,   551,  1523,  1524,   552,
    1525,   553,   554,   555,     0,   556,     0,     0,  1526,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1529,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1530,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,  1532,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1534,  1535,     0,  2939,   637,  1536,   638,
    1537,  1538,   639,   640,   641,   642,   643,   644,   645,     0,
    1539,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,  1541,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1550,  1551,     0,     0,     0,     0,     0,
       0,     0,  1553,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1489,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1490,   137,
    1491,  1492,     0,   437,   438,   439,   440,   441,  1493,  1494,
     442,   443,  1495,  1496,   444,     0,   445,   446,   447,   448,
    1497,     0,  1498,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,
     462,   463,   464,   701,   465,  1506,  1507,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1509,   491,   492,   493,  1510,  1511,   494,     0,   495,   496,
    1512,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1513,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1514,  1515,     0,  1516,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1517,   182,   532,   183,     0,   533,   534,   535,
    1518,  1519,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1520,   189,  1521,   547,   548,
     191,  1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,
     553,   554,   555,     0,   556,     0,     0,  1526,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1527,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1528,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1529,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1530,   601,   602,   603,   604,
     605,   606,   706,   607,   215,   608,   609,   610,   611,   612,
    1531,   613,   217,   614,   615,   219,   616,  1532,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1533,     0,   628,   629,   223,   630,   631,   632,   633,   634,
     635,     0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,
    1538,   639,   640,   641,   642,   643,   644,   645,     0,  1539,
     646,   647,   648,   649,   650,  1540,     0,   651,   652,   653,
     654,   655,  2214,  1541,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,   236,   662,   663,   664,   665,
     666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1550,  1551,     0,     0,     0,     0,     0,     0,
       0,  1553,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,   183,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
    1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,   219,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,   643,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,  2158,  2884,
    1553,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1485,
    1486,  1487,    45,  1488,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1489,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1490,   137,  1491,  1492,
       0,   437,   438,   439,   440,   441,  1493,  1494,   442,   443,
    1495,  1496,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,  1506,  1507,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1509,   491,
     492,   493,  1510,  1511,   494,     0,   495,   496,  1512,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1514,  1515,     0,  1516,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1520,   189,  1521,   547,   548,   191,  1522,
     549,   550,   193,   551,  1523,  1524,   552,  1525,   553,   554,
     555,     0,   556,     0,     0,  1526,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1529,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1530,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,  1532,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,
     640,   641,   642,   643,   644,   645,     0,  1539,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,  1541,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1550,  1551,  1552,     0,     0,     0,     0,     0,     0,  1553,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1485,  1486,
    1487,    45,  1488,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1489,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1490,   137,  1491,  1492,     0,
     437,   438,   439,   440,   441,  1493,  1494,   442,   443,  1495,
    1496,   444,     0,   445,   446,   447,   448,  1497,     0,  1498,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1499,
    1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,
     701,   465,  1506,  1507,   466,  1639,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1508,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1509,   491,   492,
     493,  1510,  1511,   494,     0,   495,   496,  1512,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1513,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1514,
    1515,     0,  1516,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1517,
     182,   532,   183,     0,   533,   534,   535,  1518,  1519,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1520,   189,  1521,   547,   548,   191,  1522,   549,
     550,   193,   551,  1523,  1524,   552,  1525,   553,   554,   555,
       0,   556,     0,     0,  1526,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1527,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1528,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1529,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1530,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1531,   613,   217,
     614,   615,   219,   616,  1532,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1533,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1534,
    1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,   640,
     641,   642,   643,   644,   645,     0,  1539,   646,   647,   648,
     649,   650,  1540,     0,   651,   652,   653,   654,   655,   707,
    1541,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1550,
    1551,     0,     0,     0,     0,     0,     0,     0,  1553,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1485,  1486,  1487,
      45,  1488,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  2345,   427,   428,   429,     0,     0,     0,
       0,  1489,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1490,   137,  1491,  1492,     0,   437,
     438,   439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,
     444,     0,   445,   446,   447,   448,  1497,     0,  1498,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1499,  1500,
    1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,
     465,  1506,  1507,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1508,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1509,   491,   492,   493,
    1510,  1511,   494,     0,   495,   496,  1512,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1513,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1514,  1515,
       0,  1516,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1517,   182,
     532,   183,     0,   533,   534,   535,  1518,  1519,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1520,   189,  1521,   547,   548,   191,  1522,   549,   550,
     193,   551,  1523,  1524,   552,  1525,   553,   554,   555,     0,
     556,     0,     0,  1526,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1527,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1528,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1529,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1530,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1531,   613,   217,   614,
     615,   219,   616,  1532,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1533,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1534,  1535,
       0,     0,   637,  1536,   638,  1537,  1538,   639,   640,   641,
     642,   643,   644,   645,     0,  1539,   646,   647,   648,   649,
     650,  1540,     0,   651,   652,   653,   654,   655,   707,  1541,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1542,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1550,  1551,
       0,     0,     0,     0,     0,     0,     0,  1553,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1485,  1486,  1487,    45,
    1488,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1489,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1490,   137,  1491,  1492,     0,   437,   438,
     439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,
       0,   445,   446,   447,   448,  1497,     0,  1498,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1499,  1500,  1501,
    1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,   465,
    1506,  1507,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1509,   491,   492,   493,  1510,
    1511,   494,     0,   495,   496,  1512,   497,     0,   498,     0,
     499,   169,  2937,   170,   500,   501,   502,     0,   503,  1513,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1514,  1515,     0,
    1516,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1517,   182,   532,
     183,     0,   533,   534,   535,  1518,  1519,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1520,   189,  1521,   547,   548,   191,  1522,   549,   550,   193,
     551,  1523,  1524,   552,  1525,   553,   554,   555,     0,   556,
       0,     0,  1526,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1527,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1528,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1529,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1530,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1531,   613,   217,   614,   615,
     219,   616,  1532,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1533,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1534,  1535,     0,
       0,   637,  1536,   638,  1537,  1538,   639,   640,   641,   642,
     643,   644,   645,     0,  1539,   646,   647,   648,   649,   650,
    1540,     0,   651,   652,   653,   654,   655,   707,  1541,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1542,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1550,  1551,     0,
       0,     0,     0,     0,     0,     0,  1553,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1489,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1490,   137,  1491,  1492,     0,   437,   438,   439,
     440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,
     445,   446,   447,   448,  1497,     0,  1498,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,
    1503,  1504,  1505,   461,   462,   463,   464,   701,   465,  1506,
    1507,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1509,   491,   492,   493,  1510,  1511,
     494,     0,   495,   496,  1512,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1513,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1514,  1515,     0,  1516,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1517,   182,   532,   183,
       0,   533,   534,   535,  1518,  1519,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1520,
     189,  1521,   547,   548,   191,  1522,   549,   550,   193,   551,
    1523,  1524,   552,  1525,   553,   554,   555,     0,   556,     0,
       0,  1526,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1527,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1528,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1529,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1530,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1531,   613,   217,   614,   615,   219,
     616,  1532,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1533,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1534,  1535,     0,     0,
     637,  1536,   638,  1537,  1538,   639,   640,   641,   642,   643,
     644,   645,     0,  1539,   646,   647,   648,   649,   650,  1540,
       0,   651,   652,   653,   654,   655,   707,  1541,  4217,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1542,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1550,  1551,     0,     0,
       0,     0,     0,     0,     0,  1553,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1489,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1490,   137,  1491,  1492,     0,   437,   438,   439,   440,
     441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,  4230,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,  1506,  1507,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1509,   491,   492,   493,  1510,  1511,   494,
       0,   495,   496,  1512,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1514,  1515,     0,  1516,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1520,   189,
    1521,   547,   548,   191,  1522,   549,   550,   193,   551,  1523,
    1524,   552,  1525,   553,   554,   555,     0,   556,     0,     0,
    1526,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1529,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1530,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
    1532,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1534,  1535,     0,     0,   637,
    1536,   638,  1537,  1538,   639,   640,   641,   642,   643,   644,
     645,     0,  1539,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,   707,  1541,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1550,  1551,     0,     0,     0,
       0,     0,     0,     0,  1553,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1489,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,  5146,
    1490,   137,  1491,  1492,     0,   437,   438,   439,   440,   441,
    1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,   446,
     447,   448,  1497,     0,  1498,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,  5147,  1499,  1500,  1501,  1502,  1503,  1504,
    1505,   461,   462,   463,   464,   701,   465,  1506,  1507,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1509,   491,   492,   493,  1510,  1511,   494,     0,
     495,   496,  1512,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1513,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1514,  1515,     0,  1516,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1517,   182,   532,   183,     0,   533,
     534,   535,  1518,  1519,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1520,   189,  1521,
     547,   548,   191,  1522,   549,   550,   193,   551,  1523,  1524,
     552,  1525,   553,   554,   555,     0,   556,     0,     0,  1526,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1527,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1528,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1529,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1530,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1531,   613,   217,   614,   615,   219,   616,  1532,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1533,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1534,  1535,     0,     0,   637,  1536,
     638,  1537,  1538,   639,   640,   641,   642,  5148,   644,   645,
       0,  1539,   646,   647,   648,   649,   650,  1540,     0,   651,
     652,   653,   654,   655,   707,  1541,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1551,     0,     0,     0,     0,
       0,     0,     0,  1553,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1489,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1490,
     137,  1491,  1492,     0,   437,   438,   439,   440,   441,  1493,
    1494,   442,   443,  1495,  1496,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,  5147,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,  1506,  1507,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1509,   491,   492,   493,  1510,  1511,   494,     0,   495,
     496,  1512,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1514,  1515,     0,  1516,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1520,   189,  1521,   547,
     548,   191,  1522,   549,   550,   193,   551,  1523,  1524,   552,
    1525,   553,   554,   555,     0,   556,     0,     0,  1526,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1529,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1530,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,  1532,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1534,  1535,     0,     0,   637,  1536,   638,
    1537,  1538,   639,   640,   641,   642,  5148,   644,   645,     0,
    1539,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,  1541,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1550,  1551,     0,     0,     0,     0,     0,
       0,     0,  1553,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1489,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1490,   137,
    1491,  1492,     0,   437,   438,   439,   440,   441,  1493,  1494,
     442,   443,  1495,  1496,   444,     0,   445,   446,   447,   448,
    1497,     0,  1498,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,
     462,   463,   464,   701,   465,  1506,  1507,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1509,   491,   492,   493,  1510,  1511,   494,     0,   495,   496,
    1512,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1513,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1514,  1515,     0,  1516,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1517,   182,   532,   183,     0,   533,   534,   535,
    1518,  1519,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1520,   189,  1521,   547,   548,
     191,  1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,
     553,   554,   555,     0,   556,     0,     0,  1526,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1527,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1528,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1529,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1530,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1531,   613,   217,   614,   615,   219,   616,  1532,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1533,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,
    1538,   639,   640,   641,   642,   643,   644,   645,     0,  1539,
     646,   647,   648,   649,   650,  1540,     0,   651,   652,   653,
     654,   655,   707,  1541,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1550,  1551,     0,     0,     0,     0,     0,     0,
       0,  1553,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,   183,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
    1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,   219,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,   643,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,  4534,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,     0,     0,
    1553,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1485,
    1486,  1487,    45,  1488,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1489,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1490,   137,  1491,  1492,
       0,   437,   438,   439,   440,   441,  1493,  1494,   442,   443,
    1495,  1496,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,  1506,  1507,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1509,   491,
     492,   493,  1510,  1511,   494,     0,   495,   496,  1512,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1514,  1515,     0,  1516,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1520,   189,  1521,   547,  4543,   191,  1522,
     549,   550,   193,   551,  1523,  1524,   552,  1525,   553,   554,
     555,     0,   556,     0,     0,  1526,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1529,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1530,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,  1532,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,
     640,   641,   642,   643,   644,   645,     0,  1539,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,  1541,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1550,  1551,     0,     0,     0,     0,     0,     0,     0,  1553,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1485,  1486,
    1487,    45,  1488,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1489,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1490,   137,  1491,  1492,     0,
     437,   438,   439,   440,   441,  1493,  1494,   442,   443,  1495,
    1496,   444,     0,   445,   446,   447,   448,  1497,     0,  1498,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1499,
    1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,
     701,   465,  1506,  1507,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1508,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1509,   491,   492,
     493,  1510,  1511,   494,     0,   495,   496,  1512,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1513,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1514,
    1515,     0,  1516,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1517,
     182,   532,   183,     0,   533,   534,   535,  1518,  1519,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1520,   189,  1521,   547,   548,   191,     0,   549,
     550,   193,   551,  1523,  1524,   552,  1525,   553,   554,   555,
       0,   556,     0,     0,  1526,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1527,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1528,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1529,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1530,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1531,   613,   217,
     614,   615,   219,   616,  1532,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1533,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1534,
    1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,  1540,     0,   651,   652,   653,   654,   655,   707,
    1541,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  2919,
    2920,     0,     0,     0,     0,     0,     0,     0,  1553,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1485,  1486,  1487,
      45,  1488,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1489,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436, -2688,  1490,   137,  1491,  1492,     0,   437,
     438,   439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,
     444,     0,   445,   446,   447,   448,  1497,     0,  1498,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,  5147,  1499,  1500,
    1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,
     465,  1506,  1507,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1508,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1509,   491,   492,   493,
    1510,  1511,   494,     0,   495,   496,  1512,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1513,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1514,  1515,
       0,  1516,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1517,   182,
     532,     0,     0,   533,   534,   535,  1518,  1519,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1520,   189,  1521,   547,   548,   191,     0,   549,   550,
     193,   551,  1523,  1524,   552,  1525,   553,   554,   555,     0,
     556,     0,     0,  1526,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1527,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1528,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1529,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1530,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1531,   613,   217,   614,
     615,     0,   616,  1532,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1533,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1534,  1535,
       0,     0,   637,  1536,   638,  1537,  1538,   639,   640,   641,
     642,  5148,   644,   645,     0,  1539,   646,   647,   648,   649,
     650,  1540,     0,   651,   652,   653,   654,   655,   707,  1541,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1542,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1550,  1551,
       0,     0,     0,     0,     0,     0,     0,  1553,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1485,  1486,     0,    45,
    1488,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1489,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1490,   137,  1491,  1492,     0,   437,   438,
     439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,
       0,   445,   446,   447,   448,  1497,     0,  1498,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1499,  1500,  1501,
    1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,   465,
    1506,  1507,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1509,   491,   492,   493,  1510,
    1511,   494,     0,   495,   496,  1512,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1513,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1514,  1515,     0,
    1516,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1517,   182,   532,
     183,     0,   533,   534,   535,  1518,  1519,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1520,   189,  1521,   547,   548,   191,     0,   549,   550,   193,
     551,  1523,  1524,   552,  1525,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1527,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1528,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1529,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1530,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1531,   613,   217,   614,   615,
     219,   616,  1532,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1533,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1534,  1535,     0,
       0,   637,  1536,   638,  1537,  1538,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1540,     0,   651,   652,   653,   654,   655,   707,  1541,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1542,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  1553,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1485,  1486,     0,    45,  1488,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1489,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1490,   137,
    1491,  1492,     0,  4135,   438,   439,   440,   441,  1493,  1494,
     442,   443,  1495,  1496,   444,     0,   445,   446,   447,   448,
    1497,     0,  1498,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,
     462,   463,   464,   701,   465,  1506,  1507,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1509,   491,   492,   493,  1510,  1511,   494,     0,   495,   496,
    1512,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1513,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1514,  1515,     0,  1516,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1517,   182,   532,   183,     0,   533,   534,   535,
    1518,  1519,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1520,   189,  1521,   547,   548,
     191,     0,   549,   550,   193,   551,  1523,  1524,   552,  1525,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1527,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1528,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1529,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1530,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1531,   613,   217,   614,   615,   219,   616,  1532,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1533,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,
    1538,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  1540,     0,   651,   652,   653,
     654,   655,   707,  1541,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  1553,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1485,  1486,  1487,    45,
    1488,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1489,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1490,   137,  1491,  1492,     0,   437,   438,
     439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,
       0,   445,   446,   447,   448,  1497,     0,  1498,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1499,  1500,  1501,
    1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,   465,
    1506,  1507,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,     0,   486,
       0,   487,   488,   489,   490,  1509,   491,   492,   493,  1510,
    1511,   494,     0,   495,   496,  1512,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1513,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1514,  1515,     0,
    1516,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1517,   182,   532,
       0,     0,   533,   534,   535,  1518,  1519,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1520,   189,  1521,   547,   548,   191,     0,   549,   550,   193,
     551,  1523,  1524,   552,  1525,   553,   554,   555,     0,   556,
       0,     0,  1526,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1527,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1528,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1529,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1530,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1531,   613,   217,   614,   615,
       0,   616,  1532,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1533,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1534,  1535,     0,
       0,   637,  1536,   638,  1537,  1538,   639,   640,   641,   642,
     643,   644,   645,     0,  1539,   646,   647,   648,   649,   650,
    1540,     0,   651,   652,   653,   654,   655,   707,  1541,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1542,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1550,  1551,     0,
       0,     0,     0,     0,     0,     0,  1553,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1489,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1490,   137,  1491,  1492,     0,   437,   438,   439,
     440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,
     445,   446,   447,   448,  1497,     0,  1498,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,
    1503,  1504,  1505,   461,   462,   463,   464,   701,   465,  1506,
    1507,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,     0,   486,     0,
     487,   488,   489,   490,  1509,   491,   492,   493,  1510,  1511,
     494,     0,   495,   496,  1512,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1513,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1514,  1515,     0,  1516,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1517,   182,   532,     0,
       0,   533,   534,   535,  1518,  1519,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1520,
     189,  1521,   547,   548,   191,     0,   549,   550,   193,   551,
    1523,  1524,   552,  1525,   553,   554,   555,     0,   556,     0,
       0,  1526,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1527,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1528,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1529,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1530,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1531,   613,   217,   614,   615,     0,
     616,  1532,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1533,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1534,  1535,     0,     0,
     637,  1536,   638,  1537,  1538,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1540,
       0,   651,   652,   653,   654,   655,   707,  1541,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1542,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  2919,  2920,     0,     0,
       0,     0,     0,     0,     0,  1553,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,  1494,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,  1510,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
    3663,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
    1524,   552,   195,   553,   554,   555,     0,   556,     0,  1094,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,  3664,
     602,   603,   604,   605,   606,   706,   607,   215,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,   223,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
    1536,   638,  1537,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,  2214,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,   236,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  3665,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,  1494,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,  1510,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,  3663,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,  1524,   552,   195,   553,   554,
     555,     0,   556,     0,  1094,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,  3664,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,  1536,   638,  1537,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,  3665,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,  1494,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,  1510,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
    1524,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,  3664,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
    1536,   638,  1537,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,   246,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,  1494,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,  1510,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,  1524,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,  1536,   638,  1537,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,  4260,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,     0,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  4869,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,  4187,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0, -1520,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0, -1520,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518, -1520,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523, -1520,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181, -1520,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188, -1520,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
   -1520,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    1647,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,  3947,  3948,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3948,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   215,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,  2214,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,   246,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,   215,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,   223,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,  2214,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,   236,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
     246,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  1622,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3082,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  4171,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    4585,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1219,    45,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,   739,   427,   428,   429,   740,   741,   742,   743,   744,
     745,   746,   430,   431,   747,   432,   433,   133,   434,   435,
     436,     0,  1924,   137,  1925,  1926,   748,   437,   438,   439,
     440,   441,   749,   750,   442,   443,  1927,  1928,   444,   752,
     445,   446,   447,   448,     0,   753,   145,   754,   449,   450,
     451,   452,   148,   453,   699,   756,   454,   455,   456,   457,
     458,   459,   757,   151,   460,     0,   759,   760,   761,   152,
     762,   763,   764,   461,   462,   463,   464,   701,   465,  1929,
    1930,   466,   765,   467,   766,   468,   469,   470,   471,   472,
     767,   473,   474,   475,   768,   769,   476,   477,  1508,   479,
     480,   770,   481,   482,   483,   771,   484,   485,   486,   772,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   773,
     494,   774,   495,   496,  1931,   497,   775,   498,   776,   499,
     169,   777,   170,   500,   501,   502,   778,   503,     0,   779,
     504,   780,   505,   506,   703,   507,   508,   173,   509,   510,
     511,   781,   512,   513,   514,   515,   516,   517,   782,   518,
     174,     0,     0,   519,   520,   521,  1514,  1932,   785,  1933,
     786,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,   787,   529,   530,   788,   531,     0,   182,   532,   183,
     789,   533,   534,   535,   790,   791,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1934,
     189,  1935,   547,   548,     0,   792,   549,   550,   193,   551,
     793,     0,   552,  1936,   553,   554,   555,   794,   556,   795,
     796,  3934,   558,   559,   797,   798,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,   799,
     569,     0,   570,     0,   571,   572,   573,   800,   574,   575,
     576,   577,   578,   579,   580,   581,  1937,   582,   583,   584,
     585,   801,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   802,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,   803,   608,
     609,   610,   611,   612,   804,   613,  2421,   614,   615,   219,
     616,  1939,   617,   805,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,   806,   628,   629,   807,   630,
     631,   632,   633,   634,   635,   808,  1940,  1941,     0,   810,
     637,     0,   638,     0,   811,   639,   640,   641,   642,   643,
     644,   645,     0,   813,   646,   647,   648,   649,   650,   814,
     815,   651,   652,   653,   654,   655,     0,  1942,   817,   656,
     235,   657,   658,   659,   660,   818,   819,   661,   820,   821,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,     0,     0,
       0,     0,  1222,  1223,  1224,     0,  3935,  3936,  1227,  1228,
    1229,  1230,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1219,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,  1220,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,  1221,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,  1222,  1223,  1224,     0,
    1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1219,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,  1316,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,  1317,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
    1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1219,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,  1373,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,  1374,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1375,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,
    1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1219,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,  1909,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,  1910,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,  1222,  1223,
    1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1219,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,
    1229,  1230,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1219,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,  3182,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,  3183,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,  1222,  1223,  1224,     0,
    1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1219,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,  4848,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
    1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,   739,   427,   428,   429,   740,   741,
     742,   743,   744,   745,   746,   430,   431,   747,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,   748,
     437,   438,   439,   440,   441,   749,   750,   442,   443,   751,
     140,   444,   752,   445,   446,   447,   448,   144,   753,   145,
     754,   449,   450,   451,   452,   148,   453,   755,   756,   454,
     455,   456,   457,   458,   459,   757,   151,   460,   758,   759,
     760,   761,   152,   762,   763,   764,   461,   462,   463,   464,
     701,   465,   155,   156,   466,   765,   467,   766,   468,   469,
     470,   471,   472,   767,   473,   474,   475,   768,   769,   476,
     477,   478,   479,   480,   770,   481,   482,   483,   771,   484,
     485,   486,   772,   487,   488,   489,   490,   164,   491,   492,
     493,   166,   773,   494,   774,   495,   496,   168,   497,   775,
     498,   776,   499,   169,   777,   170,   500,   501,   502,   778,
     503,   172,   779,   504,   780,   505,   506,   703,   507,   508,
     173,   509,   510,   511,   781,   512,   513,   514,   515,   516,
     517,   782,   518,   174,   175,   783,   519,   520,   521,   784,
     176,   785,   177,   786,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,   787,   529,   530,   788,   531,   181,
     182,   532,   183,   789,   533,   534,   535,   790,   791,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,   792,   549,
     550,   193,   551,   793,   194,   552,   195,   553,   554,   555,
     794,   556,   795,   796,   557,   558,   559,   797,   798,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,   799,   569,   200,   570,   201,   571,   572,   573,
     800,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,   801,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   802,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,   803,   608,   609,   610,   611,   612,   804,   613,   217,
     614,   615,   219,   616,   220,   617,   805,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,   806,   628,
     629,   807,   630,   631,   632,   633,   634,   635,   808,   224,
     225,   809,   810,   637,   226,   638,   227,   811,   639,   640,
     641,   642,   643,   644,   645,   812,   813,   646,   647,   648,
     649,   650,   814,   815,   651,   652,   653,   654,   655,   816,
     234,   817,   656,   235,   657,   658,   659,   660,   818,   819,
     661,   820,   821,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,  2313,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1924,   137,  1925,
    1926,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1927,  1928,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1929,  1930,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1931,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,  2417,   512,   513,   514,
     515,   516,   517,     0,   518,   174,  2418,     0,   519,   520,
     521,  1514,  1932,     0,  1933,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1934,   189,  1935,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1936,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
    2419,   560,  2420,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1937,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  2421,   614,   615,   219,   616,  1939,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1940,  1941,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1942,  2422,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,  2423,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,    86,    87,    88,
     684,    90,    91,    92,   685,  1101,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,  4897,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   996,   421,   422,   423,   424,
     425,   426,   997,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   998,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   999,   168,   497,     0,   498,     0,
    1000,     0,  1001,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,  1002,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,  1003,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,  1004,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,  1005,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,  1006,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,  1008,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   996,   421,   422,   423,   424,
     425,   426,   997,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,  1029,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   999,   168,   497,     0,   498,     0,
    1030,     0,  1001,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,  1002,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,  1003,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,  1004,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,  1005,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,  1006,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,  1008,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1421,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,  1001,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,  1002,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,  1008,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1426,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,  1001,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,  1002,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,  1008,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,   702,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,  1593,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,  1071,  1594,    86,    87,    88,   684,    90,    91,
      92,   685,  1072,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
    1074,     0,  1075,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,  1076,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  1079,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1080,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  1082,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,   739,   427,
     428,   429,   740,   741,   742,   743,   744,   745,   746,   430,
     431,   747,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,   748,   437,   438,   439,   440,   441,   749,
     750,   442,   443,   751,   140,   444,   752,   445,   446,   447,
     448,   144,   753,   145,   754,   449,   450,   451,   452,   148,
     453,   755,   756,   454,   455,   456,   457,   458,   459,   757,
     151,   460,   758,   759,   760,   761,   152,   762,   763,   764,
     461,   462,   463,   464,   701,   465,   155,   156,   466,   765,
     467,   766,   468,   469,   470,   471,   472,   767,   473,   474,
     475,   768,   769,   476,   477,   478,   479,   480,   770,   481,
     482,   483,   771,   484,   485,   486,   772,   487,   488,   489,
     490,   164,   491,   492,   493,   166,   773,   494,   774,   495,
     496,   168,   497,   775,   498,   776,   499,   169,   777,   170,
     500,   501,   502,   778,   503,   172,   779,   504,   780,   505,
     506,   703,   507,   508,   173,   509,   510,   511,   781,   512,
     513,   514,   515,   516,   517,   782,   518,   174,   175,   783,
     519,   520,   521,   784,   176,   785,   177,   786,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,   787,   529,
     530,   788,   531,   181,   182,   532,   183,   789,   533,   534,
     535,   790,   791,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,   189,   190,   547,
     548,   191,   792,   549,   550,   193,   551,   793,   194,   552,
     195,   553,   554,   555,   794,   556,   795,   796,   557,   558,
     559,   797,   798,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,   799,   569,   200,   570,
     201,   571,   572,   573,   800,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,   801,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     802,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,   803,   608,   609,   610,   611,
     612,   804,   613,   217,   614,   615,   219,   616,   220,   617,
     805,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,   806,   628,   629,   807,   630,   631,   632,   633,
     634,   635,   808,   224,   225,   809,   810,   637,   226,   638,
     227,   811,   639,   640,   641,   642,   643,   644,   645,   812,
     813,   646,   647,   648,   649,   650,   814,   815,   651,   652,
     653,   654,   655,   816,   234,   817,   656,   235,   657,   658,
     659,   660,   818,   819,   661,   820,   821,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,   751,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,   758,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,   703,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
     783,   519,   520,   521,   784,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,   809,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
     812,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,   816,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,  3241,   424,   425,   426,
     739,   427,   428,   429,   740,   741,   742,   743,   744,   745,
     746,   430,   431,   747,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,   748,   437,   438,   439,   440,
     441,   749,   750,   442,   443,   751,   140,   444,   752,   445,
     446,   447,   448,   144,   753,   145,   754,   449,   450,   451,
     452,   148,   453,   755,   756,   454,   455,   456,   457,   458,
     459,   757,   151,   460,   758,   759,   760,   761,   152,   762,
     763,   764,   461,   462,   463,   464,   701,   465,   155,   156,
     466,   765,   467,   766,   468,   469,   470,   471,   472,   767,
     473,   474,   475,   768,   769,   476,   477,   478,  3242,   480,
     770,   481,   482,   483,   771,   484,   485,   486,   772,   487,
     488,   489,   490,   164,   491,   492,   493,   166,   773,   494,
     774,   495,   496,   168,   497,   775,   498,   776,   499,   169,
     777,   170,   500,   501,   502,   778,   503,   172,   779,   504,
     780,   505,   506,   703,   507,   508,   173,   509,   510,   511,
     781,   512,   513,   514,   515,   516,   517,   782,   518,   174,
     175,   783,   519,   520,   521,   784,   176,   785,   177,   786,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
     787,   529,   530,   788,   531,   181,   182,   532,   183,   789,
     533,   534,   535,   790,   791,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,   792,   549,   550,   193,   551,   793,
     194,   552,   195,   553,   554,   555,   794,   556,   795,   796,
     557,   558,   559,   797,   798,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,   799,   569,
     200,   570,   201,   571,   572,   573,   800,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
     801,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   802,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,   803,   608,   609,
     610,   611,   612,   804,  3243,   217,   614,   615,   219,   616,
     220,   617,   805,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,   806,   628,   629,   807,   630,   631,
     632,   633,   634,   635,   808,   224,   225,   809,   810,   637,
     226,   638,   227,   811,   639,   640,   641,   642,   643,   644,
     645,   812,   813,   646,   647,   648,   649,   650,   814,   815,
     651,   652,   653,   654,   655,   816,   234,   817,   656,   235,
     657,   658,   659,   660,   818,   819,   661,   820,   821,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,  1494,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,  1497,     0,  1498,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,
    1503,  1504,  1505,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,  1510,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1513,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1517,   182,   532,   183,
       0,   533,   534,   535,  1518,  1519,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,  1524,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1527,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1528,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1531,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1533,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,  1536,   638,  1537,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1540,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1542,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1356,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,  1366,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1924,   137,  1925,  1926,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1927,  1928,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,  1929,  1930,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,  1931,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,  2417,   512,   513,   514,   515,
     516,   517,     0,   518,   174,  2418,     0,   519,   520,   521,
    1514,  1932,     0,  1933,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1934,   189,  1935,   547,   548,     0,     0,
     549,   550,   193,   551,     0,     0,   552,  1936,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,  2420,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1937,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
    2421,   614,   615,   219,   616,  1939,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1940,  1941,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,  1942,  2422,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1924,   137,  1925,
    1926,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1927,  1928,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1929,  1930,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1931,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,     0,     0,   519,   520,
     521,  1514,  1932,     0,  1933,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1934,   189,  1935,   547,   548,     0,
       0,   549,   550,   193,   551,  2508,     0,   552,  1936,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,     0,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1937,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  2421,   614,   615,   219,   616,  1939,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,  4040,   630,   631,   632,   633,   634,   635,
       0,  1940,  1941,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1942,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1924,   137,
    1925,  1926,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1927,  1928,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1929,  1930,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1931,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,     0,     0,   519,
     520,   521,  1514,  1932,     0,  1933,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1934,   189,  1935,   547,   548,
    2568,     0,   549,   550,   193,   551,     0,     0,   552,  1936,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,     0,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1937,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  1938,   614,   615,   219,   616,  1939,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1940,  1941,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1942,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1924,
     137,  1925,  1926,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,  1927,  1928,   444,     0,   445,   446,   447,
     448,     0,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,  1929,  1930,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,     0,   491,   492,   493,     0,     0,   494,     0,   495,
     496,  1931,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,     0,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,     0,     0,
     519,   520,   521,  1514,  1932,     0,  1933,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,     0,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1934,   189,  1935,   547,
     548,  3866,     0,   549,   550,   193,   551,     0,     0,   552,
    1936,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,     0,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,     0,   569,     0,   570,
       0,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1937,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,  1938,   614,   615,   219,   616,  1939,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1940,  1941,     0,     0,   637,     0,   638,
       0,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,  1942,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1924,   137,  1925,  1926,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1927,  1928,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1929,  1930,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1931,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,     0,
       0,   519,   520,   521,  1514,  1932,     0,  1933,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1934,   189,  1935,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,  1936,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,     0,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1937,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  1938,   614,   615,   219,   616,  1939,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1940,  1941,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1942,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
       0,  1924,   137,  1925,  1926,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,  1927,  1928,   444,     0,   445,
     446,   447,   448,     0,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,  1929,  1930,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,     0,   491,   492,   493,     0,     0,   494,
       0,   495,   496,  1931,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,     0,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
       0,     0,   519,   520,   521,  1514,  1932,     0,  1933,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,     0,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1934,   189,
    1935,   547,   548,     0,     0,   549,   550,   193,   551,     0,
       0,   552,  1936,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,     0,   197,   561,   198,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
       0,   570,     0,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1937,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,  2421,   614,   615,   219,   616,
    1939,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,     0,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1940,  1941,     0,     0,   637,
       0,   638,     0,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,  1942,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1924,   137,  1925,  1926,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1927,  1928,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1929,
    1930,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1931,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,     0,     0,   519,   520,   521,  1514,  1932,     0,  1933,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1934,
     189,  1935,   547,   548,     0,     0,   549,   550,   193,   551,
       0,     0,   552,  1936,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1937,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,     0,   614,   615,   219,
     616,  1939,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1940,  1941,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1942,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,     0,   137,     0,     0,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,     0,     0,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
       0,     0,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,     0,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,     0,     0,   519,   520,   521,     0,     0,     0,
       0,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
       0,   189,     0,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,     0,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,     0,   614,   615,
     219,   616,     0,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,     0,     0,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,     0,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   739,   427,   428,   429,   740,   741,   742,   743,
     744,   745,   746,   430,   431,   747,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,   748,   437,   438,
     439,   440,   441,   749,   750,   442,   443,     0,   140,   444,
     752,   445,   446,   447,   448,   144,   753,   145,   754,   449,
     450,   451,   452,   148,   453,   755,   756,   454,   455,   456,
     457,   458,   459,   757,   151,   460,     0,   759,   760,   761,
     152,   762,   763,   764,   461,   462,   463,   464,     0,   465,
     155,   156,   466,   765,   467,   766,   468,   469,   470,   471,
     472,   767,   473,   474,   475,   768,   769,   476,   477,   478,
     479,   480,   770,   481,   482,   483,   771,   484,   485,   486,
     772,   487,   488,   489,   490,   164,   491,   492,   493,   166,
     773,   494,   774,   495,   496,   168,   497,   775,   498,   776,
     499,   169,   777,   170,   500,   501,   502,   778,   503,   172,
     779,   504,   780,   505,   506,     0,   507,   508,   173,   509,
     510,   511,   781,   512,   513,   514,   515,   516,   517,   782,
     518,   174,   175,     0,   519,   520,   521,     0,   176,   785,
     177,   786,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,   787,   529,   530,   788,   531,   181,   182,   532,
     183,   789,   533,   534,   535,   790,   791,   536,   537,   538,
     539,   540,   541,     0,   542,   543,     0,   544,   545,   546,
     188,   189,   190,   547,   548,   191,   792,   549,   550,   193,
     551,   793,   194,   552,   195,   553,   554,   555,   794,   556,
     795,   796,   557,   558,   559,   797,   798,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
     799,   569,   200,   570,   201,   571,   572,   573,   800,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,   801,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   802,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,     0,   607,   803,
     608,   609,   610,   611,   612,   804,   613,   217,   614,   615,
     219,   616,   220,   617,   805,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,   806,   628,   629,   807,
     630,   631,   632,   633,   634,   635,   808,   224,   225,     0,
     810,   637,   226,   638,   227,   811,   639,   640,   641,   642,
     643,   644,   645,     0,   813,   646,   647,   648,   649,   650,
     814,   815,   651,   652,   653,   654,   655,     0,   234,   817,
     656,   235,   657,   658,   659,   660,   818,   819,   661,   820,
     821,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,  1163,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
    2454,   445,   446,   447,   448,   144,     0,     0,  2527,   449,
     450,   451,   452,     0,   453,   699,  2455,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,  2528,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,  2457,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,  2458,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,  2459,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
    2454,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,  2455,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,  2528,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,  2457,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
    3413,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,  2458,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,  2459,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,  1060,
     425,   426,  1016,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,  1017,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,  1061,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,  1018,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,  1019,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1016,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,  1017,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,  3144,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,  1018,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,  1019,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
    2454,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,  2455,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,  2528,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,  2457,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,  2458,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,  2459,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   697,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,   700,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,   702,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1016,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,  1017,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,  1018,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,  1019,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,   927,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   928,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   929,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  2115,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,  2116,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,  2117,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,  2118,
     499,     0,     0,     0,  2119,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,  2120,
    2121,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,  2122,   605,   606,   706,   607,     0,
    2123,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,  2124,
     630,  2125,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,  2126,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,  1017,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,  1018,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,  1019,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,  2104,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
    2399,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,  3008,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,  3009,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,  3010,
     630,   631,  3011,   633,  3012,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,  3013,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   724,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,   702,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   877,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1244,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1245,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,  1094,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1348,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,   130,   131,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  3225,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    3226,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  3237,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    3238,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   933,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   978,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,  1033,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,  1094,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1214,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1215,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1596,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1770,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,  1094,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1818,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1819,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,  2012,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,  2104,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
    2399,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,  4187,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,  4201,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,  4428,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,  4430,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,  4432,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,  4851,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,  1042,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1044,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1046,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1047,   225,     0,
       0,  1048,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1088,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1089,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1090,   225,     0,
       0,  1091,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
    1108,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1239,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1253,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1307,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1321,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1361,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1380,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1382,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1384,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1387,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1393,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,  1607,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,  1608,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  1079,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1600,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  1082,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,  1733,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,  1044,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  1971,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  2001,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  2036,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  2038,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  2040,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,  2153,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,  2366,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,     0,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  2766,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  3155,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  3228,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  3230,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,  3337,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  1079,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1600,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  1082,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  1079,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1600,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,  2445,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  1082,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  2512,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  2513,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  2514,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  1079,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  2513,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  2514,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,     0,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,     0,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,     0,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115, -2442,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,   413,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
       0,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2443,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1158,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,     0,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,     0,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,  2080,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,  2081,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,  2082,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669,     0,     0,     0,    35,     0,     0,     0,     0,
    1007,  1691,  4697,    41,    42,     0,     0,     0,     0,  4698,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,   130,   131,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
     215,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
     223,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   233,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,   236,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,   246,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,  2301,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,  2080,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,  2081,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,  2082,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   668,   669,     0,     0,     0,     0,     0,
       0,    35,   418,  1007,  1691,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
    2306,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,  2080,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,  2081,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,  2082,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,     0,     0,     0,     0,
       0,     0,    35,   418,  1007,  1691,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,  2080,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,  2081,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,  2082,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   668,   669,     0,     0,     0,
       0,     0,     0,    35,     0,  1007,  1691,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,  2080,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,  2081,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,  2082,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,   636,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   668,   669,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,  2286,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,  2060,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
    2627,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  2628,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,   130,   131,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1235,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,  3519,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,  1251,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,  1329,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,  1368,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    1378,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,  1389,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,  1390,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669
};

static const yytype_int16 yycheck[] =
{
       2,   940,  1075,  1124,  1376,  1415,  1367,   381,   246,    78,
      78,    78,    78,    78,   209,    84,    78,   901,   858,   381,
    1371,   365,    96,     2,   117,  1129,  1645,   154,  2361,   228,
    1756,   167,   106,  1092,  1811,  1017,  1018,  1019,  1791,  1445,
     153,  1023,  1194,    78,   150,   984,  1262,  1241,   117,    84,
    1299,   187,   940,  1938,  1236,  2119,  1535,  2425,  2426,  1954,
     223,   901,   117,  1318,  2263,  2861,   730,  1478,   142,   162,
    1252,  1797,   160,  1328,   958,   202,    78,  3221,  2069,   165,
    1082,   171,    84,   157,  1897,  2275,  3197,    89,  1865,  1866,
    1506,  1507,  2698,   162,   960,  3436,  1956,   165,  1628,  1801,
    3411,  3475,  1152,  3241,   970,  3243,  1848,   162,  1357,  1525,
    1240,   132,    78,  2325,  2706,   117,  1246,  1997,   958,   209,
    3719,  2618,  1304,  3464,  1254,  2158,  1308,  1685,  1686,  1687,
    1649,  1313,   731,  3379,  3772,  2840,  3392,   230,  1320,  1078,
     353,  3019,  3020,  1171,  3082,  1171,  3392,  3821,  1330,  3768,
     983,   153,  2953,   367,  3665,   844,  3976,   167,  1860,  4041,
     162,   230,  4030,   208,   853,   216,  4020,  1217,  1783,   367,
    3021,  3671,  1743,   218,  1797,   230,  2567,   187,  2058,  2373,
    1428,  2663,  3113,  1408,  4265,  1252,  1121,  1399,  3729,  2000,
    1078,  4479,  1121,  1680,  1681,  2008,  3670,  2000,   887,    21,
    3597,   117,    30,  1211,  2595,    10,   208,  1166,  1167,  1739,
    4585,   975,  4587,  4775,   216,   108,   218,   121,  2412,    88,
    4018,    72,  2416,    94,    88,   114,  2425,    14,   230,  3948,
    1407,  4029,   135,  1495,  1496,    86,   838,  3396,  3397,  3398,
    3399,  3400,  3401,   102,   128,    84,   162,   128,    88,  4626,
      37,    72,  4768,   149,    78,   944,   180,   143,  3639,  1521,
     128,   132,   145,   927,   229,   954,   156,    75,    76,    77,
      78,   230,    78,   113,    82,   249,    25,    75,    76,    77,
      78,   114,   153,   154,    82,    72,   268,  3088,    75,    76,
      77,    78,   163,    78,    81,    82,    83,    84,  3199,    86,
     153,   145,   182,   143,    78,   373,   373,   373,   373,   153,
    2701,   373,   381,    29,   230,  1297,    75,    76,    77,    78,
     268,   229,   231,    82,   103,   104,    72,   135,   145,  2224,
     180,   202,   112,    78,    99,    81,    75,    76,    77,    78,
      86,   106,   268,    82,    95,    95,   381,   416,   224,  1408,
     268,    99,    75,    76,    77,    78,   145,   311,   105,    82,
      78,    78,  5146,    72,   403,  1415,    99,    90,    75,    76,
      77,    78,    81,   106,   100,    82,  1553,    86,    99,   381,
     229,   416,   270,    72,  2775,   112,  2777,   385,    75,    76,
      77,    78,    78,    95,   403,    82,  1612,    86,  1282,   147,
      14,  4651,  1554,    90,   403,    78,   154,   373,  1072,    75,
      76,    77,    78,   333,   416,   187,    82,   235,   219,     0,
    3016,    99,  2486,    37,    90,    75,    76,    77,    78,  1581,
      99,   145,    82,   181,   145,   204,  4686,   106,    78,   327,
      90,   180,  1282,   229,  5228,   185,   197,   197,   224,   228,
    4270,   230,  4827,  1392,    75,    76,    77,    78,    72,   457,
      78,    82,  1941,   313,   211,   185,   840,    75,    76,    77,
      78,   192,  4760,   393,    82,   229,  1415,   516,   840,  3075,
     389,  2675,    90,  4853,  4854,   238,   179,   288,    78,   379,
     229,    75,    76,    77,    78,   197,   380,  2116,    82,   380,
     376,  2120,    25,  2122,  1392,   253,  2125,   516,   462,  3410,
     458,  1377,   380,  1929,  1930,   264,  1575,   516,   377,    38,
    1936,    40,   262,   636,    75,    76,    77,    78,  3016,   199,
     389,    82,   458,   515,   128,   444,  2421,   263,   102,  1911,
     458,   391,   516,  1482,   260,  1906,   417,   436,   513,   373,
    5066,   135,   448,   436,   513,   682,   683,    88,  1617,  1618,
    1610,    75,    76,    77,    78,  1615,  1616,   373,    82,  1168,
    1169,  2431,    75,    76,    77,    78,   500,   416,  1267,    82,
     460,   440,   113,   436,  1417,  1451,  1188,  3075,   373,  1278,
     341,  3847,   436,   362,  1482,    75,    76,    77,    78,   373,
    1466,  3847,    82,  3762,    75,    76,    77,    78,   516,   513,
     513,    82,   143,  1479,    75,    76,    77,    78,  4995,   436,
     513,    82,  4442,   374,  5186,   511,   516,  4481,   373,   515,
     463,  3775,   516,  1397,   636,   516,   458,   506,   507,   508,
     509,  1771,   463,   423,  1301,   509,   411,   436,   516,  1338,
     326,  1900,   403,   504,   505,   373,   373,  3998,   463,   467,
    1854,  1843,   513,  1845,   513,  1927,  1928,  1922,  1607,   509,
     348,   419,   374,  1935,  4472,  4495,  1615,  1616,   411,  1895,
    4191,   479,  4182,   511,  4195,   507,   458,   373,  2218,   468,
    1820,  4410,  4411,  4412,  4413,  4414,   423,   436,   516,  4240,
     373,   499,  4013,   866,  2110,   513,   456,  4181,  4105,   462,
     461,  2062,  5087,    78,   182,   513,   456,   504,   505,  1607,
     398,   229,   436,  1773,  5094,   436,    85,   211,   117,    88,
     516,  1781,  1667,   373,   847,  2265,   456,   513,  1667,  2269,
    1699,   264,   411,   836,   513,   438,   984,   180,  3116,    93,
    3118,   429,   511,   431,   513,   373,   515,  3148,   504,   505,
    1827,   500,   516,  1830,  4845,   636,  2117,   836,   477,  5057,
    2581,   840,   479,   162,   987,  2126,   515,  4158,  2581,   892,
    1124,   836,  1790,   373,   149,  1835,   380,   480,  1838,  1839,
     513,   119,   499,   881,   313,   504,   505,  2499,  3957,  3943,
     165,  4621,   929,   473,   272,   840,   513,  1464,  4628,  1408,
      85,   682,   683,   377,   229,   504,   505,   160,   210,   208,
    3019,  3020,  3021,   173,   141,  3756,   513,   216,   210,   218,
     111,   357,   333,  3684,   836,   237,   949,   513,   840,  3431,
    4713,   230,   844,  2091,  3034,   313,   467,   513,  5136,  2097,
    2075,   853,   854,  3047,  2066,   268,   160,  1907,   860,   730,
     996,  2563,   998,   513,  1000,  1028,   210,  4929,  2439,   871,
    1006,   173,   173,    88,   980,  3357,   162,   238,  3360,  3361,
     137,   246,  3364,   229,   173,   887,   173,  2374,  3370,  2376,
    4758,   234,   513,  1029,  1030,   363,   153,   899,   984,   333,
    1114,   903,  2517,   128,  2527,   513,   173,   981,   180,   185,
     268,   270,   914,   311,   403,   983,  1114,   245,   115,   173,
     836,   249,  2184,  2185,   998,   429,  1000,   431,   436,   513,
     234,   933,  3733,  4571,    14,  1098,  1010,   436,   940,   136,
    4051,  1825,   944,   999,   230,   333,    97,  1003,  1004,  1005,
     311,   208,   954,   955,   323,  1029,  1030,  1013,   960,   287,
     221,   311,   513,   396,   238,  1128,   117,   248,   970,   226,
     329,  3362,  3363,   975,   182,   506,   507,   508,   509,   197,
    2157,  2158,   984,   385,  4622,  1825,   262,   513,   998,   473,
    1000,  2168,   500,   426,  5056,  2172,   975,  2739,  2751,   513,
      14,   500,   367,  2180,  2181,   323,    95,   515,   373,   326,
     513,  3379,   101,   405,  2073,   516,  2193,  2194,  1104,  1029,
    1030,   436,  2004,   405,  3392,  1076,   515,  2204,  4901,  1080,
    1099,   464,     2,   513,   429,   160,   431,   311,   381,   185,
     232,   313,   513,   387,   477,   391,   137,  1210,   516,   310,
    2123,  2124,   513,  1074,   329,   270,   927,     5,   929,   173,
    3451,   405,   175,  2215,  1099,  4576,   180,  3663,  1070,  3665,
    4581,  4953,  4572,  4584,  1076,  4943,  1078,    25,  1080,   407,
     513,    88,   516,  4937,    71,    72,   311,    35,    75,    76,
      77,    78,    79,    80,    81,    82,   494,  1099,   355,    86,
     458,   462,   387,   516,  1106,  3473,   113,   978,   197,   234,
     318,   982,   263,   331,   175,  4259,   262,   208,   323,    89,
    5182,  4495,   223,   469,   426,   426,   514,  4468,   516,   242,
    4768,   219,   151,   400,   477,   226,   143,   426,     8,   426,
    2079,    11,    12,  3038,   513,   504,   505,   506,   507,   508,
     509,  4532,    22,    23,    24,   380,    26,    27,  2042,  4297,
     378,    31,    32,    33,  1166,  1167,  1823,   443,  2034,   180,
     189,   514,   426,  1152,   517,  3663,  3772,  3665,   403,  2045,
     456,   242,   327,   153,   328,   403,   134,   300,   462,   159,
     303,  2057,  1171,   180,   451,   513,    95,  1242,  1243,   313,
     288,  1072,  2042,  1074,  5058,   180,   398,    72,   367,  2828,
      75,    76,    77,    78,   129,   185,    81,    82,    83,    84,
     209,    86,   137,   376,  4843,   500,   501,   502,   513,   504,
     505,   506,   507,   508,   509,   427,  1202,   325,  1217,   300,
    1242,  1243,   184,   517,  1901,  2078,   231,  5067,   196,   350,
     396,  2310,   341,  1341,  3114,   230,   381,   184,   511,   151,
    3120,   250,   515,   270,   355,  1267,  4940,  5135,  2684,    72,
     300,  5139,    75,    76,    77,    78,  1278,   327,    81,    82,
     267,   394,   121,    86,  3772,   374,  1252,  2360,   274,   504,
     505,   506,   507,   508,   509,    99,   468,   189,   197,  1301,
    4238,   182,   416,   173,   291,   419,  2190,   318,   513,  1966,
     456,   470,    88,  4824,   403,  1553,   264,  5185,   230,    75,
      76,    77,    78,   342,   477,   311,    82,   269,   185,  4207,
     436,   268,   171,   394,  2023,   242,  1338,  4975,   482,   314,
     197,  2391,   269,  2032,   329,   207,  1420,   231,  1422,  1417,
    2190,  1425,   477,  1427,    88,  1729,  1430,  1431,  1432,  2614,
     451,  4212,  1418,   516,   394,  1421,  4217,  1729,  1424,  1443,
    1426,   137,  2029,  1429,   458,  1377,   291,  1433,    71,   113,
     493,  4086,  1456,  2411,  1458,  2411,    79,    80,   192,   514,
    1392,   272,   517,   300,  1396,  1397,  2526,  1399,  4654,   513,
    4999,  5000,  2576,    14,   266,  1407,  2778,  2768,  4654,   143,
     516,   430,  4793,  1415,   180,   341,  4629,  1396,  1397,   405,
    1399,  2772,   261,    22,   426,  1638,    37,  4738,  5066,   513,
    2119,   343,   313,  4744,   419,   305,  1415,  3919,  1652,  1653,
     175,  1655,   341,  3925,  3926,   329,   340,   836,   374,  1451,
     342,  2581,  3516,   183,  1652,  1653,   172,  1655,  2632,   152,
    3213,   511,  1464,   174,  1466,   515,  2721,  2722,  2723,  2724,
     456,   333,   311,    72,  2604,   374,  2075,  1479,  2733,  3847,
    1482,   351,   363,   458,   151,  3684,  2668,   394,  4869,  3880,
     274,  1493,  4873,  4874,   270,   352,   408,   504,   505,   506,
     507,   508,   509,  2633,   403,    95,  1669,   242,   151,   202,
     192,   101,   194,  2762,  4727,  4012,   246,   504,   505,  3552,
    1522,   458,   189,   229,  3143,   151,   160,   311,  3740,  3048,
     362,   340,   153,  1626,  2584,   340,   270,   271,   430,   103,
     104,   252,  2592,   249,  2594,   179,   189,   313,  1550,  1551,
     298,  1553,   318,   392,   229,  3297,   388,  1626,   175,   180,
    5159,   254,   268,   189,  1566,   300,   331,   341,   303,  2226,
    1572,  1626,  1593,  1594,   249,   445,   341,   211,  4722,   363,
     517,   229,   316,   299,   126,   301,  1679,  4928,   450,   355,
     107,   109,  1463,   268,   403,  4191,   160,   275,   403,  4195,
     374,   249,   341,   369,  2488,  1607,  3308,   197,  1610,   374,
    1679,  1680,  1681,  1615,  1616,   179,   341,   190,   983,   984,
     268,   405,  3502,  1625,  1626,   242,   387,   200,    72,   403,
     172,  1610,  1979,  4846,   229,   354,  1615,  1616,   396,   504,
     505,   323,    86,  4856,   438,  1680,  1681,   211,  2488,   374,
    1743,  1998,  1654,   346,   249,   121,  1658,  1659,  2524,   394,
    1729,   417,   418,   180,   403,  4776,   636,  1736,   426,  4060,
     188,  4062,   456,   268,  1743,   342,  1697,  1679,  1680,  1681,
    1768,  3458,   354,   300,  3461,   451,   303,  1076,  1743,   389,
      25,  1080,   313,  5067,  1729,   456,  1859,  1699,   229,   342,
      35,  1736,   505,  4191,   469,   171,   464,  4195,  3124,   251,
    1626,  2888,  1691,  4857,   425,   426,   342,   182,   249,   438,
    4516,   513,  1593,  1594,  5065,  4863,   182,  1729,   504,   505,
     506,   507,   508,   509,  1736,  1737,   370,  1716,  1717,   513,
     440,  1743,  2406,    75,    76,    77,    78,  3153,  1750,  1114,
      82,   341,   458,   232,   458,   513,   449,   299,   493,   301,
    2937,   480,   396,   430,   457,  2747,   438,   460,   341,   311,
     504,   505,   506,   507,   508,   509,   183,   394,   513,    95,
     155,  1783,  2832,   458,   374,   101,   477,   430,   517,  1791,
    2479,  2968,   426,    85,  1773,   261,    88,  2486,   340,   134,
     256,   374,  1781,   192,   430,   194,   370,   272,   480,   513,
     458,   517,  3184,   403,   249,  2754,   333,  5128,   161,   194,
    4616,  1823,  4618,    71,    72,   516,  1697,  1743,  3386,  3006,
     464,   340,   396,    75,    76,    77,    78,   379,     7,   246,
      82,   238,   517,   477,  4450,   311,   183,  4958,   313,   438,
      19,    20,  2791,  1242,  1243,   311,  1835,   313,  5002,  1838,
    1839,  1827,   426,   458,  1830,  4471,  2754,  4459,  1961,   517,
      39,   516,   414,    42,  2531,   172,   493,   145,  1880,   513,
    1882,   197,   436,    88,   517,   153,   192,   230,   194,  4280,
    4281,   480,  1961,    41,   403,  3514,   513,   367,   363,  1901,
     464,  4383,  4384,  2791,   468,  3026,  1961,   300,   113,   246,
     303,   217,   882,   477,   311,   258,   458,  2030,  1920,   398,
     341,   374,   517,  3172,   313,   374,   392,   397,  1907,   264,
     273,   514,   233,   516,   323,   192,  1938,   194,   143,   374,
    3800,   341,   285,   378,   341,   410,  2320,   519,   427,   513,
     403,   224,  5096,   374,   403,  2150,   426,   254,  2320,  1961,
     217,   234,   516,  3776,  1966,   308,   500,   446,   403,  2132,
     940,   941,   436,   458,   374,  4571,   249,   374,   270,  1981,
    4576,   515,   403,   500,   327,  4581,   318,   156,  4584,  3039,
     291,   152,   264,  2079,   511,  1997,   513,   514,   515,   516,
     470,   394,   299,   403,   301,   975,  3200,   313,  4207,   391,
    2078,   231,   318,  4212,  2088,   458,  2090,   323,  4217,  2676,
    2094,  2023,  2096,    16,   193,  2099,  4622,  2029,  3222,  2103,
    2032,  4221,  2034,  2035,  3036,  3441,   500,   329,   389,   259,
     201,   384,   477,  2045,  3450,  1961,   428,  3824,  3825,   224,
      88,   515,  1417,   357,   367,  2057,  2058,   387,  3953,  2149,
     389,   318,  5206,  1033,  2066,   462,   323,  2069,  2156,   244,
     513,  3201,  2140,  2140,  2140,  2140,   318,  2079,  2140,    75,
      76,    77,    78,  4571,   397,   415,    82,  2066,  4576,   440,
    2069,  3621,   428,  4581,  1064,   477,  4584,   479,   479,   230,
    3039,  2985,   363,  1073,  3881,   143,  3808,  1077,  1078,  1079,
     383,   440,   440,   426,   375,   458,  3574,  2119,   499,   280,
     281,    51,  3601,  3602,  1489,   341,  3537,   258,   429,   477,
     431,   513,   341,   294,  4622,  2228,   442,  3267,   399,    69,
    3598,   477,   273,   479,  1509,  2985,   452,    85,   322,  3851,
      88,  2815,   161,   454,   285,  2157,  2158,   470,   374,  2228,
     233,   470,   378,  2165,   233,   374,  2168,   105,   516,   378,
    2172,   393,  4768,  2228,  1539,  2177,  2865,   513,  2180,  2181,
     341,   477,  2871,  3544,   276,   442,  2188,   403,  1553,  2191,
    2192,  2193,  2194,  2850,   403,   452,  1166,  1167,   145,  2201,
    2202,  1171,  2204,  2339,  2206,  2207,   153,  4689,  2210,   501,
     502,  3741,   504,   505,   506,   507,   508,   509,   291,  3059,
     516,   230,   291,  3405,  2226,  2227,  2228,   511,  4824,   298,
    2232,  3170,   378,   517,  2236,   516,  2322,  1626,  2240,   520,
    2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,   258,
    2252,  2320,  4243,   384,  2449,  4150,  2451,   403,   313,   182,
    2262,  2263,  4147,   318,   273,   391,   378,   428,   477,   430,
      75,    76,    77,    78,  3140,  3141,   285,    82,   224,    81,
    4768,  4034,  3170,    34,    86,  2320,  4654,  1652,  1653,   436,
    1655,   403,  3541,  4019,   367,  4494,   374,  5093,   244,   308,
     378,   224,   428,  2365,   219,  2374,   361,  2376,   396,   224,
      97,  4644,  2228,    75,    76,    77,    78,   516,  2320,   508,
      82,   520,   318,  2325,   513,   403,   515,  3016,   391,   391,
     117,  2444,   270,   256,   513,  2498,  4824,  3753,   426,  2374,
     512,  2376,    85,  4676,   516,    88,  2439,   207,  4739,   479,
     508,   477,   376,   479,  1743,   513,   429,   515,   431,   219,
     429,  1750,   431,   128,   224,   428,   428,  3773,  3774,   499,
    2439,   511,  2374,   288,  2376,   384,   464,   514,   518,  4975,
     517,   454,   147,   513,  2439,   454,  3075,   513,   311,   477,
     313,   329,    71,  2395,  1783,   440,   161,   470,   327,   477,
      79,    80,  4770,   332,   512,   511,   266,   513,   516,   341,
     325,  2413,  2391,  2415,   477,   477,   479,   479,   440,  2421,
    3286,   391,  1392,  2425,  2426,   513,  1396,  1397,   288,  1399,
     327,  3608,  2411,  2435,  2413,   332,  2415,  2439,  2440,   516,
     517,  2443,   374,   314,   315,  1415,   211,  3429,   341,   393,
     513,   513,  4071,  4072,  4073,  2548,   134,   135,   428,  2552,
    2573,   324,   479,  2465,   327,   325,  2468,  3406,   298,  3408,
    5066,   403,   511,   333,   513,   219,   515,  2479,   298,  2548,
     224,   374,   499,  2552,  2486,   157,  2936,  4975,  2938,  2939,
    1460,  3707,   252,  1882,    71,  3545,   513,  2552,    75,    76,
      77,    78,    79,    80,  2506,    82,   249,   477,   514,   479,
     403,   517,  1482,   318,   276,  2517,  3173,   514,  3406,   516,
    3408,  2523,  2524,  2439,  3676,   396,    85,   270,  2208,  2531,
    4393,  2211,  4395,  3472,  4867,  2406,  4399,   518,  4401,  3379,
     506,   507,   508,   513,   288,   391,  2548,  2549,    72,   514,
    2552,   516,  3392,   244,  3420,   426,  3422,   440,  3679,  3680,
    3681,   150,   500,   501,   502,   470,   504,   505,   506,   507,
     508,   509,  1961,  2575,  2576,   387,   388,  2579,  5066,    71,
      72,   325,   428,   125,  3472,  1555,   329,    79,    80,   513,
     450,   515,   315,   464,    86,  1565,  2598,   126,   175,   207,
    2693,  2707,   391,   387,   388,  2584,   477,  2609,  1578,   519,
     477,   219,   479,  2592,   393,  2594,   224,  3274,   391,  3276,
    2622,   516,   517,    85,  2693,   514,    88,   516,   276,  2631,
    2632,   477,  2548,   479,  1469,  1470,  2552,  1607,  2693,   428,
    1610,  1611,   513,   172,   513,  1615,  1616,  4711,   514,    86,
     516,   113,   514,   327,   516,   428,   391,   119,   266,   391,
     504,   505,   506,   507,   508,   242,   516,   513,   512,   514,
    3536,   516,  2674,   396,  2676,   514,  3333,   516,  4208,   513,
     288,   143,    75,    76,    77,    78,   496,   497,   477,    82,
     479,  2693,  4469,   428,   125,   470,   428,  2699,   514,   495,
     516,  3358,  2704,   426,   477,  4235,   479,   115,  4603,    75,
      76,    77,    78,  2078,   515,   272,    82,   325,  3912,   514,
     330,   516,   251,   300,   513,   333,   303,   330,   327,  1699,
    2968,   514,   436,   516,  2736,  4354,  4355,   513,  4357,   515,
     513,   464,   477,   205,   479,   477,   514,   479,   516,  2751,
     224,   477,  2754,   479,   477,  4954,   327,   500,   501,   502,
     330,   504,   505,   506,   507,   508,   509,   495,    85,  5102,
     299,    88,   301,   115,   514,  2140,   516,  2693,   513,   137,
    5113,   513,   311,   245,   514,   143,   516,   249,  4043,  2791,
     513,   514,   495,   272,   517,   153,   113,  2799,   506,   514,
    3457,   516,   119,    75,    76,    77,    78,   228,   270,   271,
      82,   340,  3011,  3012,  3013,   516,   513,   394,  4517,  4518,
    4519,  4520,   180,   125,   182,   287,   143,  3516,   514,  3486,
     516,   153,  5165,   514,   514,   516,  2838,   514,    85,  2228,
    3078,    88,   450,   514,   514,   516,   516,   514,  2850,   516,
     379,  2944,   229,  2832,   316,   268,   517,  2950,   105,  2861,
     514,   506,   516,  2865,   519,   264,   113,   329,  2233,  2871,
     519,    85,   119,   436,    88,  2944,    75,    76,    77,    78,
     436,  2950,  1852,    82,   436,   414,  2888,  2889,   429,  2944,
     431,   429,  2894,   431,   513,  2950,   143,  4674,   256,   113,
     514,  3558,   516,   511,   436,   119,   514,   515,   180,   436,
     514,   233,   516,  1659,   203,   108,   493,  2919,  2920,   125,
     264,  3578,  2924,   436,    75,    76,    77,    78,   245,   143,
     252,    82,   249,   270,  2936,  2937,  2938,  2939,   514,   514,
     516,   516,  2944,   515,  2815,   407,  3603,  2949,  2950,  1919,
    2952,   513,  2954,   270,   271,   313,   514,  4134,   516,   514,
     318,   516,  2964,  2965,   403,   514,  2968,   516,   513,   291,
     287,   514,   481,   516,  3663,   514,  3665,   516,   249,  2981,
    4390,  2983,  3639,   212,   514,  2987,   516,  3055,  3055,  3055,
    3055,   249,   514,  3055,   516,   513,   313,   355,   245,   316,
    2365,   477,   249,   479,  3006,   515,   514,  3847,   516,   327,
     332,   369,   329,  1983,  3016,   212,   249,  3019,  3020,  3021,
     514,   212,   516,   270,   271,    98,  4076,   327,  2944,   180,
    4756,   514,   224,   516,  2950,   249,   514,  3039,   516,   212,
     287,  3043,   504,   505,   506,   507,   508,   509,   517,   286,
    2439,  4457,   182,   514,  3056,   516,   270,   271,   458,  3061,
    3039,   514,   514,   516,   516,  3067,   313,   327,   514,   316,
     516,    85,   145,  3075,    88,   513,   440,    75,    76,    77,
      78,   322,   329,  3772,    82,   332,   470,   514,    86,   516,
     407,   105,   514,   451,   516,   514,  2066,   516,   514,  2069,
     516,   174,   316,    75,    76,    77,    78,   429,   393,   431,
      82,  3113,   276,  4265,  3116,   329,  3118,   514,   440,   516,
     360,  3123,   195,  3125,   513,   137,  3992,  3993,  2517,   451,
     108,   477,   454,   206,   514,   514,   516,   516,  3140,  3141,
      75,    76,    77,    78,  3146,   313,   513,    82,  3241,  3242,
    3243,   481,   313,   226,    75,    76,    77,    78,   231,  2548,
     407,    82,   514,  2552,   516,  3167,   115,   514,  3170,   516,
     115,  3173,  3241,  3242,  3243,   341,   514,  4236,   516,   514,
     445,   516,   180,   500,   501,   502,   224,   504,   505,   506,
     507,   508,   509,   504,   505,   506,   507,   508,  4817,   514,
     150,   516,   121,   514,   277,   358,   470,  2177,  4827,   470,
     518,  3213,    75,    76,    77,    78,   514,   212,   516,    82,
     514,   514,   516,   516,   514,   298,   516,   514,   514,   516,
     516,   514,   514,   516,   516,   514,   514,   516,   516,  3241,
    3242,  3243,   212,   162,   514,   180,   516,   514,   514,   516,
     516,   513,   212,   500,   501,   502,   270,   504,   505,   506,
     507,   508,   509,  3265,   514,  4884,   516,   186,   514,   516,
     516,  1118,  3274,  1120,  3276,  3277,  4196,   481,  4198,   212,
     212,   516,   201,   212,  3286,   358,   205,   212,  4698,   212,
     504,   505,   506,   507,   508,   509,   327,   212,  3391,   212,
    4706,  4707,   212,   327,  2693,   212,   225,  3651,   212,   228,
     426,   513,   385,   108,   225,   329,   224,   286,   391,   224,
     327,   240,  3391,  2293,   397,  3241,  3242,  3243,   513,   513,
     513,  3333,   224,   513,   513,   351,  3391,   513,   513,  3996,
    4390,   513,  4226,   513,   513,   478,   513,   338,   513,   108,
    3352,   513,   268,   426,   513,   428,  3358,  3484,     2,   513,
     516,   513,  4981,   513,   513,   513,   513,   513,  3481,   513,
     513,   513,   445,   513,   513,   513,  3378,  3379,   163,   516,
     268,   270,   108,   286,   224,   325,  4226,   224,   403,  3391,
    3392,   506,  3454,   323,   264,   394,   516,   470,   179,   318,
    3379,  3463,   303,   457,  3406,   516,  3408,   326,   500,    14,
     516,  3649,  4589,  3392,   513,   513,   513,   436,  3420,   436,
    3422,   515,  3484,   391,   391,  2395,   436,  3665,  4294,   153,
     436,   436,   436,   436,   391,   212,   327,   395,   283,   436,
     436,  2411,   361,  2413,   318,  2415,  2192,   436,   457,   428,
     327,  4390,   254,   513,   323,  3457,  3655,  3656,  3657,  3658,
    2206,  4443,   436,   436,   243,   513,   153,  4588,   341,   516,
    3472,  3473,   212,   249,  4595,  3391,   458,   458,   174,   125,
     436,  4347,   436,   436,  3486,   125,   500,   501,   502,  4895,
     504,   505,   506,   507,   508,   509,   458,   436,   436,  4871,
    3502,  4158,  4191,   331,   428,  4609,  4195,   114,   436,  4870,
     436,  4693,   114,   391,  3516,   516,   436,  3519,   436,   436,
     327,  3614,   436,   167,    71,   270,   481,   327,   513,  4880,
     477,  4882,    79,    80,  3536,   108,   467,  3539,   513,   107,
      97,   327,  2512,   187,   212,  3614,   313,   513,   513,    96,
     180,   212,   458,  3555,   323,  2944,  3558,   469,   127,  3614,
     294,  2950,   313,  3565,   108,   224,  3545,   513,   108,  3571,
     276,  3573,   515,   392,   212,   212,  3578,  3579,   458,   212,
    3582,  3583,  3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,
     159,   458,   212,  3595,  3596,   212,    14,   322,   436,   317,
     229,  3603,   473,  2968,   434,   152,  3608,   516,   495,    88,
    3612,   513,  3614,  3484,  3616,   513,   305,  2982,   434,  5029,
    4797,  4278,   305,   516,  3626,   403,   436,  3629,   513,  3631,
     513,   237,   220,   229,   516,   500,  3001,  3639,  3640,  3641,
    3642,   438,   514,   243,  3646,   243,   215,  3649,   516,  4306,
     266,  3016,   513,   405,   516,   202,   274,   328,   516,   458,
     514,  3663,   514,  3665,    34,    10,   335,   125,  4325,   391,
     514,   436,   436,   274,   152,  3677,   391,   513,   247,   274,
     436,  3683,  3684,   458,    85,  2655,  4759,    88,   436,   108,
    3055,  4812,   318,  2663,   318,   436,   513,   440,  3614,   470,
     393,   276,   249,    85,   105,   318,    88,   254,   127,   115,
    3075,   410,   327,  3078,   283,   326,   436,   428,  4375,   436,
     516,   391,   374,   374,   244,   400,  3728,   436,   436,   363,
     108,   113,  3734,   270,  3870,   270,   270,   119,  3740,  4623,
     159,   270,   458,   270,   313,   458,   326,   500,  3841,   107,
    2720,   511,   436,  3846,  3756,  3848,  4445,   511,   436,  4698,
      85,   143,   500,    88,   224,   212,   470,   226,   323,   108,
    3772,   513,  3841,   400,   513,   212,   458,  3846,  2748,  3848,
     105,  4665,   211,  4623,  2754,   477,   108,   241,   127,  4655,
     241,  3846,   224,  3848,   327,  4972,   215,   327,   108,   346,
     507,  3803,   212,   327,   327,  5166,   400,    89,   224,   378,
     249,   380,    96,   382,  4654,    85,   249,   481,    88,   388,
     159,  2791,   249,   205,   235,  4665,   395,   302,   247,   477,
     516,   516,   327,   125,   403,   516,  3929,   516,   385,  3841,
     426,   440,   322,   412,  3846,  3847,  3848,   470,   276,   514,
     229,   420,  3241,  3242,  3243,   345,   514,   276,   514,   514,
    3929,   514,   516,   245,   283,   514,   229,   249,  3847,   270,
     495,   514,   514,   514,  3929,  4532,   215,   424,   514,   514,
     436,   513,  4571,   514,   337,   474,   514,  4576,   270,   271,
    3892,   495,  4581,  3895,   313,  4584,    90,    90,   456,   464,
     514,   513,   449,   472,   514,   287,   514,   474,   247,   381,
     457,   125,    95,   460,   517,   500,   513,   500,   101,   288,
     513,   330,   327,   514,   516,  3841,   516,  3929,   329,   327,
    3846,   513,  3848,  4622,   316,   514,   513,   276,   252,   212,
     436,   260,    78,   481,   283,   270,   318,   329,    84,   436,
     436,   436,   212,    89,   331,   212,   252,  3936,   141,   378,
     288,   346,   346,   382,   455,   436,  4028,  3969,   436,   388,
     458,   477,   436,   436,   313,  4664,   395,   391,   296,   296,
     296,   117,   313,   391,   403,   212,   436,   436,   391,   391,
    3992,  3993,   436,   412,  3996,   436,   436,  3999,   436,   403,
     270,   420,  3391,   114,   329,   436,   436,   190,  4070,   270,
     436,   270,   270,  3929,   197,   513,   303,   200,   511,  5001,
     514,   288,  4711,   500,   516,   407,   162,   115,   445,   376,
     514,   514,  4034,  4035,  4036,  4409,   173,   326,   514,   378,
     513,   327,   516,   382,   514,   108,   436,  4409,   238,   388,
     224,   458,   330,   472,   391,   391,   395,   476,   477,   329,
     516,   458,  4257,   210,   403,   391,   210,   270,   511,  3039,
     203,   254,   208,   412,   229,    88,   224,  4079,   514,  4768,
     216,   420,   218,   469,   135,   333,   229,   474,   513,  3454,
    5029,   514,   514,   514,   230,  4097,   516,  4076,  3463,   500,
     501,   502,   514,   504,   505,   506,   507,   508,   509,   229,
     498,   237,   328,  4997,   513,  4251,   516,   500,   514,  3484,
     514,   514,   504,   505,   506,   507,   508,   509,   311,   500,
     313,   224,  4134,   472,   445,  4824,  4793,   476,   513,   108,
     323,   436,  4144,  4145,   260,  4147,   458,   125,   331,   458,
    4152,  4153,   428,   513,   445,  4157,  4158,  4997,   341,   436,
     391,  4163,  4164,   391,   436,  4167,   514,  4303,  4170,   125,
     436,  4233,  4829,  2919,  2920,   500,   501,   502,  2924,   504,
     505,   506,   507,   508,   509,   436,   436,   514,   428,  4191,
     514,   374,   224,  4195,   377,   378,   143,   212,   173,   445,
    3170,   514,   270,   108,  4297,  4207,   270,   512,   274,   513,
    4212,   513,  4869,   477,   359,  4217,  4873,  4874,  2964,  2965,
     403,   400,   127,   513,   224,  3614,  4915,   481,  4297,   514,
     500,   501,   502,   513,   504,   505,   506,   507,   508,   509,
     477,  4243,  4221,   255,   148,   381,   428,   516,   516,   436,
     513,   516,    85,   234,   159,   173,   229,   229,  4260,   514,
     400,   270,   270,   270,  4243,   270,   368,   514,   513,    85,
     514,   125,    88,   475,   475,   514,  4278,  3247,   461,   513,
     416,   516,  4418,   513,  3649,   514,  4975,   273,   514,   336,
     273,   513,  4294,   125,   239,  4297,   514,   113,  3663,   514,
    3665,    95,   514,   119,  4306,   323,   445,   101,   500,   436,
     215,   477,   229,   143,  3284,   254,   318,   318,  4320,   500,
     125,   428,   436,  4325,   477,   516,   212,   143,   516,   270,
    4332,   975,   512,   231,   229,   458,   249,   458,   108,   198,
    4409,   473,   247,   477,   513,  4347,   477,   141,   229,   513,
     257,   330,   996,   229,   998,   513,  1000,   513,   368,   463,
     413,   513,  1006,  1007,  1008,  3335,  5055,   344,   514,   327,
     273,   276,   514,  4375,  4409,   513,   476,  5066,   283,   514,
     369,  4297,   436,   477,   514,  1029,  1030,  3357,  4390,   513,
    3360,  3361,   436,   224,  3364,   513,   190,   187,   318,   108,
    3370,   514,   318,   197,   297,   252,   200,  4409,   313,  3379,
     513,  4390,   513,   359,   513,  3385,  5105,   514,   211,   108,
     331,   388,  3392,   514,   388,   500,   125,   125,   108,   245,
     513,   513,  4434,   249,   514,   514,  3406,   428,  3408,   458,
     428,   311,   327,  4445,   428,   514,    82,   400,   330,   218,
     359,   137,  3841,   137,   270,   271,   193,  3846,   462,  3848,
     254,    85,   368,   513,   463,   108,   229,   516,   474,   428,
     366,   287,   224,   378,  3444,   198,   254,   382,   327,   477,
     513,   327,   108,   388,   514,   108,   330,   330,   513,   513,
     395,   514,  4494,   125,   185,   387,   456,  2192,   403,    82,
     316,  3471,  3472,   514,   387,    94,   105,   412,  1152,   211,
     513,  2206,   373,   329,  4516,   420,   513,   311,   359,   313,
    1883,  2705,  1236,  1213,  1243,  1616,  4528,  1171,  3039,   323,
    4532,  4605,  1242,  2559,  3222,  4537,  3846,   331,  3375,  2626,
    3929,  3928,  4887,  4696,  5029,  4752,  3990,   341,  5237,  4436,
    4756,  4737,  4554,  4555,  3147,  2820,  4558,  5100,  4622,  5163,
    5043,  5042,  2257,  5119,  3151,  4938,  3982,   472,  2696,  4571,
    3841,   476,   854,  1217,  4576,  2696,  3242,  1984,   860,  4581,
     374,  2690,  4584,   377,   378,  3443,  5171,  4589,  4590,   871,
    5241,   407,  5233,  4732,  3391,  3378,  5130,  4667,  1974,  5016,
    5110,   187,  1452,  4696,  4079,  4842,  4032,  4670,  1467,   403,
    4034,  2426,  4954,  3123,  4616,  3336,  4618,   899,   941,  4598,
    4622,   903,  5144,  5235,  1093,  2323,  2322,  4696,  2079,  3055,
    4234,  4017,   914,  3738,  3056,  2803,  1410,  1662,  2363,  1661,
    3067,  4696,  1108,  3062,  1644,  2362,  1664,  3083,  3665,  4182,
    3075,  4197,  4654,  4655,  4825,  3625,  1098,  3663,  1669,  4975,
    4974,  3739,  4664,  4028,  3624,  4795,  3616,   461,  5091,  5083,
    5092,  3059,  2982,  2890,  3734,  4654,  2262,  2980,  1345,  4741,
    3481,   636,  2395,  2755,   500,   501,   502,  5075,   504,   505,
     506,   507,   508,   509,  4696,  1681,  4698,  2017,   977,   382,
     836,  1463,  2371,  2403,   840,  4070,  2411,  1189,  1169,  4711,
    3033,  1675,  1169,  3745,  2404,  4220,  3712,  3746,   854,   415,
    1679,  2415,  2816,    98,   860,  2108,  1590,     2,  1009,    -1,
    1396,    -1,    -1,    -1,    -1,   871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1396,  1397,    -1,  1399,   131,    89,    -1,    -1,
      -1,    -1,    -1,   899,    -1,    -1,  4768,   903,  4770,   144,
    4863,  1415,    -1,    -1,    -1,    -1,    -1,    -1,   914,    -1,
    4696,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4792,  4793,    -1,  4795,  4863,  4797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4820,   955,
     195,    -1,  4824,    -1,   960,    -1,  4191,  4829,    -1,    -1,
    4195,   206,    -1,  3579,   970,   167,  3582,  3583,  3584,  3585,
    3586,  3587,  3588,  3589,  3590,  3591,    -1,    -1,   984,    -1,
      -1,   226,    -1,    -1,    -1,   187,   231,   127,    -1,    -1,
      -1,  4863,    -1,    -1,    -1,    -1,  3612,  4869,  4233,    -1,
      -1,  4873,  4874,    -1,  4936,    -1,    -1,  3847,    -1,    -1,
      -1,    -1,    -1,    -1,  1166,  1167,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,    -1,  3641,  3642,    -1,    -1,    85,
      -1,  3871,    88,    -1,  3874,    -1,  3876,    -1,  4297,    -1,
      -1,    -1,    -1,  4915,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   298,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,  4934,   119,    -1,  1383,    -1,    -1,    -1,    -1,
    1076,    -1,  1078,    -1,  1080,   215,  1394,  4863,    -1,  3919,
    5188,    -1,  4954,    -1,   329,  3925,  3926,   143,  3928,  4961,
      -1,    -1,    -1,  1099,    -1,    -1,  1610,    -1,    -1,    -1,
    4972,  1615,  1616,  4975,    -1,    -1,    -1,   247,  3948,    -1,
      -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,  3959,
    3960,  3961,  3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,   391,    -1,    -1,   205,
      -1,    -1,   397,    -1,    -1,   400,    -1,  5029,    -1,    -1,
    1166,  1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,  1689,    -1,  1691,    -1,    -1,
      95,   426,    -1,  5055,    -1,    -1,   101,   432,    -1,   245,
      -1,  4031,    -1,   249,  5066,  1709,    -1,    -1,    -1,  5131,
     445,   341,  1716,  1717,    -1,    -1,  5144,  5144,  5144,  5144,
    5082,  5083,  5144,    -1,   270,   271,    -1,    -1,    -1,    -1,
    5183,  5093,    -1,    -1,    -1,   470,   141,    -1,    -1,    -1,
      -1,   287,    -1,  5105,   374,    -1,  1242,  1243,   378,    -1,
      -1,    -1,   382,    -1,  5183,    -1,    -1,    -1,   388,    -1,
    5188,  5188,  5188,  5188,  4094,   395,  5188,    -1,  5183,  1773,
     316,    -1,    -1,   403,    -1,    -1,    -1,  1781,    -1,    -1,
    5233,    -1,   412,   329,  5146,   190,    -1,    -1,  5241,    -1,
     420,    -1,   197,    -1,    -1,   200,    -1,    -1,  5160,    -1,
      -1,    -1,    -1,    -1,  5233,    -1,    -1,  5235,  5235,  5235,
    5235,    -1,  5241,  5235,    -1,    -1,    -1,    -1,  5233,    -1,
      -1,  5183,    -1,    -1,    -1,    -1,  5241,    -1,    -1,    -1,
      -1,  1835,    -1,    -1,  1838,  1839,    -1,    -1,    -1,    78,
      -1,    -1,   472,    -1,  5183,    84,    -1,    -1,    -1,   254,
      89,  4576,    -1,    -1,    -1,    -1,  4581,    -1,    -1,  4584,
      -1,   407,    -1,  3969,  2919,  2920,  5228,    -1,    -1,  2924,
      -1,  5233,    -1,    -1,    -1,  5237,    -1,    -1,   117,  5241,
      -1,  1377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4219,
      -1,  4221,  4222,    -1,  5233,    -1,  1392,    -1,    -1,    -1,
      -1,    -1,  5241,  1907,    -1,    -1,   311,  5183,   313,  2964,
    2965,    -1,    -1,  4243,    -1,    -1,    -1,    -1,   323,  1415,
      -1,    -1,    -1,   162,    -1,    -1,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1451,    -1,  5233,   504,   505,
     506,   507,   508,   509,    -1,  5241,    -1,    -1,    -1,   374,
    1466,    -1,   377,   378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1479,    95,    -1,  1482,    -1,    -1,    -1,
     101,   230,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2015,    -1,    -1,    -1,    -1,  4741,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4373,  4374,    -1,  4152,  4153,    -1,    -1,
      -1,    -1,    -1,  4383,  4384,    -1,   461,  1699,    -1,    -1,
    4390,    -1,  2066,    -1,  4394,  2069,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
    4410,  4411,  4412,  4413,  4414,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,  4824,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1607,    -1,    -1,  4863,    -1,    -1,    -1,   105,  1615,
    1616,    -1,   109,    -1,    -1,    -1,   113,    -1,    -1,    -1,
    1626,    -1,   119,    -1,    -1,  4465,    -1,    -1,    -1,    -1,
      -1,    -1,   381,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,  4493,    -1,    -1,  2170,  2171,    -1,    -1,
      -1,    -1,    -1,    -1,  2178,    -1,    -1,   416,  2182,  2183,
      -1,    -1,    -1,  1679,  1680,  1681,    -1,  4517,  4518,  4519,
    4520,    -1,    -1,  2197,    -1,  2199,    -1,    -1,    -1,    -1,
     311,   188,   313,  1699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4936,   323,    -1,    -1,    -1,  2024,  2221,    -1,  2223,
     331,    -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,  2037,
     341,    -1,    -1,  1729,    -1,  2043,  2044,    -1,  1880,    -1,
    1736,    -1,    -1,    -1,    -1,    -1,    -1,  1743,    -1,    -1,
      -1,    -1,    -1,  2061,  1750,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,   374,    -1,    -1,   377,   378,   845,   846,
      -1,  2275,   849,    -1,   851,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,  1783,    -1,    -1,
      -1,    -1,   403,   870,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    -1,    -1,   996,    -1,   998,    -1,  1000,    -1,
      -1,    -1,    -1,   890,  1006,    -1,    -1,   894,    -1,    -1,
      -1,    -1,    -1,    -1,  4654,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,   911,  2339,    -1,  1029,  1030,  1981,
      -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,
     461,    -1,    -1,    -1,    -1,  1997,    -1,    -1,    -1,  4689,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4698,    -1,
      -1,    -1,  4702,    -1,  4704,    -1,    -1,    -1,  4708,  4709,
      -1,    -1,    -1,    -1,  1880,    -1,  1882,  2391,    -1,    -1,
      -1,    -1,    -1,  2035,    -1,    -1,    -1,    -1,    -1,  2919,
    2920,    -1,    -1,    -1,  2924,    -1,  5131,  2411,    -1,  2413,
      -1,  2415,    -1,    -1,    -1,    -1,  2058,    -1,    -1,  5144,
     407,    -1,  4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4537,    -1,    -1,  5183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2964,  2965,    -1,    -1,  4554,  4555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1152,    95,    -1,  5188,    -1,  1961,    -1,   101,    -1,    -1,
      -1,   458,    -1,    -1,  1166,  1167,    -1,    -1,    -1,  1171,
      -1,    -1,    -1,    -1,  5233,  1981,    -1,    -1,    -1,    -1,
      -1,    -1,  5241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1997,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
    5235,  2319,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,  3579,  1217,    -1,  3582,  3583,  3584,
    3585,  3586,  3587,  3588,  3589,  3590,  3591,    -1,  2034,  2035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2045,
      -1,    -1,    -1,    -1,    95,    -1,   190,  3612,  4888,    -1,
     101,  2057,  2058,   197,    -1,    -1,   200,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
    2584,    -1,    85,  2079,    -1,    88,  3641,  3642,  2592,    -1,
    2594,    -1,    -1,    -1,    -1,    -1,    -1,   836,    -1,    -1,
     141,   840,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,   854,   119,    -1,    -1,    -1,
     254,   860,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,   871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,  1220,  1221,    -1,    -1,    -1,    -1,   190,
      -1,   113,    -1,    -1,    -1,    -1,   197,   119,    -1,   200,
     899,    -1,    -1,    -1,   903,    -1,    -1,    -1,    -1,  1301,
      -1,    -1,    -1,    -1,    -1,   914,    -1,   311,  2682,   313,
      -1,   143,    -1,    -1,    -1,    -1,  4792,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,  5029,
      -1,   940,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,   254,    -1,    -1,   955,    -1,  1295,    -1,
      -1,   960,    -1,  1415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   970,  2228,    -1,    -1,    -1,    -1,    -1,    -1,  1316,
    1317,    -1,   245,   377,   378,   984,   249,    -1,    -1,    -1,
      -1,    -1,    -1,  2395,    -1,    -1,    -1,    -1,    -1,  1336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,   403,
     311,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,   245,   287,    -1,    -1,   249,    -1,    -1,
     331,    -1,    -1,  2435,    -1,    -1,  1373,  1374,  2440,    -1,
     341,  2443,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
     313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2465,  2320,   287,   329,   461,  2832,   332,
      -1,    -1,  1464,   374,    -1,    -1,   377,   378,    -1,  1078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5183,   316,    -1,    -1,    -1,    -1,    -1,
    1099,    -1,   403,    -1,  2506,    -1,    -1,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,    -1,
    2376,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2395,
      -1,    -1,    -1,  5233,   407,    -1,    -1,  2549,    -1,    -1,
      -1,  5241,    -1,    -1,  3969,    -1,    -1,    -1,  1610,    -1,
     461,    -1,    -1,  1615,  1616,    -1,    -1,  1166,  1167,    -1,
      -1,    -1,    -1,  2575,    -1,    -1,    -1,  2579,    -1,  2435,
      -1,    -1,    -1,  2439,  2440,   407,    -1,  2443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2598,    -1,    -1,  2767,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2609,    -1,  2465,
      -1,    -1,    -1,    -1,    -1,  2783,  2784,    -1,    -1,  2787,
    2622,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,  2631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,  1699,    -1,    -1,
    2506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2517,    -1,    -1,    -1,    -1,    -1,  2523,  2524,    -1,
    3034,    -1,    -1,  3037,    -1,  3039,    -1,    -1,    -1,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,  2548,  2549,    -1,  2863,  2552,    -1,    -1,  3579,
      -1,    -1,  3582,  3583,  3584,  3585,  3586,  3587,  3588,  3589,
    3590,  3591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2575,
      -1,  1773,    -1,  2579,    -1,    -1,    -1,    -1,    -1,  1781,
      -1,    -1,    -1,    -1,    -1,    -1,    85,  4152,  4153,    88,
      -1,    -1,  2598,    -1,    -1,  1737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2609,    -1,    -1,   105,    -1,    -1,    -1,
      -1,  3641,  3642,    -1,   113,    -1,  2622,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,  2631,  1301,    -1,  1377,    -1,
      -1,    -1,    -1,  1835,    -1,    -1,  1838,  1839,    -1,    -1,
      -1,    -1,    -1,  1392,   143,    -1,    -1,    -1,    -1,  1791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1823,    -1,    -1,    -1,    -1,  2838,  2693,    -1,    -1,
      -1,    -1,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1451,    -1,    -1,  1907,    -1,    -1,    -1,  2861,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1466,    -1,  1806,
     117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1479,    -1,    -1,  1482,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,  2754,    -1,
     249,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,  1901,
      -1,    -1,   113,    -1,    -1,   162,    -1,    -1,   119,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,  1920,    -1,
    1867,  1868,  1869,  1870,    -1,  2791,    -1,    -1,   287,  1464,
      -1,    -1,   143,    -1,    -1,    -1,  1938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   208,    -1,    -1,   313,    -1,    -1,   316,    -1,   216,
      -1,   218,  1909,  1910,  1966,    -1,    -1,    -1,  1915,    -1,
     329,    -1,  2838,   230,    -1,    -1,    -1,    -1,  3156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,  1607,    -1,
      -1,    -1,    -1,    -1,    -1,  3379,  1615,  1616,    -1,    -1,
    3384,  3385,    -1,  1960,    -1,    -1,    -1,  1626,  3392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2029,    -1,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,    -1,
    1987,  1988,  1989,  1990,    -1,    -1,    -1,    -1,   407,  3423,
      -1,  3229,    -1,  3231,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1679,  1680,  1681,    -1,    -1,  1610,   287,    -1,  2944,  3969,
      -1,    -1,    -1,    -1,  2950,    -1,    -1,    -1,    -1,    -1,
    1699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2047,    -1,   313,  4528,    -1,   316,    -1,    -1,    -1,  2056,
      -1,    -1,  4537,  3125,    -1,    -1,  2063,    -1,   329,    -1,
    1729,   332,    -1,    -1,    -1,    -1,    -1,  1736,    -1,  4554,
    4555,    -1,    -1,    -1,  1743,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,  3332,  3167,    -1,    -1,    -1,    -1,
    3338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3545,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,
      -1,    -1,  1737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3265,    -1,    -1,  1791,    -1,    -1,  3125,
      -1,  2263,  4152,  4153,    -1,  3277,    -1,    -1,    -1,    -1,
      -1,  1880,    -1,    -1,  3140,  3141,    -1,  2339,    -1,    -1,
      -1,    -1,    -1,    -1,  2231,    -1,    -1,    -1,  1823,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  3167,    -1,    -1,  3170,   516,    -1,  3485,    -1,    -1,
      -1,  3489,  3490,    -1,  3492,    -1,  3494,  3495,    -1,    -1,
      -1,    -1,    -1,    -1,    98,  3503,    -1,    -1,    -1,  2391,
      -1,    -1,    -1,  2395,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2411,
      -1,    -1,  1961,    -1,    -1,    -1,    -1,   131,    -1,    -1,
    3538,    -1,    -1,    -1,    -1,    -1,  1901,  4792,  3742,    -1,
     144,   145,  1981,    -1,    -1,  3241,  3242,  3243,    -1,   153,
      -1,    -1,    -1,   157,    -1,  1920,    -1,    -1,  1997,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3265,
     174,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2421,
    3286,   195,    -1,  2425,  2426,  2034,  2035,    -1,    -1,    -1,
      -1,  1966,   206,    -1,    -1,    -1,  2045,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2057,  2058,
      -1,    -1,   226,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2079,    95,    -1,  3847,    -1,    -1,    -1,   101,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,
    3502,    -1,    -1,    -1,  2029,    -1,  3870,    -1,    -1,    -1,
      -1,    -1,    -1,   277,    -1,    -1,    -1,  3519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,  2584,    -1,   298,  3391,    -1,  3539,    -1,  2531,
    2592,    -1,  2594,    -1,  2481,  2482,  2483,    -1,    -1,    -1,
    3406,    -1,  3408,  2490,    -1,  2492,    -1,  2494,  2495,    -1,
      -1,    -1,    -1,    -1,  3420,   329,  3422,    -1,    -1,    -1,
      -1,  3935,  3936,    -1,    -1,    -1,   190,    -1,    -1,    -1,
    3944,    -1,    -1,   197,  3948,    -1,   200,    -1,    -1,   836,
      -1,    -1,    -1,    -1,   358,  3959,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   854,    -1,    -1,
      -1,    -1,    -1,   860,    -1,    -1,  3472,    -1,    -1,    -1,
      -1,   385,    -1,    -1,   871,   389,    -1,   391,    -1,  2228,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,  3502,    -1,  4528,    -1,
      -1,    -1,   899,  2590,    -1,    -1,   903,    -1,    -1,    -1,
      -1,    -1,   426,  3519,   428,    -1,    -1,   914,   432,    -1,
      -1,    -1,    -1,    -1,  4554,  4555,   440,    -1,    -1,    -1,
    3536,   445,    85,  3539,  2676,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   940,    -1,    -1,    -1,   311,    -1,   313,
      -1,  2226,   105,    -1,    -1,    -1,   470,    -1,   955,   323,
     113,  2648,  4076,   960,    -1,    -1,   119,   331,    -1,  2656,
      -1,  2320,    -1,   970,  2661,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   984,    -1,    -1,
     143,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3614,  2751,
     374,    -1,   105,   377,   378,    -1,    -1,    -1,    -1,    -1,
     113,  1301,    -1,    -1,    -1,  2374,   119,  2376,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,    -1,    -1,    -1,    -1,  2395,    -1,    -1,    -1,
     143,  3803,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1076,
      -1,  1078,    -1,  1080,    -1,    -1,  2435,  2774,    -1,  2776,
    2439,  2440,   245,    -1,  2443,    -1,   249,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,  2850,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2465,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,
      -1,    -1,    -1,    -1,   287,    -1,    -1,  4251,    -1,  4057,
    3892,    -1,    -1,  3895,    -1,    -1,  2421,  4065,  4066,    -1,
    2425,  2426,   245,    -1,    -1,    -1,   249,  2506,    -1,    -1,
     313,    -1,  4792,   316,    -1,    -1,    -1,    -1,    -1,  1166,
    1167,    -1,    -1,    -1,  2523,  2524,   329,   270,   271,   332,
      -1,    -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,  4303,
      -1,    -1,    -1,    -1,   287,  2882,    -1,  3803,    -1,  2548,
    2549,    -1,    -1,  2552,    -1,    -1,    -1,    -1,    -1,  4323,
    4324,    -1,    -1,    -1,  4328,  4329,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,  2575,    -1,    -1,    -1,
    2579,    -1,    -1,    -1,    -1,  3841,   329,  3039,    -1,   332,
    3846,    -1,  3848,    -1,    -1,  1242,  1243,  3999,    -1,  2598,
      -1,    -1,    -1,    -1,   407,    -1,  2531,    -1,    -1,    -1,
    2609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2622,    -1,    -1,  4390,  3019,  3020,  3021,
      -1,    -1,  2631,    -1,    -1,    -1,  3892,    -1,    -1,  3895,
      -1,    -1,    -1,    -1,    -1,    -1,  4410,  4411,  4412,  4413,
    4414,    -1,    -1,    -1,  4418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3929,    -1,    -1,    -1,  4079,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2693,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,  4276,   512,
      -1,    -1,    -1,    -1,    -1,   518,    -1,    -1,    -1,    -1,
      -1,  3113,    -1,    -1,  3116,    -1,  3118,    -1,    -1,    -1,
    1377,  3123,    -1,    -1,    -1,    -1,  3992,  3993,    -1,  4307,
    4308,    -1,    -1,  3999,    -1,  1392,    -1,    -1,    -1,    -1,
      -1,  2676,    -1,    -1,    -1,  2754,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,  1415,    -1,
      -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,  3173,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1451,    -1,    -1,  1737,  4376,  4377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1466,
      -1,  3213,    -1,  4079,   141,    -1,  2751,    -1,    -1,    -1,
      -1,    -1,  1479,    -1,  4598,  1482,    -1,    -1,    -1,  2838,
      -1,    -1,  3179,    -1,  3181,  3182,  3183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1791,  2861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,  3274,   200,  3276,    -1,    -1,    -1,    -1,    -1,
    4654,    -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4320,    -1,
      -1,    -1,    -1,    -1,    -1,  2850,    -1,  3379,    -1,    -1,
    4332,    -1,    -1,  4501,    -1,  4503,  4504,   254,    -1,    -1,
    3392,  3333,    -1,    -1,    -1,  2944,    -1,  4515,    -1,    -1,
      -1,  2950,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
    1607,    -1,    -1,    -1,    -1,    -1,  3358,    -1,  1615,  1616,
      -1,  1901,   105,    -1,    -1,    -1,    -1,    -1,    -1,  1626,
     113,    -1,    -1,    -1,    -1,    -1,   119,  3379,    -1,    -1,
    1920,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,
    3392,    -1,    -1,    -1,    -1,    -1,   323,    -1,  1938,    -1,
     143,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1679,    -1,    -1,    -1,  1966,    -1,  4294,    -1,
    3039,  4297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1699,    -1,    -1,    -1,    -1,   374,    -1,    -1,
     377,   378,    -1,    -1,  4320,  3457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4332,    -1,    -1,    -1,
      -1,  3473,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,
      -1,  4347,    -1,  3545,  3486,    -1,  1743,    -1,    -1,  2029,
      -1,    -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,  4516,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4390,    -1,  1783,   270,   271,    -1,
      -1,  3140,  3141,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4409,   287,    -1,    -1,    -1,    -1,  3496,
      -1,    -1,  3499,    -1,    -1,    -1,  3558,    -1,  3167,    -1,
      -1,  3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,  3578,    -1,  3113,    -1,
      -1,  3116,    -1,  3118,    -1,    -1,   329,  4961,  3123,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3547,  3603,    -1,    -1,  4616,    -1,  4618,    -1,  4786,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1880,    -1,  1882,    -1,    -1,    -1,    -1,
      -1,    -1,  3241,  3242,  3243,    -1,    -1,  3639,  3173,    -1,
      -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4516,    -1,    -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,  4844,    85,  3277,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,  3286,  3213,    -1,
      -1,    -1,  3684,    -1,    -1,    -1,  2226,   105,   207,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     219,   119,    -1,    -1,  1961,   224,    -1,  4885,    -1,    -1,
     229,    -1,    -1,    -1,    -1,   234,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,  1981,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,
    1997,  3276,    -1,  3352,    -1,    -1,    -1,   266,    -1,    -1,
    4616,    -1,  4618,    -1,  3756,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,   288,
      -1,   514,    -1,    -1,    -1,    -1,    -1,  2034,  2035,    -1,
      -1,    -1,  3391,    -1,    -1,  3847,    -1,    -1,  2045,  4655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,  3333,  3408,
    2057,  2058,    -1,    -1,    -1,    -1,   325,    -1,  3870,  5183,
      -1,  3420,    -1,  3422,   333,    -1,    -1,    -1,    95,    -1,
      -1,    -1,  2079,  3358,   101,    -1,    -1,   245,    -1,    -1,
    4696,   249,  4698,    -1,    95,    -1,    -1,    -1,    -1,    -1,
     101,    -1,    -1,    -1,  3379,  3847,    -1,  3794,  3795,  3796,
    3797,    -1,   270,   271,    -1,    -1,    -1,  3392,    -1,  5233,
      -1,    -1,   381,  3472,   141,    -1,    -1,  5241,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,  2421,    -1,    -1,    -1,  2425,  2426,    -1,    -1,    -1,
      -1,    -1,    -1,  3502,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,
    3519,   329,    -1,   190,   332,    -1,    -1,    -1,    -1,    -1,
     197,    -1,  3457,   200,    -1,    -1,    -1,  3536,    -1,   190,
    3539,   450,    -1,    -1,    -1,    -1,   197,    -1,  3473,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3486,    -1,    -1,    -1,   474,    -1,   476,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2228,    -1,    -1,    -1,    85,    -1,   254,    88,    -1,
    5158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,  2531,   511,   254,  3996,   514,   515,  4863,   517,    -1,
      -1,    -1,    -1,   113,    -1,  3614,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,  4076,    -1,    -1,    -1,    -1,    -1,
    3967,    -1,    -1,  3558,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,  4034,   143,   311,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,  3578,    -1,    -1,   323,   105,    -1,    -1,
     311,    -1,   313,    -1,   331,   113,    -1,    -1,    -1,    -1,
      -1,   119,   323,    -1,   341,    -1,    -1,    -1,  3603,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,  5093,   500,   501,   502,   143,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   205,   514,   374,    -1,    -1,
     377,   378,    -1,    -1,  3639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   374,    -1,    -1,   377,   378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,  2676,    -1,  2395,   249,
      -1,    -1,   403,    -1,    -1,  4147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4158,    -1,    -1,    -1,
     270,   271,    -1,  5029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,  2435,    -1,
      -1,    -1,  2439,  2440,   461,    -1,  2443,   245,    -1,  4251,
      -1,   249,    -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,
     461,    -1,    -1,    -1,    -1,  4207,   316,    -1,  2465,    -1,
    4212,  2751,   270,   271,    -1,  4217,    -1,    -1,    -1,   329,
      -1,  3756,    -1,    -1,    -1,    -1,    -1,  5093,    -1,   287,
      -1,    -1,  3841,    -1,    -1,    -1,    -1,  3846,    -1,  3848,
      -1,  4303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2506,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
    2517,    -1,    -1,    -1,    -1,    -1,  2523,  2524,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,  4278,    -1,    -1,    -1,
      -1,    85,    -1,  3892,    88,    -1,  3895,    -1,    -1,    -1,
      -1,  2548,  2549,    -1,    -1,  2552,    -1,   407,    -1,    -1,
      -1,   105,    -1,    -1,  4306,    -1,    -1,    -1,    -1,   113,
    2850,    -1,  3847,    -1,    -1,   119,    -1,  5183,  2575,    -1,
    3929,    -1,  2579,  4325,    -1,    -1,    -1,    -1,  4390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,  2598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,  2609,    -1,    -1,    -1,  4418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2622,    -1,  5233,    -1,    -1,
      -1,    -1,    -1,  4375,  2631,  5241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3992,  3993,    -1,    -1,    -1,    -1,    -1,
    3999,    -1,    -1,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4370,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,
      -1,   245,   500,   501,   502,   249,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,   514,    -1,    -1,    -1,
      -1,  3996,    -1,    -1,   132,    -1,   270,   271,    -1,    -1,
    4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,  4494,    -1,    -1,    -1,    -1,  2754,    -1,  4034,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,   184,    -1,    -1,    -1,
      -1,    -1,    -1,  4470,   192,   329,    -1,    -1,   332,    -1,
    4532,    -1,    -1,    -1,  2791,    -1,    -1,    -1,    -1,   207,
      -1,   209,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,  3113,    88,    -1,  3116,    -1,  3118,    -1,
      -1,  2838,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,   407,  2861,   119,    -1,    -1,    -1,    -1,
      -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4158,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3213,    -1,    -1,    -1,  4624,  4625,  4626,
      -1,   105,    -1,    -1,    -1,  4294,    -1,  2944,  4297,   113,
      -1,   205,    -1,  2950,    -1,   119,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
     514,  4320,    -1,    -1,    -1,    -1,    -1,    85,    -1,   143,
      88,    -1,    -1,  4332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,  3274,   249,  3276,    -1,  4347,    -1,
      -1,    -1,    -1,  4278,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4770,    -1,
      -1,  4306,    -1,   287,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  4390,  3039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4325,  4793,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
    4409,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,  3358,    -1,
    4767,   245,    -1,    -1,    -1,   249,    -1,  4829,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,  3379,
    4375,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,  4869,  3125,    -1,
      -1,  4873,  4874,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,   249,    -1,  3140,  3141,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,   407,    -1,    -1,    -1,    -1,    -1,  4961,
      -1,    -1,   270,   271,  4851,   329,    -1,  4516,   332,    -1,
    3167,    -1,    -1,  3170,    -1,    -1,    -1,  3457,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3473,  4881,    -1,  4883,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3486,    -1,   316,    -1,
      -1,    -1,  4954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,   636,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,  3241,  3242,  3243,    -1,    -1,    -1,
     504,   505,   506,   507,   508,   509,    -1,  4532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,  3265,  4618,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3558,    -1,
    3277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,   407,
      -1,    -1,    -1,    -1,    -1,    -1,  4655,    -1,  4995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,  4696,    -1,  4698,
     514,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,  3639,
      -1,    -1,    -1,  5050,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4654,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3391,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,
      -1,  3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3420,    -1,  3422,    -1,  5114,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   844,   845,   846,   847,
      -1,   849,    -1,   851,    -1,   853,    -1,   855,    -1,    -1,
     858,    -1,    -1,    -1,    -1,   863,    -1,    -1,   866,    -1,
      -1,    -1,   870,    -1,   872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   880,    -1,    -1,  3472,  3756,   885,    -1,   887,
    5167,    -1,   890,    -1,   892,    -1,   894,    -1,    -1,    -1,
      -1,    -1,    -1,   901,    -1,  4770,   904,    -1,    -1,    -1,
      -1,    -1,   855,   911,    -1,  3502,    -1,    -1,    -1,    -1,
     863,    -1,    -1,    -1,  4863,    -1,    -1,    -1,  4793,   872,
      -1,    -1,  3519,    -1,    -1,    85,    -1,   880,    88,    -1,
      -1,    -1,   885,    -1,    -1,    -1,   944,    -1,    -1,  3536,
      -1,   949,  3539,    -1,    -1,   105,   954,    -1,    -1,    -1,
     958,    -1,    -1,   113,  4829,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,   973,    -1,  3847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  4869,    -1,    -1,    -1,  4873,  4874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,  3614,    -1,    -1,
    1028,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1041,  1042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1070,    -1,    -1,    -1,  1074,  1075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5029,    -1,    -1,    -1,    -1,   245,  1094,    -1,  1041,   249,
    1098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,    -1,
     270,   271,    -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,
    1128,    -1,  1075,    -1,    -1,    -1,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1094,    -1,    -1,  5093,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,   313,  4034,    -1,   316,    -1,    -1,    -1,
      -1,    -1,    -1,  1116,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,   332,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1210,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
    1218,    -1,  1220,  1221,    -1,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   329,    -1,  5183,   332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3841,    -1,    -1,   407,    -1,  3846,
      -1,  3848,    -1,    -1,    -1,    85,    -1,    -1,    88,  1267,
      -1,    -1,    -1,    -1,    -1,  1218,    -1,  4147,    -1,    -1,
    1278,    -1,    -1,    -1,  1282,   105,    -1,    -1,  4158,    -1,
      -1,    -1,    -1,   113,  5233,    -1,    -1,  1295,    -1,   119,
      -1,    -1,  5241,    -1,    -1,  3892,    -1,    -1,  3895,    -1,
      -1,    -1,  1310,    -1,    -1,    -1,    -1,    -1,  1316,  1317,
     407,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1332,  1333,  1334,    -1,  1336,    -1,
    1338,    -1,  3929,    -1,  1342,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,   514,    -1,    -1,  1310,    -1,    -1,
      -1,    -1,    -1,  1371,    -1,  1373,  1374,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1332,
    1333,  1334,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,  3992,  3993,    -1,  4278,  1407,
      -1,    -1,  3999,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,   245,    -1,   514,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,  1445,  1446,    -1,
     270,   271,  1450,    -1,  1452,  4325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1475,    -1,    -1,
    1478,    -1,    -1,  1481,    -1,    -1,    -1,    -1,    -1,    -1,
     190,    -1,  4079,   313,    -1,  1493,   316,   197,    -1,    -1,
     200,    -1,    -1,    -1,    -1,  4375,    -1,  1450,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1550,  1551,   254,  1553,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1572,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,   407,    -1,    -1,
     160,   119,    -1,    -1,    -1,  1593,  1594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,   313,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,  1622,    -1,    -1,  1625,    -1,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,    -1,    -1,    -1,   224,    -1,  1654,    -1,    -1,   229,
    1658,  1659,  4532,    -1,   234,    -1,    -1,   237,    -1,   239,
      -1,  1669,  1670,  1671,   374,    -1,    -1,   377,   378,  1622,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,   514,    -1,   266,    -1,    -1,  1697,
      -1,    -1,    -1,   403,    -1,    -1,    -1,  4294,    -1,    -1,
    4297,    -1,    -1,    -1,    -1,    -1,    -1,   245,   288,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,  1670,    -1,    -1,
      -1,    -1,    -1,  4320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,  4332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,   287,
    4347,   461,    -1,   333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4654,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1796,  1797,
      -1,   329,    -1,  4390,   332,  1803,    -1,    -1,  1806,    -1,
      -1,   381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,  1831,    -1,    -1,  1834,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1796,    -1,    -1,   426,    -1,    -1,    -1,
    1803,  1859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1867,
    1868,  1869,  1870,  1871,    -1,    -1,    -1,    -1,    -1,   407,
     450,    -1,    -1,    -1,    -1,    -1,    -1,  1885,  1831,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1897,
    4770,  1899,    -1,    -1,   474,    -1,   476,   477,    -1,    -1,
      -1,  1909,  1910,    -1,    -1,    -1,    -1,  1915,    -1,    -1,
      -1,    -1,    -1,  4793,    -1,    -1,    -1,    -1,  1871,  4516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   511,  1885,    -1,   514,   515,    -1,   517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,  4829,
      -1,    -1,  1960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,   514,    -1,    -1,  1987,
    1988,  1989,  1990,    -1,    -1,    -1,    -1,    -1,    -1,  4869,
      -1,  1999,    -1,  4873,  4874,    -1,    -1,  2005,    -1,    -1,
    2008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2023,    -1,    -1,    -1,  4616,
      -1,  4618,  2030,    -1,  2032,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2042,    -1,    -1,    -1,    -1,  2047,
      -1,    -1,    -1,    -1,    -1,    -1,  1999,    -1,  2056,    -1,
      -1,    -1,  2005,    -1,  2062,  2063,    -1,    -1,  4655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2076,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  4696,
      -1,  4698,  2110,    -1,    -1,    -1,    -1,    -1,    -1,  2117,
      -1,  2119,    -1,   105,    -1,  2123,  2124,    -1,  2126,    -1,
      -1,   113,    -1,  2076,  2132,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,
      -1,  2149,  2150,    -1,    -1,  2153,    -1,    -1,    -1,  2157,
    2158,   143,    -1,    -1,    -1,    -1,    -1,  2165,    -1,    -1,
    2168,    -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
    2123,  2124,  2180,  2181,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,    -1,  2190,  2191,  2192,  2193,  2194,    -1,    -1,  2142,
      -1,    -1,    -1,  2201,  2202,    -1,  2204,    -1,  2206,  2207,
      -1,    -1,  2210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,
      -1,    -1,    -1,  2231,  2232,    -1,    -1,    -1,  2236,    -1,
      -1,    -1,  2240,    -1,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,    -1,  2252,    -1,    -1,    -1,    -1,    -1,
      -1,  2259,    -1,   245,  2262,  2263,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2284,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1301,    -1,    -1,  2259,    -1,    -1,    -1,
      -1,    -1,    -1,  2321,    -1,  2323,    -1,  2325,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,  2284,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2360,    -1,    -1,    -1,    -1,    -1,  2366,    -1,
    2368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2321,    -1,
    2323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,  2360,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   407,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  5029,    88,    -1,    -1,  2444,    -1,    -1,    -1,
      -1,  2449,    -1,  2451,   143,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
    2468,    -1,    -1,    -1,   119,    -1,  1464,    -1,    -1,    -1,
      -1,  2479,    -1,  2481,  2482,  2483,    -1,    -1,  2486,    -1,
    2488,    -1,  2490,    -1,  2492,    -1,  2494,  2495,   143,    -1,
    2498,    -1,    -1,    -1,    -1,    -1,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,  2527,
      -1,    -1,   514,    -1,    -1,    -1,  2534,    -1,    -1,    -1,
      -1,  2539,    -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,    -1,    -1,  2562,    -1,    -1,    -1,  2566,  2567,
      -1,    -1,    -1,    -1,    -1,  2573,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2590,    -1,    -1,    -1,  5183,  2595,   287,    -1,
     245,    -1,  2545,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2562,
    2618,    -1,  2620,  2621,   313,   270,   271,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,    -1,   287,   332,    -1,    -1,  5233,    -1,    -1,    -1,
    2648,    -1,    -1,    -1,  5241,    -1,    -1,    -1,  2656,    -1,
      -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,  2674,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2698,    -1,    -1,  2701,    -1,  2703,    -1,  2705,    -1,    -1,
    2708,    -1,    -1,    -1,    85,    -1,    -1,    88,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,  2734,    -1,    -1,    -1,
      -1,    -1,   113,    -1,  2742,  2743,    -1,    -1,   119,  1737,
      -1,    -1,  1070,    -1,    -1,    -1,    -1,  2755,    -1,    -1,
    2703,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,  2772,    -1,  2774,  2775,  2776,  2777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2799,    -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,  2820,    -1,    85,   514,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1823,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,   500,   501,   502,   119,   504,
     505,   506,   507,   508,   509,    -1,    -1,  2865,    -1,   514,
      -1,    -1,    -1,  2871,   245,    -1,    -1,    -1,   249,    -1,
      -1,    -1,   143,    -1,  2882,    -1,    -1,    -1,    -1,    -1,
    2888,  2889,    -1,    -1,    -1,    -1,  2894,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1901,    -1,    -1,   287,    -1,    -1,    -1,
      -1,  2919,  2920,    -1,    -1,    -1,  2924,    -1,    -1,    -1,
      -1,    -1,  1920,    -1,    -1,    -1,    -1,    -1,  2936,  2937,
    2938,  2939,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
    1938,  2949,    -1,    -1,  2952,    -1,  2954,  2955,   329,    -1,
      -1,   332,    -1,    -1,    -1,    -1,  2964,  2965,    -1,    -1,
    2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1966,    -1,
      -1,    -1,    -1,  2981,   245,  2983,    -1,  2985,   249,  2987,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3006,   270,
     271,    -1,  3010,    -1,    -1,    -1,    -1,    -1,  3016,    -1,
      -1,  3019,  3020,  3021,    98,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,
      -1,  2029,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,  3056,    -1,
      -1,    -1,    -1,  3061,    -1,    -1,    -1,  3010,   329,  3067,
     144,   332,    -1,    -1,    -1,    -1,    -1,  3075,    -1,    -1,
    3078,    -1,    -1,   157,  3082,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,   206,   504,   505,   506,   507,   508,   509,    -1,
     214,    -1,    -1,   514,    -1,    -1,   407,    -1,  3146,    -1,
    3148,    -1,   226,    -1,    -1,  3153,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1493,    95,    -1,   252,    -1,
      -1,  3179,   101,  3181,  3182,  3183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,  1522,    -1,    -1,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1550,  1551,    -1,  1553,    -1,    -1,  2226,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,   512,    -1,   172,  1572,   329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,
      -1,   385,    -1,    -1,    -1,   389,    -1,   391,    -1,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,   254,  1654,    -1,    -1,    -1,
    1658,  1659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,   428,    -1,    -1,    -1,   432,    -1,
      -1,    -1,    -1,    -1,  3362,  3363,   440,    -1,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,   301,   457,    -1,    -1,    -1,  3385,    -1,    -1,
      -1,    -1,   311,    -1,   313,    -1,   470,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   331,    -1,  3412,  3413,    -1,    -1,    -1,    -1,
      -1,   340,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3428,    -1,    -1,  2421,    -1,    -1,    -1,  2425,  2426,    -1,
      -1,    -1,    -1,  3441,  3442,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3450,  3451,  3452,   374,    -1,    -1,   377,   378,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3466,  3412,
    3413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3481,   403,  3428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,  3496,  3442,
      -1,  3499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3516,    -1,
      -1,    -1,    -1,  3466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,
      -1,    -1,   461,  2531,    -1,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,
      -1,    -1,    -1,  3571,    -1,  3573,    -1,    -1,    -1,    -1,
      -1,  3579,    -1,    -1,  3582,  3583,  3584,  3585,  3586,  3587,
    3588,  3589,  3590,  3591,  3537,    -1,   117,  3595,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3608,    -1,    -1,    -1,  3612,    -1,    -1,    -1,  3616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3626,    -1,
      -1,  3629,    -1,  3631,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,  3640,  3641,  3642,    -1,    -1,    -1,  3646,    -1,
      85,  3649,    -1,    88,    -1,  3653,    -1,    -1,    -1,    -1,
      -1,    -1,  3660,  3661,  3662,  3663,    -1,  3665,  3666,    -1,
     105,    -1,  3670,  3671,    -1,    -1,    -1,    -1,   113,  3677,
      -1,    -1,    -1,    -1,   119,  3683,  3684,   208,  2676,    -1,
      -1,    -1,    -1,    -1,    -1,   216,    -1,   218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3660,  3661,  3662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3728,    -1,    -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,
    3738,    -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3772,  3773,  3774,    -1,  3776,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,   224,
      -1,    -1,    -1,    -1,   229,    -1,  3794,  3795,  3796,  3797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3831,   207,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   219,  2165,    -1,    -1,
      -1,   224,   287,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,   234,  2850,    -1,   237,    -1,   239,    -1,    -1,    -1,
    2188,    -1,    -1,  2191,    -1,    -1,  2194,    -1,   313,    -1,
      -1,   316,  3880,  2201,  2202,    -1,    -1,    -1,    -1,  2207,
      -1,    -1,  2210,   266,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,
      -1,  3909,    -1,    -1,  2232,   288,    -1,    -1,  2236,    -1,
      85,    -1,  2240,    88,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,    -1,  2252,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,  2262,  2263,    -1,    -1,   113,    -1,
    3948,    -1,   325,    -1,   119,    -1,    -1,    -1,  3956,    -1,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3967,
      -1,  3969,   407,    -1,    -1,    -1,    -1,  3975,   143,    -1,
      -1,    -1,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4002,    -1,    -1,  2325,   381,    -1,
      -1,    -1,    -1,  3956,  4012,    -1,    -1,    -1,    -1,    -1,
      -1,  4019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3975,    -1,    -1,    -1,    -1,  4035,  4036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,  4002,
      -1,    -1,  4060,    -1,  4062,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,   450,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4097,
      -1,   474,    -1,   476,   477,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,    -1,    -1,  3113,    -1,    -1,  3116,    -1,
    3118,    -1,    -1,    -1,    -1,  3123,  4134,    -1,   511,    -1,
      -1,   514,   515,    -1,   517,    -1,  4144,  4145,   313,    -1,
    2468,   316,    -1,    -1,  4152,  4153,    -1,    -1,    -1,  4157,
      -1,    -1,    -1,    -1,   329,  4163,  4164,   332,    -1,  4167,
      -1,    -1,  4170,  4171,    -1,    -1,  4174,  4175,  4176,  4177,
      -1,    -1,    -1,  4181,  4182,  3173,  4184,   352,    -1,  4187,
      -1,    -1,    -1,  4191,    -1,    -1,    -1,  4195,    -1,    -1,
      -1,    -1,    -1,  4201,    -1,    -1,    -1,    -1,    -1,  4207,
      -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,    -1,  4217,
      -1,    -1,    -1,    85,    -1,  3213,    88,    -1,  4226,    -1,
      -1,  4174,  4175,  4176,  4177,    -1,  4234,    -1,    -1,    -1,
    4238,    -1,   407,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,   421,   119,    -1,  4257,
      -1,    -1,  4260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,   143,  4280,  4281,    -1,    -1,  3274,    -1,  3276,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,
      -1,    -1,    -1,   113,    -1,    -1,  4304,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,   836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   853,   143,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,  3333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2674,    -1,  4356,    -1,
      -1,   223,    -1,    -1,    -1,    -1,   887,    -1,    -1,    -1,
    3358,    -1,  4370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,   249,    -1,    -1,
      -1,  3379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,   270,   271,
      -1,    -1,  4410,  4411,  4412,  4413,  4414,    -1,    -1,    -1,
      -1,    -1,    -1,   944,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   954,    -1,   245,  4434,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4445,    -1,    -1,
      -1,   313,  4450,    -1,   316,    -1,    -1,    -1,    -1,  4457,
     270,   271,    -1,    -1,    -1,    -1,    -1,   329,    -1,  3457,
     332,    -1,  4470,  4471,    -1,    -1,    -1,   287,    -1,    -1,
      -1,  2799,    -1,    -1,    -1,  3473,    -1,    -1,   350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3486,  4497,
      -1,  4499,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,  1070,
      -1,    -1,    -1,    -1,  4497,  1076,  4554,  4555,    -1,  1080,
    4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3558,  2889,    -1,  4571,  4572,    -1,  2894,    -1,  4576,    -1,
      -1,    -1,    -1,  4581,    -1,  1106,  4584,  4585,    -1,  4587,
    3578,  4589,  4590,    -1,    -1,    -1,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3603,    -1,    -1,  2936,    -1,
    2938,  2939,    -1,    -1,  4622,  4623,  4624,  4625,  4626,    -1,
      -1,  2949,    -1,    -1,  2952,    -1,  2954,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,  3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,  2981,    -1,  2983,  4664,  4665,    -1,  2987,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
     500,   501,   502,   119,   504,   505,   506,   507,   508,   509,
      -1,  3019,  3020,  3021,    -1,    -1,    -1,    -1,  4706,  4707,
      -1,    -1,    -1,  4711,    -1,    -1,    -1,   143,    -1,    -1,
      -1,  1242,  1243,  4721,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,  3056,    -1,
      -1,  4739,    -1,  3061,    -1,  4743,  1267,    -1,    -1,  3067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1278,  4756,    -1,
      -1,  4759,    -1,    -1,    -1,    -1,    -1,    -1,  3756,  4767,
    4768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4721,    -1,
    1301,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,  4792,    -1,    -1,  4795,    -1,  4797,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,  4759,  1338,   119,   245,
      -1,    -1,  4820,   249,    -1,    -1,  4824,    -1,  3146,  4827,
      -1,    -1,    -1,    -1,    -1,  4833,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4851,    -1,    -1,    -1,  4855,    -1,  3847,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4880,  4881,  4882,  4883,  1407,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,  4895,    -1,    -1,
      -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,  4855,    -1,    -1,    -1,    -1,  4915,    -1,    -1,
      -1,   347,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,  4934,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,   245,    -1,    -1,   105,   249,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,  1493,    -1,  4972,    -1,    -1,  4975,    -1,    -1,
      -1,   407,    -1,    -1,    -1,   143,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4995,    -1,  4997,
      -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,  3996,  5007,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,  1550,
    1551,   332,  1553,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,  4034,    -1,    -1,    -1,
      -1,  1572,  5050,    -1,    -1,    -1,    -1,  5055,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   113,    -1,  5066,    -1,
      -1,   229,   119,    -1,   500,   501,   502,  5075,   504,   505,
     506,   507,   508,   509,  5082,  5083,    -1,   245,    -1,  5087,
      -1,   249,    -1,  5091,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1625,  1626,   407,  5105,    85,    -1,
      -1,    88,   270,   271,    -1,    -1,  5114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   287,
      -1,    -1,    -1,  1654,    -1,    -1,   113,  1658,  1659,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,  5146,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,  4147,
      -1,    -1,  5160,    -1,    -1,    -1,   143,    -1,    -1,  5167,
    4158,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,   500,
     501,   502,   249,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1737,    -1,    -1,    -1,
      -1,    -1,  1743,   270,   271,    -1,    -1,    -1,    -1,  1750,
    5228,    -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,  5237,
     287,    -1,    -1,    -1,    -1,    -1,    -1,  3565,    -1,   407,
      -1,    -1,    -1,  3571,    -1,  3573,    -1,    -1,    -1,    -1,
      -1,    -1,  1783,    -1,  1301,    -1,   313,    -1,   245,   316,
    1791,    -1,   249,    -1,    -1,    -1,    -1,  3595,  3596,    -1,
      -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,
    4278,    -1,    -1,   270,   271,    -1,    -1,    -1,  3616,    -1,
      -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,  3626,    -1,
     287,  3629,    -1,  3631,    -1,    -1,    -1,    -1,  4306,    -1,
      -1,    -1,  3640,    -1,    -1,    -1,    -1,    -1,  3646,    -1,
      -1,  3649,    -1,    -1,    -1,    -1,   313,  4325,    -1,   316,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   329,    -1,    -1,   332,    -1,    -1,    -1,  3677,
     407,  1882,    -1,    -1,    -1,  3683,  3684,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    1901,    -1,    -1,    -1,    -1,    -1,    -1,  4375,    -1,    -1,
      -1,    85,    -1,   105,    88,    -1,   108,    -1,    -1,  1920,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
    3728,   105,    -1,    -1,    -1,    -1,  3734,  1938,    -1,   113,
      -1,    -1,  3740,    -1,    -1,   119,    -1,  1464,    -1,    -1,
     407,   143,  1301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1961,    -1,    -1,    -1,    -1,  1966,    -1,    -1,    -1,   143,
      -1,    -1,    -1,   500,   501,   502,   433,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2023,    -1,    -1,    -1,    -1,    -1,  2029,    -1,
      -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   245,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,  4532,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,   249,    -1,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,  1464,    -1,    -1,  2119,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,   313,
     332,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,  2157,  2158,   332,    -1,
      -1,    -1,    -1,    -1,  2165,    -1,    -1,  2168,    -1,    -1,
      -1,  2172,    -1,    -1,    -1,    -1,    -1,  1464,    -1,  2180,
    2181,    -1,    -1,    -1,    -1,    -1,  4654,  2188,    -1,    -1,
    2191,  2192,  2193,  2194,    -1,    -1,    -1,    -1,    -1,    -1,
    2201,  2202,    -1,  2204,    -1,  2206,  2207,    -1,    -1,  2210,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,
    1737,    -1,    -1,    -1,    -1,  2226,  2227,  2228,    -1,    -1,
      -1,  2232,    -1,   407,    -1,  2236,    -1,  4035,  4036,  2240,
      -1,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
      -1,  2252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,  2263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4097,
      -1,    -1,  4770,    -1,    -1,    -1,  1823,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,  2325,  4793,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4144,  4145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4157,
      -1,  4829,    -1,    -1,    -1,  4163,  4164,    -1,    -1,  4167,
      -1,    -1,  4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,  1737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4869,    -1,  1920,    -1,  4873,  4874,    -1,    -1,  4207,
      -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,    -1,  4217,
    2421,  1938,    -1,    -1,  2425,  2426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,
      -1,    -1,  1791,    -1,    -1,    -1,    -1,    98,    -1,  1966,
    1737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,  4260,    -1,    -1,    98,    -1,  2468,    -1,    -1,
      -1,    -1,    -1,    -1,  1823,    -1,    -1,   110,  2479,    -1,
     131,    -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,   153,    -1,  1791,    -1,   157,    -1,    -1,    -1,
      -1,   144,  2029,    -1,    -1,    -1,  2517,    -1,    -1,    -1,
      -1,    -1,    -1,   174,   157,    -1,    -1,    -1,    -1,   180,
    2531,    -1,    -1,    -1,    -1,    -1,  1823,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   195,    -1,    -1,  2548,    -1,  1301,
      -1,  2552,  1901,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1920,    -1,   206,    -1,   226,    -1,    -1,    -1,    -1,
      -1,   214,   233,    -1,    -1,    -1,   237,    -1,    -1,  1938,
      -1,    -1,    -1,   226,    -1,    -1,    -1,    -1,   231,    -1,
      -1,   252,    -1,    -1,   237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1901,    -1,    -1,  1966,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1920,    -1,    -1,  4434,    -1,    -1,    -1,
     291,    -1,    -1,    -1,    -1,    -1,    -1,   298,    -1,    -1,
      -1,  1938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2674,    -1,  2676,    -1,    -1,   329,  1966,
    2029,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2693,    -1,    -1,    -1,   329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   340,    -1,  2226,
      -1,    -1,  1464,    -1,    -1,    -1,   367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
     391,    -1,  2029,    -1,    -1,    -1,   397,    -1,    -1,   400,
    2751,    -1,   385,    -1,    -1,    -1,   389,    -1,   391,    -1,
    4558,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    -1,   428,   429,    -1,
     431,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,  4590,   426,   445,   428,    -1,    -1,  2799,   432,
     451,    -1,    -1,   454,    -1,    -1,   457,   440,    -1,    -1,
      -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,   470,
      -1,    -1,    95,    -1,   457,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2850,
      -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,   141,    -1,
    2871,    -1,    -1,    -1,    -1,    -1,    -1,  2226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,  2889,    -1,
      -1,    -1,    -1,  2894,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,  2425,  2426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,  2919,  2920,
      -1,    -1,    -1,  2924,   197,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2936,  2937,  2938,  2939,  2226,
      -1,    -1,    -1,  2944,    -1,    -1,    -1,    -1,  2949,  2950,
      -1,  2952,    -1,  2954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2964,  2965,    -1,    -1,  2968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
    2981,   254,  2983,    -1,    -1,  1737,  2987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4795,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2531,  3016,    -1,    -1,  3019,  3020,
    3021,    -1,  4820,    -1,    -1,    -1,   299,    -1,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,  1791,
     313,    -1,  3043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,  3056,    -1,    -1,   331,    -1,
    3061,    -1,    -1,    -1,    -1,    -1,  3067,   340,   341,    -1,
      -1,  1823,  2421,    -1,  3075,   208,  2425,  2426,    -1,    -1,
      -1,    -1,    -1,   216,    -1,   218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   374,    -1,    -1,   377,   378,   379,    -1,    -1,    -1,
      -1,    -1,  3113,    -1,    -1,  3116,    -1,  3118,    -1,    -1,
      -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,  2421,    -1,  4934,    -1,  2425,  2426,
      -1,   414,    -1,    -1,    -1,  3146,    -1,    -1,    -1,  1901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2676,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1920,    -1,
      -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2531,    -1,    -1,    -1,  1938,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5007,
      -1,    -1,  3213,    -1,  1966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,    -1,    -1,
    3241,  3242,  3243,    -1,  2531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3274,    -1,  3276,    -1,  2029,    -1,    -1,
      -1,    -1,    -1,    -1,  5082,  5083,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,
      -1,    -1,  3333,  2850,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,
      -1,    -1,  5160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2676,
    3391,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3473,    -1,  2226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3555,    -1,    -1,  3558,    -1,    -1,
      -1,    -1,    -1,  2850,  3565,    -1,    -1,    -1,    -1,    -1,
    3571,    -1,  3573,    -1,    -1,    -1,    -1,  3578,  3579,    -1,
      -1,  3582,  3583,  3584,  3585,  3586,  3587,  3588,  3589,  3590,
    3591,    -1,    -1,    -1,  3595,  3596,  3113,    -1,    -1,  3116,
      -1,  3118,  3603,    -1,    -1,    -1,  3123,  3608,    -1,    -1,
      -1,  3612,    -1,  3614,    -1,  3616,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3626,    -1,    -1,  3629,    -1,
    3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,  3640,
    3641,  3642,    -1,    -1,    -1,  3646,    -1,    -1,  3649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,
      -1,    -1,  3663,    -1,  3665,    -1,    -1,    -1,    -1,  2421,
      -1,    -1,    -1,  2425,  2426,    -1,  3677,    -1,    -1,    -1,
      -1,    -1,  3683,  3684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     853,    -1,    -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,
      -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   887,  3756,    -1,  3274,    -1,  3276,
      -1,    -1,    -1,    -1,  3113,    -1,    -1,  3116,    -1,  3118,
      -1,  3772,    -1,    -1,  3123,    -1,    -1,    -1,    -1,  2531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   944,    -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,
      -1,   954,    -1,    -1,  3173,    -1,  3113,    -1,    -1,  3116,
      -1,  3118,    -1,    -1,    -1,    -1,  3123,    -1,    -1,    -1,
    3841,  3358,    -1,    -1,    -1,  3846,  3847,  3848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3379,    -1,  3213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2676,  3274,  3213,  3276,  3929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1070,    -1,    -1,
    3457,    -1,    -1,  1076,    -1,    -1,    -1,  1080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,  3486,
      -1,    -1,    -1,  1106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3333,    -1,    -1,  3274,    -1,  3276,
      -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,  2751,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3379,    -1,    -1,  4034,  4035,  4036,    -1,    -1,    -1,    -1,
      -1,  3558,    -1,  3392,    -1,    -1,  3333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,
      -1,    -1,  3379,    -1,    -1,    -1,  4097,    -1,  2850,    -1,
      -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,  3457,  1242,
    1243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3639,    -1,  3473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4134,  1267,    -1,    -1,  3486,    -1,    -1,
      -1,    -1,    -1,  4144,  4145,  1278,  4147,    -1,    -1,    -1,
      -1,  4152,  4153,    -1,    -1,    -1,  4157,  4158,    -1,    -1,
      -1,    -1,  4163,  4164,    -1,    -1,  4167,    -1,  1301,  4170,
    3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3473,    -1,    -1,    -1,
    4191,    -1,    -1,    -1,  4195,    -1,    -1,    -1,    -1,  3486,
      -1,    -1,    -1,    -1,    -1,  1338,  4207,    -1,    -1,  3558,
      -1,  4212,    -1,    -1,    -1,    -1,  4217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,  4260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3558,    -1,    -1,  1407,    -1,    -1,  4278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3639,  3578,    -1,    -1,    -1,    -1,  4297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,    -1,    -1,
    3847,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1493,  3113,    -1,    -1,  3116,    -1,  3118,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,  4375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1550,  1551,    -1,
    1553,  3173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4434,    -1,    -1,    -1,    -1,    -1,  1572,
      -1,    -1,    -1,    -1,  4445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3996,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1625,  4494,    -1,    -1,    -1,    -1,  3847,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4034,    -1,    -1,
      -1,  1654,  3274,    -1,  3276,  1658,  1659,  4528,    -1,    -1,
      -1,  4532,    -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4554,  4555,    -1,    -1,  4558,    -1,    -1,
    3847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4571,    -1,    -1,    -1,    -1,  4576,    -1,    -1,    -1,    -1,
    4581,  3333,    -1,  4584,    -1,    -1,    -1,    -1,  4589,  4590,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1737,    -1,  3358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1750,    -1,    -1,
      -1,  4622,    -1,    -1,    -1,    -1,    -1,  3379,    -1,    -1,
    4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3392,  4158,    -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,
    1783,    -1,    -1,  4654,    -1,    -1,    -1,    -1,  1791,    -1,
      -1,    -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4034,    -1,    -1,    -1,    -1,
    1823,    -1,    -1,    -1,    -1,  4696,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3457,    -1,    -1,    -1,  3996,
    4711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4034,    -1,  1882,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4278,    -1,    -1,    -1,    -1,    -1,  4768,  1901,  4770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1920,    -1,  4306,
      -1,  4792,  4793,    -1,  4795,    -1,  4797,    -1,  4147,    -1,
      -1,    -1,    -1,    -1,    -1,  1938,  3558,    -1,  4325,  4158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4820,
      -1,    -1,    -1,  4824,    -1,    -1,  3578,    -1,  4829,    -1,
      -1,    -1,    -1,  1966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3603,    -1,    -1,    -1,    -1,    -1,    -1,  4375,    -1,
    4147,    -1,  4863,    -1,    -1,    -1,    -1,    -1,  4869,    -1,
      -1,  4158,  4873,  4874,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,    -1,    -1,
    2023,    -1,    -1,    -1,    -1,    -1,  2029,    -1,    -1,  2032,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4915,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4278,
      -1,    -1,    -1,  4934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4954,    -1,    -1,    -1,  4306,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4972,    -1,    -1,  4975,    -1,  4325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,
      -1,  4278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3756,    -1,  5007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4532,    -1,    -1,    -1,  4306,
      -1,    -1,    -1,    -1,  2157,  2158,  4375,    -1,    -1,    -1,
      -1,    -1,  2165,    -1,    -1,  2168,    -1,    -1,  4325,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2180,  2181,    -1,
      -1,    -1,    -1,    -1,  5055,  2188,    -1,    -1,  2191,  2192,
    2193,  2194,    -1,    -1,    -1,  5066,    -1,    -1,  2201,  2202,
      -1,  2204,    -1,  2206,  2207,    -1,    -1,  2210,    -1,    -1,
      -1,  5082,  5083,    -1,    -1,    -1,    -1,    -1,  4375,    -1,
      -1,    -1,    -1,  2226,  2227,  3847,    -1,    -1,    -1,  2232,
      -1,    -1,    -1,  2236,  5105,    -1,    -1,  2240,    -1,  2242,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,    -1,  2252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2262,
    2263,    -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5183,  4532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,    -1,
      -1,    -1,  5233,    -1,    -1,    -1,  5237,    -1,    -1,    -1,
    5241,    -1,    -1,    -1,  3996,  4532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,
      -1,    -1,  4034,    -1,    -1,    -1,    -1,    -1,  2421,    -1,
      -1,    -1,  2425,  2426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,
      -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2479,    -1,    -1,    -1,
      -1,    -1,  4869,  2486,    -1,    -1,  4873,  4874,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4147,    -1,    -1,  2531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4158,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,  4770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4869,    -1,    -1,    -1,  4873,  4874,  4278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2674,  4829,  2676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4869,    -1,    -1,    -1,  4873,  4874,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,  2751,    -1,
      -1,    -1,    -1,  4375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2799,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,  2871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,  2889,    -1,    -1,    -1,
      -1,  2894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4532,    -1,    -1,    -1,    -1,    -1,  2919,  2920,    -1,    -1,
      -1,  2924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2936,  2937,  2938,  2939,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2949,    -1,    -1,  2952,
      -1,  2954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2964,  2965,    -1,    -1,  2968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2981,    -1,
    2983,    -1,    -1,    -1,  2987,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,  3006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3016,    -1,    -1,  3019,  3020,  3021,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,  4654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,  3056,    -1,    -1,    -1,    -1,  3061,    -1,
      -1,    35,    36,    -1,  3067,    -1,    -1,    -1,    -1,    43,
      44,    -1,  3075,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
    3113,    -1,    86,  3116,    -1,  3118,    -1,    -1,    -1,    -1,
    3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,  4770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3173,  4793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,    -1,
    3213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4869,   222,    -1,
      -1,  4873,  4874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   682,   683,    -1,    -1,    -1,    -1,    -1,   242,    -1,
      -1,  3274,    -1,  3276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,
    3333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,  3358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,  3379,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,  3392,
      43,    44,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
     394,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
     851,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
     861,   862,    -1,   864,    -1,    -1,   867,    -1,   869,    -1,
      -1,    -1,    -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,   888,    -1,    -1,
    3473,    -1,    -1,    -1,    -1,   896,   450,    -1,    -1,    -1,
      -1,   134,    -1,  3486,   905,   906,    -1,    -1,    -1,   910,
      -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   927,    -1,   929,    -1,
      -1,    -1,    -1,  3516,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,   945,    -1,   500,    -1,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     961,    -1,    -1,   964,   518,   966,    -1,   968,    -1,    -1,
      -1,   204,  3555,    -1,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,   982,  3565,    -1,    -1,    -1,    -1,    -1,  3571,   222,
    3573,    -1,    -1,    -1,    -1,  3578,  3579,    -1,    -1,  3582,
    3583,  3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,   242,
      -1,    -1,  3595,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
    3603,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,  3612,
      -1,   264,    -1,  3616,    -1,    -1,  1037,    -1,  1039,    -1,
      -1,    -1,    -1,  3626,    -1,    -1,  3629,    -1,  3631,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3639,  3640,  3641,  3642,
      -1,    -1,    -1,  3646,    -1,    -1,  3649,   300,    -1,    -1,
     303,  1072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3663,    -1,  3665,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3677,    -1,    -1,    -1,    -1,    -1,
    3683,  3684,    -1,    -1,    -1,    -1,    -1,  1108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,    -1,
      -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
      -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3756,    -1,    -1,    -1,    -1,  1179,    -1,
    1181,    -1,    -1,    -1,  1185,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,  1205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1255,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,  3847,    -1,    -1,   500,    -1,    -1,
    1271,   504,   505,   506,   507,   508,    -1,    -1,   511,   512,
     513,    -1,    -1,  1284,    -1,   518,   519,    -1,    -1,    -1,
    1291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1303,    -1,    -1,  1306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1339,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    41,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,  3969,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,    96,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,   106,
      -1,  4034,  4035,  4036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,   154,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,    -1,
     167,    -1,    -1,    -1,  4097,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      -1,  4134,    -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,
      -1,  4144,  4145,    -1,  4147,    -1,    -1,    -1,    -1,  4152,
    4153,    -1,    -1,    -1,  4157,  4158,    -1,    -1,   264,    -1,
    4163,  4164,    -1,    -1,  4167,    -1,    -1,  4170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,    -1,
      -1,    -1,  4195,    -1,   300,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,  4207,    -1,    -1,    -1,    -1,  4212,
      -1,    -1,   318,    -1,  4217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1644,  1645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4278,    -1,    -1,    -1,    -1,
      -1,  1702,    -1,    -1,  1705,    -1,    -1,    -1,   394,    -1,
      -1,    -1,  1713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,
    1731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,   450,    -1,    -1,    -1,  1769,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,    -1,
     516,   517,   518,   519,   520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4528,    -1,    -1,    -1,  4532,
      -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1970,
      -1,  4554,  4555,    -1,    -1,  4558,    -1,    -1,    -1,   636,
      -1,    -1,    -1,    -1,  1985,    -1,    -1,    -1,  4571,    -1,
      -1,    -1,    -1,  4576,    -1,    -1,    -1,    -1,  4581,    -1,
      -1,  4584,    -1,    -1,    -1,    -1,  4589,  4590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   682,   683,    -1,    -1,    -1,
    2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4622,
      -1,    -1,    -1,    -1,    -1,  2046,    -1,  2048,    -1,  2050,
      -1,    -1,    -1,    -1,  2055,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4654,    -1,   730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2116,    -1,    -1,    -1,  2120,
      -1,  2122,    -1,    -1,  2125,    -1,    -1,    -1,  4711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4768,    -1,  4770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4792,
    4793,    -1,  4795,    -1,  4797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4820,    -1,    -1,
      -1,  4824,    -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2266,    -1,    -1,    -1,   926,
     927,    -1,   929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4869,    -1,    -1,    -1,
    4873,  4874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   978,    -1,    -1,   981,   982,    -1,    -1,    -1,    -1,
      -1,    -1,  4915,    -1,    -1,    -1,    -1,    -1,    -1,   996,
      -1,   998,    -1,  1000,    -1,    -1,    -1,    -1,    -1,  1006,
      -1,  4934,    -1,  1010,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4954,  1029,  1030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,
      -1,    -1,  4975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1072,    -1,  1074,    -1,    -1,
      -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2436,  2437,    -1,    -1,    -1,
    2441,  2442,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2455,    -1,    -1,    -1,    -1,    -1,
      -1,  2462,    -1,    -1,    -1,  2466,  2467,    -1,    -1,  2470,
    2471,    -1,  5055,    -1,    -1,    -1,  2477,    -1,    -1,    -1,
      -1,    -1,    -1,  5066,    -1,    -1,    -1,    -1,  2489,    -1,
    2491,    -1,    -1,    -1,    -1,  1152,    -1,    -1,    -1,  5082,
    5083,    -1,    -1,    -1,    -1,    -1,  2507,    -1,    -1,  1166,
    1167,  2512,    -1,  1170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5105,    -1,  2525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2533,    -1,  2535,  2536,  2537,  2538,    -1,    -1,
      -1,  2542,  2543,    -1,    -1,    -1,    -1,    -1,    -1,  2550,
      -1,    -1,    -1,  2554,    -1,    -1,    -1,  2558,    -1,    -1,
    1217,    -1,    -1,  5146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5160,    -1,  2580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2591,    -1,  2593,    -1,    -1,    -1,    -1,    -1,  2599,    -1,
      -1,    -1,  2603,    -1,  2605,  2606,  2607,  2608,    -1,  2610,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2623,  2624,  2625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2634,  2635,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2694,     3,    -1,    -1,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,    18,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,    -1,    -1,  1420,    -1,  1422,    -1,    -1,  1425,    -1,
    1427,    -1,    -1,  1430,  1431,  1432,    -1,    -1,    -1,  1436,
      -1,    -1,    91,    -1,    -1,    -1,  1443,    -1,    -1,    -1,
      -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,  1456,
      -1,  1458,    -1,    -1,    -1,    -1,  1463,    -1,    -1,   118,
      -1,    -1,    -1,    -1,  2815,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,   138,
      -1,   140,   141,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,   160,    -1,    -1,    -1,  2856,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,   176,    -1,    -1,
     179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,   213,    -1,    -1,    -1,    -1,    -1,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   234,    -1,  1584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1593,  1594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,  1615,  1616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1697,    -1,  1699,    -1,   353,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1709,  3054,    -1,    -1,   365,    -1,    -1,    -1,
      -1,   370,   371,    -1,   373,    -1,    -1,    -1,    -1,   378,
      -1,    -1,    -1,    -1,   383,    -1,    -1,   386,    -1,    -1,
      -1,   390,    -1,    -1,    -1,    -1,   395,   396,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1773,   426,    -1,    -1,
      -1,    -1,    -1,    -1,  1781,  3126,  3127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,   445,    -1,    -1,    -1,
      -1,    -1,  3143,    -1,   453,    -1,    -1,    -1,    -1,    -1,
     459,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3168,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3177,    -1,  1835,    -1,
      -1,  1838,  1839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3192,  3193,    -1,    -1,    -1,  3197,    -1,    -1,    -1,
      -1,  3202,  3203,  3204,   513,    -1,    -1,    -1,   517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3232,  3233,  3234,  3235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,  3266,    -1,  3268,  3269,  3270,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,  3345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2088,    -1,  2090,    -1,    -1,    -1,  2094,    -1,  2096,
      -1,    -1,  2099,    -1,    -1,    -1,  2103,    -1,  3449,    -1,
      -1,  2108,  3453,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,  3484,    -1,    -1,  3487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   844,    -1,   242,    -1,    -1,    -1,
    3501,    -1,    -1,   853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   887,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2259,    -1,   954,    -1,    -1,    -1,    -1,  2266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2275,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
    1070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2391,    -1,    -1,    -1,  2395,    -1,
      -1,    -1,    -1,    -1,  2401,    -1,  2403,   493,    -1,  2406,
      -1,    -1,    -1,    -1,   500,    -1,  1106,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,    -1,
      -1,    -1,   518,    -1,    -1,    -1,    -1,    -1,  3779,    -1,
    3781,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3804,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3819,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3877,  3878,  3879,    -1,
      -1,    -1,    -1,  3884,  3885,  3886,  3887,  3888,    -1,    -1,
      -1,    -1,  3893,  3894,    -1,  3896,  3897,  3898,  3899,  3900,
    3901,  3902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3911,    -1,  3913,  3914,    -1,    -1,    -1,  1267,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,  1278,    -1,
      -1,    -1,    -1,    -1,    -1,  2592,    -1,  2594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3963,  3964,  3965,    -1,    -1,  3968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4051,    -1,    -1,    -1,    -1,    -1,    25,  1407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
    4071,  4072,  4073,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,  1464,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,  2816,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,  1522,    -1,    -1,  2832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1550,  1551,    -1,  1553,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,  1625,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,  4290,
    4291,  4292,    -1,    -1,  4295,   264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1654,    -1,    -1,    -1,  1658,  1659,
      -1,    -1,    -1,    -1,    -1,  4316,  4317,  4318,  4319,    -1,
    4321,  4322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,  4333,  4334,   303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4348,    -1,   318,
      -1,    -1,    -1,  4354,  4355,    -1,  4357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,
      -1,    -1,  3039,    -1,    -1,    -1,    -1,  1737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4461,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,  4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,    -1,    -1,    -1,   518,
      -1,  1901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1920,    -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,  1938,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4656,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2023,    -1,    -1,  4677,    -1,    -1,  2029,
      -1,    -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2119,
      -1,    -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2157,  2158,    -1,
      -1,    -1,    -1,    -1,    -1,  2165,  4817,    -1,  2168,    -1,
      -1,    -1,  2172,    -1,    -1,    -1,  4827,  3484,    -1,    -1,
    2180,  2181,    -1,    -1,    -1,    -1,    -1,    -1,  2188,    -1,
      -1,  2191,  2192,  2193,  2194,    -1,    -1,    -1,    -1,    -1,
      -1,  2201,  2202,    -1,  2204,    -1,  2206,  2207,  4859,    -1,
    2210,    -1,    -1,    -1,    -1,    -1,    -1,  4868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2226,  2227,    -1,    -1,
      -1,    -1,  2232,  4884,    -1,    -1,  2236,    -1,  3545,    -1,
    2240,    -1,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,    -1,  2252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2262,  2263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2325,    -1,    -1,    -1,    -1,
    4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5005,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5019,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5044,    -1,    -1,    -1,    -1,  5049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2421,    -1,    -1,    -1,  2425,  2426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,
      -1,    -1,  1566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2479,
      -1,    -1,    -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,  1640,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,  2531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,  3870,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2674,    -1,  2676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,  2751,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4076,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,  2799,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2850,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,
      -1,  2871,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,  2889,
      -1,    -1,   404,    -1,  2894,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,  2919,
    2920,    -1,   434,   435,  2924,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,  2936,  2937,  2938,  2939,
      -1,    -1,    -1,    -1,  4251,    -1,    -1,  2071,    -1,  2949,
      -1,    -1,  2952,   465,  2954,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2964,  2965,    -1,    -1,  2968,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,  2981,    -1,  2983,    -1,    -1,    -1,  2987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,    -1,  3019,
    3020,  3021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2163,
      -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3056,    -1,    -1,    -1,
      -1,  3061,    -1,  2187,    -1,    -1,    -1,  3067,  2192,    -1,
      -1,    -1,    -1,    -1,    -1,  3075,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4390,    -1,    -1,    -1,    -1,  2212,  2213,
      -1,    -1,  2216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,    -1,  3113,    -1,    -1,  3116,    -1,  3118,    -1,
      -1,    -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2335,    -1,  3213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2347,    -1,    -1,  2350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3274,    -1,  3276,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4605,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3473,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3555,    -1,    -1,  3558,    -1,
      -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,    -1,
      -1,  3571,    -1,  3573,    -1,    -1,    -1,    -1,  3578,  3579,
      -1,    -1,  3582,  3583,  3584,  3585,  3586,  3587,  3588,  3589,
    3590,  3591,    -1,    -1,    -1,  3595,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,  3608,    -1,
      -1,    -1,  3612,    -1,    -1,    -1,  3616,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3626,    -1,    -1,  3629,
      -1,  3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,
    3640,  3641,  3642,    -1,    -1,    -1,  3646,    -1,    -1,  3649,
      -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3663,    -1,  3665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3677,    -1,    -1,
      -1,    -1,    -1,  3683,  3684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3728,    -1,
      -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,
    3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3756,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2892,    -1,
      -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2915,    -1,  2917,    -1,  2919,  2920,  2921,    -1,    -1,
    2924,    -1,    -1,    -1,  2928,    -1,    -1,    -1,    -1,    -1,
      -1,  2935,    -1,    -1,    -1,    -1,  2940,    -1,    -1,    -1,
      -1,    -1,  2946,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2960,    -1,    -1,    -1,
    2964,  2965,    -1,  2967,    -1,    -1,    -1,  3847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2979,    -1,    -1,    -1,    -1,
      -1,    -1,  2986,    -1,  2988,  2989,  2990,  2991,  2992,  2993,
    2994,  2995,  2996,  2997,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4034,  4035,  4036,  3161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4144,  4145,    -1,  4147,    -1,    -1,
      -1,    -1,  4152,  4153,    -1,    -1,    -1,  4157,  4158,    -1,
      -1,    -1,    -1,  4163,  4164,    -1,    -1,  4167,    -1,    -1,
    4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4191,    -1,    -1,    -1,  4195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,    -1,    -1,
      -1,    -1,  4212,    -1,    -1,    -1,    -1,  4217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,
    4260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4375,    -1,    -1,    -1,    -1,
      -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3554,    -1,    -1,    -1,  4434,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4445,    -1,    -1,    -1,    -1,
      -1,    -1,  3576,  3577,    -1,  3579,    -1,    -1,  3582,  3583,
    3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,  3592,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3617,  4494,    -1,  3620,    -1,  3622,    -1,
      -1,    -1,    -1,  3627,  3628,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,  3642,  3643,
      -1,  3645,    -1,    -1,  3648,    -1,    -1,    -1,  4528,    -1,
      -1,    -1,  4532,    -1,    -1,    -1,    -1,  4537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4554,  4555,    -1,    -1,  4558,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4571,    -1,    -1,    -1,    -1,  4576,    -1,    -1,    -1,
      -1,  4581,    -1,    -1,  4584,    -1,    -1,  3711,    -1,  4589,
    4590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3723,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4768,    -1,
    4770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4792,  4793,    -1,  4795,    -1,  4797,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4820,    -1,    -1,    -1,  4824,    -1,    -1,    -1,    -1,  4829,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4869,
      -1,    -1,    -1,  4873,  4874,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4915,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4934,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4954,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4972,    -1,  4098,  4975,    -1,    -1,  4102,  4103,
    4104,    -1,    -1,  4107,    -1,    -1,    -1,    -1,  4112,  4113,
    4114,  4115,  4116,  4117,  4118,  4119,  4120,  4121,  4122,  4123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4151,  4152,  4153,
    4154,    -1,  4156,    -1,    -1,    -1,  4160,  4161,  4162,    -1,
      -1,  4165,    -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5082,  5083,    -1,  4209,    -1,    -1,    -1,    -1,
      -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5105,    -1,  4231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,  4491,  4492,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
    4524,    79,    80,    -1,  4528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4542,    -1,
    4544,    -1,    -1,    -1,    -1,  4549,  4550,  4551,    -1,    -1,
    4554,  4555,  4556,  4557,    -1,  4559,    -1,   115,  4562,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,  4620,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
    4724,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,  4791,  4792,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4807,  4808,  4809,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,  4832,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4964,    -1,   520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,  5149,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,  5205,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,     3,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,   519,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     101,    -1,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,   115,    -1,    -1,   118,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,   138,    -1,   140,
     141,   142,    -1,   144,    -1,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,   160,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,   176,   177,   178,   179,    -1,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,
     191,    -1,   193,    -1,    -1,    -1,   197,    -1,    -1,    -1,
      -1,    -1,   203,   204,    -1,    -1,    -1,    -1,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,    -1,    -1,   219,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,
      -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,
      -1,   262,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,
     271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   284,   285,    -1,   287,    -1,   289,   290,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,    -1,   307,   308,   309,    -1,
      -1,   312,    -1,    -1,   315,   316,    -1,    -1,   319,    -1,
     321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,
     351,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   364,   365,    -1,    -1,    -1,    -1,   370,
     371,    -1,   373,    -1,    -1,    -1,    -1,   378,    -1,    -1,
      -1,    -1,   383,   384,    -1,   386,   387,    -1,    -1,   390,
      -1,    -1,    -1,    -1,   395,   396,    -1,    -1,    -1,    -1,
      -1,    -1,   403,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,
     441,    -1,   443,    -1,   445,    -1,    -1,    -1,    -1,   450,
      -1,    -1,   453,    -1,    -1,   456,    -1,    -1,   459,    -1,
      -1,    -1,    -1,   464,   465,    -1,    -1,   468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,   513,    26,    27,    -1,   517,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,
      -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,   520,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   514,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   514,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,   511,   512,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     514,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,   512,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,    -1,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,    -1,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,   506,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   506,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   506,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,   506,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,   229,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,   436,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,     4,   500,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,    -1,
     314,   315,   316,   317,    -1,    -1,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,    -1,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,    -1,   314,   315,   316,   317,    -1,
      -1,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,    -1,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,    -1,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
      -1,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,    -1,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,   121,    -1,    -1,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,    -1,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
      -1,    -1,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,    -1,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,    -1,    -1,   261,   262,   263,    -1,    -1,    -1,
      -1,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,    -1,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,    -1,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,    -1,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,   145,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,   226,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,   226,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,   226,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,   226,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,
      -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
      -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
     407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,
      -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,    -1,
     270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,   309,
      -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,   319,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,
      -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,
      -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
     504,   505,   506,    79,    80,    -1,    -1,    -1,    -1,   513,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,   513,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    72,   504,   505,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    72,   504,   505,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,   504,   505,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,   436,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1090,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1081,  1091,  1119,  1121,  1212,  1222,
    1223,  1225,  1231,  1232,  1120,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   563,   564,   567,   568,   569,   581,   584,   585,
     601,   640,   643,   644,   645,   652,   658,   660,   662,   663,
     666,   669,   670,   674,   675,   684,   688,   689,   690,   691,
     692,   694,   695,   696,   709,   710,   714,   716,   717,   718,
     728,   730,   737,   738,   741,   742,   743,   744,   745,   750,
     752,   755,   759,   763,   764,   774,   775,   778,   783,   794,
     816,   819,   820,   821,   824,   827,   829,   831,   834,   835,
     838,   839,   840,   847,   848,   850,   851,   852,   857,   859,
     860,   864,   865,   868,   869,   870,   871,   873,   874,   875,
     876,   878,   881,   882,   887,   893,   896,   898,   903,   905,
     909,   916,   920,   921,   922,   923,   924,   925,   928,   956,
    1087,  1088,  1092,  1094,  1095,  1112,  1113,  1114,  1115,  1126,
    1128,  1132,  1133,  1134,  1135,  1136,  1138,  1140,  1142,  1143,
    1144,  1145,  1147,  1152,  1153,  1157,  1158,  1167,  1169,  1170,
    1171,  1174,  1179,  1182,  1187,  1189,  1190,  1193,  1195,  1198,
    1207,  1225,  1233,    73,  1115,  1123,  1124,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1082,  1085,  1086,  1087,  1088,  1105,  1106,  1217,  1219,  1223,
    1225,    29,   260,  1168,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1074,
    1086,  1087,  1107,  1154,  1155,  1197,  1198,  1199,  1203,  1208,
    1209,  1210,  1219,  1225,    99,   917,  1073,  1107,  1203,  1216,
      14,   917,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1086,  1089,  1199,  1200,  1201,  1205,  1206,  1207,
    1208,  1210,    25,    35,   134,   264,  1194,    38,    40,   313,
    1127,   438,   480,   853,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   659,  1155,   179,   853,    99,   917,   468,
     883,   327,   354,   853,   121,   592,   921,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   602,   642,   733,   784,   795,
    1074,  1096,  1097,  1098,  1107,  1223,  1225,    14,    99,   353,
    1073,  1107,  1111,   415,   917,    99,   348,   398,   429,   431,
     276,   825,   826,  1223,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   659,   746,   853,   519,  1137,  1201,   246,  1111,
     160,   179,   211,   468,   513,   640,   643,   882,   888,   896,
     898,   903,   909,   916,   920,  1092,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   760,
     761,   917,  1081,  1084,  1217,  1219,    99,   160,   369,   396,
     765,   766,   767,  1203,  1203,  1078,  1223,   426,   931,   116,
     227,   760,  1203,   438,  1111,   340,   298,   174,   252,   425,
     426,   832,   390,  1203,    99,   134,   401,   434,   438,   464,
     550,   559,   560,  1086,  1087,  1197,  1202,  1208,  1210,  1225,
      96,   234,   765,   766,   354,   853,  1203,   275,    99,   192,
     933,     4,    14,   132,   152,   154,   291,   306,   385,   391,
     401,   434,   438,   483,   547,   548,   549,   550,    99,   401,
     434,   438,   550,   438,   328,   967,  1071,  1203,   931,  1191,
    1201,   506,  1203,   230,   513,   884,   513,  1066,   367,   926,
     927,  1073,   921,   922,   925,   517,   883,   207,   266,   333,
     450,   934,   935,   921,   923,   924,   185,   262,   456,   516,
     118,   523,  1135,  1138,  1134,  1130,   517,  1139,  1141,     5,
      25,    35,   134,   196,   264,  1146,   175,   242,   300,   303,
     394,   493,   513,  1002,  1003,  1118,  1122,  1212,    73,  1115,
    1073,  1107,  1226,   180,  1096,    21,   458,   507,  1111,  1111,
    1226,   458,  1159,  1160,  1161,    25,   264,   264,  1205,     7,
      19,    20,    39,    42,   156,   193,  1196,  1196,    16,  1135,
    1079,  1088,  1197,  1200,  1203,  1204,  1208,  1209,  1225,   748,
    1203,   748,  1074,   357,   748,   440,   748,  1073,  1203,   173,
     426,   773,  1079,  1082,    99,   244,  1071,   322,   470,    85,
     139,   218,   500,   501,   502,   504,   505,   506,   507,   508,
     509,   823,  1033,  1034,  1203,    99,  1082,  1073,  1073,   244,
    1071,  1073,   378,   403,    99,   244,   967,  1073,   393,  1073,
     748,   296,  1082,   244,  1071,   276,    34,   182,   272,   313,
     363,   854,   855,   856,  1071,  1077,  1203,    98,   131,   144,
     145,   153,   157,   174,   195,   206,   214,   226,   231,   252,
     277,   298,   329,   385,   389,   391,   397,   400,   426,   428,
     432,   440,   445,   470,   659,   753,  1223,  1071,   436,  1079,
    1073,   513,   748,   440,  1074,   748,   440,   244,  1073,   173,
     426,   429,   431,  1082,   429,   431,   139,   218,   823,   376,
    1082,   244,   543,  1203,  1073,  1073,   393,  1073,   748,   296,
    1082,   367,   397,   426,   470,   298,   157,   252,   231,   389,
     444,   653,    85,  1099,  1100,   518,  1219,  1226,    99,  1111,
    1225,   918,   557,  1085,  1223,   826,   244,  1079,  1073,   244,
     830,   244,  1074,   440,   173,   426,   244,  1079,   244,  1082,
    1083,   150,   470,   139,   218,   244,   823,   125,   244,  1083,
     244,  1073,   244,  1073,   244,  1073,   393,   244,  1073,   244,
     296,  1083,   276,   244,   747,   748,   513,   519,  1227,  1228,
    1229,  1230,  1232,  1137,    71,  1107,  1156,   513,   897,   602,
     917,   888,   882,   889,   890,   891,  1085,   883,  1084,   761,
     762,    99,   761,   917,  1084,   762,    99,   761,   917,  1084,
     762,   762,   762,  1084,  1081,  1081,   268,   458,  1161,  1162,
    1236,  1237,   917,   762,   357,   513,   513,   621,   621,   621,
     327,   436,   516,   621,   967,   968,   761,   917,   761,   917,
     516,   849,  1223,   229,   513,   894,   125,   470,  1073,  1073,
    1071,  1203,   115,   495,   272,   515,   330,   330,   327,   229,
    1223,   436,   224,   756,   327,    83,    84,    85,    87,   107,
     120,   122,   123,   130,   131,   134,   135,   142,   144,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   212,
     216,   217,   222,   236,   264,   265,   267,   284,   292,   293,
     307,   309,   313,   318,   319,   321,   329,   339,   349,   364,
     387,   402,   409,   422,   434,   435,   439,   441,   442,   451,
     457,   465,   485,   486,   487,   488,   489,   490,   491,   492,
     504,   505,   506,   513,   921,   983,   986,   989,   990,   991,
     993,   994,   995,   996,   999,  1000,  1004,  1006,  1007,  1008,
    1010,  1031,  1035,  1054,  1059,  1067,  1068,  1069,  1079,  1080,
    1081,  1203,  1215,  1217,  1219,  1220,  1221,  1222,  1223,   436,
     500,  1226,  1223,   436,   500,  1155,    99,   565,  1070,  1071,
     401,   547,   180,   556,  1223,   557,  1223,   115,   136,   547,
     495,   410,   855,   330,   229,   436,   500,   115,   495,   272,
    1236,   856,   513,  1071,   506,   511,   515,  1060,  1061,   968,
    1207,   228,   230,   468,   879,   880,   882,   228,   885,   180,
    1004,  1064,  1065,   926,   516,   513,   886,   514,   514,  1071,
      99,   192,   932,   932,   125,   932,   219,   224,   288,   325,
     938,   940,   941,   950,   952,   953,   954,   934,   935,   229,
     268,   967,   969,  1066,   517,  1129,   506,  1148,  1149,  1151,
     519,   519,    25,   264,   264,   436,   436,   436,   436,   513,
     436,   505,   650,  1084,  1116,  1222,   203,   108,  1103,   125,
    1106,  1106,   268,  1161,  1163,   268,  1161,  1162,  1163,   463,
    1172,  1173,  1219,    14,    37,    84,   504,   505,  1081,  1164,
    1165,  1166,  1215,  1217,  1221,  1222,  1223,  1224,   264,   270,
    1073,   436,  1073,     6,  1073,  1196,  1151,   513,   807,  1061,
     341,   374,   403,   515,   749,   341,   374,   403,   341,   374,
     403,   477,   525,   558,   561,   779,    95,   197,   341,   374,
     403,   461,   572,  1073,   403,    95,   197,   456,   540,   481,
     244,   967,   127,   159,   215,   247,   283,   313,   341,   374,
     382,   388,   395,   403,   412,   420,   472,   558,   562,   810,
     817,   513,   796,   374,   540,   249,   212,    95,   101,   141,
     190,   197,   200,   254,   311,   313,   323,   331,   341,   374,
     377,   378,   403,   461,   570,   571,   678,   650,    99,   244,
    1071,   748,   748,   513,   822,   515,   249,   532,   374,   525,
     532,   327,   341,   374,   212,   126,   172,   251,   299,   301,
     311,   340,   374,   379,   403,   414,   570,   646,   647,   648,
     341,   374,   469,   678,   686,   560,   548,   550,   249,   212,
     374,   403,   570,   341,   374,   378,   403,   151,   189,   342,
     430,   327,    95,   101,   197,   341,   374,   403,   582,   583,
     224,   374,   403,   525,   561,   212,   374,   403,   570,  1073,
     517,   286,   182,   328,   482,   516,   854,   458,   877,   327,
    1079,   513,  1073,   440,   173,   426,  1079,   322,   470,   139,
     218,   823,  1073,   393,  1073,   276,   748,   621,   360,   587,
     513,   723,   807,   137,   120,   122,   123,   134,   135,   177,
     178,   222,   265,   267,   307,   309,   321,   364,   404,   409,
     434,   435,   465,   980,   982,   984,   986,   988,   990,   991,
     992,   994,   995,   999,  1000,  1197,  1204,  1208,  1209,  1225,
     229,   513,   719,  1073,   525,   108,   872,  1073,   313,   525,
     481,   244,  1071,   525,   748,   748,   719,   454,   602,   525,
     313,   115,   544,   445,   685,   341,   661,   151,   189,   342,
     430,    97,   117,   263,   697,   108,   719,   224,   525,   470,
    1071,   244,   638,  1071,  1071,   470,   748,   150,   785,  1079,
    1073,   659,    74,  1101,  1203,   518,  1102,  1099,   121,   171,
     261,   311,   392,   212,   807,   128,   380,   573,   212,   513,
     212,   481,   212,   796,   212,   516,   244,   747,   244,   748,
     244,   748,   212,   822,  1083,   212,   212,   327,   212,   573,
     212,   151,   189,   342,   430,   212,   327,   212,   224,   244,
     244,   557,   212,   516,   573,   514,  1228,  1229,  1227,   516,
     520,  1004,  1038,  1160,  1235,  1236,   426,   918,   514,   516,
     217,   327,   442,   554,   557,   650,   892,   888,   762,   917,
     762,   917,  1237,  1238,   762,   917,   762,   917,  1238,   762,
     917,   917,   917,   762,    14,    37,  1211,  1214,  1219,   917,
     513,   622,   623,  1203,   622,    99,   174,   195,   226,   231,
     276,   277,   391,   397,   426,   428,   445,   768,  1070,  1083,
     767,   249,   516,   906,   917,   917,  1223,  1156,   980,  1041,
     108,  1083,   785,   225,   833,   833,   833,   286,  1203,   224,
     224,   768,  1083,   390,  1203,   557,   327,   513,   511,   921,
    1042,   467,   997,  1004,  1058,   513,   997,   997,   513,   224,
     513,   513,   513,   985,   985,   351,   921,   513,   513,   987,
     513,   513,   513,   513,   134,   135,   997,  1004,   513,   985,
     513,   513,   513,   513,   513,   479,   499,   513,  1001,   513,
    1001,   513,   513,   921,   513,   513,   513,   513,   513,   513,
     513,   513,  1004,  1004,   464,   921,  1004,  1038,  1061,  1223,
     135,   513,   998,   513,  1223,    85,    88,   105,   108,   113,
     119,   143,   245,   249,   270,   271,   287,   313,   316,   329,
     332,   407,   500,   501,   502,   504,   505,   506,   507,   508,
     509,  1033,  1035,  1037,  1225,   478,  1019,   338,  1004,   268,
     929,  1236,   516,   513,  1223,  1061,    22,  1218,  1219,  1062,
     324,   327,  1188,  1188,    10,   463,  1175,  1176,  1178,  1155,
    1155,   183,   246,   566,   516,   136,   180,   557,   108,   180,
     291,   555,   650,  1000,  1223,  1225,  1223,   155,   194,  1016,
     163,   180,   551,   552,   554,   650,   180,   551,  1236,  1236,
     286,  1071,  1004,   506,  1076,  1205,  1060,   156,   379,   751,
     270,   514,   516,   883,   514,   516,   927,  1072,  1073,   108,
     886,   923,   923,   936,   937,  1004,   923,   221,   310,   947,
     274,   311,   363,   405,   456,    99,   942,  1004,   943,   945,
    1004,  1006,   950,   951,   941,   940,   938,   939,   224,   953,
     323,   955,   938,   950,   969,  1071,   108,  1203,   403,  1148,
     506,   516,   517,  1206,  1125,  1128,  1125,   264,   175,   242,
     300,  1003,   300,  1003,  1003,   303,  1081,   300,   303,   394,
    1222,   516,  1117,   179,  1155,   457,  1104,  1106,  1073,    37,
    1081,  1177,  1219,   516,   500,  1073,    14,  1081,  1222,  1081,
    1222,   516,  1135,   513,  1073,   513,  1207,   249,   259,   333,
     335,   404,   466,   506,   800,   801,   802,   804,   806,   808,
     980,  1204,   341,   374,   403,   436,   436,   391,  1076,   515,
     436,   436,   391,   436,   436,   428,   547,   866,   224,   234,
     249,   383,   780,   781,   137,   153,   208,   226,   355,   451,
     618,   619,   153,   180,   313,   436,   153,   436,   180,   313,
     391,   153,   190,   200,   341,   374,   715,   391,   667,    98,
     131,   144,   157,   195,   206,   226,   231,   298,   329,   391,
     397,   400,   426,   432,   445,   470,   659,  1073,   212,   374,
     403,   570,   327,   650,   395,   283,   436,   436,   318,   650,
     184,   269,   391,   401,   438,   549,   380,   403,   810,   818,
     514,   797,   800,   436,   457,   428,  1071,   145,   208,   609,
     618,  1203,   145,   153,   836,   327,   389,   440,   153,   836,
     102,   377,   389,   440,  1071,   254,   323,   748,   513,   436,
     436,   243,   513,   577,   428,   477,   479,   577,   153,   516,
     341,   249,   212,   374,   403,   570,   458,   458,   312,   980,
     341,   403,   823,   174,   561,   436,   527,   561,  1071,   436,
     436,  1071,   650,   125,   649,   650,   650,   172,   299,   301,
     125,   436,   525,   391,   525,   458,   311,   648,   436,   436,
     318,  1223,   678,   428,   967,   153,   436,   836,   391,   436,
     436,   577,   577,   748,   748,   748,   748,  1071,   114,   463,
     114,   114,   436,   114,   436,   391,   516,   170,   457,   693,
    1082,   436,   527,  1071,   436,   391,   341,   374,   363,   375,
     399,   553,   854,  1077,  1203,  1071,   807,   980,   327,   481,
     796,   650,   748,   748,   822,   270,   327,   151,   189,   342,
     430,   327,   748,   270,   477,   593,   417,   418,   588,  1223,
     724,   725,  1225,   719,   513,   982,   108,   107,   981,   175,
     303,   493,   513,  1002,   749,   985,   748,   720,   721,  1205,
      97,   861,   980,   327,   212,   664,  1073,   313,   513,   526,
     733,   458,   367,   470,   526,   212,  1082,   160,   234,   545,
     601,   644,   696,   763,   783,   857,  1223,   686,   687,  1073,
     294,   748,   748,   748,   748,   323,   185,   262,   443,   456,
     698,   699,   204,   362,   513,   693,   526,  1071,   646,   647,
     313,   108,   323,   513,   621,   621,   641,  1071,   224,   786,
    1077,   513,   798,   108,   276,   515,  1081,  1102,   477,   479,
     919,   392,  1079,   573,   980,  1074,   244,  1073,  1079,   573,
    1083,  1082,   212,   573,   212,   458,   212,   458,   823,   573,
     573,  1083,  1073,   748,  1073,  1073,  1073,   748,  1083,   693,
     212,   212,   573,   747,   748,   514,   520,  1230,   514,   516,
    1236,  1160,  1071,   171,   888,   890,   917,   917,  1238,   917,
     917,  1238,   917,   917,  1073,    14,   516,  1218,   622,   514,
     516,   514,   232,   398,   427,  1072,   747,   173,   400,   772,
     773,  1072,   322,  1072,  1070,  1070,  1072,   747,   436,   477,
     776,    93,   210,   387,   405,   907,   967,   317,   908,   514,
     516,   895,   898,   903,   909,   920,   436,  1071,   766,   765,
     766,   229,   235,   777,  1203,    98,   145,   174,   195,   206,
     226,   231,   277,   298,   385,   391,   397,   426,   428,   445,
     470,   659,   757,  1038,   512,  1038,  1042,  1043,   513,   473,
    1055,  1056,  1004,  1038,   513,  1081,  1081,  1038,   175,   242,
     300,   303,   394,   493,  1044,  1045,  1223,  1225,  1081,  1038,
    1038,  1081,  1081,   997,   997,  1004,   823,  1004,  1046,   504,
     505,  1005,  1006,  1031,  1035,  1048,   514,  1038,  1004,  1038,
    1049,   434,   495,  1081,  1081,  1004,   124,   229,   282,   437,
    1004,  1038,  1052,  1038,   305,  1006,  1004,  1014,  1015,  1016,
     305,  1004,  1016,   514,   516,   403,  1081,  1081,  1002,   980,
    1004,  1205,   434,   112,   423,  1063,   748,  1004,   513,   921,
    1053,   192,   194,   217,   313,   318,   323,   442,   452,  1004,
     119,   245,   249,   287,   407,   513,  1004,   436,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,    99,   106,
     411,  1032,   237,   220,  1020,   387,   513,  1031,   233,   291,
     426,   429,   431,   454,   930,  1071,   229,   957,  1069,    99,
     192,   466,   506,   514,   802,  1004,  1039,  1040,  1204,  1073,
    1219,  1060,  1177,   516,   500,  1071,   438,   513,  1223,   516,
    1236,   514,   512,   518,   243,   243,   573,  1135,  1071,   880,
     881,  1071,  1064,   514,   516,   513,   516,   109,   188,   458,
     792,   513,   944,  1084,   405,   274,   328,   516,   387,   388,
     946,  1070,   908,   951,   939,   458,   904,   180,   513,   899,
     920,  1203,   513,   910,   911,   912,   913,   914,  1203,   517,
    1149,   981,   520,  1128,   520,   514,   650,   514,    34,  1105,
    1180,  1181,  1219,  1173,  1178,  1226,  1164,   981,  1213,  1229,
    1213,   981,   335,   125,  1204,   514,   802,   804,   801,   804,
    1204,   333,   514,   516,   749,   436,   436,   391,  1082,  1073,
    1073,  1076,  1082,  1073,  1073,  1082,  1074,  1073,   152,   867,
     385,   457,   765,   391,   234,   765,   513,  1073,   458,   787,
     274,   274,   458,   513,   637,   244,  1073,   318,  1082,  1073,
    1073,  1004,   318,  1073,  1073,   102,   377,   436,   436,  1073,
     436,   668,  1079,   513,   748,   748,   748,   440,   173,   426,
     773,   470,   139,   218,   823,  1073,   748,  1073,   748,   393,
     748,   748,   276,   238,   311,   341,   374,   462,   671,   672,
     673,   967,   436,   836,   391,   318,   184,   269,  1082,  1073,
     327,  1073,   514,   516,  1082,  1083,  1073,   374,   570,   609,
     980,  1073,  1203,  1073,  1073,    99,   457,  1073,   244,  1073,
     244,  1203,   389,   440,   389,   440,  1073,    99,   457,  1073,
    1071,    95,   197,   403,   679,   680,   681,   682,  1205,  1082,
    1073,   180,   230,   314,   458,   576,   579,   580,  1205,  1073,
     326,   141,   326,  1073,   571,   436,   428,  1071,   436,   836,
     391,  1075,  1203,  1075,   516,   514,   516,   436,   391,  1074,
    1082,   152,   202,   254,   346,   449,   457,   460,   528,  1225,
     374,  1082,  1073,   374,   403,   570,   646,   647,   650,   748,
    1073,   650,  1073,   650,  1075,  1082,  1073,  1073,   374,   403,
     570,  1073,  1073,  1073,  1073,  1082,  1073,    95,   101,   197,
     341,   374,   403,   341,   374,   403,   719,   374,   403,   374,
     403,   374,   979,  1203,   244,   729,  1203,   244,  1203,  1082,
    1073,  1073,  1073,    95,   583,   400,  1082,   374,   403,   570,
    1073,  1073,   436,   436,   149,   448,   363,   270,   108,   748,
     270,   270,   458,   458,   270,   318,   754,  1223,   748,   748,
     270,   754,   326,   229,   436,   586,   525,   514,   516,   500,
    1004,   107,   981,   980,   511,   511,   436,   436,  1081,   985,
     514,   516,   500,   698,   152,   201,   280,   281,   294,   341,
     428,   430,   862,   611,  1205,  1073,   229,   391,   469,   665,
     672,   673,   212,   287,   603,   605,   607,   609,   615,   618,
      96,   249,   385,   424,   528,   529,   224,  1075,   470,  1071,
     543,  1203,   544,   332,   602,   226,  1223,   719,   719,   719,
     719,   323,   327,   332,   513,   719,   977,   978,   979,   400,
     513,   458,   212,   211,  1093,   748,   603,  1203,   477,   479,
     633,   477,   578,   108,   621,  1223,   327,   514,   799,   800,
     805,   108,   276,   382,   476,   809,   810,   811,   327,   557,
    1101,   507,   241,   241,   224,   807,   108,   212,   573,   796,
     747,   748,  1075,   748,  1075,   822,   327,   573,   573,   327,
     573,   400,   224,   557,   573,  1004,   919,  1226,  1214,   514,
     623,   249,   249,   249,   481,  1072,   516,   650,   651,   237,
     769,   770,  1082,    96,   777,   210,   405,   210,   405,   387,
     456,   302,   980,  1073,   477,   639,   229,   327,   769,   125,
     573,  1079,   440,   426,  1079,   322,   470,   276,   748,   514,
     512,   512,   516,  1038,  1004,   199,  1056,  1057,   108,   514,
    1004,   514,   514,   514,   514,   229,   514,   514,   514,   514,
     514,   516,   514,   347,  1047,   514,  1005,  1005,    88,   249,
     270,   329,   500,   501,   502,   504,   505,   506,   507,   508,
     509,  1035,  1005,   514,   514,   224,   229,  1050,  1051,   514,
     495,   514,   514,   108,  1052,  1038,  1052,  1052,   229,   514,
     514,  1205,   345,  1018,   108,   514,   516,  1004,  1205,   516,
    1004,  1062,  1004,  1203,   514,   514,   495,  1005,  1005,   205,
    1038,   229,   192,   194,   217,   318,   323,   442,   452,   513,
     205,   423,  1063,  1004,  1053,  1004,   436,   823,  1004,   513,
     921,   513,   513,   337,  1024,   429,   431,   429,   431,  1071,
     931,   931,   931,   279,   388,   513,   921,   958,   959,   960,
     967,   970,  1007,  1009,  1010,  1079,  1203,   474,   975,  1039,
    1039,  1040,   514,    90,   516,   934,   935,     8,    11,    12,
      22,    23,    24,    26,    27,    31,    32,    33,   173,   305,
     351,   445,  1183,  1184,  1186,  1176,  1177,   855,  1081,  1002,
     552,  1004,   981,   886,  1073,   895,   937,   329,  1033,  1036,
     496,   497,   793,  1004,   946,   456,   943,   958,   474,   976,
     464,   900,   901,  1203,   381,   902,   914,   915,   516,   957,
     500,  1062,   518,  1131,   517,   516,   500,    30,  1192,   514,
     514,   517,   808,   749,   804,   804,   125,   806,   508,  1082,
    1073,  1073,   288,  1083,  1083,   327,  1072,   330,   327,  1004,
     619,  1075,   513,   513,   513,   637,   252,   622,   707,   212,
     573,   436,  1082,  1073,   557,   807,   980,  1073,   481,   748,
     748,   748,   748,   822,   151,   189,   342,   430,  1073,   654,
    1073,   238,   462,   436,   436,   654,   671,   678,   374,   403,
     570,  1073,  1073,  1073,   260,   318,   800,   340,   403,   436,
     331,   676,   707,   197,   378,   403,   572,   678,   837,   212,
     573,   212,   573,  1073,  1073,  1073,  1073,   681,   682,   681,
     514,   516,   683,  1223,   252,   514,   516,   500,   515,  1082,
    1073,   374,   403,   570,  1073,  1073,  1073,   341,   374,   403,
      95,   197,   341,   374,   403,   980,   312,   980,  1082,  1073,
     288,   346,   318,  1223,   346,  1083,   455,   436,   436,   391,
     458,   477,   340,   403,   436,   836,   391,   436,   436,   296,
     296,   296,   436,   436,   391,   436,   436,   391,   436,   391,
     436,   391,   436,   573,   980,   313,  1223,   403,   837,   212,
     573,   436,  1073,   436,   391,  1082,  1073,   754,   980,   270,
     754,   754,  1075,  1075,   754,   270,   270,   754,   587,   513,
     589,   590,   725,  1225,   329,   504,   505,   650,   722,   804,
    1036,  1089,  1223,   514,   511,   514,  1081,   512,   513,  1081,
    1203,  1223,  1234,   514,   721,   722,   327,   288,   500,   863,
     863,   863,   863,   863,   863,   863,   137,   143,   153,   180,
     182,   256,   313,   318,   355,   369,   451,   612,   613,   614,
     211,   473,   525,   557,  1073,   557,   676,  1071,  1071,   514,
     516,  1083,   237,   385,  1083,  1081,   445,  1071,   621,   115,
     544,   376,   426,   173,   578,   622,  1071,   699,   726,   727,
    1223,   514,   516,  1073,   622,  1075,  1071,  1073,   920,   513,
     604,   514,   326,   577,   326,   327,   634,   577,   108,   920,
     578,   436,  1071,   514,   516,   180,   500,   812,  1223,   557,
     426,   803,   804,   477,   811,   813,   185,   262,   396,   456,
     845,   238,  1097,   920,  1111,   573,   980,  1073,   573,   573,
     458,   573,   458,   573,   573,   748,   748,  1073,   693,   573,
     224,   391,   391,   391,  1072,   773,   516,  1082,   477,   516,
     771,   330,   210,   210,   173,   311,  1083,   768,   573,  1082,
     807,   796,   650,   748,   270,  1042,   514,   433,  1004,   203,
     980,   514,  1004,  1004,  1004,  1050,   980,  1005,   192,   194,
     313,   323,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1004,  1004,  1051,  1050,  1001,  1001,   980,   514,
     514,   514,  1038,   514,   516,   125,  1006,   514,  1205,  1015,
     352,   421,  1017,   514,   516,   469,  1011,   108,   514,   998,
    1223,  1004,   105,   105,  1004,   514,  1004,   229,   513,  1041,
    1004,  1005,  1005,   205,   205,  1004,   514,   205,  1004,   935,
     474,   513,  1025,  1203,   931,   931,   931,   931,  1071,  1071,
    1071,   921,   970,   229,   921,   959,   960,   108,   961,   962,
    1203,   516,   161,   230,   258,   273,   285,   308,   384,   964,
     962,   108,   961,   963,  1203,   498,   974,   513,  1061,  1004,
     237,   948,   516,   934,   934,   934,  1004,   466,  1040,   514,
     516,   500,   514,   512,  1192,   514,   513,   793,   514,   328,
     163,  1004,   902,   514,   516,  1062,  1068,   514,   516,   911,
     976,  1064,  1081,   500,  1150,  1181,  1186,   514,   508,   808,
     445,   863,   232,   398,   427,   446,   782,   224,   782,   514,
     513,   625,   626,   789,  1009,  1203,   622,   622,   707,  1077,
     514,   182,   256,   311,   313,   708,  1073,  1073,   108,  1073,
     458,   458,   748,   748,   748,   748,   749,  1082,  1073,   436,
     836,   391,   436,   260,   125,   428,  1073,   513,   611,   313,
     577,   173,   313,   416,   419,   577,   445,  1073,  1203,   680,
    1073,   580,   722,  1205,   340,   403,   436,   836,   391,   436,
     436,   436,   391,   231,   329,   419,   731,   732,   231,   329,
     739,   740,   436,   436,   391,   514,   514,   514,  1084,  1223,
    1223,  1223,  1073,  1073,  1073,  1075,   577,   125,   428,  1073,
    1073,  1073,  1073,  1073,   224,   224,   376,   224,   244,  1082,
    1073,  1073,  1082,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
     143,   574,   212,    97,   117,   445,  1203,  1073,   678,  1073,
    1073,   514,   754,   270,   270,   754,   754,   588,   596,   597,
    1205,   121,   162,   186,   201,   205,   225,   228,   240,   318,
     326,   361,   591,   707,  1081,   477,   479,   512,  1234,   513,
     504,   505,   506,   507,   508,   512,  1002,  1071,   863,   180,
    1081,  1223,   180,  1223,   180,  1223,   180,  1223,   180,  1073,
     180,  1073,   180,  1073,   513,   748,  1073,  1005,   183,   246,
     182,   318,   274,  1071,   813,   359,   711,   712,  1203,   664,
     513,   616,   400,   607,  1083,  1083,   980,   513,   578,  1082,
    1071,   481,   224,   700,   514,   516,   979,   676,   514,   477,
     323,   513,   897,   639,   606,   608,   610,   618,  1203,   633,
     255,   632,   148,   428,   635,   920,   639,   635,  1223,   787,
     805,  1004,  1004,   516,   513,   809,   719,   436,   654,    85,
    1108,   514,   573,  1075,  1075,   573,   573,   400,  1072,  1072,
    1072,   650,   234,   770,   173,   777,   229,   270,   270,   270,
     270,   318,   758,  1223,  1004,   514,   514,  1051,   229,   192,
     194,   323,   513,   514,   484,  1013,  1038,   368,   125,   475,
     475,   514,  1004,   311,  1004,   516,  1012,   982,  1002,  1005,
    1005,  1004,  1041,   514,   105,   105,  1004,  1004,   205,  1004,
     514,   514,  1004,  1026,  1203,  1071,  1071,  1071,  1071,   962,
     963,   513,   514,  1203,   513,   959,   273,   336,   965,   959,
     965,   273,   964,   965,   273,   513,  1203,   513,  1039,   125,
     239,   949,   514,   514,   514,  1040,  1223,  1184,   505,  1177,
    1185,  1222,  1223,  1223,   823,   323,   920,   901,  1236,   500,
     914,   902,  1230,   445,   514,  1084,   436,   765,   229,   707,
    1004,   514,   516,   477,   143,   790,   790,   514,   514,   813,
     183,   246,   254,   182,   460,   573,   980,  1075,  1075,  1073,
    1073,  1073,  1073,  1083,  1073,   677,   681,   318,   318,  1084,
    1203,   980,   573,   573,   500,   125,   428,  1073,  1073,  1073,
    1073,  1082,  1073,  1073,  1081,  1081,   980,   516,  1081,  1081,
     516,  1082,  1073,  1073,   477,  1083,  1073,   436,  1072,  1072,
     748,  1072,   212,   748,  1223,  1223,   980,   573,   573,   270,
     754,   754,   458,   594,   595,   514,   516,   506,   513,   554,
     598,   650,   872,  1223,   872,   313,   318,   361,   872,   872,
     512,   231,   259,   231,   514,  1135,  1234,  1234,  1234,  1234,
    1234,   229,   706,  1084,  1004,   313,   613,   813,   621,   458,
     636,  1079,   105,   211,   249,   603,   209,   250,  1073,   458,
     622,   108,   544,   513,  1073,   198,   701,   473,   703,  1223,
     578,   577,   748,   603,   639,   514,   516,   477,   634,   513,
     633,   185,   197,   352,  1073,   477,   858,   229,   513,  1223,
     802,   814,   815,  1204,   813,  1071,   257,   655,  1109,  1203,
     573,   573,   573,  1073,   330,   573,   769,   758,   758,   758,
     758,  1005,   229,   513,  1041,   513,   514,   516,   514,  1006,
     368,   514,   463,   413,   514,   514,   514,  1005,  1005,  1004,
     514,   344,  1027,   971,   972,  1009,   961,   513,  1072,   959,
     327,   458,   966,   959,   273,   959,   978,   513,   978,  1203,
     934,  1038,  1004,   476,  1021,   934,  1081,  1222,  1002,   514,
     917,  1066,   769,   327,   769,   514,   813,   626,   329,   823,
     748,   458,   748,   791,   791,   369,   813,   636,   514,   436,
     403,   908,   514,   516,   574,   722,  1083,  1073,   436,   513,
    1079,   823,   732,   513,   513,   740,   577,   403,   908,  1073,
     477,   376,   477,   477,   224,   574,   754,   525,   187,   597,
     554,   599,   600,  1223,  1223,   318,   622,   506,   622,  1223,
    1223,   773,   108,   828,   828,   514,  1071,   707,   514,   636,
     297,   624,   252,   513,   712,   359,   513,   514,    99,   147,
     154,   181,   253,   419,   617,   617,   676,  1075,   514,   920,
     676,   387,   415,   702,   513,   211,   108,   604,   514,   608,
     331,   635,  1070,   634,   388,   388,   129,   137,   291,   748,
     788,   789,   804,   514,   516,   975,   654,   311,   462,   656,
     657,   500,  1110,   573,  1005,  1041,   514,  1014,  1038,   125,
     311,   494,   125,   934,   514,   516,   108,   973,  1072,   514,
    1004,   513,   959,   966,   514,   978,   514,   514,  1022,  1023,
    1203,   514,   771,   782,   573,   790,   636,   513,   748,   792,
     792,  1071,   636,   707,  1073,   428,   681,   458,   575,   403,
     908,  1073,  1041,   796,   224,   735,   822,  1041,  1041,   428,
     747,   748,   747,   748,  1072,   573,   589,  1223,   514,   516,
     622,   828,   111,   248,   224,   311,   620,   230,   343,   408,
     327,   628,   629,   630,   428,   514,  1079,    82,   713,   400,
     218,   734,   578,   858,  1004,   359,   920,   633,   632,   611,
     514,   635,   137,   330,   137,   514,   516,   809,   814,   193,
     462,   654,  1081,  1217,  1225,    85,   514,   514,   514,   368,
     463,  1038,   362,   388,  1028,   974,   971,   513,   514,  1072,
     514,   516,   108,   229,   791,   474,   627,   823,   793,   793,
     621,   707,  1073,  1004,   428,   514,   333,   393,   366,   736,
     735,   514,   514,  1073,   477,   600,   198,   254,   185,   456,
     327,   630,   327,   629,  1073,   513,   514,   516,  1073,   748,
     108,   108,   514,  1079,   858,   634,   633,   330,   330,   578,
     789,   813,   100,   263,   846,  1109,   119,   163,   447,  1004,
    1029,  1030,  1029,   514,   978,   514,  1023,  1025,   769,   792,
     513,   707,   514,   624,   908,  1073,  1079,   125,   736,   908,
     748,   387,   128,   311,   380,   403,   631,   631,   514,    82,
     676,   731,   920,   513,   635,   634,   635,   314,   513,   841,
     843,   848,   898,   903,   909,   920,  1030,   387,   223,   350,
     223,   350,   514,   573,   793,  1004,   628,   908,   796,   748,
     703,    94,   180,   318,   858,   704,   705,  1081,  1205,  1222,
    1223,   635,   975,   842,   843,   844,   921,   922,   105,   514,
     707,   211,   514,   516,   514,   517,  1030,   359,   705,   844,
    1079,   513,   704,   514
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   536,
     536,   537,   537,   538,   539,   540,   540,   541,   541,   542,
     542,   542,   542,   543,   543,   544,   544,   545,   545,   545,
     545,   545,   545,   546,   546,   546,   547,   547,   547,   548,
     548,   548,   548,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   550,   550,   551,   551,   552,   552,
     553,   553,   553,   553,   554,   554,   554,   554,   555,   555,
     555,   555,   555,   555,   555,   556,   556,   556,   557,   557,
     558,   559,   559,   559,   559,   560,   560,   561,   561,   562,
     562,   563,   563,   563,   563,   563,   564,   565,   565,   566,
     566,   567,   568,   568,   568,   568,   568,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   572,
     572,   573,   573,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   577,   578,   578,   579,   579,   580,   580,   580,
     580,   581,   582,   582,   583,   583,   583,   583,   584,   584,
     585,   585,   586,   586,   587,   587,   588,   588,   588,   589,
     589,   590,   590,   591,   591,   591,   591,   591,   591,   591,
     591,   591,   591,   591,   591,   591,   591,   592,   592,   593,
     593,   594,   594,   595,   595,   596,   596,   597,   598,   598,
     598,   598,   598,   599,   599,   600,   601,   601,   601,   601,
     602,   602,   602,   602,   602,   602,   602,   602,   603,   603,
     604,   604,   605,   605,   606,   606,   607,   607,   607,   608,
     608,   609,   610,   611,   611,   612,   612,   612,   612,   613,
     613,   613,   613,   613,   613,   613,   614,   614,   614,   614,
     615,   616,   616,   616,   617,   617,   617,   617,   617,   617,
     618,   618,   619,   619,   619,   619,   619,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   624,   624,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   628,   628,
     628,   629,   630,   631,   631,   631,   631,   631,   632,   632,
     633,   633,   633,   633,   634,   634,   634,   634,   635,   635,
     636,   636,   637,   638,   639,   639,   639,   640,   641,   642,
     642,   643,   644,   644,   644,   645,   645,   645,   645,   645,
     645,   646,   646,   647,   647,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   649,   649,   650,
     650,   650,   651,   651,   652,   652,   653,   653,   654,   654,
     655,   655,   656,   656,   657,   657,   658,   658,   659,   659,
     660,   661,   661,   662,   662,   663,   663,   664,   664,   665,
     665,   665,   666,   667,   667,   668,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     670,   671,   671,   671,   671,   672,   672,   673,   673,   674,
     674,   675,   675,   676,   676,   677,   677,   678,   679,   679,
     680,   680,   680,   680,   681,   682,   683,   684,   685,   685,
     686,   686,   687,   687,   688,   688,   689,   689,   689,   690,
     690,   691,   691,   692,   693,   693,   693,   694,   694,   695,
     696,   696,   697,   697,   697,   698,   698,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   703,
     704,   704,   704,   705,   705,   705,   705,   706,   706,   707,
     707,   708,   708,   708,   708,   708,   708,   709,   709,   710,
     710,   711,   711,   712,   713,   713,   714,   715,   715,   715,
     715,   716,   717,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   719,   720,   720,
     721,   721,   722,   722,   722,   722,   722,   723,   724,   724,
     725,   726,   726,   727,   727,   728,   728,   728,   729,   729,
     730,   731,   731,   732,   732,   732,   732,   732,   733,   733,
     734,   734,   735,   735,   735,   736,   736,   737,   738,   738,
     739,   739,   740,   740,   741,   741,   742,   742,   743,   744,
     745,   745,   745,   745,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   747,   747,   748,   748,   749,   749,   750,   751,   751,
     751,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   754,   754,   755,
     755,   755,   755,   755,   756,   756,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   758,
     758,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   761,   761,   762,   762,
     763,   764,   764,   765,   765,   765,   765,   765,   766,   766,
     767,   767,   767,   767,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   774,
     775,   775,   776,   776,   777,   777,   778,   779,   779,   780,
     780,   780,   781,   781,   781,   782,   782,   782,   782,   783,
     784,   784,   785,   785,   786,   786,   787,   787,   788,   788,
     789,   789,   789,   790,   790,   791,   791,   791,   792,   792,
     792,   793,   793,   793,   794,   794,   794,   795,   795,   796,
     796,   797,   797,   798,   798,   799,   799,   800,   800,   800,
     800,   800,   801,   801,   801,   801,   801,   802,   803,   804,
     804,   804,   805,   805,   805,   806,   807,   807,   807,   807,
     808,   808,   809,   809,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   811,
     811,   811,   811,   812,   812,   813,   813,   814,   815,   815,
     816,   817,   817,   818,   818,   819,   819,   820,   820,   821,
     821,   822,   822,   822,   822,   823,   823,   824,   825,   825,
     826,   826,   827,   827,   827,   828,   828,   828,   829,   830,
     830,   831,   831,   831,   832,   832,   833,   833,   834,   834,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   836,   836,   837,   837,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   840,   841,   841,   841,   842,   842,   843,   843,
     843,   843,   843,   844,   844,   845,   845,   845,   845,   846,
     846,   846,   847,   847,   848,   849,   849,   850,   851,   851,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   853,   853,   853,   854,   854,   854,
     854,   854,   855,   855,   855,   856,   856,   857,   857,   857,
     857,   858,   858,   858,   858,   859,   860,   861,   861,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   863,   863,   864,   864,   865,
     866,   866,   867,   868,   868,   869,   869,   870,   871,   871,
     871,   871,   871,   871,   871,   872,   872,   873,   874,   874,
     874,   874,   874,   874,   875,   876,   876,   876,   877,   877,
     878,   878,   878,   878,   878,   879,   879,   880,   880,   880,
     880,   881,   881,   882,   882,   883,   883,   884,   884,   885,
     885,   886,   886,   887,   887,   887,   887,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   889,   889,   890,   891,
     891,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   896,   896,   897,   897,   898,   899,   899,   899,
     900,   900,   901,   902,   902,   903,   904,   904,   905,   906,
     906,   907,   907,   907,   907,   907,   907,   907,   907,   908,
     908,   909,   910,   910,   911,   911,   912,   913,   914,   915,
     915,   916,   917,   917,   918,   918,   918,   918,   918,   919,
     919,   919,   920,   920,   921,   921,   922,   922,   922,   922,
     922,   922,   922,   922,   923,   923,   924,   924,   924,   924,
     924,   924,   925,   925,   926,   926,   927,   928,   928,   929,
     929,   929,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   931,   931,   932,   932,   932,   933,   933,   933,   933,
     934,   934,   935,   936,   936,   937,   937,   938,   938,   938,
     938,   939,   939,   940,   940,   940,   941,   941,   942,   942,
     943,   944,   944,   944,   945,   946,   946,   947,   947,   948,
     948,   949,   949,   950,   950,   951,   951,   952,   952,   953,
     954,   954,   954,   954,   955,   955,   956,   956,   957,   957,
     958,   958,   959,   959,   959,   959,   959,   959,   959,   960,
     960,   960,   960,   960,   960,   961,   961,   961,   961,   962,
     962,   963,   963,   963,   963,   963,   964,   964,   964,   964,
     965,   965,   966,   966,   967,   967,   967,   967,   968,   968,
     969,   969,   969,   970,   970,   971,   972,   972,   973,   973,
     974,   974,   975,   975,   976,   976,   976,   977,   977,   978,
     978,   979,   980,   980,   980,   980,   980,   980,   981,   981,
     981,   982,   982,   982,   982,   982,   982,   982,   983,   983,
     983,   983,   984,   984,   985,   985,   986,   986,   986,   986,
     986,   986,   986,   986,   986,   986,   986,   987,   987,   988,
     988,   989,   989,   990,   991,   992,   992,   993,   993,   994,
     995,   996,   996,   996,   996,   996,   996,   997,   997,   998,
     998,   999,   999,   999,   999,  1000,  1001,  1001,  1001,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,
    1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,  1009,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1011,  1011,  1012,  1012,  1012,  1012,  1013,  1014,  1014,
    1015,  1015,  1016,  1016,  1017,  1017,  1017,  1018,  1018,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1023,
    1024,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1028,  1028,
    1028,  1029,  1029,  1030,  1030,  1030,  1030,  1030,  1031,  1031,
    1031,  1032,  1032,  1032,  1033,  1033,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1037,  1037,  1037,  1037,  1038,  1038,  1039,  1039,  1040,
    1040,  1041,  1041,  1042,  1042,  1042,  1043,  1043,  1044,  1044,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,
    1047,  1048,  1048,  1049,  1049,  1049,  1049,  1049,  1049,  1050,
    1051,  1052,  1052,  1052,  1053,  1053,  1054,  1055,  1055,  1056,
    1057,  1057,  1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,
    1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,  1065,  1065,
    1066,  1067,  1067,  1068,  1068,  1069,  1069,  1069,  1069,  1070,
    1070,  1071,  1071,  1072,  1072,  1073,  1074,  1075,  1076,  1077,
    1078,  1079,  1079,  1080,  1080,  1080,  1080,  1080,  1080,  1080,
    1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1081,  1082,
    1083,  1083,  1084,  1084,  1084,  1084,  1085,  1085,  1085,  1085,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1090,  1090,  1091,  1091,  1091,  1091,  1091,  1091,  1091,
    1091,  1093,  1092,  1094,  1095,  1095,  1095,  1095,  1096,  1096,
    1096,  1096,  1097,  1097,  1098,  1099,  1100,  1100,  1101,  1101,
    1101,  1102,  1102,  1103,  1103,  1104,  1104,  1105,  1105,  1105,
    1105,  1106,  1106,  1106,  1107,  1108,  1108,  1109,  1109,  1110,
    1110,  1110,  1110,  1111,  1111,  1112,  1113,  1114,  1115,  1115,
    1116,  1117,  1117,  1118,  1118,  1118,  1118,  1118,  1120,  1119,
    1121,  1122,  1123,  1123,  1124,  1124,  1124,  1124,  1125,  1125,
    1127,  1126,  1129,  1128,  1130,  1128,  1128,  1131,  1131,  1132,
    1132,  1132,  1133,  1133,  1133,  1133,  1134,  1134,  1135,  1135,
    1135,  1135,  1135,  1135,  1136,  1136,  1136,  1137,  1139,  1138,
    1140,  1141,  1140,  1142,  1142,  1143,  1143,  1144,  1144,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1147,  1147,
    1148,  1148,  1149,  1150,  1150,  1151,  1151,  1151,  1152,  1153,
    1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,  1156,  1157,
    1157,  1158,  1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,
    1163,  1164,  1164,  1165,  1165,  1165,  1166,  1166,  1166,  1166,
    1166,  1166,  1166,  1166,  1166,  1167,  1167,  1167,  1167,  1167,
    1168,  1168,  1169,  1170,  1171,  1172,  1172,  1173,  1174,  1175,
    1175,  1176,  1177,  1177,  1178,  1179,  1180,  1180,  1181,  1182,
    1183,  1183,  1184,  1185,  1185,  1185,  1185,  1185,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,
    1191,  1190,  1192,  1192,  1194,  1193,  1195,  1195,  1195,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1197,  1197,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,
    1200,  1200,  1200,  1200,  1200,  1200,  1200,  1201,  1202,  1202,
    1202,  1202,  1202,  1202,  1202,  1202,  1203,  1203,  1203,  1203,
    1203,  1203,  1203,  1204,  1204,  1204,  1204,  1204,  1204,  1205,
    1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,
    1206,  1206,  1206,  1206,  1206,  1207,  1207,  1207,  1207,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1209,  1209,  1209,  1210,
    1210,  1210,  1210,  1210,  1210,  1211,  1211,  1212,  1213,  1213,
    1214,  1214,  1215,  1216,  1217,  1218,  1218,  1218,  1219,  1220,
    1221,  1222,  1223,  1223,  1223,  1223,  1223,  1224,  1225,  1225,
    1225,  1226,  1226,  1227,  1227,  1227,  1228,  1228,  1229,  1229,
    1230,  1230,  1231,  1231,  1231,  1231,  1231,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1233,  1233,  1233,  1233,  1234,  1234,  1234,
    1234,  1234,  1234,  1234,  1234,  1234,  1234,  1235,  1235,  1235,
    1235,  1235,  1236,  1236,  1237,  1237,  1238,  1238
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     4,     3,
       5,     3,     5,     5,     6,     1,     1,     3,     5,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,    10,
      13,     4,     6,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     2,     3,     4,     6,     6,
       6,     5,     5,     6,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     4,     1,     3,     4,     6,     4,     8,     2,     2,
      11,     7,     1,     1,     1,     0,     1,     1,     1,     1,
       3,     2,     0,     1,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     3,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    11,    14,    10,    13,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     4,     2,     0,     3,     1,     1,     2,     2,
       1,     3,     4,     5,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     2,
       0,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     3,     5,     2,     3,     0,     8,     4,     1,
       0,     6,     5,     7,     9,     4,     6,     8,     6,     8,
      10,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     5,     7,     1,     0,
       7,     2,     0,     3,     5,     5,     8,     2,     0,     2,
       2,     2,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,    10,
      13,     5,     7,     8,     1,     1,     1,     7,     9,     8,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     5,     7,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     3,     2,     3,     3,     3,     3,     1,     1,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     2,     3,     4,     5,     4,     5,     3,     4,
       3,     4,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     4,     4,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     2,     0,     1,     1,
       0,     1,     1,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     3,     3,     5,     6,
       1,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     3,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     5,     7,     5,     7,     5,
       7,     3,     5,     5,     5,     1,     3,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,     4,     4,     4,     1,     1,     1,     0,     5,     5,
       7,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     2,     0,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     1,     0,     5,     6,     4,
       2,     0,     4,     3,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     4,     3,     0,     1,     1,
       1,     1,     4,     9,     3,     0,     6,     1,     4,     2,
       1,     3,     2,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     2,     3,     2,     0,
       1,     3,     2,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     2,     6,     2,     1,     3,     4,     0,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     6,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     2,     4,     3,     2,     1,     1,     1,     1,
       1,     0,     8,     2,     5,     3,     2,     2,     3,     7,
       1,     1,     1,     0,     2,     2,     1,     0,     1,     3,
       1,     2,     0,     2,     0,     2,     0,     1,     3,     4,
       3,     1,     1,     1,     1,     2,     0,     2,     4,     0,
       2,     2,     2,     1,     1,     7,     3,     1,     1,     1,
       1,     2,     0,     1,     3,     3,     3,     3,     0,     4,
       5,     5,     0,     1,     1,     1,     2,     2,     1,     2,
       0,     7,     0,     5,     0,     4,     2,     2,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     2,     1,     3,     2,     2,     3,     0,     5,
       1,     0,     5,     2,     2,     1,     1,     1,     2,     2,
       3,     1,     2,     2,     3,     3,     4,     2,     1,     2,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     0,
       1,     3,     5,     0,     2,     0,     1,     2,     3,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     2,
       2,     3,     0,     1,     2,     1,     4,     3,     4,     3,
       2,     1,     3,     1,     1,     1,     1,     2,     2,     1,
       2,     2,     1,     1,     1,     4,     4,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     1,
       2,     1,     2,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     1,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     2,     3,     1,     3,     3,
       3,     3,     3,     3,     1,     1,     4,     0,     2,     2,
       1,     1,     2,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1515 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27674 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1517 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27680 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1519 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27686 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1521 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27692 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1523 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27698 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1525 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27704 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1527 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27710 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1529 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27716 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1531 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27722 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1533 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27728 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1535 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27734 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1537 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27740 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1539 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27746 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1541 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27752 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1543 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27758 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1545 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27764 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1547 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27770 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1549 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27776 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1551 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27782 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1553 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27788 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1555 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27794 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1557 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27800 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27806 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27812 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27818 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27824 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27830 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27836 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27842 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1573 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27864 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27870 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27876 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27882 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27888 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27894 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27900 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27906 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27912 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27918 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27924 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27930 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27936 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27942 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27948 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27954 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27966 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27972 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27978 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27984 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27990 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27996 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28002 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28008 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28014 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28020 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28026 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28032 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28038 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28044 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1651 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 28052 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 28058 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28064 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28070 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28076 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28082 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28088 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28094 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28100 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28106 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28112 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28118 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28124 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28130 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28136 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28142 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28148 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28154 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28160 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28166 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28172 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28178 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28184 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 28190 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28196 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28202 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28208 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28214 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28220 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28226 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28232 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28238 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28244 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28250 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28256 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1723 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 28267 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28273 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28279 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28285 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28291 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28297 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28303 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28309 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28315 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28321 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28327 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28333 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1752 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28343 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1758 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28349 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1760 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28355 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28361 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28367 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28373 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28379 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28385 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28391 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1774 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28401 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1780 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28415 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1790 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28423 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1794 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28433 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1800 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28441 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1804 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 28455 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1814 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28469 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 28475 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1825 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28493 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1839 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28504 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1846 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28514 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1852 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 28529 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1863 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28539 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1869 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28552 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1878 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28563 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1885 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28573 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1891 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 28586 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1900 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28597 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1907 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28608 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28614 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28622 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28630 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28637 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28645 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28652 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28660 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28667 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 28675 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 28683 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 28691 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 28699 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 28707 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 28715 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 28723 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 28731 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28739 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28747 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 28755 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 28763 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28771 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 28779 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 28787 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28795 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28803 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28810 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 28818 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28826 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28834 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28842 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28850 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28858 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 28866 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 28874 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28882 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28890 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28898 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28906 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28914 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 28922 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 28930 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28938 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28946 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2156 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28955 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2161 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28964 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28972 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28979 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28987 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28994 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29002 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29010 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29018 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29026 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29034 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29042 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29050 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 29058 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 29066 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 29074 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 29082 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29090 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 29098 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29106 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 29114 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29122 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 29130 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 29138 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2277 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 29147 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 29155 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 29163 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 29171 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 29179 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 29187 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 29195 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 29203 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29211 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29219 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29227 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29235 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29243 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2342 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 29257 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 29265 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 29273 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 29281 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 29289 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 29297 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 29305 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 29313 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29321 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29329 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29337 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29345 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29353 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29361 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29369 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 29377 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29385 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29393 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29400 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29408 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29416 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29424 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29432 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 29440 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 29448 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 29456 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29464 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29472 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29480 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29488 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29496 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29504 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 29512 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 29520 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 29528 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 29536 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2535 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 29545 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29553 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29561 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29569 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 29577 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 29585 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 29593 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 29601 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 29609 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 29617 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29625 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 29633 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29641 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29649 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29657 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29665 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29673 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29681 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29689 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29697 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29705 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29713 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29721 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29729 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29737 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29745 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29753 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29761 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29769 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29777 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29785 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 29793 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29801 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 29809 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 29817 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 29825 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 29833 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 29841 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 29849 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29857 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29865 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29873 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29881 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29889 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29897 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 29905 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29913 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29921 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 29929 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 29937 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 29945 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 29953 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 29961 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 29969 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 29977 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 29985 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 29993 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 30001 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 30009 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 30017 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 30025 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 30033 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 30041 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 30049 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 30057 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 30065 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 30073 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 30081 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 30089 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 30097 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 30105 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 30113 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 30121 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30129 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 30137 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 30145 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30153 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30161 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30168 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30176 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30183 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 30191 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30198 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 30206 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 30214 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 30222 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30230 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30238 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30246 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30253 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30261 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30269 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30277 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30285 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30293 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 30301 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30309 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30317 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30325 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30333 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30341 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30349 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30357 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3028 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 30366 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 30374 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30386 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30394 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 30402 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 30410 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 30418 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30425 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30433 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 30441 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 30449 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30457 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30465 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30473 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30480 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30488 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 30496 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 30504 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30512 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30520 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 30528 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 30536 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30544 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30552 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 30560 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 30568 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 30576 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 30584 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 30592 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30600 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30607 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30615 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30622 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 30630 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30637 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 30645 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30652 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30660 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30668 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30676 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30684 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30692 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 30700 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30708 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30715 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30723 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30731 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30739 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30747 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30755 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30763 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30771 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 30787 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 30795 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 30811 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 30819 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30827 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30834 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30842 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30849 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30857 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30864 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30872 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30880 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30888 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30896 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30904 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30912 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30920 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30928 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30936 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30944 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 30952 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30960 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30967 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30975 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30983 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30991 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30999 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 31007 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31015 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31023 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31031 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31039 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 31047 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31055 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31063 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31071 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31079 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31087 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31095 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 31103 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 31111 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31118 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 31126 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 31134 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 31142 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 31150 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 31158 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 31166 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31174 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31182 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31190 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31198 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31206 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31214 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31222 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31230 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31238 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31246 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31253 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31261 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31268 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31276 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31284 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31292 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 31300 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3655 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 31309 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 31317 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31324 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31332 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31340 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31348 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31356 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31364 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31371 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31379 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31387 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31395 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31403 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31410 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 31418 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 31426 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 31434 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 31442 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 31450 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 31458 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 31466 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31474 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31481 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 31489 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 31497 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 31505 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31512 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 31520 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 31528 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 31536 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31543 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 31551 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31558 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 31566 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31573 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 31581 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 31597 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 31605 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31612 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31620 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31628 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 31636 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31643 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31651 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31659 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("sequence"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31667 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("sequence"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31675 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31683 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter sequence"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31691 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter sequence"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31699 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31707 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31715 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter sequence if exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31723 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31731 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31738 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31746 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31754 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 31762 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 31770 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 31778 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31786 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 31794 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 31802 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 31810 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 31818 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 31826 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31834 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 31842 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31850 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 31858 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31865 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31873 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 31881 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31889 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31897 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31905 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31913 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31921 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 31929 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31936 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31944 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31952 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 31960 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31967 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31975 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31983 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31991 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31998 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32006 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32014 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 32022 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32029 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32037 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 32045 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32052 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 32060 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 32068 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32076 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32084 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32092 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32099 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32107 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32115 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32123 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 32131 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32139 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32146 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 32154 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32162 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32170 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 32178 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 32186 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 32194 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 32202 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32210 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32218 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32226 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32234 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 32242 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 32250 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 32258 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 32266 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 32274 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 32282 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 32290 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 32298 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 32306 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 32314 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 32322 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 32330 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32338 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 32346 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32354 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 32362 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 32370 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32378 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32386 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32394 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32402 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32410 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32417 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32433 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32441 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32457 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32464 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32472 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32480 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32488 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32496 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32504 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32512 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32520 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32528 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 32536 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32544 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32552 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32560 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32568 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 32576 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32583 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 32599 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32607 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32614 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32622 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32630 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32638 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32646 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32654 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32662 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32670 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32678 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32686 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32694 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 32702 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 32710 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32718 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32726 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32734 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32742 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32750 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32758 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 32766 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 32774 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 32782 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32790 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 32798 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 32806 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 32814 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 32822 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 32830 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 32838 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32846 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32853 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 32861 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32868 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 32876 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 32884 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32892 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32907 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32915 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32922 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32930 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32938 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32946 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32954 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32962 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32969 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32976 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32984 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 32992 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33000 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33008 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33016 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 33024 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 33032 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33040 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33048 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33056 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33064 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33072 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 33080 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33088 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 33096 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 33104 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33112 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 33120 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 33128 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 33136 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 33144 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33153 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33258 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33266 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 33274 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33282 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33290 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33298 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33306 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33314 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33322 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33346 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33354 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33362 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33370 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33378 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33386 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33394 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33401 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33409 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33417 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33425 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 33433 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 33441 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 33449 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33472 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33480 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33488 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33504 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33512 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 33520 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33528 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33535 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 33543 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33550 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 33558 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 33566 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33573 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5224 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33589 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 33597 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 33605 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 33613 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33621 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33629 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33637 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33645 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33653 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33661 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33669 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33677 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33685 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33693 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33701 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33709 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33717 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33725 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33733 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33741 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33749 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33757 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33765 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33773 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33781 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33789 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33797 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33805 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33813 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33821 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33837 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33861 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33869 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33877 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33885 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 33901 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33909 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33917 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 33925 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 33933 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33940 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33948 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33956 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33964 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33972 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33980 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33988 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33996 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34004 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34012 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34020 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34028 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 34036 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34044 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34052 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34060 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34068 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34076 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34084 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34092 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34100 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34108 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34116 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34124 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 34132 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 34140 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34148 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 34156 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34164 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34172 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 34180 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 34188 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34196 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34204 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34252 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34260 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34276 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34284 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 34292 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34339 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34395 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34403 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34411 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34419 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 34427 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 34435 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5746 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 34443 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5750 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 34453 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5756 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 34463 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5762 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 34473 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5768 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 34483 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5774 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 34493 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5780 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 34503 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5786 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 34513 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5792 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 34523 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34538 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34553 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5824 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5835 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34583 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34598 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5857 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34613 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5868 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34633 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5884 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34653 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5900 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34673 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34708 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34723 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5954 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34743 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5970 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34758 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 34766 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34782 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34829 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 34837 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34845 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 34917 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 34925 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 34933 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 34941 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35005 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 35013 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 35021 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 35029 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35037 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35045 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35053 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 35061 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 35069 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35116 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35124 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 35132 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35139 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 35147 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35154 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35162 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35170 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35177 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 35185 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 35193 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35217 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35225 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 35233 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35280 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 35288 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35295 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35303 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35310 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35318 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35325 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35333 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35341 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35349 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35365 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35373 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35380 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35388 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35396 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35426 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 35434 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 35442 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35488 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35496 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35504 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35512 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35520 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35528 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35536 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35544 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35552 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35560 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35568 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 35600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 35608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 35616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 35624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 35632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 35688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 35705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 35713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 35777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 35785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 35793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 35801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 35809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 35817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 35825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 35833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 35841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 35849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 35857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 35865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 35873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 35881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 35897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 35913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 36119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 36167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 36175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 36183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 36191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 36269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 36660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 36675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 37042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 37169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 37177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 37216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 37231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 37239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 37247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 37255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 37271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 37279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 37287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 37295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 37303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 37311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 37319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 37327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 37343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 37351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 37359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 37367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 37375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 37390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 37398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 37406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7716 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 37503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 37511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 37519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 37534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 37693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 37716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 37803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 37811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 37843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 37851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 37906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 37914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 37938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 37946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 38073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 38081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 38149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 38165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8271 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 38318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8277 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 38381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 38436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 38468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 38514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 38529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 38537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 38545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 38553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 38561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 38569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 38577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 38585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 38593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 38656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8547 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 38733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8604 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 38753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 38768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 38776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 38784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 38792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8639 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 38803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 38811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 38819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 38995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8801 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 39043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 39220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 39307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8977 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 39316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 39332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 39411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 39427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 39435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 39450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 39520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 39528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 39536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 39544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 39552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 39567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 39684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 39708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 39716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 39826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 39834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 39842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 39881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 39889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9480 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 40039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9523 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9525 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 40121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 40129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9547 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 40143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9557 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 40157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9567 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 40167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 40294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 40302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 40310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 40318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 40326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 40334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 40342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 40350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 40358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 40366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 40374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 40437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 40493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 40501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 40509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 40517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 40525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 40533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 40541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 40579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 40595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 40603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 40611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 40619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 40634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 40642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 40658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 40666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 40682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 40690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 40698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 40706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 40714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 40722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 40730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 40745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 40777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 40785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 40913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 40961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 40977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 40993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 41025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 41033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 41041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 41049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 41057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 41185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10179 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 41210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 41242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 41266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 41274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 41282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 41290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 41298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 41306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 41474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 41506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 41554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 41610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 41642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 41706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 41714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 41930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 41938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 41946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 41954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 41962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 42033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 42041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 42056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 42072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 42118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 42203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 42219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 42227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 42250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 42290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 42306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 42322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 42330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 42362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 42370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 42386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 42394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 42402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 42410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 42418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 42426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 42482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 42490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 42498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 42506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 42554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 42641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 42649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 42657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 42665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 42673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 42681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 42713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 42721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 42791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 42839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 42863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 42871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 42980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 43003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 43090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 43290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 43298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 43306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 43418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 43498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 43506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 43522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 43530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 43546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 43602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 44106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 44114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 44130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 44138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 44146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 44154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 44234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 44242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 44370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 44378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 44386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 44394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 44402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 44410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 44426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 44434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 44442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 44450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 44466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 44482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 44490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 44594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 44602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 44610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 44618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 44626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 44634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 44642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 44650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 44658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 44698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 44706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 44714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 44722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 44730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 44738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 44746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 44754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 44762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 44770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 44778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 44794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 44802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 44826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 44842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 44850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 44866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 44874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 44882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 44890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 44898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 44906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 44914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 44922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 44930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 44938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 44946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 44954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 44962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 44970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 44986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 44994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 45002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 45010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 45018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 45026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 45042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 45050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 45058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 45066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 45074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 45082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 45090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 45098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 45106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 45122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 45138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 45146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 45162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 45178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 45186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 45194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 45234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 45242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 45250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 45266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 45282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 45290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 45298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 45306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 45314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 45322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 45330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 45338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 45346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 45354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 45362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 45378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 45386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 45450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 45458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 45466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 45474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 45546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 45554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 45570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 45578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 45594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 45610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 45618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 45634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 45642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 45690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 45698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 45706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 45714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 45722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 45738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 45746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 45754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 45794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 45834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 45842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 45850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 45858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 45866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 45874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 45882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 45890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 45898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 45906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 45914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 45922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 45954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 45962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 45970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 45978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 45986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 46002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 46018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 46026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 46034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 46042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 46050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 46058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 46066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 46074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 46082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 46090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 46098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 46106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 46114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 46138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 12973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 46146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 46170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 46178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 46186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 46202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 46210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 46218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 46226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 46234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 46242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 46250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 46258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 46266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 46274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 46282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 46290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 46298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 46346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 46354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 46362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 46370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 46378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 46386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 46402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 46410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 46418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 46442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 46458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 46466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 46544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13185 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 46554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13193 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13195 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 46587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13207 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 46593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13208 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13217 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 46618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 46624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 46630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13239 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13243 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 46658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13255 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 46678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13271 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 46686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13275 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 46699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13290 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 46725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13302 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 46736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 46760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13327 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 46808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13342 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13349 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13356 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 46866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13372 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 46902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13406 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 46916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13419 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 46930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13423 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 46944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13439 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13445 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13466 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 47055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13527 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 47065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 47107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 47113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 47119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 47125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 47131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13560 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 47141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13567 "preproc.y" /* yacc.c:1646  */
    {}
#line 47147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13569 "preproc.y" /* yacc.c:1646  */
    {}
#line 47153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13586 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 47211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13592 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 47223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13602 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13612 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13616 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13626 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13630 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 47275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 47281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13640 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13641 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13642 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13656 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13664 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 47374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13681 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13689 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13712 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 47523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13818 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 47559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 47583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13863 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 47594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13870 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13915 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 47656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13921 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13930 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 47677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13936 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 47686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13943 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 47695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13948 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 47703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13953 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13957 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13960 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13961 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13964 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13972 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13979 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 47781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13983 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13984 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 47799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13985 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13988 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13996 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14003 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 47841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14004 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 47847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14005 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 47853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14015 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 47870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14024 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 47959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14111 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14113 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 47974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14119 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 47986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 47992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14128 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14139 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 48025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14168 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14184 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14189 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14196 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14201 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14208 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14217 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 48163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14228 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14229 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14231 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14242 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14249 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14261 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14267 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14274 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14295 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14306 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14317 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 48323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14325 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 48335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14338 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14344 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14352 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 48369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14365 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14376 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14384 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14390 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14399 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14404 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14414 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14424 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14435 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 48467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14437 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 48473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 48479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 48491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 48503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 48515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 48521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 48539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 48545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 48563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 48569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14477 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14483 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 48610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 48616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14501 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14507 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14571 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14577 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14583 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14591 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 48734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14597 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 48744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14603 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 48754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14609 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14615 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14621 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 48784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14627 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 48794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14633 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14639 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 48832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 48838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 48844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 48850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 48856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 48862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 48868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 48874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 48880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 48892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 48898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 48904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 48916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 48922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 48928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 48934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 48940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 48946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 48952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 48958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 48964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 48970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 48976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 48982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 48988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 48994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 49000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 49006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 49024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 49204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 49210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 49366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14808 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14819 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 49423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14821 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14826 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 49441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14836 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 49454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14847 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 49463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14859 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14899 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14909 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14919 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14934 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 49624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14949 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14952 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 49654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 49666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14965 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 49678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 49690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 49696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 49702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14975 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 49738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 49744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 49750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 49762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 49768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 49774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 49810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 49816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 49822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 49834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 49840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 49846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 49858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 49864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 49870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 49888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15007 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15011 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 50002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 50008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15025 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 50014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 50020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 50026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 50032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 50038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 50044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15033 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 50080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 50086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 50098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 50104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 50110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15068 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 50193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50205 "preproc.c" /* yacc.c:1646  */
    break;


#line 50209 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15082 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"
